(function($) {
  Drupal.Pinteros = Drupal.Pinteros || {};
  Drupal.Pinteros.columnWidth = 250;
  Drupal.Pinteros.sidebarColumnWidth = 250;
  Drupal.Pinteros.toolbarHeight = -1;
  Drupal.Pinteros.headerHeight = -1;
  Drupal.Pinteros.sidebarIScroll = false;
  Drupal.Pinteros.popupIScroll = false;
  Drupal.Pinteros.supportedScreens = [0.5, 479.5, 719.5, 959.5, 1049.5, 1235.5, 1585.5, 1890.5];
  Drupal.Pinteros.screens = ['empty', 'mobile-vertical', 'mobile', 'tablet-vertical', 'tablet', 'normal-screen', 'wide', 'wide-extra', 'hd'];
  Drupal.Pinteros.currentScreen = "";
  Drupal.Pinteros.currentWidth = -1;
  Drupal.Pinteros.IE8 = $.browser.msie && parseInt($.browser.version, 10) === 8;
  Drupal.Pinteros.toolbar = false;
  Drupal.Pinteros.masonry_container = false;
  Drupal.Pinteros.masonry_sidebar_container = false;

  Drupal.behaviors.actionPinteros = {
    attach: function(context) {
      $('.btn-btt').smoothScroll({
        speed: 600
      });
      $(window).resize(function() {
        $('body').css({
          'padding-top': Drupal.Pinteros.toolbar ? (Drupal.Pinteros.toolbar.height() - (Drupal.Pinteros.IE8 ? 10 : 0)) : 0
        });
        Drupal.Pinteros.updateMasonryMainWidth(true);
        Drupal.Pinteros.updateMasonrySidebarWidth(true);
      });

      $(window).load(function() {
        Drupal.Pinteros.initMasonry();
      });

      $('[data-toggle="offcanvas"]').click(function () {
        $('.row-offcanvas').toggleClass('active');
      });

      // Mobile menu
      if ($(window).width() <= 991) {
        $('.mobile-main-menu .region-main-menu').accordionMenu();
      }
      $(window).resize(function() {
        if ($(window).width() <= 991) {
          $('.mobile-main-menu .region-main-menu').accordionMenu();
        }
      });

      $('#menu-toggle').mobileMenu({
        targetWrapper: '#main-menu-inner',
        targetMenu: '#block-tb-megamenu-main-menu'
      });
    }
  };

  Drupal.Pinteros.updateMainColumnWidth = function() {
    Drupal.Pinteros.masonry_container.addClass('masonry-reload');
    var container_width = Drupal.Pinteros.masonry_container.width();
    var number_column = Math.round(container_width / Drupal.Pinteros.columnWidth);
    var width_small = Math.floor(container_width / number_column);
    var width_medium = width_small * 2;
    var width_large = width_small * 3;
    if (number_column < 3) {
      if (container_width >= 600) {
        width_small = Math.floor(container_width / 3);
        width_medium = width_small * 2;
        width_large = width_small * 3;
      } else if (container_width >= 400) {
        width_small = Math.floor(container_width / 2);
        width_medium = width_small * 2;
        width_large = width_small * 2;
      } else {
        width_small = container_width;
        width_medium = width_small;
        width_large = width_small;
      }
    }
    Drupal.Pinteros.masonry_container.find('.grid.pinteros-small').css({
      width: width_small + "px"
    });
    Drupal.Pinteros.masonry_container.find('.grid.pinteros-medium').css({
      width: width_medium + "px"
    });
    Drupal.Pinteros.masonry_container.find('.grid.pinteros-large').css({
      width: width_large + "px"
    });
    Drupal.Pinteros.masonry_container.data('basewidth', width_small);
    return width_small;
  }

  Drupal.Pinteros.updateMasonryMainWidth = function(reload) {
    if (Drupal.Pinteros.masonry_container) {
      Drupal.Pinteros.updateMainColumnWidth();
      if (reload) {
        window.setTimeout(function() {
          Drupal.Pinteros.masonry_container.masonry('reload');
        }, 20);
      }
    }
  }

  Drupal.Pinteros.updateSidebarColumnWidth = function() {
    Drupal.Pinteros.masonry_sidebar_container.addClass('masonry-reload');
    var container_width = Drupal.Pinteros.masonry_sidebar_container.width();
    var number_column = Math.round(container_width / Drupal.Pinteros.sidebarColumnWidth);
    var width_small = Math.floor(container_width / number_column);
    var width_medium = width_small * 2;
    var width_large = width_small * 3;
    if (number_column < 3) {
      if (container_width >= 600) {
        width_small = Math.floor(container_width / 3);
        width_medium = width_small * 2;
        width_large = width_small * 3;
      } else if (container_width >= 400) {
        width_small = Math.floor(container_width / 2);
        width_medium = width_small * 2;
        width_large = width_small * 2;
      } else {
        width_small = container_width;
        width_medium = width_small;
        width_large = width_small;
      }
    }
    Drupal.Pinteros.masonry_sidebar_container.find('.block, .block.grid-single').css({
      width: width_small + "px"
    });
    Drupal.Pinteros.masonry_sidebar_container.find('.block.grid-double').css({
      width: width_medium + "px"
    });
    Drupal.Pinteros.masonry_sidebar_container.find('.block.grid-triple').css({
      width: width_large + "px"
    });
    Drupal.Pinteros.masonry_sidebar_container.data('basewidth', width_small);
    return width_small;
  }

  Drupal.Pinteros.updateMasonrySidebarWidth = function(reload) {
    if (Drupal.Pinteros.masonry_sidebar_container) {
      Drupal.Pinteros.updateSidebarColumnWidth();
      if (reload) {
        window.setTimeout(function() {
          Drupal.Pinteros.masonry_sidebar_container.masonry('reload');
        }, 20);
      }
    }
  }

  Drupal.Pinteros.initMasonry = function() {
    var $container = $('#block-system-main .view .view-content .views-view-grid');
    if ($container.length) {
      Drupal.Pinteros.masonry_container = $container;
      Drupal.Pinteros.masonry_container.addClass('masonry-reload');
      options = {
        itemSelector: '.views-col',
        isResizable: false,
        isAnimated: false,
        columnWidth: function() {
          Drupal.Pinteros.masonry_container.removeClass('masonry-reload');
          var basewidth = Drupal.Pinteros.masonry_container.data('basewidth');
          if (basewidth == undefined) {
            return Drupal.Pinteros.updateMainColumnWidth();
          } else {
            return basewidth;
          }
        }
      };
      Drupal.Pinteros.masonry_container.masonry(options);
      Drupal.Pinteros.updateMasonryMainWidth(true);
    }
    var $container = $('.sidebar .region');
    if ($container.length) {
      Drupal.Pinteros.masonry_sidebar_container = $container;
      Drupal.Pinteros.masonry_sidebar_container.addClass('masonry-reload');
      options = {
        itemSelector: '.block',
        isResizable: false,
        isAnimated: false,
        columnWidth: function() {
          Drupal.Pinteros.masonry_sidebar_container.removeClass('masonry-reload');
          var basewidth = Drupal.Pinteros.masonry_sidebar_container.data('basewidth');
          if (basewidth == undefined) {
            return Drupal.Pinteros.updateSidebarColumnWidth();
          } else {
            return basewidth;
          }
        }
      }
      Drupal.Pinteros.masonry_sidebar_container.masonry(options);
      Drupal.Pinteros.updateMasonrySidebarWidth(true);
    }
  };

})(jQuery);
