<?php
include_once(drupal_get_path('theme', 'pinteros') . '/common.inc');

function pinteros_preprocess_html(&$vars) {
  if (!empty($vars['page']['left_menu'])) {
    $vars['classes_array'][] = "left-menu-exists";
  }
  $current_skin = false;
  $pinteros_display = false;
  if ($node = menu_get_object()) {
    if($node->type == 'weebpal_presets') {
      $path = drupal_get_path_alias();
      $parts = explode('/', $path);
      if(($parts[0] == 'weebpal-preset') && count($parts) == 2) {
        $parts = explode('-', $parts[1], 2);
        if($parts[0] == 'skin' && isset($parts[1])) {
          $skins = pinteros_get_predefined_param('skins', array('default' => t("Default skin")));
          if(isset($skins[$parts[1]])) {
            $current_skin = $parts[1];
            setcookie('pinteros_skin', $current_skin, time() + 100000, base_path());
            $vars['classes_array'][] = "skin-$current_skin";
          }
        }
        elseif($parts[0] == 'layout' && isset($parts[1])) {
          $pinteros_display = $parts[1];
          setcookie('pinteros_display', $pinteros_display, time() + 100000, base_path());
        }
      }
      drupal_goto("");
    }
  }
  if(!$pinteros_display) {
    $pinteros_display = theme_get_setting('pinteros_display');
    if (isset($_COOKIE['pinteros_display'])) {
      $pinteros_display = $_COOKIE['pinteros_display'];
    }
  }
  if(!empty($pinteros_display)) {
    $vars['classes_array'][] = $pinteros_display;
  }
  if(!$current_skin) {
    $current_skin = theme_get_setting('skin');
    if (isset($_COOKIE['pinteros_skin'])) {
      $current_skin = $_COOKIE['pinteros_skin'];
    }
    if (!empty($current_skin) && $current_skin != 'default') {
      $vars['classes_array'][] = "skin-$current_skin";
    }
  }
}

function pinteros_preprocess_page(&$vars) {
  global $theme_key;
  $vars['regions_width'] = pinteros_regions_width($vars['page']);

  $current_skin = theme_get_setting('skin');
  if (isset($_COOKIE['pinteros_skin'])) {
    $current_skin = $_COOKIE['pinteros_skin'];
  }

  if (isset($vars['node']) && $vars['node']->type != 'page' && !in_array('page__node__delete', $vars['theme_hook_suggestions'])) {
    $result = db_select('node_type', NULL, array('fetch' => PDO::FETCH_ASSOC))
    ->fields('node_type', array('name'))
    ->condition('type', $vars['node']->type)
    ->execute()->fetchField();
    $vars['title'] = $result;
  }

  $vars['page']['show_skins_menu'] = $show_skins_menu = theme_get_setting('show_skins_menu');
  if($show_skins_menu) {
    $skins = pinteros_get_predefined_param('skins', array("default" => t("Default Style")));
    $current_skin = theme_get_setting('skin');
    if (isset($_COOKIE['pinteros_skin'])) {
      $current_skin = $_COOKIE['pinteros_skin'];
    }
    $str = array();
    $str[] = '<div id="change_skin_menu_wrapper" class="change-skin-menu-wrapper wrapper">';
    $str[] = '<div class="container">';
    $str[] = '<a id="change-skin" class="change-skin" href="javascript:void(0)"><i class="fa fa-cog"></i></a>';
    $str[] = '<div class="skin-color">';
    $str[] = '<strong>Skin</strong>';
    $str[] = '<ul class="change-skin-menu">';

    foreach ($skins as $skin => $skin_title) {
      $li_class = ($skin == $current_skin ? ($skin . ' active') : $skin);
      $str[] = '<li class="' . $li_class . '"><a href="#change-skin/' . $skin . '" class="change-skin-button color-' . $skin . '">' . $skin_title . '</a></li>';
    }
    $str[] = '</ul></div>';
    //Change Direction
    $languages = language_list('enabled');
    $languages = $languages[1];
    $direction = array(
      'rtl' => array('name' => '', 'class' => ''),
      'ltr' => array('name' => '', 'class' => '')
    );
    global $language;
    foreach ($languages as $name => $info) {
      if ($info->direction && $direction['rtl']['name'] == '') {
        $direction['rtl']['name'] = $name;
        if ($language->language == $name)
          $direction['rtl']['class'] = 'active';
      }
      else if (!$info->direction && $direction['ltr']['name'] == '') {
        $direction['ltr']['name'] = $name;
        if ($language->language == $name)
          $direction['ltr']['class'] = 'active';
      }
      if ($direction['rtl']['name'] != '' && $direction['ltr']['name'] != '') {
        break;
      }
    }
    $str[] = '<div class="direction">';
    $str[] = '<strong>Direction</strong>';
    $str[] = '<ul class="change-direction">';
    $str[] = '<li class="' . $direction['ltr']['class'] . '"><a href="' . base_path() . $direction['ltr']['name'] . '" class="change-direction-button">LTR</a></li>';
    $str[] = '<li class="' . $direction['rtl']['class'] . '"><a href="' . base_path() . $direction['rtl']['name'] . '" class="change-direction-button">RTL</a></li>';
    $str[] = '</ul></div>';


    $str[] = '</div></div>';
    $vars['page']['show_skins_menu'] = implode("", $str);
  }
  drupal_add_js('
    (function ($) {
      Drupal.behaviors.skinMenuAction = {
        attach: function (context) {
          $(".change-skin-button").click(function() {
            parts = this.href.split("/");
            style = parts[parts.length - 1];
            $.cookie("pinteros_skin", style, {path: "' . base_path() . '"});
            window.location.reload();
            return false;
          });
        }
      }
    })(jQuery);
  ', 'inline');
  $vars['page']['pinteros_skin_classes'] = !empty($current_skin) ? ($current_skin . "-skin") : "";
  if (!empty($current_skin) && $current_skin != 'default' && theme_get_setting("default_logo") && theme_get_setting("toggle_logo")) {
    $vars['logo'] = file_create_url(drupal_get_path('theme', $theme_key)) . "/css/colors/" . $current_skin . "/images/logo.png";
  }

  $current_skin = false;
  if ($node = menu_get_object()) {
    if($node->type == 'weebpal_presets') {
      $path = drupal_get_path_alias();
      $parts = explode('/', $path);
      if(($parts[0] == 'weebpal-preset') && count($parts) == 2) {
        $parts = explode('-', $parts[1]);
        if($parts[0] == 'skin') {
          $skins = pinteros_get_predefined_param('skins', array('default' => t("Default skin")));
          if(isset($skins[$parts[1]])) {
            $current_skin = $parts[1];
          }
        }
      }
    }
  }
  if(!$current_skin) {
    $current_skin = theme_get_setting('skin');
    if (isset($_COOKIE['pinteros_skin'])) {
      $current_skin = $_COOKIE['pinteros_skin'];
    }
  }
  if (!empty($current_skin) && file_exists(drupal_get_path('theme', $theme_key) . "/css/colors/" . $current_skin . "/style.css")) {
    $css = drupal_add_css(drupal_get_path('theme', $theme_key) . "/css/colors/" . $current_skin . "/style.css", array(
      'group' => CSS_THEME,
    ));
  }


}

function pinteros_preprocess_node(&$vars) {
  $vars['date'] = format_date($vars['node']->created, 'custom', 'd M Y');
  $vars['pinteros_media_field'] = false;
  $vars['pinteros_tags_field'] = false;
  foreach($vars['content'] as $key => $field) {
    if (isset($field['#field_type']) && isset($field['#weight'])) {
      if ($field['#field_type'] == 'image' || $field['#field_type'] == 'video_embed_field' || $field['#field_type'] == 'youtube') {
        $vars['pinteros_media_field'] = drupal_render($field);
        $vars['classes_array'][] = 'pinteros-media-first';
        unset($vars['content'][$key]);

        if($vars['view_mode'] == 'teaser') {
          if (isset($vars['content']['field_tags'])) {
            $vars['pinteros_tags_field'] = drupal_render($vars['content']['field_tags']);
            unset($vars['content']['field_tags']);
          }
        }
        break;
      }
    }
  }
  $vars['page'] = ($vars['type'] == 'page') ? TRUE : FALSE;

}

function pinteros_css_alter(&$css) {
  global $theme_key;

}

function _get_predefined_param($param, $pre_array = array(), $suf_array = array()) {
  global $theme_key;
  $theme_data = list_themes();
  $result = isset($theme_data[$theme_key]->info[$param]) ? $theme_data[$theme_key]->info[$param] : array();
  return $pre_array + $result + $suf_array;
}

function pinteros_preprocess_field(&$vars) {
  if(($vars['element']['#field_type'] == 'image' || $vars['element']['#field_type'] == 'video_embed_field' || $vars['element']['#field_type'] == 'video') && $vars['element']['#entity_type'] == 'node' && $vars['element']['#view_mode'] == 'teaser') {
    foreach ($vars['items'] as $key => $item) {
      if ($item['#image_style'] == 'pinteros-display') {
        $img_style = false;
        if (isset($vars['element']['#object']->field_pinteros_size)) {
          foreach ($vars['element']['#object']->field_pinteros_size as $style) {
            foreach ($style as $lang) {
              foreach ($lang as $term) {
                $t = isset($term->name) ? $term : taxonomy_term_load($term);
                $image_style = image_style_load($t->name);
                if ($image_style) {
                  $img_style = $t->name;
                }
              }
            }
          }
        }
        if ($img_style) {
          $vars['items'][$key]['#image_style'] = $img_style;
        }
        else {
          $image_style = image_style_load('pinteros-small');
          if ($image_style) {
            $vars['items'][$key]['#image_style'] = 'pinteros-small';
          }
        }
      }
    }
  }
}

function pinteros_get_addon_fields() {
  return array(
    'field_pinteros_size' => array(
      'default' => 'pinteros-small',
    ),
    'field_pinteros_skin' => array(
      'default' => false,
    ),
  );
}

function pinteros_get_teaser_class($node) {
  $classes = array();
  $fields = pinteros_get_addon_fields();
  foreach($fields as $field => $info) {
    $class = false;
    if(isset($node->$field)) {
      $field_content = $node->$field;
      foreach($field_content as $lang) {
        foreach($lang as $term) {
          if(isset($term['taxonomy_term'])) {
            $class = drupal_strtolower($term['taxonomy_term']->name);
          }
          else {
            $t = taxonomy_term_load($term['tid']);
            if($t) {
              $class = drupal_strtolower($t->name);
            }
          }
        }
      }
    }
    $class = $class ? $class : $info['default'];
    $existed = false;
    if($class) {
      $classes[] = $class;
    }
  }
  return $classes;
}

function pinteros_preprocess_views_view_grid(&$vars) {
  $view = $vars['view'];
  $pinteros_classes = array();
  file_put_contents("public://test1.txt", print_r($view->style_plugin->row_plugin, true));
  if (isset($view->style_plugin->row_plugin->nodes)) {
    $nodes = $view->style_plugin->row_plugin->nodes;
    $counter = 0;
    foreach($nodes as $node) {
      $row_extend_class = pinteros_get_teaser_class($node);
      $pinteros_classes[$counter] = implode(" ", $row_extend_class);
      $counter ++;
    }
  }
  else if (isset($view->style_plugin->row_plugin->view->result)) {
    $nodes = $view->style_plugin->row_plugin->view->result;
    $counter = 0;
    foreach($nodes as $node) {
      $row_extend_class = pinteros_get_teaser_class($node);
      $pinteros_classes[$counter] = implode(" ", $row_extend_class);
      $counter ++;
    }
  }
  $vars['pinteros_classes'] = $pinteros_classes;
}

/**
 * Implements hook_css_alter().
 */
function pinteros_js_alter(&$js) {
  if (isset($js[drupal_get_path('module', 'views_infinite_scroll') . '/js/views_infinite_scroll.js']) &&
     (isset($js[drupal_get_path('module', 'views_infinite_scroll') . '/js/jquery.autopager-1.0.0.js']) ||
      isset($js[libraries_get_path('autopager') .'/jquery.autopager-1.0.0.js']))
  ) {
    drupal_add_js(drupal_get_path('theme', 'pinteros') . '/js/jquery.autopager-1.0.0.js');
    drupal_add_js(drupal_get_path('theme', 'pinteros') . '/js/views_infinite_scroll.js');
  }
}
