<div id="page-wrapper">
  <div id="page">
    <?php if(isset($page['show_skins_menu']) && $page['show_skins_menu']):?>
      <?php print $page['show_skins_menu'];?>
    <?php endif;?>

    <?php if($headline = render($page['headline'])): ?>
      <section id="headline" class="headline section">
        <div class="container">
          <?php print $headline; ?>
        </div>
      </section>
    <?php endif;?>

    <header id="header" class="header section navbar navbar-default">
      <div class="container">
        <?php if($_secondary_menu = render($page['secondary_menu'])): ?>
          <button type="button" class="secondary-menu-button navbar-toggle collapsed" data-toggle="collapse" data-target="#secondary-menu">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
        <?php endif;?>
        <?php if ($left_menu = render($page['left_menu'])): ?>
          <button type="button" class="btn btn-primary btn-xs" data-toggle="offcanvas">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
        <?php endif;?>
        <?php if ($logo): ?>
          <a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home" id="logo">
            <img src="<?php print $logo; ?>" alt="<?php print t('Home'); ?>" />
          </a>
        <?php endif; ?>

        <?php if ($site_name || $site_slogan): ?>
          <div id="name-and-slogan">
            <?php if ($site_name): ?>
              <?php if ($title): ?>
                <div id="site-name"><strong>
                  <a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home"><span><?php print $site_name; ?></span></a>
                </strong></div>
              <?php else: /* Use h1 when the content title is empty */ ?>
                <h1 id="site-name">
                  <a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>" rel="home"><span><?php print $site_name; ?></span></a>
                </h1>
              <?php endif; ?>
            <?php endif; ?>

            <?php if ($site_slogan): ?>
              <div id="site-slogan"><?php print $site_slogan; ?></div>
            <?php endif; ?>
          </div>
        <?php endif; ?>

        <div class="region-header">
          <?php print render($page['header']); ?>

          <?php if($main_menu = render($page['main_menu'])): ?>
            <a id="menu-toggle" class="navbar-toggle collapsed" href="#menu-toggle">
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
            </a>
          <?php endif; ?>
        </div>

        <?php if ($main_menu): ?>
          <nav class="collapse navbar-collapse width" id="main-menu-inner">
            <?php print $main_menu; ?>
          </nav>
        <?php endif;?>

      </div>
    </header>

    <?php if($_secondary_menu = render($page['secondary_menu'])): ?>
      <nav id="secondary-menu" class="secondary-menu section collapse navbar-collapse width">
        <div class="container">
          <?php print $_secondary_menu; ?>
        </div>
      </nav>
    <?php endif;?>

    <?php if ($title): ?>
      <section id="main-title" class="main-title">
        <div class="container">
          <?php print render($title_prefix); ?>
          <h1 class="title" id="page-title"><?php print $title; ?></h1>
          <?php print render($title_suffix); ?>
          <?php if ($featured = render($page['featured'])): ?>
            <?php print $featured;?>
          <?php endif;?>

          <?php if ($breadcrumb): ?>
            <section id="breadcrumb" class="section">
              <?php print $breadcrumb; ?>
            </section>
          <?php endif; ?>

        </div>
      </section>
    <?php endif; ?>

    <?php if($map = render($page['map'])): ?>
      <section id="map" class="map section">
        <?php print $map; ?>
      </section>
    <?php endif;?>

    <?php if ($messages): ?>
      <section id="messages" class="message section">
        <div class="container">
          <?php print $messages; ?>
        </div>
      </section>
    <?php endif;?>

    <section id="main" class="main section">
      <div class="container">
        <div class="row row-offcanvas row-offcanvas-left">
          <?php if ($left_menu = render($page['left_menu'])): ?>
            <div id="left-menu" role="navigation" class="col-xs-6 col-sm-6 col-md-2 left-menu-offcanvas">
              <?php print $left_menu; ?>
            </div>
          <?php endif;?>
          <div class="col-xs-12 col-sm-12 col-md-<?php print $left_menu ? 10 : 12;?>">
            <div class="row-fluid">
              <div class="col-md-<?php print $regions_width['content']?>">

                <div id="content" class="column">
                  <div class="section">
                    <?php if ($page['highlighted']): ?><div id="highlighted"><?php print render($page['highlighted']); ?></div><?php endif; ?>
                    <?php if ($tabcontent = render($tabs)): ?><div class="tabs"><?php print $tabcontent; ?></div><?php endif; ?>
                    <?php print render($page['help']); ?>
                    <?php if ($action_links): ?><ul class="action-links"><?php print render($action_links); ?></ul><?php endif; ?>
                    <?php print render($page['content']); ?>
                  </div>
                </div>
              </div>

              <?php if ($regions_width['sidebar_first']): ?>
                <aside id="sidebar-first" class="sidebar sidebar-offcanvas col-md-<?php print $regions_width['sidebar_first']?>">
                  <div class="section">
                    <?php print render($page['sidebar_first']); ?>
                  </div>
                </aside>
              <?php endif; ?>

              <?php if ($page['sidebar_second']): ?>
                <aside id="sidebar-second" class="sidebar col-md-<?php print $regions_width['sidebar_second']?>">
                  <div class="section">
                    <?php print render($page['sidebar_second']); ?>
                  </div>
                </aside>
              <?php endif; ?>

            </div>
          </div>
        </div>
      </div>
    </section>

    <?php if($footer = render($page['footer'])): ?>
      <footer id="footer" class="section footer">
        <div class="container">
          <?php print $footer; ?>
        </div>
      </footer>
    <?php endif;?>
    <a title="<?php print t('Back to Top')?>" class="btn-btt" href="#Top"><i class="fa fa-arrow-up"></i><span><?php print t('Back to Top')?></span></a>
  </div>
</div>
