-- MySQL dump 10.13  Distrib 5.6.36, for Linux (x86_64)
--
-- Host: localhost    Database: d7_pinteros
-- ------------------------------------------------------
-- Server version	5.6.30

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `actions`
--

DROP TABLE IF EXISTS `actions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `actions` (
  `aid` varchar(255) NOT NULL DEFAULT '0' COMMENT 'Primary Key: Unique actions ID.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The object that that action acts on (node, user, comment, system or custom types.)',
  `callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The callback function that executes when the action runs.',
  `parameters` longblob NOT NULL COMMENT 'Parameters to be passed to the callback function.',
  `label` varchar(255) NOT NULL DEFAULT '0' COMMENT 'Label of the action.',
  PRIMARY KEY (`aid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores action information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `actions`
--

LOCK TABLES `actions` WRITE;
/*!40000 ALTER TABLE `actions` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `actions` VALUES ('comment_publish_action','comment','comment_publish_action','','Publish comment'),('comment_save_action','comment','comment_save_action','','Save comment'),('comment_unpublish_action','comment','comment_unpublish_action','','Unpublish comment'),('node_make_sticky_action','node','node_make_sticky_action','','Make content sticky'),('node_make_unsticky_action','node','node_make_unsticky_action','','Make content unsticky'),('node_promote_action','node','node_promote_action','','Promote content to front page'),('node_publish_action','node','node_publish_action','','Publish content'),('node_save_action','node','node_save_action','','Save content'),('node_unpromote_action','node','node_unpromote_action','','Remove content from front page'),('node_unpublish_action','node','node_unpublish_action','','Unpublish content'),('pathauto_node_update_action','node','pathauto_node_update_action','','Update node alias'),('pathauto_taxonomy_term_update_action','taxonomy_term','pathauto_taxonomy_term_update_action','','Update taxonomy term alias'),('pathauto_user_update_action','user','pathauto_user_update_action','','Update user alias'),('system_block_ip_action','user','system_block_ip_action','','Ban IP address of current user'),('user_block_user_action','user','user_block_user_action','','Block current user');
/*!40000 ALTER TABLE `actions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `authmap`
--

DROP TABLE IF EXISTS `authmap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `authmap` (
  `aid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique authmap ID.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'User’s users.uid.',
  `authname` varchar(128) NOT NULL DEFAULT '' COMMENT 'Unique authentication name.',
  `module` varchar(128) NOT NULL DEFAULT '' COMMENT 'Module which is controlling the authentication.',
  PRIMARY KEY (`aid`),
  UNIQUE KEY `authname` (`authname`),
  KEY `uid_module` (`uid`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores distributed authentication mapping.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `authmap`
--

LOCK TABLES `authmap` WRITE;
/*!40000 ALTER TABLE `authmap` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `authmap` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `batch`
--

DROP TABLE IF EXISTS `batch`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `batch` (
  `bid` int(10) unsigned NOT NULL COMMENT 'Primary Key: Unique batch ID.',
  `token` varchar(64) NOT NULL COMMENT 'A string token generated against the current user’s session id and the batch id, used to ensure that only the user who submitted the batch can effectively access it.',
  `timestamp` int(11) NOT NULL COMMENT 'A Unix timestamp indicating when this batch was submitted for processing. Stale batches are purged at cron time.',
  `batch` longblob COMMENT 'A serialized array containing the processing data for the batch.',
  PRIMARY KEY (`bid`),
  KEY `token` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores details about batches (processes that run in...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `batch`
--

LOCK TABLES `batch` WRITE;
/*!40000 ALTER TABLE `batch` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `batch` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `bean`
--

DROP TABLE IF EXISTS `bean`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bean` (
  `bid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique bean item ID.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Revision ID',
  `delta` varchar(32) NOT NULL COMMENT 'The bean’s block.delta.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Displays in the Admin page.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this bean.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The bean_type.type of this bean.',
  `view_mode` varchar(32) NOT NULL DEFAULT 'default' COMMENT 'The View mode to use as the bean.',
  `data` longtext COMMENT 'A serialized array of additional data related to this bean.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The author of the revision.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the entity was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the entity was most recently saved.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `vid` (`vid`),
  UNIQUE KEY `delta` (`delta`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores bean items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bean`
--

LOCK TABLES `bean` WRITE;
/*!40000 ALTER TABLE `bean` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `bean` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `bean_revision`
--

DROP TABLE IF EXISTS `bean_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bean_revision` (
  `bid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The bean this version belongs to.',
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for this version.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The author of the revision.',
  `delta` varchar(32) NOT NULL COMMENT 'The bean’s block.delta.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Displays in the Admin page.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this bean.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The bean_type.type of this bean.',
  `view_mode` varchar(32) NOT NULL DEFAULT 'default' COMMENT 'The View mode to use as the bean.',
  `data` longtext COMMENT 'A serialized array of additional data related to this bean.',
  `log` longtext COMMENT 'A log message associated with the revision.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the entity was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the entity was most recently saved.',
  PRIMARY KEY (`vid`),
  KEY `bid` (`bid`,`vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores bean items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bean_revision`
--

LOCK TABLES `bean_revision` WRITE;
/*!40000 ALTER TABLE `bean_revision` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `bean_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `bean_type`
--

DROP TABLE IF EXISTS `bean_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bean_type` (
  `type_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The Type ID of this block. Only used internally by CTools',
  `name` varchar(32) NOT NULL COMMENT 'The machine-readable name of this bean type.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this bean type.',
  `options` longtext COMMENT 'Block content configuration.',
  `description` longtext COMMENT 'The description of this bean type.',
  PRIMARY KEY (`type_id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about all defined bean types.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bean_type`
--

LOCK TABLES `bean_type` WRITE;
/*!40000 ALTER TABLE `bean_type` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `bean_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block`
--

DROP TABLE IF EXISTS `block`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block` (
  `bid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique block ID.',
  `module` varchar(64) NOT NULL DEFAULT '' COMMENT 'The module from which the block originates; for example, ’user’ for the Who’s Online block, and ’block’ for any custom blocks.',
  `delta` varchar(32) NOT NULL DEFAULT '0' COMMENT 'Unique ID for block within a module.',
  `theme` varchar(64) NOT NULL DEFAULT '' COMMENT 'The theme under which the block settings apply.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Block enabled status. (1 = enabled, 0 = disabled)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Block weight within region.',
  `region` varchar(64) NOT NULL DEFAULT '' COMMENT 'Theme region within which the block is set.',
  `custom` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate how users may control visibility of the block. (0 = Users cannot control, 1 = On by default, but can be hidden, 2 = Hidden by default, but can be shown)',
  `visibility` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate how to show blocks on pages. (0 = Show on all pages except listed pages, 1 = Show only on listed pages, 2 = Use custom PHP code to determine visibility)',
  `pages` text NOT NULL COMMENT 'Contents of the "Pages" block; contains either a list of paths on which to include/exclude the block or PHP code, depending on "visibility" setting.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Custom title for the block. (Empty string will use block default title, <none> will remove the title, text will cause block to use specified title.)',
  `cache` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Binary flag to indicate block cache mode. (-2: Custom cache, -1: Do not cache, 1: Cache per role, 2: Cache per user, 4: Cache per page, 8: Block cache global) See DRUPAL_CACHE_* constants in ../includes/common.inc for more detailed information.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `tmd` (`theme`,`module`,`delta`),
  KEY `list` (`theme`,`status`,`region`,`weight`,`module`)
) ENGINE=InnoDB AUTO_INCREMENT=196 DEFAULT CHARSET=utf8 COMMENT='Stores block settings, such as region and visibility...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block`
--

LOCK TABLES `block` WRITE;
/*!40000 ALTER TABLE `block` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block` VALUES (1,'system','main','bartik',1,0,'content',0,0,'','',-1),(2,'search','form','bartik',1,-1,'sidebar_first',0,0,'','',-1),(3,'node','recent','seven',1,10,'dashboard_main',0,0,'','',-1),(4,'user','login','bartik',1,0,'sidebar_first',0,0,'<front>\r\nshowcase\r\ncategories\r\nnode/92','',-1),(5,'system','navigation','bartik',1,0,'sidebar_first',0,0,'','',-1),(6,'system','powered-by','bartik',1,10,'footer',0,0,'','',-1),(7,'system','help','bartik',1,0,'help',0,0,'','',-1),(8,'system','main','seven',1,0,'content',0,0,'','',-1),(9,'system','help','seven',1,0,'help',0,0,'','',-1),(10,'user','login','seven',1,10,'content',0,0,'<front>\r\nshowcase\r\ncategories\r\nnode/92','',-1),(11,'user','new','seven',1,0,'dashboard_sidebar',0,0,'','',-1),(12,'search','form','seven',1,-10,'dashboard_sidebar',0,0,'','',-1),(13,'comment','recent','bartik',0,0,'-1',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','',1),(14,'node','syndicate','bartik',0,0,'-1',0,0,'','',-1),(15,'node','recent','bartik',0,0,'-1',0,0,'','',1),(16,'shortcut','shortcuts','bartik',0,0,'-1',0,0,'','',-1),(17,'system','management','bartik',0,0,'-1',0,0,'','',-1),(18,'system','user-menu','bartik',0,0,'-1',0,0,'','<none>',-1),(19,'system','main-menu','bartik',0,0,'-1',0,0,'','<none>',-1),(20,'user','new','bartik',0,0,'-1',0,0,'','',1),(21,'user','online','bartik',0,0,'-1',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','',-1),(22,'comment','recent','seven',0,0,'-1',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','',1),(23,'node','syndicate','seven',0,0,'-1',0,0,'','',-1),(24,'shortcut','shortcuts','seven',0,0,'-1',0,0,'','',-1),(25,'system','powered-by','seven',0,10,'-1',0,0,'','',-1),(26,'system','navigation','seven',0,0,'-1',0,0,'','',-1),(27,'system','management','seven',0,0,'-1',0,0,'','',-1),(28,'system','user-menu','seven',0,0,'-1',0,0,'','<none>',-1),(29,'system','main-menu','seven',0,0,'-1',0,0,'','<none>',-1),(30,'user','online','seven',0,0,'-1',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','',-1),(31,'comment','recent','pinteros',1,-14,'sidebar_first',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','',1),(32,'node','recent','pinteros',0,0,'-1',0,0,'','',1),(33,'node','syndicate','pinteros',0,0,'-1',0,0,'','',-1),(34,'search','form','pinteros',1,-1,'header',0,0,'','',-1),(35,'shortcut','shortcuts','pinteros',0,0,'-1',0,0,'','',-1),(36,'system','help','pinteros',1,0,'help',0,0,'','',-1),(37,'system','main','pinteros',1,0,'content',0,0,'','',-1),(38,'system','main-menu','pinteros',0,0,'-1',0,0,'','<none>',-1),(39,'system','management','pinteros',0,0,'-1',0,0,'','',-1),(40,'system','navigation','pinteros',0,0,'-1',0,0,'','',-1),(41,'system','powered-by','pinteros',0,10,'-1',0,0,'','',-1),(42,'system','user-menu','pinteros',1,-19,'headline',0,0,'','<none>',-1),(43,'user','login','pinteros',1,-13,'sidebar_first',0,0,'<front>\r\nshowcase\r\ncategories\r\nnode/92','',-1),(44,'user','new','pinteros',0,0,'-1',0,0,'','',1),(45,'user','online','pinteros',1,-12,'sidebar_first',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','',-1),(46,'blog','recent','bartik',0,0,'-1',0,0,'','',1),(47,'poll','recent','bartik',0,0,'-1',0,0,'','',1),(48,'tb_megamenu','main-menu','bartik',0,0,'-1',0,0,'mega-menus','',-1),(49,'tb_megamenu','management','bartik',0,0,'-1',0,0,'','',-1),(50,'tb_megamenu','navigation','bartik',0,0,'-1',0,0,'','',-1),(51,'tb_megamenu','user-menu','bartik',0,0,'-1',0,0,'','',-1),(52,'blog','recent','pinteros',0,0,'-1',0,0,'','',1),(53,'poll','recent','pinteros',0,0,'-1',0,0,'','',1),(54,'tb_megamenu','main-menu','pinteros',1,0,'main_menu',0,0,'mega-menus','',-1),(55,'tb_megamenu','management','pinteros',0,0,'-1',0,0,'','',-1),(56,'tb_megamenu','navigation','pinteros',0,0,'-1',0,0,'','',-1),(57,'tb_megamenu','user-menu','pinteros',0,0,'-1',0,0,'','',-1),(58,'blog','recent','seven',1,0,'dashboard_inactive',0,0,'','',1),(59,'poll','recent','seven',1,0,'dashboard_inactive',0,0,'','',1),(60,'tb_megamenu','main-menu','seven',0,0,'-1',0,0,'mega-menus','',-1),(61,'tb_megamenu','management','seven',0,0,'-1',0,0,'','',-1),(62,'tb_megamenu','navigation','seven',0,0,'-1',0,0,'','',-1),(63,'tb_megamenu','user-menu','seven',0,0,'-1',0,0,'','',-1),(67,'block','2','bartik',0,0,'-1',0,0,'','',-1),(68,'block','2','pinteros',1,-20,'headline',0,0,'','',-1),(69,'block','2','seven',0,0,'-1',0,0,'','',-1),(70,'block','3','bartik',0,0,'-1',0,0,'','',-1),(71,'block','3','pinteros',1,0,'footer',0,0,'','',-1),(72,'block','3','seven',0,0,'-1',0,0,'','',-1),(73,'menu','menu-category','pinteros',1,0,'secondary_menu',0,0,'node/92','<none>',-1),(74,'tb_megamenu','menu-category','pinteros',0,0,'-1',0,0,'','',-1),(75,'menu','menu-category','bartik',0,0,'-1',0,0,'node/92','<none>',-1),(76,'tb_megamenu','menu-category','bartik',0,0,'-1',0,0,'','',-1),(77,'menu','menu-category','seven',0,0,'-1',0,0,'node/92','<none>',-1),(78,'tb_megamenu','menu-category','seven',0,0,'-1',0,0,'','',-1),(79,'block','4','bartik',0,0,'-1',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','ADs',-1),(80,'block','4','pinteros',1,-18,'sidebar_first',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','ADs',-1),(81,'block','4','seven',0,0,'-1',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','ADs',-1),(82,'block','5','bartik',0,0,'-1',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','About us',-1),(83,'block','5','pinteros',1,-17,'sidebar_first',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','About us',-1),(84,'block','5','seven',0,0,'-1',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','About us',-1),(85,'views','featured_posts-block','pinteros',1,-15,'sidebar_first',0,0,'<front>\r\nshowcase\r\ncategories\r\nnode/92','',-1),(86,'newsletter','newsletter_subscribe','bartik',0,0,'-1',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','',1),(87,'views','featured_posts-block','bartik',0,0,'-1',0,0,'<front>\r\nshowcase\r\ncategories\r\nnode/92','',-1),(88,'newsletter','newsletter_subscribe','pinteros',1,-16,'sidebar_first',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','',1),(89,'newsletter','newsletter_subscribe','seven',0,0,'-1',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','',1),(90,'views','featured_posts-block','seven',0,0,'-1',0,0,'<front>\r\nshowcase\r\ncategories\r\nnode/92','',-1),(91,'tagclouds','4','bartik',0,0,'-1',0,0,'','',8),(92,'tagclouds','5','bartik',0,0,'-1',0,0,'','',8),(93,'tagclouds','1','bartik',0,0,'-1',0,0,'<front>\r\nshowcase\r\ncategories\r\nnode/92','',8),(94,'tagclouds','2','bartik',0,0,'-1',0,0,'','',8),(95,'tagclouds','3','bartik',0,0,'-1',0,0,'','',8),(96,'tagclouds','4','pinteros',0,0,'-1',0,0,'','',8),(97,'tagclouds','5','pinteros',0,0,'-1',0,0,'','',8),(98,'tagclouds','1','pinteros',1,-11,'sidebar_first',0,0,'<front>\r\nshowcase\r\ncategories\r\nnode/92','',8),(99,'tagclouds','2','pinteros',0,0,'-1',0,0,'','',8),(100,'tagclouds','3','pinteros',0,0,'-1',0,0,'','',8),(101,'tagclouds','4','seven',0,0,'-1',0,0,'','',8),(102,'tagclouds','5','seven',0,0,'-1',0,0,'','',8),(103,'tagclouds','1','seven',0,0,'-1',0,0,'<front>\r\nshowcase\r\ncategories\r\nnode/92','',8),(104,'tagclouds','2','seven',0,0,'-1',0,0,'','',8),(105,'tagclouds','3','seven',0,0,'-1',0,0,'','',8),(106,'views','trending_posts-block','pinteros',1,-10,'sidebar_first',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','',-1),(107,'views','trending_posts-block','bartik',0,0,'-1',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','',-1),(108,'views','trending_posts-block','seven',0,0,'-1',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','',-1),(109,'block','6','bartik',0,0,'-1',0,1,'contact','General Information',-1),(110,'block','6','pinteros',1,-19,'sidebar_first',0,1,'contact','General Information',-1),(111,'block','6','seven',0,0,'-1',0,1,'contact','General Information',-1),(112,'block','7','bartik',0,0,'-1',0,1,'contact','',-1),(113,'block','7','pinteros',1,0,'map',0,1,'contact','',-1),(114,'block','7','seven',0,0,'-1',0,1,'contact','',-1),(115,'forum','active','bartik',0,0,'-1',0,0,'','',-2),(116,'forum','new','bartik',0,0,'-1',0,0,'','',-2),(117,'tagclouds','6','bartik',0,0,'-1',0,0,'','',8),(118,'forum','active','pinteros',0,0,'-1',0,0,'','',-2),(119,'forum','new','pinteros',0,0,'-1',0,0,'','',-2),(120,'tagclouds','6','pinteros',0,0,'-1',0,0,'','',8),(121,'forum','active','seven',1,0,'dashboard_inactive',0,0,'','',-2),(122,'forum','new','seven',1,0,'dashboard_inactive',0,0,'','',-2),(123,'tagclouds','6','seven',0,0,'-1',0,0,'','',8),(124,'context_ui','editor','bartik',0,0,'-1',0,0,'','',1),(125,'context_ui','editor','pinteros',0,0,'-1',0,0,'','',1),(126,'context_ui','editor','seven',0,0,'-1',0,0,'','',1),(127,'clock','clock','bartik',0,0,'-1',0,0,'','<none>',-1),(128,'clock','clock','pinteros',1,-21,'headline',0,0,'','<none>',-1),(129,'clock','clock','seven',0,0,'-1',0,0,'','<none>',-1),(130,'megamenus','main-menu','bartik',0,0,'-1',0,1,'mega-menus','',-1),(131,'megamenus','management','bartik',0,0,'-1',0,0,'','',-1),(132,'megamenus','menu-category','bartik',0,0,'-1',0,0,'','',-1),(133,'megamenus','navigation','bartik',0,0,'-1',0,0,'','',-1),(134,'megamenus','user-menu','bartik',0,0,'-1',0,0,'','',-1),(135,'megamenus','main-menu','pinteros',1,0,'main_menu',0,1,'mega-menus','',-1),(136,'megamenus','management','pinteros',0,0,'-1',0,0,'','',-1),(137,'megamenus','menu-category','pinteros',0,0,'-1',0,0,'','',-1),(138,'megamenus','navigation','pinteros',0,0,'-1',0,0,'','',-1),(139,'megamenus','user-menu','pinteros',0,0,'-1',0,0,'','',-1),(140,'megamenus','main-menu','seven',0,0,'-1',0,1,'mega-menus','',-1),(141,'megamenus','management','seven',0,0,'-1',0,0,'','',-1),(142,'megamenus','menu-category','seven',0,0,'-1',0,0,'','',-1),(143,'megamenus','navigation','seven',0,0,'-1',0,0,'','',-1),(144,'megamenus','user-menu','seven',0,0,'-1',0,0,'','',-1),(145,'locale','language','bartik',0,0,'-1',0,0,'','',-1),(146,'locale','language','pinteros',0,0,'-1',0,0,'','',-1),(147,'locale','language','seven',0,0,'-1',0,0,'','',-1),(148,'block','2','we_backend',1,-20,'header',0,0,'','',-1),(149,'block','3','we_backend',1,0,'footer',0,0,'','',-1),(150,'block','4','we_backend',0,-18,'-1',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','ADs',-1),(151,'block','5','we_backend',0,-17,'-1',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','About us',-1),(152,'block','6','we_backend',1,-19,'sidebar_first',0,1,'contact','General Information',-1),(153,'block','7','we_backend',1,0,'header',0,1,'contact','',-1),(154,'blog','recent','we_backend',1,0,'dashboard_inactive',0,0,'','',1),(155,'clock','clock','we_backend',1,-21,'header',0,0,'','<none>',-1),(156,'comment','recent','we_backend',1,-14,'dashboard_inactive',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','',1),(157,'context_ui','editor','we_backend',0,0,'-1',0,0,'','',1),(158,'forum','active','we_backend',1,0,'dashboard_inactive',0,0,'','',-2),(159,'forum','new','we_backend',1,0,'dashboard_inactive',0,0,'','',-2),(160,'locale','language','we_backend',0,0,'-1',0,0,'','',-1),(161,'megamenus','main-menu','we_backend',1,0,'header',0,1,'mega-menus','',-1),(162,'megamenus','management','we_backend',0,0,'-1',0,0,'','',-1),(163,'megamenus','menu-category','we_backend',0,0,'-1',0,0,'','',-1),(164,'megamenus','navigation','we_backend',0,0,'-1',0,0,'','',-1),(165,'megamenus','user-menu','we_backend',0,0,'-1',0,0,'','',-1),(166,'menu','menu-category','we_backend',1,0,'header',0,0,'node/92','<none>',-1),(167,'newsletter','newsletter_subscribe','we_backend',0,-16,'-1',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','',1),(168,'node','recent','we_backend',1,0,'dashboard_inactive',0,0,'','',1),(169,'node','syndicate','we_backend',0,0,'-1',0,0,'','',-1),(170,'poll','recent','we_backend',1,0,'dashboard_inactive',0,0,'','',1),(171,'search','form','we_backend',1,-1,'header',0,0,'','',-1),(172,'shortcut','shortcuts','we_backend',0,0,'-1',0,0,'','',-1),(173,'system','help','we_backend',1,0,'help',0,0,'','',-1),(174,'system','main','we_backend',1,0,'content',0,0,'','',-1),(175,'system','main-menu','we_backend',0,0,'-1',0,0,'','<none>',-1),(176,'system','management','we_backend',0,0,'-1',0,0,'','',-1),(177,'system','navigation','we_backend',0,0,'-1',0,0,'','',-1),(178,'system','powered-by','we_backend',0,10,'-1',0,0,'','',-1),(179,'system','user-menu','we_backend',1,-19,'header',0,0,'','<none>',-1),(180,'tagclouds','1','we_backend',0,-11,'-1',0,0,'<front>\r\nshowcase\r\ncategories\r\nnode/92','',8),(181,'tagclouds','2','we_backend',0,0,'-1',0,0,'','',8),(182,'tagclouds','3','we_backend',0,0,'-1',0,0,'','',8),(183,'tagclouds','4','we_backend',0,0,'-1',0,0,'','',8),(184,'tagclouds','5','we_backend',0,0,'-1',0,0,'','',8),(185,'tagclouds','6','we_backend',0,0,'-1',0,0,'','',8),(186,'tb_megamenu','main-menu','we_backend',1,0,'header',0,0,'mega-menus','',-1),(187,'tb_megamenu','management','we_backend',0,0,'-1',0,0,'','',-1),(188,'tb_megamenu','menu-category','we_backend',0,0,'-1',0,0,'','',-1),(189,'tb_megamenu','navigation','we_backend',0,0,'-1',0,0,'','',-1),(190,'tb_megamenu','user-menu','we_backend',0,0,'-1',0,0,'','',-1),(191,'user','login','we_backend',1,-13,'sidebar_first',0,0,'<front>\r\nshowcase\r\ncategories\r\nnode/92','',-1),(192,'user','new','we_backend',1,0,'dashboard_inactive',0,0,'','',1),(193,'user','online','we_backend',1,-12,'dashboard_inactive',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','',-1),(194,'views','featured_posts-block','we_backend',0,-15,'-1',0,0,'<front>\r\nshowcase\r\ncategories\r\nnode/92','',-1),(195,'views','trending_posts-block','we_backend',0,-10,'-1',0,0,'<front>\r\ncontact\r\nshowcase\r\ncategories\r\nnode/92','',-1);
/*!40000 ALTER TABLE `block` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_custom`
--

DROP TABLE IF EXISTS `block_custom`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_custom` (
  `bid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The block’s block.bid.',
  `body` longtext COMMENT 'Block contents.',
  `info` varchar(128) NOT NULL DEFAULT '' COMMENT 'Block description.',
  `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the block body.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `info` (`info`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COMMENT='Stores contents of custom-made blocks.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_custom`
--

LOCK TABLES `block_custom` WRITE;
/*!40000 ALTER TABLE `block_custom` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_custom` VALUES (2,'<ul class=\"social-list\"><li><a href=\"http://facebook.com/weebpal\" title=\"Facebook\"><i class=\"fa fa-facebook\"></i></a></li>\r\n<li><a href=\"http://twiiter.com/weebpal\" title=\"Twitter\"><i class=\"fa fa-twitter\"></i></a></li>\r\n<li><a href=\"#\" title=\"Google plus\"><i class=\"fa fa-google-plus\"></i></a></li>\r\n<li><a href=\"#\" title=\"RSS\"><i class=\"fa fa-rss\"></i></a></li>\r\n</ul>','Socials','full_html'),(3,'&copy; 2014 Pinteros is proudly powered by <a href=\"http://drupal.org\" target=\"_blank\">Drupal</a> | Designed by <a href=\"http://weebpal.com\" target=\"_blank\">WeebPal.com</a>','Copyright','filtered_html'),(4,'<a href=\"http://weebpal.com/drupal-themes/autox\" target=\"_blank\"><img alt=\"ads\" src=\"<?php print base_path();?>sites/default/files/field/image/ads-1.jpg\"/></a>','ADs','php_code'),(5,'Weebpal provides further quality premium Drupal themes with subtle designs, optimal distributions, and committed support, which is suited for a higher business/individual level...','About us','php_code'),(6,'<div class=\"general-info\">\r\n<p><strong>Address :</strong></p>\r\n<p>999 Hardway Street 12rd Floor We are hiring! Inc , New York City 7 Street , 077 United States.</p>\r\n<p><strong>Telephone :</strong></p>\r\n<p>(+ 012 ) 20 7345 667</p>\r\n<p><strong>Fax :</strong></p>\r\n<p>(+ 012 ) 20 7345 668</p>\r\n<p><strong>Mail :</strong></p>\r\n<p><a href=\"mailto:support@weebpal.com\">support@weebpal.com</a></p>\r\n<p><strong>Website :</strong></p>\r\n<p><a href=\"http://www.weebpal.com\">www.weebpal.com</a></p>\r\n</div>','General Information','php_code'),(7,'<script src=\"http://maps.google.com/maps/api/js?sensor=false\"></script>\r\n<script src=\"<?php print base_path();?><?php print path_to_theme() . \'/js/custom-map.js\';?>\"></script>\r\n\r\n','Map','php_code');
/*!40000 ALTER TABLE `block_custom` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_node_type`
--

DROP TABLE IF EXISTS `block_node_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_node_type` (
  `module` varchar(64) NOT NULL COMMENT 'The block’s origin module, from block.module.',
  `delta` varchar(32) NOT NULL COMMENT 'The block’s unique delta within module, from block.delta.',
  `type` varchar(32) NOT NULL COMMENT 'The machine-readable name of this type from node_type.type.',
  PRIMARY KEY (`module`,`delta`,`type`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sets up display criteria for blocks based on content types';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_node_type`
--

LOCK TABLES `block_node_type` WRITE;
/*!40000 ALTER TABLE `block_node_type` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `block_node_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_role`
--

DROP TABLE IF EXISTS `block_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_role` (
  `module` varchar(64) NOT NULL COMMENT 'The block’s origin module, from block.module.',
  `delta` varchar(32) NOT NULL COMMENT 'The block’s unique delta within module, from block.delta.',
  `rid` int(10) unsigned NOT NULL COMMENT 'The user’s role ID from users_roles.rid.',
  PRIMARY KEY (`module`,`delta`,`rid`),
  KEY `rid` (`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sets up access permissions for blocks based on user roles';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_role`
--

LOCK TABLES `block_role` WRITE;
/*!40000 ALTER TABLE `block_role` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `block_role` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `blocked_ips`
--

DROP TABLE IF EXISTS `blocked_ips`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blocked_ips` (
  `iid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: unique ID for IP addresses.',
  `ip` varchar(40) NOT NULL DEFAULT '' COMMENT 'IP address',
  PRIMARY KEY (`iid`),
  KEY `blocked_ip` (`ip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores blocked IP addresses.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blocked_ips`
--

LOCK TABLES `blocked_ips` WRITE;
/*!40000 ALTER TABLE `blocked_ips` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `blocked_ips` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache`
--

DROP TABLE IF EXISTS `cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache`
--

LOCK TABLES `cache` WRITE;
/*!40000 ALTER TABLE `cache` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache` VALUES ('schema:runtime:1','a:20:{s:7:\"context\";a:5:{s:6:\"export\";a:6:{s:3:\"key\";s:4:\"name\";s:10:\"identifier\";s:7:\"context\";s:12:\"default hook\";s:24:\"context_default_contexts\";s:6:\"status\";s:14:\"context_status\";s:3:\"api\";a:4:{s:5:\"owner\";s:7:\"context\";s:3:\"api\";s:7:\"context\";s:15:\"minimum_version\";i:3;s:15:\"current_version\";i:3;}s:15:\"export callback\";s:14:\"context_export\";}s:6:\"fields\";a:6:{s:4:\"name\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:11:\"description\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:3:\"tag\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:10:\"conditions\";a:2:{s:4:\"type\";s:4:\"text\";s:9:\"serialize\";b:1;}s:9:\"reactions\";a:2:{s:4:\"type\";s:4:\"text\";s:9:\"serialize\";b:1;}s:14:\"condition_mode\";a:2:{s:4:\"type\";s:3:\"int\";s:7:\"default\";i:0;}}s:11:\"primary key\";a:1:{i:0;s:4:\"name\";}s:6:\"module\";s:7:\"context\";s:4:\"name\";s:7:\"context\";}s:9:\"bean_type\";a:6:{s:6:\"export\";a:5:{s:3:\"key\";s:4:\"name\";s:10:\"identifier\";s:9:\"bean_type\";s:12:\"default hook\";s:19:\"bean_admin_ui_types\";s:11:\"admin_title\";s:5:\"label\";s:3:\"api\";a:4:{s:5:\"owner\";s:13:\"bean_admin_ui\";s:3:\"api\";s:4:\"bean\";s:15:\"minimum_version\";i:4;s:15:\"current_version\";i:5;}}s:6:\"fields\";a:5:{s:7:\"type_id\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:9:\"no export\";b:1;}s:4:\"name\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}s:5:\"label\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:7:\"options\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}s:11:\"description\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}}s:11:\"primary key\";a:1:{i:0;s:7:\"type_id\";}s:11:\"unique keys\";a:1:{s:4:\"name\";a:1:{i:0;s:4:\"name\";}}s:6:\"module\";s:13:\"bean_admin_ui\";s:4:\"name\";s:9:\"bean_type\";}s:4:\"bean\";a:6:{s:6:\"fields\";a:11:{s:3:\"bid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"not null\";b:1;s:8:\"unsigned\";b:1;}s:3:\"vid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:8:\"unsigned\";b:1;s:7:\"default\";i:0;}s:5:\"delta\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}s:5:\"label\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:4:\"type\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:9:\"view_mode\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:7:\"default\";}s:4:\"data\";a:4:{s:4:\"type\";s:4:\"text\";s:8:\"not null\";b:0;s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;}s:3:\"uid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"created\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"changed\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}}s:12:\"foreign keys\";a:2:{s:4:\"type\";a:2:{s:5:\"table\";s:9:\"bean_type\";s:7:\"columns\";a:1:{s:4:\"type\";s:4:\"type\";}}s:13:\"bean_revision\";a:2:{s:5:\"table\";s:13:\"bean_revision\";s:7:\"columns\";a:1:{s:3:\"vid\";s:3:\"vid\";}}}s:11:\"primary key\";a:1:{i:0;s:3:\"bid\";}s:11:\"unique keys\";a:2:{s:3:\"vid\";a:1:{i:0;s:3:\"vid\";}s:5:\"delta\";a:1:{i:0;s:5:\"delta\";}}s:6:\"module\";s:4:\"bean\";s:4:\"name\";s:4:\"bean\";}s:13:\"bean_revision\";a:6:{s:6:\"fields\";a:12:{s:3:\"bid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:8:\"unsigned\";b:1;s:7:\"default\";i:0;}s:3:\"vid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"not null\";b:1;s:8:\"unsigned\";b:1;}s:5:\"delta\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:1;}s:5:\"label\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:4:\"type\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:9:\"view_mode\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:7:\"default\";}s:4:\"data\";a:4:{s:4:\"type\";s:4:\"text\";s:8:\"not null\";b:0;s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;}s:3:\"uid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"created\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"changed\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:3:\"log\";a:2:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";}}s:12:\"foreign keys\";a:2:{s:4:\"type\";a:2:{s:5:\"table\";s:9:\"bean_type\";s:7:\"columns\";a:1:{s:4:\"type\";s:4:\"type\";}}s:12:\"version_bean\";a:2:{s:5:\"table\";s:4:\"bean\";s:7:\"columns\";a:1:{s:3:\"bid\";s:3:\"bid\";}}}s:11:\"primary key\";a:1:{i:0;s:3:\"vid\";}s:7:\"indexes\";a:1:{s:3:\"bid\";a:2:{i:0;s:3:\"bid\";i:1;s:3:\"vid\";}}s:6:\"module\";s:4:\"bean\";s:4:\"name\";s:13:\"bean_revision\";}s:7:\"comment\";a:6:{s:6:\"fields\";a:14:{s:3:\"cid\";a:2:{s:4:\"type\";s:6:\"serial\";s:8:\"not null\";b:1;}s:3:\"pid\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:3:\"nid\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:3:\"uid\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"subject\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:8:\"hostname\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:7:\"created\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"changed\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"status\";a:5:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:1;s:4:\"size\";s:4:\"tiny\";}s:6:\"thread\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:4:\"name\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:60;s:8:\"not null\";b:0;}s:4:\"mail\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:8:\"not null\";b:0;}s:8:\"homepage\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:8:\"language\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:12;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}}s:7:\"indexes\";a:5:{s:18:\"comment_status_pid\";a:2:{i:0;s:3:\"pid\";i:1;s:6:\"status\";}s:15:\"comment_num_new\";a:5:{i:0;s:3:\"nid\";i:1;s:6:\"status\";i:2;s:7:\"created\";i:3;s:3:\"cid\";i:4;s:6:\"thread\";}s:11:\"comment_uid\";a:1:{i:0;s:3:\"uid\";}s:20:\"comment_nid_language\";a:2:{i:0;s:3:\"nid\";i:1;s:8:\"language\";}s:15:\"comment_created\";a:1:{i:0;s:7:\"created\";}}s:11:\"primary key\";a:1:{i:0;s:3:\"cid\";}s:12:\"foreign keys\";a:2:{s:12:\"comment_node\";a:2:{s:5:\"table\";s:4:\"node\";s:7:\"columns\";a:1:{s:3:\"nid\";s:3:\"nid\";}}s:14:\"comment_author\";a:2:{s:5:\"table\";s:5:\"users\";s:7:\"columns\";a:1:{s:3:\"uid\";s:3:\"uid\";}}}s:6:\"module\";s:7:\"comment\";s:4:\"name\";s:7:\"comment\";}s:21:\"newsletter_subscriber\";a:6:{s:6:\"fields\";a:12:{s:4:\"nsid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:3:\"uid\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;s:7:\"default\";N;}s:5:\"email\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:8:\"not null\";b:1;}s:9:\"firstname\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:8:\"not null\";b:0;}s:8:\"lastname\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:8:\"not null\";b:0;}s:6:\"gender\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:24;s:8:\"not null\";b:0;}s:14:\"receive_format\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:11;s:8:\"not null\";b:0;}s:2:\"ip\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:22;s:8:\"not null\";b:0;}s:4:\"hash\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:128;s:8:\"not null\";b:1;}s:9:\"confirmed\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:22:\"confirmation_timestamp\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"created\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;s:7:\"default\";i:0;}}s:7:\"indexes\";a:1:{s:18:\"subscriber_created\";a:1:{i:0;s:7:\"created\";}}s:11:\"unique keys\";a:2:{s:16:\"subscriber_email\";a:1:{i:0;s:5:\"email\";}s:14:\"subscriber_uid\";a:1:{i:0;s:3:\"uid\";}}s:11:\"primary key\";a:1:{i:0;s:4:\"nsid\";}s:6:\"module\";s:10:\"newsletter\";s:4:\"name\";s:21:\"newsletter_subscriber\";}s:15:\"newsletter_list\";a:7:{s:6:\"fields\";a:6:{s:4:\"nlid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:5:\"title\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:9:\"send_rate\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:11;s:8:\"not null\";b:1;s:7:\"default\";s:6:\"Manual\";}s:9:\"last_sent\";a:2:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;}s:10:\"send_again\";a:5:{s:10:\"mysql_type\";s:4:\"date\";s:10:\"pgsql_type\";s:9:\"timestamp\";s:11:\"sqlsrv_type\";s:4:\"date\";s:4:\"type\";N;s:8:\"not null\";b:0;}s:7:\"created\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;s:7:\"default\";i:0;}}s:11:\"unique keys\";a:1:{s:10:\"list_title\";a:1:{i:0;s:5:\"title\";}}s:12:\"foreign keys\";a:1:{s:16:\"tracked_template\";a:2:{s:5:\"table\";s:19:\"newsletter_template\";s:7:\"columns\";a:1:{s:4:\"ntid\";s:4:\"ntid\";}}}s:7:\"indexes\";a:1:{s:12:\"list_created\";a:1:{i:0;s:7:\"created\";}}s:11:\"primary key\";a:1:{i:0;s:4:\"nlid\";}s:6:\"module\";s:10:\"newsletter\";s:4:\"name\";s:15:\"newsletter_list\";}s:19:\"newsletter_template\";a:6:{s:6:\"fields\";a:5:{s:4:\"ntid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:7:\"subject\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:5:\"basic\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;s:7:\"default\";i:0;}s:7:\"exposed\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"created\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;s:7:\"default\";i:0;}}s:11:\"unique keys\";a:1:{s:16:\"template_subject\";a:1:{i:0;s:7:\"subject\";}}s:7:\"indexes\";a:1:{s:16:\"template_created\";a:1:{i:0;s:7:\"created\";}}s:11:\"primary key\";a:1:{i:0;s:4:\"ntid\";}s:6:\"module\";s:10:\"newsletter\";s:4:\"name\";s:19:\"newsletter_template\";}s:21:\"newsletter_newsletter\";a:6:{s:6:\"fields\";a:9:{s:4:\"nnid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:5:\"title\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:7:\"send_id\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;s:7:\"default\";i:0;}s:6:\"custom\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:4:\"ntid\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:8:\"unsigned\";b:1;}s:16:\"subscribers_sent\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;s:7:\"default\";i:0;}s:6:\"clicks\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:5:\"opens\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:9:\"last_sent\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;s:7:\"default\";i:0;}}s:12:\"foreign keys\";a:1:{s:16:\"tracked_template\";a:2:{s:5:\"table\";s:20:\"newsletter_templates\";s:7:\"columns\";a:1:{s:4:\"ntid\";s:4:\"ntid\";}}}s:7:\"indexes\";a:2:{s:18:\"newsletter_send_id\";a:1:{i:0;s:7:\"send_id\";}s:20:\"newsletter_last_sent\";a:1:{i:0;s:9:\"last_sent\";}}s:11:\"primary key\";a:1:{i:0;s:4:\"nnid\";}s:6:\"module\";s:10:\"newsletter\";s:4:\"name\";s:21:\"newsletter_newsletter\";}s:4:\"node\";a:7:{s:6:\"fields\";a:14:{s:3:\"nid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:3:\"vid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;s:7:\"default\";N;}s:4:\"type\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:8:\"language\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:12;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:3:\"uid\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:1;}s:7:\"created\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"changed\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"comment\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"promote\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"sticky\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:4:\"tnid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:9:\"translate\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}}s:7:\"indexes\";a:10:{s:12:\"node_changed\";a:1:{i:0;s:7:\"changed\";}s:12:\"node_created\";a:1:{i:0;s:7:\"created\";}s:14:\"node_frontpage\";a:4:{i:0;s:7:\"promote\";i:1;s:6:\"status\";i:2;s:6:\"sticky\";i:3;s:7:\"created\";}s:16:\"node_status_type\";a:3:{i:0;s:6:\"status\";i:1;s:4:\"type\";i:2;s:3:\"nid\";}s:15:\"node_title_type\";a:2:{i:0;s:5:\"title\";i:1;a:2:{i:0;s:4:\"type\";i:1;i:4;}}s:9:\"node_type\";a:1:{i:0;a:2:{i:0;s:4:\"type\";i:1;i:4;}}s:3:\"uid\";a:1:{i:0;s:3:\"uid\";}s:4:\"tnid\";a:1:{i:0;s:4:\"tnid\";}s:9:\"translate\";a:1:{i:0;s:9:\"translate\";}s:8:\"language\";a:1:{i:0;s:8:\"language\";}}s:11:\"unique keys\";a:1:{s:3:\"vid\";a:1:{i:0;s:3:\"vid\";}}s:12:\"foreign keys\";a:2:{s:13:\"node_revision\";a:2:{s:5:\"table\";s:13:\"node_revision\";s:7:\"columns\";a:1:{s:3:\"vid\";s:3:\"vid\";}}s:11:\"node_author\";a:2:{s:5:\"table\";s:5:\"users\";s:7:\"columns\";a:1:{s:3:\"uid\";s:3:\"uid\";}}}s:11:\"primary key\";a:1:{i:0;s:3:\"nid\";}s:6:\"module\";s:4:\"node\";s:4:\"name\";s:4:\"node\";}s:13:\"node_revision\";a:6:{s:6:\"fields\";a:10:{s:3:\"nid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:3:\"vid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:3:\"uid\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:3:\"log\";a:3:{s:4:\"type\";s:4:\"text\";s:8:\"not null\";b:1;s:4:\"size\";s:3:\"big\";}s:9:\"timestamp\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:1;}s:7:\"comment\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"promote\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"sticky\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}}s:7:\"indexes\";a:2:{s:3:\"nid\";a:1:{i:0;s:3:\"nid\";}s:3:\"uid\";a:1:{i:0;s:3:\"uid\";}}s:11:\"primary key\";a:1:{i:0;s:3:\"vid\";}s:12:\"foreign keys\";a:2:{s:14:\"versioned_node\";a:2:{s:5:\"table\";s:4:\"node\";s:7:\"columns\";a:1:{s:3:\"nid\";s:3:\"nid\";}}s:14:\"version_author\";a:2:{s:5:\"table\";s:5:\"users\";s:7:\"columns\";a:1:{s:3:\"uid\";s:3:\"uid\";}}}s:6:\"module\";s:4:\"node\";s:4:\"name\";s:13:\"node_revision\";}s:12:\"file_managed\";a:7:{s:6:\"fields\";a:8:{s:3:\"fid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:3:\"uid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:8:\"filename\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:3:\"uri\";a:5:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:6:\"binary\";b:1;}s:8:\"filemime\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:8:\"filesize\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:3:\"big\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"status\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:4:\"size\";s:4:\"tiny\";}s:9:\"timestamp\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}}s:7:\"indexes\";a:3:{s:3:\"uid\";a:1:{i:0;s:3:\"uid\";}s:6:\"status\";a:1:{i:0;s:6:\"status\";}s:9:\"timestamp\";a:1:{i:0;s:9:\"timestamp\";}}s:11:\"unique keys\";a:1:{s:3:\"uri\";a:1:{i:0;s:3:\"uri\";}}s:11:\"primary key\";a:1:{i:0;s:3:\"fid\";}s:12:\"foreign keys\";a:1:{s:10:\"file_owner\";a:2:{s:5:\"table\";s:5:\"users\";s:7:\"columns\";a:1:{s:3:\"uid\";s:3:\"uid\";}}}s:6:\"module\";s:6:\"system\";s:4:\"name\";s:12:\"file_managed\";}s:18:\"taxonomy_term_data\";a:6:{s:6:\"fields\";a:6:{s:3:\"tid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:3:\"vid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:4:\"name\";a:5:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:12:\"translatable\";b:1;}s:11:\"description\";a:4:{s:4:\"type\";s:4:\"text\";s:8:\"not null\";b:0;s:4:\"size\";s:3:\"big\";s:12:\"translatable\";b:1;}s:6:\"format\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:6:\"weight\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}}s:11:\"primary key\";a:1:{i:0;s:3:\"tid\";}s:12:\"foreign keys\";a:1:{s:10:\"vocabulary\";a:2:{s:5:\"table\";s:19:\"taxonomy_vocabulary\";s:7:\"columns\";a:1:{s:3:\"vid\";s:3:\"vid\";}}}s:7:\"indexes\";a:3:{s:13:\"taxonomy_tree\";a:3:{i:0;s:3:\"vid\";i:1;s:6:\"weight\";i:2;s:4:\"name\";}s:8:\"vid_name\";a:2:{i:0;s:3:\"vid\";i:1;s:4:\"name\";}s:4:\"name\";a:1:{i:0;s:4:\"name\";}}s:6:\"module\";s:8:\"taxonomy\";s:4:\"name\";s:18:\"taxonomy_term_data\";}s:19:\"taxonomy_vocabulary\";a:6:{s:6:\"fields\";a:7:{s:3:\"vid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:4:\"name\";a:5:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:12:\"translatable\";b:1;}s:12:\"machine_name\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:11:\"description\";a:4:{s:4:\"type\";s:4:\"text\";s:8:\"not null\";b:0;s:4:\"size\";s:3:\"big\";s:12:\"translatable\";b:1;}s:9:\"hierarchy\";a:5:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;s:4:\"size\";s:4:\"tiny\";}s:6:\"module\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:6:\"weight\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}}s:11:\"primary key\";a:1:{i:0;s:3:\"vid\";}s:7:\"indexes\";a:1:{s:4:\"list\";a:2:{i:0;s:6:\"weight\";i:1;s:4:\"name\";}}s:11:\"unique keys\";a:1:{s:12:\"machine_name\";a:1:{i:0;s:12:\"machine_name\";}}s:6:\"module\";s:8:\"taxonomy\";s:4:\"name\";s:19:\"taxonomy_vocabulary\";}s:5:\"users\";a:7:{s:6:\"fields\";a:16:{s:3:\"uid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:4:\"name\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:60;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:4:\"pass\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:4:\"mail\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;s:8:\"not null\";b:0;s:7:\"default\";s:0:\"\";}s:5:\"theme\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:9:\"signature\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:16:\"signature_format\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:7:\"created\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"access\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:5:\"login\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"status\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:4:\"size\";s:4:\"tiny\";}s:8:\"timezone\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:0;}s:8:\"language\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:12;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:7:\"picture\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:4:\"init\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;s:8:\"not null\";b:0;s:7:\"default\";s:0:\"\";}s:4:\"data\";a:4:{s:4:\"type\";s:4:\"blob\";s:8:\"not null\";b:0;s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;}}s:7:\"indexes\";a:4:{s:6:\"access\";a:1:{i:0;s:6:\"access\";}s:7:\"created\";a:1:{i:0;s:7:\"created\";}s:4:\"mail\";a:1:{i:0;s:4:\"mail\";}s:7:\"picture\";a:1:{i:0;s:7:\"picture\";}}s:11:\"unique keys\";a:1:{s:4:\"name\";a:1:{i:0;s:4:\"name\";}}s:11:\"primary key\";a:1:{i:0;s:3:\"uid\";}s:12:\"foreign keys\";a:1:{s:16:\"signature_format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:16:\"signature_format\";s:6:\"format\";}}}s:6:\"module\";s:4:\"user\";s:4:\"name\";s:5:\"users\";}s:16:\"vef_video_styles\";a:5:{s:6:\"export\";a:4:{s:3:\"key\";s:4:\"name\";s:10:\"identifier\";s:17:\"video_embed_style\";s:12:\"default hook\";s:26:\"default_video_embed_styles\";s:3:\"api\";a:4:{s:5:\"owner\";s:17:\"video_embed_field\";s:3:\"api\";s:26:\"default_video_embed_styles\";s:15:\"minimum_version\";i:1;s:15:\"current_version\";i:1;}}s:6:\"fields\";a:3:{s:4:\"name\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:5:\"title\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:4:\"data\";a:4:{s:4:\"type\";s:4:\"blob\";s:4:\"size\";s:3:\"big\";s:8:\"not null\";b:1;s:9:\"serialize\";b:1;}}s:11:\"primary key\";a:1:{i:0;s:4:\"name\";}s:6:\"module\";s:17:\"video_embed_field\";s:4:\"name\";s:16:\"vef_video_styles\";}s:10:\"views_view\";a:6:{s:6:\"export\";a:17:{s:10:\"identifier\";s:4:\"view\";s:11:\"bulk export\";b:1;s:11:\"primary key\";s:3:\"vid\";s:12:\"default hook\";s:19:\"views_default_views\";s:11:\"admin_title\";s:10:\"human_name\";s:17:\"admin_description\";s:11:\"description\";s:3:\"api\";a:4:{s:5:\"owner\";s:5:\"views\";s:3:\"api\";s:13:\"views_default\";s:15:\"minimum_version\";s:1:\"2\";s:15:\"current_version\";s:3:\"3.0\";}s:6:\"object\";s:4:\"view\";s:19:\"subrecords callback\";s:26:\"views_load_display_records\";s:6:\"status\";s:14:\"views_defaults\";s:15:\"create callback\";s:14:\"views_new_view\";s:13:\"save callback\";s:15:\"views_save_view\";s:15:\"delete callback\";s:17:\"views_delete_view\";s:15:\"export callback\";s:17:\"views_export_view\";s:15:\"status callback\";s:19:\"views_export_status\";s:14:\"cache defaults\";b:1;s:17:\"default cache bin\";s:11:\"cache_views\";}s:6:\"fields\";a:7:{s:3:\"vid\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:9:\"no export\";b:1;}s:4:\"name\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:128;s:7:\"default\";s:0:\"\";s:8:\"not null\";b:1;}s:11:\"description\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";s:3:\"255\";s:7:\"default\";s:0:\"\";}s:3:\"tag\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";s:3:\"255\";s:7:\"default\";s:0:\"\";}s:10:\"base_table\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:7:\"default\";s:0:\"\";s:8:\"not null\";b:1;}s:10:\"human_name\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";s:3:\"255\";s:7:\"default\";s:0:\"\";}s:4:\"core\";a:2:{s:4:\"type\";s:3:\"int\";s:7:\"default\";i:0;}}s:11:\"primary key\";a:1:{i:0;s:3:\"vid\";}s:11:\"unique keys\";a:1:{s:4:\"name\";a:1:{i:0;s:4:\"name\";}}s:6:\"module\";s:5:\"views\";s:4:\"name\";s:10:\"views_view\";}s:13:\"views_display\";a:5:{s:6:\"fields\";a:6:{s:3:\"vid\";a:5:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;s:9:\"no export\";b:1;}s:2:\"id\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";s:2:\"64\";s:7:\"default\";s:0:\"\";s:8:\"not null\";b:1;}s:13:\"display_title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";s:2:\"64\";s:7:\"default\";s:0:\"\";s:8:\"not null\";b:1;}s:14:\"display_plugin\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";s:2:\"64\";s:7:\"default\";s:0:\"\";s:8:\"not null\";b:1;}s:8:\"position\";a:2:{s:4:\"type\";s:3:\"int\";s:7:\"default\";i:0;}s:15:\"display_options\";a:4:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:18:\"serialized default\";s:6:\"a:0:{}\";}}s:7:\"indexes\";a:1:{s:3:\"vid\";a:2:{i:0;s:3:\"vid\";i:1;s:8:\"position\";}}s:11:\"primary key\";a:2:{i:0;s:3:\"vid\";i:1;s:2:\"id\";}s:6:\"module\";s:5:\"views\";s:4:\"name\";s:13:\"views_display\";}s:16:\"date_format_type\";a:5:{s:6:\"fields\";a:3:{s:4:\"type\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:8:\"not null\";b:1;}s:5:\"title\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:6:\"locked\";a:4:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:7:\"default\";i:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:1:{i:0;s:4:\"type\";}s:7:\"indexes\";a:1:{s:5:\"title\";a:1:{i:0;s:5:\"title\";}}s:6:\"module\";s:6:\"system\";s:4:\"name\";s:16:\"date_format_type\";}s:12:\"date_formats\";a:5:{s:6:\"fields\";a:4:{s:4:\"dfid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"not null\";b:1;s:8:\"unsigned\";b:1;}s:6:\"format\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:100;s:8:\"not null\";b:1;s:6:\"binary\";b:1;}s:4:\"type\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:8:\"not null\";b:1;}s:6:\"locked\";a:4:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:7:\"default\";i:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:1:{i:0;s:4:\"dfid\";}s:11:\"unique keys\";a:1:{s:7:\"formats\";a:2:{i:0;s:6:\"format\";i:1;s:4:\"type\";}}s:6:\"module\";s:6:\"system\";s:4:\"name\";s:12:\"date_formats\";}}',0,1500348067,1);
/*!40000 ALTER TABLE `cache` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_admin_menu`
--

DROP TABLE IF EXISTS `cache_admin_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_admin_menu` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for Administration menu to store client-side...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_admin_menu`
--

LOCK TABLES `cache_admin_menu` WRITE;
/*!40000 ALTER TABLE `cache_admin_menu` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_admin_menu` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_block`
--

DROP TABLE IF EXISTS `cache_block`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_block` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Block module to store already built...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_block`
--

LOCK TABLES `cache_block` WRITE;
/*!40000 ALTER TABLE `cache_block` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_block` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_bootstrap`
--

DROP TABLE IF EXISTS `cache_bootstrap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_bootstrap` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for data required to bootstrap Drupal, may be...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_bootstrap`
--

LOCK TABLES `cache_bootstrap` WRITE;
/*!40000 ALTER TABLE `cache_bootstrap` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_bootstrap` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_field`
--

DROP TABLE IF EXISTS `cache_field`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_field` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_field`
--

LOCK TABLES `cache_field` WRITE;
/*!40000 ALTER TABLE `cache_field` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_field` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_filter`
--

DROP TABLE IF EXISTS `cache_filter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_filter` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Filter module to store already...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_filter`
--

LOCK TABLES `cache_filter` WRITE;
/*!40000 ALTER TABLE `cache_filter` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_filter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_form`
--

DROP TABLE IF EXISTS `cache_form`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_form` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the form system to store recently built...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_form`
--

LOCK TABLES `cache_form` WRITE;
/*!40000 ALTER TABLE `cache_form` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_form` VALUES ('form_form--S3297iqkpp-tr8xF7GRFuhXKF9Oz-bcj8nXBbNcfIo','a:23:{s:6:\"#field\";a:16:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:9:{s:10:\"uri_scheme\";s:6:\"public\";s:20:\"uri_scheme_converted\";s:6:\"public\";s:21:\"uri_scheme_thumbnails\";s:6:\"public\";s:14:\"autoconversion\";i:1;s:16:\"thumbnail_format\";s:3:\"jpg\";s:13:\"autothumbnail\";s:4:\"auto\";s:23:\"default_video_thumbnail\";a:4:{s:3:\"fid\";i:0;s:13:\"upload_button\";s:6:\"Upload\";s:13:\"remove_button\";s:6:\"Remove\";s:6:\"upload\";s:0:\"\";}s:25:\"preview_video_thumb_style\";s:9:\"thumbnail\";s:7:\"presets\";a:0:{}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:28:\"field_data_field_local_video\";a:2:{s:3:\"fid\";s:21:\"field_local_video_fid\";s:9:\"thumbnail\";s:27:\"field_local_video_thumbnail\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:32:\"field_revision_field_local_video\";a:2:{s:3:\"fid\";s:21:\"field_local_video_fid\";s:9:\"thumbnail\";s:27:\"field_local_video_thumbnail\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:2:\"id\";s:2:\"17\";s:10:\"field_name\";s:17:\"field_local_video\";s:4:\"type\";s:5:\"video\";s:6:\"module\";s:5:\"video\";s:6:\"active\";s:1:\"1\";s:6:\"locked\";s:1:\"0\";s:11:\"cardinality\";s:1:\"1\";s:7:\"deleted\";s:1:\"0\";s:7:\"columns\";a:2:{s:3:\"fid\";a:4:{s:11:\"description\";s:54:\"The {file_managed}.fid being referenced in this field.\";s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;s:8:\"unsigned\";b:1;}s:9:\"thumbnail\";a:4:{s:11:\"description\";s:60:\"The {file_managed}.fid being referenced for video thumbnail.\";s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;s:8:\"unsigned\";b:1;}}s:7:\"bundles\";a:1:{s:4:\"node\";a:1:{i:0;s:11:\"local_video\";}}}s:9:\"#instance\";a:12:{s:5:\"label\";s:11:\"Local Video\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"-3\";s:4:\"type\";s:12:\"video_upload\";s:6:\"module\";s:5:\"video\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:18:\"progress_indicator\";s:8:\"throbber\";}}s:8:\"settings\";a:5:{s:14:\"file_directory\";s:15:\"videos/original\";s:15:\"file_extensions\";s:32:\"mp4 ogg avi mov wmv flv ogv webm\";s:12:\"max_filesize\";s:0:\"\";s:18:\"default_dimensions\";s:7:\"640x360\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:22:\"video_formatter_player\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:12:\"widthxheight\";s:7:\"640x360\";s:18:\"poster_image_style\";s:16:\"pinteros-display\";}s:6:\"module\";s:5:\"video\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:25:\"video_formatter_thumbnail\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:16:\"pinteros-display\";s:10:\"image_link\";s:7:\"content\";s:12:\"widthxheight\";s:7:\"640x360\";}s:6:\"module\";s:5:\"video\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:2:\"id\";s:2:\"51\";s:8:\"field_id\";s:2:\"17\";s:10:\"field_name\";s:17:\"field_local_video\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"local_video\";s:7:\"deleted\";s:1:\"0\";}s:8:\"instance\";a:13:{s:5:\"#tree\";b:1;s:5:\"#type\";s:8:\"fieldset\";s:6:\"#title\";s:49:\"<em class=\"placeholder\">Local Video</em> settings\";s:12:\"#description\";s:143:\"These settings apply only to the <em class=\"placeholder\">Local Video</em> field when used in the <em class=\"placeholder\">Local Video</em> type.\";s:11:\"#pre_render\";a:3:{i:0;s:39:\"field_ui_field_edit_instance_pre_render\";i:1;s:24:\"form_pre_render_fieldset\";i:2;s:27:\"ctools_dependent_pre_render\";}s:10:\"field_name\";a:2:{s:5:\"#type\";s:5:\"value\";s:6:\"#value\";s:17:\"field_local_video\";}s:11:\"entity_type\";a:2:{s:5:\"#type\";s:5:\"value\";s:6:\"#value\";s:4:\"node\";}s:6:\"bundle\";a:2:{s:5:\"#type\";s:5:\"value\";s:6:\"#value\";s:11:\"local_video\";}s:6:\"widget\";a:5:{s:6:\"weight\";a:2:{s:5:\"#type\";s:5:\"value\";s:6:\"#value\";s:2:\"-3\";}s:4:\"type\";a:2:{s:5:\"#type\";s:5:\"value\";s:6:\"#value\";s:12:\"video_upload\";}s:6:\"module\";a:2:{s:5:\"#type\";s:5:\"value\";s:6:\"#value\";s:5:\"video\";}s:6:\"active\";a:2:{s:5:\"#type\";s:5:\"value\";s:6:\"#value\";i:1;}s:8:\"settings\";a:1:{s:18:\"progress_indicator\";a:7:{s:5:\"#type\";s:6:\"radios\";s:6:\"#title\";s:18:\"Progress indicator\";s:8:\"#options\";a:2:{s:8:\"throbber\";s:8:\"Throbber\";s:3:\"bar\";s:23:\"Bar with progress meter\";}s:14:\"#default_value\";s:8:\"throbber\";s:12:\"#description\";s:151:\"The throbber display does not show the status of uploads but takes up less space. The progress bar is helpful for monitoring progress on large uploads.\";s:7:\"#weight\";i:16;s:7:\"#access\";b:0;}}}s:5:\"label\";a:5:{s:5:\"#type\";s:9:\"textfield\";s:6:\"#title\";s:5:\"Label\";s:14:\"#default_value\";s:11:\"Local Video\";s:9:\"#required\";b:1;s:7:\"#weight\";i:-20;}s:8:\"required\";a:4:{s:5:\"#type\";s:8:\"checkbox\";s:6:\"#title\";s:14:\"Required field\";s:14:\"#default_value\";b:0;s:7:\"#weight\";i:-10;}s:11:\"description\";a:8:{s:5:\"#type\";s:8:\"textarea\";s:6:\"#title\";s:9:\"Help text\";s:14:\"#default_value\";s:0:\"\";s:5:\"#rows\";i:5;s:12:\"#description\";s:385:\"Instructions to present to the user below this field on the editing form.<br />Allowed HTML tags: &lt;a&gt; &lt;b&gt; &lt;big&gt; &lt;code&gt; &lt;del&gt; &lt;em&gt; &lt;i&gt; &lt;ins&gt; &lt;pre&gt; &lt;q&gt; &lt;small&gt; &lt;span&gt; &lt;strong&gt; &lt;sub&gt; &lt;sup&gt; &lt;tt&gt; &lt;ol&gt; &lt;ul&gt; &lt;li&gt; &lt;p&gt; &lt;br&gt; &lt;img&gt;<br />This field supports tokens.\";s:7:\"#weight\";i:-5;s:17:\"#element_validate\";a:1:{i:0;s:22:\"token_element_validate\";}s:12:\"#token_types\";a:0:{}}s:8:\"settings\";a:5:{s:14:\"file_directory\";a:6:{s:5:\"#type\";s:9:\"textfield\";s:6:\"#title\";s:14:\"File directory\";s:14:\"#default_value\";s:15:\"videos/original\";s:12:\"#description\";s:125:\"Optional subdirectory within the upload destination where files will be stored. Do not include preceding or trailing slashes.\";s:17:\"#element_validate\";a:1:{i:0;s:46:\"_file_generic_settings_file_directory_validate\";}s:7:\"#weight\";i:3;}s:15:\"file_extensions\";a:8:{s:5:\"#type\";s:9:\"textfield\";s:6:\"#title\";s:23:\"Allowed file extensions\";s:14:\"#default_value\";s:39:\"mp4, ogg, avi, mov, wmv, flv, ogv, webm\";s:12:\"#description\";s:77:\"Separate extensions with a space or comma and do not include the leading dot.\";s:17:\"#element_validate\";a:1:{i:0;s:33:\"_file_generic_settings_extensions\";}s:7:\"#weight\";i:1;s:10:\"#maxlength\";i:256;s:9:\"#required\";b:1;}s:12:\"max_filesize\";a:7:{s:5:\"#type\";s:9:\"textfield\";s:6:\"#title\";s:19:\"Maximum upload size\";s:14:\"#default_value\";s:0:\"\";s:12:\"#description\";s:286:\"Enter a value like \"512\" (bytes), \"80 KB\" (kilobytes) or \"50 MB\" (megabytes) in order to restrict the allowed file size. If left empty the file sizes will be limited only by PHP\'s maximum post and file upload sizes (current limit <strong><em class=\"placeholder\">48.83 GB</em></strong>).\";s:5:\"#size\";i:10;s:17:\"#element_validate\";a:1:{i:0;s:35:\"_file_generic_settings_max_filesize\";}s:7:\"#weight\";i:5;}s:18:\"default_dimensions\";a:6:{s:5:\"#type\";s:6:\"select\";s:6:\"#title\";s:23:\"Output video dimensions\";s:14:\"#default_value\";s:7:\"640x360\";s:8:\"#options\";a:35:{s:7:\"320x180\";s:7:\"320x180\";s:7:\"320x240\";s:7:\"320x240\";s:7:\"384x216\";s:7:\"384x216\";s:7:\"384x288\";s:7:\"384x288\";s:7:\"400x225\";s:7:\"400x225\";s:7:\"400x300\";s:7:\"400x300\";s:7:\"432x243\";s:7:\"432x243\";s:7:\"432x324\";s:7:\"432x324\";s:7:\"480x200\";s:7:\"480x200\";s:7:\"480x270\";s:7:\"480x270\";s:7:\"480x360\";s:7:\"480x360\";s:7:\"512x288\";s:7:\"512x288\";s:7:\"560x315\";s:7:\"560x315\";s:7:\"560x420\";s:7:\"560x420\";s:7:\"640x360\";s:7:\"640x360\";s:7:\"640x480\";s:7:\"640x480\";s:7:\"648x486\";s:7:\"648x486\";s:7:\"720x405\";s:7:\"720x405\";s:7:\"720x480\";s:7:\"720x480\";s:7:\"720x486\";s:7:\"720x486\";s:7:\"720x540\";s:7:\"720x540\";s:7:\"720x576\";s:7:\"720x576\";s:7:\"768x576\";s:7:\"768x576\";s:7:\"852x480\";s:7:\"852x480\";s:7:\"864x486\";s:7:\"864x486\";s:7:\"960x400\";s:7:\"960x400\";s:7:\"960x540\";s:7:\"960x540\";s:7:\"960x720\";s:7:\"960x720\";s:8:\"1024x576\";s:8:\"1024x576\";s:8:\"1280x720\";s:8:\"1280x720\";s:8:\"1280x960\";s:8:\"1280x960\";s:9:\"1280x1080\";s:9:\"1280x1080\";s:9:\"1440x1080\";s:9:\"1440x1080\";s:8:\"1920x800\";s:8:\"1920x800\";s:9:\"1920x1080\";s:9:\"1920x1080\";}s:12:\"#description\";s:187:\"This setting can be overridden in node edit or preset settings. Select the most suitable values to use as output dimensions, as selecting a bad value could cause video conversion to fail.\";s:7:\"#weight\";i:16;}s:10:\"token_tree\";a:4:{s:6:\"#theme\";s:10:\"token_tree\";s:12:\"#token_types\";a:0:{}s:7:\"#dialog\";b:1;s:7:\"#weight\";d:-4.5;}}}s:5:\"field\";a:6:{s:5:\"#type\";s:8:\"fieldset\";s:6:\"#title\";s:55:\"<em class=\"placeholder\">Local Video</em> field settings\";s:12:\"#description\";s:104:\"<p>These settings apply to the <em class=\"placeholder\">Local Video</em> field everywhere it is used.</p>\";s:5:\"#tree\";b:1;s:11:\"cardinality\";a:5:{s:5:\"#type\";s:6:\"select\";s:6:\"#title\";s:16:\"Number of values\";s:8:\"#options\";a:11:{i:-1;s:9:\"Unlimited\";i:1;i:1;i:2;i:2;i:3;i:3;i:4;i:4;i:5;i:5;i:6;i:6;i:7;i:7;i:8;i:8;i:9;i:9;i:10;i:10;}s:14:\"#default_value\";s:1:\"1\";s:12:\"#description\";s:56:\"Maximum number of values users can enter for this field.\";}s:8:\"settings\";a:9:{s:10:\"uri_scheme\";a:5:{s:5:\"#type\";s:6:\"radios\";s:6:\"#title\";s:35:\"Upload destination of original file\";s:8:\"#options\";a:1:{s:6:\"public\";s:12:\"Public files\";}s:14:\"#default_value\";s:6:\"public\";s:12:\"#description\";s:184:\"Select where the original video files should be stored. Private file storage has significantly more overhead than public files, but allows restricted access to files within this field.\";}s:20:\"uri_scheme_converted\";a:6:{s:5:\"#type\";s:6:\"radios\";s:6:\"#title\";s:37:\"Upload destination of converted files\";s:8:\"#options\";a:1:{s:6:\"public\";s:12:\"Public files\";}s:14:\"#default_value\";s:6:\"public\";s:12:\"#description\";s:185:\"Select where the converted video files should be stored. Private file storage has significantly more overhead than public files, but allows restricted access to files within this field.\";s:7:\"#access\";b:1;}s:21:\"uri_scheme_thumbnails\";a:6:{s:5:\"#type\";s:6:\"radios\";s:6:\"#title\";s:32:\"Upload destination of thumbnails\";s:8:\"#options\";a:1:{s:6:\"public\";s:12:\"Public files\";}s:14:\"#default_value\";s:6:\"public\";s:12:\"#description\";s:184:\"Select where the generated thumbnails should be stored. Private file storage has significantly more overhead than public files, but allows restricted access to files within this field.\";s:7:\"#access\";b:1;}s:14:\"autoconversion\";a:5:{s:5:\"#type\";s:8:\"checkbox\";s:6:\"#title\";s:28:\"Enable auto video conversion\";s:12:\"#description\";s:384:\"Convert videos automatically using FFmpeg or Zencoder. You can define presets at <a href=\"/drupal7/pinteros/en/admin/config/media/video/presets\">preset settings</a> to automatically convert videos to web compatible formats eg. FLV, MP4. Make sure to configure your <a href=\"/drupal7/pinteros/en/admin/config/media/video/transcoders\">transcoder settings</a> to make this work properly.\";s:14:\"#default_value\";i:1;s:7:\"#access\";b:1;}s:16:\"thumbnail_format\";a:5:{s:6:\"#title\";s:16:\"Thumbnail format\";s:5:\"#type\";s:6:\"radios\";s:8:\"#options\";a:2:{s:3:\"jpg\";s:4:\"JPEG\";s:3:\"png\";s:3:\"PNG\";}s:14:\"#default_value\";s:3:\"jpg\";s:7:\"#access\";b:1;}s:13:\"autothumbnail\";a:5:{s:5:\"#type\";s:6:\"radios\";s:6:\"#title\";s:16:\"Video thumbnails\";s:8:\"#options\";a:3:{s:4:\"auto\";s:76:\"Automatically extract thumbnails from video (with fallback to manual upload)\";s:13:\"manual_upload\";s:27:\"Manually upload a thumbnail\";s:2:\"no\";s:22:\"Don\'t create thumbnail\";}s:12:\"#description\";s:224:\"If you choose <i>Automatically extract thumbnails from video</i> then please make sure to configure your <a href=\"/drupal7/pinteros/en/admin/config/media/video/transcoders\">transcoder settings</a> to make this work properly.\";s:14:\"#default_value\";s:4:\"auto\";}s:23:\"default_video_thumbnail\";a:6:{s:6:\"#title\";s:23:\"Default video thumbnail\";s:5:\"#type\";s:12:\"managed_file\";s:17:\"#element_validate\";a:1:{i:0;s:38:\"video_field_default_thumbnail_validate\";}s:12:\"#description\";s:224:\"You can use a default thumbnail for all videos or videos from which a thumbnail can\'t be extracted. Settings to use default video thumbnails will be available on node edit. You can change the permissions for other users too.\";s:14:\"#default_value\";s:0:\"\";s:16:\"#upload_location\";s:34:\"public://videos/thumbnails/default\";}s:25:\"preview_video_thumb_style\";a:6:{s:6:\"#title\";s:23:\"Preview thumbnail style\";s:5:\"#type\";s:6:\"select\";s:8:\"#options\";a:7:{s:9:\"thumbnail\";s:17:\"Thumbnail (60x60)\";s:6:\"medium\";s:16:\"Medium (220x220)\";s:5:\"large\";s:15:\"Large (622x311)\";s:16:\"pinteros-display\";s:16:\"pinteros-display\";s:14:\"pinteros-small\";s:14:\"pinteros-small\";s:15:\"pinteros-medium\";s:15:\"pinteros-medium\";s:14:\"pinteros-large\";s:14:\"pinteros-large\";}s:13:\"#empty_option\";s:12:\"<no preview>\";s:14:\"#default_value\";s:9:\"thumbnail\";s:12:\"#description\";s:138:\"This image style will be used to show extracted video thumbnails on video node edit. Extracted thumbnail preview will also use this style.\";}s:7:\"presets\";a:6:{s:6:\"#title\";s:7:\"Presets\";s:5:\"#type\";s:10:\"checkboxes\";s:8:\"#options\";a:0:{}s:14:\"#default_value\";a:0:{}s:12:\"#description\";s:102:\"If any presets are selected, these presets will be used for this field instead of the default presets.\";s:7:\"#access\";b:1;}}}s:7:\"actions\";a:2:{s:5:\"#type\";s:7:\"actions\";s:6:\"submit\";a:2:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:13:\"Save settings\";}}s:8:\"#form_id\";s:24:\"field_ui_field_edit_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form--S3297iqkpp-tr8xF7GRFuhXKF9Oz-bcj8nXBbNcfIo\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form--S3297iqkpp-tr8xF7GRFuhXKF9Oz-bcj8nXBbNcfIo\";s:3:\"#id\";s:48:\"form--S3297iqkpp-tr8xF7GRFuhXKF9Oz-bcj8nXBbNcfIo\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:24:\"field_ui_field_edit_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:40:\"edit-field-ui-field-edit-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"3ZVNSbr8IfSrAgZLC_sl9M4xBYoa8ZDtz46gu3jVcWk\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:24:\"field_ui_field_edit_form\";s:3:\"#id\";s:29:\"edit-field-ui-field-edit-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:24:\"field-ui-field-edit-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:101:\"/drupal7/pinteros/en/admin/structure/types/manage/local_video/fields/field_local_video?render=overlay\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:1:{i:0;s:33:\"field_ui_field_edit_form_validate\";}s:7:\"#submit\";a:2:{i:0;s:31:\"field_ui_field_edit_form_submit\";i:1;s:25:\"context_admin_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:24:\"field_ui_field_edit_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"D_aq0AWNs9bmB_oa1NTczimdrglGi02Vc1bNKekXlv0\";}',1500364702,1500343102,1),('form_form-BkDhmkpnjUW_Bu1o2lsEOvLYEjCrKmDImU-KZrrRpC8','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-BkDhmkpnjUW_Bu1o2lsEOvLYEjCrKmDImU-KZrrRpC8\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-BkDhmkpnjUW_Bu1o2lsEOvLYEjCrKmDImU-KZrrRpC8\";s:3:\"#id\";s:48:\"form-BkDhmkpnjUW_Bu1o2lsEOvLYEjCrKmDImU-KZrrRpC8\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"Zkn56e0g87hFt8J7jXZhoU4k4rQQP3RBMbH-hKpUlWk\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:71:\"/drupal7/pinteros/en/article/15-places-we%E2%80%99d-rather-be-right-now\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"D_aq0AWNs9bmB_oa1NTczimdrglGi02Vc1bNKekXlv0\";}',1500369437,1500347837,1),('form_form-KwIALqpW4mjb9KFjiK0MACV_VorOjgQH7V_kKk3ThZM','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-KwIALqpW4mjb9KFjiK0MACV_VorOjgQH7V_kKk3ThZM\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-KwIALqpW4mjb9KFjiK0MACV_VorOjgQH7V_kKk3ThZM\";s:3:\"#id\";s:48:\"form-KwIALqpW4mjb9KFjiK0MACV_VorOjgQH7V_kKk3ThZM\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"Zkn56e0g87hFt8J7jXZhoU4k4rQQP3RBMbH-hKpUlWk\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:55:\"/drupal7/pinteros/en/media/margaret-thank-you-very-much\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"D_aq0AWNs9bmB_oa1NTczimdrglGi02Vc1bNKekXlv0\";}',1500369462,1500347862,1),('form_form-pFjmz2bESpsmOAlVx-90yDVsmU3T3zaIjsxy2tkWlM4','a:23:{s:6:\"#field\";a:16:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:9:{s:10:\"uri_scheme\";s:6:\"public\";s:20:\"uri_scheme_converted\";s:6:\"public\";s:21:\"uri_scheme_thumbnails\";s:6:\"public\";s:14:\"autoconversion\";i:1;s:16:\"thumbnail_format\";s:3:\"jpg\";s:13:\"autothumbnail\";s:4:\"auto\";s:23:\"default_video_thumbnail\";a:4:{s:3:\"fid\";i:0;s:13:\"upload_button\";s:6:\"Upload\";s:13:\"remove_button\";s:6:\"Remove\";s:6:\"upload\";s:0:\"\";}s:25:\"preview_video_thumb_style\";s:9:\"thumbnail\";s:7:\"presets\";a:0:{}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:28:\"field_data_field_local_video\";a:2:{s:3:\"fid\";s:21:\"field_local_video_fid\";s:9:\"thumbnail\";s:27:\"field_local_video_thumbnail\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:32:\"field_revision_field_local_video\";a:2:{s:3:\"fid\";s:21:\"field_local_video_fid\";s:9:\"thumbnail\";s:27:\"field_local_video_thumbnail\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:2:\"id\";s:2:\"17\";s:10:\"field_name\";s:17:\"field_local_video\";s:4:\"type\";s:5:\"video\";s:6:\"module\";s:5:\"video\";s:6:\"active\";s:1:\"1\";s:6:\"locked\";s:1:\"0\";s:11:\"cardinality\";s:1:\"1\";s:7:\"deleted\";s:1:\"0\";s:7:\"columns\";a:2:{s:3:\"fid\";a:4:{s:11:\"description\";s:54:\"The {file_managed}.fid being referenced in this field.\";s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;s:8:\"unsigned\";b:1;}s:9:\"thumbnail\";a:4:{s:11:\"description\";s:60:\"The {file_managed}.fid being referenced for video thumbnail.\";s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:0;s:8:\"unsigned\";b:1;}}s:7:\"bundles\";a:1:{s:4:\"node\";a:1:{i:0;s:11:\"local_video\";}}}s:9:\"#instance\";a:12:{s:5:\"label\";s:11:\"Local Video\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"-3\";s:4:\"type\";s:12:\"video_upload\";s:6:\"module\";s:5:\"video\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:18:\"progress_indicator\";s:8:\"throbber\";}}s:8:\"settings\";a:5:{s:14:\"file_directory\";s:15:\"videos/original\";s:15:\"file_extensions\";s:32:\"mp4 ogg avi mov wmv flv ogv webm\";s:12:\"max_filesize\";s:0:\"\";s:18:\"default_dimensions\";s:7:\"640x360\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:22:\"video_formatter_player\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:12:\"widthxheight\";s:7:\"640x360\";s:18:\"poster_image_style\";s:16:\"pinteros-display\";}s:6:\"module\";s:5:\"video\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:25:\"video_formatter_thumbnail\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:16:\"pinteros-display\";s:10:\"image_link\";s:7:\"content\";s:12:\"widthxheight\";s:7:\"640x360\";}s:6:\"module\";s:5:\"video\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:2:\"id\";s:2:\"51\";s:8:\"field_id\";s:2:\"17\";s:10:\"field_name\";s:17:\"field_local_video\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"local_video\";s:7:\"deleted\";s:1:\"0\";}s:8:\"instance\";a:13:{s:5:\"#tree\";b:1;s:5:\"#type\";s:8:\"fieldset\";s:6:\"#title\";s:49:\"<em class=\"placeholder\">Local Video</em> settings\";s:12:\"#description\";s:143:\"These settings apply only to the <em class=\"placeholder\">Local Video</em> field when used in the <em class=\"placeholder\">Local Video</em> type.\";s:11:\"#pre_render\";a:3:{i:0;s:39:\"field_ui_field_edit_instance_pre_render\";i:1;s:24:\"form_pre_render_fieldset\";i:2;s:27:\"ctools_dependent_pre_render\";}s:10:\"field_name\";a:2:{s:5:\"#type\";s:5:\"value\";s:6:\"#value\";s:17:\"field_local_video\";}s:11:\"entity_type\";a:2:{s:5:\"#type\";s:5:\"value\";s:6:\"#value\";s:4:\"node\";}s:6:\"bundle\";a:2:{s:5:\"#type\";s:5:\"value\";s:6:\"#value\";s:11:\"local_video\";}s:6:\"widget\";a:5:{s:6:\"weight\";a:2:{s:5:\"#type\";s:5:\"value\";s:6:\"#value\";s:2:\"-3\";}s:4:\"type\";a:2:{s:5:\"#type\";s:5:\"value\";s:6:\"#value\";s:12:\"video_upload\";}s:6:\"module\";a:2:{s:5:\"#type\";s:5:\"value\";s:6:\"#value\";s:5:\"video\";}s:6:\"active\";a:2:{s:5:\"#type\";s:5:\"value\";s:6:\"#value\";i:1;}s:8:\"settings\";a:1:{s:18:\"progress_indicator\";a:7:{s:5:\"#type\";s:6:\"radios\";s:6:\"#title\";s:18:\"Progress indicator\";s:8:\"#options\";a:2:{s:8:\"throbber\";s:8:\"Throbber\";s:3:\"bar\";s:23:\"Bar with progress meter\";}s:14:\"#default_value\";s:8:\"throbber\";s:12:\"#description\";s:151:\"The throbber display does not show the status of uploads but takes up less space. The progress bar is helpful for monitoring progress on large uploads.\";s:7:\"#weight\";i:16;s:7:\"#access\";b:0;}}}s:5:\"label\";a:5:{s:5:\"#type\";s:9:\"textfield\";s:6:\"#title\";s:5:\"Label\";s:14:\"#default_value\";s:11:\"Local Video\";s:9:\"#required\";b:1;s:7:\"#weight\";i:-20;}s:8:\"required\";a:4:{s:5:\"#type\";s:8:\"checkbox\";s:6:\"#title\";s:14:\"Required field\";s:14:\"#default_value\";b:0;s:7:\"#weight\";i:-10;}s:11:\"description\";a:8:{s:5:\"#type\";s:8:\"textarea\";s:6:\"#title\";s:9:\"Help text\";s:14:\"#default_value\";s:0:\"\";s:5:\"#rows\";i:5;s:12:\"#description\";s:385:\"Instructions to present to the user below this field on the editing form.<br />Allowed HTML tags: &lt;a&gt; &lt;b&gt; &lt;big&gt; &lt;code&gt; &lt;del&gt; &lt;em&gt; &lt;i&gt; &lt;ins&gt; &lt;pre&gt; &lt;q&gt; &lt;small&gt; &lt;span&gt; &lt;strong&gt; &lt;sub&gt; &lt;sup&gt; &lt;tt&gt; &lt;ol&gt; &lt;ul&gt; &lt;li&gt; &lt;p&gt; &lt;br&gt; &lt;img&gt;<br />This field supports tokens.\";s:7:\"#weight\";i:-5;s:17:\"#element_validate\";a:1:{i:0;s:22:\"token_element_validate\";}s:12:\"#token_types\";a:0:{}}s:8:\"settings\";a:5:{s:14:\"file_directory\";a:6:{s:5:\"#type\";s:9:\"textfield\";s:6:\"#title\";s:14:\"File directory\";s:14:\"#default_value\";s:15:\"videos/original\";s:12:\"#description\";s:125:\"Optional subdirectory within the upload destination where files will be stored. Do not include preceding or trailing slashes.\";s:17:\"#element_validate\";a:1:{i:0;s:46:\"_file_generic_settings_file_directory_validate\";}s:7:\"#weight\";i:3;}s:15:\"file_extensions\";a:8:{s:5:\"#type\";s:9:\"textfield\";s:6:\"#title\";s:23:\"Allowed file extensions\";s:14:\"#default_value\";s:39:\"mp4, ogg, avi, mov, wmv, flv, ogv, webm\";s:12:\"#description\";s:77:\"Separate extensions with a space or comma and do not include the leading dot.\";s:17:\"#element_validate\";a:1:{i:0;s:33:\"_file_generic_settings_extensions\";}s:7:\"#weight\";i:1;s:10:\"#maxlength\";i:256;s:9:\"#required\";b:1;}s:12:\"max_filesize\";a:7:{s:5:\"#type\";s:9:\"textfield\";s:6:\"#title\";s:19:\"Maximum upload size\";s:14:\"#default_value\";s:0:\"\";s:12:\"#description\";s:286:\"Enter a value like \"512\" (bytes), \"80 KB\" (kilobytes) or \"50 MB\" (megabytes) in order to restrict the allowed file size. If left empty the file sizes will be limited only by PHP\'s maximum post and file upload sizes (current limit <strong><em class=\"placeholder\">48.83 GB</em></strong>).\";s:5:\"#size\";i:10;s:17:\"#element_validate\";a:1:{i:0;s:35:\"_file_generic_settings_max_filesize\";}s:7:\"#weight\";i:5;}s:18:\"default_dimensions\";a:6:{s:5:\"#type\";s:6:\"select\";s:6:\"#title\";s:23:\"Output video dimensions\";s:14:\"#default_value\";s:7:\"640x360\";s:8:\"#options\";a:35:{s:7:\"320x180\";s:7:\"320x180\";s:7:\"320x240\";s:7:\"320x240\";s:7:\"384x216\";s:7:\"384x216\";s:7:\"384x288\";s:7:\"384x288\";s:7:\"400x225\";s:7:\"400x225\";s:7:\"400x300\";s:7:\"400x300\";s:7:\"432x243\";s:7:\"432x243\";s:7:\"432x324\";s:7:\"432x324\";s:7:\"480x200\";s:7:\"480x200\";s:7:\"480x270\";s:7:\"480x270\";s:7:\"480x360\";s:7:\"480x360\";s:7:\"512x288\";s:7:\"512x288\";s:7:\"560x315\";s:7:\"560x315\";s:7:\"560x420\";s:7:\"560x420\";s:7:\"640x360\";s:7:\"640x360\";s:7:\"640x480\";s:7:\"640x480\";s:7:\"648x486\";s:7:\"648x486\";s:7:\"720x405\";s:7:\"720x405\";s:7:\"720x480\";s:7:\"720x480\";s:7:\"720x486\";s:7:\"720x486\";s:7:\"720x540\";s:7:\"720x540\";s:7:\"720x576\";s:7:\"720x576\";s:7:\"768x576\";s:7:\"768x576\";s:7:\"852x480\";s:7:\"852x480\";s:7:\"864x486\";s:7:\"864x486\";s:7:\"960x400\";s:7:\"960x400\";s:7:\"960x540\";s:7:\"960x540\";s:7:\"960x720\";s:7:\"960x720\";s:8:\"1024x576\";s:8:\"1024x576\";s:8:\"1280x720\";s:8:\"1280x720\";s:8:\"1280x960\";s:8:\"1280x960\";s:9:\"1280x1080\";s:9:\"1280x1080\";s:9:\"1440x1080\";s:9:\"1440x1080\";s:8:\"1920x800\";s:8:\"1920x800\";s:9:\"1920x1080\";s:9:\"1920x1080\";}s:12:\"#description\";s:187:\"This setting can be overridden in node edit or preset settings. Select the most suitable values to use as output dimensions, as selecting a bad value could cause video conversion to fail.\";s:7:\"#weight\";i:16;}s:10:\"token_tree\";a:4:{s:6:\"#theme\";s:10:\"token_tree\";s:12:\"#token_types\";a:0:{}s:7:\"#dialog\";b:1;s:7:\"#weight\";d:-4.5;}}}s:5:\"field\";a:6:{s:5:\"#type\";s:8:\"fieldset\";s:6:\"#title\";s:55:\"<em class=\"placeholder\">Local Video</em> field settings\";s:12:\"#description\";s:104:\"<p>These settings apply to the <em class=\"placeholder\">Local Video</em> field everywhere it is used.</p>\";s:5:\"#tree\";b:1;s:11:\"cardinality\";a:5:{s:5:\"#type\";s:6:\"select\";s:6:\"#title\";s:16:\"Number of values\";s:8:\"#options\";a:11:{i:-1;s:9:\"Unlimited\";i:1;i:1;i:2;i:2;i:3;i:3;i:4;i:4;i:5;i:5;i:6;i:6;i:7;i:7;i:8;i:8;i:9;i:9;i:10;i:10;}s:14:\"#default_value\";s:1:\"1\";s:12:\"#description\";s:56:\"Maximum number of values users can enter for this field.\";}s:8:\"settings\";a:9:{s:10:\"uri_scheme\";a:5:{s:5:\"#type\";s:6:\"radios\";s:6:\"#title\";s:35:\"Upload destination of original file\";s:8:\"#options\";a:1:{s:6:\"public\";s:12:\"Public files\";}s:14:\"#default_value\";s:6:\"public\";s:12:\"#description\";s:184:\"Select where the original video files should be stored. Private file storage has significantly more overhead than public files, but allows restricted access to files within this field.\";}s:20:\"uri_scheme_converted\";a:6:{s:5:\"#type\";s:6:\"radios\";s:6:\"#title\";s:37:\"Upload destination of converted files\";s:8:\"#options\";a:1:{s:6:\"public\";s:12:\"Public files\";}s:14:\"#default_value\";s:6:\"public\";s:12:\"#description\";s:185:\"Select where the converted video files should be stored. Private file storage has significantly more overhead than public files, but allows restricted access to files within this field.\";s:7:\"#access\";b:1;}s:21:\"uri_scheme_thumbnails\";a:6:{s:5:\"#type\";s:6:\"radios\";s:6:\"#title\";s:32:\"Upload destination of thumbnails\";s:8:\"#options\";a:1:{s:6:\"public\";s:12:\"Public files\";}s:14:\"#default_value\";s:6:\"public\";s:12:\"#description\";s:184:\"Select where the generated thumbnails should be stored. Private file storage has significantly more overhead than public files, but allows restricted access to files within this field.\";s:7:\"#access\";b:1;}s:14:\"autoconversion\";a:5:{s:5:\"#type\";s:8:\"checkbox\";s:6:\"#title\";s:28:\"Enable auto video conversion\";s:12:\"#description\";s:384:\"Convert videos automatically using FFmpeg or Zencoder. You can define presets at <a href=\"/drupal7/pinteros/en/admin/config/media/video/presets\">preset settings</a> to automatically convert videos to web compatible formats eg. FLV, MP4. Make sure to configure your <a href=\"/drupal7/pinteros/en/admin/config/media/video/transcoders\">transcoder settings</a> to make this work properly.\";s:14:\"#default_value\";i:1;s:7:\"#access\";b:1;}s:16:\"thumbnail_format\";a:5:{s:6:\"#title\";s:16:\"Thumbnail format\";s:5:\"#type\";s:6:\"radios\";s:8:\"#options\";a:2:{s:3:\"jpg\";s:4:\"JPEG\";s:3:\"png\";s:3:\"PNG\";}s:14:\"#default_value\";s:3:\"jpg\";s:7:\"#access\";b:1;}s:13:\"autothumbnail\";a:5:{s:5:\"#type\";s:6:\"radios\";s:6:\"#title\";s:16:\"Video thumbnails\";s:8:\"#options\";a:3:{s:4:\"auto\";s:76:\"Automatically extract thumbnails from video (with fallback to manual upload)\";s:13:\"manual_upload\";s:27:\"Manually upload a thumbnail\";s:2:\"no\";s:22:\"Don\'t create thumbnail\";}s:12:\"#description\";s:224:\"If you choose <i>Automatically extract thumbnails from video</i> then please make sure to configure your <a href=\"/drupal7/pinteros/en/admin/config/media/video/transcoders\">transcoder settings</a> to make this work properly.\";s:14:\"#default_value\";s:4:\"auto\";}s:23:\"default_video_thumbnail\";a:6:{s:6:\"#title\";s:23:\"Default video thumbnail\";s:5:\"#type\";s:12:\"managed_file\";s:17:\"#element_validate\";a:1:{i:0;s:38:\"video_field_default_thumbnail_validate\";}s:12:\"#description\";s:224:\"You can use a default thumbnail for all videos or videos from which a thumbnail can\'t be extracted. Settings to use default video thumbnails will be available on node edit. You can change the permissions for other users too.\";s:14:\"#default_value\";s:0:\"\";s:16:\"#upload_location\";s:34:\"public://videos/thumbnails/default\";}s:25:\"preview_video_thumb_style\";a:6:{s:6:\"#title\";s:23:\"Preview thumbnail style\";s:5:\"#type\";s:6:\"select\";s:8:\"#options\";a:7:{s:9:\"thumbnail\";s:17:\"Thumbnail (60x60)\";s:6:\"medium\";s:16:\"Medium (220x220)\";s:5:\"large\";s:15:\"Large (622x311)\";s:16:\"pinteros-display\";s:16:\"pinteros-display\";s:14:\"pinteros-small\";s:14:\"pinteros-small\";s:15:\"pinteros-medium\";s:15:\"pinteros-medium\";s:14:\"pinteros-large\";s:14:\"pinteros-large\";}s:13:\"#empty_option\";s:12:\"<no preview>\";s:14:\"#default_value\";s:9:\"thumbnail\";s:12:\"#description\";s:138:\"This image style will be used to show extracted video thumbnails on video node edit. Extracted thumbnail preview will also use this style.\";}s:7:\"presets\";a:6:{s:6:\"#title\";s:7:\"Presets\";s:5:\"#type\";s:10:\"checkboxes\";s:8:\"#options\";a:0:{}s:14:\"#default_value\";a:0:{}s:12:\"#description\";s:102:\"If any presets are selected, these presets will be used for this field instead of the default presets.\";s:7:\"#access\";b:1;}}}s:7:\"actions\";a:2:{s:5:\"#type\";s:7:\"actions\";s:6:\"submit\";a:2:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:13:\"Save settings\";}}s:8:\"#form_id\";s:24:\"field_ui_field_edit_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-pFjmz2bESpsmOAlVx-90yDVsmU3T3zaIjsxy2tkWlM4\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-pFjmz2bESpsmOAlVx-90yDVsmU3T3zaIjsxy2tkWlM4\";s:3:\"#id\";s:48:\"form-pFjmz2bESpsmOAlVx-90yDVsmU3T3zaIjsxy2tkWlM4\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:24:\"field_ui_field_edit_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:40:\"edit-field-ui-field-edit-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"3ZVNSbr8IfSrAgZLC_sl9M4xBYoa8ZDtz46gu3jVcWk\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:24:\"field_ui_field_edit_form\";s:3:\"#id\";s:29:\"edit-field-ui-field-edit-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:24:\"field-ui-field-edit-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:101:\"/drupal7/pinteros/en/admin/structure/types/manage/local-video/fields/field_local_video?render=overlay\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:1:{i:0;s:33:\"field_ui_field_edit_form_validate\";}s:7:\"#submit\";a:2:{i:0;s:31:\"field_ui_field_edit_form_submit\";i:1;s:25:\"context_admin_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:24:\"field_ui_field_edit_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"D_aq0AWNs9bmB_oa1NTczimdrglGi02Vc1bNKekXlv0\";}',1500366465,1500344865,1),('form_form-v89Fwu1TnnDiICz63KGD4RjTHbf7O9I5LMNDIYBWkfU','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-v89Fwu1TnnDiICz63KGD4RjTHbf7O9I5LMNDIYBWkfU\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-v89Fwu1TnnDiICz63KGD4RjTHbf7O9I5LMNDIYBWkfU\";s:3:\"#id\";s:48:\"form-v89Fwu1TnnDiICz63KGD4RjTHbf7O9I5LMNDIYBWkfU\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"Zkn56e0g87hFt8J7jXZhoU4k4rQQP3RBMbH-hKpUlWk\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:112:\"/drupal7/pinteros/en/media/beautiful-light-music-easy-smooth-inspirational-long-playlist-relaxdaily-ocean-breeze\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"D_aq0AWNs9bmB_oa1NTczimdrglGi02Vc1bNKekXlv0\";}',1500369461,1500347861,1),('form_form-Vi7RNYdxWuoIwpRtfQ7eTxF5ZI9yLwYgxfP5YKJSo28','a:20:{s:9:\"logged-in\";a:2:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";b:1;}s:17:\"newsletter-submit\";a:5:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:9:\"Subscribe\";s:7:\"#prefix\";s:53:\"<div id=\"newsletter-error\"></div><div id=\"subscribe\">\";s:7:\"#suffix\";s:6:\"</div>\";s:5:\"#ajax\";a:5:{s:8:\"callback\";s:32:\"newsletter_subscribe_form_submit\";s:7:\"wrapper\";s:16:\"newsletter-error\";s:6:\"effect\";s:4:\"fade\";s:8:\"progress\";a:2:{s:4:\"type\";s:8:\"throbber\";s:7:\"message\";N;}s:5:\"event\";s:5:\"click\";}}s:8:\"#form_id\";s:25:\"newsletter_subscribe_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-Vi7RNYdxWuoIwpRtfQ7eTxF5ZI9yLwYgxfP5YKJSo28\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-Vi7RNYdxWuoIwpRtfQ7eTxF5ZI9yLwYgxfP5YKJSo28\";s:3:\"#id\";s:48:\"form-Vi7RNYdxWuoIwpRtfQ7eTxF5ZI9yLwYgxfP5YKJSo28\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:25:\"newsletter_subscribe_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:41:\"edit-newsletter-subscribe-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"Zkn56e0g87hFt8J7jXZhoU4k4rQQP3RBMbH-hKpUlWk\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:25:\"newsletter_subscribe_form\";s:3:\"#id\";s:30:\"edit-newsletter-subscribe-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:25:\"newsletter-subscribe-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:35:\"/drupal7/pinteros/en/media/margaret\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:1:{i:0;s:32:\"newsletter_subscribe_form_submit\";}s:6:\"#theme\";a:1:{i:0;s:25:\"newsletter_subscribe_form\";}s:12:\"#after_build\";a:1:{i:0;s:35:\"context_form_alter_node_after_build\";}s:12:\"#cache_token\";s:43:\"D_aq0AWNs9bmB_oa1NTczimdrglGi02Vc1bNKekXlv0\";}',1500369459,1500347859,1),('form_state_form--S3297iqkpp-tr8xF7GRFuhXKF9Oz-bcj8nXBbNcfIo','a:6:{s:10:\"build_info\";a:3:{s:4:\"args\";a:1:{i:0;a:12:{s:5:\"label\";s:11:\"Local Video\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"-3\";s:4:\"type\";s:12:\"video_upload\";s:6:\"module\";s:5:\"video\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:18:\"progress_indicator\";s:8:\"throbber\";}}s:8:\"settings\";a:5:{s:14:\"file_directory\";s:15:\"videos/original\";s:15:\"file_extensions\";s:32:\"mp4 ogg avi mov wmv flv ogv webm\";s:12:\"max_filesize\";s:0:\"\";s:18:\"default_dimensions\";s:7:\"640x360\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:22:\"video_formatter_player\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:12:\"widthxheight\";s:7:\"640x360\";s:18:\"poster_image_style\";s:16:\"pinteros-display\";}s:6:\"module\";s:5:\"video\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:25:\"video_formatter_thumbnail\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:16:\"pinteros-display\";s:10:\"image_link\";s:7:\"content\";s:12:\"widthxheight\";s:7:\"640x360\";}s:6:\"module\";s:5:\"video\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:2:\"id\";s:2:\"51\";s:8:\"field_id\";s:2:\"17\";s:10:\"field_name\";s:17:\"field_local_video\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"local_video\";s:7:\"deleted\";s:1:\"0\";}}s:7:\"form_id\";s:24:\"field_ui_field_edit_form\";s:5:\"files\";a:1:{s:4:\"menu\";s:35:\"modules/field_ui/field_ui.admin.inc\";}}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;s:16:\"has_file_element\";b:1;}',1500364702,1500343102,1),('form_state_form-BkDhmkpnjUW_Bu1o2lsEOvLYEjCrKmDImU-KZrrRpC8','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500369437,1500347837,1),('form_state_form-KwIALqpW4mjb9KFjiK0MACV_VorOjgQH7V_kKk3ThZM','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500369462,1500347862,1),('form_state_form-pFjmz2bESpsmOAlVx-90yDVsmU3T3zaIjsxy2tkWlM4','a:6:{s:10:\"build_info\";a:3:{s:4:\"args\";a:1:{i:0;a:12:{s:5:\"label\";s:11:\"Local Video\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"-3\";s:4:\"type\";s:12:\"video_upload\";s:6:\"module\";s:5:\"video\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:18:\"progress_indicator\";s:8:\"throbber\";}}s:8:\"settings\";a:5:{s:14:\"file_directory\";s:15:\"videos/original\";s:15:\"file_extensions\";s:32:\"mp4 ogg avi mov wmv flv ogv webm\";s:12:\"max_filesize\";s:0:\"\";s:18:\"default_dimensions\";s:7:\"640x360\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:22:\"video_formatter_player\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:12:\"widthxheight\";s:7:\"640x360\";s:18:\"poster_image_style\";s:16:\"pinteros-display\";}s:6:\"module\";s:5:\"video\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:25:\"video_formatter_thumbnail\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:3:{s:11:\"image_style\";s:16:\"pinteros-display\";s:10:\"image_link\";s:7:\"content\";s:12:\"widthxheight\";s:7:\"640x360\";}s:6:\"module\";s:5:\"video\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:2:\"id\";s:2:\"51\";s:8:\"field_id\";s:2:\"17\";s:10:\"field_name\";s:17:\"field_local_video\";s:11:\"entity_type\";s:4:\"node\";s:6:\"bundle\";s:11:\"local_video\";s:7:\"deleted\";s:1:\"0\";}}s:7:\"form_id\";s:24:\"field_ui_field_edit_form\";s:5:\"files\";a:1:{s:4:\"menu\";s:35:\"modules/field_ui/field_ui.admin.inc\";}}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;s:16:\"has_file_element\";b:1;}',1500366465,1500344865,1),('form_state_form-v89Fwu1TnnDiICz63KGD4RjTHbf7O9I5LMNDIYBWkfU','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500369461,1500347861,1),('form_state_form-Vi7RNYdxWuoIwpRtfQ7eTxF5ZI9yLwYgxfP5YKJSo28','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:0:{}s:7:\"form_id\";s:25:\"newsletter_subscribe_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1500369459,1500347859,1);
/*!40000 ALTER TABLE `cache_form` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_image`
--

DROP TABLE IF EXISTS `cache_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_image` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table used to store information about image...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_image`
--

LOCK TABLES `cache_image` WRITE;
/*!40000 ALTER TABLE `cache_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_libraries`
--

DROP TABLE IF EXISTS `cache_libraries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_libraries` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table to store library information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_libraries`
--

LOCK TABLES `cache_libraries` WRITE;
/*!40000 ALTER TABLE `cache_libraries` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_libraries` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_menu`
--

DROP TABLE IF EXISTS `cache_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_menu` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the menu system to store router...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_menu`
--

LOCK TABLES `cache_menu` WRITE;
/*!40000 ALTER TABLE `cache_menu` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_menu` VALUES ('menu_custom','a:5:{s:9:\"main-menu\";a:3:{s:9:\"menu_name\";s:9:\"main-menu\";s:5:\"title\";s:9:\"Main menu\";s:11:\"description\";s:115:\"The <em>Main</em> menu is used on many sites to show the major sections of the site, often in a top navigation bar.\";}s:10:\"management\";a:3:{s:9:\"menu_name\";s:10:\"management\";s:5:\"title\";s:10:\"Management\";s:11:\"description\";s:69:\"The <em>Management</em> menu contains links for administrative tasks.\";}s:13:\"menu-category\";a:3:{s:9:\"menu_name\";s:13:\"menu-category\";s:5:\"title\";s:8:\"Category\";s:11:\"description\";s:0:\"\";}s:10:\"navigation\";a:3:{s:9:\"menu_name\";s:10:\"navigation\";s:5:\"title\";s:10:\"Navigation\";s:11:\"description\";s:150:\"The <em>Navigation</em> menu contains links intended for site visitors. Links are added to the <em>Navigation</em> menu automatically by some modules.\";}s:9:\"user-menu\";a:3:{s:9:\"menu_name\";s:9:\"user-menu\";s:5:\"title\";s:9:\"User menu\";s:11:\"description\";s:99:\"The <em>User</em> menu contains links related to the user\'s account, as well as the \'Log out\' link.\";}}',0,1500348067,1);
/*!40000 ALTER TABLE `cache_menu` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_page`
--

DROP TABLE IF EXISTS `cache_page`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_page` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table used to store compressed pages for anonymous...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_page`
--

LOCK TABLES `cache_page` WRITE;
/*!40000 ALTER TABLE `cache_page` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_page` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_path`
--

DROP TABLE IF EXISTS `cache_path`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_path` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for path alias lookup.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_path`
--

LOCK TABLES `cache_path` WRITE;
/*!40000 ALTER TABLE `cache_path` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_path` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_token`
--

DROP TABLE IF EXISTS `cache_token`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_token` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for token information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_token`
--

LOCK TABLES `cache_token` WRITE;
/*!40000 ALTER TABLE `cache_token` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_token` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_update`
--

DROP TABLE IF EXISTS `cache_update`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_update` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Update module to store information...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_update`
--

LOCK TABLES `cache_update` WRITE;
/*!40000 ALTER TABLE `cache_update` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_update` VALUES ('available_releases::admin_menu','a:11:{s:5:\"title\";s:19:\"Administration menu\";s:10:\"short_name\";s:10:\"admin_menu\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/admin_menu\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:6:{s:11:\"7.x-3.0-rc5\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc5\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:3:\"tag\";s:11:\"7.x-3.0-rc5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1419029280\";s:6:\"mdhash\";s:32:\"4f1a0c14001c880bd7eb170318b91303\";s:8:\"filesize\";s:5:\"53401\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc4\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc4\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:3:\"tag\";s:11:\"7.x-3.0-rc4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1359651687\";s:6:\"mdhash\";s:32:\"3d8359538878723720fca6ddb2f82c7a\";s:8:\"filesize\";s:5:\"55064\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc3\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc3\";s:7:\"version\";s:11:\"7.x-3.0-rc3\";s:3:\"tag\";s:11:\"7.x-3.0-rc3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1337292349\";s:6:\"mdhash\";s:32:\"86b659c35823d541354179eccbfdc2d4\";s:8:\"filesize\";s:5:\"50950\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc2\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc2\";s:7:\"version\";s:11:\"7.x-3.0-rc2\";s:3:\"tag\";s:11:\"7.x-3.0-rc2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1335198071\";s:6:\"mdhash\";s:32:\"47761c79c351697f295d933b85441328\";s:8:\"filesize\";s:5:\"49988\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc1\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc1\";s:7:\"version\";s:11:\"7.x-3.0-rc1\";s:3:\"tag\";s:11:\"7.x-3.0-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1294378871\";s:6:\"mdhash\";s:32:\"9d0cfb26adda4da7bd309bdf5be305a0\";s:8:\"filesize\";s:5:\"70961\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:22:\"admin_menu 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1426875181\";s:6:\"mdhash\";s:32:\"6d2cdd2a5be2531a7e735847ce329102\";s:8:\"filesize\";s:5:\"53496\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1500434212,1500347812,1),('available_releases::bean','a:11:{s:5:\"title\";s:4:\"Bean\";s:10:\"short_name\";s:4:\"bean\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:35:\"https://www.drupal.org/project/bean\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:36:{s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:13:\"bean 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/bean/releases/7.x-1.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/bean-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1470638339\";s:6:\"mdhash\";s:32:\"81a99ebffebab15f1bd9f5796af951ea\";s:8:\"filesize\";s:5:\"55153\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:13:\"bean 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/bean/releases/7.x-1.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/bean-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1470148439\";s:6:\"mdhash\";s:32:\"7945f7b3ec092f9056f577d6b7c34c5c\";s:8:\"filesize\";s:5:\"55142\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1425439381\";s:6:\"mdhash\";s:32:\"c8cbb8c278cc275d618a82fb847995bd\";s:8:\"filesize\";s:5:\"54385\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1412260738\";s:6:\"mdhash\";s:32:\"99c822543a30392bc28b490bf0318583\";s:8:\"filesize\";s:5:\"51687\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1385749405\";s:6:\"mdhash\";s:32:\"f0389294e2ae812d3370511ca9695979\";s:8:\"filesize\";s:5:\"51082\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1384952605\";s:6:\"mdhash\";s:32:\"333ba02a4f8834c1ac0b0c16e212df6e\";s:8:\"filesize\";s:5:\"51049\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1382553632\";s:6:\"mdhash\";s:32:\"ba0acf5b4bf145e3b81f00412c2d711a\";s:8:\"filesize\";s:5:\"50927\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1381663827\";s:6:\"mdhash\";s:32:\"959f26e075130aba06072b13187e2c69\";s:8:\"filesize\";s:5:\"50810\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1368983112\";s:6:\"mdhash\";s:32:\"0d524e9eafcd6146a8f79bba8bfcb520\";s:8:\"filesize\";s:5:\"49921\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1361977163\";s:6:\"mdhash\";s:32:\"0d853f858ff2d76d3aa1991a6a6cdbb9\";s:8:\"filesize\";s:5:\"45527\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1359755430\";s:6:\"mdhash\";s:32:\"ce3b5ea939daf4af8bc40ed3c68525a5\";s:8:\"filesize\";s:5:\"44282\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:12:\"7.x-1.0-rc10\";a:15:{s:4:\"name\";s:17:\"bean 7.x-1.0-rc10\";s:7:\"version\";s:12:\"7.x-1.0-rc10\";s:3:\"tag\";s:12:\"7.x-1.0-rc10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:4:\"rc10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc10\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc10.tar.gz\";s:4:\"date\";s:10:\"1359752676\";s:6:\"mdhash\";s:32:\"57f52eee8f4b4ad5ef68e8df7fb72253\";s:8:\"filesize\";s:5:\"44014\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc9\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc9\";s:7:\"version\";s:11:\"7.x-1.0-rc9\";s:3:\"tag\";s:11:\"7.x-1.0-rc9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc9\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc9.tar.gz\";s:4:\"date\";s:10:\"1358780111\";s:6:\"mdhash\";s:32:\"31e9f0e5548a0ff0ecb0cddd4572e4d7\";s:8:\"filesize\";s:5:\"43949\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc8\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc8\";s:7:\"version\";s:11:\"7.x-1.0-rc8\";s:3:\"tag\";s:11:\"7.x-1.0-rc8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc8\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc8.tar.gz\";s:4:\"date\";s:10:\"1357828811\";s:6:\"mdhash\";s:32:\"98f8dfae9dc77dcfd554086331cf42d6\";s:8:\"filesize\";s:5:\"43541\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc7\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc7\";s:7:\"version\";s:11:\"7.x-1.0-rc7\";s:3:\"tag\";s:11:\"7.x-1.0-rc7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc7\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc7.tar.gz\";s:4:\"date\";s:10:\"1356989455\";s:6:\"mdhash\";s:32:\"67101f67f22f36be19fee950bed02be5\";s:8:\"filesize\";s:5:\"44186\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc6\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc6\";s:7:\"version\";s:11:\"7.x-1.0-rc6\";s:3:\"tag\";s:11:\"7.x-1.0-rc6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc6\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc6.tar.gz\";s:4:\"date\";s:10:\"1346850751\";s:6:\"mdhash\";s:32:\"4a3299b8cb1f6030ee21f3bf9435c73c\";s:8:\"filesize\";s:5:\"39901\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc5\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc5\";s:7:\"version\";s:11:\"7.x-1.0-rc5\";s:3:\"tag\";s:11:\"7.x-1.0-rc5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc5\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1338748274\";s:6:\"mdhash\";s:32:\"a73ab8410759a1448ff0901e04defd73\";s:8:\"filesize\";s:5:\"35325\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc4\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc4\";s:7:\"version\";s:11:\"7.x-1.0-rc4\";s:3:\"tag\";s:11:\"7.x-1.0-rc4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1334791293\";s:6:\"mdhash\";s:32:\"2e800d8c11b5b287305f84a16375d50a\";s:8:\"filesize\";s:5:\"32269\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1331946338\";s:6:\"mdhash\";s:32:\"914cb1103663c42b47f3ff0c961ce51f\";s:8:\"filesize\";s:5:\"31112\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1331939437\";s:6:\"mdhash\";s:32:\"9a9666ea98b867ac88d97c70ac6d578a\";s:8:\"filesize\";s:5:\"31118\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1329531338\";s:6:\"mdhash\";s:32:\"bc854e700c1522ef77612c407bab3e47\";s:8:\"filesize\";s:5:\"30802\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-beta10\";a:15:{s:4:\"name\";s:19:\"bean 7.x-1.0-beta10\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:3:\"tag\";s:14:\"7.x-1.0-beta10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta10\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1325217937\";s:6:\"mdhash\";s:32:\"c0b2fc2408cc07a03436f1c8beda50f4\";s:8:\"filesize\";s:5:\"27771\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta9\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta9\";s:7:\"version\";s:13:\"7.x-1.0-beta9\";s:3:\"tag\";s:13:\"7.x-1.0-beta9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta9\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1322880637\";s:6:\"mdhash\";s:32:\"5dbe793210a5aa04e003f621c909dc5b\";s:8:\"filesize\";s:5:\"26906\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta8\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta8\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:3:\"tag\";s:13:\"7.x-1.0-beta8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta8\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1321458937\";s:6:\"mdhash\";s:32:\"4eb819577d8a5d23af8fb64da2db5775\";s:8:\"filesize\";s:5:\"24803\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1321455339\";s:6:\"mdhash\";s:32:\"18927f8d3a97c46deca803f686881058\";s:8:\"filesize\";s:5:\"24805\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1320196828\";s:6:\"mdhash\";s:32:\"8c751665cfc36f063b96513ec44967e2\";s:8:\"filesize\";s:5:\"23337\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1319407529\";s:6:\"mdhash\";s:32:\"bbe7f70fa5fb0b215bef7280087c1d0a\";s:8:\"filesize\";s:5:\"23323\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1319204129\";s:6:\"mdhash\";s:32:\"7e423f04e51e3a0c2fe62038dca57257\";s:8:\"filesize\";s:5:\"22972\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1316637400\";s:6:\"mdhash\";s:32:\"564623761c3c97b937fd75b88246b9a3\";s:8:\"filesize\";s:5:\"21881\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1315415214\";s:6:\"mdhash\";s:32:\"1c34fe82f4f2388df916e6b3a0404f9d\";s:8:\"filesize\";s:5:\"20713\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1312983715\";s:6:\"mdhash\";s:32:\"4a451dc417458d751bdf7004f3bafb30\";s:8:\"filesize\";s:5:\"20684\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:19:\"bean 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/bean/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1308773514\";s:6:\"mdhash\";s:32:\"0b72b09bbf3b294d705c9f80e8de9314\";s:8:\"filesize\";s:5:\"19577\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:19:\"bean 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/bean/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1308751014\";s:6:\"mdhash\";s:32:\"32c6e739e858b118eb2c5d6cb8c99a24\";s:8:\"filesize\";s:5:\"18753\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:19:\"bean 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/bean/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1308271392\";s:6:\"mdhash\";s:32:\"15fb5bffdb310d4b70a45ac8f2abce6d\";s:8:\"filesize\";s:5:\"16588\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:19:\"bean 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/bean/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1305915714\";s:6:\"mdhash\";s:32:\"e720656a63a026dd157a8764beb2c597\";s:8:\"filesize\";s:5:\"16065\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:16:\"bean 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499880543\";s:6:\"mdhash\";s:32:\"8150989840a614891cf93453a0271041\";s:8:\"filesize\";s:5:\"55095\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500434213,1500347812,1),('available_releases::clock','a:11:{s:5:\"title\";s:5:\"Clock\";s:10:\"short_name\";s:5:\"clock\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/clock\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:6:{s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:13:\"clock 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/clock/releases/7.x-1.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/clock-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1313948517\";s:6:\"mdhash\";s:32:\"9ec4800a48d578dfb7358fd4b944fcaf\";s:8:\"filesize\";s:5:\"15219\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:13:\"clock 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/clock/releases/7.x-1.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/clock-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1297169797\";s:6:\"mdhash\";s:32:\"c21bffecabdc826e971e6e5da11cadbd\";s:8:\"filesize\";s:5:\"15188\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:13:\"clock 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/clock/releases/7.x-1.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/clock-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1292082041\";s:6:\"mdhash\";s:32:\"aafc8305c6e6280aacc5bbe638526a11\";s:8:\"filesize\";s:5:\"15059\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:19:\"clock 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/clock/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/clock-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1286478365\";s:6:\"mdhash\";s:32:\"bae9f012699236ce48193611d3e0c358\";s:8:\"filesize\";s:5:\"14888\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:17:\"clock 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/clock/releases/7.x-2.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/clock-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380559017\";s:6:\"mdhash\";s:32:\"dddfc88e6c7bd6e0ee6c4aca0074841f\";s:8:\"filesize\";s:5:\"26107\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:17:\"clock 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/clock/releases/7.x-1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/clock-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380559018\";s:6:\"mdhash\";s:32:\"386be53aaffa67f995dc6ece2026bf6e\";s:8:\"filesize\";s:5:\"16550\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500434214,1500347812,1),('available_releases::context','a:11:{s:5:\"title\";s:7:\"Context\";s:10:\"short_name\";s:7:\"context\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:38:\"https://www.drupal.org/project/context\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:20:{s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.7\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1463605439\";s:6:\"mdhash\";s:32:\"7486753eef5a1496a3aa79ce7f168124\";s:8:\"filesize\";s:5:\"74779\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.6\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1420570680\";s:6:\"mdhash\";s:32:\"74894fd36de656fd00dcd5f0cf4bd7b0\";s:8:\"filesize\";s:5:\"74029\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.5\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1418341070\";s:6:\"mdhash\";s:32:\"9946cd622ba584de05597d85c2d70903\";s:8:\"filesize\";s:5:\"74008\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.4\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1418330580\";s:6:\"mdhash\";s:32:\"c253abf7fee5787934c2f2f6fecf3d0c\";s:8:\"filesize\";s:5:\"74019\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.3\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1412114933\";s:6:\"mdhash\";s:32:\"6da85f017a673e57152d0e0b6fe9082f\";s:8:\"filesize\";s:5:\"73996\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.2\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1390931305\";s:6:\"mdhash\";s:32:\"a9ee5d6eb6c1d7980f4834788e5e20f0\";s:8:\"filesize\";s:5:\"72655\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.1\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1381976667\";s:6:\"mdhash\";s:32:\"0211b9782b18364623ac044f1aa39295\";s:8:\"filesize\";s:5:\"71341\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.0\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1381891268\";s:6:\"mdhash\";s:32:\"4522891bcd393c93f0c00e396fc57d2d\";s:8:\"filesize\";s:5:\"71536\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-3.0-rc1\";a:15:{s:4:\"name\";s:19:\"context 7.x-3.0-rc1\";s:7:\"version\";s:11:\"7.x-3.0-rc1\";s:3:\"tag\";s:11:\"7.x-3.0-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/context/releases/7.x-3.0-rc1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1380221057\";s:6:\"mdhash\";s:32:\"82c6b89c04b1bf7dc7936da6cb5a68f3\";s:8:\"filesize\";s:5:\"71377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta7\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta7\";s:7:\"version\";s:13:\"7.x-3.0-beta7\";s:3:\"tag\";s:13:\"7.x-3.0-beta7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1375065368\";s:6:\"mdhash\";s:32:\"098f672a1a9deff4d02af98c8cfe7314\";s:8:\"filesize\";s:5:\"71132\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta6\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta6\";s:7:\"version\";s:13:\"7.x-3.0-beta6\";s:3:\"tag\";s:13:\"7.x-3.0-beta6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1355879811\";s:6:\"mdhash\";s:32:\"1fb886ef64dcbf2a1d6baedae3516ccc\";s:8:\"filesize\";s:5:\"70788\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta5\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta5\";s:7:\"version\";s:13:\"7.x-3.0-beta5\";s:3:\"tag\";s:13:\"7.x-3.0-beta5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1354819308\";s:6:\"mdhash\";s:32:\"7c0e563c681fbf716b7237181dd3b820\";s:8:\"filesize\";s:5:\"70554\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta4\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta4\";s:7:\"version\";s:13:\"7.x-3.0-beta4\";s:3:\"tag\";s:13:\"7.x-3.0-beta4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1344786407\";s:6:\"mdhash\";s:32:\"a8cb1ff2d756fb28c2867efaf02f5a27\";s:8:\"filesize\";s:5:\"64762\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1337490056\";s:6:\"mdhash\";s:32:\"9d3e3844698e647061d43cbab2c1b05a\";s:8:\"filesize\";s:5:\"66729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1315543301\";s:6:\"mdhash\";s:32:\"c10187dbe386e3c3b12235efb83c4455\";s:8:\"filesize\";s:5:\"65147\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1298925068\";s:6:\"mdhash\";s:32:\"0707f1af392f0bf1cd210a8e638c9de6\";s:8:\"filesize\";s:5:\"63804\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha3\";a:15:{s:4:\"name\";s:22:\"context 7.x-3.0-alpha3\";s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:3:\"tag\";s:14:\"7.x-3.0-alpha3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/context/releases/7.x-3.0-alpha3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1294089953\";s:6:\"mdhash\";s:32:\"38dd5fc8aef952598f4ef6420addc3b3\";s:8:\"filesize\";s:5:\"63251\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha2\";a:15:{s:4:\"name\";s:22:\"context 7.x-3.0-alpha2\";s:7:\"version\";s:14:\"7.x-3.0-alpha2\";s:3:\"tag\";s:14:\"7.x-3.0-alpha2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/context/releases/7.x-3.0-alpha2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1285617662\";s:6:\"mdhash\";s:32:\"e6df800804a2f30da2eb939ef298b033\";s:8:\"filesize\";s:5:\"63205\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:22:\"context 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/context/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1284683161\";s:6:\"mdhash\";s:32:\"083993e65701c32d428e2c7e15047b65\";s:8:\"filesize\";s:5:\"62143\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:19:\"context 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/context/releases/7.x-3.x-dev\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/context-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1465425842\";s:6:\"mdhash\";s:32:\"6920e8b538b8e529bd0cd8dbe85c0143\";s:8:\"filesize\";s:5:\"74787\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500434215,1500347812,1),('available_releases::ctools','a:11:{s:5:\"title\";s:25:\"Chaos tool suite (ctools)\";s:10:\"short_name\";s:6:\"ctools\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/ctools\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:22:{s:8:\"7.x-1.12\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.12\";s:7:\"version\";s:8:\"7.x-1.12\";s:3:\"tag\";s:8:\"7.x-1.12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.12\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.12.tar.gz\";s:4:\"date\";s:10:\"1479787142\";s:6:\"mdhash\";s:32:\"daae0be22830e34c4d952f91557ae5a5\";s:8:\"filesize\";s:6:\"433707\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.11\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1476581639\";s:6:\"mdhash\";s:32:\"271d08d18f3c05f51aba1ad77d42f96c\";s:8:\"filesize\";s:6:\"432144\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.10\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1471454080\";s:6:\"mdhash\";s:32:\"38bb47304f6dcd0bcd6b02ed6ee235fc\";s:8:\"filesize\";s:6:\"430198\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.9\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1440019139\";s:6:\"mdhash\";s:32:\"bd7b5dac915e8fa3da909379807ef824\";s:8:\"filesize\";s:6:\"429330\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1440015839\";s:6:\"mdhash\";s:32:\"629f8bc414026864fe4a235b62586e0c\";s:8:\"filesize\";s:6:\"428252\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.7\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1426695781\";s:6:\"mdhash\";s:32:\"81ab507b12875b02b88a0492d1173b99\";s:8:\"filesize\";s:6:\"426463\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.6\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1422471481\";s:6:\"mdhash\";s:32:\"e8999d5bd1748ee3dcd4fdc33a24c615\";s:8:\"filesize\";s:6:\"424622\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.6-rc1\";a:15:{s:4:\"name\";s:18:\"ctools 7.x-1.6-rc1\";s:7:\"version\";s:11:\"7.x-1.6-rc1\";s:3:\"tag\";s:11:\"7.x-1.6-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.6-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.6-rc1.tar.gz\";s:4:\"date\";s:10:\"1418961480\";s:6:\"mdhash\";s:32:\"f3dc80ff7f3e29c73870f26a6ad02ff7\";s:8:\"filesize\";s:6:\"422180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1416423482\";s:6:\"mdhash\";s:32:\"0e90d8baaae78d3c37fe73dbe0d98dac\";s:8:\"filesize\";s:6:\"417508\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1392220719\";s:6:\"mdhash\";s:32:\"df1ce5aeb6a9a5c383d944a2a7494f18\";s:8:\"filesize\";s:6:\"415678\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1365013512\";s:6:\"mdhash\";s:32:\"b27a7230f63a7a81db8cc480ab2dba63\";s:8:\"filesize\";s:6:\"413477\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1345319204\";s:6:\"mdhash\";s:32:\"62fa855ee8aced1e355b09ac6cd54e99\";s:8:\"filesize\";s:6:\"407345\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1344463011\";s:6:\"mdhash\";s:32:\"c36cbb2fd7a6eb8b3245c13972380bd7\";s:8:\"filesize\";s:6:\"405567\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1332962446\";s:6:\"mdhash\";s:32:\"642eca364e64b0074e5ad49f86627ac5\";s:8:\"filesize\";s:6:\"402254\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:18:\"ctools 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1332017742\";s:6:\"mdhash\";s:32:\"791167a47cea014fad9018c93376aa88\";s:8:\"filesize\";s:6:\"396440\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:18:\"ctools 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1311894415\";s:6:\"mdhash\";s:32:\"39bcea671210505409e3148c8eaefc0e\";s:8:\"filesize\";s:6:\"381078\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:20:\"ctools 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1306885315\";s:6:\"mdhash\";s:32:\"96d8154bfab611eb59cbd3774aa94793\";s:8:\"filesize\";s:6:\"378287\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1301099792\";s:6:\"mdhash\";s:32:\"774f6654c149f192b11b136a06be5544\";s:8:\"filesize\";s:6:\"370763\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1300395967\";s:6:\"mdhash\";s:32:\"1909846a7bd5775c99331c6564ffefa8\";s:8:\"filesize\";s:6:\"370238\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1294276865\";s:6:\"mdhash\";s:32:\"30e0f5cb27949d2cd67b80bb36701d3e\";s:8:\"filesize\";s:6:\"521068\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1286838960\";s:6:\"mdhash\";s:32:\"500a55a33f90b2bab865753a0d8c5439\";s:8:\"filesize\";s:6:\"510384\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:18:\"ctools 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1487053684\";s:6:\"mdhash\";s:32:\"149a825138993bde410a2cb823a716c2\";s:8:\"filesize\";s:6:\"440513\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500434216,1500347812,1),('available_releases::date','a:11:{s:5:\"title\";s:4:\"Date\";s:10:\"short_name\";s:4:\"date\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:35:\"https://www.drupal.org/project/date\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:31:{s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:13:\"date 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/date/releases/7.x-2.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/date-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1491562083\";s:6:\"mdhash\";s:32:\"2574ab984de79b65f93dbeb48a4e2036\";s:8:\"filesize\";s:6:\"226466\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:12:\"7.x-2.10-rc2\";a:15:{s:4:\"name\";s:17:\"date 7.x-2.10-rc2\";s:7:\"version\";s:12:\"7.x-2.10-rc2\";s:3:\"tag\";s:12:\"7.x-2.10-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/date/releases/7.x-2.10-rc2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/date-7.x-2.10-rc2.tar.gz\";s:4:\"date\";s:10:\"1490783284\";s:6:\"mdhash\";s:32:\"2e59072e74cf1e180b5f159cea91639c\";s:8:\"filesize\";s:6:\"226485\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:12:\"7.x-2.10-rc1\";a:15:{s:4:\"name\";s:17:\"date 7.x-2.10-rc1\";s:7:\"version\";s:12:\"7.x-2.10-rc1\";s:3:\"tag\";s:12:\"7.x-2.10-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/date/releases/7.x-2.10-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/date-7.x-2.10-rc1.tar.gz\";s:4:\"date\";s:10:\"1461749740\";s:6:\"mdhash\";s:32:\"59079319cdaa7f96843c66a674bd6f96\";s:8:\"filesize\";s:6:\"226185\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.10-beta1\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.10-beta1\";s:7:\"version\";s:14:\"7.x-2.10-beta1\";s:3:\"tag\";s:14:\"7.x-2.10-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.10-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.10-beta1.tar.gz\";s:4:\"date\";s:10:\"1452253139\";s:6:\"mdhash\";s:32:\"b6c7abde2995afb8a014cb590ac131ac\";s:8:\"filesize\";s:6:\"224719\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.9\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.9\";s:7:\"version\";s:7:\"7.x-2.9\";s:3:\"tag\";s:7:\"7.x-2.9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.9.tar.gz\";s:4:\"date\";s:10:\"1441727339\";s:6:\"mdhash\";s:32:\"5d76a5e020d3926aa3c516e426678700\";s:8:\"filesize\";s:6:\"224512\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.9-rc1\";a:15:{s:4:\"name\";s:16:\"date 7.x-2.9-rc1\";s:7:\"version\";s:11:\"7.x-2.9-rc1\";s:3:\"tag\";s:11:\"7.x-2.9-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/date/releases/7.x-2.9-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/date-7.x-2.9-rc1.tar.gz\";s:4:\"date\";s:10:\"1427454181\";s:6:\"mdhash\";s:32:\"5cc051772c39d76bb0a2bfd8a5f7c775\";s:8:\"filesize\";s:6:\"224454\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.9-beta2\";a:15:{s:4:\"name\";s:18:\"date 7.x-2.9-beta2\";s:7:\"version\";s:13:\"7.x-2.9-beta2\";s:3:\"tag\";s:13:\"7.x-2.9-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/date/releases/7.x-2.9-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/date-7.x-2.9-beta2.tar.gz\";s:4:\"date\";s:10:\"1417718873\";s:6:\"mdhash\";s:32:\"e81616832e6ef58be039640a4fe35390\";s:8:\"filesize\";s:6:\"223732\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.9-beta1\";a:15:{s:4:\"name\";s:18:\"date 7.x-2.9-beta1\";s:7:\"version\";s:13:\"7.x-2.9-beta1\";s:3:\"tag\";s:13:\"7.x-2.9-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/date/releases/7.x-2.9-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/date-7.x-2.9-beta1.tar.gz\";s:4:\"date\";s:10:\"1415483880\";s:6:\"mdhash\";s:32:\"e03390f28efe81e7e56180651f4bb76a\";s:8:\"filesize\";s:6:\"222344\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.9-alpha2\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.9-alpha2\";s:7:\"version\";s:14:\"7.x-2.9-alpha2\";s:3:\"tag\";s:14:\"7.x-2.9-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.9-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.9-alpha2.tar.gz\";s:4:\"date\";s:10:\"1411597754\";s:6:\"mdhash\";s:32:\"2f71a9bc1dc8a13c1607ca2dc74a87b7\";s:8:\"filesize\";s:6:\"218373\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.9-alpha1\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.9-alpha1\";s:7:\"version\";s:14:\"7.x-2.9-alpha1\";s:3:\"tag\";s:14:\"7.x-2.9-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.9-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.9-alpha1.tar.gz\";s:4:\"date\";s:10:\"1406829527\";s:6:\"mdhash\";s:32:\"3e6a694c86989c61d9cd5cf4cf582bc5\";s:8:\"filesize\";s:6:\"218628\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.8\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.8\";s:7:\"version\";s:7:\"7.x-2.8\";s:3:\"tag\";s:7:\"7.x-2.8\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.8.tar.gz\";s:4:\"date\";s:10:\"1406653427\";s:6:\"mdhash\";s:32:\"e0d07255a60e3a7716db5902767e08d1\";s:8:\"filesize\";s:6:\"218587\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.8-beta2\";a:15:{s:4:\"name\";s:18:\"date 7.x-2.8-beta2\";s:7:\"version\";s:13:\"7.x-2.8-beta2\";s:3:\"tag\";s:13:\"7.x-2.8-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/date/releases/7.x-2.8-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/date-7.x-2.8-beta2.tar.gz\";s:4:\"date\";s:10:\"1406317428\";s:6:\"mdhash\";s:32:\"3ba190c30aa3833500af8505c9951121\";s:8:\"filesize\";s:6:\"217910\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.8-beta1\";a:15:{s:4:\"name\";s:18:\"date 7.x-2.8-beta1\";s:7:\"version\";s:13:\"7.x-2.8-beta1\";s:3:\"tag\";s:13:\"7.x-2.8-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/date/releases/7.x-2.8-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/date-7.x-2.8-beta1.tar.gz\";s:4:\"date\";s:10:\"1403366927\";s:6:\"mdhash\";s:32:\"cf89ddee77f567db0157124e1651246d\";s:8:\"filesize\";s:6:\"217411\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1387659204\";s:6:\"mdhash\";s:32:\"24e11f82623a442305c30cb6887d77f9\";s:8:\"filesize\";s:6:\"216320\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1344850024\";s:6:\"mdhash\";s:32:\"cc22fe50289aea79b3b9b240baba0111\";s:8:\"filesize\";s:6:\"213301\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1334835098\";s:6:\"mdhash\";s:32:\"56fa435f5c8831655ddf3f4fffe2b97a\";s:8:\"filesize\";s:6:\"211078\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1334828498\";s:6:\"mdhash\";s:32:\"2c152c82d8cc55e090cba40a46742465\";s:8:\"filesize\";s:6:\"210999\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1333273246\";s:6:\"mdhash\";s:32:\"3290ee3891157384b606633dda02fe19\";s:8:\"filesize\";s:6:\"210464\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1330089942\";s:6:\"mdhash\";s:32:\"652323d741226212057e8f58906c7d6a\";s:8:\"filesize\";s:6:\"207223\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:12:\"date 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/date/releases/7.x-2.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/date-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1329214840\";s:6:\"mdhash\";s:32:\"08eab951b7096b1edcc1cdff52b3c9cc\";s:8:\"filesize\";s:6:\"208349\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.0-rc2\";a:15:{s:4:\"name\";s:16:\"date 7.x-2.0-rc2\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:3:\"tag\";s:11:\"7.x-2.0-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/date/releases/7.x-2.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1328104249\";s:6:\"mdhash\";s:32:\"60e5d591d567e823141650db8290394b\";s:8:\"filesize\";s:6:\"208479\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.0-rc1\";a:15:{s:4:\"name\";s:16:\"date 7.x-2.0-rc1\";s:7:\"version\";s:11:\"7.x-2.0-rc1\";s:3:\"tag\";s:11:\"7.x-2.0-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/date/releases/7.x-2.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1324415138\";s:6:\"mdhash\";s:32:\"553e622be1be5c28b59c088f8b890872\";s:8:\"filesize\";s:6:\"203112\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha5\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.0-alpha5\";s:7:\"version\";s:14:\"7.x-2.0-alpha5\";s:3:\"tag\";s:14:\"7.x-2.0-alpha5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.0-alpha5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1322563238\";s:6:\"mdhash\";s:32:\"02cf9eff83b7203b70c311daca9c0e8c\";s:8:\"filesize\";s:6:\"204364\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha4\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.0-alpha4\";s:7:\"version\";s:14:\"7.x-2.0-alpha4\";s:3:\"tag\";s:14:\"7.x-2.0-alpha4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.0-alpha4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1314097619\";s:6:\"mdhash\";s:32:\"832ce7f175146004c9976b9191d37f45\";s:8:\"filesize\";s:6:\"195013\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha3\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.0-alpha3\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:3:\"tag\";s:14:\"7.x-2.0-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.0-alpha3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1303821715\";s:6:\"mdhash\";s:32:\"d7de2d8ece4098fe8ac9ce6e5eb30270\";s:8:\"filesize\";s:6:\"169553\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1303818715\";s:6:\"mdhash\";s:32:\"2a2c10cb87eed66b0174283f9fc607c4\";s:8:\"filesize\";s:6:\"169563\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:19:\"date 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1299682267\";s:6:\"mdhash\";s:32:\"c5ab4e67bb59da279c0da9b10ed9725e\";s:8:\"filesize\";s:6:\"166837\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:19:\"date 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1295529407\";s:6:\"mdhash\";s:32:\"0ed3d8939eeb72e7a3bcb537ed4d21ff\";s:8:\"filesize\";s:6:\"268480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:19:\"date 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/date/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/date-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1295353339\";s:6:\"mdhash\";s:32:\"6534800ffd881bab8721172100039111\";s:8:\"filesize\";s:6:\"268378\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:16:\"date 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/date/releases/7.x-2.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/date-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1490712482\";s:6:\"mdhash\";s:32:\"d1b92438376c95b25e429036c4dd3ef9\";s:8:\"filesize\";s:6:\"226507\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:16:\"date-7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/date/releases/7.x-1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/date-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1490710682\";s:6:\"mdhash\";s:32:\"fac06f792a558a00f0bc1b49b43469fd\";s:8:\"filesize\";s:6:\"166214\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500434216,1500347812,1),('available_releases::drupal','a:11:{s:5:\"title\";s:11:\"Drupal core\";s:10:\"short_name\";s:6:\"drupal\";s:4:\"type\";s:12:\"project_core\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"7\";s:16:\"supported_majors\";s:1:\"7\";s:13:\"default_major\";s:1:\"7\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/drupal\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:67:{s:4:\"7.56\";a:14:{s:4:\"name\";s:11:\"drupal 7.56\";s:7:\"version\";s:4:\"7.56\";s:3:\"tag\";s:4:\"7.56\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"56\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.56\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.56.tar.gz\";s:4:\"date\";s:10:\"1498069782\";s:6:\"mdhash\";s:32:\"5d198f40f0f1cbf9cdf1bf3de842e534\";s:8:\"filesize\";s:7:\"3277833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.55\";a:14:{s:4:\"name\";s:11:\"drupal 7.55\";s:7:\"version\";s:4:\"7.55\";s:3:\"tag\";s:4:\"7.55\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"55\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.55\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.55.tar.gz\";s:4:\"date\";s:10:\"1496873942\";s:6:\"mdhash\";s:32:\"ad97f8c86cee7be9d6ab13724b55fa1c\";s:8:\"filesize\";s:7:\"3277355\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.54\";a:14:{s:4:\"name\";s:11:\"drupal 7.54\";s:7:\"version\";s:4:\"7.54\";s:3:\"tag\";s:4:\"7.54\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"54\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.54\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.54.tar.gz\";s:4:\"date\";s:10:\"1485986883\";s:6:\"mdhash\";s:32:\"3068cbe488075ae166e23ea6cd29cf0f\";s:8:\"filesize\";s:7:\"3275864\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.53\";a:14:{s:4:\"name\";s:11:\"drupal 7.53\";s:7:\"version\";s:4:\"7.53\";s:3:\"tag\";s:4:\"7.53\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"53\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.53\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.53.tar.gz\";s:4:\"date\";s:10:\"1481152384\";s:6:\"mdhash\";s:32:\"4230279ecca4f0cde652a219e10327e7\";s:8:\"filesize\";s:7:\"3273245\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.52\";a:14:{s:4:\"name\";s:11:\"drupal 7.52\";s:7:\"version\";s:4:\"7.52\";s:3:\"tag\";s:4:\"7.52\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"52\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.52\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.52.tar.gz\";s:4:\"date\";s:10:\"1479322810\";s:6:\"mdhash\";s:32:\"4963e68ca12918d3a3eae56054214191\";s:8:\"filesize\";s:7:\"3289714\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.51\";a:14:{s:4:\"name\";s:11:\"drupal 7.51\";s:7:\"version\";s:4:\"7.51\";s:3:\"tag\";s:4:\"7.51\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"51\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.51\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.51.tar.gz\";s:4:\"date\";s:10:\"1475693339\";s:6:\"mdhash\";s:32:\"49f82c1cac8e4bd4941ca160fcbee93d\";s:8:\"filesize\";s:7:\"3288987\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.50\";a:14:{s:4:\"name\";s:11:\"drupal 7.50\";s:7:\"version\";s:4:\"7.50\";s:3:\"tag\";s:4:\"7.50\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"50\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.50\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.50.tar.gz\";s:4:\"date\";s:10:\"1467918239\";s:6:\"mdhash\";s:32:\"f23905b0248d76f0fc8316692cd64753\";s:8:\"filesize\";s:7:\"3286826\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.44\";a:14:{s:4:\"name\";s:11:\"drupal 7.44\";s:7:\"version\";s:4:\"7.44\";s:3:\"tag\";s:4:\"7.44\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"44\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.44\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.44.tar.gz\";s:4:\"date\";s:10:\"1466021480\";s:6:\"mdhash\";s:32:\"965ab5fe5457625ec8c18e5c1c455008\";s:8:\"filesize\";s:7:\"3265819\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.43\";a:14:{s:4:\"name\";s:11:\"drupal 7.43\";s:7:\"version\";s:4:\"7.43\";s:3:\"tag\";s:4:\"7.43\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"43\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.43\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.43.tar.gz\";s:4:\"date\";s:10:\"1456341749\";s:6:\"mdhash\";s:32:\"c6fb49bc88a6408a985afddac76b9f8b\";s:8:\"filesize\";s:7:\"3265824\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.42\";a:14:{s:4:\"name\";s:11:\"drupal 7.42\";s:7:\"version\";s:4:\"7.42\";s:3:\"tag\";s:4:\"7.42\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"42\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.42-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.42.tar.gz\";s:4:\"date\";s:10:\"1454516939\";s:6:\"mdhash\";s:32:\"9a96f67474e209dd48750ba6fccc77db\";s:8:\"filesize\";s:7:\"3264065\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.41\";a:14:{s:4:\"name\";s:11:\"drupal 7.41\";s:7:\"version\";s:4:\"7.41\";s:3:\"tag\";s:4:\"7.41\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"41\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.41-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.41.tar.gz\";s:4:\"date\";s:10:\"1445457239\";s:6:\"mdhash\";s:32:\"7636e75e8be213455b4ac7911ce5801f\";s:8:\"filesize\";s:7:\"3257325\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.40\";a:14:{s:4:\"name\";s:11:\"drupal 7.40\";s:7:\"version\";s:4:\"7.40\";s:3:\"tag\";s:4:\"7.40\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"40\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.40-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.40.tar.gz\";s:4:\"date\";s:10:\"1444865639\";s:6:\"mdhash\";s:32:\"d4509f13c23999a76e61ec4d5ccfaf26\";s:8:\"filesize\";s:7:\"3257401\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.39\";a:14:{s:4:\"name\";s:11:\"drupal 7.39\";s:7:\"version\";s:4:\"7.39\";s:3:\"tag\";s:4:\"7.39\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"39\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.39-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.39.tar.gz\";s:4:\"date\";s:10:\"1440019139\";s:6:\"mdhash\";s:32:\"6f42a7e9c7a1c2c4c9c2f20c81b8e79a\";s:8:\"filesize\";s:7:\"3249343\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.38\";a:14:{s:4:\"name\";s:11:\"drupal 7.38\";s:7:\"version\";s:4:\"7.38\";s:3:\"tag\";s:4:\"7.38\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"38\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.38-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.38.tar.gz\";s:4:\"date\";s:10:\"1434566280\";s:6:\"mdhash\";s:32:\"c18298c1a5aed32ddbdac605fdef7fce\";s:8:\"filesize\";s:7:\"3247864\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.37\";a:14:{s:4:\"name\";s:11:\"drupal 7.37\";s:7:\"version\";s:4:\"7.37\";s:3:\"tag\";s:4:\"7.37\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"37\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.37-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.37.tar.gz\";s:4:\"date\";s:10:\"1430972281\";s:6:\"mdhash\";s:32:\"3a70696c87b786365f2c6c3aeb895d8a\";s:8:\"filesize\";s:7:\"3244291\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.36\";a:14:{s:4:\"name\";s:11:\"drupal 7.36\";s:7:\"version\";s:4:\"7.36\";s:3:\"tag\";s:4:\"7.36\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"36\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.36-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.36.tar.gz\";s:4:\"date\";s:10:\"1427943181\";s:6:\"mdhash\";s:32:\"98e1f62c11a5dc5f9481935eefc814c5\";s:8:\"filesize\";s:7:\"3244905\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.35\";a:14:{s:4:\"name\";s:11:\"drupal 7.35\";s:7:\"version\";s:4:\"7.35\";s:3:\"tag\";s:4:\"7.35\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"35\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.35-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.35.tar.gz\";s:4:\"date\";s:10:\"1426706281\";s:6:\"mdhash\";s:32:\"fecc55bd0bd476bc35d9ebf68452942d\";s:8:\"filesize\";s:7:\"3234349\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.34\";a:14:{s:4:\"name\";s:11:\"drupal 7.34\";s:7:\"version\";s:4:\"7.34\";s:3:\"tag\";s:4:\"7.34\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"34\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.34-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.34.tar.gz\";s:4:\"date\";s:10:\"1416429264\";s:6:\"mdhash\";s:32:\"bb4d212e1eb1d7375e41613fbefa04f2\";s:8:\"filesize\";s:7:\"3229858\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.33\";a:14:{s:4:\"name\";s:11:\"drupal 7.33\";s:7:\"version\";s:4:\"7.33\";s:3:\"tag\";s:4:\"7.33\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"33\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.33-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.33.tar.gz\";s:4:\"date\";s:10:\"1415374080\";s:6:\"mdhash\";s:32:\"187b076a5753960d5d5cb12d30d93e73\";s:8:\"filesize\";s:7:\"3229397\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.32\";a:14:{s:4:\"name\";s:11:\"drupal 7.32\";s:7:\"version\";s:4:\"7.32\";s:3:\"tag\";s:4:\"7.32\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"32\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.32-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.32.tar.gz\";s:4:\"date\";s:10:\"1413387329\";s:6:\"mdhash\";s:32:\"d5d121a6ce974f2d20604a7e10e1987a\";s:8:\"filesize\";s:7:\"3215563\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.31\";a:14:{s:4:\"name\";s:11:\"drupal 7.31\";s:7:\"version\";s:4:\"7.31\";s:3:\"tag\";s:4:\"7.31\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"31\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.31-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.31.tar.gz\";s:4:\"date\";s:10:\"1407346427\";s:6:\"mdhash\";s:32:\"de256f202930d3ef5ccc6aebc550adaf\";s:8:\"filesize\";s:7:\"3216766\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.30\";a:14:{s:4:\"name\";s:11:\"drupal 7.30\";s:7:\"version\";s:4:\"7.30\";s:3:\"tag\";s:4:\"7.30\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"30\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.30-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.30.tar.gz\";s:4:\"date\";s:10:\"1406239728\";s:6:\"mdhash\";s:32:\"ef7bce65ca6395f1e6bc44c15fdbc3cb\";s:8:\"filesize\";s:7:\"3215744\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.29\";a:14:{s:4:\"name\";s:11:\"drupal 7.29\";s:7:\"version\";s:4:\"7.29\";s:3:\"tag\";s:4:\"7.29\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"29\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.29-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.29.tar.gz\";s:4:\"date\";s:10:\"1405543128\";s:6:\"mdhash\";s:32:\"6ffdfb0ee08fadfb531c7fed1d2c5633\";s:8:\"filesize\";s:7:\"3213499\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.28\";a:14:{s:4:\"name\";s:11:\"drupal 7.28\";s:7:\"version\";s:4:\"7.28\";s:3:\"tag\";s:4:\"7.28\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"28\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.28-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.28.tar.gz\";s:4:\"date\";s:10:\"1399522729\";s:6:\"mdhash\";s:32:\"6255884d7e15c654fc8856805b271551\";s:8:\"filesize\";s:7:\"3212823\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.27\";a:14:{s:4:\"name\";s:11:\"drupal 7.27\";s:7:\"version\";s:4:\"7.27\";s:3:\"tag\";s:4:\"7.27\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"27\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.27-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.27.tar.gz\";s:4:\"date\";s:10:\"1397686464\";s:6:\"mdhash\";s:32:\"e9b05562f1a7f8bbcb5922cd3a0d55cb\";s:8:\"filesize\";s:7:\"3207398\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.26\";a:14:{s:4:\"name\";s:11:\"drupal 7.26\";s:7:\"version\";s:4:\"7.26\";s:3:\"tag\";s:4:\"7.26\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"26\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.26-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.26.tar.gz\";s:4:\"date\";s:10:\"1389815904\";s:6:\"mdhash\";s:32:\"740bd57f524b8ac18a203b663ca1329d\";s:8:\"filesize\";s:7:\"3204587\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.25\";a:14:{s:4:\"name\";s:11:\"drupal 7.25\";s:7:\"version\";s:4:\"7.25\";s:3:\"tag\";s:4:\"7.25\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"25\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.25-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.25.tar.gz\";s:4:\"date\";s:10:\"1388709505\";s:6:\"mdhash\";s:32:\"25906158083d89aa86534df1c683b4ea\";s:8:\"filesize\";s:7:\"3203256\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.24\";a:14:{s:4:\"name\";s:11:\"drupal 7.24\";s:7:\"version\";s:4:\"7.24\";s:3:\"tag\";s:4:\"7.24\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"24\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.24-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.24.tar.gz\";s:4:\"date\";s:10:\"1384982905\";s:6:\"mdhash\";s:32:\"c1ddb37155e4b6160f6508636c06f2a7\";s:8:\"filesize\";s:7:\"3195735\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.23\";a:14:{s:4:\"name\";s:11:\"drupal 7.23\";s:7:\"version\";s:4:\"7.23\";s:3:\"tag\";s:4:\"7.23\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"23\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.23-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.23.tar.gz\";s:4:\"date\";s:10:\"1375928239\";s:6:\"mdhash\";s:32:\"0beca6fec15b8cf8c35a6fdda6675342\";s:8:\"filesize\";s:7:\"3191695\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.22\";a:14:{s:4:\"name\";s:11:\"drupal 7.22\";s:7:\"version\";s:4:\"7.22\";s:3:\"tag\";s:4:\"7.22\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"22\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.22-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.22.tar.gz\";s:4:\"date\";s:10:\"1365027013\";s:6:\"mdhash\";s:32:\"068d7a77958fce6bb002659aa7ccaeb7\";s:8:\"filesize\";s:7:\"3183014\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.21\";a:14:{s:4:\"name\";s:11:\"drupal 7.21\";s:7:\"version\";s:4:\"7.21\";s:3:\"tag\";s:4:\"7.21\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"21\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.21-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.21.tar.gz\";s:4:\"date\";s:10:\"1362616997\";s:6:\"mdhash\";s:32:\"eff054cd53be39ff719f77c81dce1aac\";s:8:\"filesize\";s:7:\"3163798\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.20\";a:14:{s:4:\"name\";s:11:\"drupal 7.20\";s:7:\"version\";s:4:\"7.20\";s:3:\"tag\";s:4:\"7.20\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.20-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.20.tar.gz\";s:4:\"date\";s:10:\"1361393684\";s:6:\"mdhash\";s:32:\"ee576d63f1fd8a1f1c072a56978da0c5\";s:8:\"filesize\";s:7:\"3163257\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.19\";a:14:{s:4:\"name\";s:11:\"drupal 7.19\";s:7:\"version\";s:4:\"7.19\";s:3:\"tag\";s:4:\"7.19\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.19-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.19.tar.gz\";s:4:\"date\";s:10:\"1358374871\";s:6:\"mdhash\";s:32:\"c1dd3960f1555df208c80ef612e0c53a\";s:8:\"filesize\";s:7:\"3163130\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.18\";a:14:{s:4:\"name\";s:11:\"drupal 7.18\";s:7:\"version\";s:4:\"7.18\";s:3:\"tag\";s:4:\"7.18\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.18-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.18.tar.gz\";s:4:\"date\";s:10:\"1355944004\";s:6:\"mdhash\";s:32:\"5c048f60a53acd7cb3c2b6d5fe42f082\";s:8:\"filesize\";s:7:\"3162333\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.17\";a:14:{s:4:\"name\";s:11:\"drupal 7.17\";s:7:\"version\";s:4:\"7.17\";s:3:\"tag\";s:4:\"7.17\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.17-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.17.tar.gz\";s:4:\"date\";s:10:\"1352325358\";s:6:\"mdhash\";s:32:\"439e8ca7e6a33bb879a4624d8f01bed0\";s:8:\"filesize\";s:7:\"3162429\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.16\";a:14:{s:4:\"name\";s:11:\"drupal 7.16\";s:7:\"version\";s:4:\"7.16\";s:3:\"tag\";s:4:\"7.16\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.16\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.16.tar.gz\";s:4:\"date\";s:10:\"1350508568\";s:6:\"mdhash\";s:32:\"352497b2df94b5308e31cb8da020b631\";s:8:\"filesize\";s:7:\"3142889\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.15\";a:14:{s:4:\"name\";s:11:\"drupal 7.15\";s:7:\"version\";s:4:\"7.15\";s:3:\"tag\";s:4:\"7.15\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.15\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.15.tar.gz\";s:4:\"date\";s:10:\"1343839327\";s:6:\"mdhash\";s:32:\"f42c9baccd74e1d035d61ff537ae21b4\";s:8:\"filesize\";s:7:\"3142219\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.14\";a:14:{s:4:\"name\";s:11:\"drupal 7.14\";s:7:\"version\";s:4:\"7.14\";s:3:\"tag\";s:4:\"7.14\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.14\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.14.tar.gz\";s:4:\"date\";s:10:\"1335997556\";s:6:\"mdhash\";s:32:\"af7abd95c03ecad4e1567ed94a438334\";s:8:\"filesize\";s:7:\"3128473\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.13\";a:14:{s:4:\"name\";s:11:\"drupal 7.13\";s:7:\"version\";s:4:\"7.13\";s:3:\"tag\";s:4:\"7.13\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.13\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.13.tar.gz\";s:4:\"date\";s:10:\"1335997261\";s:6:\"mdhash\";s:32:\"80587b66375c7fc539414a20a2c6f2de\";s:8:\"filesize\";s:7:\"3088448\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.12\";a:14:{s:4:\"name\";s:11:\"drupal 7.12\";s:7:\"version\";s:4:\"7.12\";s:3:\"tag\";s:4:\"7.12\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.12\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.12.tar.gz\";s:4:\"date\";s:10:\"1328134561\";s:6:\"mdhash\";s:32:\"db2284beb97241c9bdca9c638cd8a4f1\";s:8:\"filesize\";s:7:\"3088472\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.11\";a:14:{s:4:\"name\";s:11:\"drupal 7.11\";s:7:\"version\";s:4:\"7.11\";s:3:\"tag\";s:4:\"7.11\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.11\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.11.tar.gz\";s:4:\"date\";s:10:\"1328134275\";s:6:\"mdhash\";s:32:\"e9857e1749762367d7631d74cc6564a7\";s:8:\"filesize\";s:7:\"2789336\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.10\";a:14:{s:4:\"name\";s:11:\"drupal 7.10\";s:7:\"version\";s:4:\"7.10\";s:3:\"tag\";s:4:\"7.10\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.10\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.10.tar.gz\";s:4:\"date\";s:10:\"1323125439\";s:6:\"mdhash\";s:32:\"1caafb849bc756e62dd874b90b95ab31\";s:8:\"filesize\";s:7:\"3067653\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.9\";a:14:{s:4:\"name\";s:10:\"drupal 7.9\";s:7:\"version\";s:3:\"7.9\";s:3:\"tag\";s:3:\"7.9\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.9\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.9.tar.gz\";s:4:\"date\";s:10:\"1319660731\";s:6:\"mdhash\";s:32:\"7f45f109c413ca69ebb6e3140ed47225\";s:8:\"filesize\";s:7:\"2788086\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.8\";a:14:{s:4:\"name\";s:10:\"drupal 7.8\";s:7:\"version\";s:3:\"7.8\";s:3:\"tag\";s:3:\"7.8\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.8\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.8.tar.gz\";s:4:\"date\";s:10:\"1314817617\";s:6:\"mdhash\";s:32:\"e0226b56e8d5c57c6b126e8ed5866b1f\";s:8:\"filesize\";s:7:\"2766967\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.7\";a:14:{s:4:\"name\";s:10:\"drupal 7.7\";s:7:\"version\";s:3:\"7.7\";s:3:\"tag\";s:3:\"7.7\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.7\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.7.tar.gz\";s:4:\"date\";s:10:\"1311813880\";s:6:\"mdhash\";s:32:\"2eeb63fd1ef6b23b0a9f5f6b8aef8850\";s:8:\"filesize\";s:7:\"2754113\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.6\";a:14:{s:4:\"name\";s:10:\"drupal 7.6\";s:7:\"version\";s:3:\"7.6\";s:3:\"tag\";s:3:\"7.6\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.6\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.6.tar.gz\";s:4:\"date\";s:10:\"1311798716\";s:6:\"mdhash\";s:32:\"e88e63c4da9e5e170f089d050c88c827\";s:8:\"filesize\";s:7:\"2753784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.5\";a:14:{s:4:\"name\";s:10:\"drupal 7.5\";s:7:\"version\";s:3:\"7.5\";s:3:\"tag\";s:3:\"7.5\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.5\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.5.tar.gz\";s:4:\"date\";s:10:\"1311798416\";s:6:\"mdhash\";s:32:\"36d65b7a97c58226c64a6abdf481de45\";s:8:\"filesize\";s:7:\"2744690\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.4\";a:14:{s:4:\"name\";s:10:\"drupal 7.4\";s:7:\"version\";s:3:\"7.4\";s:3:\"tag\";s:3:\"7.4\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.4\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.4.tar.gz\";s:4:\"date\";s:10:\"1309397516\";s:6:\"mdhash\";s:32:\"84704de078e9f5432c9bb5c6ecd841d4\";s:8:\"filesize\";s:7:\"2744808\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.3\";a:14:{s:4:\"name\";s:10:\"drupal 7.3\";s:7:\"version\";s:3:\"7.3\";s:3:\"tag\";s:3:\"7.3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.3\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.3.tar.gz\";s:4:\"date\";s:10:\"1309397216\";s:6:\"mdhash\";s:32:\"c290775724bc309647d84d03ddb88e2e\";s:8:\"filesize\";s:7:\"2735461\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.2\";a:14:{s:4:\"name\";s:10:\"drupal 7.2\";s:7:\"version\";s:3:\"7.2\";s:3:\"tag\";s:3:\"7.2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.2\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.2.tar.gz\";s:4:\"date\";s:10:\"1306357017\";s:6:\"mdhash\";s:32:\"cf88c87e3694ebd15b62ba6f6a69124f\";s:8:\"filesize\";s:7:\"2731345\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.1\";a:14:{s:4:\"name\";s:10:\"drupal 7.1\";s:7:\"version\";s:3:\"7.1\";s:3:\"tag\";s:3:\"7.1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.1\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.1.tar.gz\";s:4:\"date\";s:10:\"1306354916\";s:6:\"mdhash\";s:32:\"27eb45cb894a76f3a9ae6715584a10cc\";s:8:\"filesize\";s:7:\"2713977\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.0\";a:14:{s:4:\"name\";s:10:\"drupal 7.0\";s:7:\"version\";s:3:\"7.0\";s:3:\"tag\";s:3:\"7.0\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.0\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.0.tar.gz\";s:4:\"date\";s:10:\"1294208759\";s:6:\"mdhash\";s:32:\"e96c0a5e47c5d7706897384069dfb920\";s:8:\"filesize\";s:7:\"2728271\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.0-rc4\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc4\";s:7:\"version\";s:7:\"7.0-rc4\";s:3:\"tag\";s:8:\"7.0-rc-4\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1293684084\";s:6:\"mdhash\";s:32:\"104c08e609c64bb1e45b55a7ad1ad857\";s:8:\"filesize\";s:7:\"2717666\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.0-rc3\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc3\";s:7:\"version\";s:7:\"7.0-rc3\";s:3:\"tag\";s:8:\"7.0-rc-3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1293099424\";s:6:\"mdhash\";s:32:\"be9a3f190e2648fa03dcb2bf3d8be199\";s:8:\"filesize\";s:7:\"2719115\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.0-rc2\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc2\";s:7:\"version\";s:7:\"7.0-rc2\";s:3:\"tag\";s:8:\"7.0-rc-2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1292101847\";s:6:\"mdhash\";s:32:\"f31982c73f1707ddccb2927325bc9cb9\";s:8:\"filesize\";s:7:\"2705734\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.0-rc1\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc1\";s:7:\"version\";s:7:\"7.0-rc1\";s:3:\"tag\";s:8:\"7.0-rc-1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1291190142\";s:6:\"mdhash\";s:32:\"b554e79cf60c02d4dec592151c4b58ee\";s:8:\"filesize\";s:7:\"2694689\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"7.0-beta3\";a:15:{s:4:\"name\";s:16:\"drupal 7.0-beta3\";s:7:\"version\";s:9:\"7.0-beta3\";s:3:\"tag\";s:9:\"7.0-beta3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/7.0-beta3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-7.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1289694735\";s:6:\"mdhash\";s:32:\"c942f010a2535586c4578cd7b107c652\";s:8:\"filesize\";s:7:\"2660883\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:9:\"7.0-beta2\";a:15:{s:4:\"name\";s:16:\"drupal 7.0-beta2\";s:7:\"version\";s:9:\"7.0-beta2\";s:3:\"tag\";s:9:\"7.0-beta2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/7.0-beta2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-7.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1287812133\";s:6:\"mdhash\";s:32:\"c2de0bdb657b77af8c8369a355cab8ce\";s:8:\"filesize\";s:7:\"2638949\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:9:\"7.0-beta1\";a:15:{s:4:\"name\";s:16:\"drupal 7.0-beta1\";s:7:\"version\";s:9:\"7.0-beta1\";s:3:\"tag\";s:9:\"7.0-beta1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/7.0-beta1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-7.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1286422866\";s:6:\"mdhash\";s:32:\"490ce0d95eacc15f2918becd60f6821c\";s:8:\"filesize\";s:7:\"2622225\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha7\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha7\";s:7:\"version\";s:10:\"7.0-alpha7\";s:3:\"tag\";s:10:\"7.0-alpha7\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1284599764\";s:6:\"mdhash\";s:32:\"15183fcf862be97f7e96991e6e56fe2e\";s:8:\"filesize\";s:7:\"2586833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha6\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha6\";s:7:\"version\";s:10:\"7.0-alpha6\";s:3:\"tag\";s:10:\"7.0-alpha6\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1278634809\";s:6:\"mdhash\";s:32:\"eb64647263affc36f76d1e7ffb751d32\";s:8:\"filesize\";s:7:\"2458211\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha5\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha5\";s:7:\"version\";s:10:\"7.0-alpha5\";s:3:\"tag\";s:10:\"7.0-alpha5\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1274628613\";s:6:\"mdhash\";s:32:\"de9c1d51f0ce730f7356bd0a160e8ce1\";s:8:\"filesize\";s:7:\"2424226\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha4\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha4\";s:7:\"version\";s:10:\"7.0-alpha4\";s:3:\"tag\";s:10:\"7.0-alpha4\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1272318014\";s:6:\"mdhash\";s:32:\"c8f371a388bc65b2211d7d29856fb993\";s:8:\"filesize\";s:7:\"2403384\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha3\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha3\";s:7:\"version\";s:10:\"7.0-alpha3\";s:3:\"tag\";s:10:\"7.0-alpha3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1269192317\";s:6:\"mdhash\";s:32:\"9efc083f09d6b523d655bc90a6869945\";s:8:\"filesize\";s:7:\"2357934\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha2\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha2\";s:7:\"version\";s:10:\"7.0-alpha2\";s:3:\"tag\";s:10:\"7.0-alpha2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1266777910\";s:6:\"mdhash\";s:32:\"cfbfdd2249638a266054f2532348065d\";s:8:\"filesize\";s:7:\"2314834\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha1\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha1\";s:7:\"version\";s:10:\"7.0-alpha1\";s:3:\"tag\";s:10:\"7.0-alpha1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1263566711\";s:6:\"mdhash\";s:32:\"508109c6cf0ead868e02d8c3db2a4d1f\";s:8:\"filesize\";s:7:\"2283220\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-dev\";a:14:{s:4:\"name\";s:14:\"drupal 7.x-dev\";s:7:\"version\";s:7:\"7.x-dev\";s:3:\"tag\";s:3:\"7.x\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.x-dev\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499966043\";s:6:\"mdhash\";s:32:\"f769ca3a41b3e188f3d1b148388939bf\";s:8:\"filesize\";s:7:\"3278048\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500434213,1500347812,1),('available_releases::entity','a:11:{s:5:\"title\";s:10:\"Entity API\";s:10:\"short_name\";s:6:\"entity\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/entity\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:30:{s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1474545839\";s:6:\"mdhash\";s:32:\"3926d48c86387c3d1d5777538903a752\";s:8:\"filesize\";s:6:\"123957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.7\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1458222242\";s:6:\"mdhash\";s:32:\"f4787da0230869cc7420b6cea78212e5\";s:8:\"filesize\";s:6:\"121426\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.6\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1424876581\";s:6:\"mdhash\";s:32:\"a778a5c82eaddac50e40a3dd0a3ebac6\";s:8:\"filesize\";s:6:\"120850\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1396975451\";s:6:\"mdhash\";s:32:\"04b90c27b2f1627d0a218006291afa9f\";s:8:\"filesize\";s:6:\"121011\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1395335056\";s:6:\"mdhash\";s:32:\"d026208f7b433b9b2dd5fdc705396d0e\";s:8:\"filesize\";s:6:\"120371\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1389210804\";s:6:\"mdhash\";s:32:\"92bb78da6928049c0d9bdea76629416b\";s:8:\"filesize\";s:6:\"119279\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1376493705\";s:6:\"mdhash\";s:32:\"c87e0ce3708a26a3045c36b8ad15f61c\";s:8:\"filesize\";s:6:\"115225\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1367338217\";s:6:\"mdhash\";s:32:\"1f23d1bee48287f1c53f8d3f1391187a\";s:8:\"filesize\";s:6:\"110514\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1356471145\";s:6:\"mdhash\";s:32:\"f072eda34e284561bb55cfae0dbe30db\";s:8:\"filesize\";s:6:\"110082\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:18:\"entity 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1337981155\";s:6:\"mdhash\";s:32:\"267c552757d1fa8bbe17c624a7ec4c3f\";s:8:\"filesize\";s:6:\"106628\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:18:\"entity 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1335099086\";s:6:\"mdhash\";s:32:\"587d7b6a088a195722fe7d11b1c9c8fa\";s:8:\"filesize\";s:6:\"105993\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:18:\"entity 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1320914735\";s:6:\"mdhash\";s:32:\"daa6dff009d00756f86b80b31af32c77\";s:8:\"filesize\";s:5:\"95227\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-beta11\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-beta11\";s:7:\"version\";s:14:\"7.x-1.0-beta11\";s:3:\"tag\";s:14:\"7.x-1.0-beta11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta11\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta11.tar.gz\";s:4:\"date\";s:10:\"1319558131\";s:6:\"mdhash\";s:32:\"0d98c2c361e5936593b8365614fa04e3\";s:8:\"filesize\";s:5:\"83206\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-beta10\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-beta10\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:3:\"tag\";s:14:\"7.x-1.0-beta10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta10\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1310486817\";s:6:\"mdhash\";s:32:\"016f48d7ecee0da62ae1a8f6cf26a656\";s:8:\"filesize\";s:5:\"77197\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta9\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta9\";s:7:\"version\";s:13:\"7.x-1.0-beta9\";s:3:\"tag\";s:13:\"7.x-1.0-beta9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta9\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1308239815\";s:6:\"mdhash\";s:32:\"a965dc47b0b8afc2f75b69be31e767d0\";s:8:\"filesize\";s:5:\"75840\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta8\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta8\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:3:\"tag\";s:13:\"7.x-1.0-beta8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta8\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1300731067\";s:6:\"mdhash\";s:32:\"317ec15a5f9d90e7613b52f20a7e9a82\";s:8:\"filesize\";s:5:\"71258\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1298285230\";s:6:\"mdhash\";s:32:\"9598452892a90a3b098d3152334aeb85\";s:8:\"filesize\";s:5:\"72722\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1294170388\";s:6:\"mdhash\";s:32:\"64588b70e6773d146e0bf4267a90a270\";s:8:\"filesize\";s:5:\"68465\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1293135097\";s:6:\"mdhash\";s:32:\"53325d82ab40c0dc325ccb59d0bca3e6\";s:8:\"filesize\";s:5:\"65300\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1292941950\";s:6:\"mdhash\";s:32:\"93210f6c3b3b19258f217a64e6bd56a8\";s:8:\"filesize\";s:5:\"65305\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1291297866\";s:6:\"mdhash\";s:32:\"cb05413449da98da415d40e3520f0f6d\";s:8:\"filesize\";s:5:\"61957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1290197444\";s:6:\"mdhash\";s:32:\"a1646f5c1933772feb76e2dd31d6324b\";s:8:\"filesize\";s:5:\"60670\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1286786762\";s:6:\"mdhash\";s:32:\"2e53243fdf0fae60217dd7916d982e47\";s:8:\"filesize\";s:5:\"54660\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha6\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha6\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:3:\"tag\";s:14:\"7.x-1.0-alpha6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1280228111\";s:6:\"mdhash\";s:32:\"5d88abea4508ea3561332f466746ab3d\";s:8:\"filesize\";s:5:\"47315\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha5\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha5\";s:7:\"version\";s:14:\"7.x-1.0-alpha5\";s:3:\"tag\";s:14:\"7.x-1.0-alpha5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1273607706\";s:6:\"mdhash\";s:32:\"13348a08070605b3742d4fad7856d76a\";s:8:\"filesize\";s:5:\"45331\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1268336409\";s:6:\"mdhash\";s:32:\"0e093c0ded92b23a4e628a7953a198dc\";s:8:\"filesize\";s:5:\"41614\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1266851413\";s:6:\"mdhash\";s:32:\"d347ca5528b9ed9d132b492cb4b7b2af\";s:8:\"filesize\";s:5:\"40746\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1263231309\";s:6:\"mdhash\";s:32:\"be9a91bd68b59480bdca9e8a6d6ad932\";s:8:\"filesize\";s:5:\"31954\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1260807922\";s:6:\"mdhash\";s:32:\"858c5a1b255f5316737dbbd3b562d825\";s:8:\"filesize\";s:5:\"29154\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:18:\"entity 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/7.x-1.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1489006983\";s:6:\"mdhash\";s:32:\"896905b4ea1cfc180d6f03bc5ab44378\";s:8:\"filesize\";s:6:\"124235\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500434217,1500347812,1),('available_releases::entityreference','a:11:{s:5:\"title\";s:16:\"Entity reference\";s:10:\"short_name\";s:15:\"entityreference\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/entityreference\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1495557183\";s:6:\"mdhash\";s:32:\"ce8bde18b2b0269f218a1e2dc17579ee\";s:8:\"filesize\";s:5:\"43230\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1494450485\";s:6:\"mdhash\";s:32:\"e800309d10d254bd8e80770beb17f4f3\";s:8:\"filesize\";s:5:\"43171\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1474306739\";s:6:\"mdhash\";s:32:\"ef8f161721709dedcd1babc18b033006\";s:8:\"filesize\";s:5:\"40840\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1384973004\";s:6:\"mdhash\";s:32:\"604843bda17acbd927f71f8cf8a74a48\";s:8:\"filesize\";s:5:\"40371\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1353230808\";s:6:\"mdhash\";s:32:\"81f458c4b41b61f405af905d2fd8a5ec\";s:8:\"filesize\";s:5:\"36787\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc5\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc5\";s:7:\"version\";s:11:\"7.x-1.0-rc5\";s:3:\"tag\";s:11:\"7.x-1.0-rc5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc5\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1348565045\";s:6:\"mdhash\";s:32:\"648a462e0bc442533debbd0b1b98e665\";s:8:\"filesize\";s:5:\"32328\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc4\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc4\";s:7:\"version\";s:11:\"7.x-1.0-rc4\";s:3:\"tag\";s:11:\"7.x-1.0-rc4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc4\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1348486666\";s:6:\"mdhash\";s:32:\"b1bdad67159df7cfa1edbc71ca1f15be\";s:8:\"filesize\";s:5:\"31223\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1338411956\";s:6:\"mdhash\";s:32:\"6f07ffafd42ec5fa9b76d398831c9956\";s:8:\"filesize\";s:5:\"30501\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1338371757\";s:6:\"mdhash\";s:32:\"35336e7b27b1755db8464d786167081b\";s:8:\"filesize\";s:5:\"30494\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1332279946\";s:6:\"mdhash\";s:32:\"83f006ab5235890efc2b3986f8dcdfe3\";s:8:\"filesize\";s:5:\"24495\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1330297849\";s:6:\"mdhash\";s:32:\"1508867497f54a68acb9f92ca4cddcfe\";s:8:\"filesize\";s:5:\"24228\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1329149138\";s:6:\"mdhash\";s:32:\"7d5566cd6425d2dca4d0597984726eb8\";s:8:\"filesize\";s:5:\"24005\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1324748139\";s:6:\"mdhash\";s:32:\"397fa7a810501fbb22390c8fb8ac10ef\";s:8:\"filesize\";s:5:\"19799\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1322214940\";s:6:\"mdhash\";s:32:\"41b5dd4ed7115763e5b30c41a9a07c3d\";s:8:\"filesize\";s:5:\"19792\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1316702804\";s:6:\"mdhash\";s:32:\"a056dc3e075e9b0783cb1addaad5086e\";s:8:\"filesize\";s:5:\"18948\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:30:\"entityreference 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1316171203\";s:6:\"mdhash\";s:32:\"0f5a3e9f3f998ed12d7c6bf1fd864274\";s:8:\"filesize\";s:5:\"17761\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:30:\"entityreference 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1313085717\";s:6:\"mdhash\";s:32:\"d17373159f2c745be04bf3ea2df7632d\";s:8:\"filesize\";s:5:\"10847\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"entityreference 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1494943085\";s:6:\"mdhash\";s:32:\"3b31310e19437100905b2625d32a5c97\";s:8:\"filesize\";s:5:\"43242\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500434218,1500347812,1),('available_releases::fontawesome','a:11:{s:5:\"title\";s:18:\"Font Awesome Icons\";s:10:\"short_name\";s:11:\"fontawesome\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/fontawesome\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:9:{s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1476103132\";s:6:\"mdhash\";s:32:\"cc9afba41c5a7f5e1b05840bac7e35aa\";s:8:\"filesize\";s:5:\"11867\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1445924949\";s:6:\"mdhash\";s:32:\"0aa9c4b81233eb862e50e9225940628c\";s:8:\"filesize\";s:5:\"15693\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1445576347\";s:6:\"mdhash\";s:32:\"500080050a48115712a1cba8a3e6fd24\";s:8:\"filesize\";s:5:\"15409\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1420873981\";s:6:\"mdhash\";s:32:\"d05dde71a5a5bb28f62c6c3842b3f3c6\";s:8:\"filesize\";s:5:\"15068\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1445571540\";s:6:\"mdhash\";s:32:\"bc4cd43e2c75c5578ddcc32984b4210b\";s:8:\"filesize\";s:5:\"15072\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-1.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1420870981\";s:6:\"mdhash\";s:32:\"f12aaca6b7087a392c4e17cb96a390ee\";s:8:\"filesize\";s:5:\"14233\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1391844804\";s:6:\"mdhash\";s:32:\"a4d10ba4248da06e6f48f7c4a2b48f0b\";s:8:\"filesize\";s:5:\"12458\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:23:\"fontawesome 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1476102239\";s:6:\"mdhash\";s:32:\"2de8b54673866ddd10027a1d8a7b8d4d\";s:8:\"filesize\";s:5:\"11873\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:23:\"fontawesome 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/fontawesome/releases/7.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1420869181\";s:6:\"mdhash\";s:32:\"7e06a4a3a7655a7944670942987ef772\";s:8:\"filesize\";s:5:\"14236\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500434218,1500347812,1),('available_releases::jquery_update','a:11:{s:5:\"title\";s:13:\"jQuery Update\";s:10:\"short_name\";s:13:\"jquery_update\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"2,3\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/jquery_update\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:14:\"7.x-3.0-alpha5\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha5\";s:7:\"version\";s:14:\"7.x-3.0-alpha5\";s:3:\"tag\";s:14:\"7.x-3.0-alpha5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha5\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1490805183\";s:6:\"mdhash\";s:32:\"48baebd87003519ade8c65dc5598bbe5\";s:8:\"filesize\";s:7:\"1980268\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha4\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha4\";s:7:\"version\";s:14:\"7.x-3.0-alpha4\";s:3:\"tag\";s:14:\"7.x-3.0-alpha4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha4\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1489024086\";s:6:\"mdhash\";s:32:\"b9cadf50cf17638df514aad3c188c776\";s:8:\"filesize\";s:7:\"1978968\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha3\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha3\";s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:3:\"tag\";s:14:\"7.x-3.0-alpha3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha3\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1445382239\";s:6:\"mdhash\";s:32:\"599739c36c8095b1a268d82a8d5820ac\";s:8:\"filesize\";s:7:\"1463630\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha2\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha2\";s:7:\"version\";s:14:\"7.x-3.0-alpha2\";s:3:\"tag\";s:14:\"7.x-3.0-alpha2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1432926481\";s:6:\"mdhash\";s:32:\"99d161a138a599ee9ebd30434479e1ca\";s:8:\"filesize\";s:7:\"1542292\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1431975181\";s:6:\"mdhash\";s:32:\"500a98ed3bec0c943994c43913422332\";s:8:\"filesize\";s:7:\"1541898\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1445379839\";s:6:\"mdhash\";s:32:\"85eaf02362c384979bc475df30ae7a3e\";s:8:\"filesize\";s:7:\"1135987\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1434549780\";s:6:\"mdhash\";s:32:\"88b81a8defbfdf9a4674f876685543f1\";s:8:\"filesize\";s:7:\"1203578\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1422221880\";s:6:\"mdhash\";s:32:\"47f430531b0a2a821c791325b2d89388\";s:8:\"filesize\";s:7:\"1201320\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1396482245\";s:6:\"mdhash\";s:32:\"9cc4f8b964202f1d6f005a43a08060c6\";s:8:\"filesize\";s:7:\"1199709\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1360375905\";s:6:\"mdhash\";s:32:\"2d5a1e594a027fa849ed250f5dfef7c5\";s:8:\"filesize\";s:6:\"709788\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:14:\"7.x-2.3-alpha1\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-2.3-alpha1\";s:7:\"version\";s:14:\"7.x-2.3-alpha1\";s:3:\"tag\";s:14:\"7.x-2.3-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.3-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.3-alpha1.tar.gz\";s:4:\"date\";s:10:\"1348790474\";s:6:\"mdhash\";s:32:\"2fe04a30f74e47c0b1a4ce24023a39fa\";s:8:\"filesize\";s:6:\"709779\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1301920269\";s:6:\"mdhash\";s:32:\"944e097382c08d9a3ba5028ac700162b\";s:8:\"filesize\";s:6:\"482023\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1300647067\";s:6:\"mdhash\";s:32:\"6b6f9064e23aaede7ce9f04ded255a57\";s:8:\"filesize\";s:6:\"479984\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1297454705\";s:6:\"mdhash\";s:32:\"de6d8095e0bdd4e231922974df3f8fc7\";s:8:\"filesize\";s:6:\"476204\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1297453316\";s:6:\"mdhash\";s:32:\"4fa3749b8e477b76341d72a5516344d8\";s:8:\"filesize\";s:6:\"476208\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:25:\"jquery_update 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1490804883\";s:6:\"mdhash\";s:32:\"5786d8734547bdd37d012b365aaa44d9\";s:8:\"filesize\";s:7:\"1980264\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:25:\"jquery_update 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1445379839\";s:6:\"mdhash\";s:32:\"b4c28c594a6ecf50ccb9cd9689e778c9\";s:8:\"filesize\";s:7:\"1135988\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:25:\"jquery_update 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/jquery_update/releases/7.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380584081\";s:6:\"mdhash\";s:32:\"9d1b43a6e55ea389f03cd338ab9c5f35\";s:8:\"filesize\";s:6:\"472169\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500434219,1500347812,1),('available_releases::libraries','a:11:{s:5:\"title\";s:13:\"Libraries API\";s:10:\"short_name\";s:9:\"libraries\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:5:\"1,2,3\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/libraries\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1463077439\";s:6:\"mdhash\";s:32:\"294d3e4096c513321159b908cfd7c2be\";s:8:\"filesize\";s:5:\"41863\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1391965705\";s:6:\"mdhash\";s:32:\"629663be1ddbbc79531ab98d7d3761dc\";s:8:\"filesize\";s:5:\"33326\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1362848412\";s:6:\"mdhash\";s:32:\"e240bf43e3a4dd2d595bf24ac34d46bd\";s:8:\"filesize\";s:5:\"30501\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1343561873\";s:6:\"mdhash\";s:32:\"bb4707fe9c9c67401c9baa514fbab948\";s:8:\"filesize\";s:5:\"30229\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:24:\"libraries 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/libraries/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1323950504\";s:6:\"mdhash\";s:32:\"150a5e24e7f1e849e054ba06921a0311\";s:8:\"filesize\";s:5:\"29501\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:24:\"libraries 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/libraries/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1317479207\";s:6:\"mdhash\";s:32:\"8e3529be946d9ad0a4b387756cb91a5d\";s:8:\"filesize\";s:5:\"28459\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-1.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1296096156\";s:6:\"mdhash\";s:32:\"e395a4229adb94f48de0764654e83967\";s:8:\"filesize\";s:4:\"7921\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:21:\"libraries 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/libraries/releases/7.x-3.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/libraries-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1413167628\";s:6:\"mdhash\";s:32:\"7263f590a91de04704820f2b218956f9\";s:8:\"filesize\";s:5:\"33184\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:21:\"libraries 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/libraries/releases/7.x-2.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1479046140\";s:6:\"mdhash\";s:32:\"3664fa9b54800164c107a0fbc2e52865\";s:8:\"filesize\";s:5:\"44459\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:21:\"libraries 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/libraries/releases/7.x-1.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/libraries-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1406512127\";s:6:\"mdhash\";s:32:\"84247d751f028c55371865aef18fbd11\";s:8:\"filesize\";s:4:\"9041\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500434219,1500347812,1),('available_releases::menu_breadcrumb','a:11:{s:5:\"title\";s:15:\"Menu Breadcrumb\";s:10:\"short_name\";s:15:\"menu_breadcrumb\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/menu_breadcrumb\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:5:{s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:23:\"menu_breadcrumb 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_breadcrumb/releases/7.x-1.6\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_breadcrumb-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1425993987\";s:6:\"mdhash\";s:32:\"30291c87761f042b7599865d80df6f62\";s:8:\"filesize\";s:5:\"15154\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:23:\"menu_breadcrumb 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_breadcrumb/releases/7.x-1.5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_breadcrumb-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1381202821\";s:6:\"mdhash\";s:32:\"a39b1abd3b655dcd3e25bceaae6dc844\";s:8:\"filesize\";s:5:\"14006\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:23:\"menu_breadcrumb 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_breadcrumb/releases/7.x-1.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_breadcrumb-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1374442868\";s:6:\"mdhash\";s:32:\"7bc222b8b0d0eab296852addb6b5b0c1\";s:8:\"filesize\";s:5:\"13957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:23:\"menu_breadcrumb 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_breadcrumb/releases/7.x-1.3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_breadcrumb-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1312055519\";s:6:\"mdhash\";s:32:\"3993ada6458db730ed1c94225d2c4d73\";s:8:\"filesize\";s:5:\"12884\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"menu_breadcrumb 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/menu_breadcrumb/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/menu_breadcrumb-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1465478639\";s:6:\"mdhash\";s:32:\"42bd1026f9f2cc07695cb1b2ded0536c\";s:8:\"filesize\";s:5:\"15161\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500434220,1500347812,1),('available_releases::module_filter','a:11:{s:5:\"title\";s:13:\"Module Filter\";s:10:\"short_name\";s:13:\"module_filter\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/module_filter\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:15:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1497029343\";s:6:\"mdhash\";s:32:\"66a4998f63f2cefe77c18713054a42cc\";s:8:\"filesize\";s:5:\"29757\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-2.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1424631181\";s:6:\"mdhash\";s:32:\"3e2ebdd2f2ec028252e1cf2a547d7d7e\";s:8:\"filesize\";s:5:\"29130\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:28:\"module_filter 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/module_filter/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1386356904\";s:6:\"mdhash\";s:32:\"342e0e3963e64c39f86061a10bbdaf2e\";s:8:\"filesize\";s:5:\"27898\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:28:\"module_filter 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/module_filter/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1384832005\";s:6:\"mdhash\";s:32:\"3bfb306828c12830c0ee3678f675f124\";s:8:\"filesize\";s:5:\"27962\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.8\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1375995221\";s:6:\"mdhash\";s:32:\"53a1b995dee29e1ab202fa1547dc1266\";s:8:\"filesize\";s:5:\"14605\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1341518501\";s:6:\"mdhash\";s:32:\"f10e62aa5346d5cd82854d66c359f199\";s:8:\"filesize\";s:5:\"14646\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1316105205\";s:6:\"mdhash\";s:32:\"77ca515021372066e2b19906adddb94e\";s:8:\"filesize\";s:5:\"13177\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1313598120\";s:6:\"mdhash\";s:32:\"f3a6a44ec3e35e91870f8391a9f04ff5\";s:8:\"filesize\";s:5:\"13039\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1299525068\";s:6:\"mdhash\";s:32:\"90d9ec10df0b9ee07707f87b96711bca\";s:8:\"filesize\";s:5:\"11570\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1299519370\";s:6:\"mdhash\";s:32:\"8a075e4932db8cd4e35371ac276bcb4b\";s:8:\"filesize\";s:5:\"11555\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1299516669\";s:6:\"mdhash\";s:32:\"afbb784aeb4029294e5877654385cc8c\";s:8:\"filesize\";s:5:\"11446\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1299515169\";s:6:\"mdhash\";s:32:\"45546c1f5bc473389ffc36f0e38a2bc1\";s:8:\"filesize\";s:5:\"13033\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1294104365\";s:6:\"mdhash\";s:32:\"a482aef54751a8fd947bafc2d5ef1ecd\";s:8:\"filesize\";s:5:\"11523\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:25:\"module_filter 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/module_filter/releases/7.x-2.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1497029343\";s:6:\"mdhash\";s:32:\"bf63bf30b9a6eecb11e527cc12a87312\";s:8:\"filesize\";s:5:\"29762\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:25:\"module_filter 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/module_filter/releases/7.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1406917428\";s:6:\"mdhash\";s:32:\"62b7a0ab716b2798d9e60462314d95c5\";s:8:\"filesize\";s:5:\"14743\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500434220,1500347812,1),('available_releases::newsletter','a:11:{s:5:\"title\";s:10:\"Newsletter\";s:10:\"short_name\";s:10:\"newsletter\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/newsletter\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:14:\"7.x-1.0-beta10\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-beta10\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:3:\"tag\";s:14:\"7.x-1.0-beta10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta10\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1401923327\";s:6:\"mdhash\";s:32:\"40d8b9c7fb70d6ffc2743fbd3d9e3318\";s:8:\"filesize\";s:5:\"44420\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta9\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta9\";s:7:\"version\";s:13:\"7.x-1.0-beta9\";s:3:\"tag\";s:13:\"7.x-1.0-beta9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta9\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1348033762\";s:6:\"mdhash\";s:32:\"0a7716e9b71f7192a9ffdb707721a7d7\";s:8:\"filesize\";s:5:\"44377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta8\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta8\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:3:\"tag\";s:13:\"7.x-1.0-beta8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta8\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1331349342\";s:6:\"mdhash\";s:32:\"d4718945e184ce4b88c92d40fc246e53\";s:8:\"filesize\";s:5:\"42331\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1330985147\";s:6:\"mdhash\";s:32:\"a9107041d2606994712350d068cd644c\";s:8:\"filesize\";s:5:\"42313\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1322077843\";s:6:\"mdhash\";s:32:\"5a8d085a9f39999ec1c75190ce0fd594\";s:8:\"filesize\";s:5:\"39615\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1320084038\";s:6:\"mdhash\";s:32:\"37315d74020770d1926bf5d52c27ed94\";s:8:\"filesize\";s:5:\"38638\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1318300606\";s:6:\"mdhash\";s:32:\"2f90f6933f6d2d3d22639af2dc24d18d\";s:8:\"filesize\";s:5:\"38658\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1318299407\";s:6:\"mdhash\";s:32:\"eecfbb6e5b129fe45129fc79a9fa0792\";s:8:\"filesize\";s:5:\"38659\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1318297307\";s:6:\"mdhash\";s:32:\"d1fc45e6f6a36c6a1721f3184929d958\";s:8:\"filesize\";s:5:\"38613\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:24:\"newsletter 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1318295228\";s:6:\"mdhash\";s:32:\"3a57a29f3052415067351db0d5db7b85\";s:8:\"filesize\";s:5:\"38620\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha8\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-alpha8\";s:7:\"version\";s:14:\"7.x-1.0-alpha8\";s:3:\"tag\";s:14:\"7.x-1.0-alpha8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-alpha8\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-alpha8.tar.gz\";s:4:\"date\";s:10:\"1317228406\";s:6:\"mdhash\";s:32:\"52bcf9659daf353367383816bbb2c25d\";s:8:\"filesize\";s:5:\"37642\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha7\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-alpha7\";s:7:\"version\";s:14:\"7.x-1.0-alpha7\";s:3:\"tag\";s:14:\"7.x-1.0-alpha7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-alpha7\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1316917908\";s:6:\"mdhash\";s:32:\"d397c270f99b2231d2167aae9fe66d71\";s:8:\"filesize\";s:5:\"37102\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha6\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-alpha6\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:3:\"tag\";s:14:\"7.x-1.0-alpha6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-alpha6\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1316737490\";s:6:\"mdhash\";s:32:\"441444c299fab24b125681491bd53616\";s:8:\"filesize\";s:5:\"35986\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha5\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-alpha5\";s:7:\"version\";s:14:\"7.x-1.0-alpha5\";s:3:\"tag\";s:14:\"7.x-1.0-alpha5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-alpha5\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1316665908\";s:6:\"mdhash\";s:32:\"c5207c0bc9dd90809776abf4e15dc6ac\";s:8:\"filesize\";s:5:\"35797\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1316664413\";s:6:\"mdhash\";s:32:\"c694d6fce63d1c26a8b54dedcbb637af\";s:8:\"filesize\";s:5:\"35780\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1316662308\";s:6:\"mdhash\";s:32:\"58c9ab692031ad587bd6248c5019022f\";s:8:\"filesize\";s:5:\"35773\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:22:\"newsletter 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/newsletter/releases/7.x-2.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/newsletter-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380592827\";s:6:\"mdhash\";s:32:\"143fb44b9b14412060bec073251e1800\";s:8:\"filesize\";s:5:\"49298\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:22:\"newsletter 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/newsletter/releases/7.x-1.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1401922727\";s:6:\"mdhash\";s:32:\"e2bc481d61646a51573d745a12932da7\";s:8:\"filesize\";s:5:\"44425\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1500434221,1500347812,1),('available_releases::pathauto','a:11:{s:5:\"title\";s:8:\"Pathauto\";s:10:\"short_name\";s:8:\"pathauto\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:39:\"https://www.drupal.org/project/pathauto\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1444232639\";s:6:\"mdhash\";s:32:\"ff984b2837230a221d53fad5462c0b61\";s:8:\"filesize\";s:5:\"42319\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1344525185\";s:6:\"mdhash\";s:32:\"abdb73c49803aefe3c87774a92c42b87\";s:8:\"filesize\";s:5:\"38900\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1336950382\";s:6:\"mdhash\";s:32:\"ee42c248db62f384871cb526d72005f2\";s:8:\"filesize\";s:5:\"38652\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1320072936\";s:6:\"mdhash\";s:32:\"6edd617da0cfa31ddde247933d670ef4\";s:8:\"filesize\";s:5:\"37196\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:20:\"pathauto 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1308241021\";s:6:\"mdhash\";s:32:\"376c28fa39f3b383ad5134c5a1360be7\";s:8:\"filesize\";s:5:\"35681\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:20:\"pathauto 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1308121619\";s:6:\"mdhash\";s:32:\"a53a56cffaaa67c8775c085d542f162c\";s:8:\"filesize\";s:5:\"35350\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:22:\"pathauto 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1294891602\";s:6:\"mdhash\";s:32:\"37c8eaa37d69d60303e702c271f99f9e\";s:8:\"filesize\";s:5:\"56885\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:23:\"pathauto 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1281556294\";s:6:\"mdhash\";s:32:\"5f4aecc1b5d6a6e4365fafcc7f0efe15\";s:8:\"filesize\";s:6:\"122301\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:23:\"pathauto 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1267300506\";s:6:\"mdhash\";s:32:\"ec86f7a12f9b4daa02967a3d7ccedef6\";s:8:\"filesize\";s:6:\"121249\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:20:\"pathauto 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/7.x-1.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1472576639\";s:6:\"mdhash\";s:32:\"a597c609ed9d356b6ad4faa978b12aa7\";s:8:\"filesize\";s:5:\"42278\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500434222,1500347812,1),('available_releases::pinteros_tools','N;',1500434336,1500347936,1),('available_releases::tagclouds','a:11:{s:5:\"title\";s:8:\"TagCloud\";s:10:\"short_name\";s:9:\"tagclouds\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/tagclouds\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:18:\"tagclouds 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.11\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1452956639\";s:6:\"mdhash\";s:32:\"8fb0190b0c34735329d9e7808f507873\";s:8:\"filesize\";s:5:\"13778\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:18:\"tagclouds 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.10\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1404152328\";s:6:\"mdhash\";s:32:\"c61b66f969714f149fe33a02fa503a8b\";s:8:\"filesize\";s:5:\"13675\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.9\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1360479605\";s:6:\"mdhash\";s:32:\"97f6f1e4519294b2c42af23125f557cf\";s:8:\"filesize\";s:5:\"12310\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.8\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1360479602\";s:6:\"mdhash\";s:32:\"5b77828dc2a46c141844ea327aac830a\";s:8:\"filesize\";s:5:\"12319\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1352088449\";s:6:\"mdhash\";s:32:\"d8e41e65fd196cf6c4e92f9bcf0d457d\";s:8:\"filesize\";s:5:\"12322\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1345993367\";s:6:\"mdhash\";s:32:\"1a2023554e2bbe374d2b3869ae0bc308\";s:8:\"filesize\";s:5:\"11966\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1343936897\";s:6:\"mdhash\";s:32:\"30224eadab577270b2ed57ee27e689e6\";s:8:\"filesize\";s:5:\"12006\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1333904769\";s:6:\"mdhash\";s:32:\"c961e59c6d9f07769d5e5488e5f415f5\";s:8:\"filesize\";s:5:\"11820\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1331844643\";s:6:\"mdhash\";s:32:\"cf88cba4196b172c6fe6d24ae29378df\";s:8:\"filesize\";s:5:\"11756\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1325266844\";s:6:\"mdhash\";s:32:\"4e98f22f58879134ed407d2cda87374e\";s:8:\"filesize\";s:5:\"11575\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1319252736\";s:6:\"mdhash\";s:32:\"04a7356eb1ce5ffe91968a988672ff7a\";s:8:\"filesize\";s:5:\"11581\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:21:\"tagclouds 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1467295142\";s:6:\"mdhash\";s:32:\"16d34071d093edaa53226900450f9cea\";s:8:\"filesize\";s:5:\"13571\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500434222,1500347812,1),('available_releases::taxonomy_menu','a:11:{s:5:\"title\";s:13:\"Taxonomy menu\";s:10:\"short_name\";s:13:\"taxonomy_menu\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/taxonomy_menu\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:28:\"taxonomy_menu 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1359084813\";s:6:\"mdhash\";s:32:\"464f8dfd87a4a29958005eab55064b9a\";s:8:\"filesize\";s:5:\"31176\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:28:\"taxonomy_menu 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1354041231\";s:6:\"mdhash\";s:32:\"adc321e1143241024a467aa5d80ca871\";s:8:\"filesize\";s:5:\"27625\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1396359246\";s:6:\"mdhash\";s:32:\"f2aa072ca8e5ffad1082db99917e7226\";s:8:\"filesize\";s:5:\"25478\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1346896425\";s:6:\"mdhash\";s:32:\"590c259749920262b9c9698673d0e7ba\";s:8:\"filesize\";s:5:\"25466\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1343504281\";s:6:\"mdhash\";s:32:\"2529b7c858b34f4bc3ab0f36c383edcf\";s:8:\"filesize\";s:5:\"25755\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1311037620\";s:6:\"mdhash\";s:32:\"7c8dd9c6135179139b304d4c53e19910\";s:8:\"filesize\";s:5:\"21792\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1295050660\";s:6:\"mdhash\";s:32:\"bad372aab7f881a7d9084976b5e294fc\";s:8:\"filesize\";s:5:\"20775\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1294199467\";s:6:\"mdhash\";s:32:\"adb67fe63b51058cd5e5297ae7cd25c9\";s:8:\"filesize\";s:5:\"20806\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:25:\"taxonomy_menu 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-2.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1479919812\";s:6:\"mdhash\";s:32:\"a6e6b286b63221464f64c260a888810e\";s:8:\"filesize\";s:5:\"32419\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:25:\"taxonomy_menu 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1479919140\";s:6:\"mdhash\";s:32:\"00bf9a45a91243002244ccd573ee4130\";s:8:\"filesize\";s:5:\"25970\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500434223,1500347812,1),('available_releases::tb_megamenu','a:11:{s:5:\"title\";s:12:\"TB Mega Menu\";s:10:\"short_name\";s:11:\"tb_megamenu\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/tb_megamenu\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:23:\"tb_megamenu 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1440756539\";s:6:\"mdhash\";s:32:\"f31ead7424d21dbb8f189922301407e3\";s:8:\"filesize\";s:5:\"69537\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:23:\"tb_megamenu 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1439180639\";s:6:\"mdhash\";s:32:\"6337e51586fe163e47a0df571229676a\";s:8:\"filesize\";s:6:\"108373\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:25:\"tb_megamenu 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1408100328\";s:6:\"mdhash\";s:32:\"699c4ca355126ee521516e6691df7c81\";s:8:\"filesize\";s:6:\"129472\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:25:\"tb_megamenu 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1408099728\";s:6:\"mdhash\";s:32:\"f56ae88cf88a54c13a19a0fd7ca2638d\";s:8:\"filesize\";s:6:\"338182\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:25:\"tb_megamenu 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1406794728\";s:6:\"mdhash\";s:32:\"a50fed33b4b58c9833f6b8f929623158\";s:8:\"filesize\";s:6:\"334491\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:25:\"tb_megamenu 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1376297590\";s:6:\"mdhash\";s:32:\"adebda20661b125574dcaab2a99acb74\";s:8:\"filesize\";s:6:\"332803\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:25:\"tb_megamenu 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1376290700\";s:6:\"mdhash\";s:32:\"db805630baf91dfd9b9db21514e97c03\";s:8:\"filesize\";s:6:\"333406\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:26:\"tb_megamenu 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1374660395\";s:6:\"mdhash\";s:32:\"262e6d4945a247c01f4f4324a0659708\";s:8:\"filesize\";s:6:\"332556\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:26:\"tb_megamenu 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1372846553\";s:6:\"mdhash\";s:32:\"4d8622e71b0b2a9878e6c7ecfe1fb777\";s:8:\"filesize\";s:6:\"332337\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:26:\"tb_megamenu 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1372845065\";s:6:\"mdhash\";s:32:\"31b3b15063eaa42ca18bf45c25ee2f0c\";s:8:\"filesize\";s:6:\"332331\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:26:\"tb_megamenu 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1371198657\";s:6:\"mdhash\";s:32:\"25498c14ce1e8f2bd26b25d34ccfb796\";s:8:\"filesize\";s:6:\"310479\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:23:\"tb_megamenu 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1440995339\";s:6:\"mdhash\";s:32:\"135382503de47dc1998dd4d41db3194b\";s:8:\"filesize\";s:5:\"69557\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}}',1500434223,1500347812,1),('available_releases::token','a:11:{s:5:\"title\";s:5:\"Token\";s:10:\"short_name\";s:5:\"token\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/token\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:20:{s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1485316084\";s:6:\"mdhash\";s:32:\"cf117195d2815e4292e522c04f4055d0\";s:8:\"filesize\";s:5:\"44016\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.6\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1425149059\";s:6:\"mdhash\";s:32:\"9b59f3ce5f25aab883a1ae7631bf5581\";s:8:\"filesize\";s:5:\"44396\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.5\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1361665026\";s:6:\"mdhash\";s:32:\"93e5a19e8b244022cc38e58663db8001\";s:8:\"filesize\";s:5:\"44012\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.4\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1348497279\";s:6:\"mdhash\";s:32:\"e65a894f14518751ca1da445a767965c\";s:8:\"filesize\";s:5:\"43675\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1347466790\";s:6:\"mdhash\";s:32:\"efe130120435cf38d33e6ae005ad0956\";s:8:\"filesize\";s:5:\"43666\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1344634643\";s:6:\"mdhash\";s:32:\"0cb93d8a597acd5f99acdc7cb42b6332\";s:8:\"filesize\";s:5:\"43170\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1337115392\";s:6:\"mdhash\";s:32:\"8d4c96128ab3ef9f4e76fbdb73900e35\";s:8:\"filesize\";s:5:\"42496\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1333672577\";s:6:\"mdhash\";s:32:\"21709598974906287ea5bd68f2b94815\";s:8:\"filesize\";s:5:\"42264\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:17:\"token 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/token/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1328022364\";s:6:\"mdhash\";s:32:\"b63435f4a943cb013aa34339f5ce8bb0\";s:8:\"filesize\";s:5:\"41089\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1319825735\";s:6:\"mdhash\";s:32:\"9d5644d212720e8c9db7fcbcf4559468\";s:8:\"filesize\";s:5:\"40531\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1317397307\";s:6:\"mdhash\";s:32:\"797c619140cdcc00004ce5e64b25eb02\";s:8:\"filesize\";s:5:\"40155\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1314804722\";s:6:\"mdhash\";s:32:\"42b75e49ecfe3945cf3971b20d64e21f\";s:8:\"filesize\";s:5:\"38428\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1313614619\";s:6:\"mdhash\";s:32:\"00aea5ce506db5a5308e4881cc16a650\";s:8:\"filesize\";s:5:\"36328\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1311709319\";s:6:\"mdhash\";s:32:\"236041ef8c6249adae04f0af98e8aa8b\";s:8:\"filesize\";s:5:\"34573\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1305833216\";s:6:\"mdhash\";s:32:\"33678788042e89887c17f072f22b360e\";s:8:\"filesize\";s:5:\"32677\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1294805791\";s:6:\"mdhash\";s:32:\"0c597a7a17a7a27a725cf076bbae25e4\";s:8:\"filesize\";s:5:\"31159\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:20:\"token 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1286469965\";s:6:\"mdhash\";s:32:\"16096ce5c4a1f7e0b70c31026d88238a\";s:8:\"filesize\";s:5:\"23473\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:20:\"token 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1281549992\";s:6:\"mdhash\";s:32:\"788bb2827e595fa41387afbe116f462d\";s:8:\"filesize\";s:5:\"21523\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:20:\"token 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1271567107\";s:6:\"mdhash\";s:32:\"622a57e2ef607da3010c9e94d76af3fc\";s:8:\"filesize\";s:5:\"17032\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:17:\"token 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/token/releases/7.x-1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/token-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1493330042\";s:6:\"mdhash\";s:32:\"89e063c41031d1001ae19ca34d00ccdb\";s:8:\"filesize\";s:5:\"44024\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500434224,1500347812,1),('available_releases::video','a:11:{s:5:\"title\";s:5:\"Video\";s:10:\"short_name\";s:5:\"video\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/video\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:32:{s:8:\"7.x-2.13\";a:14:{s:4:\"name\";s:14:\"video 7.x-2.13\";s:7:\"version\";s:8:\"7.x-2.13\";s:3:\"tag\";s:8:\"7.x-2.13\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/video/releases/7.x-2.13\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/video-7.x-2.13.tar.gz\";s:4:\"date\";s:10:\"1491658083\";s:6:\"mdhash\";s:32:\"83363d26b372e3812c7e0f20b8d45479\";s:8:\"filesize\";s:6:\"163276\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-2.12\";a:14:{s:4:\"name\";s:14:\"video 7.x-2.12\";s:7:\"version\";s:8:\"7.x-2.12\";s:3:\"tag\";s:8:\"7.x-2.12\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/video/releases/7.x-2.12\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/video-7.x-2.12.tar.gz\";s:4:\"date\";s:10:\"1491256082\";s:6:\"mdhash\";s:32:\"589edf1f81a00e4142938c7694fd22f8\";s:8:\"filesize\";s:6:\"175742\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-2.11\";a:14:{s:4:\"name\";s:14:\"video 7.x-2.11\";s:7:\"version\";s:8:\"7.x-2.11\";s:3:\"tag\";s:8:\"7.x-2.11\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/video/releases/7.x-2.11\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/video-7.x-2.11.tar.gz\";s:4:\"date\";s:10:\"1421234280\";s:6:\"mdhash\";s:32:\"889f633dc8290794412a9a2bb2552098\";s:8:\"filesize\";s:6:\"159460\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:14:\"video 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/video/releases/7.x-2.10\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/video-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1366693516\";s:6:\"mdhash\";s:32:\"8b26b0fa4fae696795dd9f4afd71459d\";s:8:\"filesize\";s:6:\"156164\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.9\";a:14:{s:4:\"name\";s:13:\"video 7.x-2.9\";s:7:\"version\";s:7:\"7.x-2.9\";s:3:\"tag\";s:7:\"7.x-2.9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/video/releases/7.x-2.9\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/video-7.x-2.9.tar.gz\";s:4:\"date\";s:10:\"1358837724\";s:6:\"mdhash\";s:32:\"e5862c6ecd415d313f5320f8e8890afe\";s:8:\"filesize\";s:6:\"153575\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.8\";a:14:{s:4:\"name\";s:13:\"video 7.x-2.8\";s:7:\"version\";s:7:\"7.x-2.8\";s:3:\"tag\";s:7:\"7.x-2.8\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/video/releases/7.x-2.8\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/video-7.x-2.8.tar.gz\";s:4:\"date\";s:10:\"1348465200\";s:6:\"mdhash\";s:32:\"5e940d670d097906e9012e5d05025b31\";s:8:\"filesize\";s:6:\"152762\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:13:\"video 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/video/releases/7.x-2.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/video-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1342958543\";s:6:\"mdhash\";s:32:\"41bf2400f8c32963945ad22c22a6f1e4\";s:8:\"filesize\";s:6:\"147249\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:13:\"video 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/video/releases/7.x-2.6\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/video-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1337203623\";s:6:\"mdhash\";s:32:\"f14f4183c550501990d537b0b94a7112\";s:8:\"filesize\";s:6:\"141135\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:13:\"video 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/video/releases/7.x-2.5\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/video-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1332678048\";s:6:\"mdhash\";s:32:\"2d48563cacb9fc6c29fdc9c5ad668852\";s:8:\"filesize\";s:6:\"136662\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:13:\"video 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/video/releases/7.x-2.4\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/video-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1321850744\";s:6:\"mdhash\";s:32:\"03d369d8d834dec9d2d47b7648963909\";s:8:\"filesize\";s:6:\"147919\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:13:\"video 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/video/releases/7.x-2.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/video-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1320148537\";s:6:\"mdhash\";s:32:\"af0fd7206daa185f276a11e0b6a09c0b\";s:8:\"filesize\";s:6:\"147673\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:13:\"video 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/video/releases/7.x-2.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/video-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1319609757\";s:6:\"mdhash\";s:32:\"de1ef1d6a573ef1e32cdd430e8d8b721\";s:8:\"filesize\";s:6:\"147514\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:13:\"7.x-2.2-beta5\";a:15:{s:4:\"name\";s:19:\"video 7.x-2.2-beta5\";s:7:\"version\";s:13:\"7.x-2.2-beta5\";s:3:\"tag\";s:13:\"7.x-2.2-beta5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/video/releases/7.x-2.2-beta5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/video-7.x-2.2-beta5.tar.gz\";s:4:\"date\";s:10:\"1318264009\";s:6:\"mdhash\";s:32:\"b7ea708cb1eb6db086d54307e3e10be2\";s:8:\"filesize\";s:6:\"147265\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.2-beta4\";a:15:{s:4:\"name\";s:19:\"video 7.x-2.2-beta4\";s:7:\"version\";s:13:\"7.x-2.2-beta4\";s:3:\"tag\";s:13:\"7.x-2.2-beta4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/video/releases/7.x-2.2-beta4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/video-7.x-2.2-beta4.tar.gz\";s:4:\"date\";s:10:\"1317451331\";s:6:\"mdhash\";s:32:\"48b9aa1401a8b9094603a336e85087d1\";s:8:\"filesize\";s:6:\"147143\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.2-beta3\";a:15:{s:4:\"name\";s:19:\"video 7.x-2.2-beta3\";s:7:\"version\";s:13:\"7.x-2.2-beta3\";s:3:\"tag\";s:13:\"7.x-2.2-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/video/releases/7.x-2.2-beta3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/video-7.x-2.2-beta3.tar.gz\";s:4:\"date\";s:10:\"1317090108\";s:6:\"mdhash\";s:32:\"9c5a2ee4bd27dc11ff88c8a690110c6c\";s:8:\"filesize\";s:6:\"147111\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.2-beta2\";a:15:{s:4:\"name\";s:19:\"video 7.x-2.2-beta2\";s:7:\"version\";s:13:\"7.x-2.2-beta2\";s:3:\"tag\";s:13:\"7.x-2.2-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/video/releases/7.x-2.2-beta2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/video-7.x-2.2-beta2.tar.gz\";s:4:\"date\";s:10:\"1317056213\";s:6:\"mdhash\";s:32:\"ce232ddbbb74cc7664c2cb0206b60099\";s:8:\"filesize\";s:6:\"147104\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.2-beta1\";a:15:{s:4:\"name\";s:19:\"video 7.x-2.2-beta1\";s:7:\"version\";s:13:\"7.x-2.2-beta1\";s:3:\"tag\";s:13:\"7.x-2.2-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/video/releases/7.x-2.2-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/video-7.x-2.2-beta1.tar.gz\";s:4:\"date\";s:10:\"1317054408\";s:6:\"mdhash\";s:32:\"200a0a7c6cd88ef167fe4c409241c1f9\";s:8:\"filesize\";s:6:\"147095\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.1-alpha3\";a:15:{s:4:\"name\";s:20:\"video 7.x-2.1-alpha3\";s:7:\"version\";s:14:\"7.x-2.1-alpha3\";s:3:\"tag\";s:14:\"7.x-2.1-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/video/releases/7.x-2.1-alpha3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/video-7.x-2.1-alpha3.tar.gz\";s:4:\"date\";s:10:\"1316666508\";s:6:\"mdhash\";s:32:\"705ba00d2076c7dff619db4d0244fc10\";s:8:\"filesize\";s:6:\"144591\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.1-alpha2\";a:15:{s:4:\"name\";s:20:\"video 7.x-2.1-alpha2\";s:7:\"version\";s:14:\"7.x-2.1-alpha2\";s:3:\"tag\";s:14:\"7.x-2.1-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/video/releases/7.x-2.1-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/video-7.x-2.1-alpha2.tar.gz\";s:4:\"date\";s:10:\"1315736507\";s:6:\"mdhash\";s:32:\"4a3950454a760375d906633741370959\";s:8:\"filesize\";s:6:\"151235\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-2.1-alpha1\";a:15:{s:4:\"name\";s:20:\"video 7.x-2.1-alpha1\";s:7:\"version\";s:14:\"7.x-2.1-alpha1\";s:3:\"tag\";s:14:\"7.x-2.1-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/video/releases/7.x-2.1-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/video-7.x-2.1-alpha1.tar.gz\";s:4:\"date\";s:10:\"1315729607\";s:6:\"mdhash\";s:32:\"a52c620dc80edb99abee34c0ef6ba6d0\";s:8:\"filesize\";s:6:\"151180\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-2.0-alpha6\";a:15:{s:4:\"name\";s:20:\"video 7.x-2.0-alpha6\";s:7:\"version\";s:14:\"7.x-2.0-alpha6\";s:3:\"tag\";s:14:\"7.x-2.0-alpha6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/video/releases/7.x-2.0-alpha6\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/video-7.x-2.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1315678009\";s:6:\"mdhash\";s:32:\"2eb389c368f6da30ed841819c374d113\";s:8:\"filesize\";s:6:\"151507\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-2.0-alpha5\";a:15:{s:4:\"name\";s:20:\"video 7.x-2.0-alpha5\";s:7:\"version\";s:14:\"7.x-2.0-alpha5\";s:3:\"tag\";s:14:\"7.x-2.0-alpha5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/video/releases/7.x-2.0-alpha5\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/video-7.x-2.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1315669007\";s:6:\"mdhash\";s:32:\"bc038083538c351c9b0c97174bf022d9\";s:8:\"filesize\";s:6:\"151447\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-2.0-alpha4\";a:15:{s:4:\"name\";s:20:\"video 7.x-2.0-alpha4\";s:7:\"version\";s:14:\"7.x-2.0-alpha4\";s:3:\"tag\";s:14:\"7.x-2.0-alpha4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/video/releases/7.x-2.0-alpha4\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/video-7.x-2.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1315651306\";s:6:\"mdhash\";s:32:\"c0fc1c970aadf1eb9490dc57a4da4555\";s:8:\"filesize\";s:6:\"151455\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha3\";a:15:{s:4:\"name\";s:20:\"video 7.x-2.0-alpha3\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:3:\"tag\";s:14:\"7.x-2.0-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/video/releases/7.x-2.0-alpha3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/video-7.x-2.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1315635709\";s:6:\"mdhash\";s:32:\"d23b6d9ebc8982fa50d49ae16924e47f\";s:8:\"filesize\";s:6:\"152039\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:20:\"video 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/video/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/video-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1315593111\";s:6:\"mdhash\";s:32:\"5f93e517740db453e3db4e7dd85fef15\";s:8:\"filesize\";s:6:\"151897\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:20:\"video 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/video/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/video-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1315588308\";s:6:\"mdhash\";s:32:\"8a2beafa0c46bb1ffc4bb54412d72d18\";s:8:\"filesize\";s:6:\"156389\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:20:\"video 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/video/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/video-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1302109917\";s:6:\"mdhash\";s:32:\"d34a028cbc0f33c159f929abe2cb79d5\";s:8:\"filesize\";s:6:\"296261\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:20:\"video 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/video/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/video-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1300931170\";s:6:\"mdhash\";s:32:\"d72f673932c17129779ede57d832920b\";s:8:\"filesize\";s:6:\"295820\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:17:\"7.x-1.0-unstable2\";a:15:{s:4:\"name\";s:23:\"video 7.x-1.0-unstable2\";s:7:\"version\";s:17:\"7.x-1.0-unstable2\";s:3:\"tag\";s:17:\"7.x-1.0-unstable2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:9:\"unstable2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/video/releases/7.x-1.0-unstable2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/video-7.x-1.0-unstable2.tar.gz\";s:4:\"date\";s:10:\"1300387570\";s:6:\"mdhash\";s:32:\"800d173c83124a937ceb050e859ae5cb\";s:8:\"filesize\";s:6:\"887552\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:64:\"Unstable releases are not covered by Drupal security advisories.\";}s:17:\"7.x-1.0-unstable1\";a:15:{s:4:\"name\";s:23:\"video 7.x-1.0-unstable1\";s:7:\"version\";s:17:\"7.x-1.0-unstable1\";s:3:\"tag\";s:17:\"7.x-1.0-unstable1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:9:\"unstable1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/video/releases/7.x-1.0-unstable1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/video-7.x-1.0-unstable1.tar.gz\";s:4:\"date\";s:10:\"1300352471\";s:6:\"mdhash\";s:32:\"df201ca4713f9c3ea019bc00aa660bdd\";s:8:\"filesize\";s:6:\"887404\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:64:\"Unstable releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:17:\"video 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/video/releases/7.x-2.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/video-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1491657783\";s:6:\"mdhash\";s:32:\"f8f58b97c2dadf92b6dd4e88c04f09d9\";s:8:\"filesize\";s:6:\"163294\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:17:\"video 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/video/releases/7.x-1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/video-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1382151865\";s:6:\"mdhash\";s:32:\"1c35e617ad81ecbd3ca7d69cb2e50a12\";s:8:\"filesize\";s:6:\"141457\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500434224,1500347812,1),('available_releases::video_embed_field','a:11:{s:5:\"title\";s:17:\"Video Embed Field\";s:10:\"short_name\";s:17:\"video_embed_field\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:48:\"https://www.drupal.org/project/video_embed_field\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:22:{s:14:\"7.x-2.0-beta11\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-2.0-beta11\";s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:3:\"tag\";s:14:\"7.x-2.0-beta11\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta11\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta11.tar.gz\";s:4:\"date\";s:10:\"1441639439\";s:6:\"mdhash\";s:32:\"43d7d6f6a9ec796b1eb1c68c66d82c49\";s:8:\"filesize\";s:6:\"182549\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-beta10\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-2.0-beta10\";s:7:\"version\";s:14:\"7.x-2.0-beta10\";s:3:\"tag\";s:14:\"7.x-2.0-beta10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta10\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1434007080\";s:6:\"mdhash\";s:32:\"2c8ea305f1dc5261329325c311495670\";s:8:\"filesize\";s:6:\"182048\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta9\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta9\";s:7:\"version\";s:13:\"7.x-2.0-beta9\";s:3:\"tag\";s:13:\"7.x-2.0-beta9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta9\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1433921580\";s:6:\"mdhash\";s:32:\"76d0f3ef894180e67effc51709883127\";s:8:\"filesize\";s:6:\"182071\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta8\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta8\";s:7:\"version\";s:13:\"7.x-2.0-beta8\";s:3:\"tag\";s:13:\"7.x-2.0-beta8\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta8\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1408177428\";s:6:\"mdhash\";s:32:\"371899516ce6d6045d6497b05e7a1bb4\";s:8:\"filesize\";s:6:\"181618\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta7\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta7\";s:7:\"version\";s:13:\"7.x-2.0-beta7\";s:3:\"tag\";s:13:\"7.x-2.0-beta7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta7\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1391588905\";s:6:\"mdhash\";s:32:\"14ed578b5e8731222175b4d4fd065739\";s:8:\"filesize\";s:5:\"26836\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta6\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta6\";s:7:\"version\";s:13:\"7.x-2.0-beta6\";s:3:\"tag\";s:13:\"7.x-2.0-beta6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta6\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1391540905\";s:6:\"mdhash\";s:32:\"081ffe322a5ea1b69730c32fab636c63\";s:8:\"filesize\";s:5:\"26839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta5\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta5\";s:7:\"version\";s:13:\"7.x-2.0-beta5\";s:3:\"tag\";s:13:\"7.x-2.0-beta5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta5\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1340317020\";s:6:\"mdhash\";s:32:\"115e9be89fbd84deaf5ce57359e88d6e\";s:8:\"filesize\";s:5:\"22696\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta4\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta4\";s:7:\"version\";s:13:\"7.x-2.0-beta4\";s:3:\"tag\";s:13:\"7.x-2.0-beta4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta4\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1329771346\";s:6:\"mdhash\";s:32:\"4e811f8a08a4131e4d8d4825b08643ce\";s:8:\"filesize\";s:5:\"18372\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta3\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta3\";s:7:\"version\";s:13:\"7.x-2.0-beta3\";s:3:\"tag\";s:13:\"7.x-2.0-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta3\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1329762349\";s:6:\"mdhash\";s:32:\"8e43c11f195c87771a1278b8d2509724\";s:8:\"filesize\";s:5:\"18380\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1329756951\";s:6:\"mdhash\";s:32:\"0026cd26baf54b1a42755adf341c7db1\";s:8:\"filesize\";s:5:\"18423\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1329752449\";s:6:\"mdhash\";s:32:\"749c003386a9688eb926627051e7ac5c\";s:8:\"filesize\";s:5:\"18334\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha3\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-2.0-alpha3\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:3:\"tag\";s:14:\"7.x-2.0-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-alpha3\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1323788745\";s:6:\"mdhash\";s:32:\"c67e292e91bdea37495d66f1e59b1603\";s:8:\"filesize\";s:5:\"16346\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1321918249\";s:6:\"mdhash\";s:32:\"ed202d988168c150ca68f9e88aa2a142\";s:8:\"filesize\";s:5:\"16334\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1321889149\";s:6:\"mdhash\";s:32:\"4ebb65718de086e9207eaf0bc887c355\";s:8:\"filesize\";s:5:\"16375\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1321887645\";s:6:\"mdhash\";s:32:\"3b11bba44ff9a39cb681e853e0f7d226\";s:8:\"filesize\";s:5:\"13658\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha5\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-1.0-alpha5\";s:7:\"version\";s:14:\"7.x-1.0-alpha5\";s:3:\"tag\";s:14:\"7.x-1.0-alpha5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.0-alpha5\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1318712200\";s:6:\"mdhash\";s:32:\"71f34f22428d72587adcdb612a4b732d\";s:8:\"filesize\";s:5:\"13113\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1315489621\";s:6:\"mdhash\";s:32:\"bc03fbce84328f6cb1c61ff5df6c3785\";s:8:\"filesize\";s:5:\"10784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1315327921\";s:6:\"mdhash\";s:32:\"5546f88133bdaee9b2d34e44ce0b0772\";s:8:\"filesize\";s:5:\"10831\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1313427721\";s:6:\"mdhash\";s:32:\"5f83b5461a688478468d6a7f822c124d\";s:8:\"filesize\";s:5:\"10052\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1312900321\";s:6:\"mdhash\";s:32:\"1193c2663a0195ae52cd744a6ff78135\";s:8:\"filesize\";s:4:\"9392\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:29:\"video_embed_field 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.x-dev\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1441744739\";s:6:\"mdhash\";s:32:\"818abb413092148c730e56ff158c3f54\";s:8:\"filesize\";s:6:\"182557\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:29:\"video_embed_field 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.x-dev\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1382151940\";s:6:\"mdhash\";s:32:\"792a314aee142fc354f379d494dab2a0\";s:8:\"filesize\";s:5:\"13662\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500434225,1500347812,1),('available_releases::views','a:11:{s:5:\"title\";s:5:\"Views\";s:10:\"short_name\";s:5:\"views\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/views\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:24:{s:8:\"7.x-3.16\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.16\";s:7:\"version\";s:8:\"7.x-3.16\";s:3:\"tag\";s:8:\"7.x-3.16\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.16\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.16.tar.gz\";s:4:\"date\";s:10:\"1491158584\";s:6:\"mdhash\";s:32:\"d840cb148809da844b93d73b16b453f9\";s:8:\"filesize\";s:7:\"1643030\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:12:\"7.x-3.16-rc1\";a:15:{s:4:\"name\";s:18:\"views 7.x-3.16-rc1\";s:7:\"version\";s:12:\"7.x-3.16-rc1\";s:3:\"tag\";s:12:\"7.x-3.16-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"16\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/views/releases/7.x-3.16-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/views-7.x-3.16-rc1.tar.gz\";s:4:\"date\";s:10:\"1489763584\";s:6:\"mdhash\";s:32:\"cba59381dbf64ac9d9d76fa549b4c7c1\";s:8:\"filesize\";s:7:\"1642814\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:8:\"7.x-3.15\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.15\";s:7:\"version\";s:8:\"7.x-3.15\";s:3:\"tag\";s:8:\"7.x-3.15\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.15\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.15.tar.gz\";s:4:\"date\";s:10:\"1487784184\";s:6:\"mdhash\";s:32:\"473cb5384456d55af988feabc1af12ed\";s:8:\"filesize\";s:7:\"1642425\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.14\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.14\";s:7:\"version\";s:8:\"7.x-3.14\";s:3:\"tag\";s:8:\"7.x-3.14\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.14\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.14.tar.gz\";s:4:\"date\";s:10:\"1466019539\";s:6:\"mdhash\";s:32:\"168bb684c8f34297be94b03c797841e5\";s:8:\"filesize\";s:7:\"1656594\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.13\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.13\";s:7:\"version\";s:8:\"7.x-3.13\";s:3:\"tag\";s:8:\"7.x-3.13\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.13\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.13.tar.gz\";s:4:\"date\";s:10:\"1446804839\";s:6:\"mdhash\";s:32:\"50d3b231f689f8c4ff15d79ea3c261d9\";s:8:\"filesize\";s:7:\"1650157\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.12\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.12\";s:7:\"version\";s:8:\"7.x-3.12\";s:3:\"tag\";s:8:\"7.x-3.12\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.12\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.12.tar.gz\";s:4:\"date\";s:10:\"1446653339\";s:6:\"mdhash\";s:32:\"a50033bb090730176d9263ddae7f32b2\";s:8:\"filesize\";s:7:\"1650130\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.11\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.11\";s:7:\"version\";s:8:\"7.x-3.11\";s:3:\"tag\";s:8:\"7.x-3.11\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.11\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.11.tar.gz\";s:4:\"date\";s:10:\"1430320981\";s:6:\"mdhash\";s:32:\"00d722e1d8ed57e912c8bd586cf2edbe\";s:8:\"filesize\";s:7:\"1649389\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.10\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.10\";s:7:\"version\";s:8:\"7.x-3.10\";s:3:\"tag\";s:8:\"7.x-3.10\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.10\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.10.tar.gz\";s:4:\"date\";s:10:\"1423648081\";s:6:\"mdhash\";s:32:\"c9806ffd69448bc505a67e790f97da58\";s:8:\"filesize\";s:7:\"1648314\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.8\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1400618927\";s:6:\"mdhash\";s:32:\"0fbe71c455f5d34c7193797563b63b3f\";s:8:\"filesize\";s:7:\"1646817\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1365499237\";s:6:\"mdhash\";s:32:\"3f36f0d13f3b724d719f6729cbc110ba\";s:8:\"filesize\";s:7:\"1639539\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.6\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1363810217\";s:6:\"mdhash\";s:32:\"1531a1ece3970332db1559b854f5dcc9\";s:8:\"filesize\";s:7:\"1639219\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.5\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1345829395\";s:6:\"mdhash\";s:32:\"fba70998d4ebcca5116ef5ee90117738\";s:8:\"filesize\";s:7:\"1632919\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.4\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1345559303\";s:6:\"mdhash\";s:32:\"72bd0f35ac467aed74e533c10a76c93f\";s:8:\"filesize\";s:7:\"1632803\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1329946249\";s:6:\"mdhash\";s:32:\"70f24086dc7acfa7fc23c6148c7f8e00\";s:8:\"filesize\";s:7:\"1583249\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1329778551\";s:6:\"mdhash\";s:32:\"c350603991445ca69b30eddf3befe887\";s:8:\"filesize\";s:7:\"1582617\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1326750948\";s:6:\"mdhash\";s:32:\"e158435dc66d1d89a0df587c39ef1a23\";s:8:\"filesize\";s:7:\"1575585\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1324170451\";s:6:\"mdhash\";s:32:\"1be8cbd6fd3f37bfd1493693dfa95d8d\";s:8:\"filesize\";s:7:\"1461460\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-3.0-rc3\";a:15:{s:4:\"name\";s:17:\"views 7.x-3.0-rc3\";s:7:\"version\";s:11:\"7.x-3.0-rc3\";s:3:\"tag\";s:11:\"7.x-3.0-rc3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/views/releases/7.x-3.0-rc3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1321467945\";s:6:\"mdhash\";s:32:\"b3e58f4195308e37621155d3c843e53f\";s:8:\"filesize\";s:7:\"1456218\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.0-rc1\";a:15:{s:4:\"name\";s:17:\"views 7.x-3.0-rc1\";s:7:\"version\";s:11:\"7.x-3.0-rc1\";s:3:\"tag\";s:11:\"7.x-3.0-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/views/releases/7.x-3.0-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1308341221\";s:6:\"mdhash\";s:32:\"e158db78ae2f8cc615edb910a09384b0\";s:8:\"filesize\";s:7:\"1481151\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:19:\"views 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/views/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1301301971\";s:6:\"mdhash\";s:32:\"114c76f201523ef3e50b9a1d431b0364\";s:8:\"filesize\";s:7:\"1469580\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:19:\"views 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/views/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1301158871\";s:6:\"mdhash\";s:32:\"c39fab1e76e55b15291fecf2c10386c2\";s:8:\"filesize\";s:7:\"1469243\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:19:\"views 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/views/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1301099796\";s:6:\"mdhash\";s:32:\"6ee4495cbdf0a8d19bd214f57bef0bf4\";s:8:\"filesize\";s:7:\"1468892\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:20:\"views 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/views/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1294276882\";s:6:\"mdhash\";s:32:\"8635e5b0c03fed4516abae25489a5a5c\";s:8:\"filesize\";s:7:\"1561161\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:17:\"views 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/views/releases/7.x-3.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/views-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1498765443\";s:6:\"mdhash\";s:32:\"685c91d42eee7c9a657dd7cbba6c14c4\";s:8:\"filesize\";s:7:\"1645722\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500434226,1500347812,1),('available_releases::views_fieldsets','a:11:{s:5:\"title\";s:15:\"Views fieldsets\";s:10:\"short_name\";s:15:\"views_fieldsets\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_fieldsets\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:9:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-2.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1452361172\";s:6:\"mdhash\";s:32:\"c5865105b071c412aca65878eed1d8fe\";s:8:\"filesize\";s:5:\"14729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-2.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1436550539\";s:6:\"mdhash\";s:32:\"6a70727be4617284f768216fa8a00c87\";s:8:\"filesize\";s:5:\"14397\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1425515881\";s:6:\"mdhash\";s:32:\"bb105a56ed43d3ead73e98e52ee48ca4\";s:8:\"filesize\";s:5:\"13371\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1392335005\";s:6:\"mdhash\";s:32:\"70259475223e1f57b610084fac78fc01\";s:8:\"filesize\";s:5:\"13111\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1360701659\";s:6:\"mdhash\";s:32:\"ebe6376710d9fa20b9cd655ab8428138\";s:8:\"filesize\";s:5:\"13035\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1357769111\";s:6:\"mdhash\";s:32:\"d99b0cda11f62cf33dc7eb7f485f2154\";s:8:\"filesize\";s:5:\"12875\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:30:\"views_fieldsets 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1342189984\";s:6:\"mdhash\";s:32:\"43e62b2acdb8d4a542527c0919c47ce6\";s:8:\"filesize\";s:5:\"12805\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:27:\"views_fieldsets 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-2.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1478952539\";s:6:\"mdhash\";s:32:\"d88549432db8f2d2013b0b407cd2eb35\";s:8:\"filesize\";s:5:\"15153\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"views_fieldsets 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1429815481\";s:6:\"mdhash\";s:32:\"8785f8504272b1a9dfcaf90ea6accdee\";s:8:\"filesize\";s:5:\"13386\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500434226,1500347812,1),('available_releases::views_infinite_scroll','a:11:{s:5:\"title\";s:21:\"Views Infinite Scroll\";s:10:\"short_name\";s:21:\"views_infinite_scroll\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:52:\"https://www.drupal.org/project/views_infinite_scroll\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:6:{s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:29:\"views_infinite_scroll 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/views_infinite_scroll/releases/7.x-2.0\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/views_infinite_scroll-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1458955139\";s:6:\"mdhash\";s:32:\"3aa7a77da35c0c14b32dffa992669101\";s:8:\"filesize\";s:4:\"9978\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.0-rc1\";a:15:{s:4:\"name\";s:33:\"views_infinite_scroll 7.x-2.0-rc1\";s:7:\"version\";s:11:\"7.x-2.0-rc1\";s:3:\"tag\";s:11:\"7.x-2.0-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:73:\"https://www.drupal.org/project/views_infinite_scroll/releases/7.x-2.0-rc1\";s:13:\"download_link\";s:78:\"https://ftp.drupal.org/files/projects/views_infinite_scroll-7.x-2.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1455069545\";s:6:\"mdhash\";s:32:\"e74b9dd60eda9e45c5bfd65e510f48c0\";s:8:\"filesize\";s:4:\"9984\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:29:\"views_infinite_scroll 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/views_infinite_scroll/releases/7.x-1.1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/views_infinite_scroll-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1335182196\";s:6:\"mdhash\";s:32:\"e40ac7ed9b55ac08b13b8ac2ecf83051\";s:8:\"filesize\";s:5:\"11715\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:29:\"views_infinite_scroll 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/views_infinite_scroll/releases/7.x-1.0\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/views_infinite_scroll-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1304622119\";s:6:\"mdhash\";s:32:\"77b0968db9b473a109a125a7b2a45b75\";s:8:\"filesize\";s:5:\"10260\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:33:\"views_infinite_scroll 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:73:\"https://www.drupal.org/project/views_infinite_scroll/releases/7.x-2.x-dev\";s:13:\"download_link\";s:78:\"https://ftp.drupal.org/files/projects/views_infinite_scroll-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1472715539\";s:6:\"mdhash\";s:32:\"e37a5b5aa3ca86d440a35f689ffcba99\";s:8:\"filesize\";s:5:\"10000\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:33:\"views_infinite_scroll 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:73:\"https://www.drupal.org/project/views_infinite_scroll/releases/7.x-1.x-dev\";s:13:\"download_link\";s:78:\"https://ftp.drupal.org/files/projects/views_infinite_scroll-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1412258932\";s:6:\"mdhash\";s:32:\"ec9a93c9e135871060f244fa308d3f21\";s:8:\"filesize\";s:5:\"12227\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500434227,1500347812,1),('available_releases::weight','a:11:{s:5:\"title\";s:6:\"Weight\";s:10:\"short_name\";s:6:\"weight\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:3:\"2,3\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/weight\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:20:{s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:14:\"weight 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-3.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1449686339\";s:6:\"mdhash\";s:32:\"b150e7a495ca2dfbb49ab06e118f5360\";s:8:\"filesize\";s:5:\"10265\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:14:\"weight 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-3.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1448735340\";s:6:\"mdhash\";s:32:\"24c9442f584f76ce8d9a2a767166fdb2\";s:8:\"filesize\";s:5:\"10295\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:20:\"weight 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/weight/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/weight-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1430680381\";s:6:\"mdhash\";s:32:\"14bf34605e1a0347c66586a1a61b5d95\";s:8:\"filesize\";s:5:\"10234\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:20:\"weight 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/weight/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/weight-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1417652880\";s:6:\"mdhash\";s:32:\"7487a6199e8945b9bffd7428e534491b\";s:8:\"filesize\";s:5:\"10308\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:14:\"weight 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-2.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1430342581\";s:6:\"mdhash\";s:32:\"2a32b05f8bf5c315dcfc28275a3f5fdf\";s:8:\"filesize\";s:5:\"19230\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:14:\"weight 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-2.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1417653780\";s:6:\"mdhash\";s:32:\"855868e5c131d641e76b9f7594e9f03d\";s:8:\"filesize\";s:5:\"18960\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:14:\"weight 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-2.3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1372087551\";s:6:\"mdhash\";s:32:\"ac7eaa4eaf4196f44134770892f5b8d5\";s:8:\"filesize\";s:5:\"18185\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:14:\"weight 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-2.2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1360099063\";s:6:\"mdhash\";s:32:\"600f6d34f7708125a13c968bb4340bd2\";s:8:\"filesize\";s:5:\"17463\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:14:\"weight 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-2.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1341880989\";s:6:\"mdhash\";s:32:\"434675cfd1a6d2f668e82f8cfb1ce765\";s:8:\"filesize\";s:5:\"16018\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:14:\"weight 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-2.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1337468498\";s:6:\"mdhash\";s:32:\"5cd44f52c88191d325f0723809e188ad\";s:8:\"filesize\";s:5:\"15834\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.0-rc2\";a:15:{s:4:\"name\";s:18:\"weight 7.x-2.0-rc2\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:3:\"tag\";s:11:\"7.x-2.0-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/weight/releases/7.x-2.0-rc2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/weight-7.x-2.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1334713023\";s:6:\"mdhash\";s:32:\"b537c8cb472cf6c8ac607ccfe75632a8\";s:8:\"filesize\";s:5:\"15282\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.0-rc1\";a:15:{s:4:\"name\";s:18:\"weight 7.x-2.0-rc1\";s:7:\"version\";s:11:\"7.x-2.0-rc1\";s:3:\"tag\";s:11:\"7.x-2.0-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/weight/releases/7.x-2.0-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/weight-7.x-2.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1333374372\";s:6:\"mdhash\";s:32:\"395a9b6548160160b73733607aaae425\";s:8:\"filesize\";s:5:\"15140\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta3\";a:15:{s:4:\"name\";s:20:\"weight 7.x-2.0-beta3\";s:7:\"version\";s:13:\"7.x-2.0-beta3\";s:3:\"tag\";s:13:\"7.x-2.0-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/weight/releases/7.x-2.0-beta3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/weight-7.x-2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1330824045\";s:6:\"mdhash\";s:32:\"d15bfc9efd0ed995251938eee5ed0d95\";s:8:\"filesize\";s:5:\"15724\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:20:\"weight 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/weight/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/weight-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1328624752\";s:6:\"mdhash\";s:32:\"66af097424cc272d0c2e728997e06ee2\";s:8:\"filesize\";s:5:\"14318\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:20:\"weight 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/weight/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/weight-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1327347352\";s:6:\"mdhash\";s:32:\"b47b9e3cf0dfb6205bc545b2808ad583\";s:8:\"filesize\";s:5:\"13676\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:14:\"weight 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-1.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1316989908\";s:6:\"mdhash\";s:32:\"a671a07ffa8f5222ebf2e324e06a376a\";s:8:\"filesize\";s:5:\"17749\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:18:\"weight 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/weight/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/weight-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1315094221\";s:6:\"mdhash\";s:32:\"2378034f88632178cb81e4770016e056\";s:8:\"filesize\";s:5:\"16131\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:18:\"weight 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/weight/releases/7.x-3.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/weight-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1464402543\";s:6:\"mdhash\";s:32:\"8a5d8179bd8c2dbc364cf012d2d5d022\";s:8:\"filesize\";s:5:\"10411\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:18:\"weight 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/weight/releases/7.x-2.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/weight-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1448732940\";s:6:\"mdhash\";s:32:\"d32992947882db60b2d7840b879e78ff\";s:8:\"filesize\";s:5:\"19056\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:18:\"weight 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/weight/releases/7.x-1.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/weight-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1382756402\";s:6:\"mdhash\";s:32:\"007427488008333730f5d56b1c468b71\";s:8:\"filesize\";s:5:\"18093\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500434228,1500347812,1),('available_releases::we_content_migration','a:10:{s:5:\"title\";s:24:\"Drupal Content Migration\";s:10:\"short_name\";s:20:\"we_content_migration\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:51:\"https://www.drupal.org/project/we_content_migration\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:1:{s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:32:\"we_content_migration 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/we_content_migration/releases/7.x-1.x-dev\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/we_content_migration-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499677742\";s:6:\"mdhash\";s:32:\"5e6c20f89dc504dbc3bdfe48009e62a1\";s:8:\"filesize\";s:5:\"49548\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}}',1500434227,1500347812,1),('fetch_failures','a:0:{}',1500348236,1500347936,1),('update_project_data','a:28:{s:10:\"admin_menu\";a:17:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:19:\"Administration menu\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:2:{s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-3.0-rc5\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:19:\"Administration menu\";s:4:\"link\";s:41:\"https://www.drupal.org/project/admin_menu\";s:14:\"latest_version\";s:11:\"7.x-3.0-rc5\";s:8:\"releases\";a:1:{s:11:\"7.x-3.0-rc5\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc5\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:3:\"tag\";s:11:\"7.x-3.0-rc5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1419029280\";s:6:\"mdhash\";s:32:\"4f1a0c14001c880bd7eb170318b91303\";s:8:\"filesize\";s:5:\"53401\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:11:\"7.x-3.0-rc5\";s:6:\"status\";i:5;}s:4:\"bean\";a:17:{s:4:\"name\";s:4:\"bean\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Bean\";s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1425439382\";s:8:\"includes\";a:2:{s:4:\"bean\";s:4:\"Bean\";s:13:\"bean_admin_ui\";s:13:\"Bean Admin UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.9\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:4:\"Bean\";s:4:\"link\";s:35:\"https://www.drupal.org/project/bean\";s:14:\"latest_version\";s:8:\"7.x-1.11\";s:8:\"releases\";a:1:{s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:13:\"bean 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/bean/releases/7.x-1.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/bean-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1470638339\";s:6:\"mdhash\";s:32:\"81a99ebffebab15f1bd9f5796af951ea\";s:8:\"filesize\";s:5:\"55153\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-1.11\";s:6:\"status\";i:4;}s:6:\"drupal\";a:17:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:16:\"_info_file_ctime\";i:1500288889;}s:9:\"datestamp\";s:10:\"1498069849\";s:8:\"includes\";a:35:{s:5:\"block\";s:5:\"Block\";s:4:\"blog\";s:4:\"Blog\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:4:\"7.56\";s:14:\"existing_major\";s:1:\"7\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Drupal core\";s:4:\"link\";s:37:\"https://www.drupal.org/project/drupal\";s:14:\"latest_version\";s:4:\"7.56\";s:8:\"releases\";a:1:{s:4:\"7.56\";a:14:{s:4:\"name\";s:11:\"drupal 7.56\";s:7:\"version\";s:4:\"7.56\";s:3:\"tag\";s:4:\"7.56\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"56\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.56\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.56.tar.gz\";s:4:\"date\";s:10:\"1498069782\";s:6:\"mdhash\";s:32:\"5d198f40f0f1cbf9cdf1bf3de842e534\";s:8:\"filesize\";s:7:\"3277833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:4:\"7.56\";s:6:\"status\";i:5;}s:5:\"clock\";a:20:{s:4:\"name\";s:5:\"clock\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Clock\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:13:\"7.x-1.2+4-dev\";s:7:\"project\";s:5:\"clock\";s:9:\"datestamp\";s:10:\"1380559018\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1380559018\";s:8:\"includes\";a:1:{s:5:\"clock\";s:5:\"Clock\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:13:\"7.x-1.2+4-dev\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:3:\"dev\";s:5:\"title\";s:5:\"Clock\";s:4:\"link\";s:36:\"https://www.drupal.org/project/clock\";s:14:\"latest_version\";s:7:\"7.x-1.2\";s:8:\"releases\";a:3:{s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:13:\"clock 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/clock/releases/7.x-1.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/clock-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1313948517\";s:6:\"mdhash\";s:32:\"9ec4800a48d578dfb7358fd4b944fcaf\";s:8:\"filesize\";s:5:\"15219\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:17:\"clock 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/clock/releases/7.x-2.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/clock-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380559017\";s:6:\"mdhash\";s:32:\"dddfc88e6c7bd6e0ee6c4aca0074841f\";s:8:\"filesize\";s:5:\"26107\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:17:\"clock 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/clock/releases/7.x-1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/clock-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380559018\";s:6:\"mdhash\";s:32:\"386be53aaffa67f995dc6ece2026bf6e\";s:8:\"filesize\";s:5:\"16550\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}s:11:\"recommended\";s:7:\"7.x-1.2\";s:4:\"also\";a:1:{i:2;s:11:\"7.x-2.x-dev\";}s:11:\"dev_version\";s:11:\"7.x-1.x-dev\";s:10:\"latest_dev\";s:11:\"7.x-1.x-dev\";s:6:\"status\";i:5;}s:7:\"context\";a:17:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1420573188\";s:8:\"includes\";a:2:{s:7:\"context\";s:7:\"Context\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.6\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:7:\"Context\";s:4:\"link\";s:38:\"https://www.drupal.org/project/context\";s:14:\"latest_version\";s:7:\"7.x-3.7\";s:8:\"releases\";a:1:{s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.7\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1463605439\";s:6:\"mdhash\";s:32:\"7486753eef5a1496a3aa79ce7f168124\";s:8:\"filesize\";s:5:\"74779\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-3.7\";s:6:\"status\";i:4;}s:6:\"ctools\";a:17:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Chaos tools\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:16:\"_info_file_ctime\";i:1500289011;}s:9:\"datestamp\";s:10:\"1479787162\";s:8:\"includes\";a:1:{s:6:\"ctools\";s:11:\"Chaos tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-1.12\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:25:\"Chaos tool suite (ctools)\";s:4:\"link\";s:37:\"https://www.drupal.org/project/ctools\";s:14:\"latest_version\";s:8:\"7.x-1.12\";s:8:\"releases\";a:1:{s:8:\"7.x-1.12\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.12\";s:7:\"version\";s:8:\"7.x-1.12\";s:3:\"tag\";s:8:\"7.x-1.12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.12\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.12.tar.gz\";s:4:\"date\";s:10:\"1479787142\";s:6:\"mdhash\";s:32:\"daae0be22830e34c4d952f91557ae5a5\";s:8:\"filesize\";s:6:\"433707\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-1.12\";s:6:\"status\";i:5;}s:4:\"date\";a:17:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Date API\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:1:{s:8:\"date_api\";s:8:\"Date API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.8\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:4:\"Date\";s:4:\"link\";s:35:\"https://www.drupal.org/project/date\";s:14:\"latest_version\";s:8:\"7.x-2.10\";s:8:\"releases\";a:1:{s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:13:\"date 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/date/releases/7.x-2.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/date-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1491562083\";s:6:\"mdhash\";s:32:\"2574ab984de79b65f93dbeb48a4e2036\";s:8:\"filesize\";s:6:\"226466\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-2.10\";s:6:\"status\";i:4;}s:6:\"entity\";a:17:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1424876582\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1424876582\";s:8:\"includes\";a:1:{s:6:\"entity\";s:10:\"Entity API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.6\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Entity API\";s:4:\"link\";s:37:\"https://www.drupal.org/project/entity\";s:14:\"latest_version\";s:7:\"7.x-1.8\";s:8:\"releases\";a:1:{s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1474545839\";s:6:\"mdhash\";s:32:\"3926d48c86387c3d1d5777538903a752\";s:8:\"filesize\";s:6:\"123957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.8\";s:6:\"status\";i:4;}s:15:\"entityreference\";a:17:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.1\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:16:\"Entity reference\";s:4:\"link\";s:46:\"https://www.drupal.org/project/entityreference\";s:14:\"latest_version\";s:7:\"7.x-1.4\";s:8:\"releases\";a:1:{s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1495557183\";s:6:\"mdhash\";s:32:\"ce8bde18b2b0269f218a1e2dc17579ee\";s:8:\"filesize\";s:5:\"43230\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.4\";s:6:\"status\";i:4;}s:11:\"fontawesome\";a:17:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420873983\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1420873983\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.1\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:18:\"Font Awesome Icons\";s:4:\"link\";s:42:\"https://www.drupal.org/project/fontawesome\";s:14:\"latest_version\";s:7:\"7.x-2.6\";s:8:\"releases\";a:1:{s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1476103132\";s:6:\"mdhash\";s:32:\"cc9afba41c5a7f5e1b05840bac7e35aa\";s:8:\"filesize\";s:5:\"11867\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.6\";s:6:\"status\";i:4;}s:13:\"jquery_update\";a:18:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:16:\"_info_file_ctime\";i:1500289211;}s:9:\"datestamp\";s:10:\"1445379855\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.7\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"jQuery Update\";s:4:\"link\";s:44:\"https://www.drupal.org/project/jquery_update\";s:4:\"also\";a:1:{i:3;s:14:\"7.x-3.0-alpha5\";}s:8:\"releases\";a:2:{s:14:\"7.x-3.0-alpha5\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha5\";s:7:\"version\";s:14:\"7.x-3.0-alpha5\";s:3:\"tag\";s:14:\"7.x-3.0-alpha5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha5\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1490805183\";s:6:\"mdhash\";s:32:\"48baebd87003519ade8c65dc5598bbe5\";s:8:\"filesize\";s:7:\"1980268\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1445379839\";s:6:\"mdhash\";s:32:\"85eaf02362c384979bc475df30ae7a3e\";s:8:\"filesize\";s:7:\"1135987\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}}s:14:\"latest_version\";s:7:\"7.x-2.7\";s:11:\"recommended\";s:7:\"7.x-2.7\";s:6:\"status\";i:5;}s:9:\"libraries\";a:17:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.2\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Libraries API\";s:4:\"link\";s:40:\"https://www.drupal.org/project/libraries\";s:14:\"latest_version\";s:7:\"7.x-2.3\";s:8:\"releases\";a:1:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1463077439\";s:6:\"mdhash\";s:32:\"294d3e4096c513321159b908cfd7c2be\";s:8:\"filesize\";s:5:\"41863\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.3\";s:6:\"status\";i:4;}s:15:\"menu_breadcrumb\";a:17:{s:4:\"name\";s:15:\"menu_breadcrumb\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu breadcrumb\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:15:\"menu_breadcrumb\";s:9:\"datestamp\";s:10:\"1425993992\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1425993992\";s:8:\"includes\";a:1:{s:15:\"menu_breadcrumb\";s:15:\"Menu breadcrumb\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.6\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Menu Breadcrumb\";s:4:\"link\";s:46:\"https://www.drupal.org/project/menu_breadcrumb\";s:14:\"latest_version\";s:7:\"7.x-1.6\";s:8:\"releases\";a:1:{s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:23:\"menu_breadcrumb 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_breadcrumb/releases/7.x-1.6\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_breadcrumb-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1425993987\";s:6:\"mdhash\";s:32:\"30291c87761f042b7599865d80df6f62\";s:8:\"filesize\";s:5:\"15154\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.6\";s:6:\"status\";i:5;}s:13:\"module_filter\";a:17:{s:4:\"name\";s:13:\"module_filter\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Module filter\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1424631189\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1424631189\";s:8:\"includes\";a:1:{s:13:\"module_filter\";s:13:\"Module filter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.0\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Module Filter\";s:4:\"link\";s:44:\"https://www.drupal.org/project/module_filter\";s:14:\"latest_version\";s:7:\"7.x-2.1\";s:8:\"releases\";a:1:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1497029343\";s:6:\"mdhash\";s:32:\"66a4998f63f2cefe77c18713054a42cc\";s:8:\"filesize\";s:5:\"29757\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.1\";s:6:\"status\";i:4;}s:10:\"newsletter\";a:17:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:14:\"7.x-1.0-beta10\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Newsletter\";s:4:\"link\";s:41:\"https://www.drupal.org/project/newsletter\";s:14:\"latest_version\";s:14:\"7.x-1.0-beta10\";s:8:\"releases\";a:1:{s:14:\"7.x-1.0-beta10\";a:15:{s:4:\"name\";s:25:\"newsletter 7.x-1.0-beta10\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:3:\"tag\";s:14:\"7.x-1.0-beta10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/newsletter/releases/7.x-1.0-beta10\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/newsletter-7.x-1.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1401923327\";s:6:\"mdhash\";s:32:\"40d8b9c7fb70d6ffc2743fbd3d9e3318\";s:8:\"filesize\";s:5:\"44420\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:14:\"7.x-1.0-beta10\";s:6:\"status\";i:5;}s:8:\"pathauto\";a:17:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.2\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"Pathauto\";s:4:\"link\";s:39:\"https://www.drupal.org/project/pathauto\";s:14:\"latest_version\";s:7:\"7.x-1.3\";s:8:\"releases\";a:1:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1444232639\";s:6:\"mdhash\";s:32:\"ff984b2837230a221d53fad5462c0b61\";s:8:\"filesize\";s:5:\"42319\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.3\";s:6:\"status\";i:4;}s:14:\"pinteros_tools\";a:13:{s:4:\"name\";s:14:\"pinteros_tools\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Pinteros Tools\";s:7:\"package\";s:5:\"Feeds\";s:7:\"project\";s:14:\"pinteros_tools\";s:7:\"version\";N;s:16:\"_info_file_ctime\";i:1499929802;s:9:\"datestamp\";i:0;}s:9:\"datestamp\";i:0;s:8:\"includes\";a:1:{s:14:\"pinteros_tools\";s:14:\"Pinteros Tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"Unknown\";s:14:\"existing_major\";i:-1;s:12:\"install_type\";s:7:\"unknown\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:9:\"tagclouds\";a:17:{s:4:\"name\";s:9:\"tagclouds\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"TagClouds\";s:7:\"package\";s:8:\"Taxonomy\";s:7:\"version\";s:8:\"7.x-1.10\";s:7:\"project\";s:9:\"tagclouds\";s:9:\"datestamp\";s:10:\"1404152332\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1404152332\";s:8:\"includes\";a:1:{s:9:\"tagclouds\";s:9:\"TagClouds\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-1.10\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"TagCloud\";s:4:\"link\";s:40:\"https://www.drupal.org/project/tagclouds\";s:14:\"latest_version\";s:8:\"7.x-1.11\";s:8:\"releases\";a:1:{s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:18:\"tagclouds 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.11\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1452956639\";s:6:\"mdhash\";s:32:\"8fb0190b0c34735329d9e7808f507873\";s:8:\"filesize\";s:5:\"13778\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-1.11\";s:6:\"status\";i:4;}s:13:\"taxonomy_menu\";a:18:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.5\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Taxonomy menu\";s:4:\"link\";s:44:\"https://www.drupal.org/project/taxonomy_menu\";s:4:\"also\";a:1:{i:2;s:14:\"7.x-2.0-alpha2\";}s:8:\"releases\";a:2:{s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:28:\"taxonomy_menu 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1359084813\";s:6:\"mdhash\";s:32:\"464f8dfd87a4a29958005eab55064b9a\";s:8:\"filesize\";s:5:\"31176\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1396359246\";s:6:\"mdhash\";s:32:\"f2aa072ca8e5ffad1082db99917e7226\";s:8:\"filesize\";s:5:\"25478\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:14:\"latest_version\";s:7:\"7.x-1.5\";s:11:\"recommended\";s:7:\"7.x-1.5\";s:6:\"status\";i:5;}s:11:\"tb_megamenu\";a:17:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:13:\"7.x-1.0-beta5\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:12:\"TB Mega Menu\";s:4:\"link\";s:42:\"https://www.drupal.org/project/tb_megamenu\";s:14:\"latest_version\";s:11:\"7.x-1.0-rc2\";s:8:\"releases\";a:1:{s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:23:\"tb_megamenu 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1440756539\";s:6:\"mdhash\";s:32:\"f31ead7424d21dbb8f189922301407e3\";s:8:\"filesize\";s:5:\"69537\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:11:\"7.x-1.0-rc2\";s:6:\"status\";i:4;}s:5:\"token\";a:17:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1425149060\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1425149060\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.6\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:5:\"Token\";s:4:\"link\";s:36:\"https://www.drupal.org/project/token\";s:14:\"latest_version\";s:7:\"7.x-1.7\";s:8:\"releases\";a:1:{s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1485316084\";s:6:\"mdhash\";s:32:\"cf117195d2815e4292e522c04f4055d0\";s:8:\"filesize\";s:5:\"44016\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.7\";s:6:\"status\";i:4;}s:5:\"video\";a:17:{s:4:\"name\";s:5:\"video\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Video\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:8:\"7.x-2.11\";s:7:\"project\";s:5:\"video\";s:9:\"datestamp\";s:10:\"1421234306\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1421234306\";s:8:\"includes\";a:3:{s:5:\"video\";s:5:\"Video\";s:8:\"video_ui\";s:8:\"Video UI\";s:11:\"zencoderapi\";s:12:\"Zencoder API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-2.11\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:5:\"Video\";s:4:\"link\";s:36:\"https://www.drupal.org/project/video\";s:14:\"latest_version\";s:8:\"7.x-2.13\";s:8:\"releases\";a:1:{s:8:\"7.x-2.13\";a:14:{s:4:\"name\";s:14:\"video 7.x-2.13\";s:7:\"version\";s:8:\"7.x-2.13\";s:3:\"tag\";s:8:\"7.x-2.13\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/video/releases/7.x-2.13\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/video-7.x-2.13.tar.gz\";s:4:\"date\";s:10:\"1491658083\";s:6:\"mdhash\";s:32:\"83363d26b372e3812c7e0f20b8d45479\";s:8:\"filesize\";s:6:\"163276\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-2.13\";s:6:\"status\";i:4;}s:17:\"video_embed_field\";a:17:{s:4:\"name\";s:17:\"video_embed_field\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Video Embed Field\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";s:10:\"1441639440\";s:16:\"_info_file_ctime\";i:1500289265;}s:9:\"datestamp\";s:10:\"1441639440\";s:8:\"includes\";a:1:{s:17:\"video_embed_field\";s:17:\"Video Embed Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:14:\"7.x-2.0-beta11\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:17:\"Video Embed Field\";s:4:\"link\";s:48:\"https://www.drupal.org/project/video_embed_field\";s:14:\"latest_version\";s:14:\"7.x-2.0-beta11\";s:8:\"releases\";a:1:{s:14:\"7.x-2.0-beta11\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-2.0-beta11\";s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:3:\"tag\";s:14:\"7.x-2.0-beta11\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta11\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta11.tar.gz\";s:4:\"date\";s:10:\"1441639439\";s:6:\"mdhash\";s:32:\"43d7d6f6a9ec796b1eb1c68c66d82c49\";s:8:\"filesize\";s:6:\"182549\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}}s:11:\"recommended\";s:14:\"7.x-2.0-beta11\";s:6:\"status\";i:5;}s:5:\"views\";a:17:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:16:\"_info_file_ctime\";i:1500289065;}s:9:\"datestamp\";s:10:\"1491158591\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-3.16\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:5:\"Views\";s:4:\"link\";s:36:\"https://www.drupal.org/project/views\";s:14:\"latest_version\";s:8:\"7.x-3.16\";s:8:\"releases\";a:1:{s:8:\"7.x-3.16\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.16\";s:7:\"version\";s:8:\"7.x-3.16\";s:3:\"tag\";s:8:\"7.x-3.16\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.16\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.16.tar.gz\";s:4:\"date\";s:10:\"1491158584\";s:6:\"mdhash\";s:32:\"d840cb148809da844b93d73b16b453f9\";s:8:\"filesize\";s:7:\"1643030\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-3.16\";s:6:\"status\";i:5;}s:15:\"views_fieldsets\";a:17:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1425515886\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1425515886\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.3\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Views fieldsets\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_fieldsets\";s:6:\"status\";i:3;s:14:\"latest_version\";s:7:\"7.x-2.1\";s:8:\"releases\";a:1:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-2.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1452361172\";s:6:\"mdhash\";s:32:\"c5865105b071c412aca65878eed1d8fe\";s:8:\"filesize\";s:5:\"14729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.1\";}s:21:\"views_infinite_scroll\";a:18:{s:4:\"name\";s:21:\"views_infinite_scroll\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Views Infinite Scroll\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"views_infinite_scroll\";s:9:\"datestamp\";s:10:\"1335182196\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1335182196\";s:8:\"includes\";a:1:{s:21:\"views_infinite_scroll\";s:21:\"Views Infinite Scroll\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.1\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:21:\"Views Infinite Scroll\";s:4:\"link\";s:52:\"https://www.drupal.org/project/views_infinite_scroll\";s:4:\"also\";a:1:{i:2;s:7:\"7.x-2.0\";}s:8:\"releases\";a:2:{s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:29:\"views_infinite_scroll 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/views_infinite_scroll/releases/7.x-2.0\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/views_infinite_scroll-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1458955139\";s:6:\"mdhash\";s:32:\"3aa7a77da35c0c14b32dffa992669101\";s:8:\"filesize\";s:4:\"9978\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:29:\"views_infinite_scroll 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/views_infinite_scroll/releases/7.x-1.1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/views_infinite_scroll-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1335182196\";s:6:\"mdhash\";s:32:\"e40ac7ed9b55ac08b13b8ac2ecf83051\";s:8:\"filesize\";s:5:\"11715\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:14:\"latest_version\";s:7:\"7.x-1.1\";s:11:\"recommended\";s:7:\"7.x-1.1\";s:6:\"status\";i:5;}s:20:\"we_content_migration\";a:19:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499929983;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-1.x-dev\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:3:\"dev\";s:5:\"title\";s:24:\"Drupal Content Migration\";s:4:\"link\";s:51:\"https://www.drupal.org/project/we_content_migration\";s:14:\"latest_version\";s:11:\"7.x-1.x-dev\";s:8:\"releases\";a:1:{s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:32:\"we_content_migration 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/we_content_migration/releases/7.x-1.x-dev\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/we_content_migration-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499677742\";s:6:\"mdhash\";s:32:\"5e6c20f89dc504dbc3bdfe48009e62a1\";s:8:\"filesize\";s:5:\"49548\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"dev_version\";s:11:\"7.x-1.x-dev\";s:11:\"recommended\";s:11:\"7.x-1.x-dev\";s:10:\"latest_dev\";s:11:\"7.x-1.x-dev\";s:6:\"status\";i:5;}s:6:\"weight\";a:18:{s:4:\"name\";s:6:\"weight\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Weight\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:6:\"weight\";s:9:\"datestamp\";s:10:\"1417653781\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1417653781\";s:8:\"includes\";a:1:{s:6:\"weight\";s:6:\"Weight\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.4\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:6:\"Weight\";s:4:\"link\";s:37:\"https://www.drupal.org/project/weight\";s:4:\"also\";a:1:{i:3;s:7:\"7.x-3.1\";}s:8:\"releases\";a:2:{s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:14:\"weight 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-3.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1449686339\";s:6:\"mdhash\";s:32:\"b150e7a495ca2dfbb49ab06e118f5360\";s:8:\"filesize\";s:5:\"10265\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:14:\"weight 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-2.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1430342581\";s:6:\"mdhash\";s:32:\"2a32b05f8bf5c315dcfc28275a3f5fdf\";s:8:\"filesize\";s:5:\"19230\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}}s:14:\"latest_version\";s:7:\"7.x-2.5\";s:11:\"recommended\";s:7:\"7.x-2.5\";s:6:\"status\";i:4;}}',1500351536,1500347936,1),('update_project_projects','a:28:{s:10:\"admin_menu\";a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:19:\"Administration menu\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:2:{s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:4:\"bean\";a:8:{s:4:\"name\";s:4:\"bean\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Bean\";s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1425439382\";s:8:\"includes\";a:2:{s:4:\"bean\";s:4:\"Bean\";s:13:\"bean_admin_ui\";s:13:\"Bean Admin UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"drupal\";a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:16:\"_info_file_ctime\";i:1500288889;}s:9:\"datestamp\";s:10:\"1498069849\";s:8:\"includes\";a:35:{s:5:\"block\";s:5:\"Block\";s:4:\"blog\";s:4:\"Blog\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"clock\";a:8:{s:4:\"name\";s:5:\"clock\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Clock\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:13:\"7.x-1.2+4-dev\";s:7:\"project\";s:5:\"clock\";s:9:\"datestamp\";s:10:\"1380559018\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1380559018\";s:8:\"includes\";a:1:{s:5:\"clock\";s:5:\"Clock\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:7:\"context\";a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1420573188\";s:8:\"includes\";a:2:{s:7:\"context\";s:7:\"Context\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"ctools\";a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Chaos tools\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:16:\"_info_file_ctime\";i:1500289011;}s:9:\"datestamp\";s:10:\"1479787162\";s:8:\"includes\";a:1:{s:6:\"ctools\";s:11:\"Chaos tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:4:\"date\";a:8:{s:4:\"name\";s:4:\"date\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Date API\";s:7:\"package\";s:9:\"Date/Time\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1406653438\";s:8:\"includes\";a:1:{s:8:\"date_api\";s:8:\"Date API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"entity\";a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1424876582\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1424876582\";s:8:\"includes\";a:1:{s:6:\"entity\";s:10:\"Entity API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"entityreference\";a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"fontawesome\";a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420873983\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1420873983\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"jquery_update\";a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:16:\"_info_file_ctime\";i:1500289211;}s:9:\"datestamp\";s:10:\"1445379855\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"libraries\";a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"menu_breadcrumb\";a:8:{s:4:\"name\";s:15:\"menu_breadcrumb\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu breadcrumb\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:15:\"menu_breadcrumb\";s:9:\"datestamp\";s:10:\"1425993992\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1425993992\";s:8:\"includes\";a:1:{s:15:\"menu_breadcrumb\";s:15:\"Menu breadcrumb\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"module_filter\";a:8:{s:4:\"name\";s:13:\"module_filter\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Module filter\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1424631189\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1424631189\";s:8:\"includes\";a:1:{s:13:\"module_filter\";s:13:\"Module filter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:10:\"newsletter\";a:8:{s:4:\"name\";s:10:\"newsletter\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Newsletter\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1401923333\";s:8:\"includes\";a:1:{s:10:\"newsletter\";s:10:\"Newsletter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"pathauto\";a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:14:\"pinteros_tools\";a:8:{s:4:\"name\";s:14:\"pinteros_tools\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"Pinteros Tools\";s:7:\"package\";s:5:\"Feeds\";s:7:\"project\";s:14:\"pinteros_tools\";s:7:\"version\";N;s:16:\"_info_file_ctime\";i:1499929802;s:9:\"datestamp\";i:0;}s:9:\"datestamp\";i:0;s:8:\"includes\";a:1:{s:14:\"pinteros_tools\";s:14:\"Pinteros Tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"tagclouds\";a:8:{s:4:\"name\";s:9:\"tagclouds\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"TagClouds\";s:7:\"package\";s:8:\"Taxonomy\";s:7:\"version\";s:8:\"7.x-1.10\";s:7:\"project\";s:9:\"tagclouds\";s:9:\"datestamp\";s:10:\"1404152332\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1404152332\";s:8:\"includes\";a:1:{s:9:\"tagclouds\";s:9:\"TagClouds\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"taxonomy_menu\";a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"tb_megamenu\";a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"token\";a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1425149060\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1425149060\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"video\";a:8:{s:4:\"name\";s:5:\"video\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Video\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:8:\"7.x-2.11\";s:7:\"project\";s:5:\"video\";s:9:\"datestamp\";s:10:\"1421234306\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1421234306\";s:8:\"includes\";a:3:{s:5:\"video\";s:5:\"Video\";s:8:\"video_ui\";s:8:\"Video UI\";s:11:\"zencoderapi\";s:12:\"Zencoder API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:17:\"video_embed_field\";a:8:{s:4:\"name\";s:17:\"video_embed_field\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Video Embed Field\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";s:10:\"1441639440\";s:16:\"_info_file_ctime\";i:1500289265;}s:9:\"datestamp\";s:10:\"1441639440\";s:8:\"includes\";a:1:{s:17:\"video_embed_field\";s:17:\"Video Embed Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"views\";a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:16:\"_info_file_ctime\";i:1500289065;}s:9:\"datestamp\";s:10:\"1491158591\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"views_fieldsets\";a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1425515886\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1425515886\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:21:\"views_infinite_scroll\";a:8:{s:4:\"name\";s:21:\"views_infinite_scroll\";s:4:\"info\";a:6:{s:4:\"name\";s:21:\"Views Infinite Scroll\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"views_infinite_scroll\";s:9:\"datestamp\";s:10:\"1335182196\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1335182196\";s:8:\"includes\";a:1:{s:21:\"views_infinite_scroll\";s:21:\"Views Infinite Scroll\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:20:\"we_content_migration\";a:8:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499929983;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"weight\";a:8:{s:4:\"name\";s:6:\"weight\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Weight\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:6:\"weight\";s:9:\"datestamp\";s:10:\"1417653781\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499929802;}s:9:\"datestamp\";s:10:\"1417653781\";s:8:\"includes\";a:1:{s:6:\"weight\";s:6:\"Weight\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}}',1500351536,1500347936,1);
/*!40000 ALTER TABLE `cache_update` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_views`
--

DROP TABLE IF EXISTS `cache_views`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_views` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_views`
--

LOCK TABLES `cache_views` WRITE;
/*!40000 ALTER TABLE `cache_views` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_views` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_views_data`
--

DROP TABLE IF EXISTS `cache_views_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_views_data` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '1' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for views to store pre-rendered queries,...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_views_data`
--

LOCK TABLES `cache_views_data` WRITE;
/*!40000 ALTER TABLE `cache_views_data` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_views_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `comment`
--

DROP TABLE IF EXISTS `comment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `comment` (
  `cid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique comment ID.',
  `pid` int(11) NOT NULL DEFAULT '0' COMMENT 'The comment.cid to which this comment is a reply. If set to 0, this comment is not a reply to an existing comment.',
  `nid` int(11) NOT NULL DEFAULT '0' COMMENT 'The node.nid to which this comment is a reply.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid who authored the comment. If set to 0, this comment was created by an anonymous user.',
  `subject` varchar(64) NOT NULL DEFAULT '' COMMENT 'The comment title.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The author’s host name.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The time that the comment was created, as a Unix timestamp.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The time that the comment was last edited, as a Unix timestamp.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'The published status of a comment. (0 = Not Published, 1 = Published)',
  `thread` varchar(255) NOT NULL COMMENT 'The vancode representation of the comment’s place in a thread.',
  `name` varchar(60) DEFAULT NULL COMMENT 'The comment author’s name. Uses users.name if the user is logged in, otherwise uses the value typed into the comment form.',
  `mail` varchar(64) DEFAULT NULL COMMENT 'The comment author’s e-mail address from the comment form, if user is anonymous, and the ’Anonymous users may/must leave their contact information’ setting is turned on.',
  `homepage` varchar(255) DEFAULT NULL COMMENT 'The comment author’s home page address from the comment form, if user is anonymous, and the ’Anonymous users may/must leave their contact information’ setting is turned on.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The languages.language of this comment.',
  PRIMARY KEY (`cid`),
  KEY `comment_status_pid` (`pid`,`status`),
  KEY `comment_num_new` (`nid`,`status`,`created`,`cid`,`thread`),
  KEY `comment_uid` (`uid`),
  KEY `comment_nid_language` (`nid`,`language`),
  KEY `comment_created` (`created`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COMMENT='Stores comments and associated data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comment`
--

LOCK TABLES `comment` WRITE;
/*!40000 ALTER TABLE `comment` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `comment` VALUES (1,0,4,1,'Quisque iaculis augue elit','::1',1404180105,1404180105,1,'01/','admin','','','und'),(2,0,49,1,'Donec suscipit mi ut nisi malesuada aliquam','::1',1404205309,1404205308,1,'01/','admin','','','und'),(3,0,47,1,'A planned kiss between newlyweds has a certain amount of magic','::1',1404205345,1404205345,1,'01/','admin','','','und'),(4,0,49,1,'Etiam felis erat, accumsan at adipiscing id','::1',1404277179,1404277179,1,'02/','admin','','','und'),(5,2,49,1,'Nam euismod metus ipsum','::1',1404277339,1404277339,1,'01.00/','admin','','','und'),(6,0,82,1,'Donec vel faucibus sem','::1',1404723788,1404723788,1,'01/','admin','','','und'),(7,0,82,1,'Lorem ipsum dolor sit amet','::1',1404729892,1404729892,1,'02/','admin','','','und');
/*!40000 ALTER TABLE `comment` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `contact`
--

DROP TABLE IF EXISTS `contact`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contact` (
  `cid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique category ID.',
  `category` varchar(255) NOT NULL DEFAULT '' COMMENT 'Category name.',
  `recipients` longtext NOT NULL COMMENT 'Comma-separated list of recipient e-mail addresses.',
  `reply` longtext NOT NULL COMMENT 'Text of the auto-reply message.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The category’s weight.',
  `selected` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate whether or not category is selected by default. (1 = Yes, 0 = No)',
  PRIMARY KEY (`cid`),
  UNIQUE KEY `category` (`category`),
  KEY `list` (`weight`,`category`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Contact form category settings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact`
--

LOCK TABLES `contact` WRITE;
/*!40000 ALTER TABLE `contact` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `contact` VALUES (1,'Website feedback','support@weebpal.com','',0,1);
/*!40000 ALTER TABLE `contact` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `context`
--

DROP TABLE IF EXISTS `context`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `context` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The primary identifier for a context.',
  `description` varchar(255) NOT NULL DEFAULT '' COMMENT 'Description for this context.',
  `tag` varchar(255) NOT NULL DEFAULT '' COMMENT 'Tag for this context.',
  `conditions` text COMMENT 'Serialized storage of all context condition settings.',
  `reactions` text COMMENT 'Serialized storage of all context reaction settings.',
  `condition_mode` int(11) DEFAULT '0' COMMENT 'Condition mode for this context.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Storage for normal (user-defined) contexts.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `context`
--

LOCK TABLES `context` WRITE;
/*!40000 ALTER TABLE `context` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `context` VALUES ('sidebar_menu','','','a:1:{s:4:\"path\";a:1:{s:6:\"values\";a:1:{s:7:\"node/92\";s:7:\"node/92\";}}}','a:1:{s:5:\"block\";a:1:{s:6:\"blocks\";a:1:{s:18:\"menu-menu-category\";a:4:{s:6:\"module\";s:4:\"menu\";s:5:\"delta\";s:13:\"menu-category\";s:6:\"region\";s:9:\"left_menu\";s:6:\"weight\";s:3:\"-10\";}}}}',0);
/*!40000 ALTER TABLE `context` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `ctools_css_cache`
--

DROP TABLE IF EXISTS `ctools_css_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ctools_css_cache` (
  `cid` varchar(128) NOT NULL COMMENT 'The CSS ID this cache object belongs to.',
  `filename` varchar(255) DEFAULT NULL COMMENT 'The filename this CSS is stored in.',
  `css` longtext COMMENT 'CSS being stored.',
  `filter` tinyint(4) DEFAULT NULL COMMENT 'Whether or not this CSS needs to be filtered.',
  PRIMARY KEY (`cid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A special cache used to store CSS that must be non-volatile.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ctools_css_cache`
--

LOCK TABLES `ctools_css_cache` WRITE;
/*!40000 ALTER TABLE `ctools_css_cache` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `ctools_css_cache` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `ctools_object_cache`
--

DROP TABLE IF EXISTS `ctools_object_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ctools_object_cache` (
  `sid` varchar(64) NOT NULL COMMENT 'The session ID this cache object belongs to.',
  `name` varchar(128) NOT NULL COMMENT 'The name of the object this cache is attached to.',
  `obj` varchar(128) NOT NULL COMMENT 'The type of the object this cache is attached to; this essentially represents the owner so that several sub-systems can use this cache.',
  `updated` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The time this cache was created or updated.',
  `data` longblob COMMENT 'Serialized data being stored.',
  PRIMARY KEY (`sid`,`obj`,`name`),
  KEY `updated` (`updated`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A special cache used to store objects that are being...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ctools_object_cache`
--

LOCK TABLES `ctools_object_cache` WRITE;
/*!40000 ALTER TABLE `ctools_object_cache` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `ctools_object_cache` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `date_format_locale`
--

DROP TABLE IF EXISTS `date_format_locale`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_format_locale` (
  `format` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The date format string.',
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `language` varchar(12) NOT NULL COMMENT 'A languages.language for this format to be used with.',
  PRIMARY KEY (`type`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configured date formats for each locale.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_format_locale`
--

LOCK TABLES `date_format_locale` WRITE;
/*!40000 ALTER TABLE `date_format_locale` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `date_format_locale` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `date_format_type`
--

DROP TABLE IF EXISTS `date_format_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_format_type` (
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `title` varchar(255) NOT NULL COMMENT 'The human readable name of the format type.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether or not this is a system provided format.',
  PRIMARY KEY (`type`),
  KEY `title` (`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configured date format types.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_format_type`
--

LOCK TABLES `date_format_type` WRITE;
/*!40000 ALTER TABLE `date_format_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `date_format_type` VALUES ('full','Full',0),('long','Long',1),('medium','Medium',1),('short','Short',1);
/*!40000 ALTER TABLE `date_format_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `date_formats`
--

DROP TABLE IF EXISTS `date_formats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_formats` (
  `dfid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The date format identifier.',
  `format` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The date format string.',
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether or not this format can be modified.',
  PRIMARY KEY (`dfid`),
  UNIQUE KEY `formats` (`format`,`type`)
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8 COMMENT='Stores configured date formats.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_formats`
--

LOCK TABLES `date_formats` WRITE;
/*!40000 ALTER TABLE `date_formats` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `date_formats` VALUES (1,'Y-m-d H:i','short',1),(2,'m/d/Y - H:i','short',1),(3,'d/m/Y - H:i','short',1),(4,'Y/m/d - H:i','short',1),(5,'d.m.Y - H:i','short',1),(6,'m/d/Y - g:ia','short',1),(7,'d/m/Y - g:ia','short',1),(8,'Y/m/d - g:ia','short',1),(9,'M j Y - H:i','short',1),(10,'j M Y - H:i','short',1),(11,'Y M j - H:i','short',1),(12,'M j Y - g:ia','short',1),(13,'j M Y - g:ia','short',1),(14,'Y M j - g:ia','short',1),(15,'D, Y-m-d H:i','medium',1),(16,'D, m/d/Y - H:i','medium',1),(17,'D, d/m/Y - H:i','medium',1),(18,'D, Y/m/d - H:i','medium',1),(19,'F j, Y - H:i','medium',1),(20,'j F, Y - H:i','medium',1),(21,'Y, F j - H:i','medium',1),(22,'D, m/d/Y - g:ia','medium',1),(23,'D, d/m/Y - g:ia','medium',1),(24,'D, Y/m/d - g:ia','medium',1),(25,'F j, Y - g:ia','medium',1),(26,'j F Y - g:ia','medium',1),(27,'Y, F j - g:ia','medium',1),(28,'j. F Y - G:i','medium',1),(29,'l, F j, Y - H:i','long',1),(30,'l, j F, Y - H:i','long',1),(31,'l, Y,  F j - H:i','long',1),(32,'l, F j, Y - g:ia','long',1),(33,'l, j F Y - g:ia','long',1),(34,'l, Y,  F j - g:ia','long',1),(35,'l, j. F Y - G:i','long',1),(36,'l, M dS, Y - H:i:s','custom',0);
/*!40000 ALTER TABLE `date_formats` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_config`
--

DROP TABLE IF EXISTS `field_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a field',
  `field_name` varchar(32) NOT NULL COMMENT 'The name of this field. Non-deleted field names are unique, but multiple deleted fields can have the same name.',
  `type` varchar(128) NOT NULL COMMENT 'The type of this field.',
  `module` varchar(128) NOT NULL DEFAULT '' COMMENT 'The module that implements the field type.',
  `active` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the module that implements the field type is enabled.',
  `storage_type` varchar(128) NOT NULL COMMENT 'The storage backend for the field.',
  `storage_module` varchar(128) NOT NULL DEFAULT '' COMMENT 'The module that implements the storage backend.',
  `storage_active` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the module that implements the storage backend is enabled.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT '@TODO',
  `data` longblob NOT NULL COMMENT 'Serialized data containing the field properties that do not warrant a dedicated column.',
  `cardinality` tinyint(4) NOT NULL DEFAULT '0',
  `translatable` tinyint(4) NOT NULL DEFAULT '0',
  `deleted` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_name` (`field_name`),
  KEY `active` (`active`),
  KEY `storage_active` (`storage_active`),
  KEY `deleted` (`deleted`),
  KEY `module` (`module`),
  KEY `storage_module` (`storage_module`),
  KEY `type` (`type`),
  KEY `storage_type` (`storage_type`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_config`
--

LOCK TABLES `field_config` WRITE;
/*!40000 ALTER TABLE `field_config` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_config` VALUES (1,'comment_body','text_long','text',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"entity_types\";a:1:{i:0;s:7:\"comment\";}s:12:\"translatable\";b:0;s:8:\"settings\";a:0:{}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}}',1,0,0),(2,'body','text_with_summary','text',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"entity_types\";a:1:{i:0;s:4:\"node\";}s:12:\"translatable\";b:0;s:8:\"settings\";a:0:{}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}}',1,0,0),(3,'field_tags','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:4:\"tags\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:21:\"field_data_field_tags\";a:1:{s:3:\"tid\";s:14:\"field_tags_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:25:\"field_revision_field_tags\";a:1:{s:3:\"tid\";s:14:\"field_tags_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:1:\"3\";}',-1,0,0),(4,'field_image','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:8:\"settings\";a:2:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";i:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_image\";a:5:{s:3:\"fid\";s:15:\"field_image_fid\";s:3:\"alt\";s:15:\"field_image_alt\";s:5:\"title\";s:17:\"field_image_title\";s:5:\"width\";s:17:\"field_image_width\";s:6:\"height\";s:18:\"field_image_height\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_image\";a:5:{s:3:\"fid\";s:15:\"field_image_fid\";s:3:\"alt\";s:15:\"field_image_alt\";s:5:\"title\";s:17:\"field_image_title\";s:5:\"width\";s:17:\"field_image_width\";s:6:\"height\";s:18:\"field_image_height\";}}}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:2:\"id\";s:1:\"4\";}',1,0,0),(5,'field_pinteros_size','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:13:\"pinteros_size\";s:6:\"parent\";i:0;}}s:11:\"cardinality\";i:-1;}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:30:\"field_data_field_pinteros_size\";a:1:{s:3:\"tid\";s:23:\"field_pinteros_size_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:34:\"field_revision_field_pinteros_size\";a:1:{s:3:\"tid\";s:23:\"field_pinteros_size_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:1:\"5\";}',1,0,0),(6,'field_pinteros_skin','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:8:\"settings\";a:2:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:13:\"pinteros_skin\";s:6:\"parent\";i:0;}}s:11:\"cardinality\";i:-1;}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:30:\"field_data_field_pinteros_skin\";a:1:{s:3:\"tid\";s:23:\"field_pinteros_skin_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:34:\"field_revision_field_pinteros_skin\";a:1:{s:3:\"tid\";s:23:\"field_pinteros_skin_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:1:\"6\";}',1,0,0),(7,'field_category','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"sports\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_category\";a:1:{s:3:\"tid\";s:18:\"field_category_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_category\";a:1:{s:3:\"tid\";s:18:\"field_category_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:1:\"7\";}',1,0,0),(8,'field_sports','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"sports\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(9,'field_newsletter_categories','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:21:\"newsletter_categories\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(10,'field_newsletter_list','entityreference','entityreference',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:4:{s:11:\"target_type\";s:15:\"newsletter_list\";s:7:\"handler\";s:4:\"base\";s:14:\"handler_submit\";s:14:\"Change handler\";s:16:\"handler_settings\";a:2:{s:14:\"target_bundles\";a:0:{}s:4:\"sort\";a:1:{s:4:\"type\";s:4:\"none\";}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}}',-1,0,0),(11,'field_newsletter_template','entityreference','entityreference',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:4:{s:11:\"target_type\";s:19:\"newsletter_template\";s:7:\"handler\";s:4:\"base\";s:14:\"handler_submit\";s:14:\"Change handler\";s:16:\"handler_settings\";a:2:{s:14:\"target_bundles\";a:0:{}s:4:\"sort\";a:1:{s:4:\"type\";s:4:\"none\";}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:1:{s:9:\"target_id\";a:1:{i:0;s:9:\"target_id\";}}}',1,0,0),(12,'field_list_description','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:8:\"settings\";a:1:{s:10:\"max_length\";i:255;}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}}',1,0,0),(13,'field_newsletter_body','text_with_summary','text',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:8:\"settings\";a:0:{}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}}',1,0,0),(14,'field_forums','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"forums\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(15,'taxonomy_forums','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"forums\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',1,0,0),(16,'field_online_video','video_embed_field','video_embed_field',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:29:\"field_data_field_online_video\";a:5:{s:9:\"video_url\";s:28:\"field_online_video_video_url\";s:14:\"thumbnail_path\";s:33:\"field_online_video_thumbnail_path\";s:10:\"video_data\";s:29:\"field_online_video_video_data\";s:10:\"embed_code\";s:29:\"field_online_video_embed_code\";s:11:\"description\";s:30:\"field_online_video_description\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:33:\"field_revision_field_online_video\";a:5:{s:9:\"video_url\";s:28:\"field_online_video_video_url\";s:14:\"thumbnail_path\";s:33:\"field_online_video_thumbnail_path\";s:10:\"video_data\";s:29:\"field_online_video_video_data\";s:10:\"embed_code\";s:29:\"field_online_video_embed_code\";s:11:\"description\";s:30:\"field_online_video_description\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"16\";}',1,0,0),(17,'field_local_video','video','video',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:9:{s:10:\"uri_scheme\";s:6:\"public\";s:20:\"uri_scheme_converted\";s:6:\"public\";s:21:\"uri_scheme_thumbnails\";s:6:\"public\";s:14:\"autoconversion\";i:1;s:16:\"thumbnail_format\";s:3:\"jpg\";s:13:\"autothumbnail\";s:4:\"auto\";s:23:\"default_video_thumbnail\";a:4:{s:3:\"fid\";i:0;s:13:\"upload_button\";s:6:\"Upload\";s:13:\"remove_button\";s:6:\"Remove\";s:6:\"upload\";s:0:\"\";}s:25:\"preview_video_thumb_style\";s:9:\"thumbnail\";s:7:\"presets\";a:0:{}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:28:\"field_data_field_local_video\";a:2:{s:3:\"fid\";s:21:\"field_local_video_fid\";s:9:\"thumbnail\";s:27:\"field_local_video_thumbnail\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:32:\"field_revision_field_local_video\";a:2:{s:3:\"fid\";s:21:\"field_local_video_fid\";s:9:\"thumbnail\";s:27:\"field_local_video_thumbnail\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:2:\"id\";s:2:\"17\";}',1,0,0);
/*!40000 ALTER TABLE `field_config` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_config_instance`
--

DROP TABLE IF EXISTS `field_config_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_config_instance` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a field instance',
  `field_id` int(11) NOT NULL COMMENT 'The identifier of the field attached by this instance',
  `field_name` varchar(32) NOT NULL DEFAULT '',
  `entity_type` varchar(32) NOT NULL DEFAULT '',
  `bundle` varchar(128) NOT NULL DEFAULT '',
  `data` longblob NOT NULL,
  `deleted` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_name_bundle` (`field_name`,`entity_type`,`bundle`),
  KEY `deleted` (`deleted`)
) ENGINE=InnoDB AUTO_INCREMENT=57 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_config_instance`
--

LOCK TABLES `field_config_instance` WRITE;
/*!40000 ALTER TABLE `field_config_instance` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_config_instance` VALUES (1,1,'comment_body','comment','comment_node_page','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(2,2,'body','node','page','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-4;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(3,1,'comment_body','comment','comment_node_article','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(4,2,'body','node','article','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"1\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"200\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(5,3,'field_tags','node','article','a:6:{s:5:\"label\";s:4:\"Tags\";s:11:\"description\";s:63:\"Enter a comma-separated list of words to describe your content.\";s:6:\"widget\";a:4:{s:4:\"type\";s:21:\"taxonomy_autocomplete\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:17:\"autocomplete_path\";s:21:\"taxonomy/autocomplete\";}s:6:\"module\";s:8:\"taxonomy\";}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:8:\"required\";b:0;}',0),(6,4,'field_image','node','article','a:6:{s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:40:\"Upload an image to go with this article.\";s:8:\"required\";b:0;s:8:\"settings\";a:9:{s:14:\"file_directory\";s:11:\"field/image\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:11:\"title_field\";s:0:\"\";s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:4:\"type\";s:11:\"image_image\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:6:\"weight\";s:1:\"3\";s:6:\"module\";s:5:\"image\";}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:2:\"-1\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:7:\"content\";}s:6:\"module\";s:5:\"image\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:2:\"-1\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:16:\"pinteros-display\";s:10:\"image_link\";s:7:\"content\";}s:6:\"module\";s:5:\"image\";}}}',0),(7,1,'comment_body','comment','comment_node_blog','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(8,1,'comment_body','comment','comment_node_poll','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(9,2,'body','node','blog','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"1\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"200\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(10,5,'field_pinteros_size','node','blog','a:6:{s:5:\"label\";s:13:\"Pinteros Size\";s:8:\"required\";b:0;s:6:\"widget\";a:4:{s:4:\"type\";s:14:\"options_select\";s:6:\"weight\";s:1:\"6\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:0:{}}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:11:\"description\";s:0:\"\";}',0),(11,5,'field_pinteros_size','node','poll','a:6:{s:5:\"label\";s:13:\"Pinteros Size\";s:8:\"required\";b:0;s:6:\"widget\";a:4:{s:4:\"type\";s:14:\"options_select\";s:6:\"weight\";i:49;s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";i:10;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:4:{s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";i:10;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:11:\"description\";s:0:\"\";}',0),(12,5,'field_pinteros_size','node','article','a:6:{s:5:\"label\";s:13:\"Pinteros Size\";s:8:\"required\";b:0;s:6:\"widget\";a:4:{s:4:\"type\";s:14:\"options_select\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:0:{}}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:11:\"description\";s:0:\"\";}',0),(13,6,'field_pinteros_skin','node','blog','a:6:{s:5:\"label\";s:13:\"Pinteros Skin\";s:8:\"required\";b:0;s:6:\"widget\";a:4:{s:4:\"type\";s:14:\"options_select\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:0:{}}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:11:\"description\";s:0:\"\";}',0),(14,6,'field_pinteros_skin','node','poll','a:6:{s:5:\"label\";s:13:\"Pinteros Skin\";s:8:\"required\";b:0;s:6:\"widget\";a:4:{s:4:\"type\";s:14:\"options_select\";s:6:\"weight\";i:49;s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";i:10;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:4:{s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";i:10;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:11:\"description\";s:0:\"\";}',0),(15,6,'field_pinteros_skin','node','article','a:6:{s:5:\"label\";s:13:\"Pinteros Skin\";s:8:\"required\";b:0;s:6:\"widget\";a:4:{s:4:\"type\";s:14:\"options_select\";s:6:\"weight\";s:1:\"6\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:0:{}}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:11:\"description\";s:0:\"\";}',0),(16,7,'field_category','node','article','a:7:{s:5:\"label\";s:8:\"Category\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(17,7,'field_category','node','blog','a:7:{s:5:\"label\";s:8:\"Category\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(18,4,'field_image','node','blog','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:0:\"\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:2:\"-1\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:5:\"large\";s:10:\"image_link\";s:7:\"content\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(20,3,'field_tags','node','blog','a:7:{s:5:\"label\";s:4:\"Tags\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:21:\"taxonomy_autocomplete\";s:6:\"module\";s:8:\"taxonomy\";s:6:\"active\";i:0;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:17:\"autocomplete_path\";s:21:\"taxonomy/autocomplete\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(21,8,'field_sports','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:8:\"Category\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(22,9,'field_newsletter_categories','newsletter_list','newsletter_list','a:6:{s:5:\"label\";s:8:\"Category\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:21:\"taxonomy_autocomplete\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:17:\"autocomplete_path\";s:21:\"taxonomy/autocomplete\";}s:6:\"module\";s:8:\"taxonomy\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(23,3,'field_tags','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:4:\"Tags\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:1;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(24,5,'field_pinteros_size','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:13:\"Pinteros Size\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:2;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(25,6,'field_pinteros_skin','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:13:\"Pinteros Skin\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:3;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(26,12,'field_list_description','newsletter_list','newsletter_list','a:6:{s:5:\"label\";s:11:\"Description\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"text_textfield\";s:8:\"settings\";a:1:{s:4:\"size\";i:60;}s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:2:{s:15:\"text_processing\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:1;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(27,10,'field_newsletter_list','newsletter_subscriber','newsletter_subscriber','a:6:{s:5:\"label\";s:5:\"Lists\";s:8:\"required\";b:1;s:6:\"widget\";a:5:{s:6:\"weight\";i:0;s:4:\"type\";s:15:\"options_buttons\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:4:{s:11:\"target_type\";s:15:\"newsletter_list\";s:7:\"handler\";s:4:\"base\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:15:\"newsletter_list\";}}s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:21:\"entityreference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:6:\"module\";s:15:\"entityreference\";s:6:\"weight\";i:0;}}s:11:\"description\";s:0:\"\";}',0),(28,11,'field_newsletter_template','newsletter_list','newsletter_list','a:6:{s:5:\"label\";s:8:\"Template\";s:8:\"required\";b:1;s:6:\"widget\";a:5:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:4:{s:11:\"target_type\";s:19:\"newsletter_template\";s:7:\"handler\";s:4:\"base\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:19:\"newsletter_template\";}}s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:21:\"entityreference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:6:\"module\";s:15:\"entityreference\";s:6:\"weight\";i:2;}}s:11:\"description\";s:0:\"\";}',0),(29,13,'field_newsletter_body','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:1;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:4;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(30,13,'field_newsletter_body','newsletter_newsletter','newsletter_newsletter','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(31,1,'comment_body','comment','comment_node_showcase','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(32,2,'body','node','showcase','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"1\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"200\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(33,4,'field_image','node','showcase','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:0:\"\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:16:\"pinteros-display\";s:10:\"image_link\";s:7:\"content\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(34,5,'field_pinteros_size','node','showcase','a:7:{s:5:\"label\";s:13:\"Pinteros Size\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(35,6,'field_pinteros_skin','node','showcase','a:7:{s:5:\"label\";s:13:\"Pinteros Skin\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"5\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(36,7,'field_category','node','showcase','a:7:{s:5:\"label\";s:8:\"Category\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(37,4,'field_image','taxonomy_term','sports','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:0:\"\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:16:\"pinteros-display\";s:10:\"image_link\";s:7:\"content\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(38,14,'field_forums','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:6:\"Forums\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:5;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(39,15,'taxonomy_forums','node','forum','a:6:{s:5:\"label\";s:6:\"Forums\";s:8:\"required\";b:1;s:6:\"widget\";a:4:{s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"module\";s:7:\"options\";}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:11:\"description\";s:0:\"\";}',0),(40,1,'comment_body','comment','comment_node_forum','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(41,5,'field_pinteros_size','node','forum','a:6:{s:5:\"label\";s:13:\"Pinteros Size\";s:8:\"required\";b:0;s:6:\"widget\";a:4:{s:4:\"type\";s:14:\"options_select\";s:6:\"weight\";i:49;s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:11:\"description\";s:0:\"\";}',0),(42,6,'field_pinteros_skin','node','forum','a:6:{s:5:\"label\";s:13:\"Pinteros Skin\";s:8:\"required\";b:0;s:6:\"widget\";a:4:{s:4:\"type\";s:14:\"options_select\";s:6:\"weight\";i:49;s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:11:\"description\";s:0:\"\";}',0),(43,2,'body','node','forum','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:50;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(44,1,'comment_body','comment','comment_node_online_video','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(45,2,'body','node','online_video','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"1\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"200\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(46,16,'field_online_video','node','online_video','a:7:{s:5:\"label\";s:12:\"Online Video\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:23:\"video_embed_field_video\";s:6:\"module\";s:17:\"video_embed_field\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:4:{s:17:\"description_field\";i:0;s:18:\"description_length\";s:3:\"128\";s:18:\"user_register_form\";b:0;s:17:\"allowed_providers\";a:2:{i:0;s:7:\"youtube\";i:1;s:5:\"vimeo\";}}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:17:\"video_embed_field\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:3:{s:11:\"video_style\";s:6:\"normal\";s:11:\"description\";i:1;s:20:\"description_position\";s:6:\"bottom\";}s:6:\"module\";s:17:\"video_embed_field\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:27:\"video_embed_field_thumbnail\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:4:{s:11:\"image_style\";s:16:\"pinteros-display\";s:10:\"image_link\";s:7:\"content\";s:11:\"description\";i:1;s:20:\"description_position\";s:6:\"bottom\";}s:6:\"module\";s:17:\"video_embed_field\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(47,5,'field_pinteros_size','node','online_video','a:7:{s:5:\"label\";s:13:\"Pinteros Size\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(48,6,'field_pinteros_skin','node','online_video','a:7:{s:5:\"label\";s:13:\"Pinteros Skin\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"5\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(49,1,'comment_body','comment','comment_node_local_video','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(50,2,'body','node','local_video','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:2:\"-4\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(51,17,'field_local_video','node','local_video','a:6:{s:5:\"label\";s:11:\"Local Video\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"-3\";s:4:\"type\";s:12:\"video_upload\";s:6:\"module\";s:5:\"video\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:18:\"progress_indicator\";s:8:\"throbber\";}}s:8:\"settings\";a:5:{s:14:\"file_directory\";s:15:\"videos/original\";s:15:\"file_extensions\";s:32:\"mp4 ogg avi mov wmv flv ogv webm\";s:12:\"max_filesize\";s:0:\"\";s:18:\"default_dimensions\";s:7:\"640x360\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:22:\"video_formatter_player\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:12:\"widthxheight\";s:7:\"640x360\";s:18:\"poster_image_style\";s:16:\"pinteros-display\";}s:6:\"module\";s:5:\"video\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:25:\"video_formatter_thumbnail\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:16:\"pinteros-display\";s:10:\"image_link\";s:7:\"content\";}s:6:\"module\";s:5:\"video\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(52,5,'field_pinteros_size','node','local_video','a:7:{s:5:\"label\";s:13:\"Pinteros Size\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"-1\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(53,6,'field_pinteros_skin','node','local_video','a:7:{s:5:\"label\";s:13:\"Pinteros Skin\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(54,7,'field_category','node','online_video','a:7:{s:5:\"label\";s:8:\"Category\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(55,1,'comment_body','comment','comment_node_weebpal_presets','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(56,2,'body','node','weebpal_presets','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-4;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0);
/*!40000 ALTER TABLE `field_config_instance` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_body`
--

DROP TABLE IF EXISTS `field_data_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext,
  `body_summary` longtext,
  `body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 2 (body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_body`
--

LOCK TABLES `field_data_body` WRITE;
/*!40000 ALTER TABLE `field_data_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_body` VALUES ('node','article',0,1,1,'und',0,' Sed vulputate metus eget orci tristique, non mattis est tincidunt. Suspendisse potenti. Sed feugiat diam tortor. Praesent eleifend neque quis est vulputate tincidunt. Etiam eu urna ut arcu volutpat auctor. Morbi varius, nunc quis blandit vestibulum, lectus lectus commodo tellus, eu ornare magna ante interdum erat. Phasellus at lorem sit amet nisl condimentum faucibus ut in lectus. Nunc pellentesque tellus non aliquet ultrices. Sed ullamcorper augue mauris, porta facilisis nisl tristique id.\r\n\r\nVestibulum sed interdum felis. Nulla feugiat est vel sem bibendum, id dapibus purus dignissim. Sed mattis faucibus elit, quis euismod odio venenatis eget. Integer feugiat ornare mauris, a adipiscing orci volutpat sed. Donec molestie metus a magna fermentum, nec accumsan massa varius. Cras aliquet nulla eleifend tempus fermentum. Praesent tempus commodo tortor ac lobortis. Ut nunc odio, viverra vel metus sed, adipiscing ullamcorper lectus. Nunc sit amet enim lacus. Mauris erat purus, vestibulum nec nunc id, ultricies eleifend massa. Quisque commodo id tellus blandit varius.\r\n\r\nDonec id turpis feugiat nibh accumsan tincidunt. Aliquam velit orci, fermentum a orci in, eleifend tempus mi. Curabitur accumsan id lacus in cursus. Phasellus mattis eros quis mi aliquet, at ullamcorper metus sagittis. Vestibulum velit nisi, tincidunt ac tristique at, placerat et eros. Donec gravida facilisis dolor, eget tristique ligula ultricies commodo. Nam accumsan purus in nulla faucibus, id vestibulum nulla congue. Ut at consectetur nulla, quis porttitor nulla. Sed eget congue felis. Aliquam at odio orci. Vestibulum in egestas lacus. Nulla risus justo, faucibus ut pellentesque non, fringilla vel eros. Sed adipiscing urna non nisi bibendum, a condimentum arcu luctus. Curabitur quam ante, condimentum non nulla eget, molestie facilisis mauris.\r\n','','full_html'),('node','article',0,2,2,'und',0,'You’re never too young to be a sports fan, and the newest generation of Magic supporters is being born at Florida Hospital. As Orlando is gearing up to welcome the upcoming draft picks to the city, the Magic are welcoming their youngest fans into the Little Magic program.\r\n\r\nAll babies born at Florida Hospital Altamonte, Celebration, Orlando, and Winter Park in the week leading up to the 2014 NBA Draft, are receiving an Orlando Magic baby jersey and a commemorative framed photograph from the Orlando Magic and Florida Hospital.\r\n\r\nAnd because the babies are looking so cute in their new Magic jerseys, we couldn’t resist sharing the photos on our social media sites. And if you’re driving along I-4, keep an eye out for the Magic’s digital billboard on the Amway Center, and see if you can spot our Florida Hospital babies.  \r\n\r\nDonec nec urna volutpat, suscipit ligula ut, viverra turpis. Nunc lacus lacus, venenatis ut iaculis vel, mattis non sapien. Sed ultricies lectus vel nisl volutpat iaculis. Pellentesque eu laoreet diam. Duis sed faucibus mauris, ut viverra arcu. Nullam eu magna eget tellus faucibus sagittis. Donec auctor est nec erat pretium commodo.\r\n\r\nNunc elit nisi, hendrerit iaculis tempus eu, venenatis non nibh. Morbi in est sed erat tempus ornare eget a ipsum. Nam vitae semper erat. Donec et aliquet diam, sit amet interdum est. Suspendisse non lectus diam. Nullam nec quam fermentum, pellentesque lacus a, bibendum ligula. Phasellus in ligula pretium, accumsan ipsum ut, fringilla nunc. Integer ac bibendum purus. Pellentesque in dui in dui commodo accumsan id vel nibh. Donec fringilla dui elementum arcu posuere sagittis.\r\n\r\nAliquam erat volutpat. Pellentesque ut metus sit amet tortor fermentum congue. Donec nisl neque, feugiat ut fermentum vitae, sagittis nec mi. Aliquam pellentesque elit vitae molestie elementum. Quisque id euismod ligula. Phasellus porta euismod felis vel dignissim. Suspendisse scelerisque nunc vestibulum massa lobortis, ut rhoncus nisi porttitor. Mauris tincidunt at ipsum in pharetra. Donec nec scelerisque mauris. ','','filtered_html'),('node','article',0,3,3,'und',0,'What kind of wedding rings do you like? Pay attention to those worn by your family and friends, and take a look on Pinterest to get thoroughly inspired. Also, give some thought as to what kind of ring would work best with your lifestyle. Your perfect wedding band will fit effortlessly into your day-to-day life.\r\n\r\nAliquam erat volutpat. Pellentesque ut metus sit amet tortor fermentum congue. Donec nisl neque, feugiat ut fermentum vitae, sagittis nec mi. Aliquam pellentesque elit vitae molestie elementum. Quisque id euismod ligula. Phasellus porta euismod felis vel dignissim. Suspendisse scelerisque nunc vestibulum massa lobortis, ut rhoncus nisi porttitor. Mauris tincidunt at ipsum in pharetra. Donec nec scelerisque mauris.\r\n\r\nQuisque iaculis augue elit, in auctor nibh pellentesque ac. Vivamus ultrices sem nibh, id pharetra purus placerat a. Interdum et malesuada fames ac ante ipsum primis in faucibus. Integer lacinia leo ut pharetra rutrum. Nulla quis velit imperdiet, euismod justo ac, blandit urna. Curabitur tincidunt diam ac erat congue sodales. Vestibulum non felis id orci faucibus imperdiet. Aenean orci erat, pulvinar ut placerat eu, dignissim quis nulla. Interdum et malesuada fames ac ante ipsum primis in faucibus.\r\n\r\nAenean imperdiet elit ligula, vel tincidunt tellus volutpat eu. Aenean et metus ut leo placerat suscipit. Proin luctus sem leo, eget mattis nulla mattis nec. Proin ornare dictum est, nec congue erat egestas non. Quisque in feugiat magna. Suspendisse potenti. Sed viverra tellus non posuere mollis. Aliquam ac nisi eu dolor elementum commodo. Donec et tortor bibendum, tincidunt lectus vitae, egestas ipsum. ','','filtered_html'),('node','article',0,4,4,'und',0,'Figuring out where the most joyous occasion of your life (thus far, at least) will take place isn\'t a small matter. Where you wed can dictate when you wed, how formal the event, even what you\'ll wear. The key is to look far and wide, and to heed advice that\'s typically given for the wedding-dress hunt: \"Try on\" different options, not only the one you think you want. With that in mind, we compiled a list of the most common (and a few not so common) venues. See if one fits!\r\n\r\nDonec nec urna volutpat, suscipit ligula ut, viverra turpis. Nunc lacus lacus, venenatis ut iaculis vel, mattis non sapien. Sed ultricies lectus vel nisl volutpat iaculis. Pellentesque eu laoreet diam. Duis sed faucibus mauris, ut viverra arcu. Nullam eu magna eget tellus faucibus sagittis. Donec auctor est nec erat pretium commodo.\r\n\r\nNunc elit nisi, hendrerit iaculis tempus eu, venenatis non nibh. Morbi in est sed erat tempus ornare eget a ipsum. Nam vitae semper erat. Donec et aliquet diam, sit amet interdum est. Suspendisse non lectus diam. Nullam nec quam fermentum, pellentesque lacus a, bibendum ligula. Phasellus in ligula pretium, accumsan ipsum ut, fringilla nunc. Integer ac bibendum purus. Pellentesque in dui in dui commodo accumsan id vel nibh. Donec fringilla dui elementum arcu posuere sagittis.\r\n\r\nAliquam erat volutpat. Pellentesque ut metus sit amet tortor fermentum congue. Donec nisl neque, feugiat ut fermentum vitae, sagittis nec mi. Aliquam pellentesque elit vitae molestie elementum. Quisque id euismod ligula. Phasellus porta euismod felis vel dignissim. Suspendisse scelerisque nunc vestibulum massa lobortis, ut rhoncus nisi porttitor. Mauris tincidunt at ipsum in pharetra. Donec nec scelerisque mauris.\r\n\r\nQuisque iaculis augue elit, in auctor nibh pellentesque ac. Vivamus ultrices sem nibh, id pharetra purus placerat a. Interdum et malesuada fames ac ante ipsum primis in faucibus. Integer lacinia leo ut pharetra rutrum. Nulla quis velit imperdiet, euismod justo ac, blandit urna. Curabitur tincidunt diam ac erat congue sodales. Vestibulum non felis id orci faucibus imperdiet. Aenean orci erat, pulvinar ut placerat eu, dignissim quis nulla. Interdum et malesuada fames ac ante ipsum primis in faucibus. ','','filtered_html'),('node','article',0,5,5,'und',0,'Spark\'s fly in July, and not just on the Fourth. Celebrate independence all month long with exciting trips at home and abroad. From a leisurely stroll through the City of Brotherly Love to heart-pumping action on the bull-stomping streets of Pamplona, Spain, take full advantage of your right to pursue happiness with these our recommendations on things to do in July.\r\n\r\nNam dictum convallis augue, ac faucibus sem rutrum a. Nam ac sapien sed urna vulputate lacinia id in tellus. Cras at lectus libero. Pellentesque hendrerit non lacus nec eleifend. Suspendisse vel sodales elit. Ut consectetur ut enim sit amet fringilla. In ullamcorper at dui non condimentum. Integer nec mattis neque, id tristique dolor.\r\n\r\nUt non lacus vel nulla aliquet luctus. Vestibulum gravida dapibus feugiat. Vivamus metus eros, posuere non vehicula in, dictum id risus. Pellentesque vulputate nisl in pellentesque interdum. Mauris porttitor, leo varius congue egestas, turpis lacus lacinia nisi, vel dignissim orci eros eget ante. Maecenas vitae ipsum vel nisi mollis faucibus. Suspendisse mauris felis, semper nec accumsan condimentum, dignissim in turpis. Proin imperdiet nulla in rutrum facilisis. Donec neque nulla, imperdiet quis enim dapibus, venenatis sodales tortor. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce commodo tincidunt magna, pellentesque bibendum lacus tristique at. Donec at urna enim. Pellentesque tempus id sem eu aliquam. Integer suscipit vel orci in mollis. Vivamus vitae ultricies mi, vel luctus nisl.\r\n\r\nVestibulum auctor hendrerit mi non luctus. Duis feugiat erat et gravida suscipit. Nulla fringilla posuere vestibulum. Etiam fringilla dignissim dapibus. Nullam sit amet urna aliquet, pulvinar dui non, vestibulum justo. Morbi commodo tortor arcu, at tristique quam varius pretium. Fusce dolor ipsum, tempor a convallis nec, elementum et felis. In lectus justo, bibendum sit amet nibh at, facilisis vulputate justo. Suspendisse scelerisque sem non dolor adipiscing, sit amet sagittis neque lacinia.\r\n','','filtered_html'),('node','article',0,6,6,'und',0,'For a truly luxurious experience, we have five speciality suites. In addition, we also have a Spa Penthouse located on the top of floor of the spa. This has four additional spa suites and is perfect choice for parties and private functions.\r\n\r\nVivamus viverra quis ipsum vel varius. In gravida dui a accumsan fermentum. Aliquam erat volutpat. In adipiscing magna ornare scelerisque rutrum. Aliquam erat volutpat. Praesent blandit ut sapien at tempus. Nullam bibendum augue metus, vitae vehicula nisi commodo eget. Donec lacus nisi, viverra ac dictum sed, sollicitudin et est. Phasellus eros sem, posuere eget tempus eget, cursus eu felis.\r\n\r\nPhasellus sem velit, luctus eget massa in, porttitor varius massa. Aenean a felis sollicitudin, sodales risus sed, sollicitudin nulla. Nullam ut quam ac ipsum posuere cursus. Maecenas placerat nunc et libero ornare elementum. Suspendisse potenti. Nunc ac orci dui. In sed gravida tortor. Aliquam aliquam, sem eleifend dignissim blandit, sem eros suscipit tellus, quis egestas felis justo eu libero. Etiam ut elit eleifend, iaculis nulla sit amet, consectetur augue. Sed laoreet magna nisl, sed vulputate lectus rhoncus at. Sed imperdiet ante et orci varius facilisis. Vestibulum eu tempor nunc, vitae condimentum diam. Sed suscipit nulla sit amet turpis fringilla auctor. Vivamus est turpis, tristique et nibh sed, laoreet accumsan massa. Nam ultricies leo quis lectus luctus, condimentum porta erat mollis. Nulla ut diam turpis.\r\n\r\nNam aliquam sodales tortor, nec rhoncus leo. In euismod non ante gravida molestie. Aenean sit amet facilisis elit. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris ut tristique leo. Maecenas felis enim, euismod ac dapibus rutrum, dapibus sed purus. Nulla facilisi. Proin sed nisi nisl.\r\n\r\nFusce tincidunt urna et erat viverra, posuere mattis nisl tristique. Donec aliquam id eros quis dapibus. Aliquam scelerisque tempus lobortis. Maecenas tristique nibh orci, sit amet consequat tortor fermentum vel. Vivamus et imperdiet magna. Duis convallis tortor sit amet luctus condimentum. Mauris dictum, elit a bibendum auctor, quam libero egestas massa, sit amet suscipit enim tortor at est. Nullam sit amet tellus sit amet nisl hendrerit ultricies pharetra eget ante. Sed justo nulla, congue nec purus vel, vehicula commodo mi. In hac habitasse platea dictumst. Phasellus ornare ornare ultrices. Cras tincidunt nibh in risus pulvinar, id auctor neque euismod. Quisque aliquet elementum erat iaculis scelerisque. Nam suscipit lectus nec diam suscipit sodales nec nec nisi.','','filtered_html'),('node','blog',0,7,7,'und',0,'When I think of a sports touring bike, I think of a road racing bike with the eyelets for a rear rack. The geometry not as relaxed as a touring bike the wheel base is a little shorter the front crank is a road triple not a mountain bike crank, the rear cog will have a wider range than the typical racing cog.\r\n\r\nSo all in all fast quick and a little stouter than a racing bike. Waterford bikes has a sport touring catagory and says it light weight, quick accelerating has a longer wheel base than a racing bike for comfort over long distances. Used for credit card touring or light touring.\r\n\r\nNunc in facilisis lacus. Nulla sed urna faucibus, fringilla libero ac, ornare est. Curabitur a sem tortor. Vivamus elementum dictum bibendum. Duis iaculis interdum pulvinar. Donec blandit metus urna, eget viverra arcu accumsan id. Suspendisse dui sem, hendrerit eget tortor nec, adipiscing sollicitudin lacus.\r\n\r\nMauris quis sollicitudin eros. Nulla at nulla velit. Nullam consequat eros odio, id accumsan turpis gravida eget. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse vestibulum congue lorem, eu gravida nibh commodo eu. Quisque scelerisque risus auctor, convallis elit sed, hendrerit ligula. Ut vestibulum rutrum viverra. Fusce dapibus elit quis nulla egestas, eu tristique augue euismod.\r\n\r\nSuspendisse dignissim sagittis augue a tincidunt. Nulla eu lectus ut arcu dapibus consequat fermentum ac mauris. Proin scelerisque pharetra eros, ut euismod nisi dapibus nec. Sed at dui ac lacus convallis placerat. In pulvinar, leo et tempor pharetra, urna elit gravida tellus, sit amet aliquam diam metus et diam. Sed ut pharetra odio. Quisque quis dictum nulla, eu tristique purus. Integer nec sapien nisi. Etiam sed justo tortor.\r\n\r\nIn egestas consequat justo vel laoreet. Nulla fermentum nibh et tempus convallis. Fusce non lectus nec elit cursus placerat. Etiam a tellus nec leo condimentum adipiscing. Maecenas eget orci accumsan, lacinia nisi posuere, mattis nisl. Pellentesque varius erat vel massa luctus rhoncus eget ut libero. Phasellus enim nibh, vulputate sit amet sagittis sed, pulvinar non magna. Proin interdum purus magna, et sollicitudin mi elementum a. Aliquam ac lectus nisl. Quisque interdum metus quis urna adipiscing, ut dapibus leo ultrices. Proin consectetur eros in eleifend porttitor.','','filtered_html'),('node','article',0,8,8,'und',0,'Syracuse, N.Y.-- More than 1,000 distance runners will take to the city\'s streets during the Syracuse Half Marathon set for March 24. The race will start at 8 a.m. at the Oncenter, and will end there at around noon. The course will take runners through the north, west and south sides of Syracuse, with nine of its full 13.1 miles being within city limits.\r\n\r\nRunners can signup online or the the morning of the race, with advance admission at $75 and a race weekend rate of $90. As of Friday, more than 1,100 runners had entered.\r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent varius luctus risus, ac euismod eros lobortis eget. Suspendisse eget odio aliquam, fringilla justo sit amet, pharetra dui. Aliquam diam risus, luctus quis erat quis, lobortis ultricies est. Mauris sem enim, mollis et ornare eget, lobortis in odio. Nulla facilisi. Phasellus sed tortor sodales, mattis nisi nec, aliquet enim.\r\n\r\nSuspendisse potenti. Aenean augue nunc, rutrum quis nisi ut, tristique placerat purus. Maecenas libero felis, elementum nec nunc quis, dignissim molestie sapien. Fusce tincidunt risus vel neque aliquam, id commodo nulla cursus. Aliquam ultricies est imperdiet suscipit condimentum. Integer vitae egestas tortor, et tincidunt ante. Integer in tempor mauris. Nam diam nibh, vulputate vitae tellus ac, euismod commodo ligula. Proin cursus lacus suscipit elit cursus cursus. Donec molestie in metus hendrerit mollis. Fusce eget porttitor mauris.\r\n\r\nAliquam nulla odio, laoreet at metus sed, lobortis placerat risus. Donec suscipit quis est sed volutpat. Suspendisse accumsan cursus augue. Aenean vel enim turpis. Phasellus at ante interdum, dignissim felis ac, auctor arcu. In ultrices tristique magna a vehicula. Praesent aliquam augue at odio porttitor, eu hendrerit ligula fringilla. Vestibulum non sapien quis lorem vehicula commodo. Donec imperdiet sollicitudin purus, eget gravida mi vehicula vitae. Morbi libero mauris, tincidunt at rhoncus non, porttitor a nisi. Proin consectetur quam vel justo eleifend, ac dictum libero vestibulum. Sed ante purus, pharetra id mollis vel, consectetur eget nulla. Nunc et hendrerit est, quis bibendum quam. Nam vel nibh nunc.\r\n\r\nProin a imperdiet ante. In dignissim vitae urna quis aliquet. Fusce lacinia justo eget est rhoncus malesuada. Duis varius neque sit amet lacinia laoreet. Proin varius metus tellus, id ullamcorper massa molestie nec. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam tincidunt convallis nibh eu bibendum.','','full_html'),('node','blog',0,9,9,'und',0,'It was a stormy graduation day in Cambridge on Saturday. Drenched with rain, the students in their gowns looked like penguins emerging from the sea. Parents wielded golf umbrellas, the sword and shield of the English middle classes. The downpour could not extinguish their justifiable pride: a degree from a university often ranked number one in the world is still a glittering prize.\r\n\r\nBut as the graduates splashed down Trinity Street clutching their BA (Cantab), I wondered how many had come to this beautiful, fiercely clever place from a state school, as I did. The latest figures reveal that state-educated applicants bagged just over 61 per cent of Cambridge places in 2013/14, down from more than 63 per cent. Despite the university spending more than £4 million a year on “outreach” work to identify talented pupils from deprived backgrounds, Cambridge’s social mix remains stubbornly static.\r\n\r\nNam augue mi, sagittis blandit viverra at, bibendum quis velit. Phasellus nisl mi, ornare ac scelerisque eget, interdum sit amet enim. Sed suscipit non massa nec consequat. Sed vehicula, elit quis viverra ornare, sem augue facilisis elit, a ultrices tellus quam a erat. In neque orci, lobortis vel tempus vel, volutpat in dui. Quisque sed fermentum lectus. Mauris vehicula justo nulla. Nam sit amet ullamcorper sapien. Nam lobortis lobortis ante vel vulputate. Etiam porttitor at nunc et convallis. Suspendisse tincidunt, lectus sit amet gravida molestie, sem nulla mollis massa, ut rutrum mi lectus et libero. Curabitur et nisl ipsum. Quisque vitae leo laoreet, dictum turpis faucibus, feugiat diam.\r\n\r\nPellentesque a nunc ante. Praesent vulputate et est vel dapibus. Morbi interdum vitae erat nec posuere. Fusce porttitor elit in consequat venenatis. Quisque dignissim tempor fermentum. Fusce egestas orci nec erat pellentesque imperdiet quis a velit. Nullam tempus mattis interdum. Vestibulum at quam sed nisl accumsan porta ut id sem.\r\n\r\nDonec eget quam vitae dui venenatis ornare eget at ante. Ut laoreet nec velit id varius. Proin volutpat turpis id rutrum sagittis. Nunc commodo aliquam eros, ut tincidunt odio ultricies eu. Aliquam erat volutpat. Integer a nisi eu lorem aliquet hendrerit. Vivamus congue augue non orci vulputate, quis lobortis nisi pretium. Morbi eu tellus non sem fermentum euismod eget non est. Praesent bibendum odio facilisis felis cursus aliquam. Praesent ac sem quis lorem malesuada malesuada. Vestibulum eu velit a nisl porta imperdiet a a risus. Curabitur fringilla diam libero, in pharetra nibh suscipit quis. Integer at ante adipiscing, porttitor est a, ultrices nisl. Quisque est erat, ornare id nulla nec, viverra auctor dolor.','','filtered_html'),('node','blog',0,10,10,'und',0,'MODELS 1 has named 20-year-old Lauren Punter as the winner of their curve supermodel competition. Run in collaboration with ASOS, the competition looked for women aged between 17 and 28, who were a dress size 18-plus, to Instagram an image of themselves with the handle #MakeMeACurveModel - and professional model bookers then chose their winner.\r\n\r\n\"The prospect of walking into a model agency can be daunting and Models 1 wanted to open their doors to a wider audience by utilizing the power of social media and assuaging those initial nerves,\" said Models 1, adding: \"We believe that beauty comes in different sizes.\"\r\n\r\nPhasellus ut orci id arcu faucibus semper. Morbi eget hendrerit dolor, id auctor dolor. Nullam pretium dignissim ante eu congue. Duis sagittis aliquam nibh eget varius. Curabitur et nunc ante. Nam facilisis magna vel leo ultrices, vitae hendrerit metus sollicitudin. Curabitur accumsan dapibus tincidunt. Vestibulum placerat nulla pharetra tincidunt fermentum. Proin eget mauris in sem dapibus rutrum a mollis velit. Nunc dui augue, convallis sed nulla non, condimentum congue eros. Duis eu varius velit, a ultricies urna.\r\n\r\nVestibulum hendrerit blandit lorem, vitae gravida orci vehicula eget. Nam aliquet libero nec massa rhoncus feugiat ut at urna. Maecenas egestas hendrerit ipsum id lobortis. Nullam dapibus nibh a tortor tincidunt sagittis. In hendrerit id erat vitae ultricies. Aenean tempor venenatis magna, egestas vestibulum elit viverra eget. Aliquam purus erat, fringilla at hendrerit nec, interdum ut nisl. Etiam hendrerit dictum pellentesque. Curabitur eleifend, turpis ut varius tempor, nisl nibh placerat urna, eu hendrerit justo libero at tellus.\r\n\r\nInteger eget est vel leo suscipit eleifend. Suspendisse potenti. Pellentesque eu lobortis erat, vitae varius felis. Donec id velit ac dolor convallis lobortis. Proin egestas nisl nec erat faucibus, id aliquet enim volutpat. Nullam sollicitudin risus eu sem molestie interdum. Praesent et dui sit amet metus aliquet vulputate. Phasellus commodo nisl a felis consectetur, ut tristique diam pretium. Pellentesque gravida quam vitae elit mattis malesuada. In sit amet ultricies augue. Mauris id nisi sit amet eros fermentum rhoncus ut nec purus. Nullam rutrum, justo sit amet volutpat porttitor, lectus velit tempor massa, et porttitor felis velit non ipsum.\r\n\r\n','','filtered_html'),('node','article',0,11,11,'und',0,'Have you missed an issue of Vogue in the past year? Fret not, as now you can buy every issue on the iPad for only 99p each (that\'s a 66 per cent saving).\r\n\r\nFrom our designer special with its cover of Kate Moss and the international collections issue fronted by Daria Werbowy to Nigella Lawson revealing all to editor-at-large Fiona Golfar and the second Miss Vogue, there is too much unmissable content to not take advantage of this exclusive offer. \r\n\r\nPellentesque a nunc ante. Praesent vulputate et est vel dapibus. Morbi interdum vitae erat nec posuere. Fusce porttitor elit in consequat venenatis. Quisque dignissim tempor fermentum. Fusce egestas orci nec erat pellentesque imperdiet quis a velit. Nullam tempus mattis interdum. Vestibulum at quam sed nisl accumsan porta ut id sem.\r\n\r\nDonec eget quam vitae dui venenatis ornare eget at ante. Ut laoreet nec velit id varius. Proin volutpat turpis id rutrum sagittis. Nunc commodo aliquam eros, ut tincidunt odio ultricies eu. Aliquam erat volutpat. Integer a nisi eu lorem aliquet hendrerit. Vivamus congue augue non orci vulputate, quis lobortis nisi pretium. Morbi eu tellus non sem fermentum euismod eget non est. Praesent bibendum odio facilisis felis cursus aliquam. Praesent ac sem quis lorem malesuada malesuada. Vestibulum eu velit a nisl porta imperdiet a a risus. Curabitur fringilla diam libero, in pharetra nibh suscipit quis. Integer at ante adipiscing, porttitor est a, ultrices nisl. Quisque est erat, ornare id nulla nec, viverra auctor dolor.\r\n\r\nPhasellus ut orci id arcu faucibus semper. Morbi eget hendrerit dolor, id auctor dolor. Nullam pretium dignissim ante eu congue. Duis sagittis aliquam nibh eget varius. Curabitur et nunc ante. Nam facilisis magna vel leo ultrices, vitae hendrerit metus sollicitudin. Curabitur accumsan dapibus tincidunt. Vestibulum placerat nulla pharetra tincidunt fermentum. Proin eget mauris in sem dapibus rutrum a mollis velit. Nunc dui augue, convallis sed nulla non, condimentum congue eros. Duis eu varius velit, a ultricies urna.\r\n\r\n','','filtered_html'),('node','article',0,12,12,'und',0,'In summing up his view on the value of research, heart-attack survivor Tom Lancaster doesn’t mince words: “If it weren’t for heart research, I wouldn’t be here right now.”\r\n\r\nWhen he suffered a major heart attack last June, the 81-year-old Edmontonian soon found himself at the Mazankowski Alberta Heart Institute where he was diagnosed with a blocked artery and several narrowed vessels.\r\n\r\nVivamus ut erat scelerisque elit lacinia congue. Integer sit amet leo dictum, euismod sem ut, tincidunt turpis. Nullam bibendum vestibulum faucibus. Interdum et malesuada fames ac ante ipsum primis in faucibus. Phasellus ut fermentum urna. Praesent molestie malesuada velit a tempor. Mauris pharetra semper augue non lobortis. Nunc a posuere justo. Interdum et malesuada fames ac ante ipsum primis in faucibus. Vivamus ultricies vestibulum felis eu placerat. Praesent orci metus, feugiat ut odio vitae, aliquet luctus urna. Vivamus eget enim ac mauris tincidunt aliquet vitae a magna. In sed lacus auctor, ultrices augue at, malesuada augue. Maecenas mollis vitae ante ac tincidunt.\r\n\r\nMorbi euismod lorem justo, et venenatis dui imperdiet sed. Fusce condimentum ultrices massa et viverra. Curabitur non pellentesque augue. Aenean ac rutrum augue. Nullam sagittis turpis sed urna vehicula scelerisque. Aenean id pulvinar magna. Morbi justo diam, adipiscing quis nisl laoreet, vehicula ultrices orci. Suspendisse non rutrum erat. Nam eget egestas sem, eget iaculis tortor. Donec vitae quam nec neque vestibulum convallis. Maecenas non bibendum diam, sed viverra sem.\r\n\r\nNullam a ligula turpis. Fusce mattis convallis tellus at gravida. Mauris ultrices vehicula vehicula. Nam viverra ac enim id ultricies. Aliquam luctus suscipit est, ut sollicitudin dui feugiat in. Nulla odio odio, volutpat quis eleifend non, auctor a augue. Vestibulum nibh orci, suscipit ac sem vitae, tristique condimentum urna. Nullam vehicula ante lorem, a pellentesque libero consectetur sed.','','full_html'),('node','article',0,13,13,'und',0,'More than nine million Canadians are living with diabetes or prediabetes. With more than 20 people being newly diagnosed every hour of every day, chances are the disease affects someone you know. That could be a relative, friend, neighbour, co-worker or someone who’s part of your personal or professional community. In Ontario alone, there has been a 68 per cent increase between 1995 and 2005. The majority of cases are of type 2 diabetes and that is where most of the growth is seen. The need to ensure optimal care and outcomes for people living with diabetes has always been great, but is now being brought into sharper focus by the magnitude of the situation.\r\n\r\nA chronic disease, diabetes is often debilitating and sometimes fatal. The body either cannot produce the hormone insulin (type 1 diabetes), or it cannot properly use the insulin it produces (type 2 diabetes). This leads to high levels of glucose (sugar) in the blood, which can damage organs, blood vessels and nerves and result in a variety of complications. To use sugar as an energy source, the body needs insulin. People with prediabetes have higher-than-normal blood sugar levels that aren’t high enough to be diagnosed with type 2 diabetes. Without intervention, 50 per cent of those people will develop type 2 diabetes.\r\n\r\nAliquam et tincidunt turpis. Vivamus in pharetra erat. Phasellus pellentesque nunc ut dolor commodo tristique. Praesent diam felis, rutrum placerat dapibus a, vulputate at risus. Maecenas pellentesque arcu velit, non scelerisque orci bibendum ut. Cras erat lorem, feugiat non egestas vel, tempor eget erat. Mauris laoreet fermentum consequat. Vivamus consequat ante quis imperdiet vestibulum. Curabitur eu justo at nisl ullamcorper lobortis. Donec aliquam ante vel nunc sagittis lobortis. Praesent tincidunt consequat augue, euismod convallis turpis feugiat ac. Donec ut diam ac nibh euismod suscipit et a nisl. Nullam diam diam, ullamcorper ac sem at, rhoncus lacinia turpis. Integer non est at neque sollicitudin lacinia.\r\n\r\nMauris nec ante pharetra, ultricies lectus eget, porta magna. Sed imperdiet sapien eu nisl suscipit, nec blandit dolor rutrum. Quisque elementum lectus vel orci ornare luctus. Curabitur eu semper orci. Ut consequat, leo non malesuada semper, sapien nibh vehicula turpis, a lacinia quam massa quis libero. Pellentesque ut fringilla velit. Nullam metus lectus, tincidunt at cursus fringilla, feugiat at eros. Fusce tincidunt egestas vestibulum. Quisque interdum ultricies arcu vel placerat. In iaculis tempor justo id tempor. Curabitur ut fermentum massa, id lobortis metus. Pellentesque magna neque, molestie a ultricies vel, elementum nec augue. Aenean ut tempus quam. Sed ut bibendum mauris. Aliquam vel libero eu ipsum bibendum fringilla a sit amet lacus. Cras leo lacus, laoreet quis neque sed, accumsan volutpat eros.\r\n\r\nPhasellus ut erat eu turpis bibendum varius posuere eu odio. Duis viverra ante non faucibus sollicitudin. Nunc at leo ligula. Vestibulum lobortis diam felis. Etiam in nisi vel justo facilisis volutpat. Nam dictum ipsum adipiscing orci feugiat fringilla. Nam id rutrum diam, quis mattis metus. Aenean dolor ligula, ultrices et nibh eu, rhoncus malesuada erat. Sed eu lorem ipsum. Maecenas vestibulum ut metus id euismod. Aliquam erat volutpat. Nullam nec tortor condimentum, varius dui ut, vestibulum enim. Curabitur sit amet neque est. Aenean vulputate turpis eu purus aliquet euismod. Curabitur a sagittis est. Nam volutpat id felis ut molestie.','','filtered_html'),('node','blog',0,14,14,'und',0,'GREENWELL SPRINGS, La. — Rebekah and Kevin Nelams moved to their modest brick home in this suburb of Baton Rouge seven years ago because it has one of the top-performing public school districts in the state. But starting this fall, Ms. Nelams plans to home-school the couple’s four elementary-age children.\r\n\r\nThe main reason: the methods that are being used for teaching math under the Common Core, a set of academic standards adopted by more than 40 states.\r\n\r\nMs. Nelams said she did not recognize the approaches her children, ages 7 to 10, were being asked to use on math work sheets. They were frustrated by the pictures, dots and sheer number of steps needed to solve some problems. Her husband, who is a pipe designer for petroleum products at an engineering firm, once had to watch a YouTube video before he could help their fifth-grade son with his division homework.\r\n\r\nMauris quis sollicitudin eros. Nulla at nulla velit. Nullam consequat eros odio, id accumsan turpis gravida eget. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse vestibulum congue lorem, eu gravida nibh commodo eu. Quisque scelerisque risus auctor, convallis elit sed, hendrerit ligula. Ut vestibulum rutrum viverra. Fusce dapibus elit quis nulla egestas, eu tristique augue euismod.\r\n\r\nSuspendisse dignissim sagittis augue a tincidunt. Nulla eu lectus ut arcu dapibus consequat fermentum ac mauris. Proin scelerisque pharetra eros, ut euismod nisi dapibus nec. Sed at dui ac lacus convallis placerat. In pulvinar, leo et tempor pharetra, urna elit gravida tellus, sit amet aliquam diam metus et diam. Sed ut pharetra odio. Quisque quis dictum nulla, eu tristique purus. Integer nec sapien nisi. Etiam sed justo tortor.\r\n\r\nIn egestas consequat justo vel laoreet. Nulla fermentum nibh et tempus convallis. Fusce non lectus nec elit cursus placerat. Etiam a tellus nec leo condimentum adipiscing. Maecenas eget orci accumsan, lacinia nisi posuere, mattis nisl. Pellentesque varius erat vel massa luctus rhoncus eget ut libero. Phasellus enim nibh, vulputate sit amet sagittis sed, pulvinar non magna. Proin interdum purus magna, et sollicitudin mi elementum a. Aliquam ac lectus nisl. Quisque interdum metus quis urna adipiscing, ut dapibus leo ultrices. Proin consectetur eros in eleifend porttitor.\r\n\r\n','','full_html'),('node','blog',0,15,15,'und',0,'The very latest news brought to you by the UK\'s leading sports channel; Sky Sports News.\r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent varius luctus risus, ac euismod eros lobortis eget. Suspendisse eget odio aliquam, fringilla justo sit amet, pharetra dui. Aliquam diam risus, luctus quis erat quis, lobortis ultricies est. Mauris sem enim, mollis et ornare eget, lobortis in odio. Nulla facilisi. Phasellus sed tortor sodales, mattis nisi nec, aliquet enim.\r\n\r\nSuspendisse potenti. Aenean augue nunc, rutrum quis nisi ut, tristique placerat purus. Maecenas libero felis, elementum nec nunc quis, dignissim molestie sapien. Fusce tincidunt risus vel neque aliquam, id commodo nulla cursus. Aliquam ultricies est imperdiet suscipit condimentum. Integer vitae egestas tortor, et tincidunt ante. Integer in tempor mauris. Nam diam nibh, vulputate vitae tellus ac, euismod commodo ligula. Proin cursus lacus suscipit elit cursus cursus. Donec molestie in metus hendrerit mollis. Fusce eget porttitor mauris.\r\n\r\nAliquam nulla odio, laoreet at metus sed, lobortis placerat risus. Donec suscipit quis est sed volutpat. Suspendisse accumsan cursus augue. Aenean vel enim turpis. Phasellus at ante interdum, dignissim felis ac, auctor arcu. In ultrices tristique magna a vehicula. Praesent aliquam augue at odio porttitor, eu hendrerit ligula fringilla. Vestibulum non sapien quis lorem vehicula commodo. Donec imperdiet sollicitudin purus, eget gravida mi vehicula vitae. Morbi libero mauris, tincidunt at rhoncus non, porttitor a nisi. Proin consectetur quam vel justo eleifend, ac dictum libero vestibulum. Sed ante purus, pharetra id mollis vel, consectetur eget nulla. Nunc et hendrerit est, quis bibendum quam. Nam vel nibh nunc.\r\n\r\nProin a imperdiet ante. In dignissim vitae urna quis aliquet. Fusce lacinia justo eget est rhoncus malesuada. Duis varius neque sit amet lacinia laoreet. Proin varius metus tellus, id ullamcorper massa molestie nec. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam tincidunt convallis nibh eu bibendum.','','full_html'),('node','article',0,16,16,'und',0,'Master Swimmer Don Macdonald knows in his heart that he would be gearing up to swim the English Channel if not for a cardiac arrhythmia that very nearly killed him.\r\n\r\nLearning how to \"take it easy\" after the near-fatal episode, the 52-year Barrington man kayaked 28.5 miles around Manhattan Island on Saturday. Macdonald and his marathon swimming buddy and fellow Barrington resident, Doug McConnell, 56, have completed several similar grueling swims. But for the Manhattan Island Marathon Swim, Macdonald merely offered support from the kayak as McConnell swam the course to raise money in the fight against ALS.\r\n\r\nNam augue mi, sagittis blandit viverra at, bibendum quis velit. Phasellus nisl mi, ornare ac scelerisque eget, interdum sit amet enim. Sed suscipit non massa nec consequat. Sed vehicula, elit quis viverra ornare, sem augue facilisis elit, a ultrices tellus quam a erat. In neque orci, lobortis vel tempus vel, volutpat in dui. Quisque sed fermentum lectus. Mauris vehicula justo nulla. Nam sit amet ullamcorper sapien. Nam lobortis lobortis ante vel vulputate. Etiam porttitor at nunc et convallis. Suspendisse tincidunt, lectus sit amet gravida molestie, sem nulla mollis massa, ut rutrum mi lectus et libero. Curabitur et nisl ipsum. Quisque vitae leo laoreet, dictum turpis faucibus, feugiat diam.\r\n\r\nPellentesque a nunc ante. Praesent vulputate et est vel dapibus. Morbi interdum vitae erat nec posuere. Fusce porttitor elit in consequat venenatis. Quisque dignissim tempor fermentum. Fusce egestas orci nec erat pellentesque imperdiet quis a velit. Nullam tempus mattis interdum. Vestibulum at quam sed nisl accumsan porta ut id sem.\r\n\r\nDonec eget quam vitae dui venenatis ornare eget at ante. Ut laoreet nec velit id varius. Proin volutpat turpis id rutrum sagittis. Nunc commodo aliquam eros, ut tincidunt odio ultricies eu. Aliquam erat volutpat. Integer a nisi eu lorem aliquet hendrerit. Vivamus congue augue non orci vulputate, quis lobortis nisi pretium. Morbi eu tellus non sem fermentum euismod eget non est. Praesent bibendum odio facilisis felis cursus aliquam. Praesent ac sem quis lorem malesuada malesuada. Vestibulum eu velit a nisl porta imperdiet a a risus. Curabitur fringilla diam libero, in pharetra nibh suscipit quis. Integer at ante adipiscing, porttitor est a, ultrices nisl. Quisque est erat, ornare id nulla nec, viverra auctor dolor.\r\n\r\n','','filtered_html'),('node','article',0,17,17,'und',0,'Secondary schoolteachers around the world mostly love their job, but many say they are not valued by society, according to an international survey published last week by the Organization for Economic Cooperation and Development.\r\n\r\nThe Teaching and Learning International Survey questioned more than 100,000 lower secondary school teachers and about 6,500 head teachers from 34 countries on a range of issues. It followed a similar but smaller-scale survey in 2008.\r\n\r\nDonec eget quam vitae dui venenatis ornare eget at ante. Ut laoreet nec velit id varius. Proin volutpat turpis id rutrum sagittis. Nunc commodo aliquam eros, ut tincidunt odio ultricies eu. Aliquam erat volutpat. Integer a nisi eu lorem aliquet hendrerit. Vivamus congue augue non orci vulputate, quis lobortis nisi pretium. Morbi eu tellus non sem fermentum euismod eget non est. Praesent bibendum odio facilisis felis cursus aliquam. Praesent ac sem quis lorem malesuada malesuada. Vestibulum eu velit a nisl porta imperdiet a a risus. Curabitur fringilla diam libero, in pharetra nibh suscipit quis. Integer at ante adipiscing, porttitor est a, ultrices nisl. Quisque est erat, ornare id nulla nec, viverra auctor dolor.\r\n\r\nPhasellus ut orci id arcu faucibus semper. Morbi eget hendrerit dolor, id auctor dolor. Nullam pretium dignissim ante eu congue. Duis sagittis aliquam nibh eget varius. Curabitur et nunc ante. Nam facilisis magna vel leo ultrices, vitae hendrerit metus sollicitudin. Curabitur accumsan dapibus tincidunt. Vestibulum placerat nulla pharetra tincidunt fermentum. Proin eget mauris in sem dapibus rutrum a mollis velit. Nunc dui augue, convallis sed nulla non, condimentum congue eros. Duis eu varius velit, a ultricies urna.\r\n\r\nVestibulum hendrerit blandit lorem, vitae gravida orci vehicula eget. Nam aliquet libero nec massa rhoncus feugiat ut at urna. Maecenas egestas hendrerit ipsum id lobortis. Nullam dapibus nibh a tortor tincidunt sagittis. In hendrerit id erat vitae ultricies. Aenean tempor venenatis magna, egestas vestibulum elit viverra eget. Aliquam purus erat, fringilla at hendrerit nec, interdum ut nisl. Etiam hendrerit dictum pellentesque. Curabitur eleifend, turpis ut varius tempor, nisl nibh placerat urna, eu hendrerit justo libero at tellus.','','filtered_html'),('node','blog',0,18,18,'und',0,'The reading lesson began like any other. Tara Bauer, a teacher at Public School 158 on the Upper East Side of Manhattan, took her perch in front of a class of restless fourth graders and began reciting the beginning of a book about sharks.\r\n\r\nBut a few sentences in, Ms. Bauer shifted course. She pushed her students to assume the role of teacher, and she became a mediator, helping guide conversations as the children worked with one another to define words like “buoyant” and identify the book’s structure.\r\n\r\nMorbi euismod lorem justo, et venenatis dui imperdiet sed. Fusce condimentum ultrices massa et viverra. Curabitur non pellentesque augue. Aenean ac rutrum augue. Nullam sagittis turpis sed urna vehicula scelerisque. Aenean id pulvinar magna. Morbi justo diam, adipiscing quis nisl laoreet, vehicula ultrices orci. Suspendisse non rutrum erat. Nam eget egestas sem, eget iaculis tortor. Donec vitae quam nec neque vestibulum convallis. Maecenas non bibendum diam, sed viverra sem.\r\n\r\nNullam a ligula turpis. Fusce mattis convallis tellus at gravida. Mauris ultrices vehicula vehicula. Nam viverra ac enim id ultricies. Aliquam luctus suscipit est, ut sollicitudin dui feugiat in. Nulla odio odio, volutpat quis eleifend non, auctor a augue. Vestibulum nibh orci, suscipit ac sem vitae, tristique condimentum urna. Nullam vehicula ante lorem, a pellentesque libero consectetur sed.\r\n\r\nAliquam et tincidunt turpis. Vivamus in pharetra erat. Phasellus pellentesque nunc ut dolor commodo tristique. Praesent diam felis, rutrum placerat dapibus a, vulputate at risus. Maecenas pellentesque arcu velit, non scelerisque orci bibendum ut. Cras erat lorem, feugiat non egestas vel, tempor eget erat. Mauris laoreet fermentum consequat. Vivamus consequat ante quis imperdiet vestibulum. Curabitur eu justo at nisl ullamcorper lobortis. Donec aliquam ante vel nunc sagittis lobortis. Praesent tincidunt consequat augue, euismod convallis turpis feugiat ac. Donec ut diam ac nibh euismod suscipit et a nisl. Nullam diam diam, ullamcorper ac sem at, rhoncus lacinia turpis. Integer non est at neque sollicitudin lacinia.\r\n\r\nMauris nec ante pharetra, ultricies lectus eget, porta magna. Sed imperdiet sapien eu nisl suscipit, nec blandit dolor rutrum. Quisque elementum lectus vel orci ornare luctus. Curabitur eu semper orci. Ut consequat, leo non malesuada semper, sapien nibh vehicula turpis, a lacinia quam massa quis libero. Pellentesque ut fringilla velit. Nullam metus lectus, tincidunt at cursus fringilla, feugiat at eros. Fusce tincidunt egestas vestibulum. Quisque interdum ultricies arcu vel placerat. In iaculis tempor justo id tempor. Curabitur ut fermentum massa, id lobortis metus. Pellentesque magna neque, molestie a ultricies vel, elementum nec augue. Aenean ut tempus quam. Sed ut bibendum mauris. Aliquam vel libero eu ipsum bibendum fringilla a sit amet lacus. Cras leo lacus, laoreet quis neque sed, accumsan volutpat eros.','','filtered_html'),('node','article',0,19,19,'und',0,'n a bid to correct what he called a “knowledge deficit” among New York City public school students, Schools Chancellor Joel I. Klein announced on Monday a pilot program that would overhaul the way children in 10 city schools are taught to read.\r\n\r\nThe program, devised by E. D. Hirsch Jr.’s Core Knowledge Foundation, is being paid for with $2.4 million in private donations raised by the Fund for Public Schools. Called the New York City Core Knowledge Early Literacy Project, it will run for three years, following kindergartners at the 10 schools through the first and second grades.\r\n\r\nThe pilot program, which will involve about 1,000 children, represents a shift from the Bloomberg administration’s longstanding approach to teaching children to read, known as “balanced literacy.” Under that approach, children are encouraged to select books that interest them, at their own reading levels, from classroom libraries. The theory behind the approach is that it is more important to ensure that young children are truly engaged by books than to dictate that everyone read the same thing.\r\n\r\nUt malesuada est at augue venenatis, ornare cursus neque tincidunt. Integer nibh ante, semper nec auctor tempor, viverra sit amet libero. Pellentesque vestibulum tincidunt magna nec eleifend. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec nec scelerisque nibh. Etiam feugiat elementum tristique. Etiam eu purus et lectus posuere molestie ut vitae libero. Donec non luctus neque, id tempus quam. Integer ac nisi eu sapien pretium molestie. Donec interdum arcu massa, ut elementum metus commodo id. Maecenas et fringilla sapien. Etiam nec fermentum felis, ac sodales quam. Donec sem purus, cursus sed fringilla id, tincidunt a augue.\r\n\r\nMaecenas vitae arcu hendrerit, dapibus odio non, aliquet risus. Aenean dictum fringilla nibh non pellentesque. Ut semper pellentesque nunc, at semper elit posuere sed. Nulla facilisi. Nulla gravida porttitor rutrum. Proin ullamcorper pretium sapien id laoreet. Praesent adipiscing magna sed libero tempus, a interdum est sollicitudin.\r\n\r\nUt aliquet turpis justo, a molestie sem adipiscing non. Donec elementum quam ut magna pellentesque dignissim. Interdum et malesuada fames ac ante ipsum primis in faucibus. Suspendisse a nisi ligula. Ut condimentum quam nec neque auctor mollis. Quisque vulputate faucibus ante vitae accumsan. Phasellus porttitor mauris tincidunt sem convallis, sed molestie dolor molestie. Vestibulum malesuada enim urna, at laoreet enim fermentum et. Proin pretium consequat nibh nec varius. Nunc iaculis adipiscing leo, et vestibulum lacus congue et. Etiam nulla dolor, ullamcorper non magna ac, rutrum laoreet eros. Quisque massa nunc, euismod in nisl nec, facilisis placerat ipsum. Pellentesque orci purus, varius ac feugiat condimentum, volutpat sit amet ipsum.\r\n','','filtered_html'),('node','article',0,20,20,'und',0,'Growing up in Kuala Lumpur, the capital of Malaysia, Leonnie Lim was obsessed by Japanese pop culture. She did not know why but she knew she wanted to live and study one day in Japan.\r\n\r\n“At the age of seven, I requested my father to buy me a Japanese dictionary,” she said. “I self-learned Japanese, watching anime and manga.”\r\n\r\nBy the time she was ready for university, she had developed a comprehensive interest in Japanese history, culture and art. She chose to go to Doshisha University in Kyoto, where she is majoring in Japanese studies and global culture.\r\n\r\n“This is where I feel close to the cultural and historical heart of Japan,” said Ms. Lim, now 20.\r\n\r\nHer choice resonates with a growing number of international students who are opting to study in Kyoto, Japan’s ancient capital, surrounded by historic temples and shrines, traditional art and crafts industries, and an abundance of nature. The number of foreign students in the city rose to 7,017 last year from 5,157 in 2009, according to an interuniversity body in Kyoto that compiles statistics. The figure of foreign students in Kyoto rose even as the number for Japan as a whole slipped to 135,000, from a peak of 141,000 in 2010.\r\n\r\nQuisque eu lacus est. Sed vel consectetur nibh, vel fermentum mi. Proin pulvinar ipsum nulla, et varius odio sodales eget. Vivamus fringilla pellentesque erat, vitae gravida orci sodales in. Vestibulum vestibulum enim sem. Maecenas nec enim non massa bibendum tempus. Donec egestas consectetur tristique. Cras ligula tellus, convallis et elementum et, imperdiet euismod nisl. Vivamus nec justo vitae lacus volutpat venenatis sed id orci.\r\n\r\nSed eget libero euismod ipsum faucibus interdum a ut mi. Mauris consequat placerat metus, at accumsan dolor. Aliquam erat volutpat. Donec adipiscing, orci quis imperdiet mattis, sapien diam vehicula lectus, vel ornare eros massa et augue. Donec vitae auctor ligula. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent aliquam auctor nisl sit amet faucibus. Nulla at bibendum dui. Suspendisse eu condimentum leo. Curabitur nec auctor ipsum, a viverra orci.\r\n\r\nMaecenas ac erat blandit, laoreet dolor et, sodales eros. Aenean enim nibh, convallis sed tellus eget, volutpat dapibus velit. Vestibulum sodales nulla vitae nunc rutrum, non aliquam quam imperdiet. Sed tincidunt, metus eget laoreet convallis, ante turpis suscipit nisi, sit amet semper lorem nisl tempus purus. Sed pellentesque ornare enim, ac auctor lorem faucibus vitae. Nunc eget sagittis justo. Praesent pulvinar, est sed interdum gravida, mauris nisl vehicula diam, sit amet luctus arcu orci sed nisl.\r\n\r\n','','full_html'),('node','blog',0,21,21,'und',0,'Secondary schoolteachers around the world mostly love their job, but many say they are not valued by society, according to an international survey published last week by the Organization for Economic Cooperation and Development.\r\n\r\nThe Teaching and Learning International Survey questioned more than 100,000 lower secondary school teachers and about 6,500 head teachers from 34 countries on a range of issues. It followed a similar but smaller-scale survey in 2008.\r\n\r\nAmong the findings: As few as 4.9 percent of teachers in France said that society valued their work, and 5 percent in Sweden, compared with highs of 83.8 percent in Malaysia, 67.6 percent in Singapore, and 66.5 percent in Abu Dhabi and South Korea. Finland scored highest in Europe, with 58.6 percent of teachers saying they felt properly appreciated.\r\n\r\nNunc faucibus aliquet tincidunt. Donec adipiscing aliquet orci vel porta. Vivamus rhoncus pellentesque metus, hendrerit varius augue sagittis et. Nunc quis suscipit orci. Fusce tincidunt quam non scelerisque ultricies. Nulla gravida augue ac eros tempor, vel convallis ipsum rutrum. Fusce pretium molestie condimentum. Ut rhoncus, odio a fringilla sagittis, lectus lorem accumsan neque, et aliquet odio tortor mattis mauris. Sed quis suscipit purus. Nulla imperdiet enim eu mi consequat, vitae venenatis nisl pretium. Duis auctor luctus lectus et hendrerit. Ut id luctus sapien.\r\n\r\nAenean viverra est sed justo rhoncus, sit amet aliquam erat pulvinar. Nam et varius purus. Curabitur ultricies risus tincidunt pulvinar varius. Cras non mauris suscipit, pulvinar urna tincidunt, auctor leo. Etiam ac ipsum gravida, aliquet neque sed, adipiscing magna. Vestibulum porttitor vitae nisi in tincidunt. Maecenas fermentum augue placerat, scelerisque ligula a, lacinia ipsum.\r\n\r\nNulla nec porttitor urna. Nam mattis gravida dolor ac vehicula. Etiam pulvinar tincidunt hendrerit. Nam nec imperdiet lacus. Donec rutrum ultricies nulla sed tempor. Aliquam blandit condimentum sollicitudin. Proin vel iaculis nisi. Nunc at orci in sapien blandit semper. Nunc faucibus felis ante, nec ultricies lacus pretium vel. Aenean nec rhoncus sem, a cursus magna. Morbi sit amet felis posuere, ultrices diam sed, adipiscing metus. Mauris semper odio orci, at ornare dolor aliquet in. Vivamus sagittis tellus dictum, lobortis felis non, dapibus ante. Pellentesque porttitor enim sit amet augue viverra sollicitudin. Etiam id arcu iaculis, molestie magna in, venenatis leo.\r\n\r\nNullam non turpis enim. Nunc sed dapibus elit. Sed non tellus vel nisl consectetur eleifend. Nulla condimentum libero rhoncus tortor pellentesque, vitae venenatis nulla convallis. Ut dignissim tellus sit amet quam aliquam molestie. Curabitur laoreet mollis dolor, at tristique tortor luctus ut. Mauris sed tincidunt elit. Morbi a tellus sit amet velit fermentum congue et in libero. Nam condimentum urna laoreet, condimentum odio quis, aliquam nunc. Sed at lacinia odio. Fusce lacinia vitae ipsum a lobortis. Integer tincidunt nibh id interdum semper. Fusce velit lacus, blandit cursus nibh vitae, fermentum egestas enim. In sit amet venenatis mauris.\r\n\r\n','','filtered_html'),('node','blog',0,22,22,'und',0,'From Elizabeth Taylor, to Audrey Hepburn, Grace Kelly and Olivia Palermo - we\'ve rounded up the most stylish brides of all time. Find out who made the biggest fashion statement as they walked down the aisle...\r\n\r\nOlivia Palermo parted with tradition to marry her model fiance Johannes Huebl in New York on June 28. The stylista chose to wear a full tulle skirt with floral detail layered over a pair of cream shorts, with a simple cream cashmere jumper on top. Her something blue came in the form of some vibrant Manolo Blahnik heels. Quite possibly our favourite bridal look to date.\r\n\r\nAenean quis sollicitudin nunc, eu aliquam risus. Nam interdum diam id augue ultricies tempor. Mauris quis rutrum erat, ut convallis arcu. Suspendisse potenti. Ut gravida id tellus vitae faucibus. In hac habitasse platea dictumst. Donec faucibus leo nisi, eu porta arcu consequat a.\r\n\r\nCras elementum elit a est volutpat, at scelerisque diam aliquam. Maecenas placerat sem a facilisis consectetur. Curabitur at ligula rutrum, tempor nisi id, dictum tortor. In a risus dignissim, elementum lorem et, suscipit tellus. Suspendisse vitae convallis mi. Ut porta feugiat odio, et convallis leo euismod id. Quisque dolor enim, posuere et semper eget, tristique ullamcorper quam. Maecenas malesuada in libero non condimentum. Quisque odio odio, volutpat eu bibendum a, sodales sed ante. Nam eu lorem sed tortor pharetra eleifend at vitae leo.\r\n\r\nSed et varius augue. Nunc aliquam magna quis urna sodales accumsan. Phasellus elementum, erat in eleifend lobortis, velit massa suscipit elit, sed cursus orci nulla sed risus. Phasellus ut sapien non augue commodo sollicitudin a et est. Phasellus id adipiscing dolor, nec hendrerit justo. Suspendisse mattis quam nec luctus bibendum. Fusce lacinia vulputate purus, a mollis massa egestas vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit.\r\n\r\nPellentesque eu sem odio. Nullam non libero egestas, mollis lacus id, venenatis nibh. Cras imperdiet ligula pulvinar lobortis rhoncus. Morbi vitae gravida magna, et tincidunt dui. Vestibulum sodales rhoncus varius. Etiam bibendum urna libero, porta fermentum lectus placerat scelerisque. Suspendisse potenti. Curabitur vel justo ac lacus consequat cursus elementum at arcu. Proin eu odio pellentesque risus egestas pellentesque sed eu felis. Cras posuere ullamcorper ante, et feugiat velit aliquam vitae. Nunc in lacus leo. Ut rutrum libero quis est gravida eleifend.','','filtered_html'),('node','article',0,23,23,'und',0,'See the best-dressed from over the weekend, from the muddy fields at Glastonbury to the sunny climes of Los Angele. Kerry Washington was perfectly turned out for summer in a floral minidress and white heels at the BET Award in Los Angeles.\r\n\r\nSuspendisse ultricies purus ac massa interdum sodales. Ut euismod nunc sed suscipit pharetra. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Donec ac arcu vitae mi bibendum consectetur sed eu justo. Mauris eget quam et nisi placerat tincidunt. Phasellus viverra sed libero eu suscipit. Mauris ultrices risus sit amet nisi luctus laoreet. Proin sed nibh magna. Etiam molestie ipsum lectus, at euismod tellus pellentesque eu. Mauris elementum libero at dolor bibendum, at euismod sapien adipiscing. Morbi ultrices eros in sem pretium mollis. Donec eu libero eu magna fringilla lacinia in quis nibh. Integer accumsan pretium risus, at ornare est fringilla ac. Nulla porta pellentesque tortor, in fermentum arcu tincidunt quis. Duis augue mauris, egestas a ornare viverra, tincidunt et mauris.\r\n\r\nAenean quis sollicitudin nunc, eu aliquam risus. Nam interdum diam id augue ultricies tempor. Mauris quis rutrum erat, ut convallis arcu. Suspendisse potenti. Ut gravida id tellus vitae faucibus. In hac habitasse platea dictumst. Donec faucibus leo nisi, eu porta arcu consequat a.\r\n\r\nCras elementum elit a est volutpat, at scelerisque diam aliquam. Maecenas placerat sem a facilisis consectetur. Curabitur at ligula rutrum, tempor nisi id, dictum tortor. In a risus dignissim, elementum lorem et, suscipit tellus. Suspendisse vitae convallis mi. Ut porta feugiat odio, et convallis leo euismod id. Quisque dolor enim, posuere et semper eget, tristique ullamcorper quam. Maecenas malesuada in libero non condimentum. Quisque odio odio, volutpat eu bibendum a, sodales sed ante. Nam eu lorem sed tortor pharetra eleifend at vitae leo.\r\n\r\nSed et varius augue. Nunc aliquam magna quis urna sodales accumsan. Phasellus elementum, erat in eleifend lobortis, velit massa suscipit elit, sed cursus orci nulla sed risus. Phasellus ut sapien non augue commodo sollicitudin a et est. Phasellus id adipiscing dolor, nec hendrerit justo. Suspendisse mattis quam nec luctus bibendum. Fusce lacinia vulputate purus, a mollis massa egestas vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit.\r\n\r\n','','filtered_html'),('node','article',0,24,24,'und',0,'Fashion girls love Chloë Sevigny and therefore are obviously okay to watch her in yet another stylish video. In her latest fashion film collab, the oft-referenced actress plays a sadcore heroine haunted by the memories of her dead best friend. “There’s always this drama, this undercurrent, these spooky feelings,” says Sevigny. Spooky. Directed by Maryam L’Ange and soundtracked by Eaux, “Beckoning” serves as a video preview of Canadian etailer Ssense‘s fall collections. Spooky… and smart!\r\n\r\nSed cursus orci nulla sed risus. Phasellus ut sapien non augue commodo sollicitudin a et est. Phasellus id adipiscing dolor, nec hendrerit justo. Suspendisse mattis quam nec luctus bibendum. Fusce lacinia vulputate purus, a mollis massa egestas vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit.\r\n\r\nPellentesque eu sem odio. Nullam non libero egestas, mollis lacus id, venenatis nibh. Cras imperdiet ligula pulvinar lobortis rhoncus. Morbi vitae gravida magna, et tincidunt dui. Vestibulum sodales rhoncus varius. Etiam bibendum urna libero, porta fermentum lectus placerat scelerisque. Suspendisse potenti. Curabitur vel justo ac lacus consequat cursus elementum at arcu. Proin eu odio pellentesque risus egestas pellentesque sed eu felis. Cras posuere ullamcorper ante, et feugiat velit aliquam vitae. Nunc in lacus leo. Ut rutrum libero quis est gravida eleifend.\r\n\r\nCurabitur quis velit imperdiet, ultrices lacus sed, sollicitudin sem. Suspendisse potenti. Cras rutrum at odio vel pulvinar. Ut aliquam varius augue, non interdum odio tempus quis. Etiam ornare diam in fermentum pretium. In hac habitasse platea dictumst. Nullam cursus mi ac ligula suscipit fringilla. Nulla ante metus, adipiscing sed iaculis eget, eleifend vel est. Nullam fermentum pretium erat, eget venenatis ante viverra at. Vivamus tempus enim non felis faucibus elementum. Sed et elementum ligula, at pellentesque quam. Proin accumsan nisi ut libero tristique, vitae molestie est vehicula. Nullam nec suscipit libero, eget mollis risus. Pellentesque lorem purus, facilisis vitae dui sed, vulputate pulvinar tortor. Nulla dapibus congue interdum. Nulla viverra enim non turpis aliquet, ac gravida enim faucibus.','','full_html'),('node','article',0,25,25,'und',0,'Ever wondered why so many designers share similar signature styles? Well, you shouldn’t, because it’s written in the stars. Since astrology is the trend du jour, it seems only fitting to explore the different aesthetics of our favourite labels by looking into the signs of the designers behind them. In other words, we present to you a guide to the fashion zodiac.\r\n\r\nFrom dark and mysterious Scorpios to elegant and refined Libras, we can learn a lot about fashion’s elite by studying the zodiac signs they belong to. For example, it’s no surprise that the fashion world’s romantics, Oscar de la Renta, Elie Saab and Vera Wang, all belong to the zodiac’s most sentimental sign, Cancer. On the other hand, the designers known for their practical and wearable designs, like Carolina Herrera, Kate Spade and Diane von Furstenburg, are all Capricorns, the most grounded and level-headed of all twelve signs.\r\n\r\nCras blandit velit libero, eu varius ligula aliquet ac. Donec fringilla dolor non nisi lacinia ornare. Sed sagittis felis sed tincidunt viverra. Pellentesque turpis ligula, hendrerit sit amet elementum id, faucibus sed quam. Suspendisse consequat nulla viverra felis suscipit dictum. Proin elementum diam tortor, id consequat tellus commodo eu. Morbi viverra ornare tempor. Aenean ac lectus tempus, euismod erat a, condimentum risus. Morbi feugiat accumsan luctus. Phasellus malesuada mauris quis metus posuere, et pretium lectus viverra. Maecenas mollis tristique sem nec auctor. Integer sollicitudin ac risus in fringilla. Etiam mattis pulvinar libero sed mollis. Sed euismod, quam vitae tincidunt congue, risus ipsum lacinia ligula, nec tincidunt eros elit id velit.\r\n\r\nDonec adipiscing volutpat lacinia. Suspendisse sed lobortis nibh. Cras porttitor rutrum ornare. Sed mattis urna ante, vel suscipit orci pharetra vitae. Nullam feugiat, enim elementum tristique vehicula, quam dolor rutrum leo, eget tempus sem risus a erat. Aliquam non euismod lacus. Aliquam erat volutpat. Donec tempus leo ac ligula pretium sodales.\r\n\r\n','','filtered_html'),('node','article',0,26,26,'und',0,'World Pride Week may have technically kicked off last Friday, but judging from all the festivities happening right now in Toronto, the party shows no signs of slowing down, especially with the Celebration of Love Grand Pride Wedding taking place at Casa Loma this afternoon. While there may only be a few more days left of Pride Week, there really is no such thing as being too late to join in on the fun. To make sure you’re set when it comes to what to wear for Pride Week, we’ve rounded up 16 of the best rainbow fashion and beauty items from our favourite online shops, so you can show off your best Pride Week style for the festival’s final weekend. \r\n\r\nLuckily, rainbow-bright prints are a huge trend right now (case in point: the Valentino Resort 2015 outfit above). From silky bomber jackets and standout flatform sandals to rainbow glitter nail polish, we present you with our one-stop shopping and inspiration guide for what to wear for Pride Week.\r\n\r\nMauris eget risus lorem. Vestibulum ultrices pulvinar sollicitudin. Nullam vitae arcu quis dui ultrices scelerisque id vitae tellus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec eget nisi aliquam, pharetra est sed, eleifend sem. Duis vel posuere metus. Duis condimentum, neque ac ullamcorper bibendum, odio arcu bibendum est, eu sodales nibh erat in lectus. Maecenas pharetra accumsan faucibus. Proin feugiat nulla vitae velit volutpat, sed scelerisque lacus rutrum. Suspendisse potenti. Fusce varius tristique velit. Phasellus consectetur vitae ligula quis condimentum. Praesent eu mattis est.\r\n\r\nDonec eget est mollis, rutrum est quis, commodo neque. Aliquam facilisis lacus id interdum interdum. Aenean convallis ut est non semper. Nulla venenatis odio nibh, vel lacinia diam dapibus sed. Vestibulum facilisis feugiat ipsum. Donec tincidunt tortor tortor, adipiscing aliquet sem posuere nec. Duis feugiat feugiat quam, ac faucibus neque semper vel. Phasellus facilisis massa eu massa vestibulum placerat. Quisque pulvinar felis elit, sed gravida tellus accumsan adipiscing. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Praesent sagittis sit amet sem eget cursus. Ut id condimentum quam.\r\n\r\nMorbi egestas condimentum urna, sit amet fermentum nulla sollicitudin id. Aenean sollicitudin ullamcorper urna in vehicula. Sed quis dolor eu elit rutrum posuere in eget arcu. Nulla eget ligula sed ipsum iaculis pretium. Suspendisse vel tincidunt sem, consectetur lobortis leo. Morbi molestie venenatis egestas. Phasellus faucibus porttitor ipsum, id venenatis dui posuere sagittis. Aenean non euismod arcu. Nunc lorem magna, rhoncus non sapien eu, rutrum aliquam risus. Cras ac tortor pharetra nulla aliquet mollis. Pellentesque et nunc malesuada, eleifend ligula sed, accumsan nunc.','','filtered_html'),('node','blog',0,27,27,'und',0,'If you like beaches and the lifestyle that goes with them, then you’re going to love New Zealand. Because the great thing about it being an island nation is that it\'s literally surrounded by beaches. Over 15,000 km of them in fact. \r\n \r\nGenerally you’ll find white sand beaches down the East Coast, and more wild, black sand beaches line the West Coast. The laid-back Kiwi lifestyle is well known around the world, and the closer you get to the coast, the more chilled out things become. And with all of its major cities situated on the water, it’s a pretty sweet place to live and visit.\r\n \r\nSailing, surfing, kayaking, fishing – Kiwi’s love the water and are spoiled for choice when it comes to water activities, whether it be on beaches, rivers or lakes. Top off your bliss-filled days in the sun, partying with new friends around a bonfire on your favourite beach.\r\n \r\nLooking for trip ideas? Swim with dolphins in the Bay of Islands off Paihia, among 144 spectacular islands and sparkling secluded bays. Head north and body board down the massive Te Paki Sand Dunes by Ninety Mile Beach in Northland at thrilling speeds. Or go scuba diving at Cathedral Cove on the Coromandel Peninsula. \r\n\r\nPraesent aliquam semper sagittis. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas eu blandit est. Mauris ornare, elit quis imperdiet interdum, nibh leo sagittis libero, et sodales tortor tortor in sem. Pellentesque bibendum, diam ac gravida imperdiet, purus ligula sodales eros, a varius metus felis ut nisi. Sed pretium est eu porttitor molestie. Nulla ut suscipit arcu, sit amet imperdiet orci. Etiam placerat nisi justo, aliquam rutrum nibh scelerisque vel. Sed aliquet metus sed ultricies ultrices. Etiam nisl arcu, facilisis a laoreet vitae, bibendum placerat enim.\r\n\r\nEtiam pulvinar dolor sit amet aliquet ullamcorper. Nunc posuere pulvinar felis in commodo. Suspendisse potenti. Nullam sapien lectus, sollicitudin eu porta quis, mattis a odio. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris gravida posuere mauris sed bibendum. Nunc dapibus et enim a molestie.\r\n\r\nFusce risus libero, vehicula sit amet aliquam at, adipiscing quis nibh. Sed sit amet odio rhoncus, vulputate ipsum accumsan, tempor lacus. Sed eget ante nec sem eleifend lobortis. Ut at vehicula est, quis sodales est. Nulla in mi non dolor hendrerit elementum quis ut neque. Sed ultrices arcu et sapien ultrices, ac luctus massa tristique. Sed vestibulum, nunc id ultricies dignissim, ipsum nisl rhoncus ipsum, vitae aliquet est enim id dolor. Quisque a nisl vel nulla rutrum malesuada nec ut enim.','','full_html'),('node','blog',0,28,28,'und',0,'On the map, our planned bicycle trip could be measured in inches: a straight shot up the Hudson River’s narrow blue line, a jaunt along Lake Champlain, a short border crossing into Canada, and voilà – we’d be on international turf. On the ground, however, our more than 370-mile journey from New York City to Montreal took more twists and turns than the map implied.\r\n\r\nThe good news, I discovered, is that trips like this aren\'t about fitness – or my father-in-law Dave O’Leary, a former contestant on the epic CBS TV show the Amazing Race, would have left me behind like road kill. They\'re about persistence and flexibility. And a lot can be said for travelling light.\r\n\r\nFusce risus libero, vehicula sit amet aliquam at, adipiscing quis nibh. Sed sit amet odio rhoncus, vulputate ipsum accumsan, tempor lacus. Sed eget ante nec sem eleifend lobortis. Ut at vehicula est, quis sodales est. Nulla in mi non dolor hendrerit elementum quis ut neque. Sed ultrices arcu et sapien ultrices, ac luctus massa tristique. Sed vestibulum, nunc id ultricies dignissim, ipsum nisl rhoncus ipsum, vitae aliquet est enim id dolor. Quisque a nisl vel nulla rutrum malesuada nec ut enim.\r\n\r\nQuisque enim tellus, ullamcorper in sapien ac, porttitor adipiscing dui. Curabitur neque purus, interdum vitae fermentum a, condimentum a arcu. Cras ut metus bibendum, tincidunt est eu, laoreet sem. Aliquam erat volutpat. Phasellus sed vehicula leo. Suspendisse mattis lectus sit amet est lobortis viverra. Fusce porta semper nisi, et suscipit velit bibendum ac. Aliquam est mauris, condimentum vel nisi at, gravida pharetra libero.\r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc dignissim bibendum nisl, ut rutrum libero commodo eu. Suspendisse sapien nisl, tempor non tellus in, mattis adipiscing purus. Cras id mollis dui, porta mollis massa. Nunc vehicula urna ante, sed tristique diam malesuada a. Sed eu gravida est. Etiam ligula libero, rutrum et cursus sit amet, ultricies vitae urna. Donec venenatis rutrum erat in iaculis. Nulla facilisis sed magna non posuere. Donec nec sapien eget dolor ullamcorper porttitor. Quisque vitae sollicitudin quam. Nunc mollis gravida accumsan. Sed sit amet dolor at orci luctus tincidunt. In hac habitasse platea dictumst. Cras faucibus tellus quis nunc feugiat feugiat.\r\n\r\n','','filtered_html'),('node','blog',0,29,29,'und',0,'From the coastline of Whakatane, White Island appears on the horizon as a stereotypical volcano, the kind you may have doodled in schoolbooks as a kid. With its classic conical shape and plume of natural gases rising high above the crater rim, it seems to warn, “I am still breathing.”\r\n\r\nI was filled with excitement as I climbed aboard our vessel, the PeeJay5, and was both surprised and intrigued by my travelling companions to this unusual and adventurous destination. On my right, a middle aged couple in their 60’s with walking sticks, tramping shoes and cameras at the ready; on my left, a family of three with a five year old and one on the way; and across from me, two friends in their early twenties wearing skinny jeans and Converse, attached to their iPhones.\r\n\r\nAs our boat drifted down the Whakatane River through the harbour entrance into the Pacific Ocean, our trip to the island began. We passed little blue penguins, a pod of travelling dolphins and a rare blue shark sunning himself on the surface, one of the rarest sites I have ever seen on the water. The middle aged couple were snapping wildly, cheers of excitement roared from the five year old encouraged by mum and dad, and the young hipsters never saw a thing, keeping their eyes and attention firmly glued to playing games on their phones.\r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc dignissim bibendum nisl, ut rutrum libero commodo eu. Suspendisse sapien nisl, tempor non tellus in, mattis adipiscing purus. Cras id mollis dui, porta mollis massa. Nunc vehicula urna ante, sed tristique diam malesuada a. Sed eu gravida est. Etiam ligula libero, rutrum et cursus sit amet, ultricies vitae urna. Donec venenatis rutrum erat in iaculis. Nulla facilisis sed magna non posuere. Donec nec sapien eget dolor ullamcorper porttitor. Quisque vitae sollicitudin quam. Nunc mollis gravida accumsan. Sed sit amet dolor at orci luctus tincidunt. In hac habitasse platea dictumst. Cras faucibus tellus quis nunc feugiat feugiat.\r\n\r\nVivamus rutrum mi enim, vitae vehicula dui semper a. Phasellus volutpat elit sit amet leo venenatis congue. Proin faucibus dolor ac nisi tincidunt, et elementum eros fringilla. Donec sed dapibus massa. Aenean at vestibulum nisi. Fusce sem purus, tristique nec ultricies id, blandit at dui. Maecenas eu aliquam mauris. Fusce vel bibendum risus, ut commodo mauris. Nunc purus dolor, dapibus ut elit eget, dapibus congue odio. Sed adipiscing sem in augue lacinia vehicula. Nunc auctor, enim at luctus tempus, nulla mi tempor metus, nec ultricies augue elit non magna.\r\n\r\n','','full_html'),('node','blog',0,30,30,'und',0,'If San Diego is known for one thing, it would be for our gorgeous beaches. With 70 miles of pristine coastline, year-around sunshine and mild temperatures, you can enjoy the surf and sand almost any day of the year. For visitors and locals alike, the beach is a veritable wonderland and the place to spend entire days with family and friends. \r\n\r\nFrom expansive sandy beaches, rocky cliffs, reefs, tide pools and everything in between, the beaches in San Diego are as varied as the California beach towns that were built around them. Discover beaches perfect for families and dogs, beaches coveted by the world’s top surfers, or to enjoy a fire, play volleyball, spot sea creatures or simply relax and people watch. One thing’s for sure, on any given day at any beach in San Diego, you’ll find a front row seat to a magnificent display of the western sky as the sun descents into the Pacific.\r\n\r\nQuisque enim tellus, ullamcorper in sapien ac, porttitor adipiscing dui. Curabitur neque purus, interdum vitae fermentum a, condimentum a arcu. Cras ut metus bibendum, tincidunt est eu, laoreet sem. Aliquam erat volutpat. Phasellus sed vehicula leo. Suspendisse mattis lectus sit amet est lobortis viverra. Fusce porta semper nisi, et suscipit velit bibendum ac. Aliquam est mauris, condimentum vel nisi at, gravida pharetra libero.\r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc dignissim bibendum nisl, ut rutrum libero commodo eu. Suspendisse sapien nisl, tempor non tellus in, mattis adipiscing purus. Cras id mollis dui, porta mollis massa. Nunc vehicula urna ante, sed tristique diam malesuada a. Sed eu gravida est. Etiam ligula libero, rutrum et cursus sit amet, ultricies vitae urna. Donec venenatis rutrum erat in iaculis. Nulla facilisis sed magna non posuere. Donec nec sapien eget dolor ullamcorper porttitor. Quisque vitae sollicitudin quam. Nunc mollis gravida accumsan. Sed sit amet dolor at orci luctus tincidunt. In hac habitasse platea dictumst. Cras faucibus tellus quis nunc feugiat feugiat.\r\n\r\nVivamus rutrum mi enim, vitae vehicula dui semper a. Phasellus volutpat elit sit amet leo venenatis congue. Proin faucibus dolor ac nisi tincidunt, et elementum eros fringilla. Donec sed dapibus massa. Aenean at vestibulum nisi. Fusce sem purus, tristique nec ultricies id, blandit at dui. Maecenas eu aliquam mauris. Fusce vel bibendum risus, ut commodo mauris. Nunc purus dolor, dapibus ut elit eget, dapibus congue odio. Sed adipiscing sem in augue lacinia vehicula. Nunc auctor, enim at luctus tempus, nulla mi tempor metus, nec ultricies augue elit non magna.','','full_html'),('node','article',0,31,31,'und',0,'Philadelphia sits in the heart of the Northeast Corridor and is within a day\'s drive of 40% of the country’s population. By train or car, Philadelphia is less than two hours from New York City and less than three hours from Washington, D.C.\r\n\r\nGetting here is a breeze! At Philadelphia International Airport, 28 airlines (3 of which are low-fare carriers) operate nearly 600 daily nonstop flights from 120 cities, including 60 daily and seasonal flights from 36 international destinations. (View the Airport Terminal Map.) The short trek into Center City from the airport takes 20 Minutes on the Regional Rail Line. Flat-rate fare cabs and buses also make travel to and from the airport a quick and easy hop.\r\n\r\nVestibulum feugiat, nulla vulputate vestibulum condimentum, erat risus adipiscing turpis, ut tincidunt magna massa ac urna. Quisque sit amet sem in nulla convallis suscipit eu ut diam. Nulla mattis, massa sed auctor dapibus, mauris ligula faucibus lorem, aliquam convallis augue massa vitae dolor. Vestibulum malesuada pretium odio sit amet bibendum. Suspendisse potenti. Sed suscipit, leo vitae lacinia consectetur, tellus lorem vehicula magna, at auctor nibh nunc sed ante. Curabitur quis sapien pharetra, luctus diam vitae, consectetur felis. Ut tincidunt consequat erat, mattis pulvinar est volutpat at.\r\n\r\nNulla aliquam justo nibh, vitae porta erat rutrum ac. Quisque pellentesque, leo dictum dictum bibendum, nisi arcu eleifend neque, nec auctor nibh diam vel magna. Cras condimentum et mi at facilisis. Nullam fringilla, risus vel molestie tempus, libero enim viverra sapien, id sagittis dui nunc vel est. Aenean non dictum orci. Proin tellus dui, consequat sit amet urna semper, porta vehicula sem. Cras vitae urna eget lorem suscipit commodo vitae eget augue. Suspendisse quis nulla sed sem pulvinar aliquam non sed odio. Curabitur odio dolor, mattis non ante non, laoreet luctus neque.\r\n\r\nCras luctus libero sed vestibulum pellentesque. Proin quis nisi quam. Nulla vel nisl in velit tristique tempus sed a felis. In nulla tellus, rutrum nec interdum eu, dictum vitae mi. Aenean sit amet massa facilisis, posuere est nec, volutpat lorem. Aenean dapibus, tellus eu convallis pellentesque, velit lectus malesuada leo, non tincidunt ante ligula id enim. Nunc luctus semper velit et pellentesque. Proin gravida pulvinar eros, at elementum neque faucibus in. Mauris non tincidunt turpis. Aliquam erat volutpat. Mauris scelerisque rhoncus mauris, et ultrices diam scelerisque eu. Sed vitae leo sit amet ante vestibulum lobortis vel quis odio. Vestibulum eu massa nisi. Aenean dignissim urna enim, a tempor elit suscipit in. Cras gravida cursus ipsum eu scelerisque. Vivamus ultrices nisi nec erat euismod euismod.','','full_html'),('node','blog',0,32,32,'und',0,'There are so many things to see and do in Philly. From taking a stroll through historic homes and learning about the Liberty Bell to encountering many cultural gems and architecture — there\'s a tour for everyone and every group.\r\n\r\nNulla aliquam justo nibh, vitae porta erat rutrum ac. Quisque pellentesque, leo dictum dictum bibendum, nisi arcu eleifend neque, nec auctor nibh diam vel magna. Cras condimentum et mi at facilisis. Nullam fringilla, risus vel molestie tempus, libero enim viverra sapien, id sagittis dui nunc vel est. Aenean non dictum orci. Proin tellus dui, consequat sit amet urna semper, porta vehicula sem. Cras vitae urna eget lorem suscipit commodo vitae eget augue. Suspendisse quis nulla sed sem pulvinar aliquam non sed odio. Curabitur odio dolor, mattis non ante non, laoreet luctus neque.\r\n\r\nCras luctus libero sed vestibulum pellentesque. Proin quis nisi quam. Nulla vel nisl in velit tristique tempus sed a felis. In nulla tellus, rutrum nec interdum eu, dictum vitae mi. Aenean sit amet massa facilisis, posuere est nec, volutpat lorem. Aenean dapibus, tellus eu convallis pellentesque, velit lectus malesuada leo, non tincidunt ante ligula id enim. Nunc luctus semper velit et pellentesque. Proin gravida pulvinar eros, at elementum neque faucibus in. Mauris non tincidunt turpis. Aliquam erat volutpat. Mauris scelerisque rhoncus mauris, et ultrices diam scelerisque eu. Sed vitae leo sit amet ante vestibulum lobortis vel quis odio. Vestibulum eu massa nisi. Aenean dignissim urna enim, a tempor elit suscipit in. Cras gravida cursus ipsum eu scelerisque. Vivamus ultrices nisi nec erat euismod euismod.\r\n\r\nMorbi cursus nulla quis sem ultricies vehicula. Quisque convallis odio non ligula porttitor feugiat. Curabitur viverra, libero id sagittis accumsan, justo magna placerat dui, sed hendrerit libero dui et leo. Nullam mollis commodo lectus rutrum tincidunt. Sed congue neque porttitor erat luctus ultrices. Donec consequat eu neque sed imperdiet. Nullam commodo tempor faucibus. Nam imperdiet mi non commodo pharetra. Sed malesuada mauris et mi sagittis, a auctor nisl suscipit. Maecenas eleifend elit blandit dolor convallis, sed elementum nibh suscipit. In hac habitasse platea dictumst. Phasellus at risus nibh. Donec et sagittis tortor. Pellentesque eu auctor velit. Pellentesque id feugiat erat. Nullam congue augue felis, eu ultricies quam molestie ut.','','full_html'),('node','article',0,33,33,'und',0,'Madison, Wisconsin - The University of Wisconsin Hospital and Clinics emergency department this year is one of only 17 recipients of a prestigious award from the Emergency Nurses Association (ENA).\r\n \r\nThe emergency department is among those receiving the Lantern Award that recognizes emergency departments that have demonstrated exceptional and innovative approaches to leadership, practice, education, advocacy and research.\r\n\r\nEtiam eget risus magna. Curabitur lacinia massa sit amet blandit lobortis. Donec ac posuere nisi, in venenatis mi. Nunc turpis odio, ornare sit amet congue ac, varius eu sem. Integer et nibh at ipsum porttitor commodo. Aenean ultrices pulvinar risus, non rutrum tellus lobortis egestas. In dui libero, hendrerit placerat dictum sed, ullamcorper ac arcu. Curabitur tincidunt odio at dui tempus adipiscing. Cras tempor eleifend orci, a cursus urna lacinia non. Nunc sagittis id nisi id blandit. Cras suscipit porta egestas. Quisque ullamcorper vel neque sit amet congue.\r\n\r\nMauris fringilla elit elit, ac porta erat tempus eu. Nulla hendrerit quam metus. Curabitur quis scelerisque ipsum, at laoreet orci. Cras in luctus mi, sed tempus dolor. In interdum id ligula vitae iaculis. Pellentesque et blandit velit. Aenean rhoncus accumsan velit, quis pretium augue volutpat vitae. Donec dignissim est odio, non placerat magna blandit vitae. Nulla sed risus et elit vehicula convallis. Proin ullamcorper porttitor mi sed accumsan. Integer diam odio, vulputate et ornare quis, pellentesque ut nisi. Morbi in est quis orci molestie ultrices a sit amet mi. Fusce vitae magna eget quam feugiat sodales in et magna. Nullam ultrices, justo a mollis pulvinar, erat ipsum convallis metus, condimentum consequat magna sem nec risus. Pellentesque vel faucibus enim.\r\n\r\nNam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.\r\n\r\n','','full_html'),('node','article',0,34,34,'und',0,'Madison, Wisconsin - An evidence-based program to improve the health of pregnant women and their babies is beginning this month at the UW Health Arboretum Obstetrics and Gynecology Clinic, 1102 S. Park Street.\r\n \r\nCenteringPregnancy®, a national initiative of the Centering Healthcare Institute promoted by the March of Dimes, will bring together women in their fourth month of pregnancy to meet monthly, then every other week, for prenatal care, support and health education.\r\n \r\nMorbi cursus nulla quis sem ultricies vehicula. Quisque convallis odio non ligula porttitor feugiat. Curabitur viverra, libero id sagittis accumsan, justo magna placerat dui, sed hendrerit libero dui et leo. Nullam mollis commodo lectus rutrum tincidunt. Sed congue neque porttitor erat luctus ultrices. Donec consequat eu neque sed imperdiet. Nullam commodo tempor faucibus. Nam imperdiet mi non commodo pharetra. Sed malesuada mauris et mi sagittis, a auctor nisl suscipit. Maecenas eleifend elit blandit dolor convallis, sed elementum nibh suscipit. In hac habitasse platea dictumst. Phasellus at risus nibh. Donec et sagittis tortor. Pellentesque eu auctor velit. Pellentesque id feugiat erat. Nullam congue augue felis, eu ultricies quam molestie ut.\r\n\r\nEtiam eget risus magna. Curabitur lacinia massa sit amet blandit lobortis. Donec ac posuere nisi, in venenatis mi. Nunc turpis odio, ornare sit amet congue ac, varius eu sem. Integer et nibh at ipsum porttitor commodo. Aenean ultrices pulvinar risus, non rutrum tellus lobortis egestas. In dui libero, hendrerit placerat dictum sed, ullamcorper ac arcu. Curabitur tincidunt odio at dui tempus adipiscing. Cras tempor eleifend orci, a cursus urna lacinia non. Nunc sagittis id nisi id blandit. Cras suscipit porta egestas. Quisque ullamcorper vel neque sit amet congue.\r\n\r\nMauris fringilla elit elit, ac porta erat tempus eu. Nulla hendrerit quam metus. Curabitur quis scelerisque ipsum, at laoreet orci. Cras in luctus mi, sed tempus dolor. In interdum id ligula vitae iaculis. Pellentesque et blandit velit. Aenean rhoncus accumsan velit, quis pretium augue volutpat vitae. Donec dignissim est odio, non placerat magna blandit vitae. Nulla sed risus et elit vehicula convallis. Proin ullamcorper porttitor mi sed accumsan. Integer diam odio, vulputate et ornare quis, pellentesque ut nisi. Morbi in est quis orci molestie ultrices a sit amet mi. Fusce vitae magna eget quam feugiat sodales in et magna. Nullam ultrices, justo a mollis pulvinar, erat ipsum convallis metus, condimentum consequat magna sem nec risus. Pellentesque vel faucibus enim.','','filtered_html'),('node','article',0,35,35,'und',0,'Health personnel suffered over 1,800 violent incidents during 2013. As the report says, providing health care has remained as dangerous as ever over the last two years. In addition to reporting on attacks, the study highlights lesser-known types of incident, such as armed personnel disrupting hospital services by forcing their way in, or sexual violence against health personnel.\r\n\r\n\"Media reports only highlight violence affecting health services in just a few conflict-stricken countries, such as Syria,\" said Pierre Gentile, head of the ICRC-led \"Health Care in Danger\" project on the dangers facing health-care services. \"However, the ICRC report shows that the violence occurs in other countries too. It is therefore urgent that governments, armed forces and the health-care community step up their efforts to make health-care delivery safer all over the world.\"\r\n\r\nNam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.\r\n\r\nSed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.\r\n\r\nNullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat. Vestibulum accumsan mi orci, at ultricies mauris pharetra nec. Donec quis ligula posuere, imperdiet ante nec, malesuada diam. Fusce est nisi, tempus id magna id, blandit aliquet dolor. Maecenas sed dapibus augue. Etiam convallis justo nisl, nec condimentum neque feugiat non. Duis porta accumsan dictum.','','filtered_html'),('node','article',0,36,36,'und',0,'Madison, Wisconsin – While you\'re toiling away the first few beautiful days of spring reorganizing your garage, cleaning out your basement, or simply tossing all that superfluous \"stuff\" you\'ve accumulated over the last year, you might want to consider applying that same industrious ambition to other parts of your life as well.\r\n \r\nUW Health psychologist Shilagh Mirgain, PhD, says that doing a little spring cleaning of our own lives can make room for more of the things that bring us joy, health, and overall well-being.\r\n\r\nMauris fringilla elit elit, ac porta erat tempus eu. Nulla hendrerit quam metus. Curabitur quis scelerisque ipsum, at laoreet orci. Cras in luctus mi, sed tempus dolor. In interdum id ligula vitae iaculis. Pellentesque et blandit velit. Aenean rhoncus accumsan velit, quis pretium augue volutpat vitae. Donec dignissim est odio, non placerat magna blandit vitae. Nulla sed risus et elit vehicula convallis. Proin ullamcorper porttitor mi sed accumsan. Integer diam odio, vulputate et ornare quis, pellentesque ut nisi. Morbi in est quis orci molestie ultrices a sit amet mi. Fusce vitae magna eget quam feugiat sodales in et magna. Nullam ultrices, justo a mollis pulvinar, erat ipsum convallis metus, condimentum consequat magna sem nec risus. Pellentesque vel faucibus enim.\r\n\r\nNam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.\r\n\r\nSed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.\r\n\r\n','','filtered_html'),('node','article',0,37,37,'und',0,'Cameroon officials are to investigate claims that seven of their players were involved in match-fixing at the World Cup in Brazil. The ethics committee of the African country\'s football federation will look at allegations of \"fraud\" by \"seven bad apples\" in their three group games.\r\n\r\nThe allegations have been made in a German news magazine Der Spiegel by a convicted match fixer from Singapore. Cameroon lost all their Group A games, including a 4-0 defeat by Croatia. The Indomitable Lions had Alex Song sent off for lashing out at Mario Mandzukic in that game, while team-mates Benoit Assou-Ekotto and Benjamin Moukandjo clashed late on in the game.\r\n\r\nNam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.\r\n\r\nSed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.\r\n\r\nNullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat. Vestibulum accumsan mi orci, at ultricies mauris pharetra nec. Donec quis ligula posuere, imperdiet ante nec, malesuada diam. Fusce est nisi, tempus id magna id, blandit aliquet dolor. Maecenas sed dapibus augue. Etiam convallis justo nisl, nec condimentum neque feugiat non. Duis porta accumsan dictum.','','full_html'),('node','article',0,38,38,'und',0,'The loud, industrial buzz of the helicopter dulled down to a steady purr through my thick headphones. Wedged tightly between three seatmates in the back of the AStar, I was outwardly calm, but inwardly I was having an “Oh, my God, I can’t believe I’m actually doing this” moment. \r\n\r\nWe were being shuttled to a remote spot among the seemingly endless peaks of the Chugach Mountains in southeast Alaska where, ultimately, nine of us, all women, would click into fat powder skis or strap into snowboards for descents we’d been dreaming about all winter. Ranging in age from early 30s to mid-40s, we had come together to Valdez for this ultimate bucket-list ski trip.\r\n\r\nNam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.\r\n\r\nSed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.\r\n\r\nNullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat. Vestibulum accumsan mi orci, at ultricies mauris pharetra nec. Donec quis ligula posuere, imperdiet ante nec, malesuada diam. Fusce est nisi, tempus id magna id, blandit aliquet dolor. Maecenas sed dapibus augue. Etiam convallis justo nisl, nec condimentum neque feugiat non. Duis porta accumsan dictum.','','filtered_html'),('node','article',0,39,39,'und',0,'Andre Schürrle became the first German to score a World Cup goal while wearing the number nine shirt since Carsten Jancker against Saudi Arabia in 2002. Toni Kroos (473) has had more touches than any other player at this World Cup so far, Philipp Lahm (437) is the only other player to have more than 400. Thomas Muller has been directly involved in seven of Germany\'s last 12 goals at the World Cup finals (5 goals, 2 assists).\r\n\r\nMauris fringilla elit elit, ac porta erat tempus eu. Nulla hendrerit quam metus. Curabitur quis scelerisque ipsum, at laoreet orci. Cras in luctus mi, sed tempus dolor. In interdum id ligula vitae iaculis. Pellentesque et blandit velit. Aenean rhoncus accumsan velit, quis pretium augue volutpat vitae. Donec dignissim est odio, non placerat magna blandit vitae. Nulla sed risus et elit vehicula convallis. Proin ullamcorper porttitor mi sed accumsan. Integer diam odio, vulputate et ornare quis, pellentesque ut nisi. Morbi in est quis orci molestie ultrices a sit amet mi. Fusce vitae magna eget quam feugiat sodales in et magna. Nullam ultrices, justo a mollis pulvinar, erat ipsum convallis metus, condimentum consequat magna sem nec risus. Pellentesque vel faucibus enim.\r\n\r\nNam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.\r\n\r\nSed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.','','full_html'),('node','article',0,40,40,'und',0,'If your way of dealing with stress involves ranting to coworkers or face-planting in a bag of chips, we\'ve got a simpler, healthier idea for you: Spend less than half an hour practicing mindful meditation. A new study published in the journal Psychoneuroendocrinology is the first to show the positive effects of this increasingly popular type of meditation. It\'s a more focused, in-the-present way to meditate that\'s about inhaling and exhaling slowly so you can sense your muscles relax and feel tension being swept from your brain. \r\n\r\nNam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.\r\n\r\nSed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.\r\n\r\nDonec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.','','full_html'),('node','article',0,41,41,'und',0,'Blast unwanted fat and create a knockout butt with this two-phase program from Perkins. First, the \"Wake \'Em Up\" body-weight exercises are designed to light up your central nervous system and get your glutes primed and ready. \"Because they are a particularly sleepy muscle group, performing light glute-activation moves prior to weighted exercises will increase subsequent glute activation,\" says Perkins. Follow it up with the \"Build \'Em Up\" moves, which will challenge and stimulate your glutes to encourage muscle growth and rev your metabolism.\r\n\r\nTwo to three times a week, perform three sets of each exercise for the prescribed number of reps, resting 60 seconds between sets. Do all three sets for each exercise before moving on to the next. Remember: The last two reps of every set should be tough, but not so tough that your form suffers.\r\n\r\nSed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.\r\n\r\nNullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat. Vestibulum accumsan mi orci, at ultricies mauris pharetra nec. Donec quis ligula posuere, imperdiet ante nec, malesuada diam. Fusce est nisi, tempus id magna id, blandit aliquet dolor. Maecenas sed dapibus augue. Etiam convallis justo nisl, nec condimentum neque feugiat non. Duis porta accumsan dictum.\r\n\r\nDonec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.\r\n\r\nCras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.\r\n\r\n','','filtered_html'),('node','article',0,42,42,'und',0,'You\'re stressed. We\'re stressed. Everyone\'s stressed. No big deal, right? Because it\'s so common, you might think that if you\'re not lying on the floor from exhaustion, you\'re probably fine. But stress has an insidious way of creeping up on you, and it\'s not just a mental or emotional issue—stress symptoms can impact the body in some very visible (and bizarre) ways.\r\n\r\n\"One of the biggest problems I see in my practice is women coming in with multiple physical signs of stress,\" says Nancy Molitor, Ph.D., a psychiatry professor at Northwestern University Feinberg School of Medicine. In fact, a new study found that stress and other negative emotions were consistently linked to poor physical health in more than 150,000 people in 142 countries. That\'s because the mind and body are intrinsically connected:\r\n\r\nNam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.\r\n\r\nSed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.\r\n\r\nNullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat. Vestibulum accumsan mi orci, at ultricies mauris pharetra nec. Donec quis ligula posuere, imperdiet ante nec, malesuada diam. Fusce est nisi, tempus id magna id, blandit aliquet dolor. Maecenas sed dapibus augue. Etiam convallis justo nisl, nec condimentum neque feugiat non. Duis porta accumsan dictum.\r\n\r\nDonec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.','','filtered_html'),('node','article',0,43,43,'und',0,'Find out if the green stuff\'s weight-loss power extends to flavored ice cream, iced tea, and extract. I\'ll admit it: I had a mini celebration when I learned green tea has the incredible power to shift your fat-fighting metabolism into high gear. And, yes, I kicked my heels in the air when I found research suggesting that exercisers who drink green tea lose twice as much weight as those who don\'t.\r\n\r\nFast forward to me pushing a shopping-cart-full of green tea products around my local grocery store. I was buying green tea everything. Ice cream, noodles, etc. Who was I fooling? The weight-loss benefits are in the epigallocatechin gallate (a.k.a. EGCG, a health-boosting antioxidant) found in green tea. Not the green tea flavor....\r\n\r\nDonec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.\r\n\r\nCras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.\r\n\r\nEtiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci. Fusce a lorem elementum sem tempor ullamcorper. Sed sed est vitae turpis elementum fermentum. Aliquam ullamcorper erat tortor, et suscipit enim fringilla ut. Nulla facilisi. Nam blandit hendrerit massa eu gravida. Nam metus tellus, faucibus at lacinia non, venenatis ac lorem. Curabitur a ultricies ante, at sodales lectus. Sed odio metus, eleifend et nunc et, porta ullamcorper libero. Vivamus bibendum, erat non euismod mattis, tortor neque auctor nisl, nec malesuada metus leo sed lectus. In a bibendum dui, nec feugiat urna.\r\n\r\n','','full_html'),('node','article',0,44,44,'und',0,'Most women we know won’t leave the house without mascara, and it’s easy to see why. Mascara is the one product that instantly makes you look more put together, more awake, more alive. But are you making the most of your mascara’s lash boosting powers? It turns out there are strategic ways to apply your mascara to play up your specific eye shape. We caught up with Sonia Kashuk, makeup artist and founder of Sonia Kashuk Beauty, to learn the simple tricks that can transform your look with just a swipe of the wand. \r\n\r\nSed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.\r\n\r\nNullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat. Vestibulum accumsan mi orci, at ultricies mauris pharetra nec. Donec quis ligula posuere, imperdiet ante nec, malesuada diam. Fusce est nisi, tempus id magna id, blandit aliquet dolor. Maecenas sed dapibus augue. Etiam convallis justo nisl, nec condimentum neque feugiat non. Duis porta accumsan dictum.\r\n\r\nDonec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.\r\n\r\nCras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.\r\n\r\n','','full_html'),('node','article',0,45,45,'und',0,'Welcome to your wedding day! With the stress of planning behind you, you might think the big day will be easy-breezy, and it should be -- as long as you can navigate these six potential stress bombs.\r\n\r\nWeddings come with a host of heavy emotions, especially when your son or daughter is the star of the show. Some moms might be adept at handling stress, while others might teeter closer to meltdown territory. If you know your mom or future MIL might get a little testy, plan to keep your distance. (If you\'ll be getting your hair and makeup done at 10am, schedule her appointment for noon.) Hang a sign that reads: \"Stress-Free Zone: Bride and Bridesmaids Only Beyond This Point\" on your hotel suite. If a manic mama busts in anyway, appoint a bridesmaid to run interference, steering her gently toward the door before she asks if she can quickly rearrange some tables on your seating chart.\r\n\r\nDonec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.\r\n\r\nCras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.\r\n\r\nEtiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci. Fusce a lorem elementum sem tempor ullamcorper. Sed sed est vitae turpis elementum fermentum. Aliquam ullamcorper erat tortor, et suscipit enim fringilla ut. Nulla facilisi. Nam blandit hendrerit massa eu gravida. Nam metus tellus, faucibus at lacinia non, venenatis ac lorem. Curabitur a ultricies ante, at sodales lectus. Sed odio metus, eleifend et nunc et, porta ullamcorper libero. Vivamus bibendum, erat non euismod mattis, tortor neque auctor nisl, nec malesuada metus leo sed lectus. In a bibendum dui, nec feugiat urna.\r\n\r\nSuspendisse imperdiet volutpat dui, eget scelerisque lacus lacinia in. Vivamus molestie ipsum eleifend tellus tincidunt ultricies. Fusce id magna ac enim mollis tristique. Curabitur porttitor laoreet nulla eu sollicitudin. Proin consectetur porta nisi vel cursus. Nunc egestas vulputate sapien, vitae tempor odio gravida ut. Nunc ullamcorper aliquet ante, quis sodales velit hendrerit non. Sed iaculis ipsum at massa malesuada tempus. Pellentesque et nisl nec tellus pharetra tincidunt. Sed commodo congue urna, ut condimentum est sagittis id.','','filtered_html'),('node','article',0,46,46,'und',0,'Wedding vows give brides and grooms the chance to express what\'s in their heart of hearts. But sometimes those beautifully crafted sentences come from far less sincere places. Below, 12 users on Whisper -- a free app where people share their secrets anonymously -- cop to the cringe-worthy ways they came up with their wedding vows, if they even managed to get that far.\r\n\r\nSuspendisse imperdiet volutpat dui, eget scelerisque lacus lacinia in. Vivamus molestie ipsum eleifend tellus tincidunt ultricies. Fusce id magna ac enim mollis tristique. Curabitur porttitor laoreet nulla eu sollicitudin. Proin consectetur porta nisi vel cursus. Nunc egestas vulputate sapien, vitae tempor odio gravida ut. Nunc ullamcorper aliquet ante, quis sodales velit hendrerit non. Sed iaculis ipsum at massa malesuada tempus. Pellentesque et nisl nec tellus pharetra tincidunt. Sed commodo congue urna, ut condimentum est sagittis id.\r\n\r\nSed molestie mollis ipsum id pharetra. Etiam porttitor pretium ante, id eleifend lectus dignissim non. Maecenas dapibus auctor blandit. Morbi condimentum tempus urna. Maecenas tristique magna varius, rhoncus dolor commodo, iaculis mi. Proin sem lacus, sagittis vitae venenatis nec, laoreet in leo. Nunc pellentesque mollis neque at aliquet. Cras consectetur magna ac tempus elementum. Maecenas molestie tempus ligula ut iaculis. Nulla velit metus, malesuada id fermentum quis, feugiat nec massa. Nullam congue, dolor elementum interdum hendrerit, eros ipsum commodo elit, a placerat nulla dui eget erat.\r\n\r\nSed placerat ut velit nec sagittis. Vestibulum congue, lectus at scelerisque suscipit, nulla odio scelerisque augue, vel commodo velit mauris vel lectus. Aliquam et lectus faucibus ligula mollis feugiat vel quis augue. Nullam at erat vel lacus semper congue. Integer sed lectus est. In posuere, nisi in facilisis fermentum, libero augue lobortis diam, gravida blandit nunc urna ac ipsum. Suspendisse rhoncus consectetur urna, sit amet semper arcu rutrum id. In pretium tincidunt lectus, eget euismod sapien congue egestas. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Praesent urna arcu, tincidunt vitae massa sed, molestie ornare risus. Sed aliquam pretium metus, at venenatis elit gravida non.\r\n\r\n','','full_html'),('node','article',0,47,47,'und',0,'A planned kiss between newlyweds has a certain amount of magic, but the kisses stolen when no one (but the photographer!) is looking are breathtaking. Peek into a few real weddings and enjoy some sweet kisses that are guaranteed to make you feel all warm and fuzzy.\r\n\r\nNam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.\r\n\r\nSed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.\r\n\r\nNullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat. Vestibulum accumsan mi orci, at ultricies mauris pharetra nec. Donec quis ligula posuere, imperdiet ante nec, malesuada diam. Fusce est nisi, tempus id magna id, blandit aliquet dolor. Maecenas sed dapibus augue. Etiam convallis justo nisl, nec condimentum neque feugiat non. Duis porta accumsan dictum.','','full_html'),('node','article',0,48,48,'und',0,'Dating again and unable to shake the feeling that you\'re doing the whole thing all wrong? We don\'t blame you. Today\'s dating landscape is evolving so fast, it can feel nearly impossible to keep up. But before you give up and become one of those people who post \"forever alone\" memes on the Internet, we’ve got some pointers for you.\r\n\r\nNullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat. Vestibulum accumsan mi orci, at ultricies mauris pharetra nec. Donec quis ligula posuere, imperdiet ante nec, malesuada diam. Fusce est nisi, tempus id magna id, blandit aliquet dolor. Maecenas sed dapibus augue. Etiam convallis justo nisl, nec condimentum neque feugiat non. Duis porta accumsan dictum.\r\n\r\nDonec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.\r\n\r\nCras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.\r\n\r\nEtiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci. Fusce a lorem elementum sem tempor ullamcorper. Sed sed est vitae turpis elementum fermentum. Aliquam ullamcorper erat tortor, et suscipit enim fringilla ut. Nulla facilisi. Nam blandit hendrerit massa eu gravida. Nam metus tellus, faucibus at lacinia non, venenatis ac lorem. Curabitur a ultricies ante, at sodales lectus. Sed odio metus, eleifend et nunc et, porta ullamcorper libero. Vivamus bibendum, erat non euismod mattis, tortor neque auctor nisl, nec malesuada metus leo sed lectus. In a bibendum dui, nec feugiat urna.','','full_html'),('node','article',0,49,49,'und',0,'Since Etsy.com launched in 2005, the online marketplace featuring over 800,00 vendors selling their handmade wares has become a go-to resource for couples looking to elevate their nuptials with one-of-kind, DIY touches (there\'s even a dedicated section of the site just for weddings).\r\n\r\nBelow, we present a curated selection of our favorite wedding objects from Etsy sellers. We\'ll be bringing you a new object, and its unique story, every week, so check back frequently.\r\n\r\nDonec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.\r\n\r\nCras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.\r\n\r\nEtiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci. Fusce a lorem elementum sem tempor ullamcorper. Sed sed est vitae turpis elementum fermentum. Aliquam ullamcorper erat tortor, et suscipit enim fringilla ut. Nulla facilisi. Nam blandit hendrerit massa eu gravida. Nam metus tellus, faucibus at lacinia non, venenatis ac lorem. Curabitur a ultricies ante, at sodales lectus. Sed odio metus, eleifend et nunc et, porta ullamcorper libero. Vivamus bibendum, erat non euismod mattis, tortor neque auctor nisl, nec malesuada metus leo sed lectus. In a bibendum dui, nec feugiat urna.\r\n\r\n','','filtered_html'),('node','showcase',0,50,50,'und',0,'<a href=\"http://demo.weebpal.com/#magazine\" target=\"_blank\">Click to visit</a>','','full_html'),('node','showcase',0,51,51,'und',0,'<a href=\"http://demo.weebpal.com/#real-estate\" target=\"_blank\">Click to visit</a>','','filtered_html'),('node','showcase',0,52,52,'und',0,'<a href=\"http://demo.weebpal.com/#hotel\" target=\"_blank\">Click to visit</a>','','filtered_html'),('node','showcase',0,53,53,'und',0,'<a href=\"http://demo.weebpal.com/#education\" target=\"_blank\">Click to visit</a>','','filtered_html'),('node','showcase',0,54,54,'und',0,'<a href=\"http://demo.weebpal.com/#news\" target=\"_blank\">Click to visit</a>','','filtered_html'),('node','showcase',0,55,55,'und',0,'<a href=\"http://demo.weebpal.com/#garnet\" target=\"_blank\">Click to visit</a>','','full_html'),('node','showcase',0,56,56,'und',0,'<a href=\"http://demo.weebpal.com/#business\" target=\"_blank\">Click to visit</a>','','filtered_html'),('node','showcase',0,57,57,'und',0,'<a href=\"http://demo.weebpal.com/#onepage\" target=\"_blank\">Click to visit</a>','','full_html'),('node','showcase',0,58,58,'und',0,'<a href=\"http://demo.weebpal.com/#new-shopping\" target=\"_blank\">Click to visit</a>','','filtered_html'),('node','showcase',0,59,59,'und',0,'<a href=\"http://demo.weebpal.com/#zircon_ii\" target=\"_blank\">Click to visit</a>','','full_html'),('node','showcase',0,60,60,'und',0,'<a href=\"http://demo.weebpal.com/#blog_theme\" target=\"_blank\">Click to visit</a>','','full_html'),('node','showcase',0,62,62,'und',0,'<a href=\"http://demo.weebpal.com/#zircon-drupal-8\" target=\"_blank\">Click to visit</a>','','full_html'),('node','showcase',0,63,63,'und',0,'<a href=\"http://weebpal.com/drupal-themes/autox\" target=\"_blank\">Click to visit</a>','','full_html'),('node','page',0,64,64,'und',0,'\r\n\r\nAliquam aliquam tristique aliquam. Quisque eleifend eget turpis blandit commodo. Donec quis ante lacinia, dapibus diam at, auctor risus? Vestibulum porta interdum suscipit? Ut neque nunc, tincidunt nec nisl ut, elementum ultricies orci. Nam sit amet auctor enim. Suspendisse congue nulla sed sagittis auctor! Ut venenatis nulla turpis, vel fringilla lacus elementum sit amet. Nunc eu nunc gravida, dictum orci vel, cursus velit. Nam tincidunt nunc quis nunc congue, at sagittis nisi ultricies. Nam vitae consectetur ante. Phasellus at sapien metus.\r\n\r\nProin leo purus, imperdiet et enim quis, faucibus rutrum nisi. Aliquam venenatis urna nec tellus commodo, vel auctor purus semper? Nullam ultricies dignissim nulla, vitae fermentum lectus faucibus nec. Nulla facilisi. In hac habitasse platea dictumst. Mauris orci arcu, imperdiet sed accumsan porttitor, vulputate sit amet augue. Sed ultricies est vitae libero semper; quis sagittis ligula fringilla. Maecenas a risus sed diam consequat aliquam. Vivamus molestie tempus luctus. Etiam condimentum nunc a purus accumsan bibendum.\r\n\r\nStet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.\r\n\r\nExcepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sanctus sea sed takimata ut vero voluptua. Lorem ipsum dolor sit amet. At vero eos et accusam et justo duo dolores et ea rebum.\r\n\r\nConsetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.\r\n\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec quam felis, ultricies nec, pellentesque eu, pretium quis, sem. Nulla consequat massa quis enim. Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu. In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus.\r\n\r\nVivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum.\r\n\r\nNam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus.\r\n\r\nNullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.\r\n\r\nVestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.\r\n\r\nSed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac placerat dolor lectus quis orci. Phasellus consectetuer vestibulum elit. Aenean tellus metus, bibendum sed, posuere ac, mattis non, nunc. Vestibulum fringilla pede sit amet augue. In turpis. Pellentesque posuere. Praesent turpis. Aenean posuere, tortor sed cursus feugiat, nunc augue blandit nunc, eu sollicitudin urna dolor sagittis lacus. Donec elit libero, sodales nec, volutpat a, suscipit non, turpis. Nullam sagittis. Suspendisse pulvinar, augue ac venenatis condimentum, sem libero volutpat nibh, nec pellentesque velit pede quis nunc. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Fusce id purus. Ut varius tincidunt libero. Phasellus dolor. Maecenas vestibulum mollis\r\n','','full_html'),('node','forum',0,70,70,'und',0,'Euismod macto occuro. Commodo eligo enim incassum jugis mauris tum. Eligo lenis loquor os quidem rusticus. Quae qui typicus valde vulputate. Commodo iaceo iriure sagaciter sit. Distineo dolore exerci inhibeo lobortis tincidunt ulciscor. Comis ea loquor neque tamen vereor vindico virtus. Capto dignissim incassum quis si typicus.\r\n\r\nAmet causa esse gemino hos iusto letalis nunc. Exputo facilisi humo metuo pecus plaga sagaciter verto. Abigo blandit letalis molior vindico. Cogo commoveo te venio vindico. Augue bene conventio diam iriure magna neque si singularis. Abluo aliquam cui esca ymo. Ad feugiat melior pneum ratis scisco suscipit vero wisi. Esca exputo ibidem inhibeo luptatum odio paulatim quibus tamen torqueo. Ad dolor hos imputo in neo quidne ulciscor virtus.\r\n\r\nBrevitas melior quidne velit. Abico fere mos os plaga sudo tum vulputate. Iustum quis refero saepius ulciscor. Adipiscing damnum decet nimis nostrud occuro sagaciter vindico. Commoveo dignissim ea esse exputo pecus venio voco. Erat hendrerit valetudo. Acsi dolor duis importunus melior persto quae. Causa et gravis iusto melior quis ratis scisco valetudo virtus. Et sagaciter sed.\r\n\r\nAntehabeo diam quis. Cui nimis pneum praesent refero utrum. Amet et ex laoreet magna minim plaga quidem sed.\r\n\r\nEuismod ibidem incassum saluto. Appellatio molior saepius. Consequat imputo lucidus obruo virtus. Aptent dignissim distineo esca ibidem imputo modo paratus patria quis. Abluo adipiscing aliquam eligo letalis luctus populus proprius rusticus validus. Commoveo duis jus meus valde. Dolus importunus te ullamcorper volutpat. Dolore quia usitas vel. Eum illum vero vindico. Facilisis tincidunt uxor. Cui decet imputo macto mos nostrud pertineo quadrum ratis sagaciter.\r\n\r\nAccumsan appellatio eu macto sudo veniam. Accumsan blandit consectetuer ea hendrerit refoveo tum usitas. Facilisis humo lobortis luptatum magna ullamcorper. Elit eros olim saluto sit turpis validus. Esse gravis jumentum lucidus meus nibh suscipit tego. Elit jus persto sudo venio vereor.\r\n\r\nAbico ludus torqueo. Abdo dignissim hendrerit os quae quidne sed usitas uxor venio. Euismod secundum tamen. Caecus dolus gravis natu tum virtus. Ad aliquam consectetuer diam macto minim ulciscor velit vulputate.\r\n\r\nCamur illum in tamen. Autem cui refoveo utinam. Abico eros facilisis fere iustum neque quidem suscipit tation te. Inhibeo nisl sino verto.\r\n\r\nEsse iaceo ibidem incassum nulla. Dolus et importunus ludus molior suscipit utinam. Abluo enim sit tum volutpat. Dolus huic in meus saepius scisco usitas. Aliquam esca volutpat.\r\n\r\nBene brevitas hendrerit importunus jus metuo quidne ratis tation. Ad causa distineo incassum lobortis macto nimis probo sed. Abico conventio interdico melior obruo quis vicis.\r\n\r\nAbdo amet euismod jumentum quibus tation vel. Decet esse probo quis refoveo. Abico autem consectetuer decet euismod fere luptatum molior scisco sed. Camur causa eros iaceo luptatum nobis qui ulciscor validus. Autem capto comis commodo defui letalis neque nobis. Blandit conventio premo probo tamen valetudo.\r\n\r\nAugue distineo dolus enim exerci jumentum singularis vereor vero ymo. Aptent defui dolore gravis magna tum vicis. Accumsan bene blandit eu facilisi gemino loquor ludus si. Abigo duis iriure luptatum nimis probo veniam. Et minim obruo pagus probo saluto tum vindico. Appellatio comis diam iaceo neque sit torqueo typicus.\r\n','','full_html'),('node','forum',0,71,71,'und',0,'Comis commodo hendrerit metuo quia refoveo. Eligo gemino huic metuo proprius refero roto. Aliquip eros tego ullamcorper. Commodo dignissim enim incassum olim premo. Damnum iaceo interdico magna pagus usitas. Abbas caecus commoveo diam enim obruo proprius uxor velit vulpes.\r\n\r\nCapto commoveo lobortis roto. Decet loquor metuo sudo. Huic immitto pala tamen tation valde. Exerci rusticus vel vero. Dignissim gilvus gravis nostrud nulla quidem valetudo. Nibh oppeto ratis ut vindico volutpat. Consectetuer paratus proprius tincidunt ullamcorper venio vero. Diam dolus iusto jus populus premo quibus quidem volutpat wisi.\r\n\r\nConsequat distineo humo paulatim refero tation tincidunt. Acsi dolus feugiat haero interdico jus si. Ille obruo paulatim populus ratis.\r\n\r\nConsectetuer decet nimis nunc validus. Cui haero nimis oppeto secundum. Refoveo veniam vulpes.\r\n\r\nAntehabeo meus natu tum. At autem caecus elit lucidus modo sino velit venio. Accumsan laoreet praesent. Camur gemino hendrerit luptatum praemitto proprius singularis. Abigo ad capto duis nulla. Abdo caecus commoveo sed te. Abbas iaceo minim te verto. Consectetuer et eu macto. Dolor gilvus humo iusto neo paratus. Odio paratus pecus praemitto saluto suscipere typicus virtus.\r\n\r\nCausa ea et facilisi nulla pala uxor validus vicis. Luptatum nostrud occuro pala premo volutpat. Caecus nibh paratus vel ymo. At exputo iaceo illum lucidus persto tation tego. Bene incassum pala.\r\n\r\nCommodo damnum dolus quidem. Augue exputo pertineo quidne tation tincidunt valetudo. Cui metuo quidne ulciscor utrum validus. Ideo iusto qui saluto utrum veniam vindico vulpes. Damnum gravis modo secundum. Augue ibidem olim virtus. Elit iaceo modo. Abigo immitto minim paulatim pecus quadrum valde. Luptatum quibus ratis sino. Aptent humo ideo mos paratus sino velit. Abigo consequat dolor haero humo iaceo natu velit.\r\n\r\nAccumsan blandit et gilvus plaga scisco sino wisi. Ex imputo letalis praesent. Augue autem causa interdico mauris os proprius tamen. Antehabeo macto utrum. Consequat facilisi turpis. Feugiat natu nunc os. Aliquip fere gemino luctus. At augue metuo qui vulputate. Abico hendrerit humo lucidus. Abbas dolus in incassum macto meus scisco torqueo.\r\n','','full_html'),('node','forum',0,72,72,'und',0,'Blandit imputo iriure laoreet modo te ullamcorper. Consequat facilisis inhibeo si typicus veniam virtus. Damnum exerci meus saepius uxor velit ymo zelus. Abico adipiscing damnum et lenis letalis nostrud vereor virtus volutpat. Appellatio caecus camur commoveo iriure minim proprius valde. Brevitas erat facilisis feugiat nobis quadrum te vulpes.\r\n\r\nAccumsan aliquam exputo ibidem luctus ulciscor ut. Aptent gemino importunus nostrud olim sudo ymo. Abluo antehabeo dolore humo mauris metuo oppeto sagaciter scisco utinam. Camur eu verto. Acsi ad damnum immitto olim os quadrum ratis utrum vereor. Autem decet dolore fere haero loquor quidem saluto sudo utinam. Consequat paulatim pertineo ratis tum.\r\n\r\nAntehabeo erat imputo refero. Mos oppeto pertineo qui suscipere validus. Abigo ex refoveo. Illum plaga suscipere. Antehabeo aptent commodo facilisi pecus secundum singularis te validus. Augue capto dolore ex ibidem mauris natu quibus similis.\r\n\r\nAugue ex gilvus hendrerit iriure neo refoveo sed. Cui dolore gemino hos pecus refero tum ut valetudo. Consequat enim exerci importunus pala te. Antehabeo distineo euismod ille metuo sudo. Nunc pala typicus.\r\n\r\nAt exerci gilvus iriure luptatum nutus similis. Cogo meus patria pneum saepius. Causa defui eum huic jugis refoveo scisco tamen ulciscor. Abigo dolus eligo jus magna occuro pecus singularis tego turpis.\r\n\r\nAntehabeo facilisis iaceo ille neque quidne verto vulpes zelus. Abbas antehabeo erat esca esse haero nibh praemitto quia. Dolus genitus humo loquor os secundum ulciscor valetudo venio vicis. Abbas commodo gravis magna rusticus.\r\n\r\nGravis lucidus neo paulatim voco. Abbas bene hos ille iusto lucidus pertineo refoveo. Comis et exerci iaceo importunus oppeto proprius secundum sed. Causa diam et ex quae quia roto rusticus vero. Duis jumentum occuro persto quia singularis validus velit. Appellatio blandit caecus consequat damnum pecus roto tum utinam.\r\n\r\nErat lucidus nobis pneum torqueo turpis vindico. Antehabeo duis loquor. Adipiscing appellatio et feugiat illum lucidus quadrum saluto uxor vel. Aliquip damnum elit sino veniam. Blandit imputo mauris nimis premo quidne. Distineo dolor esca gemino importunus metuo paratus tincidunt wisi. Ad augue blandit euismod exerci sit. Abdo augue consequat ibidem iusto refoveo vulputate.\r\n\r\nCogo esca hendrerit humo immitto imputo quidne tincidunt. Meus nutus quae sino utrum velit vindico. Iusto magna meus nulla. Capto dolus euismod gemino scisco sed. Dignissim eros eum persto sit utrum. Commoveo nutus uxor. At iaceo ideo jus ludus rusticus sagaciter sed torqueo vindico.\r\n','','full_html'),('node','forum',0,73,73,'und',0,'Dolore duis gemino humo jumentum melior. Dolus euismod facilisis ideo mauris neque nostrud occuro oppeto ymo. Abbas abico blandit dignissim haero nimis nobis os suscipere virtus. Abigo feugiat iustum minim premo saepius utrum. Fere huic ibidem illum lenis pala te. Adipiscing facilisis feugiat iusto neque plaga ymo. Abico elit genitus huic ibidem ideo inhibeo praesent saluto si.\r\n\r\nBlandit conventio premo tamen valetudo. Augue distineo dolus enim exerci jumentum singularis vereor vero ymo. Defui dolore magna vicis. Accumsan bene blandit eu facilisi gemino loquor ludus praemitto si.\r\n\r\nAbigo iriure luptatum nimis probo veniam. Et minim obruo pagus probo saluto secundum suscipere tum vindico.\r\n\r\nAppellatio comis diam dolore iaceo neque sit torqueo typicus. Occuro sit voco. Cui damnum ideo natu refero scisco. Eligo huic metuo refero roto. Aliquip eros jumentum obruo olim ratis tego ullamcorper. Commodo enim incassum olim.\r\n\r\nAt esca jumentum quadrum uxor. Antehabeo damnum dolore persto roto vulputate. Decet dolor eligo esca meus similis sino velit volutpat. Abigo facilisi hendrerit importunus nutus paratus pecus sudo voco. Abico facilisis metuo nunc si suscipere tum. Bene ludus luptatum pecus torqueo volutpat vulputate. Abbas esse et euismod inhibeo jugis ludus occuro turpis volutpat.\r\n\r\nDamnum elit iaceo nunc quidne refero tamen utinam volutpat. Refoveo saluto valde vulpes. Fere feugiat quidne sagaciter vel vereor. Illum lucidus luptatum minim probo sit. At caecus commoveo lobortis loquor quidne tamen wisi. Caecus commodo dolus immitto. Interdico refoveo ulciscor. Abbas acsi caecus dolore jugis luptatum pertineo utinam.\r\n\r\nAbbas caecus commoveo inhibeo metuo proprius refero rusticus sino venio. Fere genitus hos pneum refero saluto. Capto suscipere tum. Bene dolore erat euismod humo iriure persto saepius veniam vicis. Decet ideo importunus meus mos. At decet enim laoreet natu neque pecus. Acsi nobis praesent probo quis ratis venio.\r\n\r\nConsectetuer exerci gemino immitto metuo patria refoveo ulciscor utinam. Caecus camur hos laoreet natu plaga probo ullamcorper. Abluo probo saepius. Dolor facilisis iusto meus nibh typicus ullamcorper validus. Ratis sudo uxor. Abluo adipiscing camur minim ulciscor ut vicis voco wisi. Adipiscing magna nobis populus quadrum sagaciter sed ullamcorper virtus.\r\n\r\nExerci facilisi fere importunus probo. Elit in jumentum. Accumsan blandit minim singularis vulputate. Diam et laoreet olim tego usitas vero. Ille in iriure scisco tamen validus wisi.\r\n\r\nInhibeo nostrud typicus. Aliquip defui diam genitus incassum praemitto validus. Aliquip capto obruo quadrum quibus quis. Amet aptent brevitas caecus commoveo consequat populus si. Abbas amet euismod eum loquor ludus proprius ratis roto vulputate. Abigo autem jus letalis pagus quibus utinam vulpes. Aliquip dignissim importunus imputo valde.\r\n','','full_html'),('node','forum',0,74,74,'und',0,'Camur causa eu incassum refero tation. Feugiat natu nunc os. Aliquip gemino luctus. At augue haero metuo modo neo qui valde vulputate. Abico gemino genitus hendrerit humo lucidus praemitto tum turpis. Autem camur consequat immitto lenis lobortis macto natu typicus. Haero probo volutpat. Abluo aliquip comis letalis magna pecus sed utinam. Lucidus quis tego.\r\n\r\nEnim luptatum ratis sagaciter ut volutpat. Distineo dolor genitus quia quidem si tamen. Abbas feugiat interdico singularis. Brevitas facilisis feugiat te vulpes.\r\n\r\nAccumsan ibidem ut. Aptent gemino importunus nostrud olim sudo ymo. Abluo antehabeo dolore humo metuo sagaciter scisco. Ad capto enim erat immitto nostrud patria plaga saluto vulpes. Causa cogo quae suscipit voco. Amet eu secundum. Aliquam decet gravis sit valde. Abigo causa dignissim ibidem meus quis refoveo turpis. Euismod mos oppeto pertineo qui similis sudo suscipere tamen validus.\r\n\r\nAbigo ex refoveo. Eligo illum plaga suscipere usitas. Abdo aptent nunc quibus torqueo. Augue dolore ex. Augue eu laoreet modo similis. Amet commodo euismod luctus meus praemitto. Ad quadrum uxor. Adipiscing at cogo enim luctus probo roto. Cogo laoreet roto.\r\n\r\nNunc pala typicus. Exerci gilvus iriure luptatum nutus similis. Meus pneum saepius. Causa defui eum huic jugis scisco ulciscor. Abigo dolus eligo jus magna occuro pecus singularis tego turpis.\r\n\r\nVerto vulpes zelus. Abbas antehabeo erat esca esse haero nibh praemitto quia. Genitus humo loquor os secundum valetudo vicis.\r\n\r\nAbbas causa commodo gravis iaceo magna pala rusticus secundum verto. Cogo eum huic laoreet typicus. Esca ex gravis illum nisl pertineo sed valde.\r\n\r\nAbluo blandit iaceo jus vulpes. Esse eu fere feugiat mauris populus qui velit verto. Distineo huic neo nostrud nunc pala paulatim voco. Commoveo esse ibidem in paratus paulatim tum ut velit.\r\n\r\nCogo gilvus haero magna meus paulatim populus tamen. Amet genitus ideo rusticus vindico. Aptent dignissim suscipit. Cogo elit hos minim pala premo sit torqueo voco. At meus quis. Diam elit eros interdico iustum verto. Abdo augue iusto vulputate.\r\n\r\nCogo esca hendrerit humo immitto imputo quidne tincidunt. Meus nutus quae sino utrum velit vindico. Dignissim iusto luctus magna meus nulla proprius secundum. Amet brevitas nostrud nunc suscipere. Accumsan interdico nostrud plaga sed.\r\n','','full_html'),('node','forum',0,75,75,'und',0,'Camur conventio exerci exputo feugiat populus premo qui ullamcorper. Abbas hos importunus iriure lenis luptatum te ymo.\r\n\r\nCommodo interdico jus metuo nutus populus praesent valde valetudo vicis.\r\n\r\nCogo cui gravis hos paratus tamen. Et melior scisco virtus. Et interdico mauris nostrud sagaciter sed tincidunt. Bene blandit capto elit eu iaceo modo nibh populus. Cui defui ibidem nimis pneum praesent refero utrum. Amet laoreet magna plaga sed. Euismod ibidem incassum saluto. Appellatio iusto molior saepius. Consequat decet imputo in lucidus obruo quis ratis tamen virtus.\r\n\r\nAptent distineo esca ibidem imputo. Comis eros esca huic nobis similis sudo. Dolor eligo exputo nostrud obruo plaga usitas vicis. Incassum nibh secundum vulputate. Facilisi imputo natu obruo premo tego tincidunt veniam zelus. Blandit eum mos nunc praesent premo venio. Illum inhibeo paratus proprius quidne suscipere virtus. Ea eum jumentum laoreet plaga rusticus singularis te. Augue dolor lobortis.\r\n\r\nAccumsan duis elit neo nimis quae saluto suscipere. Appellatio dignissim odio quia ratis refoveo vero. Augue esca eum exerci populus utinam. Immitto nutus vereor. Diam fere occuro. Elit jus persto sudo vereor. Abico damnum ludus torqueo turpis virtus. Aptent eligo melior obruo os si suscipit valetudo vindico virtus. Causa nibh paulatim probo similis.\r\n\r\nBlandit ea eros jugis roto tum utrum. Caecus commoveo lenis tation ut vulputate. Aptent commodo esca ex hendrerit iaceo imputo melior si ullamcorper.\r\n\r\nAptent et ex in melior plaga scisco singularis zelus. Adipiscing blandit brevitas elit molior pecus velit. Capto ex modo validus.\r\n\r\nBrevitas caecus consectetuer cui damnum gravis mos. Aliquam defui duis eum gilvus iaceo probo quia validus. Causa humo incassum nunc paratus refoveo si tincidunt torqueo verto. Nimis quidne refoveo. Defui dignissim ideo magna quia sudo valde vulpes. Abigo accumsan eu gemino ideo jumentum pertineo pneum saepius singularis.\r\n\r\nAugue consequat ibidem iusto lenis refoveo. Abico interdico melior obruo vicis. Abdo euismod jumentum quibus tation vel. Abbas decet esse jumentum probo quis refoveo tation. Amet defui in jus probo quadrum.\r\n\r\nEros qui ulciscor validus. Autem capto letalis neque nobis. Ad blandit conventio nobis premo probo tamen valetudo vulpes. Causa quis ulciscor. Enim et neque. Ille lucidus mauris nisl nobis quidne rusticus.\r\n','','full_html'),('node','forum',0,76,76,'und',0,'Blandit cogo dolor exerci ille lenis luptatum neque rusticus saluto. Augue autem brevitas causa interdico mauris os proprius tamen utinam. Commodo eum iustum tation vereor. Acsi adipiscing amet diam gilvus pneum rusticus verto voco. Autem gilvus ideo incassum letalis quadrum qui typicus. At augue metuo modo qui valde vulputate.\r\n\r\nAbico gemino hendrerit humo lucidus praemitto tum turpis. Autem camur consequat immitto lenis lobortis macto natu typicus. Conventio haero iaceo in nobis probo usitas volutpat. Abluo aliquip comis letalis magna pecus refoveo sed utinam. Lucidus quis sed suscipit tego typicus ullamcorper ut vulputate. Autem hos occuro pala refoveo tation vulputate wisi. Acsi ad conventio nimis patria praesent.\r\n\r\nFere inhibeo mauris nunc similis. Brevitas facilisis feugiat quadrum te vulpes. Accumsan aliquam exputo facilisis ibidem lobortis luctus ulciscor ut. Aptent gemino nostrud olim sudo ymo. Abluo antehabeo dolore sagaciter scisco. Capto enim immitto saluto. Abico hendrerit hos lucidus uxor valetudo. Exputo haero melior mos plaga si vindico. Autem commodo eu iriure utrum valetudo. Dolus eum occuro vero. Mos oppeto pertineo.\r\n\r\nAliquip exputo neo virtus. Adipiscing euismod haero iusto quae turpis. Antehabeo aptent pecus secundum validus. Augue dolore ex ibidem. Defui ibidem quia saluto. At dolus iriure letalis os pertineo venio.\r\n\r\nIllum jugis meus nunc pala plaga qui. Huic nisl roto. Aptent caecus defui genitus pala rusticus usitas vero. Cui et fere neque sino suscipit. Ad comis minim.\r\n\r\nAbico cogo feugiat meus oppeto patria pneum saepius. Causa defui eum huic jugis scisco ulciscor.\r\n','','full_html'),('node','article',0,77,77,'und',0,'The New Zealand Companies Office (NZCO) has recently released three new features to the NZCO website. These new features allow businesses in New Zealand to determine if the organisations they are intending to engage with are registered as a Limited Liability Company on the Register of Companies.\r\n\r\nThe new features include the introduction of a QR Code which has been added to all Certificates of Incorporation, Company Extracts and Annual Return Extracts. The QR Code can be scanned and will direct the client to the Company Details page for that particular company.\r\n\r\n Suspendisse facilisis sollicitudin libero, in pretium nulla consectetur ut. Cras ut tortor nisi. Cras quis luctus nisi. Fusce non sodales ipsum. Integer tincidunt mauris tellus, eget pellentesque eros commodo in. Ut auctor turpis sit amet sem pellentesque scelerisque sit amet sit amet quam. Donec pretium justo non leo dignissim luctus. Sed aliquam dui non massa eleifend, nec iaculis lacus consequat. Suspendisse vulputate tortor dolor.\r\n\r\nNam pellentesque sed risus vel ultricies. Morbi vel volutpat mauris. Maecenas in tortor sit amet sapien sodales consequat. Donec vitae est eget nunc fringilla vulputate at et arcu. Aenean imperdiet a eros a mattis. Nunc aliquet, mauris non accumsan hendrerit, ipsum velit laoreet odio, id sagittis enim felis in neque. Donec quis pretium purus. Duis pulvinar, metus in vehicula tincidunt, diam lorem laoreet tellus, gravida fermentum leo tellus id nisi. Donec quis sapien risus. Vestibulum massa enim, ornare ut condimentum et, auctor sed nisl. Maecenas ullamcorper lacus dui, quis faucibus dolor rutrum vitae.\r\n\r\nSed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis. ','','filtered_html'),('node','article',0,78,78,'und',0,'The Companies and Limited Partnerships Amendment Bill received Royal Assent on 2 July 2014. The Bill will create the Companies Amendment Act 2014 and the Limited Partnerships Amendment Act 2014.\r\n\r\nThis legislation assists with the prevention of misuse of New Zealand companies (shell companies) and Limited Partnerships by overseas criminal organisations and provides the Registrar with additional powers.\r\n\r\n Nam pellentesque sed risus vel ultricies. Morbi vel volutpat mauris. Maecenas in tortor sit amet sapien sodales consequat. Donec vitae est eget nunc fringilla vulputate at et arcu. Aenean imperdiet a eros a mattis. Nunc aliquet, mauris non accumsan hendrerit, ipsum velit laoreet odio, id sagittis enim felis in neque. Donec quis pretium purus. Duis pulvinar, metus in vehicula tincidunt, diam lorem laoreet tellus, gravida fermentum leo tellus id nisi. Donec quis sapien risus. Vestibulum massa enim, ornare ut condimentum et, auctor sed nisl. Maecenas ullamcorper lacus dui, quis faucibus dolor rutrum vitae.\r\n\r\nSed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.\r\n\r\nEtiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum. ','','full_html'),('node','article',0,79,79,'und',0,'As of today we have simplified what is provided to you during the process of incorporating a company on the Companies Office register.\r\n\r\nDuring the current process we deliver a company extract to your registered email address once the incorporation fee has been submitted and once the Registrar confirms the incorporation of your company.\r\n\r\nSed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.\r\n\r\nEtiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum.\r\n\r\nSuspendisse ipsum ligula, consequat ut suscipit dapibus, pellentesque at nibh. Vestibulum elementum arcu eu pretium pellentesque. Integer eget sapien pellentesque, auctor ipsum sit amet, accumsan lectus. Vestibulum odio quam, egestas eu erat vitae, rutrum porta sem. Sed nulla neque, vestibulum in congue ut, dictum vitae tellus. Cras tincidunt orci in ipsum elementum, tempus vulputate tellus molestie. Nulla aliquet quis justo in imperdiet. Donec in eros massa. Proin porta nibh convallis dictum egestas. Suspendisse ac mauris mi. Donec volutpat tortor non velit adipiscing, quis sodales quam viverra. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.','','full_html'),('node','article',0,80,80,'und',0,'Did you know you can search the Personal Property Securities Register (PPSR) to find out if the second-hand car you are considering buying privately may have money owing on it?  For less than the price of a cup of coffee the search is worth it for the peace of mind it gives you.\r\n\r\nImagine this scenario: Jack spends weeks finding the car of his dreams.  He settles on a tidy, red Holden.  It’s a little over his price bracket and even though Jack negotiates a deal with the seller, he still needs to sell his existing car and take out a small loan.  Once the finances are sorted, Jack takes possession of the car and registers it with NZ Transport in his name.\r\n\r\nNam pellentesque sed risus vel ultricies. Morbi vel volutpat mauris. Maecenas in tortor sit amet sapien sodales consequat. Donec vitae est eget nunc fringilla vulputate at et arcu. Aenean imperdiet a eros a mattis. Nunc aliquet, mauris non accumsan hendrerit, ipsum velit laoreet odio, id sagittis enim felis in neque. Donec quis pretium purus. Duis pulvinar, metus in vehicula tincidunt, diam lorem laoreet tellus, gravida fermentum leo tellus id nisi. Donec quis sapien risus. Vestibulum massa enim, ornare ut condimentum et, auctor sed nisl. Maecenas ullamcorper lacus dui, quis faucibus dolor rutrum vitae.\r\n\r\nSed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.\r\n\r\nEtiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum. ','','filtered_html'),('node','article',0,81,81,'und',0,'This week, Nature Careers ran a great feature about scientists who act as advisers for Hollywood blockbusters and hit TV shows: Media consulting: Entertaining science. The article touches on the experience several scientists have had with some big names: David Saltzberg and The Big Bang Theory, James Kakalios and The Amazing Spiderman, and Donna Nelson and Breaking Bad.\r\n\r\nI decided to dig a little deeper into Donna’s story, and that of Dr David Kirby, a science communication professor at the University of Manchester, to find out a little more about the cultural differences between the lab and the media.\r\n\r\nSed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.\r\n\r\nEtiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum. ','','full_html'),('node','article',0,82,82,'und',0,'In a previous blog post, I asked “what makes a Nature Genetics paper?” I have been slow to follow up on the post with my own answers to that question, but in the meantime I would like to share this email that brightened my day (edited for clarity): \r\n\r\n“I work on the field of genome-wide association studies (GWAS) in complex diseases and I note that of recent months, the criteria and standard of Nature Genetics (NG) for accepting GWAS papers is getting higher and higher.\r\n\r\nProin a pharetra est. Quisque nulla nisi, lacinia vitae luctus ut, euismod sit amet nibh. Sed et cursus quam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec mollis molestie feugiat. Nullam eleifend leo ornare elementum tempus. Aliquam quis leo sit amet lacus molestie egestas. Suspendisse quis ante rhoncus, mattis ligula quis, adipiscing eros.\r\n\r\nEtiam sit amet elit diam. Donec malesuada magna sed eros posuere, in malesuada orci vulputate. In eu laoreet tellus. Nullam nec scelerisque dui, eu accumsan ante. Pellentesque ultricies ligula vitae nunc eleifend, ut viverra sem rutrum. Aliquam dictum rhoncus velit quis bibendum. Sed nibh diam, dictum et semper nec, porta vitae sapien. Ut non congue odio. Etiam quam libero, auctor sit amet mollis et, tristique sit amet dolor.\r\n\r\nCurabitur eu molestie purus. Integer interdum, mi id auctor faucibus, nisi urna elementum eros, a dictum nisl risus in erat. Fusce orci lectus, congue et fermentum a, vehicula vitae justo. Nulla sed lacus nec diam euismod pretium. Donec vel faucibus sem. Praesent sit amet lacus non nisl luctus accumsan. Phasellus felis velit, iaculis nec nibh ac, tincidunt laoreet nibh. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque at dui commodo nibh placerat posuere nec sed nisl. Pellentesque malesuada lacus quis diam aliquam, a tristique est condimentum. Donec eget justo ultrices, commodo nisi sit amet, dapibus nisi. Morbi in leo quis turpis laoreet convallis sed vel felis. ','','full_html'),('node','article',0,83,83,'und',0,'Another criticism for the Bill has been in the area of domestic quarantine. While the bill, does forbid individuals to “possess, move, grow, raise, culture, breed or produce any plant, animal and plant product”, it does not clarify how states should act to contain the spread of disease. India’s past record in imposing domestic quarantine has not been worth mention. Numerous diseases that made a localized appearance earlier have now spread all over the country.\r\n\r\nThe new Bill hopes to establish an Agricultural Biosecurity Authority of India with headquarters in the national capital region and regional centres all over the country. The authority is expected to be responsible for regulation of the import and export of plants, animals and related products; prevention of entry of quarantine pests; and implementation of post-entry quarantine measures.\r\n\r\nCurabitur eu molestie purus. Integer interdum, mi id auctor faucibus, nisi urna elementum eros, a dictum nisl risus in erat. Fusce orci lectus, congue et fermentum a, vehicula vitae justo. Nulla sed lacus nec diam euismod pretium. Donec vel faucibus sem. Praesent sit amet lacus non nisl luctus accumsan. Phasellus felis velit, iaculis nec nibh ac, tincidunt laoreet nibh. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque at dui commodo nibh placerat posuere nec sed nisl. Pellentesque malesuada lacus quis diam aliquam, a tristique est condimentum. Donec eget justo ultrices, commodo nisi sit amet, dapibus nisi. Morbi in leo quis turpis laoreet convallis sed vel felis.\r\n\r\nPhasellus sed commodo quam, a cursus ipsum. Quisque facilisis mollis tortor vel scelerisque. Sed eu semper nibh. Donec lobortis venenatis orci nec vulputate. Duis eu nisl non sapien aliquam fringilla. Duis id lorem at libero hendrerit consectetur. Proin malesuada dolor ac felis consequat, luctus tristique sapien egestas. Sed vitae lorem arcu. Vestibulum blandit volutpat ligula ac interdum. Sed et imperdiet ipsum. Vivamus sagittis justo nibh, et dignissim orci tempor nec. In egestas eget erat vel ultrices.\r\n\r\nQuisque sit amet consequat massa. Sed sed purus at nisl pulvinar laoreet. Ut pellentesque ultricies lectus, id luctus dolor luctus ac. Donec urna leo, porta ut dignissim et, accumsan eget arcu. Nulla facilisi. Proin lorem ante, luctus ac mollis eu, commodo at tellus. Nullam posuere nunc in est ullamcorper cursus. Aliquam ut dignissim nulla. Praesent dignissim justo ante, sed viverra metus eleifend eu. Etiam ornare auctor felis ultricies dictum. Mauris ullamcorper malesuada lectus non tempus. Vestibulum bibendum justo a nisi varius, eu tempor ante dapibus. Donec ut nisi sit amet nunc sodales porttitor. Nulla tincidunt faucibus viverra. ','','full_html'),('node','article',0,84,84,'und',0,'Brazilian authorities discovered 20 contemporary works of art hidden in a shipping container coming from Florida, the Associated Press reports. The works, valued at $4.5m, were hidden among the belongings of a 75-year-old Brazilian woman and authorities suspect a company used her move to evade taxes. The Brazilian Ministry of Finance, Guido Mantega, said the art is believed to have been acquired at auctions abroad.\r\n\r\nWorks by contemporary artists such as the Brazilian Beatriz Milhazes and the twin graffiti artists known as Os Gêmeos (Otavio and Gustavo Pandolfo) were found among the stash. A sculpture by Sérgio de Camargo valued at $900,000, was found in a second container, according to the Brazilian federal agency. \r\n\r\nPhasellus sed commodo quam, a cursus ipsum. Quisque facilisis mollis tortor vel scelerisque. Sed eu semper nibh. Donec lobortis venenatis orci nec vulputate. Duis eu nisl non sapien aliquam fringilla. Duis id lorem at libero hendrerit consectetur. Proin malesuada dolor ac felis consequat, luctus tristique sapien egestas. Sed vitae lorem arcu. Vestibulum blandit volutpat ligula ac interdum. Sed et imperdiet ipsum. Vivamus sagittis justo nibh, et dignissim orci tempor nec. In egestas eget erat vel ultrices.\r\n\r\nQuisque sit amet consequat massa. Sed sed purus at nisl pulvinar laoreet. Ut pellentesque ultricies lectus, id luctus dolor luctus ac. Donec urna leo, porta ut dignissim et, accumsan eget arcu. Nulla facilisi. Proin lorem ante, luctus ac mollis eu, commodo at tellus. Nullam posuere nunc in est ullamcorper cursus. Aliquam ut dignissim nulla. Praesent dignissim justo ante, sed viverra metus eleifend eu. Etiam ornare auctor felis ultricies dictum. Mauris ullamcorper malesuada lectus non tempus. Vestibulum bibendum justo a nisi varius, eu tempor ante dapibus. Donec ut nisi sit amet nunc sodales porttitor. Nulla tincidunt faucibus viverra.\r\n\r\nPhasellus vulputate risus vel turpis tempor, sed vehicula justo hendrerit. Vivamus sed aliquam lacus. Praesent euismod vehicula urna id adipiscing. Aenean posuere pharetra felis, ac ultrices arcu volutpat et. Aliquam id purus vitae lacus porta congue. Duis aliquet arcu sed ligula pulvinar faucibus. Maecenas porta ligula sem, sit amet pretium erat feugiat in. Integer mollis rutrum felis, vel lobortis massa cursus nec. Fusce posuere lobortis arcu, quis dapibus sapien ornare auctor. Donec lacinia quam et arcu cursus, vitae euismod felis tempor. Pellentesque egestas tempor sagittis. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla lobortis orci vitae velit faucibus, id blandit felis dapibus. Proin vestibulum ante eu condimentum ullamcorper. Vivamus fringilla nunc orci, quis vulputate sem consequat in. Quisque quis dui a purus vestibulum gravida. ','','filtered_html'),('node','article',0,85,85,'und',0,' The British Library has agreed to return a spoliated Sienese oil painting made for the binding of a 1488 set of accounts, following the recommendation of the UK’s Spoliation Advisory Panel. The Biccherna panel, named after the city’s treasury, is attributed to Guidoccio Cozzarelli.\r\n\r\nAlthough not named in the spoliation panel’s June report, The Art Newspaper has identified the pre-war owner as the shareholders of the Munich-based A.S. Drey gallery. The painting was part of a “forced sale” in 1936, fetching the equivalent of £228. In 1942, it was sold by Arthur Bendir at Sotheby’s in London. Henry David bought the picture and donated it to the British Library in 1968 (it was formally accessioned on his death in 1977 with other bookbindings).\r\n\r\nPhasellus vulputate risus vel turpis tempor, sed vehicula justo hendrerit. Vivamus sed aliquam lacus. Praesent euismod vehicula urna id adipiscing. Aenean posuere pharetra felis, ac ultrices arcu volutpat et. Aliquam id purus vitae lacus porta congue. Duis aliquet arcu sed ligula pulvinar faucibus. Maecenas porta ligula sem, sit amet pretium erat feugiat in. Integer mollis rutrum felis, vel lobortis massa cursus nec. Fusce posuere lobortis arcu, quis dapibus sapien ornare auctor. Donec lacinia quam et arcu cursus, vitae euismod felis tempor. Pellentesque egestas tempor sagittis. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla lobortis orci vitae velit faucibus, id blandit felis dapibus. Proin vestibulum ante eu condimentum ullamcorper. Vivamus fringilla nunc orci, quis vulputate sem consequat in. Quisque quis dui a purus vestibulum gravida.\r\n\r\nPraesent ut velit a neque vehicula luctus. Nulla purus ipsum, dapibus ac quam convallis, fringilla euismod turpis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur pharetra ut risus in hendrerit. Nam aliquam dolor eu fringilla semper. Aliquam erat volutpat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer pulvinar ornare metus, et malesuada leo. Maecenas vel nunc quis nisi rutrum pretium. Aliquam laoreet purus lacus, aliquam volutpat massa ornare vitae. Sed aliquam varius tristique. Proin feugiat velit in dolor aliquet venenatis. Phasellus leo lorem, pellentesque a convallis a, tincidunt quis arcu. Nunc eu ultricies nisi.\r\n\r\nUt mollis tellus vitae nisl bibendum eleifend. Proin molestie commodo rhoncus. Etiam commodo urna vitae tincidunt viverra. In ultrices eros nec nibh fermentum, sit amet convallis libero sagittis. Etiam pharetra at nunc in porta. Maecenas condimentum ligula elit, ac tempor lacus fringilla eget. Etiam viverra blandit mauris, eu elementum lectus dictum in. Suspendisse porta nulla non molestie sodales. ','','full_html'),('node','article',0,86,86,'und',0,' The Fourth Moscow International Biennale for Young Art opened on Thursday, 26 June, just two days before Manifesta 10 in St Petersburg, making Russia a focus of the international contemporary art world while it remains at the center of a political controversy over its actions in Ukraine.\r\n\r\nThe biennial’s title, “A Time for Dreams”, was inspired by Dr Martin Luther King’s March on Washington speech, says its British curator David Elliott. However, the show, which runs until 10 August, is deeply rooted in reality, he adds. “It’s not a dream of an escape, it’s a dream of criticism, a dream made by young people who have no reason whatsoever to feel guilty for the world into which they’ve been born,” Elliott says. \r\n\r\nQuisque sit amet consequat massa. Sed sed purus at nisl pulvinar laoreet. Ut pellentesque ultricies lectus, id luctus dolor luctus ac. Donec urna leo, porta ut dignissim et, accumsan eget arcu. Nulla facilisi. Proin lorem ante, luctus ac mollis eu, commodo at tellus. Nullam posuere nunc in est ullamcorper cursus. Aliquam ut dignissim nulla. Praesent dignissim justo ante, sed viverra metus eleifend eu. Etiam ornare auctor felis ultricies dictum. Mauris ullamcorper malesuada lectus non tempus. Vestibulum bibendum justo a nisi varius, eu tempor ante dapibus. Donec ut nisi sit amet nunc sodales porttitor. Nulla tincidunt faucibus viverra.\r\n\r\nPhasellus vulputate risus vel turpis tempor, sed vehicula justo hendrerit. Vivamus sed aliquam lacus. Praesent euismod vehicula urna id adipiscing. Aenean posuere pharetra felis, ac ultrices arcu volutpat et. Aliquam id purus vitae lacus porta congue. Duis aliquet arcu sed ligula pulvinar faucibus. Maecenas porta ligula sem, sit amet pretium erat feugiat in. Integer mollis rutrum felis, vel lobortis massa cursus nec. Fusce posuere lobortis arcu, quis dapibus sapien ornare auctor. Donec lacinia quam et arcu cursus, vitae euismod felis tempor. Pellentesque egestas tempor sagittis. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla lobortis orci vitae velit faucibus, id blandit felis dapibus. Proin vestibulum ante eu condimentum ullamcorper. Vivamus fringilla nunc orci, quis vulputate sem consequat in. Quisque quis dui a purus vestibulum gravida.\r\n\r\nPraesent ut velit a neque vehicula luctus. Nulla purus ipsum, dapibus ac quam convallis, fringilla euismod turpis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur pharetra ut risus in hendrerit. Nam aliquam dolor eu fringilla semper. Aliquam erat volutpat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer pulvinar ornare metus, et malesuada leo. Maecenas vel nunc quis nisi rutrum pretium. Aliquam laoreet purus lacus, aliquam volutpat massa ornare vitae. Sed aliquam varius tristique. Proin feugiat velit in dolor aliquet venenatis. Phasellus leo lorem, pellentesque a convallis a, tincidunt quis arcu. Nunc eu ultricies nisi. ','','full_html'),('node','article',0,87,87,'und',0,'Spain returned 691 artefacts, spanning nearly 3,000 years of history, to Colombia on Tuesday. The pieces were recovered by Spanish police during a drug trafficking and money laundering investigation in 2003. Since then, the works have been kept for conservation in Madrid’s Museum of the Americas, where 885 recovered pieces were studied.\r\n\r\nAt an official handover ceremony in Madrid, the culture ministry’s director-general of fine arts, archives and libraries, Jesús Prieto, referred to the treasure as “a small Colombian museum of archaeology”. “Today is a very special day for Colombia,” said Fernando Carrillo, the Colombian ambassador in Spain, after accepting the works. “The arrival of nearly 700 artefacts is one of the most important cultural events of recent history.” The hoard includes ceramics with animal and human figures, vases with geometric designs, necklaces with precious stones, idols, and stamps, from as early as 1,400 BC to as late as the 16th century. \r\n\r\nPraesent ut velit a neque vehicula luctus. Nulla purus ipsum, dapibus ac quam convallis, fringilla euismod turpis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur pharetra ut risus in hendrerit. Nam aliquam dolor eu fringilla semper. Aliquam erat volutpat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer pulvinar ornare metus, et malesuada leo. Maecenas vel nunc quis nisi rutrum pretium. Aliquam laoreet purus lacus, aliquam volutpat massa ornare vitae. Sed aliquam varius tristique. Proin feugiat velit in dolor aliquet venenatis. Phasellus leo lorem, pellentesque a convallis a, tincidunt quis arcu. Nunc eu ultricies nisi.\r\n\r\nUt mollis tellus vitae nisl bibendum eleifend. Proin molestie commodo rhoncus. Etiam commodo urna vitae tincidunt viverra. In ultrices eros nec nibh fermentum, sit amet convallis libero sagittis. Etiam pharetra at nunc in porta. Maecenas condimentum ligula elit, ac tempor lacus fringilla eget. Etiam viverra blandit mauris, eu elementum lectus dictum in. Suspendisse porta nulla non molestie sodales. ','','full_html'),('node','online_video',0,88,88,'und',0,'Praesent sit amet enim tempus, lobortis eros adipiscing, consequat nisl. Nam eget euismod justo. Aenean non elit eleifend, feugiat augue vitae, sagittis nibh. Vivamus a ante dolor. Integer pharetra euismod est, vitae volutpat enim viverra a? Vivamus velit augue, facilisis vel tortor eu, dignissim suscipit urna. Maecenas pellentesque facilisis sapien non hendrerit? Aliquam sodales turpis dui, sit amet blandit nunc fringilla eget. Fusce congue massa eu elit molestie tempor id vitae justo. Maecenas rhoncus egestas felis, a ornare magna laoreet vel? Sed id tincidunt enim. Aenean vulputate ut felis et consectetur.\r\n\r\nNullam quis viverra augue, ut imperdiet orci. Morbi in vulputate dui, eget tempus mi. Nunc ac convallis justo, adipiscing sodales erat. Nullam venenatis bibendum condimentum. Aliquam egestas eget mauris sollicitudin egestas. Curabitur ullamcorper massa est, ut faucibus tellus aliquet quis? Proin eu porta augue. Aenean eu ligula elementum arcu sagittis iaculis. Aliquam dapibus pulvinar faucibus. Cras vel orci suscipit, consequat metus gravida, convallis eros.\r\n\r\nPellentesque congue tellus non felis sollicitudin bibendum. Maecenas risus risus, accumsan eu lectus a, congue massa nunc.\r\n','','filtered_html'),('node','online_video',0,89,89,'und',0,'In pharetra et augue ut auctor. Nunc leo nunc; fermentum id mauris id, vestibulum interdum nibh. Cras tincidunt elit ac porta faucibus. Donec metus est, fringilla sit amet elit id, facilisis rutrum libero. Donec at nunc sed nibh pulvinar accumsan et at ante. Integer adipiscing bibendum velit; nec aliquet ipsum congue iaculis. Praesent est arcu, interdum vitae dictum vitae, gravida vel dui? Donec in dictum mauris. Nulla a enim purus. Vivamus elementum orci a tristique feugiat. Quisque mollis libero enim, vitae rhoncus lacus volutpat vitae. Nulla volutpat consectetur gravida. Pellentesque velit lorem, rutrum quis porta a, tempus eu arcu. Nam nec cursus odio, nec commodo purus.\r\n\r\nNullam pharetra lorem lorem, vel tempus leo consectetur id. Vivamus in feugiat felis. Curabitur sed tellus in ipsum egestas aliquam. Suspendisse magna sapien, semper ut commodo et; mollis id libero. Proin porttitor orci quis justo rutrum vulputate quis vel lectus. Ut eget tortor erat. In in laoreet metus. Nullam id tristique arcu, sit amet tempus elit. Integer turpis nisl, placerat at justo ut, faucibus tempor risus. Aenean est risus, imperdiet vestibulum sodales ut, fringilla quis ipsum. Pellentesque cras amet.\r\n','','filtered_html'),('node','article',0,90,90,'und',0,'FOR many Australians, a trip to Bali equates to slurping cheap cocktails by the beach in Kuta, dodging banana-crazy monkeys in Ubud and shopping in Seminyak. But there’s so much more to Bali. After spending time in the more remote, mountainous areas of the island, the tourist capitals are a bizarre sight.\r\n\r\nMost of the people pounding the pavement are tourists rather than locals, there’s a lot of tacky wares for sale and the bars feel like they’ve been cloned from Australia.\r\n\r\n Mauris elementum nunc ac massa pellentesque, sit amet faucibus ipsum mollis. Nunc porttitor quis odio a fermentum. Fusce dignissim ante et enim congue, id lobortis quam sodales. In rhoncus sodales ante, a accumsan arcu volutpat ac. Nunc porta, libero at scelerisque ullamcorper, nisi eros sollicitudin nunc, vitae porta elit risus vitae purus. Aliquam auctor rutrum ligula. Aenean a scelerisque felis, vel malesuada mi.\r\n\r\nCurabitur vel lorem quis libero auctor hendrerit. Donec rutrum congue nibh sed consectetur. Fusce vel porttitor velit, nec vestibulum nunc. Curabitur ornare fringilla tortor, ut vestibulum tortor malesuada eget. Pellentesque orci lorem, consectetur ac adipiscing vel, dictum quis justo. Suspendisse ante diam, tempus et lectus et, tincidunt vestibulum magna. Etiam sed justo egestas, ultrices erat eget, aliquam odio.\r\n\r\nIn vitae elit eget urna feugiat porttitor. Ut adipiscing, tortor eu feugiat malesuada, mauris purus bibendum leo, vel mollis nunc quam eu ipsum. Suspendisse molestie turpis at nisi sodales, eget tincidunt nisl lobortis. Nunc facilisis lacinia libero, id faucibus arcu egestas sed. Vestibulum a elit non mauris imperdiet molestie vitae et nunc. Sed lorem nisl, semper nec pulvinar ut, ultrices ut lacus. Quisque nisi libero, ullamcorper a viverra in, adipiscing sit amet urna. In porttitor ipsum a leo dapibus, sed imperdiet lacus porta. Sed elementum dui non viverra gravida. Sed eu ultricies felis. Aliquam mollis tellus justo, volutpat rutrum arcu ullamcorper a. ','','filtered_html'),('node','article',0,91,91,'und',0,'As Australian ski fields experience the best ski season in years, not everyone is happy about the plunging temperatures.\r\n\r\nThe freak frosts and cold days have many Aussies dreaming of tropical paradises far away. So as you pull on your beanie and gloves and brave the cold, dark night, check out these 15 amazing sunny holiday spots and feel the warmth, even just for a moment.\r\n\r\nCurabitur vel lorem quis libero auctor hendrerit. Donec rutrum congue nibh sed consectetur. Fusce vel porttitor velit, nec vestibulum nunc. Curabitur ornare fringilla tortor, ut vestibulum tortor malesuada eget. Pellentesque orci lorem, consectetur ac adipiscing vel, dictum quis justo. Suspendisse ante diam, tempus et lectus et, tincidunt vestibulum magna. Etiam sed justo egestas, ultrices erat eget, aliquam odio.\r\n\r\nIn vitae elit eget urna feugiat porttitor. Ut adipiscing, tortor eu feugiat malesuada, mauris purus bibendum leo, vel mollis nunc quam eu ipsum. Suspendisse molestie turpis at nisi sodales, eget tincidunt nisl lobortis. Nunc facilisis lacinia libero, id faucibus arcu egestas sed. Vestibulum a elit non mauris imperdiet molestie vitae et nunc. Sed lorem nisl, semper nec pulvinar ut, ultrices ut lacus. Quisque nisi libero, ullamcorper a viverra in, adipiscing sit amet urna. In porttitor ipsum a leo dapibus, sed imperdiet lacus porta. Sed elementum dui non viverra gravida. Sed eu ultricies felis. Aliquam mollis tellus justo, volutpat rutrum arcu ullamcorper a.\r\n\r\nInteger felis neque, mattis eleifend faucibus ut, dignissim sed ipsum. Suspendisse dictum metus ultrices rhoncus dictum. Donec luctus, nulla eu aliquam auctor, magna massa pellentesque sapien, sed bibendum tortor metus quis arcu. Fusce quis odio ac nunc porttitor consectetur et a sem. Nam eu risus non sem ultrices pharetra cursus sit amet enim. Fusce rhoncus tincidunt sem, quis rhoncus massa. Sed sit amet elit at est tristique aliquam. Integer ultrices porta gravida. Integer luctus enim enim, non dapibus sapien tristique a. Morbi ligula augue, fringilla non sem a, venenatis convallis mi. Quisque varius vulputate velit ut blandit. Fusce libero tortor, euismod in ultrices eu, hendrerit at purus. ','','full_html'),('node','page',0,92,92,'und',0,' Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis lacinia, leo ut tincidunt euismod, lectus dui lacinia eros, a facilisis metus mi eget eros. Nulla euismod eleifend accumsan. Duis hendrerit nisi dui, nec tristique quam tincidunt ut. Phasellus magna purus, suscipit id ligula a, cursus dapibus diam. Cras eu mi eu ligula aliquet vulputate. Curabitur euismod vitae felis non posuere. Nam vel iaculis magna. Fusce vulputate enim metus, eget sagittis nibh aliquet eget.\r\n\r\nDonec leo arcu, scelerisque in varius ut, bibendum vitae urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Ut in justo a mi consequat hendrerit ornare sed nulla. Etiam ac ipsum luctus, semper arcu vel, tempus neque. Nunc ornare nisi fringilla libero posuere, a viverra felis viverra. Cras egestas volutpat purus in feugiat. In hac habitasse platea dictumst. Morbi ullamcorper auctor sapien. Sed pretium sem lorem, eget egestas velit commodo eget. Pellentesque lacinia quis neque vitae lacinia. Ut sit amet arcu at felis elementum dictum. Quisque viverra sollicitudin vestibulum. Proin nec sapien sollicitudin, elementum magna vel, congue massa.\r\n\r\nCurabitur tempus, tellus in suscipit scelerisque, diam massa malesuada leo, in pellentesque nisi mi porttitor lectus. Praesent eu pulvinar urna. Morbi purus dolor, aliquet non urna at, mattis porta diam. Suspendisse sed nunc in tellus commodo varius. Nulla lacinia suscipit tristique. Aenean id molestie enim. Ut ac lacus est. Sed ut iaculis neque, scelerisque tempus eros. Aenean rhoncus sapien nibh, ac ultricies sem bibendum ut. Ut id faucibus ligula. Suspendisse potenti. Mauris feugiat nunc vel risus elementum, non commodo justo laoreet. Curabitur feugiat arcu in libero elementum condimentum. Proin malesuada eleifend diam sit amet fringilla.\r\n\r\nNam nec enim bibendum lectus euismod suscipit. Sed eget iaculis ligula. Phasellus ornare pharetra dolor in fringilla. Proin semper eget enim nec rhoncus. Pellentesque et tellus justo. Nunc a mi malesuada, tristique lorem nec, porta justo. Phasellus consectetur laoreet sapien sit amet malesuada. Praesent odio dui, gravida at tellus et, egestas sodales risus. Donec ullamcorper tincidunt malesuada. Cras laoreet dui quis ante tempus, id tincidunt arcu scelerisque. Nam sed enim a eros sollicitudin scelerisque. Proin dapibus, nibh et ullamcorper ornare, nisl risus fermentum lorem, id ultricies urna orci sed enim. Morbi in eros orci.\r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Cras pharetra magna erat, eu facilisis dolor hendrerit sed. Fusce fermentum vulputate massa at tempor. Curabitur nec massa tellus. Nullam ac ornare leo. Pellentesque id ante ut sapien vulputate ornare tempus ac tellus. Aenean adipiscing ullamcorper quam, a lobortis ipsum dictum ac.\r\n\r\nUt et fringilla purus. Maecenas non elementum magna. Aenean euismod erat non leo lacinia egestas eget ac mi. Mauris mi risus, laoreet at molestie vel, aliquet nec lacus. Integer congue nunc mattis nisi sodales bibendum a id lectus. Pellentesque sed ante eget tellus vehicula bibendum et quis diam. Nunc pulvinar condimentum convallis. ','','full_html'),('node','weebpal_presets',0,93,93,'und',0,'Layout Bootstrap Default Display','','filtered_html'),('node','weebpal_presets',0,94,94,'und',0,'Layout Pinteros Fullwidth Display','','filtered_html'),('node','weebpal_presets',0,95,95,'und',0,'Skin Blue','','filtered_html'),('node','weebpal_presets',0,96,96,'und',0,'Skin Dark Blue','','filtered_html'),('node','weebpal_presets',0,97,97,'und',0,'Skin Orange','','filtered_html'),('node','weebpal_presets',0,98,98,'und',0,'Skin Default','','filtered_html'),('node','page',0,99,99,'und',0,' Nunc vitae laoreet est. Sed adipiscing auctor commodo. Donec vehicula lectus neque, a consectetur neque bibendum ut. Ut congue dolor quis vulputate adipiscing. Phasellus ac turpis dolor. Integer ultricies odio pulvinar massa congue aliquet. Cras rhoncus sapien vel fringilla tincidunt.\r\n\r\nQuisque ac mattis nisl. Cras ullamcorper sem et consequat egestas. Suspendisse tincidunt porttitor ipsum sit amet semper. Maecenas id accumsan sem. Phasellus interdum viverra dolor sed egestas. Nulla semper urna purus. Proin nec congue urna. Curabitur et massa mollis, laoreet ligula at, consequat arcu. Maecenas scelerisque pellentesque vehicula. Pellentesque posuere gravida interdum. Mauris facilisis semper velit in auctor. Morbi vitae arcu egestas, lobortis diam sit amet, lacinia orci. Ut non turpis nisl. Proin lacinia risus ut felis venenatis, quis iaculis nulla sodales. Fusce velit elit, consequat vitae molestie vitae, consectetur eu elit.\r\n\r\nAliquam facilisis felis eget enim egestas, sed placerat dui lobortis. Morbi vitae euismod nisi. Curabitur quis rutrum eros. Proin venenatis massa a enim ultricies pulvinar. Phasellus laoreet purus ipsum, quis ullamcorper mauris tristique faucibus. Donec at volutpat risus. Etiam laoreet erat nisi, quis lobortis lorem ultrices quis. Sed nulla magna, iaculis in leo ut, tincidunt convallis magna. Etiam cursus urna lorem, a egestas odio ornare at. Duis ac metus enim. Vestibulum vehicula egestas vehicula. Nunc porttitor lectus sed placerat mollis. Pellentesque vel mollis turpis, vel sodales diam. Vivamus sodales urna vel pharetra convallis. Phasellus facilisis vitae erat ut vulputate.\r\n\r\nUt elementum mollis tellus eget ornare. Mauris faucibus commodo sem, eu facilisis mi iaculis a. Mauris sed nunc in dolor porttitor posuere. Maecenas mollis tellus sit amet sollicitudin consequat. Aliquam erat volutpat. Mauris sollicitudin, nisi sed ultrices consectetur, nisi ipsum porttitor augue, et vehicula elit lectus at enim. In vestibulum purus at condimentum semper. Maecenas quis diam hendrerit, vehicula ligula at, ultricies dolor. Pellentesque lorem est, semper in leo a, imperdiet porta elit. Vivamus blandit, enim sed egestas viverra, neque sapien mattis tellus, quis dapibus metus purus et ligula. In hac habitasse platea dictumst. Nulla at porta est. Nulla quis vestibulum nisi, eget molestie odio. Vestibulum id porttitor enim. Quisque libero justo, molestie suscipit diam id, bibendum pellentesque nunc. Duis massa purus, aliquet sed congue a, venenatis ut erat. ','','full_html'),('node','online_video',0,101,101,'und',0,'In pharetra et augue ut auctor. Nunc leo nunc; fermentum id mauris id, vestibulum interdum nibh. Cras tincidunt elit ac porta faucibus. Donec metus est, fringilla sit amet elit id, facilisis rutrum libero. Donec at nunc sed nibh pulvinar accumsan et at ante. Integer adipiscing bibendum velit; nec aliquet ipsum congue iaculis. Praesent est arcu, interdum vitae dictum vitae, gravida vel dui? Donec in dictum mauris. Nulla a enim purus. Vivamus elementum orci a tristique feugiat. Quisque mollis libero enim, vitae rhoncus lacus volutpat vitae. Nulla volutpat consectetur gravida. Pellentesque velit lorem, rutrum quis porta a, tempus eu arcu. Nam nec cursus odio, nec commodo purus.\r\n\r\nNullam pharetra lorem lorem, vel tempus leo consectetur id. Vivamus in feugiat felis. Curabitur sed tellus in ipsum egestas aliquam. Suspendisse magna sapien, semper ut commodo et; mollis id libero. Proin porttitor orci quis justo rutrum vulputate quis vel lectus. Ut eget tortor erat. In in laoreet metus. Nullam id tristique arcu, sit amet tempus elit. Integer turpis nisl, placerat at justo ut, faucibus tempor risus. Aenean est risus, imperdiet vestibulum sodales ut, fringilla quis ipsum. Pellentesque cras amet.\r\n','','filtered_html');
/*!40000 ALTER TABLE `field_data_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_comment_body`
--

DROP TABLE IF EXISTS `field_data_comment_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_comment_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_body_value` longtext,
  `comment_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `comment_body_format` (`comment_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 1 (comment_body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_comment_body`
--

LOCK TABLES `field_data_comment_body` WRITE;
/*!40000 ALTER TABLE `field_data_comment_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_comment_body` VALUES ('comment','comment_node_article',0,1,1,'und',0,'Quisque iaculis augue elit','filtered_html'),('comment','comment_node_article',0,2,2,'und',0,'Etiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci.','filtered_html'),('comment','comment_node_article',0,3,3,'und',0,'Sed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. ','filtered_html'),('comment','comment_node_article',0,4,4,'und',0,'Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci.','filtered_html'),('comment','comment_node_article',0,5,5,'und',0,'Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci.','filtered_html'),('comment','comment_node_article',0,6,6,'und',0,'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque at dui commodo nibh placerat posuere nec sed nisl. Pellentesque malesuada lacus quis diam aliquam, a tristique est condimentum. Donec eget justo ultrices, commodo nisi sit amet, dapibus nisi. Morbi in leo quis turpis laoreet convallis sed vel felis. ','filtered_html'),('comment','comment_node_article',0,7,7,'und',0,'Suspendisse in lorem ipsum ut magna pharera aliquet non sodales lorem ipsum belit. Donec sed odio rera aliquet. Lorem ipsum dolor sit amet, nsect etur adipiscing elit.','filtered_html');
/*!40000 ALTER TABLE `field_data_comment_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_category`
--

DROP TABLE IF EXISTS `field_data_field_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_category` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_category_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_category_tid` (`field_category_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 7 (field_category)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_category`
--

LOCK TABLES `field_data_field_category` WRITE;
/*!40000 ALTER TABLE `field_data_field_category` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_category` VALUES ('node','article',0,1,1,'und',0,12),('node','article',0,2,2,'und',0,11),('node','article',0,3,3,'und',0,9),('node','article',0,4,4,'und',0,9),('node','article',0,5,5,'und',0,8),('node','article',0,6,6,'und',0,12),('node','blog',0,7,7,'und',0,7),('node','article',0,8,8,'und',0,7),('node','blog',0,9,9,'und',0,10),('node','blog',0,10,10,'und',0,13),('node','article',0,11,11,'und',0,13),('node','article',0,12,12,'und',0,11),('node','article',0,13,13,'und',0,11),('node','blog',0,14,14,'und',0,10),('node','blog',0,15,15,'und',0,7),('node','article',0,16,16,'und',0,7),('node','article',0,17,17,'und',0,10),('node','blog',0,18,18,'und',0,10),('node','article',0,19,19,'und',0,10),('node','article',0,20,20,'und',0,10),('node','blog',0,21,21,'und',0,10),('node','blog',0,22,22,'und',0,13),('node','article',0,23,23,'und',0,13),('node','article',0,24,24,'und',0,13),('node','article',0,25,25,'und',0,13),('node','article',0,26,26,'und',0,13),('node','blog',0,27,27,'und',0,8),('node','blog',0,28,28,'und',0,8),('node','blog',0,29,29,'und',0,8),('node','blog',0,30,30,'und',0,8),('node','article',0,31,31,'und',0,8),('node','blog',0,32,32,'und',0,8),('node','article',0,33,33,'und',0,11),('node','article',0,34,34,'und',0,11),('node','article',0,35,35,'und',0,11),('node','article',0,36,36,'und',0,11),('node','article',0,37,37,'und',0,7),('node','article',0,38,38,'und',0,7),('node','article',0,39,39,'und',0,7),('node','article',0,40,40,'und',0,12),('node','article',0,41,41,'und',0,12),('node','article',0,42,42,'und',0,12),('node','article',0,43,43,'und',0,12),('node','article',0,44,44,'und',0,12),('node','article',0,45,45,'und',0,9),('node','article',0,46,46,'und',0,9),('node','article',0,47,47,'und',0,9),('node','article',0,48,48,'und',0,9),('node','article',0,49,49,'und',0,9),('node','article',0,77,77,'und',0,47),('node','article',0,78,78,'und',0,47),('node','article',0,79,79,'und',0,47),('node','article',0,80,80,'und',0,47),('node','article',0,81,81,'und',0,49),('node','article',0,82,82,'und',0,49),('node','article',0,83,83,'und',0,49),('node','article',0,84,84,'und',0,48),('node','article',0,85,85,'und',0,48),('node','article',0,86,86,'und',0,48),('node','article',0,87,87,'und',0,48),('node','online_video',0,88,88,'und',0,57),('node','online_video',0,89,89,'und',0,57),('node','article',0,90,90,'und',0,45),('node','article',0,91,91,'und',0,8),('node','online_video',0,101,101,'und',0,57);
/*!40000 ALTER TABLE `field_data_field_category` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_forums`
--

DROP TABLE IF EXISTS `field_data_field_forums`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_forums` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_forums_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_forums_tid` (`field_forums_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 14 (field_forums)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_forums`
--

LOCK TABLES `field_data_field_forums` WRITE;
/*!40000 ALTER TABLE `field_data_field_forums` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_forums` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_image`
--

DROP TABLE IF EXISTS `field_data_field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_image_fid` (`field_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 4 (field_image)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_image`
--

LOCK TABLES `field_data_field_image` WRITE;
/*!40000 ALTER TABLE `field_data_field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_image` VALUES ('node','article',0,1,1,'und',0,20,'','',900,600),('node','article',0,2,2,'und',0,22,'','',900,1162),('node','article',0,3,3,'und',0,21,'','',900,802),('node','article',0,4,4,'und',0,23,'','',900,1349),('node','article',0,5,5,'und',0,19,'','',900,677),('node','article',0,6,6,'und',0,18,'','',900,600),('node','blog',0,7,7,'und',0,17,'','',900,677),('node','article',0,8,8,'und',0,24,'','',900,780),('node','blog',0,9,9,'und',0,25,'','',900,600),('node','blog',0,10,10,'und',0,26,'','',900,773),('node','article',0,11,11,'und',0,27,'','',900,1350),('node','article',0,12,12,'und',0,28,'','',900,600),('node','article',0,13,13,'und',0,29,'','',900,819),('node','blog',0,14,14,'und',0,30,'','',900,482),('node','blog',0,15,15,'und',0,31,'','',900,666),('node','article',0,16,16,'und',0,32,'','',900,515),('node','article',0,17,17,'und',0,33,'','',900,693),('node','blog',0,18,18,'und',0,34,'','',900,1256),('node','article',0,19,19,'und',0,35,'','',900,561),('node','article',0,20,20,'und',0,36,'','',900,552),('node','blog',0,21,21,'und',0,37,'','',900,600),('node','blog',0,22,22,'und',0,38,'','',900,1273),('node','article',0,23,23,'und',0,39,'','',900,578),('node','article',0,24,24,'und',0,40,'','',900,540),('node','article',0,25,25,'und',0,41,'','',900,1353),('node','article',0,26,26,'und',0,42,'','',900,665),('node','blog',0,27,27,'und',0,43,'','',900,450),('node','blog',0,28,28,'und',0,44,'','',900,600),('node','blog',0,29,29,'und',0,45,'','',900,482),('node','blog',0,30,30,'und',0,46,'','',900,583),('node','article',0,31,31,'und',0,47,'','',900,500),('node','blog',0,32,32,'und',0,48,'','',900,613),('node','article',0,33,33,'und',0,49,'','',900,600),('node','article',0,34,34,'und',0,50,'','',900,600),('node','article',0,35,35,'und',0,51,'','',900,548),('node','article',0,36,36,'und',0,52,'','',900,600),('node','article',0,37,37,'und',0,53,'','',900,544),('node','article',0,38,38,'und',0,54,'','',900,420),('node','article',0,39,39,'und',0,55,'','',900,481),('node','article',0,40,40,'und',0,56,'','',900,675),('node','article',0,41,41,'und',0,57,'','',900,600),('node','article',0,42,42,'und',0,58,'','',900,598),('node','article',0,43,43,'und',0,59,'','',900,914),('node','article',0,44,44,'und',0,60,'','',900,469),('node','article',0,45,45,'und',0,61,'','',900,1151),('node','article',0,46,46,'und',0,62,'','',900,600),('node','article',0,47,47,'und',0,63,'','',900,600),('node','article',0,48,48,'und',0,64,'','',900,1350),('node','article',0,49,49,'und',0,65,'','',900,1350),('node','showcase',0,50,50,'und',0,66,'','',1920,4220),('node','showcase',0,51,51,'und',0,67,'','',1600,2061),('node','showcase',0,52,52,'und',0,68,'','',1064,972),('node','showcase',0,53,53,'und',0,69,'','',1600,2160),('node','showcase',0,54,54,'und',0,70,'','',1366,2309),('node','showcase',0,55,55,'und',0,71,'','',1600,2169),('node','showcase',0,56,56,'und',0,72,'','',1400,2104),('node','showcase',0,57,57,'und',0,73,'','',1600,4871),('node','showcase',0,58,58,'und',0,74,'','',1366,1671),('node','showcase',0,59,59,'und',0,75,'','',450,450),('node','showcase',0,60,60,'und',0,76,'','',450,450),('node','showcase',0,62,62,'und',0,79,'','',450,450),('node','showcase',0,63,63,'und',0,80,'','',1440,3775),('node','article',0,77,77,'und',0,92,'','',900,677),('node','article',0,78,78,'und',0,93,'','',900,600),('node','article',0,79,79,'und',0,94,'','',900,600),('node','article',0,80,80,'und',0,95,'','',900,636),('node','article',0,81,81,'und',0,96,'','',900,517),('node','article',0,82,82,'und',0,97,'','',900,519),('node','article',0,83,83,'und',0,98,'','',900,539),('node','article',0,84,84,'und',0,100,'','',900,542),('node','article',0,85,85,'und',0,101,'','',900,591),('node','article',0,86,86,'und',0,102,'','',900,600),('node','article',0,87,87,'und',0,103,'','',900,767),('node','article',0,90,90,'und',0,106,'','',900,901),('node','article',0,91,91,'und',0,107,'','',900,596),('taxonomy_term','sports',0,7,7,'und',0,85,'','',900,481),('taxonomy_term','sports',0,8,8,'und',0,86,'','',900,600),('taxonomy_term','sports',0,9,9,'und',0,87,'','',900,1350),('taxonomy_term','sports',0,10,10,'und',0,83,'','',900,600),('taxonomy_term','sports',0,11,11,'und',0,84,'','',900,819),('taxonomy_term','sports',0,12,12,'und',0,82,'','',900,675),('taxonomy_term','sports',0,13,13,'und',0,81,'','',900,1273),('taxonomy_term','sports',0,45,45,'und',0,88,'','',900,613),('taxonomy_term','sports',0,47,47,'und',0,89,'','',900,677),('taxonomy_term','sports',0,48,48,'und',0,99,'','',900,600),('taxonomy_term','sports',0,49,49,'und',0,90,'','',900,1197),('taxonomy_term','sports',0,57,57,'und',0,109,'','',900,539);
/*!40000 ALTER TABLE `field_data_field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_list_description`
--

DROP TABLE IF EXISTS `field_data_field_list_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_list_description` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_list_description_value` varchar(255) DEFAULT NULL,
  `field_list_description_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_list_description_format` (`field_list_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 12 (field_list_description)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_list_description`
--

LOCK TABLES `field_data_field_list_description` WRITE;
/*!40000 ALTER TABLE `field_data_field_list_description` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_list_description` VALUES ('newsletter_list','newsletter_list',0,1,1,'und',0,'An example newsletter list with Manual Send Rate.',NULL);
/*!40000 ALTER TABLE `field_data_field_list_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_local_video`
--

DROP TABLE IF EXISTS `field_data_field_local_video`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_local_video` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_local_video_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_local_video_thumbnail` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced for video thumbnail.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_local_video_fid` (`field_local_video_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 17 (field_local_video)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_local_video`
--

LOCK TABLES `field_data_field_local_video` WRITE;
/*!40000 ALTER TABLE `field_data_field_local_video` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_local_video` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_newsletter_body`
--

DROP TABLE IF EXISTS `field_data_field_newsletter_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_newsletter_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_body_value` longtext,
  `field_newsletter_body_summary` longtext,
  `field_newsletter_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_body_format` (`field_newsletter_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 13 (field_newsletter_body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_newsletter_body`
--

LOCK TABLES `field_data_field_newsletter_body` WRITE;
/*!40000 ALTER TABLE `field_data_field_newsletter_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_newsletter_body` VALUES ('newsletter_template','newsletter_template',0,1,1,'und',0,'Hello [newsletter:subscriber_email],<br />\n\nWe received your request for information from [site:name] <br />\nBefore we begin sending you the information you requested, we want to be certain we have your permission.<br />\nClick the link below to give us permission to send you information. It\'s fast and easy!  If you cannot click the full URL below, please copy the URL and paste it into your web browser.<br /><br />\n\nConfirm by clicking the URL below:<br /><br />\n<a href=\"[newsletter:confirmation_url]\">[newsletter:confirmation_url]</a><br /><br />\n\nIf you do not want to subscribe, simply ignore this message.<br /><br />\n\nBest Regards,<br />\n[site:name]<br />\n[site:url]<br /><br />\n\nRequest generated by:<br />\nIP: [newsletter:subscription_ip]<br />\nDate: [newsletter:subscription_time]<br />\n',NULL,'filtered_html'),('newsletter_template','newsletter_template',0,2,2,'und',0,'Hello [newsletter:subscriber_email],<br /><br />\n\nThank you for your subscription. You are now signed up to our newsletter!<br />\nWe will keep your personal information private and secure. We will not share your email address with any third parties. <br />\nTo ensure you receive future subscribers-only news, please add this e-mail to your e-mail address book or safe senders list.<br />\n\n\nSincerely,<br />\n[site:name]<br />\n[site:url]<br /><br />\n\n----<br />\nYou are receiving this email because on [newsletter:subscription_time] at [site:url] you subscribed to receive our e-newsletters.<br /><br />\nYou can unsubscribe via the link below:<br />\n<a href=\"[newsletter:unsubscribe_url]\">Unsubscribe</a>\n',NULL,'filtered_html'),('newsletter_template','newsletter_template',0,3,3,'und',0,'Dear [newsletter:subscriber_email],<br />\n\nThis email is being sent to notify you that we have received a request to remove the following record from our mailing list:<br /><br />\n\nEmail: [newsletter:subscriber_email]<br /><br />\n\nThis record was removed from our database.<br />\nIf you do receive further unwanted email from our system, please let us know and we\'d be happy to address the issue immediately.<br /><br />\n\nSincerely,<br />\n[site:name]<br />\n[site:url] <br />\n',NULL,'filtered_html'),('newsletter_template','newsletter_template',0,4,4,'und',0,'Hello [newsletter:subscriber_email],<br /><br />\n\nHere is what\'s new on <a href=\"[site:url]\">[site:name]</a> over the past few days. Your comments and feedback are always welcome.<br />\n\n<ol>\n [repeat] \n<li><a href=\"[node:url]\">[node:title]</a> -[node:created]<br /> [node:summary]<br /></li>\n [/repeat] \n\n</ol>Sincerely,<br /> <a href=\"[site:url]\">[site:name]</a><br /> <br /> <br />\n\n--<br />You are receiving this email because on [newsletter:subscription_time] you subscribed to receive our newsletter list : [newsletter:list_name].<br /><br />\n\nYou can unsubscribe by clicking the link below:<br /> \n<a href=\"[newsletter:unsubscribe_url]\">Unsubscribe</a><br />\n',NULL,'filtered_html');
/*!40000 ALTER TABLE `field_data_field_newsletter_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_newsletter_categories`
--

DROP TABLE IF EXISTS `field_data_field_newsletter_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_newsletter_categories` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_categories_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_categories_tid` (`field_newsletter_categories_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 9 (field_newsletter_categories)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_newsletter_categories`
--

LOCK TABLES `field_data_field_newsletter_categories` WRITE;
/*!40000 ALTER TABLE `field_data_field_newsletter_categories` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_newsletter_categories` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_newsletter_list`
--

DROP TABLE IF EXISTS `field_data_field_newsletter_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_newsletter_list` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_list_target_id` int(10) unsigned NOT NULL COMMENT 'The id of the target entity.',
  `target_id_tids` text COMMENT 'The serialized terms this subscriber selected(only if list is exposed, else NULL).',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_list_target_id` (`field_newsletter_list_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 10 (field_newsletter_list)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_newsletter_list`
--

LOCK TABLES `field_data_field_newsletter_list` WRITE;
/*!40000 ALTER TABLE `field_data_field_newsletter_list` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_newsletter_list` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_newsletter_template`
--

DROP TABLE IF EXISTS `field_data_field_newsletter_template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_newsletter_template` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_template_target_id` int(10) unsigned NOT NULL COMMENT 'The id of the target entity.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_template_target_id` (`field_newsletter_template_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 11 (field_newsletter_template)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_newsletter_template`
--

LOCK TABLES `field_data_field_newsletter_template` WRITE;
/*!40000 ALTER TABLE `field_data_field_newsletter_template` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_newsletter_template` VALUES ('newsletter_list','newsletter_list',0,1,1,'und',0,4);
/*!40000 ALTER TABLE `field_data_field_newsletter_template` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_online_video`
--

DROP TABLE IF EXISTS `field_data_field_online_video`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_online_video` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_online_video_video_url` varchar(512) DEFAULT '',
  `field_online_video_thumbnail_path` varchar(512) DEFAULT '',
  `field_online_video_video_data` longblob,
  `field_online_video_embed_code` varchar(1024) DEFAULT '',
  `field_online_video_description` text,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 16 (field_online_video)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_online_video`
--

LOCK TABLES `field_data_field_online_video` WRITE;
/*!40000 ALTER TABLE `field_data_field_online_video` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_online_video` VALUES ('node','online_video',0,88,88,'und',0,'https://www.youtube.com/watch?v=FOIjvHjK0Rw','public://video_embed_field_thumbnails/youtube/FOIjvHjK0Rw.jpg','a:22:{s:5:\"xmlns\";s:27:\"http://www.w3.org/2005/Atom\";s:11:\"xmlns$media\";s:29:\"http://search.yahoo.com/mrss/\";s:8:\"xmlns$gd\";s:32:\"http://schemas.google.com/g/2005\";s:8:\"xmlns$yt\";s:37:\"http://gdata.youtube.com/schemas/2007\";s:7:\"gd$etag\";s:28:\"W/\"C04ERH47eCp7I2A9XRZWE0Q.\"\";s:2:\"id\";s:38:\"tag:youtube.com,2008:video:FOIjvHjK0Rw\";s:9:\"published\";s:24:\"2013-03-01T05:40:13.000Z\";s:7:\"updated\";s:24:\"2014-07-15T02:38:25.000Z\";s:8:\"category\";a:2:{i:0;a:2:{s:6:\"scheme\";s:37:\"http://schemas.google.com/g/2005#kind\";s:4:\"term\";s:43:\"http://gdata.youtube.com/schemas/2007#video\";}i:1;a:3:{s:6:\"scheme\";s:52:\"http://gdata.youtube.com/schemas/2007/categories.cat\";s:4:\"term\";s:5:\"Music\";s:5:\"label\";s:5:\"Music\";}}s:5:\"title\";s:93:\"Beautiful Light Music - easy smooth inspirational - long playlist by relaxdaily: Ocean Breeze\";s:7:\"content\";a:2:{s:4:\"type\";s:29:\"application/x-shockwave-flash\";s:3:\"src\";s:73:\"http://www.youtube.com/v/FOIjvHjK0Rw?version=3&f=videos&app=youtube_gdata\";}s:4:\"link\";a:5:{i:0;a:3:{s:3:\"rel\";s:9:\"alternate\";s:4:\"type\";s:9:\"text/html\";s:4:\"href\";s:64:\"http://www.youtube.com/watch?v=FOIjvHjK0Rw&feature=youtube_gdata\";}i:1;a:3:{s:3:\"rel\";s:51:\"http://gdata.youtube.com/schemas/2007#video.related\";s:4:\"type\";s:20:\"application/atom+xml\";s:4:\"href\";s:65:\"http://gdata.youtube.com/feeds/api/videos/FOIjvHjK0Rw/related?v=2\";}i:2;a:3:{s:3:\"rel\";s:44:\"http://gdata.youtube.com/schemas/2007#mobile\";s:4:\"type\";s:9:\"text/html\";s:4:\"href\";s:42:\"http://m.youtube.com/details?v=FOIjvHjK0Rw\";}i:3;a:3:{s:3:\"rel\";s:46:\"http://gdata.youtube.com/schemas/2007#uploader\";s:4:\"type\";s:20:\"application/atom+xml\";s:4:\"href\";s:67:\"http://gdata.youtube.com/feeds/api/users/c9EzBNAtdnNiDrMw5CAxUw?v=2\";}i:4;a:3:{s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:20:\"application/atom+xml\";s:4:\"href\";s:57:\"http://gdata.youtube.com/feeds/api/videos/FOIjvHjK0Rw?v=2\";}}s:6:\"author\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"relaxdaily\";s:3:\"uri\";s:51:\"http://gdata.youtube.com/feeds/api/users/relaxdaily\";s:9:\"yt$userId\";s:22:\"c9EzBNAtdnNiDrMw5CAxUw\";}}s:16:\"yt$accessControl\";a:8:{i:0;a:2:{s:6:\"action\";s:7:\"comment\";s:10:\"permission\";s:7:\"allowed\";}i:1;a:2:{s:6:\"action\";s:11:\"commentVote\";s:10:\"permission\";s:7:\"allowed\";}i:2;a:2:{s:6:\"action\";s:12:\"videoRespond\";s:10:\"permission\";s:9:\"moderated\";}i:3;a:2:{s:6:\"action\";s:4:\"rate\";s:10:\"permission\";s:7:\"allowed\";}i:4;a:2:{s:6:\"action\";s:5:\"embed\";s:10:\"permission\";s:7:\"allowed\";}i:5;a:2:{s:6:\"action\";s:4:\"list\";s:10:\"permission\";s:7:\"allowed\";}i:6;a:2:{s:6:\"action\";s:8:\"autoPlay\";s:10:\"permission\";s:7:\"allowed\";}i:7;a:2:{s:6:\"action\";s:9:\"syndicate\";s:10:\"permission\";s:7:\"allowed\";}}s:11:\"gd$comments\";a:1:{s:11:\"gd$feedLink\";a:3:{s:3:\"rel\";s:46:\"http://gdata.youtube.com/schemas/2007#comments\";s:4:\"href\";s:66:\"http://gdata.youtube.com/feeds/api/videos/FOIjvHjK0Rw/comments?v=2\";s:9:\"countHint\";i:4853;}}s:5:\"yt$hd\";a:0:{}s:11:\"media$group\";a:14:{s:14:\"media$category\";a:1:{i:0;s:5:\"Music\";}s:13:\"media$content\";a:3:{i:0;a:7:{s:3:\"url\";s:73:\"http://www.youtube.com/v/FOIjvHjK0Rw?version=3&f=videos&app=youtube_gdata\";s:4:\"type\";s:29:\"application/x-shockwave-flash\";s:6:\"medium\";s:5:\"video\";s:9:\"isDefault\";s:4:\"true\";s:10:\"expression\";s:4:\"full\";s:8:\"duration\";i:7894;s:9:\"yt$format\";i:5;}i:1;a:6:{s:3:\"url\";s:102:\"rtsp://r7---sn-a5m7zu76.c.youtube.com/CiILENy73wIaGQkc0cp4vCPiFBMYDSANFEgGUgZ2aWRlb3MM/0/0/0/video.3gp\";s:4:\"type\";s:10:\"video/3gpp\";s:6:\"medium\";s:5:\"video\";s:10:\"expression\";s:4:\"full\";s:8:\"duration\";i:7894;s:9:\"yt$format\";i:1;}i:2;a:6:{s:3:\"url\";s:102:\"rtsp://r7---sn-a5m7zu76.c.youtube.com/CiILENy73wIaGQkc0cp4vCPiFBMYESARFEgGUgZ2aWRlb3MM/0/0/0/video.3gp\";s:4:\"type\";s:10:\"video/3gpp\";s:6:\"medium\";s:5:\"video\";s:10:\"expression\";s:4:\"full\";s:8:\"duration\";i:7894;s:9:\"yt$format\";i:6;}}s:12:\"media$credit\";a:1:{i:0;s:10:\"relaxdaily\";}s:17:\"media$description\";s:1575:\"Listen to a 2h long playlist with relaxdaily music. Beautiful, light instrumental music with an easy, smooth and inspirational attitude. You can download my music at http://relaxdaily.net. Or simply enjoy this full length version here on YouTube ;)\nA music mix I made up from my own releases from the last 1,5 years. Think of it as another 2h relax radio playlist. For more music, mixes and playlists join me at my website or my YouTube channel. \n- Michael (relaxdaily musician)\n\nRelaxdaily\'s background music instrumentals: beautiful, light, inspirational music that can be used as a soundtrack for multiple activities. Depending on your interest you might use my music in your relax radio playlist, as yoga music, as music while you\'re studying, doing homework, working (mentally, creatively), reading, writing, while thinking or reflecting, dreaming, reviewing, making future plans. Some use it as \"sleep music\" (I personally think there\'s better sleep music out there, but it seems to work ;) Some even listen to it in their minecraft music playlist. Call it chillout, smooth, ambient, New Age, instrumental, or background music -- this is not as much about a genre as it is about a feeling. A way of life. With the relaxdaily project, I try to take a little heat from our (generally) too busy lives. I try to deliver a soundtrack for you, when you feel the need for some positive, calming, inspirational tunes.\n\nThe simple (repetitive) video shows some grass waving in the wind at the pacific coast in California, just a few miles south of San Fran.\n\n© 2013, relaxdaily\";s:14:\"media$keywords\";a:0:{}s:13:\"media$license\";s:7:\"youtube\";s:12:\"media$player\";a:1:{s:3:\"url\";s:71:\"http://www.youtube.com/watch?v=FOIjvHjK0Rw&feature=youtube_gdata_player\";}s:15:\"media$thumbnail\";a:7:{i:0;a:5:{s:3:\"url\";s:46:\"http://i1.ytimg.com/vi/FOIjvHjK0Rw/default.jpg\";s:6:\"height\";i:90;s:5:\"width\";i:120;s:4:\"time\";s:8:\"01:05:47\";s:7:\"yt$name\";s:7:\"default\";}i:1;a:4:{s:3:\"url\";s:48:\"http://i1.ytimg.com/vi/FOIjvHjK0Rw/mqdefault.jpg\";s:6:\"height\";i:180;s:5:\"width\";i:320;s:7:\"yt$name\";s:9:\"mqdefault\";}i:2;a:4:{s:3:\"url\";s:48:\"http://i1.ytimg.com/vi/FOIjvHjK0Rw/hqdefault.jpg\";s:6:\"height\";i:360;s:5:\"width\";i:480;s:7:\"yt$name\";s:9:\"hqdefault\";}i:3;a:4:{s:3:\"url\";s:48:\"http://i1.ytimg.com/vi/FOIjvHjK0Rw/sddefault.jpg\";s:6:\"height\";i:480;s:5:\"width\";i:640;s:7:\"yt$name\";s:9:\"sddefault\";}i:4;a:5:{s:3:\"url\";s:40:\"http://i1.ytimg.com/vi/FOIjvHjK0Rw/1.jpg\";s:6:\"height\";i:90;s:5:\"width\";i:120;s:4:\"time\";s:12:\"00:32:53.500\";s:7:\"yt$name\";s:5:\"start\";}i:5;a:5:{s:3:\"url\";s:40:\"http://i1.ytimg.com/vi/FOIjvHjK0Rw/2.jpg\";s:6:\"height\";i:90;s:5:\"width\";i:120;s:4:\"time\";s:8:\"01:05:47\";s:7:\"yt$name\";s:6:\"middle\";}i:6;a:5:{s:3:\"url\";s:40:\"http://i1.ytimg.com/vi/FOIjvHjK0Rw/3.jpg\";s:6:\"height\";i:90;s:5:\"width\";i:120;s:4:\"time\";s:12:\"01:38:40.500\";s:7:\"yt$name\";s:3:\"end\";}}s:11:\"media$title\";s:93:\"Beautiful Light Music - easy smooth inspirational - long playlist by relaxdaily: Ocean Breeze\";s:14:\"yt$aspectRatio\";s:10:\"widescreen\";s:11:\"yt$duration\";a:1:{s:7:\"seconds\";s:4:\"7894\";}s:11:\"yt$uploaded\";s:24:\"2013-03-01T05:40:13.000Z\";s:13:\"yt$uploaderId\";s:24:\"UCc9EzBNAtdnNiDrMw5CAxUw\";s:10:\"yt$videoid\";s:11:\"FOIjvHjK0Rw\";}s:9:\"gd$rating\";a:5:{s:7:\"average\";d:4.86107200000000005957190296612679958343505859375;s:3:\"max\";i:5;s:3:\"min\";i:1;s:9:\"numRaters\";i:44685;s:3:\"rel\";s:40:\"http://schemas.google.com/g/2005#overall\";}s:13:\"yt$statistics\";a:2:{s:13:\"favoriteCount\";s:1:\"0\";s:9:\"viewCount\";s:7:\"9931073\";}s:9:\"yt$rating\";a:2:{s:11:\"numDislikes\";s:4:\"1552\";s:8:\"numLikes\";s:5:\"43133\";}s:5:\"terms\";a:1:{i:0;s:5:\"Music\";}s:7:\"handler\";s:7:\"youtube\";}',NULL,NULL),('node','online_video',0,89,89,'und',0,'http://vimeo.com/60280914','public://video_embed_field_thumbnails/vimeo/60280914.jpg','a:25:{s:2:\"id\";i:60280914;s:5:\"title\";s:30:\"Margaret - Thank You Very Much\";s:11:\"description\";s:44:\"https://www.facebook.com/MARGARETMUSICONLINE\";s:3:\"url\";s:25:\"http://vimeo.com/60280914\";s:11:\"upload_date\";s:19:\"2013-02-22 15:10:00\";s:10:\"mobile_url\";s:27:\"http://vimeo.com/m/60280914\";s:15:\"thumbnail_small\";s:48:\"http://i.vimeocdn.com/video/418803220_100x75.jpg\";s:16:\"thumbnail_medium\";s:49:\"http://i.vimeocdn.com/video/418803220_200x150.jpg\";s:15:\"thumbnail_large\";s:45:\"http://i.vimeocdn.com/video/418803220_640.jpg\";s:7:\"user_id\";i:9235811;s:9:\"user_name\";s:15:\"Extensive Music\";s:8:\"user_url\";s:28:\"http://vimeo.com/user9235811\";s:19:\"user_portrait_small\";s:134:\"http://www.gravatar.com/avatar/ac263e084a6d75f8b9d4362890f06497?d=http%3A%2F%2Fi.vimeocdn.com%2Fportrait%2Fdefault-gray_30x30.png&s=30\";s:20:\"user_portrait_medium\";s:134:\"http://www.gravatar.com/avatar/ac263e084a6d75f8b9d4362890f06497?d=http%3A%2F%2Fi.vimeocdn.com%2Fportrait%2Fdefault-gray_75x75.png&s=75\";s:19:\"user_portrait_large\";s:137:\"http://www.gravatar.com/avatar/ac263e084a6d75f8b9d4362890f06497?d=http%3A%2F%2Fi.vimeocdn.com%2Fportrait%2Fdefault-gray_100x100.png&s=100\";s:18:\"user_portrait_huge\";s:137:\"http://www.gravatar.com/avatar/ac263e084a6d75f8b9d4362890f06497?d=http%3A%2F%2Fi.vimeocdn.com%2Fportrait%2Fdefault-gray_300x300.png&s=300\";s:21:\"stats_number_of_likes\";i:593;s:21:\"stats_number_of_plays\";i:1103232;s:24:\"stats_number_of_comments\";i:32;s:8:\"duration\";i:207;s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"tags\";s:53:\"margaret, thank you very much, thank, you, very, much\";s:13:\"embed_privacy\";s:8:\"anywhere\";s:7:\"handler\";s:5:\"vimeo\";}',NULL,NULL),('node','online_video',0,101,101,'und',0,'http://vimeo.com/60280914','public://video_embed_field_thumbnails/vimeo/60280914.jpg','a:25:{s:2:\"id\";i:60280914;s:5:\"title\";s:30:\"Margaret - Thank You Very Much\";s:11:\"description\";s:44:\"https://www.facebook.com/MARGARETMUSICONLINE\";s:3:\"url\";s:25:\"http://vimeo.com/60280914\";s:11:\"upload_date\";s:19:\"2013-02-22 15:10:00\";s:10:\"mobile_url\";s:25:\"http://vimeo.com/60280914\";s:15:\"thumbnail_small\";s:48:\"http://i.vimeocdn.com/video/418803220_100x75.jpg\";s:16:\"thumbnail_medium\";s:49:\"http://i.vimeocdn.com/video/418803220_200x150.jpg\";s:15:\"thumbnail_large\";s:45:\"http://i.vimeocdn.com/video/418803220_640.jpg\";s:7:\"user_id\";i:9235811;s:9:\"user_name\";s:15:\"Extensive Music\";s:8:\"user_url\";s:28:\"http://vimeo.com/user9235811\";s:19:\"user_portrait_small\";s:134:\"http://www.gravatar.com/avatar/ac263e084a6d75f8b9d4362890f06497?d=http%3A%2F%2Fi.vimeocdn.com%2Fportrait%2Fdefault-gray_30x30.png&s=30\";s:20:\"user_portrait_medium\";s:134:\"http://www.gravatar.com/avatar/ac263e084a6d75f8b9d4362890f06497?d=http%3A%2F%2Fi.vimeocdn.com%2Fportrait%2Fdefault-gray_75x75.png&s=75\";s:19:\"user_portrait_large\";s:137:\"http://www.gravatar.com/avatar/ac263e084a6d75f8b9d4362890f06497?d=http%3A%2F%2Fi.vimeocdn.com%2Fportrait%2Fdefault-gray_100x100.png&s=100\";s:18:\"user_portrait_huge\";s:137:\"http://www.gravatar.com/avatar/ac263e084a6d75f8b9d4362890f06497?d=http%3A%2F%2Fi.vimeocdn.com%2Fportrait%2Fdefault-gray_300x300.png&s=300\";s:21:\"stats_number_of_likes\";i:662;s:21:\"stats_number_of_plays\";i:1205005;s:24:\"stats_number_of_comments\";i:32;s:8:\"duration\";i:207;s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"tags\";s:53:\"margaret, thank you very much, thank, you, very, much\";s:13:\"embed_privacy\";s:8:\"anywhere\";s:7:\"handler\";s:5:\"vimeo\";}',NULL,NULL);
/*!40000 ALTER TABLE `field_data_field_online_video` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_pinteros_size`
--

DROP TABLE IF EXISTS `field_data_field_pinteros_size`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_pinteros_size` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_pinteros_size_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_pinteros_size_tid` (`field_pinteros_size_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 5 (field_pinteros_size)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_pinteros_size`
--

LOCK TABLES `field_data_field_pinteros_size` WRITE;
/*!40000 ALTER TABLE `field_data_field_pinteros_size` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_pinteros_size` VALUES ('node','article',0,2,2,'und',0,1),('node','article',0,3,3,'und',0,1),('node','article',0,5,5,'und',0,1),('node','article',0,6,6,'und',0,2),('node','blog',0,7,7,'und',0,1),('node','blog',0,9,9,'und',0,1),('node','blog',0,10,10,'und',0,2),('node','article',0,11,11,'und',0,1),('node','article',0,12,12,'und',0,1),('node','blog',0,14,14,'und',0,2),('node','blog',0,15,15,'und',0,1),('node','article',0,16,16,'und',0,2),('node','article',0,17,17,'und',0,1),('node','blog',0,18,18,'und',0,1),('node','article',0,20,20,'und',0,1),('node','blog',0,21,21,'und',0,2),('node','blog',0,22,22,'und',0,1),('node','article',0,24,24,'und',0,1),('node','article',0,25,25,'und',0,1),('node','blog',0,27,27,'und',0,3),('node','blog',0,28,28,'und',0,2),('node','blog',0,29,29,'und',0,1),('node','blog',0,30,30,'und',0,2),('node','article',0,31,31,'und',0,1),('node','blog',0,32,32,'und',0,1),('node','article',0,33,33,'und',0,1),('node','article',0,34,34,'und',0,1),('node','article',0,35,35,'und',0,1),('node','article',0,37,37,'und',0,1),('node','article',0,39,39,'und',0,1),('node','article',0,40,40,'und',0,1),('node','article',0,41,41,'und',0,2),('node','article',0,42,42,'und',0,1),('node','article',0,45,45,'und',0,1),('node','article',0,49,49,'und',0,3),('node','showcase',0,50,50,'und',0,2),('node','showcase',0,51,51,'und',0,1),('node','showcase',0,52,52,'und',0,1),('node','showcase',0,53,53,'und',0,1),('node','showcase',0,54,54,'und',0,2),('node','showcase',0,55,55,'und',0,1),('node','showcase',0,56,56,'und',0,1),('node','showcase',0,57,57,'und',0,2),('node','showcase',0,58,58,'und',0,2),('node','showcase',0,59,59,'und',0,2),('node','showcase',0,60,60,'und',0,1),('node','showcase',0,62,62,'und',0,1),('node','showcase',0,63,63,'und',0,2),('node','article',0,77,77,'und',0,1),('node','article',0,78,78,'und',0,1),('node','article',0,80,80,'und',0,1),('node','article',0,81,81,'und',0,1),('node','article',0,84,84,'und',0,1),('node','article',0,85,85,'und',0,1),('node','article',0,87,87,'und',0,1),('node','online_video',0,88,88,'und',0,1),('node','article',0,90,90,'und',0,1),('node','article',0,91,91,'und',0,2);
/*!40000 ALTER TABLE `field_data_field_pinteros_size` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_pinteros_skin`
--

DROP TABLE IF EXISTS `field_data_field_pinteros_skin`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_pinteros_skin` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_pinteros_skin_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_pinteros_skin_tid` (`field_pinteros_skin_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 6 (field_pinteros_skin)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_pinteros_skin`
--

LOCK TABLES `field_data_field_pinteros_skin` WRITE;
/*!40000 ALTER TABLE `field_data_field_pinteros_skin` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_pinteros_skin` VALUES ('node','online_video',0,88,88,'und',0,5),('node','online_video',0,89,89,'und',0,4),('node','online_video',0,101,101,'und',0,4);
/*!40000 ALTER TABLE `field_data_field_pinteros_skin` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_sports`
--

DROP TABLE IF EXISTS `field_data_field_sports`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_sports` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sports_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_sports_tid` (`field_sports_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 8 (field_sports)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_sports`
--

LOCK TABLES `field_data_field_sports` WRITE;
/*!40000 ALTER TABLE `field_data_field_sports` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_sports` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_tags`
--

DROP TABLE IF EXISTS `field_data_field_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_tags_tid` (`field_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 3 (field_tags)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_tags`
--

LOCK TABLES `field_data_field_tags` WRITE;
/*!40000 ALTER TABLE `field_data_field_tags` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_tags` VALUES ('node','article',0,1,1,'und',0,14),('node','article',0,3,3,'und',0,15),('node','article',0,4,4,'und',0,15),('node','article',0,5,5,'und',0,16),('node','article',0,6,6,'und',0,17),('node','article',0,8,8,'und',0,18),('node','article',0,11,11,'und',0,19),('node','article',0,12,12,'und',0,20),('node','article',0,13,13,'und',0,21),('node','article',0,16,16,'und',0,22),('node','article',0,17,17,'und',0,23),('node','article',0,19,19,'und',0,23),('node','article',0,20,20,'und',0,24),('node','article',0,23,23,'und',0,19),('node','article',0,24,24,'und',0,25),('node','article',0,25,25,'und',0,19),('node','article',0,26,26,'und',0,26),('node','article',0,26,26,'und',1,27),('node','blog',0,30,30,'und',0,28),('node','blog',0,30,30,'und',1,16),('node','article',0,31,31,'und',0,29),('node','article',0,31,31,'und',1,16),('node','article',0,33,33,'und',0,20),('node','article',0,33,33,'und',1,30),('node','article',0,35,35,'und',0,20),('node','article',0,37,37,'und',0,31),('node','article',0,37,37,'und',1,32),('node','article',0,39,39,'und',0,31),('node','article',0,40,40,'und',0,14),('node','article',0,43,43,'und',0,33),('node','article',0,43,43,'und',1,34),('node','article',0,44,44,'und',0,36),('node','article',0,45,45,'und',0,15),('node','article',0,46,46,'und',0,35),('node','article',0,46,46,'und',1,15),('node','article',0,47,47,'und',0,15),('node','article',0,48,48,'und',0,15),('node','article',0,49,49,'und',0,15),('node','article',0,49,49,'und',1,29),('node','article',0,77,77,'und',0,50),('node','article',0,77,77,'und',1,51),('node','article',0,78,78,'und',0,51),('node','article',0,80,80,'und',0,51),('node','article',0,81,81,'und',0,52),('node','article',0,82,82,'und',0,53),('node','article',0,82,82,'und',1,54),('node','article',0,83,83,'und',0,54),('node','article',0,84,84,'und',0,55),('node','article',0,85,85,'und',0,56),('node','article',0,85,85,'und',1,55),('node','article',0,86,86,'und',0,55),('node','article',0,86,86,'und',1,56),('node','article',0,87,87,'und',0,55),('node','article',0,87,87,'und',1,56),('node','article',0,91,91,'und',0,16),('node','article',0,91,91,'und',1,58);
/*!40000 ALTER TABLE `field_data_field_tags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_taxonomy_forums`
--

DROP TABLE IF EXISTS `field_data_taxonomy_forums`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_taxonomy_forums` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `taxonomy_forums_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `taxonomy_forums_tid` (`taxonomy_forums_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 15 (taxonomy_forums)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_taxonomy_forums`
--

LOCK TABLES `field_data_taxonomy_forums` WRITE;
/*!40000 ALTER TABLE `field_data_taxonomy_forums` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_taxonomy_forums` VALUES ('node','forum',0,70,70,'und',0,37),('node','forum',0,71,71,'und',0,41),('node','forum',0,72,72,'und',0,42),('node','forum',0,73,73,'und',0,44),('node','forum',0,74,74,'und',0,39),('node','forum',0,75,75,'und',0,43),('node','forum',0,76,76,'und',0,40);
/*!40000 ALTER TABLE `field_data_taxonomy_forums` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_body`
--

DROP TABLE IF EXISTS `field_revision_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext,
  `body_summary` longtext,
  `body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 2 (body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_body`
--

LOCK TABLES `field_revision_body` WRITE;
/*!40000 ALTER TABLE `field_revision_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_body` VALUES ('node','article',0,1,1,'und',0,' Sed vulputate metus eget orci tristique, non mattis est tincidunt. Suspendisse potenti. Sed feugiat diam tortor. Praesent eleifend neque quis est vulputate tincidunt. Etiam eu urna ut arcu volutpat auctor. Morbi varius, nunc quis blandit vestibulum, lectus lectus commodo tellus, eu ornare magna ante interdum erat. Phasellus at lorem sit amet nisl condimentum faucibus ut in lectus. Nunc pellentesque tellus non aliquet ultrices. Sed ullamcorper augue mauris, porta facilisis nisl tristique id.\r\n\r\nVestibulum sed interdum felis. Nulla feugiat est vel sem bibendum, id dapibus purus dignissim. Sed mattis faucibus elit, quis euismod odio venenatis eget. Integer feugiat ornare mauris, a adipiscing orci volutpat sed. Donec molestie metus a magna fermentum, nec accumsan massa varius. Cras aliquet nulla eleifend tempus fermentum. Praesent tempus commodo tortor ac lobortis. Ut nunc odio, viverra vel metus sed, adipiscing ullamcorper lectus. Nunc sit amet enim lacus. Mauris erat purus, vestibulum nec nunc id, ultricies eleifend massa. Quisque commodo id tellus blandit varius.\r\n\r\nDonec id turpis feugiat nibh accumsan tincidunt. Aliquam velit orci, fermentum a orci in, eleifend tempus mi. Curabitur accumsan id lacus in cursus. Phasellus mattis eros quis mi aliquet, at ullamcorper metus sagittis. Vestibulum velit nisi, tincidunt ac tristique at, placerat et eros. Donec gravida facilisis dolor, eget tristique ligula ultricies commodo. Nam accumsan purus in nulla faucibus, id vestibulum nulla congue. Ut at consectetur nulla, quis porttitor nulla. Sed eget congue felis. Aliquam at odio orci. Vestibulum in egestas lacus. Nulla risus justo, faucibus ut pellentesque non, fringilla vel eros. Sed adipiscing urna non nisi bibendum, a condimentum arcu luctus. Curabitur quam ante, condimentum non nulla eget, molestie facilisis mauris.\r\n','','full_html'),('node','article',0,2,2,'und',0,'You’re never too young to be a sports fan, and the newest generation of Magic supporters is being born at Florida Hospital. As Orlando is gearing up to welcome the upcoming draft picks to the city, the Magic are welcoming their youngest fans into the Little Magic program.\r\n\r\nAll babies born at Florida Hospital Altamonte, Celebration, Orlando, and Winter Park in the week leading up to the 2014 NBA Draft, are receiving an Orlando Magic baby jersey and a commemorative framed photograph from the Orlando Magic and Florida Hospital.\r\n\r\nAnd because the babies are looking so cute in their new Magic jerseys, we couldn’t resist sharing the photos on our social media sites. And if you’re driving along I-4, keep an eye out for the Magic’s digital billboard on the Amway Center, and see if you can spot our Florida Hospital babies.  \r\n\r\nDonec nec urna volutpat, suscipit ligula ut, viverra turpis. Nunc lacus lacus, venenatis ut iaculis vel, mattis non sapien. Sed ultricies lectus vel nisl volutpat iaculis. Pellentesque eu laoreet diam. Duis sed faucibus mauris, ut viverra arcu. Nullam eu magna eget tellus faucibus sagittis. Donec auctor est nec erat pretium commodo.\r\n\r\nNunc elit nisi, hendrerit iaculis tempus eu, venenatis non nibh. Morbi in est sed erat tempus ornare eget a ipsum. Nam vitae semper erat. Donec et aliquet diam, sit amet interdum est. Suspendisse non lectus diam. Nullam nec quam fermentum, pellentesque lacus a, bibendum ligula. Phasellus in ligula pretium, accumsan ipsum ut, fringilla nunc. Integer ac bibendum purus. Pellentesque in dui in dui commodo accumsan id vel nibh. Donec fringilla dui elementum arcu posuere sagittis.\r\n\r\nAliquam erat volutpat. Pellentesque ut metus sit amet tortor fermentum congue. Donec nisl neque, feugiat ut fermentum vitae, sagittis nec mi. Aliquam pellentesque elit vitae molestie elementum. Quisque id euismod ligula. Phasellus porta euismod felis vel dignissim. Suspendisse scelerisque nunc vestibulum massa lobortis, ut rhoncus nisi porttitor. Mauris tincidunt at ipsum in pharetra. Donec nec scelerisque mauris. ','','filtered_html'),('node','article',0,3,3,'und',0,'What kind of wedding rings do you like? Pay attention to those worn by your family and friends, and take a look on Pinterest to get thoroughly inspired. Also, give some thought as to what kind of ring would work best with your lifestyle. Your perfect wedding band will fit effortlessly into your day-to-day life.\r\n\r\nAliquam erat volutpat. Pellentesque ut metus sit amet tortor fermentum congue. Donec nisl neque, feugiat ut fermentum vitae, sagittis nec mi. Aliquam pellentesque elit vitae molestie elementum. Quisque id euismod ligula. Phasellus porta euismod felis vel dignissim. Suspendisse scelerisque nunc vestibulum massa lobortis, ut rhoncus nisi porttitor. Mauris tincidunt at ipsum in pharetra. Donec nec scelerisque mauris.\r\n\r\nQuisque iaculis augue elit, in auctor nibh pellentesque ac. Vivamus ultrices sem nibh, id pharetra purus placerat a. Interdum et malesuada fames ac ante ipsum primis in faucibus. Integer lacinia leo ut pharetra rutrum. Nulla quis velit imperdiet, euismod justo ac, blandit urna. Curabitur tincidunt diam ac erat congue sodales. Vestibulum non felis id orci faucibus imperdiet. Aenean orci erat, pulvinar ut placerat eu, dignissim quis nulla. Interdum et malesuada fames ac ante ipsum primis in faucibus.\r\n\r\nAenean imperdiet elit ligula, vel tincidunt tellus volutpat eu. Aenean et metus ut leo placerat suscipit. Proin luctus sem leo, eget mattis nulla mattis nec. Proin ornare dictum est, nec congue erat egestas non. Quisque in feugiat magna. Suspendisse potenti. Sed viverra tellus non posuere mollis. Aliquam ac nisi eu dolor elementum commodo. Donec et tortor bibendum, tincidunt lectus vitae, egestas ipsum. ','','filtered_html'),('node','article',0,4,4,'und',0,'Figuring out where the most joyous occasion of your life (thus far, at least) will take place isn\'t a small matter. Where you wed can dictate when you wed, how formal the event, even what you\'ll wear. The key is to look far and wide, and to heed advice that\'s typically given for the wedding-dress hunt: \"Try on\" different options, not only the one you think you want. With that in mind, we compiled a list of the most common (and a few not so common) venues. See if one fits!\r\n\r\nDonec nec urna volutpat, suscipit ligula ut, viverra turpis. Nunc lacus lacus, venenatis ut iaculis vel, mattis non sapien. Sed ultricies lectus vel nisl volutpat iaculis. Pellentesque eu laoreet diam. Duis sed faucibus mauris, ut viverra arcu. Nullam eu magna eget tellus faucibus sagittis. Donec auctor est nec erat pretium commodo.\r\n\r\nNunc elit nisi, hendrerit iaculis tempus eu, venenatis non nibh. Morbi in est sed erat tempus ornare eget a ipsum. Nam vitae semper erat. Donec et aliquet diam, sit amet interdum est. Suspendisse non lectus diam. Nullam nec quam fermentum, pellentesque lacus a, bibendum ligula. Phasellus in ligula pretium, accumsan ipsum ut, fringilla nunc. Integer ac bibendum purus. Pellentesque in dui in dui commodo accumsan id vel nibh. Donec fringilla dui elementum arcu posuere sagittis.\r\n\r\nAliquam erat volutpat. Pellentesque ut metus sit amet tortor fermentum congue. Donec nisl neque, feugiat ut fermentum vitae, sagittis nec mi. Aliquam pellentesque elit vitae molestie elementum. Quisque id euismod ligula. Phasellus porta euismod felis vel dignissim. Suspendisse scelerisque nunc vestibulum massa lobortis, ut rhoncus nisi porttitor. Mauris tincidunt at ipsum in pharetra. Donec nec scelerisque mauris.\r\n\r\nQuisque iaculis augue elit, in auctor nibh pellentesque ac. Vivamus ultrices sem nibh, id pharetra purus placerat a. Interdum et malesuada fames ac ante ipsum primis in faucibus. Integer lacinia leo ut pharetra rutrum. Nulla quis velit imperdiet, euismod justo ac, blandit urna. Curabitur tincidunt diam ac erat congue sodales. Vestibulum non felis id orci faucibus imperdiet. Aenean orci erat, pulvinar ut placerat eu, dignissim quis nulla. Interdum et malesuada fames ac ante ipsum primis in faucibus. ','','filtered_html'),('node','article',0,5,5,'und',0,'Spark\'s fly in July, and not just on the Fourth. Celebrate independence all month long with exciting trips at home and abroad. From a leisurely stroll through the City of Brotherly Love to heart-pumping action on the bull-stomping streets of Pamplona, Spain, take full advantage of your right to pursue happiness with these our recommendations on things to do in July.\r\n\r\nNam dictum convallis augue, ac faucibus sem rutrum a. Nam ac sapien sed urna vulputate lacinia id in tellus. Cras at lectus libero. Pellentesque hendrerit non lacus nec eleifend. Suspendisse vel sodales elit. Ut consectetur ut enim sit amet fringilla. In ullamcorper at dui non condimentum. Integer nec mattis neque, id tristique dolor.\r\n\r\nUt non lacus vel nulla aliquet luctus. Vestibulum gravida dapibus feugiat. Vivamus metus eros, posuere non vehicula in, dictum id risus. Pellentesque vulputate nisl in pellentesque interdum. Mauris porttitor, leo varius congue egestas, turpis lacus lacinia nisi, vel dignissim orci eros eget ante. Maecenas vitae ipsum vel nisi mollis faucibus. Suspendisse mauris felis, semper nec accumsan condimentum, dignissim in turpis. Proin imperdiet nulla in rutrum facilisis. Donec neque nulla, imperdiet quis enim dapibus, venenatis sodales tortor. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce commodo tincidunt magna, pellentesque bibendum lacus tristique at. Donec at urna enim. Pellentesque tempus id sem eu aliquam. Integer suscipit vel orci in mollis. Vivamus vitae ultricies mi, vel luctus nisl.\r\n\r\nVestibulum auctor hendrerit mi non luctus. Duis feugiat erat et gravida suscipit. Nulla fringilla posuere vestibulum. Etiam fringilla dignissim dapibus. Nullam sit amet urna aliquet, pulvinar dui non, vestibulum justo. Morbi commodo tortor arcu, at tristique quam varius pretium. Fusce dolor ipsum, tempor a convallis nec, elementum et felis. In lectus justo, bibendum sit amet nibh at, facilisis vulputate justo. Suspendisse scelerisque sem non dolor adipiscing, sit amet sagittis neque lacinia.\r\n','','filtered_html'),('node','article',0,6,6,'und',0,'For a truly luxurious experience, we have five speciality suites. In addition, we also have a Spa Penthouse located on the top of floor of the spa. This has four additional spa suites and is perfect choice for parties and private functions.\r\n\r\nVivamus viverra quis ipsum vel varius. In gravida dui a accumsan fermentum. Aliquam erat volutpat. In adipiscing magna ornare scelerisque rutrum. Aliquam erat volutpat. Praesent blandit ut sapien at tempus. Nullam bibendum augue metus, vitae vehicula nisi commodo eget. Donec lacus nisi, viverra ac dictum sed, sollicitudin et est. Phasellus eros sem, posuere eget tempus eget, cursus eu felis.\r\n\r\nPhasellus sem velit, luctus eget massa in, porttitor varius massa. Aenean a felis sollicitudin, sodales risus sed, sollicitudin nulla. Nullam ut quam ac ipsum posuere cursus. Maecenas placerat nunc et libero ornare elementum. Suspendisse potenti. Nunc ac orci dui. In sed gravida tortor. Aliquam aliquam, sem eleifend dignissim blandit, sem eros suscipit tellus, quis egestas felis justo eu libero. Etiam ut elit eleifend, iaculis nulla sit amet, consectetur augue. Sed laoreet magna nisl, sed vulputate lectus rhoncus at. Sed imperdiet ante et orci varius facilisis. Vestibulum eu tempor nunc, vitae condimentum diam. Sed suscipit nulla sit amet turpis fringilla auctor. Vivamus est turpis, tristique et nibh sed, laoreet accumsan massa. Nam ultricies leo quis lectus luctus, condimentum porta erat mollis. Nulla ut diam turpis.\r\n\r\nNam aliquam sodales tortor, nec rhoncus leo. In euismod non ante gravida molestie. Aenean sit amet facilisis elit. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris ut tristique leo. Maecenas felis enim, euismod ac dapibus rutrum, dapibus sed purus. Nulla facilisi. Proin sed nisi nisl.\r\n\r\nFusce tincidunt urna et erat viverra, posuere mattis nisl tristique. Donec aliquam id eros quis dapibus. Aliquam scelerisque tempus lobortis. Maecenas tristique nibh orci, sit amet consequat tortor fermentum vel. Vivamus et imperdiet magna. Duis convallis tortor sit amet luctus condimentum. Mauris dictum, elit a bibendum auctor, quam libero egestas massa, sit amet suscipit enim tortor at est. Nullam sit amet tellus sit amet nisl hendrerit ultricies pharetra eget ante. Sed justo nulla, congue nec purus vel, vehicula commodo mi. In hac habitasse platea dictumst. Phasellus ornare ornare ultrices. Cras tincidunt nibh in risus pulvinar, id auctor neque euismod. Quisque aliquet elementum erat iaculis scelerisque. Nam suscipit lectus nec diam suscipit sodales nec nec nisi.','','filtered_html'),('node','blog',0,7,7,'und',0,'When I think of a sports touring bike, I think of a road racing bike with the eyelets for a rear rack. The geometry not as relaxed as a touring bike the wheel base is a little shorter the front crank is a road triple not a mountain bike crank, the rear cog will have a wider range than the typical racing cog.\r\n\r\nSo all in all fast quick and a little stouter than a racing bike. Waterford bikes has a sport touring catagory and says it light weight, quick accelerating has a longer wheel base than a racing bike for comfort over long distances. Used for credit card touring or light touring.\r\n\r\nNunc in facilisis lacus. Nulla sed urna faucibus, fringilla libero ac, ornare est. Curabitur a sem tortor. Vivamus elementum dictum bibendum. Duis iaculis interdum pulvinar. Donec blandit metus urna, eget viverra arcu accumsan id. Suspendisse dui sem, hendrerit eget tortor nec, adipiscing sollicitudin lacus.\r\n\r\nMauris quis sollicitudin eros. Nulla at nulla velit. Nullam consequat eros odio, id accumsan turpis gravida eget. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse vestibulum congue lorem, eu gravida nibh commodo eu. Quisque scelerisque risus auctor, convallis elit sed, hendrerit ligula. Ut vestibulum rutrum viverra. Fusce dapibus elit quis nulla egestas, eu tristique augue euismod.\r\n\r\nSuspendisse dignissim sagittis augue a tincidunt. Nulla eu lectus ut arcu dapibus consequat fermentum ac mauris. Proin scelerisque pharetra eros, ut euismod nisi dapibus nec. Sed at dui ac lacus convallis placerat. In pulvinar, leo et tempor pharetra, urna elit gravida tellus, sit amet aliquam diam metus et diam. Sed ut pharetra odio. Quisque quis dictum nulla, eu tristique purus. Integer nec sapien nisi. Etiam sed justo tortor.\r\n\r\nIn egestas consequat justo vel laoreet. Nulla fermentum nibh et tempus convallis. Fusce non lectus nec elit cursus placerat. Etiam a tellus nec leo condimentum adipiscing. Maecenas eget orci accumsan, lacinia nisi posuere, mattis nisl. Pellentesque varius erat vel massa luctus rhoncus eget ut libero. Phasellus enim nibh, vulputate sit amet sagittis sed, pulvinar non magna. Proin interdum purus magna, et sollicitudin mi elementum a. Aliquam ac lectus nisl. Quisque interdum metus quis urna adipiscing, ut dapibus leo ultrices. Proin consectetur eros in eleifend porttitor.','','filtered_html'),('node','article',0,8,8,'und',0,'Syracuse, N.Y.-- More than 1,000 distance runners will take to the city\'s streets during the Syracuse Half Marathon set for March 24. The race will start at 8 a.m. at the Oncenter, and will end there at around noon. The course will take runners through the north, west and south sides of Syracuse, with nine of its full 13.1 miles being within city limits.\r\n\r\nRunners can signup online or the the morning of the race, with advance admission at $75 and a race weekend rate of $90. As of Friday, more than 1,100 runners had entered.\r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent varius luctus risus, ac euismod eros lobortis eget. Suspendisse eget odio aliquam, fringilla justo sit amet, pharetra dui. Aliquam diam risus, luctus quis erat quis, lobortis ultricies est. Mauris sem enim, mollis et ornare eget, lobortis in odio. Nulla facilisi. Phasellus sed tortor sodales, mattis nisi nec, aliquet enim.\r\n\r\nSuspendisse potenti. Aenean augue nunc, rutrum quis nisi ut, tristique placerat purus. Maecenas libero felis, elementum nec nunc quis, dignissim molestie sapien. Fusce tincidunt risus vel neque aliquam, id commodo nulla cursus. Aliquam ultricies est imperdiet suscipit condimentum. Integer vitae egestas tortor, et tincidunt ante. Integer in tempor mauris. Nam diam nibh, vulputate vitae tellus ac, euismod commodo ligula. Proin cursus lacus suscipit elit cursus cursus. Donec molestie in metus hendrerit mollis. Fusce eget porttitor mauris.\r\n\r\nAliquam nulla odio, laoreet at metus sed, lobortis placerat risus. Donec suscipit quis est sed volutpat. Suspendisse accumsan cursus augue. Aenean vel enim turpis. Phasellus at ante interdum, dignissim felis ac, auctor arcu. In ultrices tristique magna a vehicula. Praesent aliquam augue at odio porttitor, eu hendrerit ligula fringilla. Vestibulum non sapien quis lorem vehicula commodo. Donec imperdiet sollicitudin purus, eget gravida mi vehicula vitae. Morbi libero mauris, tincidunt at rhoncus non, porttitor a nisi. Proin consectetur quam vel justo eleifend, ac dictum libero vestibulum. Sed ante purus, pharetra id mollis vel, consectetur eget nulla. Nunc et hendrerit est, quis bibendum quam. Nam vel nibh nunc.\r\n\r\nProin a imperdiet ante. In dignissim vitae urna quis aliquet. Fusce lacinia justo eget est rhoncus malesuada. Duis varius neque sit amet lacinia laoreet. Proin varius metus tellus, id ullamcorper massa molestie nec. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam tincidunt convallis nibh eu bibendum.','','full_html'),('node','blog',0,9,9,'und',0,'It was a stormy graduation day in Cambridge on Saturday. Drenched with rain, the students in their gowns looked like penguins emerging from the sea. Parents wielded golf umbrellas, the sword and shield of the English middle classes. The downpour could not extinguish their justifiable pride: a degree from a university often ranked number one in the world is still a glittering prize.\r\n\r\nBut as the graduates splashed down Trinity Street clutching their BA (Cantab), I wondered how many had come to this beautiful, fiercely clever place from a state school, as I did. The latest figures reveal that state-educated applicants bagged just over 61 per cent of Cambridge places in 2013/14, down from more than 63 per cent. Despite the university spending more than £4 million a year on “outreach” work to identify talented pupils from deprived backgrounds, Cambridge’s social mix remains stubbornly static.\r\n\r\nNam augue mi, sagittis blandit viverra at, bibendum quis velit. Phasellus nisl mi, ornare ac scelerisque eget, interdum sit amet enim. Sed suscipit non massa nec consequat. Sed vehicula, elit quis viverra ornare, sem augue facilisis elit, a ultrices tellus quam a erat. In neque orci, lobortis vel tempus vel, volutpat in dui. Quisque sed fermentum lectus. Mauris vehicula justo nulla. Nam sit amet ullamcorper sapien. Nam lobortis lobortis ante vel vulputate. Etiam porttitor at nunc et convallis. Suspendisse tincidunt, lectus sit amet gravida molestie, sem nulla mollis massa, ut rutrum mi lectus et libero. Curabitur et nisl ipsum. Quisque vitae leo laoreet, dictum turpis faucibus, feugiat diam.\r\n\r\nPellentesque a nunc ante. Praesent vulputate et est vel dapibus. Morbi interdum vitae erat nec posuere. Fusce porttitor elit in consequat venenatis. Quisque dignissim tempor fermentum. Fusce egestas orci nec erat pellentesque imperdiet quis a velit. Nullam tempus mattis interdum. Vestibulum at quam sed nisl accumsan porta ut id sem.\r\n\r\nDonec eget quam vitae dui venenatis ornare eget at ante. Ut laoreet nec velit id varius. Proin volutpat turpis id rutrum sagittis. Nunc commodo aliquam eros, ut tincidunt odio ultricies eu. Aliquam erat volutpat. Integer a nisi eu lorem aliquet hendrerit. Vivamus congue augue non orci vulputate, quis lobortis nisi pretium. Morbi eu tellus non sem fermentum euismod eget non est. Praesent bibendum odio facilisis felis cursus aliquam. Praesent ac sem quis lorem malesuada malesuada. Vestibulum eu velit a nisl porta imperdiet a a risus. Curabitur fringilla diam libero, in pharetra nibh suscipit quis. Integer at ante adipiscing, porttitor est a, ultrices nisl. Quisque est erat, ornare id nulla nec, viverra auctor dolor.','','filtered_html'),('node','blog',0,10,10,'und',0,'MODELS 1 has named 20-year-old Lauren Punter as the winner of their curve supermodel competition. Run in collaboration with ASOS, the competition looked for women aged between 17 and 28, who were a dress size 18-plus, to Instagram an image of themselves with the handle #MakeMeACurveModel - and professional model bookers then chose their winner.\r\n\r\n\"The prospect of walking into a model agency can be daunting and Models 1 wanted to open their doors to a wider audience by utilizing the power of social media and assuaging those initial nerves,\" said Models 1, adding: \"We believe that beauty comes in different sizes.\"\r\n\r\nPhasellus ut orci id arcu faucibus semper. Morbi eget hendrerit dolor, id auctor dolor. Nullam pretium dignissim ante eu congue. Duis sagittis aliquam nibh eget varius. Curabitur et nunc ante. Nam facilisis magna vel leo ultrices, vitae hendrerit metus sollicitudin. Curabitur accumsan dapibus tincidunt. Vestibulum placerat nulla pharetra tincidunt fermentum. Proin eget mauris in sem dapibus rutrum a mollis velit. Nunc dui augue, convallis sed nulla non, condimentum congue eros. Duis eu varius velit, a ultricies urna.\r\n\r\nVestibulum hendrerit blandit lorem, vitae gravida orci vehicula eget. Nam aliquet libero nec massa rhoncus feugiat ut at urna. Maecenas egestas hendrerit ipsum id lobortis. Nullam dapibus nibh a tortor tincidunt sagittis. In hendrerit id erat vitae ultricies. Aenean tempor venenatis magna, egestas vestibulum elit viverra eget. Aliquam purus erat, fringilla at hendrerit nec, interdum ut nisl. Etiam hendrerit dictum pellentesque. Curabitur eleifend, turpis ut varius tempor, nisl nibh placerat urna, eu hendrerit justo libero at tellus.\r\n\r\nInteger eget est vel leo suscipit eleifend. Suspendisse potenti. Pellentesque eu lobortis erat, vitae varius felis. Donec id velit ac dolor convallis lobortis. Proin egestas nisl nec erat faucibus, id aliquet enim volutpat. Nullam sollicitudin risus eu sem molestie interdum. Praesent et dui sit amet metus aliquet vulputate. Phasellus commodo nisl a felis consectetur, ut tristique diam pretium. Pellentesque gravida quam vitae elit mattis malesuada. In sit amet ultricies augue. Mauris id nisi sit amet eros fermentum rhoncus ut nec purus. Nullam rutrum, justo sit amet volutpat porttitor, lectus velit tempor massa, et porttitor felis velit non ipsum.\r\n\r\n','','filtered_html'),('node','article',0,11,11,'und',0,'Have you missed an issue of Vogue in the past year? Fret not, as now you can buy every issue on the iPad for only 99p each (that\'s a 66 per cent saving).\r\n\r\nFrom our designer special with its cover of Kate Moss and the international collections issue fronted by Daria Werbowy to Nigella Lawson revealing all to editor-at-large Fiona Golfar and the second Miss Vogue, there is too much unmissable content to not take advantage of this exclusive offer. \r\n\r\nPellentesque a nunc ante. Praesent vulputate et est vel dapibus. Morbi interdum vitae erat nec posuere. Fusce porttitor elit in consequat venenatis. Quisque dignissim tempor fermentum. Fusce egestas orci nec erat pellentesque imperdiet quis a velit. Nullam tempus mattis interdum. Vestibulum at quam sed nisl accumsan porta ut id sem.\r\n\r\nDonec eget quam vitae dui venenatis ornare eget at ante. Ut laoreet nec velit id varius. Proin volutpat turpis id rutrum sagittis. Nunc commodo aliquam eros, ut tincidunt odio ultricies eu. Aliquam erat volutpat. Integer a nisi eu lorem aliquet hendrerit. Vivamus congue augue non orci vulputate, quis lobortis nisi pretium. Morbi eu tellus non sem fermentum euismod eget non est. Praesent bibendum odio facilisis felis cursus aliquam. Praesent ac sem quis lorem malesuada malesuada. Vestibulum eu velit a nisl porta imperdiet a a risus. Curabitur fringilla diam libero, in pharetra nibh suscipit quis. Integer at ante adipiscing, porttitor est a, ultrices nisl. Quisque est erat, ornare id nulla nec, viverra auctor dolor.\r\n\r\nPhasellus ut orci id arcu faucibus semper. Morbi eget hendrerit dolor, id auctor dolor. Nullam pretium dignissim ante eu congue. Duis sagittis aliquam nibh eget varius. Curabitur et nunc ante. Nam facilisis magna vel leo ultrices, vitae hendrerit metus sollicitudin. Curabitur accumsan dapibus tincidunt. Vestibulum placerat nulla pharetra tincidunt fermentum. Proin eget mauris in sem dapibus rutrum a mollis velit. Nunc dui augue, convallis sed nulla non, condimentum congue eros. Duis eu varius velit, a ultricies urna.\r\n\r\n','','filtered_html'),('node','article',0,12,12,'und',0,'In summing up his view on the value of research, heart-attack survivor Tom Lancaster doesn’t mince words: “If it weren’t for heart research, I wouldn’t be here right now.”\r\n\r\nWhen he suffered a major heart attack last June, the 81-year-old Edmontonian soon found himself at the Mazankowski Alberta Heart Institute where he was diagnosed with a blocked artery and several narrowed vessels.\r\n\r\nVivamus ut erat scelerisque elit lacinia congue. Integer sit amet leo dictum, euismod sem ut, tincidunt turpis. Nullam bibendum vestibulum faucibus. Interdum et malesuada fames ac ante ipsum primis in faucibus. Phasellus ut fermentum urna. Praesent molestie malesuada velit a tempor. Mauris pharetra semper augue non lobortis. Nunc a posuere justo. Interdum et malesuada fames ac ante ipsum primis in faucibus. Vivamus ultricies vestibulum felis eu placerat. Praesent orci metus, feugiat ut odio vitae, aliquet luctus urna. Vivamus eget enim ac mauris tincidunt aliquet vitae a magna. In sed lacus auctor, ultrices augue at, malesuada augue. Maecenas mollis vitae ante ac tincidunt.\r\n\r\nMorbi euismod lorem justo, et venenatis dui imperdiet sed. Fusce condimentum ultrices massa et viverra. Curabitur non pellentesque augue. Aenean ac rutrum augue. Nullam sagittis turpis sed urna vehicula scelerisque. Aenean id pulvinar magna. Morbi justo diam, adipiscing quis nisl laoreet, vehicula ultrices orci. Suspendisse non rutrum erat. Nam eget egestas sem, eget iaculis tortor. Donec vitae quam nec neque vestibulum convallis. Maecenas non bibendum diam, sed viverra sem.\r\n\r\nNullam a ligula turpis. Fusce mattis convallis tellus at gravida. Mauris ultrices vehicula vehicula. Nam viverra ac enim id ultricies. Aliquam luctus suscipit est, ut sollicitudin dui feugiat in. Nulla odio odio, volutpat quis eleifend non, auctor a augue. Vestibulum nibh orci, suscipit ac sem vitae, tristique condimentum urna. Nullam vehicula ante lorem, a pellentesque libero consectetur sed.','','full_html'),('node','article',0,13,13,'und',0,'More than nine million Canadians are living with diabetes or prediabetes. With more than 20 people being newly diagnosed every hour of every day, chances are the disease affects someone you know. That could be a relative, friend, neighbour, co-worker or someone who’s part of your personal or professional community. In Ontario alone, there has been a 68 per cent increase between 1995 and 2005. The majority of cases are of type 2 diabetes and that is where most of the growth is seen. The need to ensure optimal care and outcomes for people living with diabetes has always been great, but is now being brought into sharper focus by the magnitude of the situation.\r\n\r\nA chronic disease, diabetes is often debilitating and sometimes fatal. The body either cannot produce the hormone insulin (type 1 diabetes), or it cannot properly use the insulin it produces (type 2 diabetes). This leads to high levels of glucose (sugar) in the blood, which can damage organs, blood vessels and nerves and result in a variety of complications. To use sugar as an energy source, the body needs insulin. People with prediabetes have higher-than-normal blood sugar levels that aren’t high enough to be diagnosed with type 2 diabetes. Without intervention, 50 per cent of those people will develop type 2 diabetes.\r\n\r\nAliquam et tincidunt turpis. Vivamus in pharetra erat. Phasellus pellentesque nunc ut dolor commodo tristique. Praesent diam felis, rutrum placerat dapibus a, vulputate at risus. Maecenas pellentesque arcu velit, non scelerisque orci bibendum ut. Cras erat lorem, feugiat non egestas vel, tempor eget erat. Mauris laoreet fermentum consequat. Vivamus consequat ante quis imperdiet vestibulum. Curabitur eu justo at nisl ullamcorper lobortis. Donec aliquam ante vel nunc sagittis lobortis. Praesent tincidunt consequat augue, euismod convallis turpis feugiat ac. Donec ut diam ac nibh euismod suscipit et a nisl. Nullam diam diam, ullamcorper ac sem at, rhoncus lacinia turpis. Integer non est at neque sollicitudin lacinia.\r\n\r\nMauris nec ante pharetra, ultricies lectus eget, porta magna. Sed imperdiet sapien eu nisl suscipit, nec blandit dolor rutrum. Quisque elementum lectus vel orci ornare luctus. Curabitur eu semper orci. Ut consequat, leo non malesuada semper, sapien nibh vehicula turpis, a lacinia quam massa quis libero. Pellentesque ut fringilla velit. Nullam metus lectus, tincidunt at cursus fringilla, feugiat at eros. Fusce tincidunt egestas vestibulum. Quisque interdum ultricies arcu vel placerat. In iaculis tempor justo id tempor. Curabitur ut fermentum massa, id lobortis metus. Pellentesque magna neque, molestie a ultricies vel, elementum nec augue. Aenean ut tempus quam. Sed ut bibendum mauris. Aliquam vel libero eu ipsum bibendum fringilla a sit amet lacus. Cras leo lacus, laoreet quis neque sed, accumsan volutpat eros.\r\n\r\nPhasellus ut erat eu turpis bibendum varius posuere eu odio. Duis viverra ante non faucibus sollicitudin. Nunc at leo ligula. Vestibulum lobortis diam felis. Etiam in nisi vel justo facilisis volutpat. Nam dictum ipsum adipiscing orci feugiat fringilla. Nam id rutrum diam, quis mattis metus. Aenean dolor ligula, ultrices et nibh eu, rhoncus malesuada erat. Sed eu lorem ipsum. Maecenas vestibulum ut metus id euismod. Aliquam erat volutpat. Nullam nec tortor condimentum, varius dui ut, vestibulum enim. Curabitur sit amet neque est. Aenean vulputate turpis eu purus aliquet euismod. Curabitur a sagittis est. Nam volutpat id felis ut molestie.','','filtered_html'),('node','blog',0,14,14,'und',0,'GREENWELL SPRINGS, La. — Rebekah and Kevin Nelams moved to their modest brick home in this suburb of Baton Rouge seven years ago because it has one of the top-performing public school districts in the state. But starting this fall, Ms. Nelams plans to home-school the couple’s four elementary-age children.\r\n\r\nThe main reason: the methods that are being used for teaching math under the Common Core, a set of academic standards adopted by more than 40 states.\r\n\r\nMs. Nelams said she did not recognize the approaches her children, ages 7 to 10, were being asked to use on math work sheets. They were frustrated by the pictures, dots and sheer number of steps needed to solve some problems. Her husband, who is a pipe designer for petroleum products at an engineering firm, once had to watch a YouTube video before he could help their fifth-grade son with his division homework.\r\n\r\nMauris quis sollicitudin eros. Nulla at nulla velit. Nullam consequat eros odio, id accumsan turpis gravida eget. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse vestibulum congue lorem, eu gravida nibh commodo eu. Quisque scelerisque risus auctor, convallis elit sed, hendrerit ligula. Ut vestibulum rutrum viverra. Fusce dapibus elit quis nulla egestas, eu tristique augue euismod.\r\n\r\nSuspendisse dignissim sagittis augue a tincidunt. Nulla eu lectus ut arcu dapibus consequat fermentum ac mauris. Proin scelerisque pharetra eros, ut euismod nisi dapibus nec. Sed at dui ac lacus convallis placerat. In pulvinar, leo et tempor pharetra, urna elit gravida tellus, sit amet aliquam diam metus et diam. Sed ut pharetra odio. Quisque quis dictum nulla, eu tristique purus. Integer nec sapien nisi. Etiam sed justo tortor.\r\n\r\nIn egestas consequat justo vel laoreet. Nulla fermentum nibh et tempus convallis. Fusce non lectus nec elit cursus placerat. Etiam a tellus nec leo condimentum adipiscing. Maecenas eget orci accumsan, lacinia nisi posuere, mattis nisl. Pellentesque varius erat vel massa luctus rhoncus eget ut libero. Phasellus enim nibh, vulputate sit amet sagittis sed, pulvinar non magna. Proin interdum purus magna, et sollicitudin mi elementum a. Aliquam ac lectus nisl. Quisque interdum metus quis urna adipiscing, ut dapibus leo ultrices. Proin consectetur eros in eleifend porttitor.\r\n\r\n','','full_html'),('node','blog',0,15,15,'und',0,'The very latest news brought to you by the UK\'s leading sports channel; Sky Sports News.\r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent varius luctus risus, ac euismod eros lobortis eget. Suspendisse eget odio aliquam, fringilla justo sit amet, pharetra dui. Aliquam diam risus, luctus quis erat quis, lobortis ultricies est. Mauris sem enim, mollis et ornare eget, lobortis in odio. Nulla facilisi. Phasellus sed tortor sodales, mattis nisi nec, aliquet enim.\r\n\r\nSuspendisse potenti. Aenean augue nunc, rutrum quis nisi ut, tristique placerat purus. Maecenas libero felis, elementum nec nunc quis, dignissim molestie sapien. Fusce tincidunt risus vel neque aliquam, id commodo nulla cursus. Aliquam ultricies est imperdiet suscipit condimentum. Integer vitae egestas tortor, et tincidunt ante. Integer in tempor mauris. Nam diam nibh, vulputate vitae tellus ac, euismod commodo ligula. Proin cursus lacus suscipit elit cursus cursus. Donec molestie in metus hendrerit mollis. Fusce eget porttitor mauris.\r\n\r\nAliquam nulla odio, laoreet at metus sed, lobortis placerat risus. Donec suscipit quis est sed volutpat. Suspendisse accumsan cursus augue. Aenean vel enim turpis. Phasellus at ante interdum, dignissim felis ac, auctor arcu. In ultrices tristique magna a vehicula. Praesent aliquam augue at odio porttitor, eu hendrerit ligula fringilla. Vestibulum non sapien quis lorem vehicula commodo. Donec imperdiet sollicitudin purus, eget gravida mi vehicula vitae. Morbi libero mauris, tincidunt at rhoncus non, porttitor a nisi. Proin consectetur quam vel justo eleifend, ac dictum libero vestibulum. Sed ante purus, pharetra id mollis vel, consectetur eget nulla. Nunc et hendrerit est, quis bibendum quam. Nam vel nibh nunc.\r\n\r\nProin a imperdiet ante. In dignissim vitae urna quis aliquet. Fusce lacinia justo eget est rhoncus malesuada. Duis varius neque sit amet lacinia laoreet. Proin varius metus tellus, id ullamcorper massa molestie nec. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam tincidunt convallis nibh eu bibendum.','','full_html'),('node','article',0,16,16,'und',0,'Master Swimmer Don Macdonald knows in his heart that he would be gearing up to swim the English Channel if not for a cardiac arrhythmia that very nearly killed him.\r\n\r\nLearning how to \"take it easy\" after the near-fatal episode, the 52-year Barrington man kayaked 28.5 miles around Manhattan Island on Saturday. Macdonald and his marathon swimming buddy and fellow Barrington resident, Doug McConnell, 56, have completed several similar grueling swims. But for the Manhattan Island Marathon Swim, Macdonald merely offered support from the kayak as McConnell swam the course to raise money in the fight against ALS.\r\n\r\nNam augue mi, sagittis blandit viverra at, bibendum quis velit. Phasellus nisl mi, ornare ac scelerisque eget, interdum sit amet enim. Sed suscipit non massa nec consequat. Sed vehicula, elit quis viverra ornare, sem augue facilisis elit, a ultrices tellus quam a erat. In neque orci, lobortis vel tempus vel, volutpat in dui. Quisque sed fermentum lectus. Mauris vehicula justo nulla. Nam sit amet ullamcorper sapien. Nam lobortis lobortis ante vel vulputate. Etiam porttitor at nunc et convallis. Suspendisse tincidunt, lectus sit amet gravida molestie, sem nulla mollis massa, ut rutrum mi lectus et libero. Curabitur et nisl ipsum. Quisque vitae leo laoreet, dictum turpis faucibus, feugiat diam.\r\n\r\nPellentesque a nunc ante. Praesent vulputate et est vel dapibus. Morbi interdum vitae erat nec posuere. Fusce porttitor elit in consequat venenatis. Quisque dignissim tempor fermentum. Fusce egestas orci nec erat pellentesque imperdiet quis a velit. Nullam tempus mattis interdum. Vestibulum at quam sed nisl accumsan porta ut id sem.\r\n\r\nDonec eget quam vitae dui venenatis ornare eget at ante. Ut laoreet nec velit id varius. Proin volutpat turpis id rutrum sagittis. Nunc commodo aliquam eros, ut tincidunt odio ultricies eu. Aliquam erat volutpat. Integer a nisi eu lorem aliquet hendrerit. Vivamus congue augue non orci vulputate, quis lobortis nisi pretium. Morbi eu tellus non sem fermentum euismod eget non est. Praesent bibendum odio facilisis felis cursus aliquam. Praesent ac sem quis lorem malesuada malesuada. Vestibulum eu velit a nisl porta imperdiet a a risus. Curabitur fringilla diam libero, in pharetra nibh suscipit quis. Integer at ante adipiscing, porttitor est a, ultrices nisl. Quisque est erat, ornare id nulla nec, viverra auctor dolor.\r\n\r\n','','filtered_html'),('node','article',0,17,17,'und',0,'Secondary schoolteachers around the world mostly love their job, but many say they are not valued by society, according to an international survey published last week by the Organization for Economic Cooperation and Development.\r\n\r\nThe Teaching and Learning International Survey questioned more than 100,000 lower secondary school teachers and about 6,500 head teachers from 34 countries on a range of issues. It followed a similar but smaller-scale survey in 2008.\r\n\r\nDonec eget quam vitae dui venenatis ornare eget at ante. Ut laoreet nec velit id varius. Proin volutpat turpis id rutrum sagittis. Nunc commodo aliquam eros, ut tincidunt odio ultricies eu. Aliquam erat volutpat. Integer a nisi eu lorem aliquet hendrerit. Vivamus congue augue non orci vulputate, quis lobortis nisi pretium. Morbi eu tellus non sem fermentum euismod eget non est. Praesent bibendum odio facilisis felis cursus aliquam. Praesent ac sem quis lorem malesuada malesuada. Vestibulum eu velit a nisl porta imperdiet a a risus. Curabitur fringilla diam libero, in pharetra nibh suscipit quis. Integer at ante adipiscing, porttitor est a, ultrices nisl. Quisque est erat, ornare id nulla nec, viverra auctor dolor.\r\n\r\nPhasellus ut orci id arcu faucibus semper. Morbi eget hendrerit dolor, id auctor dolor. Nullam pretium dignissim ante eu congue. Duis sagittis aliquam nibh eget varius. Curabitur et nunc ante. Nam facilisis magna vel leo ultrices, vitae hendrerit metus sollicitudin. Curabitur accumsan dapibus tincidunt. Vestibulum placerat nulla pharetra tincidunt fermentum. Proin eget mauris in sem dapibus rutrum a mollis velit. Nunc dui augue, convallis sed nulla non, condimentum congue eros. Duis eu varius velit, a ultricies urna.\r\n\r\nVestibulum hendrerit blandit lorem, vitae gravida orci vehicula eget. Nam aliquet libero nec massa rhoncus feugiat ut at urna. Maecenas egestas hendrerit ipsum id lobortis. Nullam dapibus nibh a tortor tincidunt sagittis. In hendrerit id erat vitae ultricies. Aenean tempor venenatis magna, egestas vestibulum elit viverra eget. Aliquam purus erat, fringilla at hendrerit nec, interdum ut nisl. Etiam hendrerit dictum pellentesque. Curabitur eleifend, turpis ut varius tempor, nisl nibh placerat urna, eu hendrerit justo libero at tellus.','','filtered_html'),('node','blog',0,18,18,'und',0,'The reading lesson began like any other. Tara Bauer, a teacher at Public School 158 on the Upper East Side of Manhattan, took her perch in front of a class of restless fourth graders and began reciting the beginning of a book about sharks.\r\n\r\nBut a few sentences in, Ms. Bauer shifted course. She pushed her students to assume the role of teacher, and she became a mediator, helping guide conversations as the children worked with one another to define words like “buoyant” and identify the book’s structure.\r\n\r\nMorbi euismod lorem justo, et venenatis dui imperdiet sed. Fusce condimentum ultrices massa et viverra. Curabitur non pellentesque augue. Aenean ac rutrum augue. Nullam sagittis turpis sed urna vehicula scelerisque. Aenean id pulvinar magna. Morbi justo diam, adipiscing quis nisl laoreet, vehicula ultrices orci. Suspendisse non rutrum erat. Nam eget egestas sem, eget iaculis tortor. Donec vitae quam nec neque vestibulum convallis. Maecenas non bibendum diam, sed viverra sem.\r\n\r\nNullam a ligula turpis. Fusce mattis convallis tellus at gravida. Mauris ultrices vehicula vehicula. Nam viverra ac enim id ultricies. Aliquam luctus suscipit est, ut sollicitudin dui feugiat in. Nulla odio odio, volutpat quis eleifend non, auctor a augue. Vestibulum nibh orci, suscipit ac sem vitae, tristique condimentum urna. Nullam vehicula ante lorem, a pellentesque libero consectetur sed.\r\n\r\nAliquam et tincidunt turpis. Vivamus in pharetra erat. Phasellus pellentesque nunc ut dolor commodo tristique. Praesent diam felis, rutrum placerat dapibus a, vulputate at risus. Maecenas pellentesque arcu velit, non scelerisque orci bibendum ut. Cras erat lorem, feugiat non egestas vel, tempor eget erat. Mauris laoreet fermentum consequat. Vivamus consequat ante quis imperdiet vestibulum. Curabitur eu justo at nisl ullamcorper lobortis. Donec aliquam ante vel nunc sagittis lobortis. Praesent tincidunt consequat augue, euismod convallis turpis feugiat ac. Donec ut diam ac nibh euismod suscipit et a nisl. Nullam diam diam, ullamcorper ac sem at, rhoncus lacinia turpis. Integer non est at neque sollicitudin lacinia.\r\n\r\nMauris nec ante pharetra, ultricies lectus eget, porta magna. Sed imperdiet sapien eu nisl suscipit, nec blandit dolor rutrum. Quisque elementum lectus vel orci ornare luctus. Curabitur eu semper orci. Ut consequat, leo non malesuada semper, sapien nibh vehicula turpis, a lacinia quam massa quis libero. Pellentesque ut fringilla velit. Nullam metus lectus, tincidunt at cursus fringilla, feugiat at eros. Fusce tincidunt egestas vestibulum. Quisque interdum ultricies arcu vel placerat. In iaculis tempor justo id tempor. Curabitur ut fermentum massa, id lobortis metus. Pellentesque magna neque, molestie a ultricies vel, elementum nec augue. Aenean ut tempus quam. Sed ut bibendum mauris. Aliquam vel libero eu ipsum bibendum fringilla a sit amet lacus. Cras leo lacus, laoreet quis neque sed, accumsan volutpat eros.','','filtered_html'),('node','article',0,19,19,'und',0,'n a bid to correct what he called a “knowledge deficit” among New York City public school students, Schools Chancellor Joel I. Klein announced on Monday a pilot program that would overhaul the way children in 10 city schools are taught to read.\r\n\r\nThe program, devised by E. D. Hirsch Jr.’s Core Knowledge Foundation, is being paid for with $2.4 million in private donations raised by the Fund for Public Schools. Called the New York City Core Knowledge Early Literacy Project, it will run for three years, following kindergartners at the 10 schools through the first and second grades.\r\n\r\nThe pilot program, which will involve about 1,000 children, represents a shift from the Bloomberg administration’s longstanding approach to teaching children to read, known as “balanced literacy.” Under that approach, children are encouraged to select books that interest them, at their own reading levels, from classroom libraries. The theory behind the approach is that it is more important to ensure that young children are truly engaged by books than to dictate that everyone read the same thing.\r\n\r\nUt malesuada est at augue venenatis, ornare cursus neque tincidunt. Integer nibh ante, semper nec auctor tempor, viverra sit amet libero. Pellentesque vestibulum tincidunt magna nec eleifend. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec nec scelerisque nibh. Etiam feugiat elementum tristique. Etiam eu purus et lectus posuere molestie ut vitae libero. Donec non luctus neque, id tempus quam. Integer ac nisi eu sapien pretium molestie. Donec interdum arcu massa, ut elementum metus commodo id. Maecenas et fringilla sapien. Etiam nec fermentum felis, ac sodales quam. Donec sem purus, cursus sed fringilla id, tincidunt a augue.\r\n\r\nMaecenas vitae arcu hendrerit, dapibus odio non, aliquet risus. Aenean dictum fringilla nibh non pellentesque. Ut semper pellentesque nunc, at semper elit posuere sed. Nulla facilisi. Nulla gravida porttitor rutrum. Proin ullamcorper pretium sapien id laoreet. Praesent adipiscing magna sed libero tempus, a interdum est sollicitudin.\r\n\r\nUt aliquet turpis justo, a molestie sem adipiscing non. Donec elementum quam ut magna pellentesque dignissim. Interdum et malesuada fames ac ante ipsum primis in faucibus. Suspendisse a nisi ligula. Ut condimentum quam nec neque auctor mollis. Quisque vulputate faucibus ante vitae accumsan. Phasellus porttitor mauris tincidunt sem convallis, sed molestie dolor molestie. Vestibulum malesuada enim urna, at laoreet enim fermentum et. Proin pretium consequat nibh nec varius. Nunc iaculis adipiscing leo, et vestibulum lacus congue et. Etiam nulla dolor, ullamcorper non magna ac, rutrum laoreet eros. Quisque massa nunc, euismod in nisl nec, facilisis placerat ipsum. Pellentesque orci purus, varius ac feugiat condimentum, volutpat sit amet ipsum.\r\n','','filtered_html'),('node','article',0,20,20,'und',0,'Growing up in Kuala Lumpur, the capital of Malaysia, Leonnie Lim was obsessed by Japanese pop culture. She did not know why but she knew she wanted to live and study one day in Japan.\r\n\r\n“At the age of seven, I requested my father to buy me a Japanese dictionary,” she said. “I self-learned Japanese, watching anime and manga.”\r\n\r\nBy the time she was ready for university, she had developed a comprehensive interest in Japanese history, culture and art. She chose to go to Doshisha University in Kyoto, where she is majoring in Japanese studies and global culture.\r\n\r\n“This is where I feel close to the cultural and historical heart of Japan,” said Ms. Lim, now 20.\r\n\r\nHer choice resonates with a growing number of international students who are opting to study in Kyoto, Japan’s ancient capital, surrounded by historic temples and shrines, traditional art and crafts industries, and an abundance of nature. The number of foreign students in the city rose to 7,017 last year from 5,157 in 2009, according to an interuniversity body in Kyoto that compiles statistics. The figure of foreign students in Kyoto rose even as the number for Japan as a whole slipped to 135,000, from a peak of 141,000 in 2010.\r\n\r\nQuisque eu lacus est. Sed vel consectetur nibh, vel fermentum mi. Proin pulvinar ipsum nulla, et varius odio sodales eget. Vivamus fringilla pellentesque erat, vitae gravida orci sodales in. Vestibulum vestibulum enim sem. Maecenas nec enim non massa bibendum tempus. Donec egestas consectetur tristique. Cras ligula tellus, convallis et elementum et, imperdiet euismod nisl. Vivamus nec justo vitae lacus volutpat venenatis sed id orci.\r\n\r\nSed eget libero euismod ipsum faucibus interdum a ut mi. Mauris consequat placerat metus, at accumsan dolor. Aliquam erat volutpat. Donec adipiscing, orci quis imperdiet mattis, sapien diam vehicula lectus, vel ornare eros massa et augue. Donec vitae auctor ligula. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent aliquam auctor nisl sit amet faucibus. Nulla at bibendum dui. Suspendisse eu condimentum leo. Curabitur nec auctor ipsum, a viverra orci.\r\n\r\nMaecenas ac erat blandit, laoreet dolor et, sodales eros. Aenean enim nibh, convallis sed tellus eget, volutpat dapibus velit. Vestibulum sodales nulla vitae nunc rutrum, non aliquam quam imperdiet. Sed tincidunt, metus eget laoreet convallis, ante turpis suscipit nisi, sit amet semper lorem nisl tempus purus. Sed pellentesque ornare enim, ac auctor lorem faucibus vitae. Nunc eget sagittis justo. Praesent pulvinar, est sed interdum gravida, mauris nisl vehicula diam, sit amet luctus arcu orci sed nisl.\r\n\r\n','','full_html'),('node','blog',0,21,21,'und',0,'Secondary schoolteachers around the world mostly love their job, but many say they are not valued by society, according to an international survey published last week by the Organization for Economic Cooperation and Development.\r\n\r\nThe Teaching and Learning International Survey questioned more than 100,000 lower secondary school teachers and about 6,500 head teachers from 34 countries on a range of issues. It followed a similar but smaller-scale survey in 2008.\r\n\r\nAmong the findings: As few as 4.9 percent of teachers in France said that society valued their work, and 5 percent in Sweden, compared with highs of 83.8 percent in Malaysia, 67.6 percent in Singapore, and 66.5 percent in Abu Dhabi and South Korea. Finland scored highest in Europe, with 58.6 percent of teachers saying they felt properly appreciated.\r\n\r\nNunc faucibus aliquet tincidunt. Donec adipiscing aliquet orci vel porta. Vivamus rhoncus pellentesque metus, hendrerit varius augue sagittis et. Nunc quis suscipit orci. Fusce tincidunt quam non scelerisque ultricies. Nulla gravida augue ac eros tempor, vel convallis ipsum rutrum. Fusce pretium molestie condimentum. Ut rhoncus, odio a fringilla sagittis, lectus lorem accumsan neque, et aliquet odio tortor mattis mauris. Sed quis suscipit purus. Nulla imperdiet enim eu mi consequat, vitae venenatis nisl pretium. Duis auctor luctus lectus et hendrerit. Ut id luctus sapien.\r\n\r\nAenean viverra est sed justo rhoncus, sit amet aliquam erat pulvinar. Nam et varius purus. Curabitur ultricies risus tincidunt pulvinar varius. Cras non mauris suscipit, pulvinar urna tincidunt, auctor leo. Etiam ac ipsum gravida, aliquet neque sed, adipiscing magna. Vestibulum porttitor vitae nisi in tincidunt. Maecenas fermentum augue placerat, scelerisque ligula a, lacinia ipsum.\r\n\r\nNulla nec porttitor urna. Nam mattis gravida dolor ac vehicula. Etiam pulvinar tincidunt hendrerit. Nam nec imperdiet lacus. Donec rutrum ultricies nulla sed tempor. Aliquam blandit condimentum sollicitudin. Proin vel iaculis nisi. Nunc at orci in sapien blandit semper. Nunc faucibus felis ante, nec ultricies lacus pretium vel. Aenean nec rhoncus sem, a cursus magna. Morbi sit amet felis posuere, ultrices diam sed, adipiscing metus. Mauris semper odio orci, at ornare dolor aliquet in. Vivamus sagittis tellus dictum, lobortis felis non, dapibus ante. Pellentesque porttitor enim sit amet augue viverra sollicitudin. Etiam id arcu iaculis, molestie magna in, venenatis leo.\r\n\r\nNullam non turpis enim. Nunc sed dapibus elit. Sed non tellus vel nisl consectetur eleifend. Nulla condimentum libero rhoncus tortor pellentesque, vitae venenatis nulla convallis. Ut dignissim tellus sit amet quam aliquam molestie. Curabitur laoreet mollis dolor, at tristique tortor luctus ut. Mauris sed tincidunt elit. Morbi a tellus sit amet velit fermentum congue et in libero. Nam condimentum urna laoreet, condimentum odio quis, aliquam nunc. Sed at lacinia odio. Fusce lacinia vitae ipsum a lobortis. Integer tincidunt nibh id interdum semper. Fusce velit lacus, blandit cursus nibh vitae, fermentum egestas enim. In sit amet venenatis mauris.\r\n\r\n','','filtered_html'),('node','blog',0,22,22,'und',0,'From Elizabeth Taylor, to Audrey Hepburn, Grace Kelly and Olivia Palermo - we\'ve rounded up the most stylish brides of all time. Find out who made the biggest fashion statement as they walked down the aisle...\r\n\r\nOlivia Palermo parted with tradition to marry her model fiance Johannes Huebl in New York on June 28. The stylista chose to wear a full tulle skirt with floral detail layered over a pair of cream shorts, with a simple cream cashmere jumper on top. Her something blue came in the form of some vibrant Manolo Blahnik heels. Quite possibly our favourite bridal look to date.\r\n\r\nAenean quis sollicitudin nunc, eu aliquam risus. Nam interdum diam id augue ultricies tempor. Mauris quis rutrum erat, ut convallis arcu. Suspendisse potenti. Ut gravida id tellus vitae faucibus. In hac habitasse platea dictumst. Donec faucibus leo nisi, eu porta arcu consequat a.\r\n\r\nCras elementum elit a est volutpat, at scelerisque diam aliquam. Maecenas placerat sem a facilisis consectetur. Curabitur at ligula rutrum, tempor nisi id, dictum tortor. In a risus dignissim, elementum lorem et, suscipit tellus. Suspendisse vitae convallis mi. Ut porta feugiat odio, et convallis leo euismod id. Quisque dolor enim, posuere et semper eget, tristique ullamcorper quam. Maecenas malesuada in libero non condimentum. Quisque odio odio, volutpat eu bibendum a, sodales sed ante. Nam eu lorem sed tortor pharetra eleifend at vitae leo.\r\n\r\nSed et varius augue. Nunc aliquam magna quis urna sodales accumsan. Phasellus elementum, erat in eleifend lobortis, velit massa suscipit elit, sed cursus orci nulla sed risus. Phasellus ut sapien non augue commodo sollicitudin a et est. Phasellus id adipiscing dolor, nec hendrerit justo. Suspendisse mattis quam nec luctus bibendum. Fusce lacinia vulputate purus, a mollis massa egestas vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit.\r\n\r\nPellentesque eu sem odio. Nullam non libero egestas, mollis lacus id, venenatis nibh. Cras imperdiet ligula pulvinar lobortis rhoncus. Morbi vitae gravida magna, et tincidunt dui. Vestibulum sodales rhoncus varius. Etiam bibendum urna libero, porta fermentum lectus placerat scelerisque. Suspendisse potenti. Curabitur vel justo ac lacus consequat cursus elementum at arcu. Proin eu odio pellentesque risus egestas pellentesque sed eu felis. Cras posuere ullamcorper ante, et feugiat velit aliquam vitae. Nunc in lacus leo. Ut rutrum libero quis est gravida eleifend.','','filtered_html'),('node','article',0,23,23,'und',0,'See the best-dressed from over the weekend, from the muddy fields at Glastonbury to the sunny climes of Los Angele. Kerry Washington was perfectly turned out for summer in a floral minidress and white heels at the BET Award in Los Angeles.\r\n\r\nSuspendisse ultricies purus ac massa interdum sodales. Ut euismod nunc sed suscipit pharetra. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Donec ac arcu vitae mi bibendum consectetur sed eu justo. Mauris eget quam et nisi placerat tincidunt. Phasellus viverra sed libero eu suscipit. Mauris ultrices risus sit amet nisi luctus laoreet. Proin sed nibh magna. Etiam molestie ipsum lectus, at euismod tellus pellentesque eu. Mauris elementum libero at dolor bibendum, at euismod sapien adipiscing. Morbi ultrices eros in sem pretium mollis. Donec eu libero eu magna fringilla lacinia in quis nibh. Integer accumsan pretium risus, at ornare est fringilla ac. Nulla porta pellentesque tortor, in fermentum arcu tincidunt quis. Duis augue mauris, egestas a ornare viverra, tincidunt et mauris.\r\n\r\nAenean quis sollicitudin nunc, eu aliquam risus. Nam interdum diam id augue ultricies tempor. Mauris quis rutrum erat, ut convallis arcu. Suspendisse potenti. Ut gravida id tellus vitae faucibus. In hac habitasse platea dictumst. Donec faucibus leo nisi, eu porta arcu consequat a.\r\n\r\nCras elementum elit a est volutpat, at scelerisque diam aliquam. Maecenas placerat sem a facilisis consectetur. Curabitur at ligula rutrum, tempor nisi id, dictum tortor. In a risus dignissim, elementum lorem et, suscipit tellus. Suspendisse vitae convallis mi. Ut porta feugiat odio, et convallis leo euismod id. Quisque dolor enim, posuere et semper eget, tristique ullamcorper quam. Maecenas malesuada in libero non condimentum. Quisque odio odio, volutpat eu bibendum a, sodales sed ante. Nam eu lorem sed tortor pharetra eleifend at vitae leo.\r\n\r\nSed et varius augue. Nunc aliquam magna quis urna sodales accumsan. Phasellus elementum, erat in eleifend lobortis, velit massa suscipit elit, sed cursus orci nulla sed risus. Phasellus ut sapien non augue commodo sollicitudin a et est. Phasellus id adipiscing dolor, nec hendrerit justo. Suspendisse mattis quam nec luctus bibendum. Fusce lacinia vulputate purus, a mollis massa egestas vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit.\r\n\r\n','','filtered_html'),('node','article',0,24,24,'und',0,'Fashion girls love Chloë Sevigny and therefore are obviously okay to watch her in yet another stylish video. In her latest fashion film collab, the oft-referenced actress plays a sadcore heroine haunted by the memories of her dead best friend. “There’s always this drama, this undercurrent, these spooky feelings,” says Sevigny. Spooky. Directed by Maryam L’Ange and soundtracked by Eaux, “Beckoning” serves as a video preview of Canadian etailer Ssense‘s fall collections. Spooky… and smart!\r\n\r\nSed cursus orci nulla sed risus. Phasellus ut sapien non augue commodo sollicitudin a et est. Phasellus id adipiscing dolor, nec hendrerit justo. Suspendisse mattis quam nec luctus bibendum. Fusce lacinia vulputate purus, a mollis massa egestas vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit.\r\n\r\nPellentesque eu sem odio. Nullam non libero egestas, mollis lacus id, venenatis nibh. Cras imperdiet ligula pulvinar lobortis rhoncus. Morbi vitae gravida magna, et tincidunt dui. Vestibulum sodales rhoncus varius. Etiam bibendum urna libero, porta fermentum lectus placerat scelerisque. Suspendisse potenti. Curabitur vel justo ac lacus consequat cursus elementum at arcu. Proin eu odio pellentesque risus egestas pellentesque sed eu felis. Cras posuere ullamcorper ante, et feugiat velit aliquam vitae. Nunc in lacus leo. Ut rutrum libero quis est gravida eleifend.\r\n\r\nCurabitur quis velit imperdiet, ultrices lacus sed, sollicitudin sem. Suspendisse potenti. Cras rutrum at odio vel pulvinar. Ut aliquam varius augue, non interdum odio tempus quis. Etiam ornare diam in fermentum pretium. In hac habitasse platea dictumst. Nullam cursus mi ac ligula suscipit fringilla. Nulla ante metus, adipiscing sed iaculis eget, eleifend vel est. Nullam fermentum pretium erat, eget venenatis ante viverra at. Vivamus tempus enim non felis faucibus elementum. Sed et elementum ligula, at pellentesque quam. Proin accumsan nisi ut libero tristique, vitae molestie est vehicula. Nullam nec suscipit libero, eget mollis risus. Pellentesque lorem purus, facilisis vitae dui sed, vulputate pulvinar tortor. Nulla dapibus congue interdum. Nulla viverra enim non turpis aliquet, ac gravida enim faucibus.','','full_html'),('node','article',0,25,25,'und',0,'Ever wondered why so many designers share similar signature styles? Well, you shouldn’t, because it’s written in the stars. Since astrology is the trend du jour, it seems only fitting to explore the different aesthetics of our favourite labels by looking into the signs of the designers behind them. In other words, we present to you a guide to the fashion zodiac.\r\n\r\nFrom dark and mysterious Scorpios to elegant and refined Libras, we can learn a lot about fashion’s elite by studying the zodiac signs they belong to. For example, it’s no surprise that the fashion world’s romantics, Oscar de la Renta, Elie Saab and Vera Wang, all belong to the zodiac’s most sentimental sign, Cancer. On the other hand, the designers known for their practical and wearable designs, like Carolina Herrera, Kate Spade and Diane von Furstenburg, are all Capricorns, the most grounded and level-headed of all twelve signs.\r\n\r\nCras blandit velit libero, eu varius ligula aliquet ac. Donec fringilla dolor non nisi lacinia ornare. Sed sagittis felis sed tincidunt viverra. Pellentesque turpis ligula, hendrerit sit amet elementum id, faucibus sed quam. Suspendisse consequat nulla viverra felis suscipit dictum. Proin elementum diam tortor, id consequat tellus commodo eu. Morbi viverra ornare tempor. Aenean ac lectus tempus, euismod erat a, condimentum risus. Morbi feugiat accumsan luctus. Phasellus malesuada mauris quis metus posuere, et pretium lectus viverra. Maecenas mollis tristique sem nec auctor. Integer sollicitudin ac risus in fringilla. Etiam mattis pulvinar libero sed mollis. Sed euismod, quam vitae tincidunt congue, risus ipsum lacinia ligula, nec tincidunt eros elit id velit.\r\n\r\nDonec adipiscing volutpat lacinia. Suspendisse sed lobortis nibh. Cras porttitor rutrum ornare. Sed mattis urna ante, vel suscipit orci pharetra vitae. Nullam feugiat, enim elementum tristique vehicula, quam dolor rutrum leo, eget tempus sem risus a erat. Aliquam non euismod lacus. Aliquam erat volutpat. Donec tempus leo ac ligula pretium sodales.\r\n\r\n','','filtered_html'),('node','article',0,26,26,'und',0,'World Pride Week may have technically kicked off last Friday, but judging from all the festivities happening right now in Toronto, the party shows no signs of slowing down, especially with the Celebration of Love Grand Pride Wedding taking place at Casa Loma this afternoon. While there may only be a few more days left of Pride Week, there really is no such thing as being too late to join in on the fun. To make sure you’re set when it comes to what to wear for Pride Week, we’ve rounded up 16 of the best rainbow fashion and beauty items from our favourite online shops, so you can show off your best Pride Week style for the festival’s final weekend. \r\n\r\nLuckily, rainbow-bright prints are a huge trend right now (case in point: the Valentino Resort 2015 outfit above). From silky bomber jackets and standout flatform sandals to rainbow glitter nail polish, we present you with our one-stop shopping and inspiration guide for what to wear for Pride Week.\r\n\r\nMauris eget risus lorem. Vestibulum ultrices pulvinar sollicitudin. Nullam vitae arcu quis dui ultrices scelerisque id vitae tellus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec eget nisi aliquam, pharetra est sed, eleifend sem. Duis vel posuere metus. Duis condimentum, neque ac ullamcorper bibendum, odio arcu bibendum est, eu sodales nibh erat in lectus. Maecenas pharetra accumsan faucibus. Proin feugiat nulla vitae velit volutpat, sed scelerisque lacus rutrum. Suspendisse potenti. Fusce varius tristique velit. Phasellus consectetur vitae ligula quis condimentum. Praesent eu mattis est.\r\n\r\nDonec eget est mollis, rutrum est quis, commodo neque. Aliquam facilisis lacus id interdum interdum. Aenean convallis ut est non semper. Nulla venenatis odio nibh, vel lacinia diam dapibus sed. Vestibulum facilisis feugiat ipsum. Donec tincidunt tortor tortor, adipiscing aliquet sem posuere nec. Duis feugiat feugiat quam, ac faucibus neque semper vel. Phasellus facilisis massa eu massa vestibulum placerat. Quisque pulvinar felis elit, sed gravida tellus accumsan adipiscing. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Praesent sagittis sit amet sem eget cursus. Ut id condimentum quam.\r\n\r\nMorbi egestas condimentum urna, sit amet fermentum nulla sollicitudin id. Aenean sollicitudin ullamcorper urna in vehicula. Sed quis dolor eu elit rutrum posuere in eget arcu. Nulla eget ligula sed ipsum iaculis pretium. Suspendisse vel tincidunt sem, consectetur lobortis leo. Morbi molestie venenatis egestas. Phasellus faucibus porttitor ipsum, id venenatis dui posuere sagittis. Aenean non euismod arcu. Nunc lorem magna, rhoncus non sapien eu, rutrum aliquam risus. Cras ac tortor pharetra nulla aliquet mollis. Pellentesque et nunc malesuada, eleifend ligula sed, accumsan nunc.','','filtered_html'),('node','blog',0,27,27,'und',0,'If you like beaches and the lifestyle that goes with them, then you’re going to love New Zealand. Because the great thing about it being an island nation is that it\'s literally surrounded by beaches. Over 15,000 km of them in fact. \r\n \r\nGenerally you’ll find white sand beaches down the East Coast, and more wild, black sand beaches line the West Coast. The laid-back Kiwi lifestyle is well known around the world, and the closer you get to the coast, the more chilled out things become. And with all of its major cities situated on the water, it’s a pretty sweet place to live and visit.\r\n \r\nSailing, surfing, kayaking, fishing – Kiwi’s love the water and are spoiled for choice when it comes to water activities, whether it be on beaches, rivers or lakes. Top off your bliss-filled days in the sun, partying with new friends around a bonfire on your favourite beach.\r\n \r\nLooking for trip ideas? Swim with dolphins in the Bay of Islands off Paihia, among 144 spectacular islands and sparkling secluded bays. Head north and body board down the massive Te Paki Sand Dunes by Ninety Mile Beach in Northland at thrilling speeds. Or go scuba diving at Cathedral Cove on the Coromandel Peninsula. \r\n\r\nPraesent aliquam semper sagittis. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas eu blandit est. Mauris ornare, elit quis imperdiet interdum, nibh leo sagittis libero, et sodales tortor tortor in sem. Pellentesque bibendum, diam ac gravida imperdiet, purus ligula sodales eros, a varius metus felis ut nisi. Sed pretium est eu porttitor molestie. Nulla ut suscipit arcu, sit amet imperdiet orci. Etiam placerat nisi justo, aliquam rutrum nibh scelerisque vel. Sed aliquet metus sed ultricies ultrices. Etiam nisl arcu, facilisis a laoreet vitae, bibendum placerat enim.\r\n\r\nEtiam pulvinar dolor sit amet aliquet ullamcorper. Nunc posuere pulvinar felis in commodo. Suspendisse potenti. Nullam sapien lectus, sollicitudin eu porta quis, mattis a odio. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris gravida posuere mauris sed bibendum. Nunc dapibus et enim a molestie.\r\n\r\nFusce risus libero, vehicula sit amet aliquam at, adipiscing quis nibh. Sed sit amet odio rhoncus, vulputate ipsum accumsan, tempor lacus. Sed eget ante nec sem eleifend lobortis. Ut at vehicula est, quis sodales est. Nulla in mi non dolor hendrerit elementum quis ut neque. Sed ultrices arcu et sapien ultrices, ac luctus massa tristique. Sed vestibulum, nunc id ultricies dignissim, ipsum nisl rhoncus ipsum, vitae aliquet est enim id dolor. Quisque a nisl vel nulla rutrum malesuada nec ut enim.','','full_html'),('node','blog',0,28,28,'und',0,'On the map, our planned bicycle trip could be measured in inches: a straight shot up the Hudson River’s narrow blue line, a jaunt along Lake Champlain, a short border crossing into Canada, and voilà – we’d be on international turf. On the ground, however, our more than 370-mile journey from New York City to Montreal took more twists and turns than the map implied.\r\n\r\nThe good news, I discovered, is that trips like this aren\'t about fitness – or my father-in-law Dave O’Leary, a former contestant on the epic CBS TV show the Amazing Race, would have left me behind like road kill. They\'re about persistence and flexibility. And a lot can be said for travelling light.\r\n\r\nFusce risus libero, vehicula sit amet aliquam at, adipiscing quis nibh. Sed sit amet odio rhoncus, vulputate ipsum accumsan, tempor lacus. Sed eget ante nec sem eleifend lobortis. Ut at vehicula est, quis sodales est. Nulla in mi non dolor hendrerit elementum quis ut neque. Sed ultrices arcu et sapien ultrices, ac luctus massa tristique. Sed vestibulum, nunc id ultricies dignissim, ipsum nisl rhoncus ipsum, vitae aliquet est enim id dolor. Quisque a nisl vel nulla rutrum malesuada nec ut enim.\r\n\r\nQuisque enim tellus, ullamcorper in sapien ac, porttitor adipiscing dui. Curabitur neque purus, interdum vitae fermentum a, condimentum a arcu. Cras ut metus bibendum, tincidunt est eu, laoreet sem. Aliquam erat volutpat. Phasellus sed vehicula leo. Suspendisse mattis lectus sit amet est lobortis viverra. Fusce porta semper nisi, et suscipit velit bibendum ac. Aliquam est mauris, condimentum vel nisi at, gravida pharetra libero.\r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc dignissim bibendum nisl, ut rutrum libero commodo eu. Suspendisse sapien nisl, tempor non tellus in, mattis adipiscing purus. Cras id mollis dui, porta mollis massa. Nunc vehicula urna ante, sed tristique diam malesuada a. Sed eu gravida est. Etiam ligula libero, rutrum et cursus sit amet, ultricies vitae urna. Donec venenatis rutrum erat in iaculis. Nulla facilisis sed magna non posuere. Donec nec sapien eget dolor ullamcorper porttitor. Quisque vitae sollicitudin quam. Nunc mollis gravida accumsan. Sed sit amet dolor at orci luctus tincidunt. In hac habitasse platea dictumst. Cras faucibus tellus quis nunc feugiat feugiat.\r\n\r\n','','filtered_html'),('node','blog',0,29,29,'und',0,'From the coastline of Whakatane, White Island appears on the horizon as a stereotypical volcano, the kind you may have doodled in schoolbooks as a kid. With its classic conical shape and plume of natural gases rising high above the crater rim, it seems to warn, “I am still breathing.”\r\n\r\nI was filled with excitement as I climbed aboard our vessel, the PeeJay5, and was both surprised and intrigued by my travelling companions to this unusual and adventurous destination. On my right, a middle aged couple in their 60’s with walking sticks, tramping shoes and cameras at the ready; on my left, a family of three with a five year old and one on the way; and across from me, two friends in their early twenties wearing skinny jeans and Converse, attached to their iPhones.\r\n\r\nAs our boat drifted down the Whakatane River through the harbour entrance into the Pacific Ocean, our trip to the island began. We passed little blue penguins, a pod of travelling dolphins and a rare blue shark sunning himself on the surface, one of the rarest sites I have ever seen on the water. The middle aged couple were snapping wildly, cheers of excitement roared from the five year old encouraged by mum and dad, and the young hipsters never saw a thing, keeping their eyes and attention firmly glued to playing games on their phones.\r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc dignissim bibendum nisl, ut rutrum libero commodo eu. Suspendisse sapien nisl, tempor non tellus in, mattis adipiscing purus. Cras id mollis dui, porta mollis massa. Nunc vehicula urna ante, sed tristique diam malesuada a. Sed eu gravida est. Etiam ligula libero, rutrum et cursus sit amet, ultricies vitae urna. Donec venenatis rutrum erat in iaculis. Nulla facilisis sed magna non posuere. Donec nec sapien eget dolor ullamcorper porttitor. Quisque vitae sollicitudin quam. Nunc mollis gravida accumsan. Sed sit amet dolor at orci luctus tincidunt. In hac habitasse platea dictumst. Cras faucibus tellus quis nunc feugiat feugiat.\r\n\r\nVivamus rutrum mi enim, vitae vehicula dui semper a. Phasellus volutpat elit sit amet leo venenatis congue. Proin faucibus dolor ac nisi tincidunt, et elementum eros fringilla. Donec sed dapibus massa. Aenean at vestibulum nisi. Fusce sem purus, tristique nec ultricies id, blandit at dui. Maecenas eu aliquam mauris. Fusce vel bibendum risus, ut commodo mauris. Nunc purus dolor, dapibus ut elit eget, dapibus congue odio. Sed adipiscing sem in augue lacinia vehicula. Nunc auctor, enim at luctus tempus, nulla mi tempor metus, nec ultricies augue elit non magna.\r\n\r\n','','full_html'),('node','blog',0,30,30,'und',0,'If San Diego is known for one thing, it would be for our gorgeous beaches. With 70 miles of pristine coastline, year-around sunshine and mild temperatures, you can enjoy the surf and sand almost any day of the year. For visitors and locals alike, the beach is a veritable wonderland and the place to spend entire days with family and friends. \r\n\r\nFrom expansive sandy beaches, rocky cliffs, reefs, tide pools and everything in between, the beaches in San Diego are as varied as the California beach towns that were built around them. Discover beaches perfect for families and dogs, beaches coveted by the world’s top surfers, or to enjoy a fire, play volleyball, spot sea creatures or simply relax and people watch. One thing’s for sure, on any given day at any beach in San Diego, you’ll find a front row seat to a magnificent display of the western sky as the sun descents into the Pacific.\r\n\r\nQuisque enim tellus, ullamcorper in sapien ac, porttitor adipiscing dui. Curabitur neque purus, interdum vitae fermentum a, condimentum a arcu. Cras ut metus bibendum, tincidunt est eu, laoreet sem. Aliquam erat volutpat. Phasellus sed vehicula leo. Suspendisse mattis lectus sit amet est lobortis viverra. Fusce porta semper nisi, et suscipit velit bibendum ac. Aliquam est mauris, condimentum vel nisi at, gravida pharetra libero.\r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc dignissim bibendum nisl, ut rutrum libero commodo eu. Suspendisse sapien nisl, tempor non tellus in, mattis adipiscing purus. Cras id mollis dui, porta mollis massa. Nunc vehicula urna ante, sed tristique diam malesuada a. Sed eu gravida est. Etiam ligula libero, rutrum et cursus sit amet, ultricies vitae urna. Donec venenatis rutrum erat in iaculis. Nulla facilisis sed magna non posuere. Donec nec sapien eget dolor ullamcorper porttitor. Quisque vitae sollicitudin quam. Nunc mollis gravida accumsan. Sed sit amet dolor at orci luctus tincidunt. In hac habitasse platea dictumst. Cras faucibus tellus quis nunc feugiat feugiat.\r\n\r\nVivamus rutrum mi enim, vitae vehicula dui semper a. Phasellus volutpat elit sit amet leo venenatis congue. Proin faucibus dolor ac nisi tincidunt, et elementum eros fringilla. Donec sed dapibus massa. Aenean at vestibulum nisi. Fusce sem purus, tristique nec ultricies id, blandit at dui. Maecenas eu aliquam mauris. Fusce vel bibendum risus, ut commodo mauris. Nunc purus dolor, dapibus ut elit eget, dapibus congue odio. Sed adipiscing sem in augue lacinia vehicula. Nunc auctor, enim at luctus tempus, nulla mi tempor metus, nec ultricies augue elit non magna.','','full_html'),('node','article',0,31,31,'und',0,'Philadelphia sits in the heart of the Northeast Corridor and is within a day\'s drive of 40% of the country’s population. By train or car, Philadelphia is less than two hours from New York City and less than three hours from Washington, D.C.\r\n\r\nGetting here is a breeze! At Philadelphia International Airport, 28 airlines (3 of which are low-fare carriers) operate nearly 600 daily nonstop flights from 120 cities, including 60 daily and seasonal flights from 36 international destinations. (View the Airport Terminal Map.) The short trek into Center City from the airport takes 20 Minutes on the Regional Rail Line. Flat-rate fare cabs and buses also make travel to and from the airport a quick and easy hop.\r\n\r\nVestibulum feugiat, nulla vulputate vestibulum condimentum, erat risus adipiscing turpis, ut tincidunt magna massa ac urna. Quisque sit amet sem in nulla convallis suscipit eu ut diam. Nulla mattis, massa sed auctor dapibus, mauris ligula faucibus lorem, aliquam convallis augue massa vitae dolor. Vestibulum malesuada pretium odio sit amet bibendum. Suspendisse potenti. Sed suscipit, leo vitae lacinia consectetur, tellus lorem vehicula magna, at auctor nibh nunc sed ante. Curabitur quis sapien pharetra, luctus diam vitae, consectetur felis. Ut tincidunt consequat erat, mattis pulvinar est volutpat at.\r\n\r\nNulla aliquam justo nibh, vitae porta erat rutrum ac. Quisque pellentesque, leo dictum dictum bibendum, nisi arcu eleifend neque, nec auctor nibh diam vel magna. Cras condimentum et mi at facilisis. Nullam fringilla, risus vel molestie tempus, libero enim viverra sapien, id sagittis dui nunc vel est. Aenean non dictum orci. Proin tellus dui, consequat sit amet urna semper, porta vehicula sem. Cras vitae urna eget lorem suscipit commodo vitae eget augue. Suspendisse quis nulla sed sem pulvinar aliquam non sed odio. Curabitur odio dolor, mattis non ante non, laoreet luctus neque.\r\n\r\nCras luctus libero sed vestibulum pellentesque. Proin quis nisi quam. Nulla vel nisl in velit tristique tempus sed a felis. In nulla tellus, rutrum nec interdum eu, dictum vitae mi. Aenean sit amet massa facilisis, posuere est nec, volutpat lorem. Aenean dapibus, tellus eu convallis pellentesque, velit lectus malesuada leo, non tincidunt ante ligula id enim. Nunc luctus semper velit et pellentesque. Proin gravida pulvinar eros, at elementum neque faucibus in. Mauris non tincidunt turpis. Aliquam erat volutpat. Mauris scelerisque rhoncus mauris, et ultrices diam scelerisque eu. Sed vitae leo sit amet ante vestibulum lobortis vel quis odio. Vestibulum eu massa nisi. Aenean dignissim urna enim, a tempor elit suscipit in. Cras gravida cursus ipsum eu scelerisque. Vivamus ultrices nisi nec erat euismod euismod.','','full_html'),('node','blog',0,32,32,'und',0,'There are so many things to see and do in Philly. From taking a stroll through historic homes and learning about the Liberty Bell to encountering many cultural gems and architecture — there\'s a tour for everyone and every group.\r\n\r\nNulla aliquam justo nibh, vitae porta erat rutrum ac. Quisque pellentesque, leo dictum dictum bibendum, nisi arcu eleifend neque, nec auctor nibh diam vel magna. Cras condimentum et mi at facilisis. Nullam fringilla, risus vel molestie tempus, libero enim viverra sapien, id sagittis dui nunc vel est. Aenean non dictum orci. Proin tellus dui, consequat sit amet urna semper, porta vehicula sem. Cras vitae urna eget lorem suscipit commodo vitae eget augue. Suspendisse quis nulla sed sem pulvinar aliquam non sed odio. Curabitur odio dolor, mattis non ante non, laoreet luctus neque.\r\n\r\nCras luctus libero sed vestibulum pellentesque. Proin quis nisi quam. Nulla vel nisl in velit tristique tempus sed a felis. In nulla tellus, rutrum nec interdum eu, dictum vitae mi. Aenean sit amet massa facilisis, posuere est nec, volutpat lorem. Aenean dapibus, tellus eu convallis pellentesque, velit lectus malesuada leo, non tincidunt ante ligula id enim. Nunc luctus semper velit et pellentesque. Proin gravida pulvinar eros, at elementum neque faucibus in. Mauris non tincidunt turpis. Aliquam erat volutpat. Mauris scelerisque rhoncus mauris, et ultrices diam scelerisque eu. Sed vitae leo sit amet ante vestibulum lobortis vel quis odio. Vestibulum eu massa nisi. Aenean dignissim urna enim, a tempor elit suscipit in. Cras gravida cursus ipsum eu scelerisque. Vivamus ultrices nisi nec erat euismod euismod.\r\n\r\nMorbi cursus nulla quis sem ultricies vehicula. Quisque convallis odio non ligula porttitor feugiat. Curabitur viverra, libero id sagittis accumsan, justo magna placerat dui, sed hendrerit libero dui et leo. Nullam mollis commodo lectus rutrum tincidunt. Sed congue neque porttitor erat luctus ultrices. Donec consequat eu neque sed imperdiet. Nullam commodo tempor faucibus. Nam imperdiet mi non commodo pharetra. Sed malesuada mauris et mi sagittis, a auctor nisl suscipit. Maecenas eleifend elit blandit dolor convallis, sed elementum nibh suscipit. In hac habitasse platea dictumst. Phasellus at risus nibh. Donec et sagittis tortor. Pellentesque eu auctor velit. Pellentesque id feugiat erat. Nullam congue augue felis, eu ultricies quam molestie ut.','','full_html'),('node','article',0,33,33,'und',0,'Madison, Wisconsin - The University of Wisconsin Hospital and Clinics emergency department this year is one of only 17 recipients of a prestigious award from the Emergency Nurses Association (ENA).\r\n \r\nThe emergency department is among those receiving the Lantern Award that recognizes emergency departments that have demonstrated exceptional and innovative approaches to leadership, practice, education, advocacy and research.\r\n\r\nEtiam eget risus magna. Curabitur lacinia massa sit amet blandit lobortis. Donec ac posuere nisi, in venenatis mi. Nunc turpis odio, ornare sit amet congue ac, varius eu sem. Integer et nibh at ipsum porttitor commodo. Aenean ultrices pulvinar risus, non rutrum tellus lobortis egestas. In dui libero, hendrerit placerat dictum sed, ullamcorper ac arcu. Curabitur tincidunt odio at dui tempus adipiscing. Cras tempor eleifend orci, a cursus urna lacinia non. Nunc sagittis id nisi id blandit. Cras suscipit porta egestas. Quisque ullamcorper vel neque sit amet congue.\r\n\r\nMauris fringilla elit elit, ac porta erat tempus eu. Nulla hendrerit quam metus. Curabitur quis scelerisque ipsum, at laoreet orci. Cras in luctus mi, sed tempus dolor. In interdum id ligula vitae iaculis. Pellentesque et blandit velit. Aenean rhoncus accumsan velit, quis pretium augue volutpat vitae. Donec dignissim est odio, non placerat magna blandit vitae. Nulla sed risus et elit vehicula convallis. Proin ullamcorper porttitor mi sed accumsan. Integer diam odio, vulputate et ornare quis, pellentesque ut nisi. Morbi in est quis orci molestie ultrices a sit amet mi. Fusce vitae magna eget quam feugiat sodales in et magna. Nullam ultrices, justo a mollis pulvinar, erat ipsum convallis metus, condimentum consequat magna sem nec risus. Pellentesque vel faucibus enim.\r\n\r\nNam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.\r\n\r\n','','full_html'),('node','article',0,34,34,'und',0,'Madison, Wisconsin - An evidence-based program to improve the health of pregnant women and their babies is beginning this month at the UW Health Arboretum Obstetrics and Gynecology Clinic, 1102 S. Park Street.\r\n \r\nCenteringPregnancy®, a national initiative of the Centering Healthcare Institute promoted by the March of Dimes, will bring together women in their fourth month of pregnancy to meet monthly, then every other week, for prenatal care, support and health education.\r\n \r\nMorbi cursus nulla quis sem ultricies vehicula. Quisque convallis odio non ligula porttitor feugiat. Curabitur viverra, libero id sagittis accumsan, justo magna placerat dui, sed hendrerit libero dui et leo. Nullam mollis commodo lectus rutrum tincidunt. Sed congue neque porttitor erat luctus ultrices. Donec consequat eu neque sed imperdiet. Nullam commodo tempor faucibus. Nam imperdiet mi non commodo pharetra. Sed malesuada mauris et mi sagittis, a auctor nisl suscipit. Maecenas eleifend elit blandit dolor convallis, sed elementum nibh suscipit. In hac habitasse platea dictumst. Phasellus at risus nibh. Donec et sagittis tortor. Pellentesque eu auctor velit. Pellentesque id feugiat erat. Nullam congue augue felis, eu ultricies quam molestie ut.\r\n\r\nEtiam eget risus magna. Curabitur lacinia massa sit amet blandit lobortis. Donec ac posuere nisi, in venenatis mi. Nunc turpis odio, ornare sit amet congue ac, varius eu sem. Integer et nibh at ipsum porttitor commodo. Aenean ultrices pulvinar risus, non rutrum tellus lobortis egestas. In dui libero, hendrerit placerat dictum sed, ullamcorper ac arcu. Curabitur tincidunt odio at dui tempus adipiscing. Cras tempor eleifend orci, a cursus urna lacinia non. Nunc sagittis id nisi id blandit. Cras suscipit porta egestas. Quisque ullamcorper vel neque sit amet congue.\r\n\r\nMauris fringilla elit elit, ac porta erat tempus eu. Nulla hendrerit quam metus. Curabitur quis scelerisque ipsum, at laoreet orci. Cras in luctus mi, sed tempus dolor. In interdum id ligula vitae iaculis. Pellentesque et blandit velit. Aenean rhoncus accumsan velit, quis pretium augue volutpat vitae. Donec dignissim est odio, non placerat magna blandit vitae. Nulla sed risus et elit vehicula convallis. Proin ullamcorper porttitor mi sed accumsan. Integer diam odio, vulputate et ornare quis, pellentesque ut nisi. Morbi in est quis orci molestie ultrices a sit amet mi. Fusce vitae magna eget quam feugiat sodales in et magna. Nullam ultrices, justo a mollis pulvinar, erat ipsum convallis metus, condimentum consequat magna sem nec risus. Pellentesque vel faucibus enim.','','filtered_html'),('node','article',0,35,35,'und',0,'Health personnel suffered over 1,800 violent incidents during 2013. As the report says, providing health care has remained as dangerous as ever over the last two years. In addition to reporting on attacks, the study highlights lesser-known types of incident, such as armed personnel disrupting hospital services by forcing their way in, or sexual violence against health personnel.\r\n\r\n\"Media reports only highlight violence affecting health services in just a few conflict-stricken countries, such as Syria,\" said Pierre Gentile, head of the ICRC-led \"Health Care in Danger\" project on the dangers facing health-care services. \"However, the ICRC report shows that the violence occurs in other countries too. It is therefore urgent that governments, armed forces and the health-care community step up their efforts to make health-care delivery safer all over the world.\"\r\n\r\nNam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.\r\n\r\nSed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.\r\n\r\nNullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat. Vestibulum accumsan mi orci, at ultricies mauris pharetra nec. Donec quis ligula posuere, imperdiet ante nec, malesuada diam. Fusce est nisi, tempus id magna id, blandit aliquet dolor. Maecenas sed dapibus augue. Etiam convallis justo nisl, nec condimentum neque feugiat non. Duis porta accumsan dictum.','','filtered_html'),('node','article',0,36,36,'und',0,'Madison, Wisconsin – While you\'re toiling away the first few beautiful days of spring reorganizing your garage, cleaning out your basement, or simply tossing all that superfluous \"stuff\" you\'ve accumulated over the last year, you might want to consider applying that same industrious ambition to other parts of your life as well.\r\n \r\nUW Health psychologist Shilagh Mirgain, PhD, says that doing a little spring cleaning of our own lives can make room for more of the things that bring us joy, health, and overall well-being.\r\n\r\nMauris fringilla elit elit, ac porta erat tempus eu. Nulla hendrerit quam metus. Curabitur quis scelerisque ipsum, at laoreet orci. Cras in luctus mi, sed tempus dolor. In interdum id ligula vitae iaculis. Pellentesque et blandit velit. Aenean rhoncus accumsan velit, quis pretium augue volutpat vitae. Donec dignissim est odio, non placerat magna blandit vitae. Nulla sed risus et elit vehicula convallis. Proin ullamcorper porttitor mi sed accumsan. Integer diam odio, vulputate et ornare quis, pellentesque ut nisi. Morbi in est quis orci molestie ultrices a sit amet mi. Fusce vitae magna eget quam feugiat sodales in et magna. Nullam ultrices, justo a mollis pulvinar, erat ipsum convallis metus, condimentum consequat magna sem nec risus. Pellentesque vel faucibus enim.\r\n\r\nNam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.\r\n\r\nSed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.\r\n\r\n','','filtered_html'),('node','article',0,37,37,'und',0,'Cameroon officials are to investigate claims that seven of their players were involved in match-fixing at the World Cup in Brazil. The ethics committee of the African country\'s football federation will look at allegations of \"fraud\" by \"seven bad apples\" in their three group games.\r\n\r\nThe allegations have been made in a German news magazine Der Spiegel by a convicted match fixer from Singapore. Cameroon lost all their Group A games, including a 4-0 defeat by Croatia. The Indomitable Lions had Alex Song sent off for lashing out at Mario Mandzukic in that game, while team-mates Benoit Assou-Ekotto and Benjamin Moukandjo clashed late on in the game.\r\n\r\nNam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.\r\n\r\nSed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.\r\n\r\nNullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat. Vestibulum accumsan mi orci, at ultricies mauris pharetra nec. Donec quis ligula posuere, imperdiet ante nec, malesuada diam. Fusce est nisi, tempus id magna id, blandit aliquet dolor. Maecenas sed dapibus augue. Etiam convallis justo nisl, nec condimentum neque feugiat non. Duis porta accumsan dictum.','','full_html'),('node','article',0,38,38,'und',0,'The loud, industrial buzz of the helicopter dulled down to a steady purr through my thick headphones. Wedged tightly between three seatmates in the back of the AStar, I was outwardly calm, but inwardly I was having an “Oh, my God, I can’t believe I’m actually doing this” moment. \r\n\r\nWe were being shuttled to a remote spot among the seemingly endless peaks of the Chugach Mountains in southeast Alaska where, ultimately, nine of us, all women, would click into fat powder skis or strap into snowboards for descents we’d been dreaming about all winter. Ranging in age from early 30s to mid-40s, we had come together to Valdez for this ultimate bucket-list ski trip.\r\n\r\nNam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.\r\n\r\nSed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.\r\n\r\nNullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat. Vestibulum accumsan mi orci, at ultricies mauris pharetra nec. Donec quis ligula posuere, imperdiet ante nec, malesuada diam. Fusce est nisi, tempus id magna id, blandit aliquet dolor. Maecenas sed dapibus augue. Etiam convallis justo nisl, nec condimentum neque feugiat non. Duis porta accumsan dictum.','','filtered_html'),('node','article',0,39,39,'und',0,'Andre Schürrle became the first German to score a World Cup goal while wearing the number nine shirt since Carsten Jancker against Saudi Arabia in 2002. Toni Kroos (473) has had more touches than any other player at this World Cup so far, Philipp Lahm (437) is the only other player to have more than 400. Thomas Muller has been directly involved in seven of Germany\'s last 12 goals at the World Cup finals (5 goals, 2 assists).\r\n\r\nMauris fringilla elit elit, ac porta erat tempus eu. Nulla hendrerit quam metus. Curabitur quis scelerisque ipsum, at laoreet orci. Cras in luctus mi, sed tempus dolor. In interdum id ligula vitae iaculis. Pellentesque et blandit velit. Aenean rhoncus accumsan velit, quis pretium augue volutpat vitae. Donec dignissim est odio, non placerat magna blandit vitae. Nulla sed risus et elit vehicula convallis. Proin ullamcorper porttitor mi sed accumsan. Integer diam odio, vulputate et ornare quis, pellentesque ut nisi. Morbi in est quis orci molestie ultrices a sit amet mi. Fusce vitae magna eget quam feugiat sodales in et magna. Nullam ultrices, justo a mollis pulvinar, erat ipsum convallis metus, condimentum consequat magna sem nec risus. Pellentesque vel faucibus enim.\r\n\r\nNam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.\r\n\r\nSed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.','','full_html'),('node','article',0,40,40,'und',0,'If your way of dealing with stress involves ranting to coworkers or face-planting in a bag of chips, we\'ve got a simpler, healthier idea for you: Spend less than half an hour practicing mindful meditation. A new study published in the journal Psychoneuroendocrinology is the first to show the positive effects of this increasingly popular type of meditation. It\'s a more focused, in-the-present way to meditate that\'s about inhaling and exhaling slowly so you can sense your muscles relax and feel tension being swept from your brain. \r\n\r\nNam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.\r\n\r\nSed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.\r\n\r\nDonec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.','','full_html'),('node','article',0,41,41,'und',0,'Blast unwanted fat and create a knockout butt with this two-phase program from Perkins. First, the \"Wake \'Em Up\" body-weight exercises are designed to light up your central nervous system and get your glutes primed and ready. \"Because they are a particularly sleepy muscle group, performing light glute-activation moves prior to weighted exercises will increase subsequent glute activation,\" says Perkins. Follow it up with the \"Build \'Em Up\" moves, which will challenge and stimulate your glutes to encourage muscle growth and rev your metabolism.\r\n\r\nTwo to three times a week, perform three sets of each exercise for the prescribed number of reps, resting 60 seconds between sets. Do all three sets for each exercise before moving on to the next. Remember: The last two reps of every set should be tough, but not so tough that your form suffers.\r\n\r\nSed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.\r\n\r\nNullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat. Vestibulum accumsan mi orci, at ultricies mauris pharetra nec. Donec quis ligula posuere, imperdiet ante nec, malesuada diam. Fusce est nisi, tempus id magna id, blandit aliquet dolor. Maecenas sed dapibus augue. Etiam convallis justo nisl, nec condimentum neque feugiat non. Duis porta accumsan dictum.\r\n\r\nDonec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.\r\n\r\nCras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.\r\n\r\n','','filtered_html'),('node','article',0,42,42,'und',0,'You\'re stressed. We\'re stressed. Everyone\'s stressed. No big deal, right? Because it\'s so common, you might think that if you\'re not lying on the floor from exhaustion, you\'re probably fine. But stress has an insidious way of creeping up on you, and it\'s not just a mental or emotional issue—stress symptoms can impact the body in some very visible (and bizarre) ways.\r\n\r\n\"One of the biggest problems I see in my practice is women coming in with multiple physical signs of stress,\" says Nancy Molitor, Ph.D., a psychiatry professor at Northwestern University Feinberg School of Medicine. In fact, a new study found that stress and other negative emotions were consistently linked to poor physical health in more than 150,000 people in 142 countries. That\'s because the mind and body are intrinsically connected:\r\n\r\nNam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.\r\n\r\nSed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.\r\n\r\nNullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat. Vestibulum accumsan mi orci, at ultricies mauris pharetra nec. Donec quis ligula posuere, imperdiet ante nec, malesuada diam. Fusce est nisi, tempus id magna id, blandit aliquet dolor. Maecenas sed dapibus augue. Etiam convallis justo nisl, nec condimentum neque feugiat non. Duis porta accumsan dictum.\r\n\r\nDonec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.','','filtered_html'),('node','article',0,43,43,'und',0,'Find out if the green stuff\'s weight-loss power extends to flavored ice cream, iced tea, and extract. I\'ll admit it: I had a mini celebration when I learned green tea has the incredible power to shift your fat-fighting metabolism into high gear. And, yes, I kicked my heels in the air when I found research suggesting that exercisers who drink green tea lose twice as much weight as those who don\'t.\r\n\r\nFast forward to me pushing a shopping-cart-full of green tea products around my local grocery store. I was buying green tea everything. Ice cream, noodles, etc. Who was I fooling? The weight-loss benefits are in the epigallocatechin gallate (a.k.a. EGCG, a health-boosting antioxidant) found in green tea. Not the green tea flavor....\r\n\r\nDonec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.\r\n\r\nCras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.\r\n\r\nEtiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci. Fusce a lorem elementum sem tempor ullamcorper. Sed sed est vitae turpis elementum fermentum. Aliquam ullamcorper erat tortor, et suscipit enim fringilla ut. Nulla facilisi. Nam blandit hendrerit massa eu gravida. Nam metus tellus, faucibus at lacinia non, venenatis ac lorem. Curabitur a ultricies ante, at sodales lectus. Sed odio metus, eleifend et nunc et, porta ullamcorper libero. Vivamus bibendum, erat non euismod mattis, tortor neque auctor nisl, nec malesuada metus leo sed lectus. In a bibendum dui, nec feugiat urna.\r\n\r\n','','full_html'),('node','article',0,44,44,'und',0,'Most women we know won’t leave the house without mascara, and it’s easy to see why. Mascara is the one product that instantly makes you look more put together, more awake, more alive. But are you making the most of your mascara’s lash boosting powers? It turns out there are strategic ways to apply your mascara to play up your specific eye shape. We caught up with Sonia Kashuk, makeup artist and founder of Sonia Kashuk Beauty, to learn the simple tricks that can transform your look with just a swipe of the wand. \r\n\r\nSed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.\r\n\r\nNullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat. Vestibulum accumsan mi orci, at ultricies mauris pharetra nec. Donec quis ligula posuere, imperdiet ante nec, malesuada diam. Fusce est nisi, tempus id magna id, blandit aliquet dolor. Maecenas sed dapibus augue. Etiam convallis justo nisl, nec condimentum neque feugiat non. Duis porta accumsan dictum.\r\n\r\nDonec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.\r\n\r\nCras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.\r\n\r\n','','full_html'),('node','article',0,45,45,'und',0,'Welcome to your wedding day! With the stress of planning behind you, you might think the big day will be easy-breezy, and it should be -- as long as you can navigate these six potential stress bombs.\r\n\r\nWeddings come with a host of heavy emotions, especially when your son or daughter is the star of the show. Some moms might be adept at handling stress, while others might teeter closer to meltdown territory. If you know your mom or future MIL might get a little testy, plan to keep your distance. (If you\'ll be getting your hair and makeup done at 10am, schedule her appointment for noon.) Hang a sign that reads: \"Stress-Free Zone: Bride and Bridesmaids Only Beyond This Point\" on your hotel suite. If a manic mama busts in anyway, appoint a bridesmaid to run interference, steering her gently toward the door before she asks if she can quickly rearrange some tables on your seating chart.\r\n\r\nDonec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.\r\n\r\nCras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.\r\n\r\nEtiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci. Fusce a lorem elementum sem tempor ullamcorper. Sed sed est vitae turpis elementum fermentum. Aliquam ullamcorper erat tortor, et suscipit enim fringilla ut. Nulla facilisi. Nam blandit hendrerit massa eu gravida. Nam metus tellus, faucibus at lacinia non, venenatis ac lorem. Curabitur a ultricies ante, at sodales lectus. Sed odio metus, eleifend et nunc et, porta ullamcorper libero. Vivamus bibendum, erat non euismod mattis, tortor neque auctor nisl, nec malesuada metus leo sed lectus. In a bibendum dui, nec feugiat urna.\r\n\r\nSuspendisse imperdiet volutpat dui, eget scelerisque lacus lacinia in. Vivamus molestie ipsum eleifend tellus tincidunt ultricies. Fusce id magna ac enim mollis tristique. Curabitur porttitor laoreet nulla eu sollicitudin. Proin consectetur porta nisi vel cursus. Nunc egestas vulputate sapien, vitae tempor odio gravida ut. Nunc ullamcorper aliquet ante, quis sodales velit hendrerit non. Sed iaculis ipsum at massa malesuada tempus. Pellentesque et nisl nec tellus pharetra tincidunt. Sed commodo congue urna, ut condimentum est sagittis id.','','filtered_html'),('node','article',0,46,46,'und',0,'Wedding vows give brides and grooms the chance to express what\'s in their heart of hearts. But sometimes those beautifully crafted sentences come from far less sincere places. Below, 12 users on Whisper -- a free app where people share their secrets anonymously -- cop to the cringe-worthy ways they came up with their wedding vows, if they even managed to get that far.\r\n\r\nSuspendisse imperdiet volutpat dui, eget scelerisque lacus lacinia in. Vivamus molestie ipsum eleifend tellus tincidunt ultricies. Fusce id magna ac enim mollis tristique. Curabitur porttitor laoreet nulla eu sollicitudin. Proin consectetur porta nisi vel cursus. Nunc egestas vulputate sapien, vitae tempor odio gravida ut. Nunc ullamcorper aliquet ante, quis sodales velit hendrerit non. Sed iaculis ipsum at massa malesuada tempus. Pellentesque et nisl nec tellus pharetra tincidunt. Sed commodo congue urna, ut condimentum est sagittis id.\r\n\r\nSed molestie mollis ipsum id pharetra. Etiam porttitor pretium ante, id eleifend lectus dignissim non. Maecenas dapibus auctor blandit. Morbi condimentum tempus urna. Maecenas tristique magna varius, rhoncus dolor commodo, iaculis mi. Proin sem lacus, sagittis vitae venenatis nec, laoreet in leo. Nunc pellentesque mollis neque at aliquet. Cras consectetur magna ac tempus elementum. Maecenas molestie tempus ligula ut iaculis. Nulla velit metus, malesuada id fermentum quis, feugiat nec massa. Nullam congue, dolor elementum interdum hendrerit, eros ipsum commodo elit, a placerat nulla dui eget erat.\r\n\r\nSed placerat ut velit nec sagittis. Vestibulum congue, lectus at scelerisque suscipit, nulla odio scelerisque augue, vel commodo velit mauris vel lectus. Aliquam et lectus faucibus ligula mollis feugiat vel quis augue. Nullam at erat vel lacus semper congue. Integer sed lectus est. In posuere, nisi in facilisis fermentum, libero augue lobortis diam, gravida blandit nunc urna ac ipsum. Suspendisse rhoncus consectetur urna, sit amet semper arcu rutrum id. In pretium tincidunt lectus, eget euismod sapien congue egestas. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Praesent urna arcu, tincidunt vitae massa sed, molestie ornare risus. Sed aliquam pretium metus, at venenatis elit gravida non.\r\n\r\n','','full_html'),('node','article',0,47,47,'und',0,'A planned kiss between newlyweds has a certain amount of magic, but the kisses stolen when no one (but the photographer!) is looking are breathtaking. Peek into a few real weddings and enjoy some sweet kisses that are guaranteed to make you feel all warm and fuzzy.\r\n\r\nNam sit amet vulputate quam, nec interdum augue. Phasellus accumsan ante at dolor facilisis sagittis. Nullam non libero tincidunt nibh tempor porttitor. Nulla dignissim vitae augue ac venenatis. Phasellus gravida justo erat, ac tincidunt nunc molestie eget. Nullam bibendum mollis eros. Morbi rhoncus turpis lorem, sed lobortis arcu egestas ut. Proin malesuada tortor lacus, quis interdum est feugiat eget. Suspendisse placerat massa non ligula consequat egestas. Praesent viverra elit elit, non gravida leo iaculis sit amet. Nam pellentesque consequat ullamcorper. Quisque in tristique velit. Curabitur tristique hendrerit nulla, et tincidunt turpis viverra et.\r\n\r\nSed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. Ut in rutrum tellus, sit amet vulputate purus. Fusce facilisis, arcu sed sollicitudin tristique, risus justo lobortis orci, eget convallis odio libero sit amet nulla. Mauris rutrum nunc lorem, porta ultrices ligula scelerisque at. Proin ligula metus, iaculis nec commodo quis, varius in nulla.\r\n\r\nNullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat. Vestibulum accumsan mi orci, at ultricies mauris pharetra nec. Donec quis ligula posuere, imperdiet ante nec, malesuada diam. Fusce est nisi, tempus id magna id, blandit aliquet dolor. Maecenas sed dapibus augue. Etiam convallis justo nisl, nec condimentum neque feugiat non. Duis porta accumsan dictum.','','full_html'),('node','article',0,48,48,'und',0,'Dating again and unable to shake the feeling that you\'re doing the whole thing all wrong? We don\'t blame you. Today\'s dating landscape is evolving so fast, it can feel nearly impossible to keep up. But before you give up and become one of those people who post \"forever alone\" memes on the Internet, we’ve got some pointers for you.\r\n\r\nNullam volutpat dictum libero iaculis auctor. Phasellus quis velit orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque massa dui, eleifend nec leo nec, dignissim sodales erat. Vestibulum accumsan mi orci, at ultricies mauris pharetra nec. Donec quis ligula posuere, imperdiet ante nec, malesuada diam. Fusce est nisi, tempus id magna id, blandit aliquet dolor. Maecenas sed dapibus augue. Etiam convallis justo nisl, nec condimentum neque feugiat non. Duis porta accumsan dictum.\r\n\r\nDonec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.\r\n\r\nCras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.\r\n\r\nEtiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci. Fusce a lorem elementum sem tempor ullamcorper. Sed sed est vitae turpis elementum fermentum. Aliquam ullamcorper erat tortor, et suscipit enim fringilla ut. Nulla facilisi. Nam blandit hendrerit massa eu gravida. Nam metus tellus, faucibus at lacinia non, venenatis ac lorem. Curabitur a ultricies ante, at sodales lectus. Sed odio metus, eleifend et nunc et, porta ullamcorper libero. Vivamus bibendum, erat non euismod mattis, tortor neque auctor nisl, nec malesuada metus leo sed lectus. In a bibendum dui, nec feugiat urna.','','full_html'),('node','article',0,49,49,'und',0,'Since Etsy.com launched in 2005, the online marketplace featuring over 800,00 vendors selling their handmade wares has become a go-to resource for couples looking to elevate their nuptials with one-of-kind, DIY touches (there\'s even a dedicated section of the site just for weddings).\r\n\r\nBelow, we present a curated selection of our favorite wedding objects from Etsy sellers. We\'ll be bringing you a new object, and its unique story, every week, so check back frequently.\r\n\r\nDonec suscipit mi ut nisi malesuada aliquam. Morbi ullamcorper interdum laoreet. Vivamus a metus nibh. Morbi ac facilisis quam. Aenean eget est tincidunt sapien dapibus dignissim. Fusce sagittis commodo mollis. Mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl. Mauris sit amet sodales ante, vel fringilla justo.\r\n\r\nCras ullamcorper sollicitudin lectus sagittis pellentesque. Aliquam a nisl nec est ultricies convallis. Maecenas id laoreet libero, vel adipiscing magna. Ut nisl libero, scelerisque ac rhoncus eleifend, consequat nec erat. Ut bibendum felis sit amet lectus auctor dapibus. Nunc at posuere sem, eu ullamcorper enim. Quisque vestibulum tellus id magna ornare vehicula ut id lorem.\r\n\r\nEtiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci. Fusce a lorem elementum sem tempor ullamcorper. Sed sed est vitae turpis elementum fermentum. Aliquam ullamcorper erat tortor, et suscipit enim fringilla ut. Nulla facilisi. Nam blandit hendrerit massa eu gravida. Nam metus tellus, faucibus at lacinia non, venenatis ac lorem. Curabitur a ultricies ante, at sodales lectus. Sed odio metus, eleifend et nunc et, porta ullamcorper libero. Vivamus bibendum, erat non euismod mattis, tortor neque auctor nisl, nec malesuada metus leo sed lectus. In a bibendum dui, nec feugiat urna.\r\n\r\n','','filtered_html'),('node','showcase',0,50,50,'und',0,'<a href=\"http://demo.weebpal.com/#magazine\" target=\"_blank\">Click to visit</a>','','full_html'),('node','showcase',0,51,51,'und',0,'<a href=\"http://demo.weebpal.com/#real-estate\" target=\"_blank\">Click to visit</a>','','filtered_html'),('node','showcase',0,52,52,'und',0,'<a href=\"http://demo.weebpal.com/#hotel\" target=\"_blank\">Click to visit</a>','','filtered_html'),('node','showcase',0,53,53,'und',0,'<a href=\"http://demo.weebpal.com/#education\" target=\"_blank\">Click to visit</a>','','filtered_html'),('node','showcase',0,54,54,'und',0,'<a href=\"http://demo.weebpal.com/#news\" target=\"_blank\">Click to visit</a>','','filtered_html'),('node','showcase',0,55,55,'und',0,'<a href=\"http://demo.weebpal.com/#garnet\" target=\"_blank\">Click to visit</a>','','full_html'),('node','showcase',0,56,56,'und',0,'<a href=\"http://demo.weebpal.com/#business\" target=\"_blank\">Click to visit</a>','','filtered_html'),('node','showcase',0,57,57,'und',0,'<a href=\"http://demo.weebpal.com/#onepage\" target=\"_blank\">Click to visit</a>','','full_html'),('node','showcase',0,58,58,'und',0,'<a href=\"http://demo.weebpal.com/#new-shopping\" target=\"_blank\">Click to visit</a>','','filtered_html'),('node','showcase',0,59,59,'und',0,'<a href=\"http://demo.weebpal.com/#zircon_ii\" target=\"_blank\">Click to visit</a>','','full_html'),('node','showcase',0,60,60,'und',0,'<a href=\"http://demo.weebpal.com/#blog_theme\" target=\"_blank\">Click to visit</a>','','full_html'),('node','showcase',0,62,62,'und',0,'<a href=\"http://demo.weebpal.com/#zircon-drupal-8\" target=\"_blank\">Click to visit</a>','','full_html'),('node','showcase',0,63,63,'und',0,'<a href=\"http://weebpal.com/drupal-themes/autox\" target=\"_blank\">Click to visit</a>','','full_html'),('node','page',0,64,64,'und',0,'\r\n\r\nAliquam aliquam tristique aliquam. Quisque eleifend eget turpis blandit commodo. Donec quis ante lacinia, dapibus diam at, auctor risus? Vestibulum porta interdum suscipit? Ut neque nunc, tincidunt nec nisl ut, elementum ultricies orci. Nam sit amet auctor enim. Suspendisse congue nulla sed sagittis auctor! Ut venenatis nulla turpis, vel fringilla lacus elementum sit amet. Nunc eu nunc gravida, dictum orci vel, cursus velit. Nam tincidunt nunc quis nunc congue, at sagittis nisi ultricies. Nam vitae consectetur ante. Phasellus at sapien metus.\r\n\r\nProin leo purus, imperdiet et enim quis, faucibus rutrum nisi. Aliquam venenatis urna nec tellus commodo, vel auctor purus semper? Nullam ultricies dignissim nulla, vitae fermentum lectus faucibus nec. Nulla facilisi. In hac habitasse platea dictumst. Mauris orci arcu, imperdiet sed accumsan porttitor, vulputate sit amet augue. Sed ultricies est vitae libero semper; quis sagittis ligula fringilla. Maecenas a risus sed diam consequat aliquam. Vivamus molestie tempus luctus. Etiam condimentum nunc a purus accumsan bibendum.\r\n\r\nStet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.\r\n\r\nExcepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Excepteur sint obcaecat cupiditat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sanctus sea sed takimata ut vero voluptua. Lorem ipsum dolor sit amet. At vero eos et accusam et justo duo dolores et ea rebum.\r\n\r\nConsetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.\r\n\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec quam felis, ultricies nec, pellentesque eu, pretium quis, sem. Nulla consequat massa quis enim. Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu. In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus.\r\n\r\nVivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus. Phasellus viverra nulla ut metus varius laoreet. Quisque rutrum. Aenean imperdiet. Etiam ultricies nisi vel augue. Curabitur ullamcorper ultricies nisi. Nam eget dui. Etiam rhoncus. Maecenas tempus, tellus eget condimentum rhoncus, sem quam semper libero, sit amet adipiscing sem neque sed ipsum.\r\n\r\nNam quam nunc, blandit vel, luctus pulvinar, hendrerit id, lorem. Maecenas nec odio et ante tincidunt tempus. Donec vitae sapien ut libero venenatis faucibus. Nullam quis ante. Etiam sit amet orci eget eros faucibus tincidunt. Duis leo. Sed fringilla mauris sit amet nibh. Donec sodales sagittis magna. Sed consequat, leo eget bibendum sodales, augue velit cursus nunc, quis gravida magna mi a libero. Fusce vulputate eleifend sapien. Vestibulum purus quam, scelerisque ut, mollis sed, nonummy id, metus.\r\n\r\nNullam accumsan lorem in dui. Cras ultricies mi eu turpis hendrerit fringilla. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In ac dui quis mi consectetuer lacinia. Nam pretium turpis et arcu. Duis arcu tortor, suscipit eget, imperdiet nec, imperdiet iaculis, ipsum. Sed aliquam ultrices mauris. Integer ante arcu, accumsan a, consectetuer eget, posuere ut, mauris. Praesent adipiscing. Phasellus ullamcorper ipsum rutrum nunc. Nunc nonummy metus.\r\n\r\nVestibulum volutpat pretium libero. Cras id dui. Aenean ut eros et nisl sagittis vestibulum. Nullam nulla eros, ultricies sit amet, nonummy id, imperdiet feugiat, pede. Sed lectus. Donec mollis hendrerit risus. Phasellus nec sem in justo pellentesque facilisis. Etiam imperdiet imperdiet orci. Nunc nec neque. Phasellus leo dolor, tempus non, auctor et, hendrerit quis, nisi. Curabitur ligula sapien, tincidunt non, euismod vitae, posuere imperdiet, leo. Maecenas malesuada. Praesent congue erat at massa.\r\n\r\nSed cursus turpis vitae tortor. Donec posuere vulputate arcu. Phasellus accumsan cursus velit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed aliquam, nisi quis porttitor congue, elit erat euismod orci, ac placerat dolor lectus quis orci. Phasellus consectetuer vestibulum elit. Aenean tellus metus, bibendum sed, posuere ac, mattis non, nunc. Vestibulum fringilla pede sit amet augue. In turpis. Pellentesque posuere. Praesent turpis. Aenean posuere, tortor sed cursus feugiat, nunc augue blandit nunc, eu sollicitudin urna dolor sagittis lacus. Donec elit libero, sodales nec, volutpat a, suscipit non, turpis. Nullam sagittis. Suspendisse pulvinar, augue ac venenatis condimentum, sem libero volutpat nibh, nec pellentesque velit pede quis nunc. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Fusce id purus. Ut varius tincidunt libero. Phasellus dolor. Maecenas vestibulum mollis\r\n','','full_html'),('node','forum',0,70,70,'und',0,'Euismod macto occuro. Commodo eligo enim incassum jugis mauris tum. Eligo lenis loquor os quidem rusticus. Quae qui typicus valde vulputate. Commodo iaceo iriure sagaciter sit. Distineo dolore exerci inhibeo lobortis tincidunt ulciscor. Comis ea loquor neque tamen vereor vindico virtus. Capto dignissim incassum quis si typicus.\r\n\r\nAmet causa esse gemino hos iusto letalis nunc. Exputo facilisi humo metuo pecus plaga sagaciter verto. Abigo blandit letalis molior vindico. Cogo commoveo te venio vindico. Augue bene conventio diam iriure magna neque si singularis. Abluo aliquam cui esca ymo. Ad feugiat melior pneum ratis scisco suscipit vero wisi. Esca exputo ibidem inhibeo luptatum odio paulatim quibus tamen torqueo. Ad dolor hos imputo in neo quidne ulciscor virtus.\r\n\r\nBrevitas melior quidne velit. Abico fere mos os plaga sudo tum vulputate. Iustum quis refero saepius ulciscor. Adipiscing damnum decet nimis nostrud occuro sagaciter vindico. Commoveo dignissim ea esse exputo pecus venio voco. Erat hendrerit valetudo. Acsi dolor duis importunus melior persto quae. Causa et gravis iusto melior quis ratis scisco valetudo virtus. Et sagaciter sed.\r\n\r\nAntehabeo diam quis. Cui nimis pneum praesent refero utrum. Amet et ex laoreet magna minim plaga quidem sed.\r\n\r\nEuismod ibidem incassum saluto. Appellatio molior saepius. Consequat imputo lucidus obruo virtus. Aptent dignissim distineo esca ibidem imputo modo paratus patria quis. Abluo adipiscing aliquam eligo letalis luctus populus proprius rusticus validus. Commoveo duis jus meus valde. Dolus importunus te ullamcorper volutpat. Dolore quia usitas vel. Eum illum vero vindico. Facilisis tincidunt uxor. Cui decet imputo macto mos nostrud pertineo quadrum ratis sagaciter.\r\n\r\nAccumsan appellatio eu macto sudo veniam. Accumsan blandit consectetuer ea hendrerit refoveo tum usitas. Facilisis humo lobortis luptatum magna ullamcorper. Elit eros olim saluto sit turpis validus. Esse gravis jumentum lucidus meus nibh suscipit tego. Elit jus persto sudo venio vereor.\r\n\r\nAbico ludus torqueo. Abdo dignissim hendrerit os quae quidne sed usitas uxor venio. Euismod secundum tamen. Caecus dolus gravis natu tum virtus. Ad aliquam consectetuer diam macto minim ulciscor velit vulputate.\r\n\r\nCamur illum in tamen. Autem cui refoveo utinam. Abico eros facilisis fere iustum neque quidem suscipit tation te. Inhibeo nisl sino verto.\r\n\r\nEsse iaceo ibidem incassum nulla. Dolus et importunus ludus molior suscipit utinam. Abluo enim sit tum volutpat. Dolus huic in meus saepius scisco usitas. Aliquam esca volutpat.\r\n\r\nBene brevitas hendrerit importunus jus metuo quidne ratis tation. Ad causa distineo incassum lobortis macto nimis probo sed. Abico conventio interdico melior obruo quis vicis.\r\n\r\nAbdo amet euismod jumentum quibus tation vel. Decet esse probo quis refoveo. Abico autem consectetuer decet euismod fere luptatum molior scisco sed. Camur causa eros iaceo luptatum nobis qui ulciscor validus. Autem capto comis commodo defui letalis neque nobis. Blandit conventio premo probo tamen valetudo.\r\n\r\nAugue distineo dolus enim exerci jumentum singularis vereor vero ymo. Aptent defui dolore gravis magna tum vicis. Accumsan bene blandit eu facilisi gemino loquor ludus si. Abigo duis iriure luptatum nimis probo veniam. Et minim obruo pagus probo saluto tum vindico. Appellatio comis diam iaceo neque sit torqueo typicus.\r\n','','full_html'),('node','forum',0,71,71,'und',0,'Comis commodo hendrerit metuo quia refoveo. Eligo gemino huic metuo proprius refero roto. Aliquip eros tego ullamcorper. Commodo dignissim enim incassum olim premo. Damnum iaceo interdico magna pagus usitas. Abbas caecus commoveo diam enim obruo proprius uxor velit vulpes.\r\n\r\nCapto commoveo lobortis roto. Decet loquor metuo sudo. Huic immitto pala tamen tation valde. Exerci rusticus vel vero. Dignissim gilvus gravis nostrud nulla quidem valetudo. Nibh oppeto ratis ut vindico volutpat. Consectetuer paratus proprius tincidunt ullamcorper venio vero. Diam dolus iusto jus populus premo quibus quidem volutpat wisi.\r\n\r\nConsequat distineo humo paulatim refero tation tincidunt. Acsi dolus feugiat haero interdico jus si. Ille obruo paulatim populus ratis.\r\n\r\nConsectetuer decet nimis nunc validus. Cui haero nimis oppeto secundum. Refoveo veniam vulpes.\r\n\r\nAntehabeo meus natu tum. At autem caecus elit lucidus modo sino velit venio. Accumsan laoreet praesent. Camur gemino hendrerit luptatum praemitto proprius singularis. Abigo ad capto duis nulla. Abdo caecus commoveo sed te. Abbas iaceo minim te verto. Consectetuer et eu macto. Dolor gilvus humo iusto neo paratus. Odio paratus pecus praemitto saluto suscipere typicus virtus.\r\n\r\nCausa ea et facilisi nulla pala uxor validus vicis. Luptatum nostrud occuro pala premo volutpat. Caecus nibh paratus vel ymo. At exputo iaceo illum lucidus persto tation tego. Bene incassum pala.\r\n\r\nCommodo damnum dolus quidem. Augue exputo pertineo quidne tation tincidunt valetudo. Cui metuo quidne ulciscor utrum validus. Ideo iusto qui saluto utrum veniam vindico vulpes. Damnum gravis modo secundum. Augue ibidem olim virtus. Elit iaceo modo. Abigo immitto minim paulatim pecus quadrum valde. Luptatum quibus ratis sino. Aptent humo ideo mos paratus sino velit. Abigo consequat dolor haero humo iaceo natu velit.\r\n\r\nAccumsan blandit et gilvus plaga scisco sino wisi. Ex imputo letalis praesent. Augue autem causa interdico mauris os proprius tamen. Antehabeo macto utrum. Consequat facilisi turpis. Feugiat natu nunc os. Aliquip fere gemino luctus. At augue metuo qui vulputate. Abico hendrerit humo lucidus. Abbas dolus in incassum macto meus scisco torqueo.\r\n','','full_html'),('node','forum',0,72,72,'und',0,'Blandit imputo iriure laoreet modo te ullamcorper. Consequat facilisis inhibeo si typicus veniam virtus. Damnum exerci meus saepius uxor velit ymo zelus. Abico adipiscing damnum et lenis letalis nostrud vereor virtus volutpat. Appellatio caecus camur commoveo iriure minim proprius valde. Brevitas erat facilisis feugiat nobis quadrum te vulpes.\r\n\r\nAccumsan aliquam exputo ibidem luctus ulciscor ut. Aptent gemino importunus nostrud olim sudo ymo. Abluo antehabeo dolore humo mauris metuo oppeto sagaciter scisco utinam. Camur eu verto. Acsi ad damnum immitto olim os quadrum ratis utrum vereor. Autem decet dolore fere haero loquor quidem saluto sudo utinam. Consequat paulatim pertineo ratis tum.\r\n\r\nAntehabeo erat imputo refero. Mos oppeto pertineo qui suscipere validus. Abigo ex refoveo. Illum plaga suscipere. Antehabeo aptent commodo facilisi pecus secundum singularis te validus. Augue capto dolore ex ibidem mauris natu quibus similis.\r\n\r\nAugue ex gilvus hendrerit iriure neo refoveo sed. Cui dolore gemino hos pecus refero tum ut valetudo. Consequat enim exerci importunus pala te. Antehabeo distineo euismod ille metuo sudo. Nunc pala typicus.\r\n\r\nAt exerci gilvus iriure luptatum nutus similis. Cogo meus patria pneum saepius. Causa defui eum huic jugis refoveo scisco tamen ulciscor. Abigo dolus eligo jus magna occuro pecus singularis tego turpis.\r\n\r\nAntehabeo facilisis iaceo ille neque quidne verto vulpes zelus. Abbas antehabeo erat esca esse haero nibh praemitto quia. Dolus genitus humo loquor os secundum ulciscor valetudo venio vicis. Abbas commodo gravis magna rusticus.\r\n\r\nGravis lucidus neo paulatim voco. Abbas bene hos ille iusto lucidus pertineo refoveo. Comis et exerci iaceo importunus oppeto proprius secundum sed. Causa diam et ex quae quia roto rusticus vero. Duis jumentum occuro persto quia singularis validus velit. Appellatio blandit caecus consequat damnum pecus roto tum utinam.\r\n\r\nErat lucidus nobis pneum torqueo turpis vindico. Antehabeo duis loquor. Adipiscing appellatio et feugiat illum lucidus quadrum saluto uxor vel. Aliquip damnum elit sino veniam. Blandit imputo mauris nimis premo quidne. Distineo dolor esca gemino importunus metuo paratus tincidunt wisi. Ad augue blandit euismod exerci sit. Abdo augue consequat ibidem iusto refoveo vulputate.\r\n\r\nCogo esca hendrerit humo immitto imputo quidne tincidunt. Meus nutus quae sino utrum velit vindico. Iusto magna meus nulla. Capto dolus euismod gemino scisco sed. Dignissim eros eum persto sit utrum. Commoveo nutus uxor. At iaceo ideo jus ludus rusticus sagaciter sed torqueo vindico.\r\n','','full_html'),('node','forum',0,73,73,'und',0,'Dolore duis gemino humo jumentum melior. Dolus euismod facilisis ideo mauris neque nostrud occuro oppeto ymo. Abbas abico blandit dignissim haero nimis nobis os suscipere virtus. Abigo feugiat iustum minim premo saepius utrum. Fere huic ibidem illum lenis pala te. Adipiscing facilisis feugiat iusto neque plaga ymo. Abico elit genitus huic ibidem ideo inhibeo praesent saluto si.\r\n\r\nBlandit conventio premo tamen valetudo. Augue distineo dolus enim exerci jumentum singularis vereor vero ymo. Defui dolore magna vicis. Accumsan bene blandit eu facilisi gemino loquor ludus praemitto si.\r\n\r\nAbigo iriure luptatum nimis probo veniam. Et minim obruo pagus probo saluto secundum suscipere tum vindico.\r\n\r\nAppellatio comis diam dolore iaceo neque sit torqueo typicus. Occuro sit voco. Cui damnum ideo natu refero scisco. Eligo huic metuo refero roto. Aliquip eros jumentum obruo olim ratis tego ullamcorper. Commodo enim incassum olim.\r\n\r\nAt esca jumentum quadrum uxor. Antehabeo damnum dolore persto roto vulputate. Decet dolor eligo esca meus similis sino velit volutpat. Abigo facilisi hendrerit importunus nutus paratus pecus sudo voco. Abico facilisis metuo nunc si suscipere tum. Bene ludus luptatum pecus torqueo volutpat vulputate. Abbas esse et euismod inhibeo jugis ludus occuro turpis volutpat.\r\n\r\nDamnum elit iaceo nunc quidne refero tamen utinam volutpat. Refoveo saluto valde vulpes. Fere feugiat quidne sagaciter vel vereor. Illum lucidus luptatum minim probo sit. At caecus commoveo lobortis loquor quidne tamen wisi. Caecus commodo dolus immitto. Interdico refoveo ulciscor. Abbas acsi caecus dolore jugis luptatum pertineo utinam.\r\n\r\nAbbas caecus commoveo inhibeo metuo proprius refero rusticus sino venio. Fere genitus hos pneum refero saluto. Capto suscipere tum. Bene dolore erat euismod humo iriure persto saepius veniam vicis. Decet ideo importunus meus mos. At decet enim laoreet natu neque pecus. Acsi nobis praesent probo quis ratis venio.\r\n\r\nConsectetuer exerci gemino immitto metuo patria refoveo ulciscor utinam. Caecus camur hos laoreet natu plaga probo ullamcorper. Abluo probo saepius. Dolor facilisis iusto meus nibh typicus ullamcorper validus. Ratis sudo uxor. Abluo adipiscing camur minim ulciscor ut vicis voco wisi. Adipiscing magna nobis populus quadrum sagaciter sed ullamcorper virtus.\r\n\r\nExerci facilisi fere importunus probo. Elit in jumentum. Accumsan blandit minim singularis vulputate. Diam et laoreet olim tego usitas vero. Ille in iriure scisco tamen validus wisi.\r\n\r\nInhibeo nostrud typicus. Aliquip defui diam genitus incassum praemitto validus. Aliquip capto obruo quadrum quibus quis. Amet aptent brevitas caecus commoveo consequat populus si. Abbas amet euismod eum loquor ludus proprius ratis roto vulputate. Abigo autem jus letalis pagus quibus utinam vulpes. Aliquip dignissim importunus imputo valde.\r\n','','full_html'),('node','forum',0,74,74,'und',0,'Camur causa eu incassum refero tation. Feugiat natu nunc os. Aliquip gemino luctus. At augue haero metuo modo neo qui valde vulputate. Abico gemino genitus hendrerit humo lucidus praemitto tum turpis. Autem camur consequat immitto lenis lobortis macto natu typicus. Haero probo volutpat. Abluo aliquip comis letalis magna pecus sed utinam. Lucidus quis tego.\r\n\r\nEnim luptatum ratis sagaciter ut volutpat. Distineo dolor genitus quia quidem si tamen. Abbas feugiat interdico singularis. Brevitas facilisis feugiat te vulpes.\r\n\r\nAccumsan ibidem ut. Aptent gemino importunus nostrud olim sudo ymo. Abluo antehabeo dolore humo metuo sagaciter scisco. Ad capto enim erat immitto nostrud patria plaga saluto vulpes. Causa cogo quae suscipit voco. Amet eu secundum. Aliquam decet gravis sit valde. Abigo causa dignissim ibidem meus quis refoveo turpis. Euismod mos oppeto pertineo qui similis sudo suscipere tamen validus.\r\n\r\nAbigo ex refoveo. Eligo illum plaga suscipere usitas. Abdo aptent nunc quibus torqueo. Augue dolore ex. Augue eu laoreet modo similis. Amet commodo euismod luctus meus praemitto. Ad quadrum uxor. Adipiscing at cogo enim luctus probo roto. Cogo laoreet roto.\r\n\r\nNunc pala typicus. Exerci gilvus iriure luptatum nutus similis. Meus pneum saepius. Causa defui eum huic jugis scisco ulciscor. Abigo dolus eligo jus magna occuro pecus singularis tego turpis.\r\n\r\nVerto vulpes zelus. Abbas antehabeo erat esca esse haero nibh praemitto quia. Genitus humo loquor os secundum valetudo vicis.\r\n\r\nAbbas causa commodo gravis iaceo magna pala rusticus secundum verto. Cogo eum huic laoreet typicus. Esca ex gravis illum nisl pertineo sed valde.\r\n\r\nAbluo blandit iaceo jus vulpes. Esse eu fere feugiat mauris populus qui velit verto. Distineo huic neo nostrud nunc pala paulatim voco. Commoveo esse ibidem in paratus paulatim tum ut velit.\r\n\r\nCogo gilvus haero magna meus paulatim populus tamen. Amet genitus ideo rusticus vindico. Aptent dignissim suscipit. Cogo elit hos minim pala premo sit torqueo voco. At meus quis. Diam elit eros interdico iustum verto. Abdo augue iusto vulputate.\r\n\r\nCogo esca hendrerit humo immitto imputo quidne tincidunt. Meus nutus quae sino utrum velit vindico. Dignissim iusto luctus magna meus nulla proprius secundum. Amet brevitas nostrud nunc suscipere. Accumsan interdico nostrud plaga sed.\r\n','','full_html'),('node','forum',0,75,75,'und',0,'Camur conventio exerci exputo feugiat populus premo qui ullamcorper. Abbas hos importunus iriure lenis luptatum te ymo.\r\n\r\nCommodo interdico jus metuo nutus populus praesent valde valetudo vicis.\r\n\r\nCogo cui gravis hos paratus tamen. Et melior scisco virtus. Et interdico mauris nostrud sagaciter sed tincidunt. Bene blandit capto elit eu iaceo modo nibh populus. Cui defui ibidem nimis pneum praesent refero utrum. Amet laoreet magna plaga sed. Euismod ibidem incassum saluto. Appellatio iusto molior saepius. Consequat decet imputo in lucidus obruo quis ratis tamen virtus.\r\n\r\nAptent distineo esca ibidem imputo. Comis eros esca huic nobis similis sudo. Dolor eligo exputo nostrud obruo plaga usitas vicis. Incassum nibh secundum vulputate. Facilisi imputo natu obruo premo tego tincidunt veniam zelus. Blandit eum mos nunc praesent premo venio. Illum inhibeo paratus proprius quidne suscipere virtus. Ea eum jumentum laoreet plaga rusticus singularis te. Augue dolor lobortis.\r\n\r\nAccumsan duis elit neo nimis quae saluto suscipere. Appellatio dignissim odio quia ratis refoveo vero. Augue esca eum exerci populus utinam. Immitto nutus vereor. Diam fere occuro. Elit jus persto sudo vereor. Abico damnum ludus torqueo turpis virtus. Aptent eligo melior obruo os si suscipit valetudo vindico virtus. Causa nibh paulatim probo similis.\r\n\r\nBlandit ea eros jugis roto tum utrum. Caecus commoveo lenis tation ut vulputate. Aptent commodo esca ex hendrerit iaceo imputo melior si ullamcorper.\r\n\r\nAptent et ex in melior plaga scisco singularis zelus. Adipiscing blandit brevitas elit molior pecus velit. Capto ex modo validus.\r\n\r\nBrevitas caecus consectetuer cui damnum gravis mos. Aliquam defui duis eum gilvus iaceo probo quia validus. Causa humo incassum nunc paratus refoveo si tincidunt torqueo verto. Nimis quidne refoveo. Defui dignissim ideo magna quia sudo valde vulpes. Abigo accumsan eu gemino ideo jumentum pertineo pneum saepius singularis.\r\n\r\nAugue consequat ibidem iusto lenis refoveo. Abico interdico melior obruo vicis. Abdo euismod jumentum quibus tation vel. Abbas decet esse jumentum probo quis refoveo tation. Amet defui in jus probo quadrum.\r\n\r\nEros qui ulciscor validus. Autem capto letalis neque nobis. Ad blandit conventio nobis premo probo tamen valetudo vulpes. Causa quis ulciscor. Enim et neque. Ille lucidus mauris nisl nobis quidne rusticus.\r\n','','full_html'),('node','forum',0,76,76,'und',0,'Blandit cogo dolor exerci ille lenis luptatum neque rusticus saluto. Augue autem brevitas causa interdico mauris os proprius tamen utinam. Commodo eum iustum tation vereor. Acsi adipiscing amet diam gilvus pneum rusticus verto voco. Autem gilvus ideo incassum letalis quadrum qui typicus. At augue metuo modo qui valde vulputate.\r\n\r\nAbico gemino hendrerit humo lucidus praemitto tum turpis. Autem camur consequat immitto lenis lobortis macto natu typicus. Conventio haero iaceo in nobis probo usitas volutpat. Abluo aliquip comis letalis magna pecus refoveo sed utinam. Lucidus quis sed suscipit tego typicus ullamcorper ut vulputate. Autem hos occuro pala refoveo tation vulputate wisi. Acsi ad conventio nimis patria praesent.\r\n\r\nFere inhibeo mauris nunc similis. Brevitas facilisis feugiat quadrum te vulpes. Accumsan aliquam exputo facilisis ibidem lobortis luctus ulciscor ut. Aptent gemino nostrud olim sudo ymo. Abluo antehabeo dolore sagaciter scisco. Capto enim immitto saluto. Abico hendrerit hos lucidus uxor valetudo. Exputo haero melior mos plaga si vindico. Autem commodo eu iriure utrum valetudo. Dolus eum occuro vero. Mos oppeto pertineo.\r\n\r\nAliquip exputo neo virtus. Adipiscing euismod haero iusto quae turpis. Antehabeo aptent pecus secundum validus. Augue dolore ex ibidem. Defui ibidem quia saluto. At dolus iriure letalis os pertineo venio.\r\n\r\nIllum jugis meus nunc pala plaga qui. Huic nisl roto. Aptent caecus defui genitus pala rusticus usitas vero. Cui et fere neque sino suscipit. Ad comis minim.\r\n\r\nAbico cogo feugiat meus oppeto patria pneum saepius. Causa defui eum huic jugis scisco ulciscor.\r\n','','full_html'),('node','article',0,77,77,'und',0,'The New Zealand Companies Office (NZCO) has recently released three new features to the NZCO website. These new features allow businesses in New Zealand to determine if the organisations they are intending to engage with are registered as a Limited Liability Company on the Register of Companies.\r\n\r\nThe new features include the introduction of a QR Code which has been added to all Certificates of Incorporation, Company Extracts and Annual Return Extracts. The QR Code can be scanned and will direct the client to the Company Details page for that particular company.\r\n\r\n Suspendisse facilisis sollicitudin libero, in pretium nulla consectetur ut. Cras ut tortor nisi. Cras quis luctus nisi. Fusce non sodales ipsum. Integer tincidunt mauris tellus, eget pellentesque eros commodo in. Ut auctor turpis sit amet sem pellentesque scelerisque sit amet sit amet quam. Donec pretium justo non leo dignissim luctus. Sed aliquam dui non massa eleifend, nec iaculis lacus consequat. Suspendisse vulputate tortor dolor.\r\n\r\nNam pellentesque sed risus vel ultricies. Morbi vel volutpat mauris. Maecenas in tortor sit amet sapien sodales consequat. Donec vitae est eget nunc fringilla vulputate at et arcu. Aenean imperdiet a eros a mattis. Nunc aliquet, mauris non accumsan hendrerit, ipsum velit laoreet odio, id sagittis enim felis in neque. Donec quis pretium purus. Duis pulvinar, metus in vehicula tincidunt, diam lorem laoreet tellus, gravida fermentum leo tellus id nisi. Donec quis sapien risus. Vestibulum massa enim, ornare ut condimentum et, auctor sed nisl. Maecenas ullamcorper lacus dui, quis faucibus dolor rutrum vitae.\r\n\r\nSed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis. ','','filtered_html'),('node','article',0,78,78,'und',0,'The Companies and Limited Partnerships Amendment Bill received Royal Assent on 2 July 2014. The Bill will create the Companies Amendment Act 2014 and the Limited Partnerships Amendment Act 2014.\r\n\r\nThis legislation assists with the prevention of misuse of New Zealand companies (shell companies) and Limited Partnerships by overseas criminal organisations and provides the Registrar with additional powers.\r\n\r\n Nam pellentesque sed risus vel ultricies. Morbi vel volutpat mauris. Maecenas in tortor sit amet sapien sodales consequat. Donec vitae est eget nunc fringilla vulputate at et arcu. Aenean imperdiet a eros a mattis. Nunc aliquet, mauris non accumsan hendrerit, ipsum velit laoreet odio, id sagittis enim felis in neque. Donec quis pretium purus. Duis pulvinar, metus in vehicula tincidunt, diam lorem laoreet tellus, gravida fermentum leo tellus id nisi. Donec quis sapien risus. Vestibulum massa enim, ornare ut condimentum et, auctor sed nisl. Maecenas ullamcorper lacus dui, quis faucibus dolor rutrum vitae.\r\n\r\nSed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.\r\n\r\nEtiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum. ','','full_html'),('node','article',0,79,79,'und',0,'As of today we have simplified what is provided to you during the process of incorporating a company on the Companies Office register.\r\n\r\nDuring the current process we deliver a company extract to your registered email address once the incorporation fee has been submitted and once the Registrar confirms the incorporation of your company.\r\n\r\nSed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.\r\n\r\nEtiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum.\r\n\r\nSuspendisse ipsum ligula, consequat ut suscipit dapibus, pellentesque at nibh. Vestibulum elementum arcu eu pretium pellentesque. Integer eget sapien pellentesque, auctor ipsum sit amet, accumsan lectus. Vestibulum odio quam, egestas eu erat vitae, rutrum porta sem. Sed nulla neque, vestibulum in congue ut, dictum vitae tellus. Cras tincidunt orci in ipsum elementum, tempus vulputate tellus molestie. Nulla aliquet quis justo in imperdiet. Donec in eros massa. Proin porta nibh convallis dictum egestas. Suspendisse ac mauris mi. Donec volutpat tortor non velit adipiscing, quis sodales quam viverra. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.','','full_html'),('node','article',0,80,80,'und',0,'Did you know you can search the Personal Property Securities Register (PPSR) to find out if the second-hand car you are considering buying privately may have money owing on it?  For less than the price of a cup of coffee the search is worth it for the peace of mind it gives you.\r\n\r\nImagine this scenario: Jack spends weeks finding the car of his dreams.  He settles on a tidy, red Holden.  It’s a little over his price bracket and even though Jack negotiates a deal with the seller, he still needs to sell his existing car and take out a small loan.  Once the finances are sorted, Jack takes possession of the car and registers it with NZ Transport in his name.\r\n\r\nNam pellentesque sed risus vel ultricies. Morbi vel volutpat mauris. Maecenas in tortor sit amet sapien sodales consequat. Donec vitae est eget nunc fringilla vulputate at et arcu. Aenean imperdiet a eros a mattis. Nunc aliquet, mauris non accumsan hendrerit, ipsum velit laoreet odio, id sagittis enim felis in neque. Donec quis pretium purus. Duis pulvinar, metus in vehicula tincidunt, diam lorem laoreet tellus, gravida fermentum leo tellus id nisi. Donec quis sapien risus. Vestibulum massa enim, ornare ut condimentum et, auctor sed nisl. Maecenas ullamcorper lacus dui, quis faucibus dolor rutrum vitae.\r\n\r\nSed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.\r\n\r\nEtiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum. ','','filtered_html'),('node','article',0,81,81,'und',0,'This week, Nature Careers ran a great feature about scientists who act as advisers for Hollywood blockbusters and hit TV shows: Media consulting: Entertaining science. The article touches on the experience several scientists have had with some big names: David Saltzberg and The Big Bang Theory, James Kakalios and The Amazing Spiderman, and Donna Nelson and Breaking Bad.\r\n\r\nI decided to dig a little deeper into Donna’s story, and that of Dr David Kirby, a science communication professor at the University of Manchester, to find out a little more about the cultural differences between the lab and the media.\r\n\r\nSed nec tortor lobortis, tristique diam nec, feugiat urna. Phasellus quis vestibulum mauris. Nam ullamcorper, risus eget pretium scelerisque, turpis tortor ultrices diam, tristique aliquet enim ante at enim. Mauris arcu ante, viverra sed tristique at, iaculis a nisl. Nulla eu erat dolor. Nulla justo enim, sollicitudin imperdiet dui sit amet, ullamcorper rhoncus felis. Mauris elementum ante vitae ante laoreet mattis. Nam hendrerit, nunc sed facilisis tempus, odio magna pretium dolor, et malesuada tortor odio eu diam. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec sagittis urna eget laoreet venenatis. Phasellus accumsan, dui vitae auctor eleifend, sem augue molestie elit, id euismod augue augue in felis.\r\n\r\nEtiam non nibh interdum, laoreet mauris sed, viverra quam. Cras nec enim magna. Nunc enim nulla, elementum id gravida suscipit, hendrerit vitae neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque quis metus ac lacus suscipit commodo nec ut est. Praesent id pellentesque ligula, sit amet vestibulum velit. Aenean venenatis nibh vel orci auctor, at dignissim nisi euismod. Cras vel elit quis lacus semper ultricies eget quis diam. Aliquam porttitor eros interdum molestie rutrum. Cras laoreet neque in nulla rhoncus, ultrices lobortis erat viverra. Morbi mollis tortor consequat felis pharetra, a consequat libero fermentum. ','','full_html'),('node','article',0,82,82,'und',0,'In a previous blog post, I asked “what makes a Nature Genetics paper?” I have been slow to follow up on the post with my own answers to that question, but in the meantime I would like to share this email that brightened my day (edited for clarity): \r\n\r\n“I work on the field of genome-wide association studies (GWAS) in complex diseases and I note that of recent months, the criteria and standard of Nature Genetics (NG) for accepting GWAS papers is getting higher and higher.\r\n\r\nProin a pharetra est. Quisque nulla nisi, lacinia vitae luctus ut, euismod sit amet nibh. Sed et cursus quam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec mollis molestie feugiat. Nullam eleifend leo ornare elementum tempus. Aliquam quis leo sit amet lacus molestie egestas. Suspendisse quis ante rhoncus, mattis ligula quis, adipiscing eros.\r\n\r\nEtiam sit amet elit diam. Donec malesuada magna sed eros posuere, in malesuada orci vulputate. In eu laoreet tellus. Nullam nec scelerisque dui, eu accumsan ante. Pellentesque ultricies ligula vitae nunc eleifend, ut viverra sem rutrum. Aliquam dictum rhoncus velit quis bibendum. Sed nibh diam, dictum et semper nec, porta vitae sapien. Ut non congue odio. Etiam quam libero, auctor sit amet mollis et, tristique sit amet dolor.\r\n\r\nCurabitur eu molestie purus. Integer interdum, mi id auctor faucibus, nisi urna elementum eros, a dictum nisl risus in erat. Fusce orci lectus, congue et fermentum a, vehicula vitae justo. Nulla sed lacus nec diam euismod pretium. Donec vel faucibus sem. Praesent sit amet lacus non nisl luctus accumsan. Phasellus felis velit, iaculis nec nibh ac, tincidunt laoreet nibh. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque at dui commodo nibh placerat posuere nec sed nisl. Pellentesque malesuada lacus quis diam aliquam, a tristique est condimentum. Donec eget justo ultrices, commodo nisi sit amet, dapibus nisi. Morbi in leo quis turpis laoreet convallis sed vel felis. ','','full_html'),('node','article',0,83,83,'und',0,'Another criticism for the Bill has been in the area of domestic quarantine. While the bill, does forbid individuals to “possess, move, grow, raise, culture, breed or produce any plant, animal and plant product”, it does not clarify how states should act to contain the spread of disease. India’s past record in imposing domestic quarantine has not been worth mention. Numerous diseases that made a localized appearance earlier have now spread all over the country.\r\n\r\nThe new Bill hopes to establish an Agricultural Biosecurity Authority of India with headquarters in the national capital region and regional centres all over the country. The authority is expected to be responsible for regulation of the import and export of plants, animals and related products; prevention of entry of quarantine pests; and implementation of post-entry quarantine measures.\r\n\r\nCurabitur eu molestie purus. Integer interdum, mi id auctor faucibus, nisi urna elementum eros, a dictum nisl risus in erat. Fusce orci lectus, congue et fermentum a, vehicula vitae justo. Nulla sed lacus nec diam euismod pretium. Donec vel faucibus sem. Praesent sit amet lacus non nisl luctus accumsan. Phasellus felis velit, iaculis nec nibh ac, tincidunt laoreet nibh. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque at dui commodo nibh placerat posuere nec sed nisl. Pellentesque malesuada lacus quis diam aliquam, a tristique est condimentum. Donec eget justo ultrices, commodo nisi sit amet, dapibus nisi. Morbi in leo quis turpis laoreet convallis sed vel felis.\r\n\r\nPhasellus sed commodo quam, a cursus ipsum. Quisque facilisis mollis tortor vel scelerisque. Sed eu semper nibh. Donec lobortis venenatis orci nec vulputate. Duis eu nisl non sapien aliquam fringilla. Duis id lorem at libero hendrerit consectetur. Proin malesuada dolor ac felis consequat, luctus tristique sapien egestas. Sed vitae lorem arcu. Vestibulum blandit volutpat ligula ac interdum. Sed et imperdiet ipsum. Vivamus sagittis justo nibh, et dignissim orci tempor nec. In egestas eget erat vel ultrices.\r\n\r\nQuisque sit amet consequat massa. Sed sed purus at nisl pulvinar laoreet. Ut pellentesque ultricies lectus, id luctus dolor luctus ac. Donec urna leo, porta ut dignissim et, accumsan eget arcu. Nulla facilisi. Proin lorem ante, luctus ac mollis eu, commodo at tellus. Nullam posuere nunc in est ullamcorper cursus. Aliquam ut dignissim nulla. Praesent dignissim justo ante, sed viverra metus eleifend eu. Etiam ornare auctor felis ultricies dictum. Mauris ullamcorper malesuada lectus non tempus. Vestibulum bibendum justo a nisi varius, eu tempor ante dapibus. Donec ut nisi sit amet nunc sodales porttitor. Nulla tincidunt faucibus viverra. ','','full_html'),('node','article',0,84,84,'und',0,'Brazilian authorities discovered 20 contemporary works of art hidden in a shipping container coming from Florida, the Associated Press reports. The works, valued at $4.5m, were hidden among the belongings of a 75-year-old Brazilian woman and authorities suspect a company used her move to evade taxes. The Brazilian Ministry of Finance, Guido Mantega, said the art is believed to have been acquired at auctions abroad.\r\n\r\nWorks by contemporary artists such as the Brazilian Beatriz Milhazes and the twin graffiti artists known as Os Gêmeos (Otavio and Gustavo Pandolfo) were found among the stash. A sculpture by Sérgio de Camargo valued at $900,000, was found in a second container, according to the Brazilian federal agency. \r\n\r\nPhasellus sed commodo quam, a cursus ipsum. Quisque facilisis mollis tortor vel scelerisque. Sed eu semper nibh. Donec lobortis venenatis orci nec vulputate. Duis eu nisl non sapien aliquam fringilla. Duis id lorem at libero hendrerit consectetur. Proin malesuada dolor ac felis consequat, luctus tristique sapien egestas. Sed vitae lorem arcu. Vestibulum blandit volutpat ligula ac interdum. Sed et imperdiet ipsum. Vivamus sagittis justo nibh, et dignissim orci tempor nec. In egestas eget erat vel ultrices.\r\n\r\nQuisque sit amet consequat massa. Sed sed purus at nisl pulvinar laoreet. Ut pellentesque ultricies lectus, id luctus dolor luctus ac. Donec urna leo, porta ut dignissim et, accumsan eget arcu. Nulla facilisi. Proin lorem ante, luctus ac mollis eu, commodo at tellus. Nullam posuere nunc in est ullamcorper cursus. Aliquam ut dignissim nulla. Praesent dignissim justo ante, sed viverra metus eleifend eu. Etiam ornare auctor felis ultricies dictum. Mauris ullamcorper malesuada lectus non tempus. Vestibulum bibendum justo a nisi varius, eu tempor ante dapibus. Donec ut nisi sit amet nunc sodales porttitor. Nulla tincidunt faucibus viverra.\r\n\r\nPhasellus vulputate risus vel turpis tempor, sed vehicula justo hendrerit. Vivamus sed aliquam lacus. Praesent euismod vehicula urna id adipiscing. Aenean posuere pharetra felis, ac ultrices arcu volutpat et. Aliquam id purus vitae lacus porta congue. Duis aliquet arcu sed ligula pulvinar faucibus. Maecenas porta ligula sem, sit amet pretium erat feugiat in. Integer mollis rutrum felis, vel lobortis massa cursus nec. Fusce posuere lobortis arcu, quis dapibus sapien ornare auctor. Donec lacinia quam et arcu cursus, vitae euismod felis tempor. Pellentesque egestas tempor sagittis. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla lobortis orci vitae velit faucibus, id blandit felis dapibus. Proin vestibulum ante eu condimentum ullamcorper. Vivamus fringilla nunc orci, quis vulputate sem consequat in. Quisque quis dui a purus vestibulum gravida. ','','filtered_html'),('node','article',0,85,85,'und',0,' The British Library has agreed to return a spoliated Sienese oil painting made for the binding of a 1488 set of accounts, following the recommendation of the UK’s Spoliation Advisory Panel. The Biccherna panel, named after the city’s treasury, is attributed to Guidoccio Cozzarelli.\r\n\r\nAlthough not named in the spoliation panel’s June report, The Art Newspaper has identified the pre-war owner as the shareholders of the Munich-based A.S. Drey gallery. The painting was part of a “forced sale” in 1936, fetching the equivalent of £228. In 1942, it was sold by Arthur Bendir at Sotheby’s in London. Henry David bought the picture and donated it to the British Library in 1968 (it was formally accessioned on his death in 1977 with other bookbindings).\r\n\r\nPhasellus vulputate risus vel turpis tempor, sed vehicula justo hendrerit. Vivamus sed aliquam lacus. Praesent euismod vehicula urna id adipiscing. Aenean posuere pharetra felis, ac ultrices arcu volutpat et. Aliquam id purus vitae lacus porta congue. Duis aliquet arcu sed ligula pulvinar faucibus. Maecenas porta ligula sem, sit amet pretium erat feugiat in. Integer mollis rutrum felis, vel lobortis massa cursus nec. Fusce posuere lobortis arcu, quis dapibus sapien ornare auctor. Donec lacinia quam et arcu cursus, vitae euismod felis tempor. Pellentesque egestas tempor sagittis. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla lobortis orci vitae velit faucibus, id blandit felis dapibus. Proin vestibulum ante eu condimentum ullamcorper. Vivamus fringilla nunc orci, quis vulputate sem consequat in. Quisque quis dui a purus vestibulum gravida.\r\n\r\nPraesent ut velit a neque vehicula luctus. Nulla purus ipsum, dapibus ac quam convallis, fringilla euismod turpis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur pharetra ut risus in hendrerit. Nam aliquam dolor eu fringilla semper. Aliquam erat volutpat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer pulvinar ornare metus, et malesuada leo. Maecenas vel nunc quis nisi rutrum pretium. Aliquam laoreet purus lacus, aliquam volutpat massa ornare vitae. Sed aliquam varius tristique. Proin feugiat velit in dolor aliquet venenatis. Phasellus leo lorem, pellentesque a convallis a, tincidunt quis arcu. Nunc eu ultricies nisi.\r\n\r\nUt mollis tellus vitae nisl bibendum eleifend. Proin molestie commodo rhoncus. Etiam commodo urna vitae tincidunt viverra. In ultrices eros nec nibh fermentum, sit amet convallis libero sagittis. Etiam pharetra at nunc in porta. Maecenas condimentum ligula elit, ac tempor lacus fringilla eget. Etiam viverra blandit mauris, eu elementum lectus dictum in. Suspendisse porta nulla non molestie sodales. ','','full_html'),('node','article',0,86,86,'und',0,' The Fourth Moscow International Biennale for Young Art opened on Thursday, 26 June, just two days before Manifesta 10 in St Petersburg, making Russia a focus of the international contemporary art world while it remains at the center of a political controversy over its actions in Ukraine.\r\n\r\nThe biennial’s title, “A Time for Dreams”, was inspired by Dr Martin Luther King’s March on Washington speech, says its British curator David Elliott. However, the show, which runs until 10 August, is deeply rooted in reality, he adds. “It’s not a dream of an escape, it’s a dream of criticism, a dream made by young people who have no reason whatsoever to feel guilty for the world into which they’ve been born,” Elliott says. \r\n\r\nQuisque sit amet consequat massa. Sed sed purus at nisl pulvinar laoreet. Ut pellentesque ultricies lectus, id luctus dolor luctus ac. Donec urna leo, porta ut dignissim et, accumsan eget arcu. Nulla facilisi. Proin lorem ante, luctus ac mollis eu, commodo at tellus. Nullam posuere nunc in est ullamcorper cursus. Aliquam ut dignissim nulla. Praesent dignissim justo ante, sed viverra metus eleifend eu. Etiam ornare auctor felis ultricies dictum. Mauris ullamcorper malesuada lectus non tempus. Vestibulum bibendum justo a nisi varius, eu tempor ante dapibus. Donec ut nisi sit amet nunc sodales porttitor. Nulla tincidunt faucibus viverra.\r\n\r\nPhasellus vulputate risus vel turpis tempor, sed vehicula justo hendrerit. Vivamus sed aliquam lacus. Praesent euismod vehicula urna id adipiscing. Aenean posuere pharetra felis, ac ultrices arcu volutpat et. Aliquam id purus vitae lacus porta congue. Duis aliquet arcu sed ligula pulvinar faucibus. Maecenas porta ligula sem, sit amet pretium erat feugiat in. Integer mollis rutrum felis, vel lobortis massa cursus nec. Fusce posuere lobortis arcu, quis dapibus sapien ornare auctor. Donec lacinia quam et arcu cursus, vitae euismod felis tempor. Pellentesque egestas tempor sagittis. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nulla lobortis orci vitae velit faucibus, id blandit felis dapibus. Proin vestibulum ante eu condimentum ullamcorper. Vivamus fringilla nunc orci, quis vulputate sem consequat in. Quisque quis dui a purus vestibulum gravida.\r\n\r\nPraesent ut velit a neque vehicula luctus. Nulla purus ipsum, dapibus ac quam convallis, fringilla euismod turpis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur pharetra ut risus in hendrerit. Nam aliquam dolor eu fringilla semper. Aliquam erat volutpat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer pulvinar ornare metus, et malesuada leo. Maecenas vel nunc quis nisi rutrum pretium. Aliquam laoreet purus lacus, aliquam volutpat massa ornare vitae. Sed aliquam varius tristique. Proin feugiat velit in dolor aliquet venenatis. Phasellus leo lorem, pellentesque a convallis a, tincidunt quis arcu. Nunc eu ultricies nisi. ','','full_html'),('node','article',0,87,87,'und',0,'Spain returned 691 artefacts, spanning nearly 3,000 years of history, to Colombia on Tuesday. The pieces were recovered by Spanish police during a drug trafficking and money laundering investigation in 2003. Since then, the works have been kept for conservation in Madrid’s Museum of the Americas, where 885 recovered pieces were studied.\r\n\r\nAt an official handover ceremony in Madrid, the culture ministry’s director-general of fine arts, archives and libraries, Jesús Prieto, referred to the treasure as “a small Colombian museum of archaeology”. “Today is a very special day for Colombia,” said Fernando Carrillo, the Colombian ambassador in Spain, after accepting the works. “The arrival of nearly 700 artefacts is one of the most important cultural events of recent history.” The hoard includes ceramics with animal and human figures, vases with geometric designs, necklaces with precious stones, idols, and stamps, from as early as 1,400 BC to as late as the 16th century. \r\n\r\nPraesent ut velit a neque vehicula luctus. Nulla purus ipsum, dapibus ac quam convallis, fringilla euismod turpis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur pharetra ut risus in hendrerit. Nam aliquam dolor eu fringilla semper. Aliquam erat volutpat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer pulvinar ornare metus, et malesuada leo. Maecenas vel nunc quis nisi rutrum pretium. Aliquam laoreet purus lacus, aliquam volutpat massa ornare vitae. Sed aliquam varius tristique. Proin feugiat velit in dolor aliquet venenatis. Phasellus leo lorem, pellentesque a convallis a, tincidunt quis arcu. Nunc eu ultricies nisi.\r\n\r\nUt mollis tellus vitae nisl bibendum eleifend. Proin molestie commodo rhoncus. Etiam commodo urna vitae tincidunt viverra. In ultrices eros nec nibh fermentum, sit amet convallis libero sagittis. Etiam pharetra at nunc in porta. Maecenas condimentum ligula elit, ac tempor lacus fringilla eget. Etiam viverra blandit mauris, eu elementum lectus dictum in. Suspendisse porta nulla non molestie sodales. ','','full_html'),('node','online_video',0,88,88,'und',0,'Praesent sit amet enim tempus, lobortis eros adipiscing, consequat nisl. Nam eget euismod justo. Aenean non elit eleifend, feugiat augue vitae, sagittis nibh. Vivamus a ante dolor. Integer pharetra euismod est, vitae volutpat enim viverra a? Vivamus velit augue, facilisis vel tortor eu, dignissim suscipit urna. Maecenas pellentesque facilisis sapien non hendrerit? Aliquam sodales turpis dui, sit amet blandit nunc fringilla eget. Fusce congue massa eu elit molestie tempor id vitae justo. Maecenas rhoncus egestas felis, a ornare magna laoreet vel? Sed id tincidunt enim. Aenean vulputate ut felis et consectetur.\r\n\r\nNullam quis viverra augue, ut imperdiet orci. Morbi in vulputate dui, eget tempus mi. Nunc ac convallis justo, adipiscing sodales erat. Nullam venenatis bibendum condimentum. Aliquam egestas eget mauris sollicitudin egestas. Curabitur ullamcorper massa est, ut faucibus tellus aliquet quis? Proin eu porta augue. Aenean eu ligula elementum arcu sagittis iaculis. Aliquam dapibus pulvinar faucibus. Cras vel orci suscipit, consequat metus gravida, convallis eros.\r\n\r\nPellentesque congue tellus non felis sollicitudin bibendum. Maecenas risus risus, accumsan eu lectus a, congue massa nunc.\r\n','','filtered_html'),('node','online_video',0,89,89,'und',0,'In pharetra et augue ut auctor. Nunc leo nunc; fermentum id mauris id, vestibulum interdum nibh. Cras tincidunt elit ac porta faucibus. Donec metus est, fringilla sit amet elit id, facilisis rutrum libero. Donec at nunc sed nibh pulvinar accumsan et at ante. Integer adipiscing bibendum velit; nec aliquet ipsum congue iaculis. Praesent est arcu, interdum vitae dictum vitae, gravida vel dui? Donec in dictum mauris. Nulla a enim purus. Vivamus elementum orci a tristique feugiat. Quisque mollis libero enim, vitae rhoncus lacus volutpat vitae. Nulla volutpat consectetur gravida. Pellentesque velit lorem, rutrum quis porta a, tempus eu arcu. Nam nec cursus odio, nec commodo purus.\r\n\r\nNullam pharetra lorem lorem, vel tempus leo consectetur id. Vivamus in feugiat felis. Curabitur sed tellus in ipsum egestas aliquam. Suspendisse magna sapien, semper ut commodo et; mollis id libero. Proin porttitor orci quis justo rutrum vulputate quis vel lectus. Ut eget tortor erat. In in laoreet metus. Nullam id tristique arcu, sit amet tempus elit. Integer turpis nisl, placerat at justo ut, faucibus tempor risus. Aenean est risus, imperdiet vestibulum sodales ut, fringilla quis ipsum. Pellentesque cras amet.\r\n','','filtered_html'),('node','article',0,90,90,'und',0,'FOR many Australians, a trip to Bali equates to slurping cheap cocktails by the beach in Kuta, dodging banana-crazy monkeys in Ubud and shopping in Seminyak. But there’s so much more to Bali. After spending time in the more remote, mountainous areas of the island, the tourist capitals are a bizarre sight.\r\n\r\nMost of the people pounding the pavement are tourists rather than locals, there’s a lot of tacky wares for sale and the bars feel like they’ve been cloned from Australia.\r\n\r\n Mauris elementum nunc ac massa pellentesque, sit amet faucibus ipsum mollis. Nunc porttitor quis odio a fermentum. Fusce dignissim ante et enim congue, id lobortis quam sodales. In rhoncus sodales ante, a accumsan arcu volutpat ac. Nunc porta, libero at scelerisque ullamcorper, nisi eros sollicitudin nunc, vitae porta elit risus vitae purus. Aliquam auctor rutrum ligula. Aenean a scelerisque felis, vel malesuada mi.\r\n\r\nCurabitur vel lorem quis libero auctor hendrerit. Donec rutrum congue nibh sed consectetur. Fusce vel porttitor velit, nec vestibulum nunc. Curabitur ornare fringilla tortor, ut vestibulum tortor malesuada eget. Pellentesque orci lorem, consectetur ac adipiscing vel, dictum quis justo. Suspendisse ante diam, tempus et lectus et, tincidunt vestibulum magna. Etiam sed justo egestas, ultrices erat eget, aliquam odio.\r\n\r\nIn vitae elit eget urna feugiat porttitor. Ut adipiscing, tortor eu feugiat malesuada, mauris purus bibendum leo, vel mollis nunc quam eu ipsum. Suspendisse molestie turpis at nisi sodales, eget tincidunt nisl lobortis. Nunc facilisis lacinia libero, id faucibus arcu egestas sed. Vestibulum a elit non mauris imperdiet molestie vitae et nunc. Sed lorem nisl, semper nec pulvinar ut, ultrices ut lacus. Quisque nisi libero, ullamcorper a viverra in, adipiscing sit amet urna. In porttitor ipsum a leo dapibus, sed imperdiet lacus porta. Sed elementum dui non viverra gravida. Sed eu ultricies felis. Aliquam mollis tellus justo, volutpat rutrum arcu ullamcorper a. ','','filtered_html'),('node','article',0,91,91,'und',0,'As Australian ski fields experience the best ski season in years, not everyone is happy about the plunging temperatures.\r\n\r\nThe freak frosts and cold days have many Aussies dreaming of tropical paradises far away. So as you pull on your beanie and gloves and brave the cold, dark night, check out these 15 amazing sunny holiday spots and feel the warmth, even just for a moment.\r\n\r\nCurabitur vel lorem quis libero auctor hendrerit. Donec rutrum congue nibh sed consectetur. Fusce vel porttitor velit, nec vestibulum nunc. Curabitur ornare fringilla tortor, ut vestibulum tortor malesuada eget. Pellentesque orci lorem, consectetur ac adipiscing vel, dictum quis justo. Suspendisse ante diam, tempus et lectus et, tincidunt vestibulum magna. Etiam sed justo egestas, ultrices erat eget, aliquam odio.\r\n\r\nIn vitae elit eget urna feugiat porttitor. Ut adipiscing, tortor eu feugiat malesuada, mauris purus bibendum leo, vel mollis nunc quam eu ipsum. Suspendisse molestie turpis at nisi sodales, eget tincidunt nisl lobortis. Nunc facilisis lacinia libero, id faucibus arcu egestas sed. Vestibulum a elit non mauris imperdiet molestie vitae et nunc. Sed lorem nisl, semper nec pulvinar ut, ultrices ut lacus. Quisque nisi libero, ullamcorper a viverra in, adipiscing sit amet urna. In porttitor ipsum a leo dapibus, sed imperdiet lacus porta. Sed elementum dui non viverra gravida. Sed eu ultricies felis. Aliquam mollis tellus justo, volutpat rutrum arcu ullamcorper a.\r\n\r\nInteger felis neque, mattis eleifend faucibus ut, dignissim sed ipsum. Suspendisse dictum metus ultrices rhoncus dictum. Donec luctus, nulla eu aliquam auctor, magna massa pellentesque sapien, sed bibendum tortor metus quis arcu. Fusce quis odio ac nunc porttitor consectetur et a sem. Nam eu risus non sem ultrices pharetra cursus sit amet enim. Fusce rhoncus tincidunt sem, quis rhoncus massa. Sed sit amet elit at est tristique aliquam. Integer ultrices porta gravida. Integer luctus enim enim, non dapibus sapien tristique a. Morbi ligula augue, fringilla non sem a, venenatis convallis mi. Quisque varius vulputate velit ut blandit. Fusce libero tortor, euismod in ultrices eu, hendrerit at purus. ','','full_html'),('node','page',0,92,92,'und',0,' Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis lacinia, leo ut tincidunt euismod, lectus dui lacinia eros, a facilisis metus mi eget eros. Nulla euismod eleifend accumsan. Duis hendrerit nisi dui, nec tristique quam tincidunt ut. Phasellus magna purus, suscipit id ligula a, cursus dapibus diam. Cras eu mi eu ligula aliquet vulputate. Curabitur euismod vitae felis non posuere. Nam vel iaculis magna. Fusce vulputate enim metus, eget sagittis nibh aliquet eget.\r\n\r\nDonec leo arcu, scelerisque in varius ut, bibendum vitae urna. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Ut in justo a mi consequat hendrerit ornare sed nulla. Etiam ac ipsum luctus, semper arcu vel, tempus neque. Nunc ornare nisi fringilla libero posuere, a viverra felis viverra. Cras egestas volutpat purus in feugiat. In hac habitasse platea dictumst. Morbi ullamcorper auctor sapien. Sed pretium sem lorem, eget egestas velit commodo eget. Pellentesque lacinia quis neque vitae lacinia. Ut sit amet arcu at felis elementum dictum. Quisque viverra sollicitudin vestibulum. Proin nec sapien sollicitudin, elementum magna vel, congue massa.\r\n\r\nCurabitur tempus, tellus in suscipit scelerisque, diam massa malesuada leo, in pellentesque nisi mi porttitor lectus. Praesent eu pulvinar urna. Morbi purus dolor, aliquet non urna at, mattis porta diam. Suspendisse sed nunc in tellus commodo varius. Nulla lacinia suscipit tristique. Aenean id molestie enim. Ut ac lacus est. Sed ut iaculis neque, scelerisque tempus eros. Aenean rhoncus sapien nibh, ac ultricies sem bibendum ut. Ut id faucibus ligula. Suspendisse potenti. Mauris feugiat nunc vel risus elementum, non commodo justo laoreet. Curabitur feugiat arcu in libero elementum condimentum. Proin malesuada eleifend diam sit amet fringilla.\r\n\r\nNam nec enim bibendum lectus euismod suscipit. Sed eget iaculis ligula. Phasellus ornare pharetra dolor in fringilla. Proin semper eget enim nec rhoncus. Pellentesque et tellus justo. Nunc a mi malesuada, tristique lorem nec, porta justo. Phasellus consectetur laoreet sapien sit amet malesuada. Praesent odio dui, gravida at tellus et, egestas sodales risus. Donec ullamcorper tincidunt malesuada. Cras laoreet dui quis ante tempus, id tincidunt arcu scelerisque. Nam sed enim a eros sollicitudin scelerisque. Proin dapibus, nibh et ullamcorper ornare, nisl risus fermentum lorem, id ultricies urna orci sed enim. Morbi in eros orci.\r\n\r\nCum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Cras pharetra magna erat, eu facilisis dolor hendrerit sed. Fusce fermentum vulputate massa at tempor. Curabitur nec massa tellus. Nullam ac ornare leo. Pellentesque id ante ut sapien vulputate ornare tempus ac tellus. Aenean adipiscing ullamcorper quam, a lobortis ipsum dictum ac.\r\n\r\nUt et fringilla purus. Maecenas non elementum magna. Aenean euismod erat non leo lacinia egestas eget ac mi. Mauris mi risus, laoreet at molestie vel, aliquet nec lacus. Integer congue nunc mattis nisi sodales bibendum a id lectus. Pellentesque sed ante eget tellus vehicula bibendum et quis diam. Nunc pulvinar condimentum convallis. ','','full_html'),('node','weebpal_presets',0,93,93,'und',0,'Layout Bootstrap Default Display','','filtered_html'),('node','weebpal_presets',0,94,94,'und',0,'Layout Pinteros Fullwidth Display','','filtered_html'),('node','weebpal_presets',0,95,95,'und',0,'Skin Blue','','filtered_html'),('node','weebpal_presets',0,96,96,'und',0,'Skin Dark Blue','','filtered_html'),('node','weebpal_presets',0,97,97,'und',0,'Skin Orange','','filtered_html'),('node','weebpal_presets',0,98,98,'und',0,'Skin Default','','filtered_html'),('node','page',0,99,99,'und',0,' Nunc vitae laoreet est. Sed adipiscing auctor commodo. Donec vehicula lectus neque, a consectetur neque bibendum ut. Ut congue dolor quis vulputate adipiscing. Phasellus ac turpis dolor. Integer ultricies odio pulvinar massa congue aliquet. Cras rhoncus sapien vel fringilla tincidunt.\r\n\r\nQuisque ac mattis nisl. Cras ullamcorper sem et consequat egestas. Suspendisse tincidunt porttitor ipsum sit amet semper. Maecenas id accumsan sem. Phasellus interdum viverra dolor sed egestas. Nulla semper urna purus. Proin nec congue urna. Curabitur et massa mollis, laoreet ligula at, consequat arcu. Maecenas scelerisque pellentesque vehicula. Pellentesque posuere gravida interdum. Mauris facilisis semper velit in auctor. Morbi vitae arcu egestas, lobortis diam sit amet, lacinia orci. Ut non turpis nisl. Proin lacinia risus ut felis venenatis, quis iaculis nulla sodales. Fusce velit elit, consequat vitae molestie vitae, consectetur eu elit.\r\n\r\nAliquam facilisis felis eget enim egestas, sed placerat dui lobortis. Morbi vitae euismod nisi. Curabitur quis rutrum eros. Proin venenatis massa a enim ultricies pulvinar. Phasellus laoreet purus ipsum, quis ullamcorper mauris tristique faucibus. Donec at volutpat risus. Etiam laoreet erat nisi, quis lobortis lorem ultrices quis. Sed nulla magna, iaculis in leo ut, tincidunt convallis magna. Etiam cursus urna lorem, a egestas odio ornare at. Duis ac metus enim. Vestibulum vehicula egestas vehicula. Nunc porttitor lectus sed placerat mollis. Pellentesque vel mollis turpis, vel sodales diam. Vivamus sodales urna vel pharetra convallis. Phasellus facilisis vitae erat ut vulputate.\r\n\r\nUt elementum mollis tellus eget ornare. Mauris faucibus commodo sem, eu facilisis mi iaculis a. Mauris sed nunc in dolor porttitor posuere. Maecenas mollis tellus sit amet sollicitudin consequat. Aliquam erat volutpat. Mauris sollicitudin, nisi sed ultrices consectetur, nisi ipsum porttitor augue, et vehicula elit lectus at enim. In vestibulum purus at condimentum semper. Maecenas quis diam hendrerit, vehicula ligula at, ultricies dolor. Pellentesque lorem est, semper in leo a, imperdiet porta elit. Vivamus blandit, enim sed egestas viverra, neque sapien mattis tellus, quis dapibus metus purus et ligula. In hac habitasse platea dictumst. Nulla at porta est. Nulla quis vestibulum nisi, eget molestie odio. Vestibulum id porttitor enim. Quisque libero justo, molestie suscipit diam id, bibendum pellentesque nunc. Duis massa purus, aliquet sed congue a, venenatis ut erat. ','','full_html'),('node','online_video',0,101,101,'und',0,'In pharetra et augue ut auctor. Nunc leo nunc; fermentum id mauris id, vestibulum interdum nibh. Cras tincidunt elit ac porta faucibus. Donec metus est, fringilla sit amet elit id, facilisis rutrum libero. Donec at nunc sed nibh pulvinar accumsan et at ante. Integer adipiscing bibendum velit; nec aliquet ipsum congue iaculis. Praesent est arcu, interdum vitae dictum vitae, gravida vel dui? Donec in dictum mauris. Nulla a enim purus. Vivamus elementum orci a tristique feugiat. Quisque mollis libero enim, vitae rhoncus lacus volutpat vitae. Nulla volutpat consectetur gravida. Pellentesque velit lorem, rutrum quis porta a, tempus eu arcu. Nam nec cursus odio, nec commodo purus.\r\n\r\nNullam pharetra lorem lorem, vel tempus leo consectetur id. Vivamus in feugiat felis. Curabitur sed tellus in ipsum egestas aliquam. Suspendisse magna sapien, semper ut commodo et; mollis id libero. Proin porttitor orci quis justo rutrum vulputate quis vel lectus. Ut eget tortor erat. In in laoreet metus. Nullam id tristique arcu, sit amet tempus elit. Integer turpis nisl, placerat at justo ut, faucibus tempor risus. Aenean est risus, imperdiet vestibulum sodales ut, fringilla quis ipsum. Pellentesque cras amet.\r\n','','filtered_html');
/*!40000 ALTER TABLE `field_revision_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_comment_body`
--

DROP TABLE IF EXISTS `field_revision_comment_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_comment_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_body_value` longtext,
  `comment_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `comment_body_format` (`comment_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 1 (comment_body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_comment_body`
--

LOCK TABLES `field_revision_comment_body` WRITE;
/*!40000 ALTER TABLE `field_revision_comment_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_comment_body` VALUES ('comment','comment_node_article',0,1,1,'und',0,'Quisque iaculis augue elit','filtered_html'),('comment','comment_node_article',0,2,2,'und',0,'Etiam felis erat, accumsan at adipiscing id, pulvinar mollis enim. Cras non lorem non est ullamcorper consequat ac quis magna. Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci.','filtered_html'),('comment','comment_node_article',0,3,3,'und',0,'Sed semper consectetur tellus. Praesent vitae sem sed dui commodo posuere lobortis nec nibh. Pellentesque quis elit porta est porta facilisis ut eu justo. Suspendisse molestie tellus velit, a feugiat odio condimentum a. ','filtered_html'),('comment','comment_node_article',0,4,4,'und',0,'Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci.','filtered_html'),('comment','comment_node_article',0,5,5,'und',0,'Fusce euismod, mauris ut mattis pellentesque, mi orci ullamcorper enim, id condimentum nibh felis sed dolor. Nam euismod metus ipsum, non elementum leo dapibus vitae. Curabitur neque quam, facilisis sit amet tortor facilisis, iaculis suscipit orci.','filtered_html'),('comment','comment_node_article',0,6,6,'und',0,'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque at dui commodo nibh placerat posuere nec sed nisl. Pellentesque malesuada lacus quis diam aliquam, a tristique est condimentum. Donec eget justo ultrices, commodo nisi sit amet, dapibus nisi. Morbi in leo quis turpis laoreet convallis sed vel felis. ','filtered_html'),('comment','comment_node_article',0,7,7,'und',0,'Suspendisse in lorem ipsum ut magna pharera aliquet non sodales lorem ipsum belit. Donec sed odio rera aliquet. Lorem ipsum dolor sit amet, nsect etur adipiscing elit.','filtered_html');
/*!40000 ALTER TABLE `field_revision_comment_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_category`
--

DROP TABLE IF EXISTS `field_revision_field_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_category` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_category_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_category_tid` (`field_category_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 7 (field_category)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_category`
--

LOCK TABLES `field_revision_field_category` WRITE;
/*!40000 ALTER TABLE `field_revision_field_category` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_category` VALUES ('node','article',0,1,1,'und',0,12),('node','article',0,2,2,'und',0,11),('node','article',0,3,3,'und',0,9),('node','article',0,4,4,'und',0,9),('node','article',0,5,5,'und',0,8),('node','article',0,6,6,'und',0,12),('node','blog',0,7,7,'und',0,7),('node','article',0,8,8,'und',0,7),('node','blog',0,9,9,'und',0,10),('node','blog',0,10,10,'und',0,13),('node','article',0,11,11,'und',0,13),('node','article',0,12,12,'und',0,11),('node','article',0,13,13,'und',0,11),('node','blog',0,14,14,'und',0,10),('node','blog',0,15,15,'und',0,7),('node','article',0,16,16,'und',0,7),('node','article',0,17,17,'und',0,10),('node','blog',0,18,18,'und',0,10),('node','article',0,19,19,'und',0,10),('node','article',0,20,20,'und',0,10),('node','blog',0,21,21,'und',0,10),('node','blog',0,22,22,'und',0,13),('node','article',0,23,23,'und',0,13),('node','article',0,24,24,'und',0,13),('node','article',0,25,25,'und',0,13),('node','article',0,26,26,'und',0,13),('node','blog',0,27,27,'und',0,8),('node','blog',0,28,28,'und',0,8),('node','blog',0,29,29,'und',0,8),('node','blog',0,30,30,'und',0,8),('node','article',0,31,31,'und',0,8),('node','blog',0,32,32,'und',0,8),('node','article',0,33,33,'und',0,11),('node','article',0,34,34,'und',0,11),('node','article',0,35,35,'und',0,11),('node','article',0,36,36,'und',0,11),('node','article',0,37,37,'und',0,7),('node','article',0,38,38,'und',0,7),('node','article',0,39,39,'und',0,7),('node','article',0,40,40,'und',0,12),('node','article',0,41,41,'und',0,12),('node','article',0,42,42,'und',0,12),('node','article',0,43,43,'und',0,12),('node','article',0,44,44,'und',0,12),('node','article',0,45,45,'und',0,9),('node','article',0,46,46,'und',0,9),('node','article',0,47,47,'und',0,9),('node','article',0,48,48,'und',0,9),('node','article',0,49,49,'und',0,9),('node','article',0,77,77,'und',0,47),('node','article',0,78,78,'und',0,47),('node','article',0,79,79,'und',0,47),('node','article',0,80,80,'und',0,47),('node','article',0,81,81,'und',0,49),('node','article',0,82,82,'und',0,49),('node','article',0,83,83,'und',0,49),('node','article',0,84,84,'und',0,48),('node','article',0,85,85,'und',0,48),('node','article',0,86,86,'und',0,48),('node','article',0,87,87,'und',0,48),('node','online_video',0,88,88,'und',0,57),('node','online_video',0,89,89,'und',0,57),('node','article',0,90,90,'und',0,45),('node','article',0,91,91,'und',0,8),('node','online_video',0,101,101,'und',0,57);
/*!40000 ALTER TABLE `field_revision_field_category` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_forums`
--

DROP TABLE IF EXISTS `field_revision_field_forums`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_forums` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_forums_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_forums_tid` (`field_forums_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 14 (field_forums)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_forums`
--

LOCK TABLES `field_revision_field_forums` WRITE;
/*!40000 ALTER TABLE `field_revision_field_forums` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_forums` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_image`
--

DROP TABLE IF EXISTS `field_revision_field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_image_fid` (`field_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 4 (field_image)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_image`
--

LOCK TABLES `field_revision_field_image` WRITE;
/*!40000 ALTER TABLE `field_revision_field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_image` VALUES ('node','article',0,1,1,'und',0,20,'','',900,600),('node','article',0,2,2,'und',0,22,'','',900,1162),('node','article',0,3,3,'und',0,21,'','',900,802),('node','article',0,4,4,'und',0,23,'','',900,1349),('node','article',0,5,5,'und',0,19,'','',900,677),('node','article',0,6,6,'und',0,18,'','',900,600),('node','blog',0,7,7,'und',0,17,'','',900,677),('node','article',0,8,8,'und',0,24,'','',900,780),('node','blog',0,9,9,'und',0,25,'','',900,600),('node','blog',0,10,10,'und',0,26,'','',900,773),('node','article',0,11,11,'und',0,27,'','',900,1350),('node','article',0,12,12,'und',0,28,'','',900,600),('node','article',0,13,13,'und',0,29,'','',900,819),('node','blog',0,14,14,'und',0,30,'','',900,482),('node','blog',0,15,15,'und',0,31,'','',900,666),('node','article',0,16,16,'und',0,32,'','',900,515),('node','article',0,17,17,'und',0,33,'','',900,693),('node','blog',0,18,18,'und',0,34,'','',900,1256),('node','article',0,19,19,'und',0,35,'','',900,561),('node','article',0,20,20,'und',0,36,'','',900,552),('node','blog',0,21,21,'und',0,37,'','',900,600),('node','blog',0,22,22,'und',0,38,'','',900,1273),('node','article',0,23,23,'und',0,39,'','',900,578),('node','article',0,24,24,'und',0,40,'','',900,540),('node','article',0,25,25,'und',0,41,'','',900,1353),('node','article',0,26,26,'und',0,42,'','',900,665),('node','blog',0,27,27,'und',0,43,'','',900,450),('node','blog',0,28,28,'und',0,44,'','',900,600),('node','blog',0,29,29,'und',0,45,'','',900,482),('node','blog',0,30,30,'und',0,46,'','',900,583),('node','article',0,31,31,'und',0,47,'','',900,500),('node','blog',0,32,32,'und',0,48,'','',900,613),('node','article',0,33,33,'und',0,49,'','',900,600),('node','article',0,34,34,'und',0,50,'','',900,600),('node','article',0,35,35,'und',0,51,'','',900,548),('node','article',0,36,36,'und',0,52,'','',900,600),('node','article',0,37,37,'und',0,53,'','',900,544),('node','article',0,38,38,'und',0,54,'','',900,420),('node','article',0,39,39,'und',0,55,'','',900,481),('node','article',0,40,40,'und',0,56,'','',900,675),('node','article',0,41,41,'und',0,57,'','',900,600),('node','article',0,42,42,'und',0,58,'','',900,598),('node','article',0,43,43,'und',0,59,'','',900,914),('node','article',0,44,44,'und',0,60,'','',900,469),('node','article',0,45,45,'und',0,61,'','',900,1151),('node','article',0,46,46,'und',0,62,'','',900,600),('node','article',0,47,47,'und',0,63,'','',900,600),('node','article',0,48,48,'und',0,64,'','',900,1350),('node','article',0,49,49,'und',0,65,'','',900,1350),('node','showcase',0,50,50,'und',0,66,'','',1920,4220),('node','showcase',0,51,51,'und',0,67,'','',1600,2061),('node','showcase',0,52,52,'und',0,68,'','',1064,972),('node','showcase',0,53,53,'und',0,69,'','',1600,2160),('node','showcase',0,54,54,'und',0,70,'','',1366,2309),('node','showcase',0,55,55,'und',0,71,'','',1600,2169),('node','showcase',0,56,56,'und',0,72,'','',1400,2104),('node','showcase',0,57,57,'und',0,73,'','',1600,4871),('node','showcase',0,58,58,'und',0,74,'','',1366,1671),('node','showcase',0,59,59,'und',0,75,'','',450,450),('node','showcase',0,60,60,'und',0,76,'','',450,450),('node','showcase',0,62,62,'und',0,79,'','',450,450),('node','showcase',0,63,63,'und',0,80,'','',1440,3775),('node','article',0,77,77,'und',0,92,'','',900,677),('node','article',0,78,78,'und',0,93,'','',900,600),('node','article',0,79,79,'und',0,94,'','',900,600),('node','article',0,80,80,'und',0,95,'','',900,636),('node','article',0,81,81,'und',0,96,'','',900,517),('node','article',0,82,82,'und',0,97,'','',900,519),('node','article',0,83,83,'und',0,98,'','',900,539),('node','article',0,84,84,'und',0,100,'','',900,542),('node','article',0,85,85,'und',0,101,'','',900,591),('node','article',0,86,86,'und',0,102,'','',900,600),('node','article',0,87,87,'und',0,103,'','',900,767),('node','article',0,90,90,'und',0,106,'','',900,901),('node','article',0,91,91,'und',0,107,'','',900,596),('taxonomy_term','sports',0,7,7,'und',0,85,'','',900,481),('taxonomy_term','sports',0,8,8,'und',0,86,'','',900,600),('taxonomy_term','sports',0,9,9,'und',0,87,'','',900,1350),('taxonomy_term','sports',0,10,10,'und',0,83,'','',900,600),('taxonomy_term','sports',0,11,11,'und',0,84,'','',900,819),('taxonomy_term','sports',0,12,12,'und',0,82,'','',900,675),('taxonomy_term','sports',0,13,13,'und',0,81,'','',900,1273),('taxonomy_term','sports',0,45,45,'und',0,88,'','',900,613),('taxonomy_term','sports',0,47,47,'und',0,89,'','',900,677),('taxonomy_term','sports',0,48,48,'und',0,99,'','',900,600),('taxonomy_term','sports',0,49,49,'und',0,90,'','',900,1197),('taxonomy_term','sports',0,57,57,'und',0,109,'','',900,539);
/*!40000 ALTER TABLE `field_revision_field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_list_description`
--

DROP TABLE IF EXISTS `field_revision_field_list_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_list_description` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_list_description_value` varchar(255) DEFAULT NULL,
  `field_list_description_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_list_description_format` (`field_list_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 12 (field_list...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_list_description`
--

LOCK TABLES `field_revision_field_list_description` WRITE;
/*!40000 ALTER TABLE `field_revision_field_list_description` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_list_description` VALUES ('newsletter_list','newsletter_list',0,1,1,'und',0,'An example newsletter list with Manual Send Rate.',NULL);
/*!40000 ALTER TABLE `field_revision_field_list_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_local_video`
--

DROP TABLE IF EXISTS `field_revision_field_local_video`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_local_video` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_local_video_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_local_video_thumbnail` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced for video thumbnail.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_local_video_fid` (`field_local_video_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 17 (field_local_video)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_local_video`
--

LOCK TABLES `field_revision_field_local_video` WRITE;
/*!40000 ALTER TABLE `field_revision_field_local_video` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_local_video` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_newsletter_body`
--

DROP TABLE IF EXISTS `field_revision_field_newsletter_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_newsletter_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_body_value` longtext,
  `field_newsletter_body_summary` longtext,
  `field_newsletter_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_body_format` (`field_newsletter_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 13 (field_newsletter...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_newsletter_body`
--

LOCK TABLES `field_revision_field_newsletter_body` WRITE;
/*!40000 ALTER TABLE `field_revision_field_newsletter_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_newsletter_body` VALUES ('newsletter_template','newsletter_template',0,1,1,'und',0,'Hello [newsletter:subscriber_email],<br />\n\nWe received your request for information from [site:name] <br />\nBefore we begin sending you the information you requested, we want to be certain we have your permission.<br />\nClick the link below to give us permission to send you information. It\'s fast and easy!  If you cannot click the full URL below, please copy the URL and paste it into your web browser.<br /><br />\n\nConfirm by clicking the URL below:<br /><br />\n<a href=\"[newsletter:confirmation_url]\">[newsletter:confirmation_url]</a><br /><br />\n\nIf you do not want to subscribe, simply ignore this message.<br /><br />\n\nBest Regards,<br />\n[site:name]<br />\n[site:url]<br /><br />\n\nRequest generated by:<br />\nIP: [newsletter:subscription_ip]<br />\nDate: [newsletter:subscription_time]<br />\n',NULL,'filtered_html'),('newsletter_template','newsletter_template',0,2,2,'und',0,'Hello [newsletter:subscriber_email],<br /><br />\n\nThank you for your subscription. You are now signed up to our newsletter!<br />\nWe will keep your personal information private and secure. We will not share your email address with any third parties. <br />\nTo ensure you receive future subscribers-only news, please add this e-mail to your e-mail address book or safe senders list.<br />\n\n\nSincerely,<br />\n[site:name]<br />\n[site:url]<br /><br />\n\n----<br />\nYou are receiving this email because on [newsletter:subscription_time] at [site:url] you subscribed to receive our e-newsletters.<br /><br />\nYou can unsubscribe via the link below:<br />\n<a href=\"[newsletter:unsubscribe_url]\">Unsubscribe</a>\n',NULL,'filtered_html'),('newsletter_template','newsletter_template',0,3,3,'und',0,'Dear [newsletter:subscriber_email],<br />\n\nThis email is being sent to notify you that we have received a request to remove the following record from our mailing list:<br /><br />\n\nEmail: [newsletter:subscriber_email]<br /><br />\n\nThis record was removed from our database.<br />\nIf you do receive further unwanted email from our system, please let us know and we\'d be happy to address the issue immediately.<br /><br />\n\nSincerely,<br />\n[site:name]<br />\n[site:url] <br />\n',NULL,'filtered_html'),('newsletter_template','newsletter_template',0,4,4,'und',0,'Hello [newsletter:subscriber_email],<br /><br />\n\nHere is what\'s new on <a href=\"[site:url]\">[site:name]</a> over the past few days. Your comments and feedback are always welcome.<br />\n\n<ol>\n [repeat] \n<li><a href=\"[node:url]\">[node:title]</a> -[node:created]<br /> [node:summary]<br /></li>\n [/repeat] \n\n</ol>Sincerely,<br /> <a href=\"[site:url]\">[site:name]</a><br /> <br /> <br />\n\n--<br />You are receiving this email because on [newsletter:subscription_time] you subscribed to receive our newsletter list : [newsletter:list_name].<br /><br />\n\nYou can unsubscribe by clicking the link below:<br /> \n<a href=\"[newsletter:unsubscribe_url]\">Unsubscribe</a><br />\n',NULL,'filtered_html');
/*!40000 ALTER TABLE `field_revision_field_newsletter_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_newsletter_categories`
--

DROP TABLE IF EXISTS `field_revision_field_newsletter_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_newsletter_categories` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_categories_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_categories_tid` (`field_newsletter_categories_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 9 (field_newsletter...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_newsletter_categories`
--

LOCK TABLES `field_revision_field_newsletter_categories` WRITE;
/*!40000 ALTER TABLE `field_revision_field_newsletter_categories` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_newsletter_categories` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_newsletter_list`
--

DROP TABLE IF EXISTS `field_revision_field_newsletter_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_newsletter_list` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_list_target_id` int(10) unsigned NOT NULL COMMENT 'The id of the target entity.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_list_target_id` (`field_newsletter_list_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 10 (field_newsletter...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_newsletter_list`
--

LOCK TABLES `field_revision_field_newsletter_list` WRITE;
/*!40000 ALTER TABLE `field_revision_field_newsletter_list` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_newsletter_list` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_newsletter_template`
--

DROP TABLE IF EXISTS `field_revision_field_newsletter_template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_newsletter_template` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_newsletter_template_target_id` int(10) unsigned NOT NULL COMMENT 'The id of the target entity.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_newsletter_template_target_id` (`field_newsletter_template_target_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 11 (field_newsletter...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_newsletter_template`
--

LOCK TABLES `field_revision_field_newsletter_template` WRITE;
/*!40000 ALTER TABLE `field_revision_field_newsletter_template` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_newsletter_template` VALUES ('newsletter_list','newsletter_list',0,1,1,'und',0,4);
/*!40000 ALTER TABLE `field_revision_field_newsletter_template` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_online_video`
--

DROP TABLE IF EXISTS `field_revision_field_online_video`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_online_video` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_online_video_video_url` varchar(512) DEFAULT '',
  `field_online_video_thumbnail_path` varchar(512) DEFAULT '',
  `field_online_video_video_data` longblob,
  `field_online_video_embed_code` varchar(1024) DEFAULT '',
  `field_online_video_description` text,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 16 (field_online_video)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_online_video`
--

LOCK TABLES `field_revision_field_online_video` WRITE;
/*!40000 ALTER TABLE `field_revision_field_online_video` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_online_video` VALUES ('node','online_video',0,88,88,'und',0,'https://www.youtube.com/watch?v=FOIjvHjK0Rw','public://video_embed_field_thumbnails/youtube/FOIjvHjK0Rw.jpg','a:22:{s:5:\"xmlns\";s:27:\"http://www.w3.org/2005/Atom\";s:11:\"xmlns$media\";s:29:\"http://search.yahoo.com/mrss/\";s:8:\"xmlns$gd\";s:32:\"http://schemas.google.com/g/2005\";s:8:\"xmlns$yt\";s:37:\"http://gdata.youtube.com/schemas/2007\";s:7:\"gd$etag\";s:28:\"W/\"C04ERH47eCp7I2A9XRZWE0Q.\"\";s:2:\"id\";s:38:\"tag:youtube.com,2008:video:FOIjvHjK0Rw\";s:9:\"published\";s:24:\"2013-03-01T05:40:13.000Z\";s:7:\"updated\";s:24:\"2014-07-15T02:38:25.000Z\";s:8:\"category\";a:2:{i:0;a:2:{s:6:\"scheme\";s:37:\"http://schemas.google.com/g/2005#kind\";s:4:\"term\";s:43:\"http://gdata.youtube.com/schemas/2007#video\";}i:1;a:3:{s:6:\"scheme\";s:52:\"http://gdata.youtube.com/schemas/2007/categories.cat\";s:4:\"term\";s:5:\"Music\";s:5:\"label\";s:5:\"Music\";}}s:5:\"title\";s:93:\"Beautiful Light Music - easy smooth inspirational - long playlist by relaxdaily: Ocean Breeze\";s:7:\"content\";a:2:{s:4:\"type\";s:29:\"application/x-shockwave-flash\";s:3:\"src\";s:73:\"http://www.youtube.com/v/FOIjvHjK0Rw?version=3&f=videos&app=youtube_gdata\";}s:4:\"link\";a:5:{i:0;a:3:{s:3:\"rel\";s:9:\"alternate\";s:4:\"type\";s:9:\"text/html\";s:4:\"href\";s:64:\"http://www.youtube.com/watch?v=FOIjvHjK0Rw&feature=youtube_gdata\";}i:1;a:3:{s:3:\"rel\";s:51:\"http://gdata.youtube.com/schemas/2007#video.related\";s:4:\"type\";s:20:\"application/atom+xml\";s:4:\"href\";s:65:\"http://gdata.youtube.com/feeds/api/videos/FOIjvHjK0Rw/related?v=2\";}i:2;a:3:{s:3:\"rel\";s:44:\"http://gdata.youtube.com/schemas/2007#mobile\";s:4:\"type\";s:9:\"text/html\";s:4:\"href\";s:42:\"http://m.youtube.com/details?v=FOIjvHjK0Rw\";}i:3;a:3:{s:3:\"rel\";s:46:\"http://gdata.youtube.com/schemas/2007#uploader\";s:4:\"type\";s:20:\"application/atom+xml\";s:4:\"href\";s:67:\"http://gdata.youtube.com/feeds/api/users/c9EzBNAtdnNiDrMw5CAxUw?v=2\";}i:4;a:3:{s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:20:\"application/atom+xml\";s:4:\"href\";s:57:\"http://gdata.youtube.com/feeds/api/videos/FOIjvHjK0Rw?v=2\";}}s:6:\"author\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"relaxdaily\";s:3:\"uri\";s:51:\"http://gdata.youtube.com/feeds/api/users/relaxdaily\";s:9:\"yt$userId\";s:22:\"c9EzBNAtdnNiDrMw5CAxUw\";}}s:16:\"yt$accessControl\";a:8:{i:0;a:2:{s:6:\"action\";s:7:\"comment\";s:10:\"permission\";s:7:\"allowed\";}i:1;a:2:{s:6:\"action\";s:11:\"commentVote\";s:10:\"permission\";s:7:\"allowed\";}i:2;a:2:{s:6:\"action\";s:12:\"videoRespond\";s:10:\"permission\";s:9:\"moderated\";}i:3;a:2:{s:6:\"action\";s:4:\"rate\";s:10:\"permission\";s:7:\"allowed\";}i:4;a:2:{s:6:\"action\";s:5:\"embed\";s:10:\"permission\";s:7:\"allowed\";}i:5;a:2:{s:6:\"action\";s:4:\"list\";s:10:\"permission\";s:7:\"allowed\";}i:6;a:2:{s:6:\"action\";s:8:\"autoPlay\";s:10:\"permission\";s:7:\"allowed\";}i:7;a:2:{s:6:\"action\";s:9:\"syndicate\";s:10:\"permission\";s:7:\"allowed\";}}s:11:\"gd$comments\";a:1:{s:11:\"gd$feedLink\";a:3:{s:3:\"rel\";s:46:\"http://gdata.youtube.com/schemas/2007#comments\";s:4:\"href\";s:66:\"http://gdata.youtube.com/feeds/api/videos/FOIjvHjK0Rw/comments?v=2\";s:9:\"countHint\";i:4853;}}s:5:\"yt$hd\";a:0:{}s:11:\"media$group\";a:14:{s:14:\"media$category\";a:1:{i:0;s:5:\"Music\";}s:13:\"media$content\";a:3:{i:0;a:7:{s:3:\"url\";s:73:\"http://www.youtube.com/v/FOIjvHjK0Rw?version=3&f=videos&app=youtube_gdata\";s:4:\"type\";s:29:\"application/x-shockwave-flash\";s:6:\"medium\";s:5:\"video\";s:9:\"isDefault\";s:4:\"true\";s:10:\"expression\";s:4:\"full\";s:8:\"duration\";i:7894;s:9:\"yt$format\";i:5;}i:1;a:6:{s:3:\"url\";s:102:\"rtsp://r7---sn-a5m7zu76.c.youtube.com/CiILENy73wIaGQkc0cp4vCPiFBMYDSANFEgGUgZ2aWRlb3MM/0/0/0/video.3gp\";s:4:\"type\";s:10:\"video/3gpp\";s:6:\"medium\";s:5:\"video\";s:10:\"expression\";s:4:\"full\";s:8:\"duration\";i:7894;s:9:\"yt$format\";i:1;}i:2;a:6:{s:3:\"url\";s:102:\"rtsp://r7---sn-a5m7zu76.c.youtube.com/CiILENy73wIaGQkc0cp4vCPiFBMYESARFEgGUgZ2aWRlb3MM/0/0/0/video.3gp\";s:4:\"type\";s:10:\"video/3gpp\";s:6:\"medium\";s:5:\"video\";s:10:\"expression\";s:4:\"full\";s:8:\"duration\";i:7894;s:9:\"yt$format\";i:6;}}s:12:\"media$credit\";a:1:{i:0;s:10:\"relaxdaily\";}s:17:\"media$description\";s:1575:\"Listen to a 2h long playlist with relaxdaily music. Beautiful, light instrumental music with an easy, smooth and inspirational attitude. You can download my music at http://relaxdaily.net. Or simply enjoy this full length version here on YouTube ;)\nA music mix I made up from my own releases from the last 1,5 years. Think of it as another 2h relax radio playlist. For more music, mixes and playlists join me at my website or my YouTube channel. \n- Michael (relaxdaily musician)\n\nRelaxdaily\'s background music instrumentals: beautiful, light, inspirational music that can be used as a soundtrack for multiple activities. Depending on your interest you might use my music in your relax radio playlist, as yoga music, as music while you\'re studying, doing homework, working (mentally, creatively), reading, writing, while thinking or reflecting, dreaming, reviewing, making future plans. Some use it as \"sleep music\" (I personally think there\'s better sleep music out there, but it seems to work ;) Some even listen to it in their minecraft music playlist. Call it chillout, smooth, ambient, New Age, instrumental, or background music -- this is not as much about a genre as it is about a feeling. A way of life. With the relaxdaily project, I try to take a little heat from our (generally) too busy lives. I try to deliver a soundtrack for you, when you feel the need for some positive, calming, inspirational tunes.\n\nThe simple (repetitive) video shows some grass waving in the wind at the pacific coast in California, just a few miles south of San Fran.\n\n© 2013, relaxdaily\";s:14:\"media$keywords\";a:0:{}s:13:\"media$license\";s:7:\"youtube\";s:12:\"media$player\";a:1:{s:3:\"url\";s:71:\"http://www.youtube.com/watch?v=FOIjvHjK0Rw&feature=youtube_gdata_player\";}s:15:\"media$thumbnail\";a:7:{i:0;a:5:{s:3:\"url\";s:46:\"http://i1.ytimg.com/vi/FOIjvHjK0Rw/default.jpg\";s:6:\"height\";i:90;s:5:\"width\";i:120;s:4:\"time\";s:8:\"01:05:47\";s:7:\"yt$name\";s:7:\"default\";}i:1;a:4:{s:3:\"url\";s:48:\"http://i1.ytimg.com/vi/FOIjvHjK0Rw/mqdefault.jpg\";s:6:\"height\";i:180;s:5:\"width\";i:320;s:7:\"yt$name\";s:9:\"mqdefault\";}i:2;a:4:{s:3:\"url\";s:48:\"http://i1.ytimg.com/vi/FOIjvHjK0Rw/hqdefault.jpg\";s:6:\"height\";i:360;s:5:\"width\";i:480;s:7:\"yt$name\";s:9:\"hqdefault\";}i:3;a:4:{s:3:\"url\";s:48:\"http://i1.ytimg.com/vi/FOIjvHjK0Rw/sddefault.jpg\";s:6:\"height\";i:480;s:5:\"width\";i:640;s:7:\"yt$name\";s:9:\"sddefault\";}i:4;a:5:{s:3:\"url\";s:40:\"http://i1.ytimg.com/vi/FOIjvHjK0Rw/1.jpg\";s:6:\"height\";i:90;s:5:\"width\";i:120;s:4:\"time\";s:12:\"00:32:53.500\";s:7:\"yt$name\";s:5:\"start\";}i:5;a:5:{s:3:\"url\";s:40:\"http://i1.ytimg.com/vi/FOIjvHjK0Rw/2.jpg\";s:6:\"height\";i:90;s:5:\"width\";i:120;s:4:\"time\";s:8:\"01:05:47\";s:7:\"yt$name\";s:6:\"middle\";}i:6;a:5:{s:3:\"url\";s:40:\"http://i1.ytimg.com/vi/FOIjvHjK0Rw/3.jpg\";s:6:\"height\";i:90;s:5:\"width\";i:120;s:4:\"time\";s:12:\"01:38:40.500\";s:7:\"yt$name\";s:3:\"end\";}}s:11:\"media$title\";s:93:\"Beautiful Light Music - easy smooth inspirational - long playlist by relaxdaily: Ocean Breeze\";s:14:\"yt$aspectRatio\";s:10:\"widescreen\";s:11:\"yt$duration\";a:1:{s:7:\"seconds\";s:4:\"7894\";}s:11:\"yt$uploaded\";s:24:\"2013-03-01T05:40:13.000Z\";s:13:\"yt$uploaderId\";s:24:\"UCc9EzBNAtdnNiDrMw5CAxUw\";s:10:\"yt$videoid\";s:11:\"FOIjvHjK0Rw\";}s:9:\"gd$rating\";a:5:{s:7:\"average\";d:4.86107200000000005957190296612679958343505859375;s:3:\"max\";i:5;s:3:\"min\";i:1;s:9:\"numRaters\";i:44685;s:3:\"rel\";s:40:\"http://schemas.google.com/g/2005#overall\";}s:13:\"yt$statistics\";a:2:{s:13:\"favoriteCount\";s:1:\"0\";s:9:\"viewCount\";s:7:\"9931073\";}s:9:\"yt$rating\";a:2:{s:11:\"numDislikes\";s:4:\"1552\";s:8:\"numLikes\";s:5:\"43133\";}s:5:\"terms\";a:1:{i:0;s:5:\"Music\";}s:7:\"handler\";s:7:\"youtube\";}',NULL,NULL),('node','online_video',0,89,89,'und',0,'http://vimeo.com/60280914','public://video_embed_field_thumbnails/vimeo/60280914.jpg','a:25:{s:2:\"id\";i:60280914;s:5:\"title\";s:30:\"Margaret - Thank You Very Much\";s:11:\"description\";s:44:\"https://www.facebook.com/MARGARETMUSICONLINE\";s:3:\"url\";s:25:\"http://vimeo.com/60280914\";s:11:\"upload_date\";s:19:\"2013-02-22 15:10:00\";s:10:\"mobile_url\";s:27:\"http://vimeo.com/m/60280914\";s:15:\"thumbnail_small\";s:48:\"http://i.vimeocdn.com/video/418803220_100x75.jpg\";s:16:\"thumbnail_medium\";s:49:\"http://i.vimeocdn.com/video/418803220_200x150.jpg\";s:15:\"thumbnail_large\";s:45:\"http://i.vimeocdn.com/video/418803220_640.jpg\";s:7:\"user_id\";i:9235811;s:9:\"user_name\";s:15:\"Extensive Music\";s:8:\"user_url\";s:28:\"http://vimeo.com/user9235811\";s:19:\"user_portrait_small\";s:134:\"http://www.gravatar.com/avatar/ac263e084a6d75f8b9d4362890f06497?d=http%3A%2F%2Fi.vimeocdn.com%2Fportrait%2Fdefault-gray_30x30.png&s=30\";s:20:\"user_portrait_medium\";s:134:\"http://www.gravatar.com/avatar/ac263e084a6d75f8b9d4362890f06497?d=http%3A%2F%2Fi.vimeocdn.com%2Fportrait%2Fdefault-gray_75x75.png&s=75\";s:19:\"user_portrait_large\";s:137:\"http://www.gravatar.com/avatar/ac263e084a6d75f8b9d4362890f06497?d=http%3A%2F%2Fi.vimeocdn.com%2Fportrait%2Fdefault-gray_100x100.png&s=100\";s:18:\"user_portrait_huge\";s:137:\"http://www.gravatar.com/avatar/ac263e084a6d75f8b9d4362890f06497?d=http%3A%2F%2Fi.vimeocdn.com%2Fportrait%2Fdefault-gray_300x300.png&s=300\";s:21:\"stats_number_of_likes\";i:593;s:21:\"stats_number_of_plays\";i:1103232;s:24:\"stats_number_of_comments\";i:32;s:8:\"duration\";i:207;s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"tags\";s:53:\"margaret, thank you very much, thank, you, very, much\";s:13:\"embed_privacy\";s:8:\"anywhere\";s:7:\"handler\";s:5:\"vimeo\";}',NULL,NULL),('node','online_video',0,101,101,'und',0,'http://vimeo.com/60280914','public://video_embed_field_thumbnails/vimeo/60280914.jpg','a:25:{s:2:\"id\";i:60280914;s:5:\"title\";s:30:\"Margaret - Thank You Very Much\";s:11:\"description\";s:44:\"https://www.facebook.com/MARGARETMUSICONLINE\";s:3:\"url\";s:25:\"http://vimeo.com/60280914\";s:11:\"upload_date\";s:19:\"2013-02-22 15:10:00\";s:10:\"mobile_url\";s:25:\"http://vimeo.com/60280914\";s:15:\"thumbnail_small\";s:48:\"http://i.vimeocdn.com/video/418803220_100x75.jpg\";s:16:\"thumbnail_medium\";s:49:\"http://i.vimeocdn.com/video/418803220_200x150.jpg\";s:15:\"thumbnail_large\";s:45:\"http://i.vimeocdn.com/video/418803220_640.jpg\";s:7:\"user_id\";i:9235811;s:9:\"user_name\";s:15:\"Extensive Music\";s:8:\"user_url\";s:28:\"http://vimeo.com/user9235811\";s:19:\"user_portrait_small\";s:134:\"http://www.gravatar.com/avatar/ac263e084a6d75f8b9d4362890f06497?d=http%3A%2F%2Fi.vimeocdn.com%2Fportrait%2Fdefault-gray_30x30.png&s=30\";s:20:\"user_portrait_medium\";s:134:\"http://www.gravatar.com/avatar/ac263e084a6d75f8b9d4362890f06497?d=http%3A%2F%2Fi.vimeocdn.com%2Fportrait%2Fdefault-gray_75x75.png&s=75\";s:19:\"user_portrait_large\";s:137:\"http://www.gravatar.com/avatar/ac263e084a6d75f8b9d4362890f06497?d=http%3A%2F%2Fi.vimeocdn.com%2Fportrait%2Fdefault-gray_100x100.png&s=100\";s:18:\"user_portrait_huge\";s:137:\"http://www.gravatar.com/avatar/ac263e084a6d75f8b9d4362890f06497?d=http%3A%2F%2Fi.vimeocdn.com%2Fportrait%2Fdefault-gray_300x300.png&s=300\";s:21:\"stats_number_of_likes\";i:662;s:21:\"stats_number_of_plays\";i:1205005;s:24:\"stats_number_of_comments\";i:32;s:8:\"duration\";i:207;s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"tags\";s:53:\"margaret, thank you very much, thank, you, very, much\";s:13:\"embed_privacy\";s:8:\"anywhere\";s:7:\"handler\";s:5:\"vimeo\";}',NULL,NULL);
/*!40000 ALTER TABLE `field_revision_field_online_video` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_pinteros_size`
--

DROP TABLE IF EXISTS `field_revision_field_pinteros_size`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_pinteros_size` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_pinteros_size_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_pinteros_size_tid` (`field_pinteros_size_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 5 (field_pinteros_size)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_pinteros_size`
--

LOCK TABLES `field_revision_field_pinteros_size` WRITE;
/*!40000 ALTER TABLE `field_revision_field_pinteros_size` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_pinteros_size` VALUES ('node','article',0,2,2,'und',0,1),('node','article',0,3,3,'und',0,1),('node','article',0,5,5,'und',0,1),('node','article',0,6,6,'und',0,2),('node','blog',0,7,7,'und',0,1),('node','blog',0,9,9,'und',0,1),('node','blog',0,10,10,'und',0,2),('node','article',0,11,11,'und',0,1),('node','article',0,12,12,'und',0,1),('node','blog',0,14,14,'und',0,2),('node','blog',0,15,15,'und',0,1),('node','article',0,16,16,'und',0,2),('node','article',0,17,17,'und',0,1),('node','blog',0,18,18,'und',0,1),('node','article',0,20,20,'und',0,1),('node','blog',0,21,21,'und',0,2),('node','blog',0,22,22,'und',0,1),('node','article',0,24,24,'und',0,1),('node','article',0,25,25,'und',0,1),('node','blog',0,27,27,'und',0,3),('node','blog',0,28,28,'und',0,2),('node','blog',0,29,29,'und',0,1),('node','blog',0,30,30,'und',0,2),('node','article',0,31,31,'und',0,1),('node','blog',0,32,32,'und',0,1),('node','article',0,33,33,'und',0,1),('node','article',0,34,34,'und',0,1),('node','article',0,35,35,'und',0,1),('node','article',0,37,37,'und',0,1),('node','article',0,39,39,'und',0,1),('node','article',0,40,40,'und',0,1),('node','article',0,41,41,'und',0,2),('node','article',0,42,42,'und',0,1),('node','article',0,45,45,'und',0,1),('node','article',0,49,49,'und',0,3),('node','showcase',0,50,50,'und',0,2),('node','showcase',0,51,51,'und',0,1),('node','showcase',0,52,52,'und',0,1),('node','showcase',0,53,53,'und',0,1),('node','showcase',0,54,54,'und',0,2),('node','showcase',0,55,55,'und',0,1),('node','showcase',0,56,56,'und',0,1),('node','showcase',0,57,57,'und',0,2),('node','showcase',0,58,58,'und',0,2),('node','showcase',0,59,59,'und',0,2),('node','showcase',0,60,60,'und',0,1),('node','showcase',0,62,62,'und',0,1),('node','showcase',0,63,63,'und',0,2),('node','article',0,77,77,'und',0,1),('node','article',0,78,78,'und',0,1),('node','article',0,80,80,'und',0,1),('node','article',0,81,81,'und',0,1),('node','article',0,84,84,'und',0,1),('node','article',0,85,85,'und',0,1),('node','article',0,87,87,'und',0,1),('node','online_video',0,88,88,'und',0,1),('node','article',0,90,90,'und',0,1),('node','article',0,91,91,'und',0,2);
/*!40000 ALTER TABLE `field_revision_field_pinteros_size` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_pinteros_skin`
--

DROP TABLE IF EXISTS `field_revision_field_pinteros_skin`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_pinteros_skin` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_pinteros_skin_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_pinteros_skin_tid` (`field_pinteros_skin_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 6 (field_pinteros_skin)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_pinteros_skin`
--

LOCK TABLES `field_revision_field_pinteros_skin` WRITE;
/*!40000 ALTER TABLE `field_revision_field_pinteros_skin` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_pinteros_skin` VALUES ('node','online_video',0,88,88,'und',0,5),('node','online_video',0,89,89,'und',0,4),('node','online_video',0,101,101,'und',0,4);
/*!40000 ALTER TABLE `field_revision_field_pinteros_skin` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_sports`
--

DROP TABLE IF EXISTS `field_revision_field_sports`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_sports` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_sports_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_sports_tid` (`field_sports_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 8 (field_sports)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_sports`
--

LOCK TABLES `field_revision_field_sports` WRITE;
/*!40000 ALTER TABLE `field_revision_field_sports` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_sports` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_tags`
--

DROP TABLE IF EXISTS `field_revision_field_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_tags_tid` (`field_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 3 (field_tags)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_tags`
--

LOCK TABLES `field_revision_field_tags` WRITE;
/*!40000 ALTER TABLE `field_revision_field_tags` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_tags` VALUES ('node','article',0,1,1,'und',0,14),('node','article',0,3,3,'und',0,15),('node','article',0,4,4,'und',0,15),('node','article',0,5,5,'und',0,16),('node','article',0,6,6,'und',0,17),('node','article',0,8,8,'und',0,18),('node','article',0,11,11,'und',0,19),('node','article',0,12,12,'und',0,20),('node','article',0,13,13,'und',0,21),('node','article',0,16,16,'und',0,22),('node','article',0,17,17,'und',0,23),('node','article',0,19,19,'und',0,23),('node','article',0,20,20,'und',0,24),('node','article',0,23,23,'und',0,19),('node','article',0,24,24,'und',0,25),('node','article',0,25,25,'und',0,19),('node','article',0,26,26,'und',0,26),('node','article',0,26,26,'und',1,27),('node','blog',0,30,30,'und',0,28),('node','blog',0,30,30,'und',1,16),('node','article',0,31,31,'und',0,29),('node','article',0,31,31,'und',1,16),('node','article',0,33,33,'und',0,20),('node','article',0,33,33,'und',1,30),('node','article',0,35,35,'und',0,20),('node','article',0,37,37,'und',0,31),('node','article',0,37,37,'und',1,32),('node','article',0,39,39,'und',0,31),('node','article',0,40,40,'und',0,14),('node','article',0,43,43,'und',0,33),('node','article',0,43,43,'und',1,34),('node','article',0,44,44,'und',0,36),('node','article',0,45,45,'und',0,15),('node','article',0,46,46,'und',0,35),('node','article',0,46,46,'und',1,15),('node','article',0,47,47,'und',0,15),('node','article',0,48,48,'und',0,15),('node','article',0,49,49,'und',0,15),('node','article',0,49,49,'und',1,29),('node','article',0,77,77,'und',0,50),('node','article',0,77,77,'und',1,51),('node','article',0,78,78,'und',0,51),('node','article',0,80,80,'und',0,51),('node','article',0,81,81,'und',0,52),('node','article',0,82,82,'und',0,53),('node','article',0,82,82,'und',1,54),('node','article',0,83,83,'und',0,54),('node','article',0,84,84,'und',0,55),('node','article',0,85,85,'und',0,56),('node','article',0,85,85,'und',1,55),('node','article',0,86,86,'und',0,55),('node','article',0,86,86,'und',1,56),('node','article',0,87,87,'und',0,55),('node','article',0,87,87,'und',1,56),('node','article',0,91,91,'und',0,16),('node','article',0,91,91,'und',1,58);
/*!40000 ALTER TABLE `field_revision_field_tags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_taxonomy_forums`
--

DROP TABLE IF EXISTS `field_revision_taxonomy_forums`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_taxonomy_forums` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `taxonomy_forums_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `taxonomy_forums_tid` (`taxonomy_forums_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 15 (taxonomy_forums)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_taxonomy_forums`
--

LOCK TABLES `field_revision_taxonomy_forums` WRITE;
/*!40000 ALTER TABLE `field_revision_taxonomy_forums` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_taxonomy_forums` VALUES ('node','forum',0,70,70,'und',0,37),('node','forum',0,71,71,'und',0,41),('node','forum',0,72,72,'und',0,42),('node','forum',0,73,73,'und',0,44),('node','forum',0,74,74,'und',0,39),('node','forum',0,75,75,'und',0,43),('node','forum',0,76,76,'und',0,40);
/*!40000 ALTER TABLE `field_revision_taxonomy_forums` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `file_managed`
--

DROP TABLE IF EXISTS `file_managed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_managed` (
  `fid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'File ID.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user who is associated with the file.',
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the file with no path components. This may differ from the basename of the URI if the file is renamed to avoid overwriting an existing file.',
  `uri` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'The URI to access the file (either local or remote).',
  `filemime` varchar(255) NOT NULL DEFAULT '' COMMENT 'The file’s MIME type.',
  `filesize` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'The size of the file in bytes.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A field indicating the status of the file. Two status are defined in core: temporary (0) and permanent (1). Temporary files older than DRUPAL_MAXIMUM_TEMP_FILE_AGE will be removed during a cron run.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'UNIX timestamp for when the file was added.',
  PRIMARY KEY (`fid`),
  UNIQUE KEY `uri` (`uri`),
  KEY `uid` (`uid`),
  KEY `status` (`status`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=110 DEFAULT CHARSET=utf8 COMMENT='Stores information for uploaded files.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_managed`
--

LOCK TABLES `file_managed` WRITE;
/*!40000 ALTER TABLE `file_managed` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `file_managed` VALUES (17,1,'demo-8.jpg','public://demo-8.jpg','image/jpeg',278466,1,1404187313),(18,1,'demo-7.jpg','public://field/image/demo-7.jpg','image/jpeg',179230,1,1404187679),(19,1,'demo-6.jpg','public://field/image/demo-6.jpg','image/jpeg',180707,1,1404187689),(20,1,'demo-1.jpg','public://field/image/demo-1.jpg','image/jpeg',174688,1,1404187701),(21,1,'demo-4.jpg','public://field/image/demo-4.jpg','image/jpeg',223899,1,1404187711),(22,1,'demo-2.jpg','public://field/image/demo-2.jpg','image/jpeg',148212,1,1404187723),(23,1,'demo-5.jpg','public://field/image/demo-5.jpg','image/jpeg',366356,1,1404187733),(24,1,'demo-9.jpg','public://field/image/demo-9.jpg','image/jpeg',164263,1,1404187985),(25,1,'demo-10.jpg','public://demo-10.jpg','image/jpeg',109693,1,1404188341),(26,1,'demo-11.jpg','public://demo-11.jpg','image/jpeg',298622,1,1404188651),(27,1,'demo-12.jpg','public://field/image/demo-12.jpg','image/jpeg',366455,1,1404188877),(28,1,'demo-13.jpg','public://field/image/demo-13.jpg','image/jpeg',77666,1,1404189077),(29,1,'demo-14.jpg','public://field/image/demo-14.jpg','image/jpeg',164531,1,1404189270),(30,1,'demo-15.jpg','public://demo-15.jpg','image/jpeg',150376,1,1404189456),(31,1,'demo-16.jpg','public://demo-16.jpg','image/jpeg',197753,1,1404189697),(32,1,'demo-17.jpg','public://field/image/demo-17.jpg','image/jpeg',241201,1,1404189859),(33,1,'demo-18.jpg','public://field/image/demo-18.jpg','image/jpeg',370885,1,1404190261),(34,1,'demo-19.jpg','public://demo-19.jpg','image/jpeg',307162,1,1404190405),(35,1,'demo-20.jpg','public://field/image/demo-20.jpg','image/jpeg',168024,1,1404190549),(36,1,'demo-21.jpg','public://field/image/demo-21.jpg','image/jpeg',233328,1,1404190913),(37,1,'demo-22.jpg','public://demo-22.jpg','image/jpeg',92249,1,1404190977),(38,1,'demo-24.jpg','public://demo-24.jpg','image/jpeg',432882,1,1404191356),(39,1,'demo-23.jpg','public://field/image/demo-23.jpg','image/jpeg',159507,1,1404191470),(40,1,'demo-25.jpg','public://field/image/demo-25.jpg','image/jpeg',144704,1,1404194590),(41,1,'demo-26.jpg','public://field/image/demo-26.jpg','image/jpeg',499400,1,1404194737),(42,1,'demo-27.jpg','public://field/image/demo-27.jpg','image/jpeg',205621,1,1404194906),(43,1,'demo-28.jpg','public://demo-28.jpg','image/jpeg',113852,1,1404196409),(44,1,'demo-29.jpg','public://demo-29.jpg','image/jpeg',274221,1,1404196736),(45,1,'demo-30.jpg','public://demo-30.jpg','image/jpeg',181897,1,1404197038),(46,1,'demo-31.jpg','public://demo-31.jpg','image/jpeg',182386,1,1404197448),(47,1,'demo-32.jpg','public://field/image/demo-32.jpg','image/jpeg',165207,1,1404197737),(48,1,'demo-33.jpg','public://demo-33.jpg','image/jpeg',202019,1,1404198285),(49,1,'demo-35.jpg','public://field/image/demo-35.jpg','image/jpeg',113563,1,1404198757),(50,1,'demo-36.jpg','public://field/image/demo-36.jpg','image/jpeg',128880,1,1404198955),(51,1,'demo-37.jpg','public://field/image/demo-37.jpg','image/jpeg',155016,1,1404199184),(52,1,'demo-38.jpg','public://field/image/demo-38.jpg','image/jpeg',159179,1,1404199330),(53,1,'demo-39.jpg','public://field/image/demo-39.jpg','image/jpeg',171723,1,1404199570),(54,1,'demo-40.jpg','public://field/image/demo-40.jpg','image/jpeg',207924,1,1404200014),(55,1,'demo-41.jpg','public://field/image/demo-41.jpg','image/jpeg',243175,1,1404200407),(56,1,'demo-42.jpg','public://field/image/demo-42.jpg','image/jpeg',131395,1,1404201192),(57,1,'demo-43.jpg','public://field/image/demo-43.jpg','image/jpeg',202795,1,1404201481),(58,1,'demo-44.jpg','public://field/image/demo-44.jpg','image/jpeg',125856,1,1404201551),(59,1,'demo-45.jpg','public://field/image/demo-45.jpg','image/jpeg',289325,1,1404201688),(60,1,'demo-46.jpg','public://field/image/demo-46.jpg','image/jpeg',75247,1,1404201837),(61,1,'demo-47.jpg','public://field/image/demo-47.jpg','image/jpeg',237915,1,1404202671),(62,1,'demo-48.jpg','public://field/image/demo-48.jpg','image/jpeg',174739,1,1404202816),(63,1,'demo-52.jpg','public://field/image/demo-52.jpg','image/jpeg',92730,1,1404203069),(64,1,'demo-51.jpg','public://field/image/demo-51.jpg','image/jpeg',369539,1,1404203205),(65,1,'demo-49.jpg','public://field/image/demo-49.jpg','image/jpeg',153132,1,1404203265),(66,1,'magazine.jpg','public://magazine.jpg','image/jpeg',3036117,1,1404369612),(67,1,'real-estate.jpg','public://real-estate.jpg','image/jpeg',1370380,1,1404370497),(68,1,'hotel.jpg','public://hotel.jpg','image/jpeg',179942,1,1404370781),(69,1,'education.jpg','public://education.jpg','image/jpeg',697253,1,1404370838),(70,1,'news.jpg','public://news.jpg','image/jpeg',751665,1,1404370961),(71,1,'garnet.jpg','public://garnet.jpg','image/jpeg',1067603,1,1404371029),(72,1,'business.jpg','public://business.jpg','image/jpeg',560059,1,1404371150),(73,1,'one-page.jpg','public://one-page.jpg','image/jpeg',4345595,1,1404371224),(74,1,'shopping.jpg','public://shopping.jpg','image/jpeg',444924,1,1404371279),(75,1,'zircon_II.jpg','public://zircon_II.jpg','image/jpeg',189524,1,1404371432),(76,1,'blog_d8.jpg','public://blog_d8.jpg','image/jpeg',210167,1,1404371547),(79,1,'zircon_d8.jpg','public://zircon_d8.jpg','image/jpeg',144089,1,1404372867),(80,1,'autox.jpg','public://autox.jpg','image/jpeg',3483173,1,1404372988),(81,1,'demo-24.jpg','public://demo-24_0.jpg','image/jpeg',432882,1,1404453938),(82,1,'demo-42.jpg','public://demo-42.jpg','image/jpeg',131395,1,1404454013),(83,1,'demo-10.jpg','public://demo-10_0.jpg','image/jpeg',109693,1,1404454038),(84,1,'demo-14.jpg','public://demo-14.jpg','image/jpeg',164531,1,1404454091),(85,1,'demo-41.jpg','public://demo-41.jpg','image/jpeg',243175,1,1404454131),(86,1,'demo-29.jpg','public://demo-29_0.jpg','image/jpeg',274221,1,1404454159),(87,1,'demo-51.jpg','public://demo-51.jpg','image/jpeg',369539,1,1404454185),(88,1,'demo-33.jpg','public://demo-33_0.jpg','image/jpeg',202019,1,1404454240),(89,1,'demo-53.jpg','public://demo-53.jpg','image/jpeg',120275,1,1404454347),(90,1,'demo-54.jpg','public://demo-54.jpg','image/jpeg',353935,1,1404454674),(92,1,'demo-53.jpg','public://field/image/demo-53.jpg','image/jpeg',120275,1,1404459732),(93,1,'demo-56.jpg','public://field/image/demo-56.jpg','image/jpeg',104577,1,1404459808),(94,1,'demo-57.jpg','public://field/image/demo-57.jpg','image/jpeg',87855,1,1404459865),(95,1,'demo-58.jpg','public://field/image/demo-58.jpg','image/jpeg',126264,1,1404459945),(96,1,'demo-59.jpg','public://field/image/demo-59.jpg','image/jpeg',59755,1,1404461596),(97,1,'demo-60.jpg','public://field/image/demo-60.jpg','image/jpeg',215981,1,1404461740),(98,1,'demo-61.jpg','public://field/image/demo-61.jpg','image/jpeg',275098,1,1404461834),(99,1,'demo-62.jpg','public://demo-62.jpg','image/jpeg',214823,1,1404461988),(100,1,'demo-64.jpg','public://field/image/demo-64.jpg','image/jpeg',118608,1,1404464585),(101,1,'demo-66.jpg','public://field/image/demo-66.jpg','image/jpeg',67859,1,1404464670),(102,1,'demo-67.jpg','public://field/image/demo-67.jpg','image/jpeg',166628,1,1404464746),(103,1,'demo-68.jpg','public://field/image/demo-68.jpg','image/jpeg',194198,1,1404464823),(104,1,'FOIjvHjK0Rw.jpg','public://video_embed_field_thumbnails/youtube/FOIjvHjK0Rw.jpg','image/jpeg',37151,1,1405392900),(105,1,'60280914.jpg','public://video_embed_field_thumbnails/vimeo/60280914.jpg','image/jpeg',32831,1,1425541782),(106,1,'demo-69.jpg','public://field/image/demo-69.jpg','image/jpeg',416312,1,1404722079),(107,1,'demo-70.jpg','public://field/image/demo-70.jpg','image/jpeg',330332,1,1404722566),(109,1,'demo-61.jpg','public://demo-61.jpg','image/jpeg',275098,1,1404723303);
/*!40000 ALTER TABLE `file_managed` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `file_usage`
--

DROP TABLE IF EXISTS `file_usage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_usage` (
  `fid` int(10) unsigned NOT NULL COMMENT 'File ID.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the module that is using the file.',
  `type` varchar(64) NOT NULL DEFAULT '' COMMENT 'The name of the object type in which the file is used.',
  `id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The primary key of the object using the file.',
  `count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The number of times this file is used by this object.',
  PRIMARY KEY (`fid`,`type`,`id`,`module`),
  KEY `type_id` (`type`,`id`),
  KEY `fid_count` (`fid`,`count`),
  KEY `fid_module` (`fid`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Track where a file is used.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_usage`
--

LOCK TABLES `file_usage` WRITE;
/*!40000 ALTER TABLE `file_usage` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `file_usage` VALUES (17,'file','node',7,1),(18,'file','node',6,1),(19,'file','node',5,1),(20,'file','node',1,1),(21,'file','node',3,1),(22,'file','node',2,1),(23,'file','node',4,1),(24,'file','node',8,1),(25,'file','node',9,1),(26,'file','node',10,1),(27,'file','node',11,1),(28,'file','node',12,1),(29,'file','node',13,1),(30,'file','node',14,1),(31,'file','node',15,1),(32,'file','node',16,1),(33,'file','node',17,1),(34,'file','node',18,1),(35,'file','node',19,1),(36,'file','node',20,1),(37,'file','node',21,1),(38,'file','node',22,1),(39,'file','node',23,1),(40,'file','node',24,1),(41,'file','node',25,1),(42,'file','node',26,1),(43,'file','node',27,1),(44,'file','node',28,1),(45,'file','node',29,1),(46,'file','node',30,1),(47,'file','node',31,1),(48,'file','node',32,1),(49,'file','node',33,1),(50,'file','node',34,1),(51,'file','node',35,1),(52,'file','node',36,1),(53,'file','node',37,1),(54,'file','node',38,1),(55,'file','node',39,1),(56,'file','node',40,1),(57,'file','node',41,1),(58,'file','node',42,1),(59,'file','node',43,1),(60,'file','node',44,1),(61,'file','node',45,1),(62,'file','node',46,1),(63,'file','node',47,1),(64,'file','node',48,1),(65,'file','node',49,1),(66,'file','node',50,1),(67,'file','node',51,1),(68,'file','node',52,1),(69,'file','node',53,1),(70,'file','node',54,1),(71,'file','node',55,1),(72,'file','node',56,1),(73,'file','node',57,1),(74,'file','node',58,1),(75,'file','node',59,1),(76,'file','node',60,1),(79,'file','node',62,1),(80,'file','node',63,1),(81,'file','taxonomy_term',13,1),(82,'file','taxonomy_term',12,1),(83,'file','taxonomy_term',10,1),(84,'file','taxonomy_term',11,1),(85,'file','taxonomy_term',7,1),(86,'file','taxonomy_term',8,1),(87,'file','taxonomy_term',9,1),(88,'file','taxonomy_term',45,1),(89,'file','taxonomy_term',47,1),(90,'file','taxonomy_term',49,1),(92,'file','node',77,1),(93,'file','node',78,1),(94,'file','node',79,1),(95,'file','node',80,1),(96,'file','node',81,1),(97,'file','node',82,1),(98,'file','node',83,1),(99,'file','taxonomy_term',48,1),(100,'file','node',84,1),(101,'file','node',85,1),(102,'file','node',86,1),(103,'file','node',87,1),(106,'file','node',90,1),(107,'file','node',91,1),(109,'file','taxonomy_term',57,1);
/*!40000 ALTER TABLE `file_usage` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `filter`
--

DROP TABLE IF EXISTS `filter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filter` (
  `format` varchar(255) NOT NULL COMMENT 'Foreign key: The filter_format.format to which this filter is assigned.',
  `module` varchar(64) NOT NULL DEFAULT '' COMMENT 'The origin module of the filter.',
  `name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Name of the filter being referenced.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of filter within format.',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Filter enabled status. (1 = enabled, 0 = disabled)',
  `settings` longblob COMMENT 'A serialized array of name value pairs that store the filter settings for the specific format.',
  PRIMARY KEY (`format`,`name`),
  KEY `list` (`weight`,`module`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table that maps filters (HTML corrector) to text formats ...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filter`
--

LOCK TABLES `filter` WRITE;
/*!40000 ALTER TABLE `filter` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `filter` VALUES ('filtered_html','filter','filter_autop',2,1,'a:0:{}'),('filtered_html','filter','filter_html',1,1,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('filtered_html','filter','filter_htmlcorrector',10,1,'a:0:{}'),('filtered_html','filter','filter_html_escape',-10,0,'a:0:{}'),('filtered_html','filter','filter_url',0,1,'a:1:{s:17:\"filter_url_length\";i:72;}'),('full_html','filter','filter_autop',1,1,'a:0:{}'),('full_html','filter','filter_html',-10,0,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('full_html','filter','filter_htmlcorrector',10,1,'a:0:{}'),('full_html','filter','filter_html_escape',-10,0,'a:0:{}'),('full_html','filter','filter_url',0,1,'a:1:{s:17:\"filter_url_length\";i:72;}'),('php_code','filter','filter_autop',0,0,'a:0:{}'),('php_code','filter','filter_html',-10,0,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('php_code','filter','filter_htmlcorrector',10,0,'a:0:{}'),('php_code','filter','filter_html_escape',-10,0,'a:0:{}'),('php_code','filter','filter_url',0,0,'a:1:{s:17:\"filter_url_length\";i:72;}'),('php_code','php','php_code',0,1,'a:0:{}'),('plain_text','filter','filter_autop',2,1,'a:0:{}'),('plain_text','filter','filter_html',-10,0,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('plain_text','filter','filter_htmlcorrector',10,0,'a:0:{}'),('plain_text','filter','filter_html_escape',0,1,'a:0:{}'),('plain_text','filter','filter_url',1,1,'a:1:{s:17:\"filter_url_length\";i:72;}');
/*!40000 ALTER TABLE `filter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `filter_format`
--

DROP TABLE IF EXISTS `filter_format`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filter_format` (
  `format` varchar(255) NOT NULL COMMENT 'Primary Key: Unique machine name of the format.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the text format (Filtered HTML).',
  `cache` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate whether format is cacheable. (1 = cacheable, 0 = not cacheable)',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'The status of the text format. (1 = enabled, 0 = disabled)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of text format to use when listing.',
  PRIMARY KEY (`format`),
  UNIQUE KEY `name` (`name`),
  KEY `status_weight` (`status`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores text formats: custom groupings of filters, such as...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filter_format`
--

LOCK TABLES `filter_format` WRITE;
/*!40000 ALTER TABLE `filter_format` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `filter_format` VALUES ('filtered_html','Filtered HTML',1,1,0),('full_html','Full HTML',1,1,1),('php_code','PHP code',0,1,11),('plain_text','Plain text',1,1,10);
/*!40000 ALTER TABLE `filter_format` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `flood`
--

DROP TABLE IF EXISTS `flood`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flood` (
  `fid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique flood event ID.',
  `event` varchar(64) NOT NULL DEFAULT '' COMMENT 'Name of event (e.g. contact).',
  `identifier` varchar(128) NOT NULL DEFAULT '' COMMENT 'Identifier of the visitor, such as an IP address or hostname.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp of the event.',
  `expiration` int(11) NOT NULL DEFAULT '0' COMMENT 'Expiration timestamp. Expired events are purged on cron run.',
  PRIMARY KEY (`fid`),
  KEY `allow` (`event`,`identifier`,`timestamp`),
  KEY `purge` (`expiration`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Flood controls the threshold of events, such as the...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `flood`
--

LOCK TABLES `flood` WRITE;
/*!40000 ALTER TABLE `flood` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `flood` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `forum`
--

DROP TABLE IF EXISTS `forum`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `forum` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid of the node.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The node.vid of the node.',
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The taxonomy_term_data.tid of the forum term assigned to the node.',
  PRIMARY KEY (`vid`),
  KEY `forum_topic` (`nid`,`tid`),
  KEY `tid` (`tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the relationship of nodes to forum terms.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `forum`
--

LOCK TABLES `forum` WRITE;
/*!40000 ALTER TABLE `forum` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `forum` VALUES (70,70,37),(71,71,41),(72,72,42),(73,73,44),(74,74,39),(75,75,43),(76,76,40);
/*!40000 ALTER TABLE `forum` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `forum_index`
--

DROP TABLE IF EXISTS `forum_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `forum_index` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record tracks.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this node, always treated as non-markup plain text.',
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The term ID.',
  `sticky` tinyint(4) DEFAULT '0' COMMENT 'Boolean indicating whether the node is sticky.',
  `created` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was created.',
  `last_comment_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp of the last comment that was posted within this node, from comment.timestamp.',
  `comment_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of comments on this node.',
  KEY `forum_topics` (`nid`,`tid`,`sticky`,`last_comment_timestamp`),
  KEY `created` (`created`),
  KEY `last_comment_timestamp` (`last_comment_timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains denormalized information about node/term...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `forum_index`
--

LOCK TABLES `forum_index` WRITE;
/*!40000 ALTER TABLE `forum_index` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `forum_index` VALUES (70,'Duis Pala Torqueo Ullamcorper',37,0,1404448950,1404448950,0),(71,'Nutus Singularis Vindico',41,0,1404449469,1404449469,0),(72,'Abdo Amet Quidem Vicis',42,0,1404449602,1404449602,0),(73,'Accumsan Jumentum',44,0,1404449630,1404449630,0),(74,'Inhibeo Sudo',39,0,1404449662,1404449662,0),(75,'Uxor Valetudo',43,0,1404449736,1404449736,0),(76,'Ad Sudo Tego Valetudo',40,0,1404449762,1404449762,0);
/*!40000 ALTER TABLE `forum_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `history`
--

DROP TABLE IF EXISTS `history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `history` (
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that read the node nid.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid that was read.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp at which the read occurred.',
  PRIMARY KEY (`uid`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A record of which users have read which nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `history`
--

LOCK TABLES `history` WRITE;
/*!40000 ALTER TABLE `history` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `history` VALUES (1,88,1500347861),(1,89,1500347862),(1,91,1500347837),(1,101,1500347859);
/*!40000 ALTER TABLE `history` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `image_effects`
--

DROP TABLE IF EXISTS `image_effects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `image_effects` (
  `ieid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for an image effect.',
  `isid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The image_styles.isid for an image style.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of the effect in the style.',
  `name` varchar(255) NOT NULL COMMENT 'The unique name of the effect to be executed.',
  `data` longblob NOT NULL COMMENT 'The configuration data for the effect.',
  PRIMARY KEY (`ieid`),
  KEY `isid` (`isid`),
  KEY `weight` (`weight`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COMMENT='Stores configuration options for image effects.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `image_effects`
--

LOCK TABLES `image_effects` WRITE;
/*!40000 ALTER TABLE `image_effects` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `image_effects` VALUES (4,1,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"622\";s:6:\"height\";s:3:\"311\";}'),(6,2,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:2:\"60\";s:6:\"height\";s:2:\"60\";}');
/*!40000 ALTER TABLE `image_effects` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `image_styles`
--

DROP TABLE IF EXISTS `image_styles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `image_styles` (
  `isid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for an image style.',
  `name` varchar(255) NOT NULL COMMENT 'The style machine name.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The style administrative name.',
  PRIMARY KEY (`isid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Stores configuration options for image styles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `image_styles`
--

LOCK TABLES `image_styles` WRITE;
/*!40000 ALTER TABLE `image_styles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `image_styles` VALUES (1,'large','Large (622x311)'),(2,'thumbnail','Thumbnail (60x60)');
/*!40000 ALTER TABLE `image_styles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `languages` (
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'Language code, e.g. ’de’ or ’en-US’.',
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'Language name in English.',
  `native` varchar(64) NOT NULL DEFAULT '' COMMENT 'Native language name.',
  `direction` int(11) NOT NULL DEFAULT '0' COMMENT 'Direction of language (Left-to-Right = 0, Right-to-Left = 1).',
  `enabled` int(11) NOT NULL DEFAULT '0' COMMENT 'Enabled flag (1 = Enabled, 0 = Disabled).',
  `plurals` int(11) NOT NULL DEFAULT '0' COMMENT 'Number of plural indexes in this language.',
  `formula` varchar(255) NOT NULL DEFAULT '' COMMENT 'Plural formula in PHP code to evaluate to get plural indexes.',
  `domain` varchar(128) NOT NULL DEFAULT '' COMMENT 'Domain to use for this language.',
  `prefix` varchar(128) NOT NULL DEFAULT '' COMMENT 'Path prefix to use for this language.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight, used in lists of languages.',
  `javascript` varchar(64) NOT NULL DEFAULT '' COMMENT 'Location of JavaScript translation file.',
  PRIMARY KEY (`language`),
  KEY `list` (`weight`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='List of all available languages in the system.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `languages`
--

LOCK TABLES `languages` WRITE;
/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `languages` VALUES ('ar','Arabic','العربية',1,1,0,'','','ar',0,''),('en','English','English',0,1,0,'','','en',0,'');
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `locales_source`
--

DROP TABLE IF EXISTS `locales_source`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locales_source` (
  `lid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier of this string.',
  `location` longtext COMMENT 'Drupal path in case of online discovered translations or file path in case of imported strings.',
  `textgroup` varchar(255) NOT NULL DEFAULT 'default' COMMENT 'A module defined group of translations, see hook_locale().',
  `source` blob NOT NULL COMMENT 'The original string in English.',
  `context` varchar(255) NOT NULL DEFAULT '' COMMENT 'The context this string applies to.',
  `version` varchar(20) NOT NULL DEFAULT 'none' COMMENT 'Version of Drupal, where the string was last used (for locales optimization).',
  PRIMARY KEY (`lid`),
  KEY `source_context` (`source`(30),`context`)
) ENGINE=InnoDB AUTO_INCREMENT=1971 DEFAULT CHARSET=utf8 COMMENT='List of English source strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locales_source`
--

LOCK TABLES `locales_source` WRITE;
/*!40000 ALTER TABLE `locales_source` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `locales_source` VALUES (1,'misc/drupal.js','default','An AJAX HTTP error occurred.','','none'),(2,'misc/drupal.js','default','HTTP Result Code: !status','','none'),(3,'misc/drupal.js','default','An AJAX HTTP request terminated abnormally.','','none'),(4,'misc/drupal.js','default','Debugging information follows.','','none'),(5,'misc/drupal.js','default','Path: !uri','','none'),(6,'misc/drupal.js','default','StatusText: !statusText','','none'),(7,'misc/drupal.js','default','ResponseText: !responseText','','none'),(8,'misc/drupal.js','default','ReadyState: !readyState','','none'),(9,'modules/overlay/overlay-child.js','default','Loading','','none'),(10,'modules/overlay/overlay-child.js; misc/vertical-tabs.js','default','(active tab)','','7.34'),(11,'sites/all/modules/module_filter/js/module_filter.js','default','No results','','none'),(12,'sites/all/modules/module_filter/js/module_filter.js','default','clear','','none'),(13,'sites/all/modules/module_filter/js/module_filter_tab.js','default','All','','7.34'),(14,'sites/all/modules/module_filter/js/module_filter_tab.js','default','New','','none'),(15,'sites/all/modules/module_filter/js/module_filter_tab.js','default','Modules installed within the last week.','','none'),(16,'sites/all/modules/module_filter/js/module_filter_tab.js','default','No modules added within the last week.','','none'),(17,'sites/all/modules/module_filter/js/module_filter_tab.js','default','Recent','','none'),(18,'sites/all/modules/module_filter/js/module_filter_tab.js','default','Modules enabled/disabled within the last week.','','none'),(19,'sites/all/modules/module_filter/js/module_filter_tab.js','default','No modules were enabled or disabled within the last week.','','none'),(20,'sites/all/modules/module_filter/js/module_filter_tab.js','default','@enabled of @total','','none'),(21,'sites/all/themes/pinteros/js/weebpal.js','default','Are you sure you want to reset your theme settings to default theme settings?','','none'),(22,'modules/overlay/overlay-parent.js','default','@title dialog','','none'),(23,'sites/all/modules/newsletter/js/newsletter.js','default','user@example.com','','7.32'),(24,'modules/contextual/contextual.js','default','Configure','','none'),(25,'misc/ajax.js','default','Please wait...','','none'),(26,'sites/all/modules/clock/clock.js','default','January','','none'),(27,'sites/all/modules/clock/clock.js','default','Jan','','7.32'),(28,'sites/all/modules/clock/clock.js','default','February','','none'),(29,'sites/all/modules/clock/clock.js','default','Feb','','none'),(30,'sites/all/modules/clock/clock.js','default','March','','none'),(31,'sites/all/modules/clock/clock.js','default','Mar','','7.34'),(32,'sites/all/modules/clock/clock.js','default','April','','none'),(33,'sites/all/modules/clock/clock.js','default','Apr','','none'),(34,'sites/all/modules/clock/clock.js','default','May','','none'),(35,'sites/all/modules/clock/clock.js','default','June','','none'),(36,'sites/all/modules/clock/clock.js','default','Jun','','7.32'),(37,'sites/all/modules/clock/clock.js','default','July','','none'),(38,'sites/all/modules/clock/clock.js','default','Jul','','7.34'),(39,'sites/all/modules/clock/clock.js','default','August','','none'),(40,'sites/all/modules/clock/clock.js','default','Aug','','none'),(41,'sites/all/modules/clock/clock.js','default','September','','none'),(42,'sites/all/modules/clock/clock.js','default','Sep','','none'),(43,'sites/all/modules/clock/clock.js','default','October','','none'),(44,'sites/all/modules/clock/clock.js','default','Oct','','7.32'),(45,'sites/all/modules/clock/clock.js','default','November','','none'),(46,'sites/all/modules/clock/clock.js','default','Nov','','none'),(47,'sites/all/modules/clock/clock.js','default','December','','none'),(48,'sites/all/modules/clock/clock.js','default','Dec','','none'),(49,'sites/all/modules/clock/clock.js','default','Sunday','','none'),(50,'sites/all/modules/clock/clock.js','default','Sun','','7.32'),(51,'sites/all/modules/clock/clock.js','default','Monday','','none'),(52,'sites/all/modules/clock/clock.js','default','Mon','','7.32'),(53,'sites/all/modules/clock/clock.js','default','Tuesday','','7.34'),(54,'sites/all/modules/clock/clock.js','default','Tue','','7.32'),(55,'sites/all/modules/clock/clock.js','default','Wednesday','','7.32'),(56,'sites/all/modules/clock/clock.js','default','Wed','','7.32'),(57,'sites/all/modules/clock/clock.js','default','Thursday','','7.32'),(58,'sites/all/modules/clock/clock.js','default','Thu','','7.34'),(59,'sites/all/modules/clock/clock.js','default','Friday','','none'),(60,'sites/all/modules/clock/clock.js','default','Fri','','7.34'),(61,'sites/all/modules/clock/clock.js','default','Saturday','','none'),(62,'sites/all/modules/clock/clock.js','default','Sat','','7.32'),(63,'sites/all/modules/clock/clock.js','default','st','','none'),(64,'sites/all/modules/clock/clock.js','default','nd','','none'),(65,'sites/all/modules/clock/clock.js','default','rd','','none'),(66,'sites/all/modules/clock/clock.js','default','th','','none'),(67,'sites/all/modules/clock/clock.js','default','pm','','none'),(68,'sites/all/modules/clock/clock.js','default','am','','none'),(69,'sites/all/modules/clock/clock.js','default','PM','','none'),(70,'sites/all/modules/clock/clock.js','default','AM','','none'),(71,'misc/tabledrag.js','default','Re-order rows by numerical weight instead of dragging.','','none'),(72,'misc/tabledrag.js','default','Show row weights','','none'),(73,'misc/tabledrag.js','default','Hide row weights','','none'),(74,'misc/tabledrag.js','default','Drag to re-order','','none'),(75,'misc/tabledrag.js','default','Changes made in this table will not be saved until the form is submitted.','','none'),(76,'misc/collapse.js','default','Hide','','none'),(77,'misc/collapse.js','default','Show','','none'),(78,'/pinteros/admin/config/regional/language?render=overlay','default','Public files','','7.34'),(79,'/pinteros/admin/config/regional/language?render=overlay','default','Public local files served by the webserver.','','7.34'),(80,'/pinteros/admin/config/regional/language?render=overlay','default','Temporary files','','7.34'),(81,'/pinteros/admin/config/regional/language?render=overlay','default','Temporary local files for upload and previews.','','7.34'),(82,'/pinteros/admin/config/regional/language?render=overlay','default','Languages','','7.34'),(83,'/pinteros/admin/config/regional/language?render=overlay','default','Configure languages for content and the user interface.','','7.34'),(84,'/pinteros/admin/config/regional/language?render=overlay','default','Long','','7.34'),(85,'/pinteros/admin/config/regional/language?render=overlay','default','Medium','','7.34'),(86,'/pinteros/admin/config/regional/language?render=overlay','default','Short','','7.34'),(87,'/pinteros/admin/config/regional/language?render=overlay','default','Home','','7.34'),(88,'/pinteros/admin/config/regional/language?render=overlay','default','Administration','','7.34'),(89,'/pinteros/admin/config/regional/language?render=overlay','default','Appearance','','7.34'),(90,'/pinteros/admin/config/regional/language?render=overlay','default','Select and configure your themes.','','7.34'),(91,'/pinteros/admin/config/regional/language?render=overlay','default','Configuration','','7.34'),(92,'/pinteros/admin/config/regional/language?render=overlay','default','Administer settings.','','7.34'),(93,'/pinteros/admin/config/regional/language?render=overlay','default','Content authoring','','7.34'),(94,'/pinteros/admin/config/regional/language?render=overlay','default','Settings related to formatting and authoring content.','','7.34'),(95,'/pinteros/admin/config/regional/language?render=overlay','default','Development','','7.34'),(96,'/pinteros/admin/config/regional/language?render=overlay','default','Development tools.','','7.34'),(97,'/pinteros/admin/config/regional/language?render=overlay','default','Media','','7.34'),(98,'/pinteros/admin/config/regional/language?render=overlay','default','Media tools.','','7.34'),(99,'/pinteros/admin/config/regional/language?render=overlay','default','People','','7.34'),(100,'/pinteros/admin/config/regional/language?render=overlay','default','Configure user accounts.','','7.34'),(101,'/pinteros/admin/config/regional/language?render=overlay','default','Regional and language','','7.34'),(102,'/pinteros/admin/config/regional/language?render=overlay','default','Regional settings, localization and translation.','','7.34'),(103,'/pinteros/admin/config/regional/language?render=overlay','default','Date and time','','7.34'),(104,'/pinteros/admin/config/regional/language?render=overlay','default','Configure display formats for date and time.','','7.34'),(105,'/pinteros/admin/config/regional/language?render=overlay','default','Regional settings','','7.34'),(106,'/pinteros/admin/config/regional/language?render=overlay','default','Settings for the site\'s default time zone and country.','','7.34'),(107,'/pinteros/admin/config/regional/language?render=overlay','default','Add language','','7.34'),(108,'/pinteros/admin/config/regional/language?render=overlay','default','Detection and selection','','7.34'),(109,'/pinteros/admin/config/regional/language?render=overlay','default','List','','7.34'),(110,'/pinteros/admin/config/regional/language?render=overlay','default','Translate interface','','7.34'),(111,'/pinteros/admin/config/regional/language?render=overlay','default','Translate the built in interface and optionally other text.','','7.34'),(112,'/pinteros/admin/config/regional/language?render=overlay','default','Search and metadata','','7.34'),(113,'/pinteros/admin/config/regional/language?render=overlay','default','Local site search, metadata and SEO.','','7.34'),(114,'/pinteros/admin/config/regional/language?render=overlay','default','System','','7.34'),(115,'/pinteros/admin/config/regional/language?render=overlay','default','General system related configuration.','','7.34'),(116,'/pinteros/admin/config/regional/language?render=overlay','default','User interface','','7.34'),(117,'/pinteros/admin/config/regional/language?render=overlay','default','Tools that enhance the user interface.','','7.34'),(118,'/pinteros/admin/config/regional/language?render=overlay','default','Web services','','7.34'),(119,'/pinteros/admin/config/regional/language?render=overlay','default','Tools related to web services.','','7.34'),(120,'/pinteros/admin/config/regional/language?render=overlay','default','Workflow','','7.34'),(121,'/pinteros/admin/config/regional/language?render=overlay','default','Content workflow, editorial workflow tools.','','7.34'),(122,'/pinteros/admin/config/regional/language?render=overlay','default','Administration tools.','','7.34'),(123,'/pinteros/admin/config/regional/language?render=overlay','default','Date API','','7.34'),(124,'/pinteros/admin/config/regional/language?render=overlay','default','Settings for modules the use the Date API.','','7.34'),(125,'/pinteros/admin/config/regional/language?render=overlay','default','Content','','7.34'),(126,'/pinteros/admin/config/regional/language?render=overlay','default','Administer content and comments.','','7.34'),(127,'/pinteros/admin/config/regional/language?render=overlay','default','Dashboard','','7.34'),(128,'/pinteros/admin/config/regional/language?render=overlay','default','View and customize your dashboard.','','7.34'),(129,'/pinteros/admin/config/regional/language?render=overlay','default','Index','','7.34'),(130,'/pinteros/admin/config/regional/language?render=overlay','default','Modules','','7.34'),(131,'/pinteros/admin/config/regional/language?render=overlay','default','Extend site functionality.','','7.34'),(132,'/pinteros/admin/config/regional/language?render=overlay','default','Manage user accounts, roles, and permissions.','','7.34'),(133,'/pinteros/admin/config/regional/language?render=overlay','default','Reports','','7.34'),(134,'/pinteros/admin/config/regional/language?render=overlay','default','View reports, updates, and errors.','','7.34'),(135,'/pinteros/admin/config/regional/language?render=overlay','default','Structure','','7.34'),(136,'/pinteros/admin/config/regional/language?render=overlay','default','Administer blocks, content types, menus, etc.','','7.34'),(137,'/pinteros/admin/config/regional/language?render=overlay','default','Tasks','','7.34'),(138,'/pinteros/admin/config/regional/language?render=overlay','default','Help','','7.34'),(139,'/pinteros/admin/config/regional/language?render=overlay','default','Reference for usage, configuration, and modules.','','7.34'),(140,'/pinteros/admin/config/regional/language?render=overlay','default','Drupal core update status','','7.32'),(141,'/pinteros/admin/config/regional/language?render=overlay','default','No update data available','','7.32'),(142,'/pinteros/admin/config/regional/language?render=overlay','default','No update information available. <a href=\"@run_cron\">Run cron</a> or <a href=\"@check_manually\">check manually</a>.','','7.32'),(143,'/pinteros/admin/config/regional/language?render=overlay','default','Weight for @title','','7.32'),(144,'/pinteros/admin/config/regional/language?render=overlay','default','Right to left','','7.32'),(145,'/pinteros/admin/config/regional/language?render=overlay','default','Left to right','','7.32'),(146,'/pinteros/admin/config/regional/language?render=overlay','default','Enabled languages','','7.32'),(147,'/pinteros/admin/config/regional/language?render=overlay','default','Default language','','7.32'),(148,'/pinteros/admin/config/regional/language?render=overlay','default','Save configuration','','7.32'),(149,'/pinteros/admin/config/regional/language?render=overlay','default','Page top','','7.34'),(150,'/pinteros/admin/config/regional/language?render=overlay','default','Page bottom','','7.34'),(151,'/pinteros/admin/config/regional/language?render=overlay','default','First sidebar','','7.32'),(152,'/pinteros/admin/config/regional/language?render=overlay','default','Dashboard (main)','','7.34'),(153,'/pinteros/admin/config/regional/language?render=overlay','default','Dashboard (sidebar)','','7.34'),(154,'/pinteros/admin/config/regional/language?render=overlay','default','Dashboard (inactive)','','7.34'),(155,'/pinteros/admin/config/regional/language?render=overlay','default','Blog entry','','7.34'),(156,'/pinteros/admin/config/regional/language?render=overlay','default','Use for multi-user blogs. Every user gets a personal blog.','','7.34'),(157,'/pinteros/admin/config/regional/language?render=overlay','default','Poll','','7.34'),(158,'/pinteros/admin/config/regional/language?render=overlay','default','A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.','','7.34'),(159,'/pinteros/admin/config/regional/language?render=overlay','default','Question','','7.34'),(160,'/pinteros/admin/config/regional/language?render=overlay','default','Forum topic','','7.34'),(161,'/pinteros/admin/config/regional/language?render=overlay','default','A <em>forum topic</em> starts a new discussion thread within a forum.','','7.34'),(162,'/pinteros/admin/config/regional/language?render=overlay','default','Subject','','7.34'),(163,'/pinteros/admin/config/regional/language?render=overlay','default','With multiple languages enabled, interface text can be translated, registered users may select their preferred language, and authors can assign a specific language to content. <a href=\"@translations\">Download contributed translations</a> from Drupal.org.','','7.32'),(164,'/pinteros/admin/config/regional/language?render=overlay','default','Block','','7.34'),(165,'/pinteros/admin/config/regional/language?render=overlay','default','Default','','7.34'),(166,'/pinteros/admin/config/regional/language?render=overlay','default','Title','','7.34'),(167,'/pinteros/admin/config/regional/language?render=overlay','default','The Title of the block.','','7.34'),(168,'/pinteros/admin/config/regional/language?render=overlay','default','Comment','','7.34'),(169,'/pinteros/admin/config/regional/language?render=overlay','default','Full comment','','7.34'),(170,'/pinteros/admin/config/regional/language?render=overlay','default','@node_type comment','','7.34'),(171,'/pinteros/admin/config/regional/language?render=overlay','default','Newsletter subscriber','','7.34'),(172,'/pinteros/admin/config/regional/language?render=overlay','default','Newsletter list','','7.34'),(173,'/pinteros/admin/config/regional/language?render=overlay','default','Newsletter template','','7.34'),(174,'/pinteros/admin/config/regional/language?render=overlay','default','Newsletter','','7.34'),(175,'/pinteros/admin/config/regional/language?render=overlay','default','Node','','7.34'),(176,'/pinteros/admin/config/regional/language?render=overlay','default','Full content','','7.34'),(177,'/pinteros/admin/config/regional/language?render=overlay','default','Teaser','','7.34'),(178,'/pinteros/admin/config/regional/language?render=overlay','default','RSS','','7.34'),(179,'/pinteros/admin/config/regional/language?render=overlay','default','Search index','','7.34'),(180,'/pinteros/admin/config/regional/language?render=overlay','default','Search result','','7.32'),(181,'/pinteros/admin/config/regional/language?render=overlay','default','File','','7.34'),(182,'/pinteros/admin/config/regional/language?render=overlay','default','Taxonomy term','','7.34'),(183,'/pinteros/admin/config/regional/language?render=overlay','default','Taxonomy term page','','7.34'),(184,'/pinteros/admin/config/regional/language?render=overlay','default','Taxonomy vocabulary','','7.34'),(185,'/pinteros/admin/config/regional/language?render=overlay','default','User','','7.34'),(186,'/pinteros/admin/config/regional/language?render=overlay','default','User account','','7.34'),(187,'/pinteros/admin/config/regional/language?render=overlay','default','Tokens','','7.34'),(188,'/pinteros/admin/config/regional/language?render=overlay','default','Nodes','','7.34'),(189,'/pinteros/admin/config/regional/language?render=overlay','default','Users','','7.34'),(190,'/pinteros/admin/config/regional/language?render=overlay','default','Files','','7.34'),(191,'/pinteros/admin/config/regional/language?render=overlay','default','Nodes represent the main site content items.','','7.34'),(192,'/pinteros/admin/config/regional/language?render=overlay','default','Users who have created accounts on your site.','','7.34'),(193,'/pinteros/admin/config/regional/language?render=overlay','default','Uploaded file.','','7.34'),(194,'/pinteros/admin/config/regional/language?render=overlay','default','Comments','','7.34'),(195,'/pinteros/admin/config/regional/language?render=overlay','default','Remark or note that refers to a node.','','7.34'),(196,'/pinteros/admin/config/regional/language?render=overlay','default','Taxonomy terms','','7.34'),(197,'/pinteros/admin/config/regional/language?render=overlay','default','Taxonomy terms are used for classifying content.','','7.34'),(198,'/pinteros/admin/config/regional/language?render=overlay','default','Taxonomy vocabularies','','7.34'),(199,'/pinteros/admin/config/regional/language?render=overlay','default','Vocabularies contain related taxonomy terms, which are used for classifying content.','','7.34'),(200,'/pinteros/admin/config/regional/language?render=overlay','default','Entity Reference','','7.34'),(201,'/pinteros/admin/config/regional/language?render=overlay','default','This field reference another entity.','','7.34'),(202,'/pinteros/admin/config/regional/language?render=overlay','default','This field stores the ID of a file as an integer value.','','7.34'),(203,'/pinteros/admin/config/regional/language?render=overlay','default','Image','','7.34'),(204,'/pinteros/admin/config/regional/language?render=overlay','default','This field stores the ID of an image file as an integer value.','','7.34'),(205,'/pinteros/admin/config/regional/language?render=overlay','default','List (integer)','','7.34'),(206,'/pinteros/admin/config/regional/language?render=overlay','default','This field stores integer values from a list of allowed \'value => label\' pairs, i.e. \'Lifetime in days\': 1 => 1 day, 7 => 1 week, 31 => 1 month.','','7.34'),(207,'/pinteros/admin/config/regional/language?render=overlay','default','List (float)','','7.34'),(208,'/pinteros/admin/config/regional/language?render=overlay','default','This field stores float values from a list of allowed \'value => label\' pairs, i.e. \'Fraction\': 0 => 0, .25 => 1/4, .75 => 3/4, 1 => 1.','','7.34'),(209,'/pinteros/admin/config/regional/language?render=overlay','default','List (text)','','7.34'),(210,'/pinteros/admin/config/regional/language?render=overlay','default','This field stores text values from a list of allowed \'value => label\' pairs, i.e. \'US States\': IL => Illinois, IA => Iowa, IN => Indiana.','','7.34'),(211,'/pinteros/admin/config/regional/language?render=overlay','default','Boolean','','7.34'),(212,'/pinteros/admin/config/regional/language?render=overlay','default','This field stores simple on/off or yes/no options.','','7.34'),(213,'/pinteros/admin/config/regional/language?render=overlay','default','Integer','','7.34'),(214,'/pinteros/admin/config/regional/language?render=overlay','default','This field stores a number in the database as an integer.','','7.34'),(215,'/pinteros/admin/config/regional/language?render=overlay','default','Decimal','','7.34'),(216,'/pinteros/admin/config/regional/language?render=overlay','default','This field stores a number in the database in a fixed decimal format.','','7.34'),(217,'/pinteros/admin/config/regional/language?render=overlay','default','Float','','7.34'),(218,'/pinteros/admin/config/regional/language?render=overlay','default','This field stores a number in the database in a floating point format.','','7.34'),(219,'/pinteros/admin/config/regional/language?render=overlay','default','Term reference','','7.34'),(220,'/pinteros/admin/config/regional/language?render=overlay','default','This field stores a reference to a taxonomy term.','','7.34'),(221,'/pinteros/admin/config/regional/language?render=overlay','default','Text','','7.34'),(222,'/pinteros/admin/config/regional/language?render=overlay','default','This field stores varchar text in the database.','','7.34'),(223,'/pinteros/admin/config/regional/language?render=overlay','default','Long text','','7.34'),(224,'/pinteros/admin/config/regional/language?render=overlay','default','This field stores long text in the database.','','7.34'),(225,'/pinteros/admin/config/regional/language?render=overlay','default','Long text and summary','','7.34'),(226,'/pinteros/admin/config/regional/language?render=overlay','default','This field stores long text in the database along with optional summary text.','','7.34'),(227,'/pinteros/admin/config/regional/language?render=overlay','default','Video','','7.34'),(228,'/pinteros/admin/config/regional/language?render=overlay','default','This field stores the ID of a video file as an integer value.','','7.34'),(229,'/pinteros/admin/config/regional/language?render=overlay','default','Autocomplete','','7.34'),(230,'/pinteros/admin/config/regional/language?render=overlay','default','An autocomplete text field.','','7.34'),(231,'/pinteros/admin/config/regional/language?render=overlay','default','Autocomplete (Tags style)','','7.34'),(232,'/pinteros/admin/config/regional/language?render=overlay','default','Text field','','7.34'),(233,'/pinteros/admin/config/regional/language?render=overlay','default','Select list','','7.34'),(234,'/pinteros/admin/config/regional/language?render=overlay','default','Check boxes/radio buttons','','7.34'),(235,'/pinteros/admin/config/regional/language?render=overlay','default','Single on/off checkbox','','7.34'),(236,'/pinteros/admin/config/regional/language?render=overlay','default','Autocomplete term widget (tagging)','','7.34'),(237,'/pinteros/admin/config/regional/language?render=overlay','default','Text area (multiple rows)','','7.34'),(238,'/pinteros/admin/config/regional/language?render=overlay','default','Text area with a summary','','7.34'),(239,'/pinteros/admin/config/regional/language?render=overlay','default','Video Upload','','7.34'),(240,'/pinteros/admin/config/regional/language?render=overlay','default','Label','','7.34'),(241,'/pinteros/admin/config/regional/language?render=overlay','default','Display the label of the referenced entities.','','7.34'),(242,'/pinteros/admin/config/regional/language?render=overlay','default','Entity id','','7.34'),(243,'/pinteros/admin/config/regional/language?render=overlay','default','Display the id of the referenced entities.','','7.34'),(244,'/pinteros/admin/config/regional/language?render=overlay','default','Rendered entity','','7.34'),(245,'/pinteros/admin/config/regional/language?render=overlay','default','Display the referenced entities rendered by entity_view().','','7.34'),(246,'/pinteros/admin/config/regional/language?render=overlay','default','Generic file','','7.34'),(247,'/pinteros/admin/config/regional/language?render=overlay','default','Table of files','','7.34'),(248,'/pinteros/admin/config/regional/language?render=overlay','default','URL to file','','7.34'),(249,'/pinteros/admin/config/regional/language?render=overlay','default','Key','','7.34'),(250,'/pinteros/admin/config/regional/language?render=overlay','default','Unformatted','','7.34'),(251,'/pinteros/admin/config/regional/language?render=overlay','default','Link','','7.34'),(252,'/pinteros/admin/config/regional/language?render=overlay','default','Plain text','','7.34'),(253,'/pinteros/admin/config/regional/language?render=overlay','default','RSS category','','7.34'),(254,'/pinteros/admin/config/regional/language?render=overlay','default','Trimmed','','7.34'),(255,'/pinteros/admin/config/regional/language?render=overlay','default','Summary or trimmed','','7.34'),(256,'/pinteros/admin/config/regional/language?render=overlay','default','Video player','','7.34'),(257,'/pinteros/admin/config/regional/language?render=overlay','default','Video thumbnail','','7.34'),(258,'/pinteros/admin/config/regional/language?render=overlay','default','Video Player','','7.34'),(259,'/pinteros/admin/config/regional/language?render=overlay','default','URL to Video','','7.34'),(260,'/pinteros/admin/config/regional/language?render=overlay','default','Thumbnail Preview','','7.34'),(261,'/pinteros/admin/config/regional/language?render=overlay','default','Default SQL storage','','7.34'),(262,'/pinteros/admin/config/regional/language?render=overlay','default','Stores fields in the local SQL database, using per-field tables.','','7.34'),(263,'/pinteros/admin/config/regional/language?render=overlay','default','Main menu','','7.34'),(264,'/pinteros/admin/config/regional/language?render=overlay','default','Management','','7.34'),(265,'/pinteros/admin/config/regional/language?render=overlay','default','Category','','7.34'),(266,'/pinteros/admin/config/regional/language?render=overlay','default','Navigation','','7.34'),(267,'/pinteros/admin/config/regional/language?render=overlay','default','User menu','','7.34'),(268,'/pinteros/admin/config/regional/language?render=overlay','default','Normal','','7.34'),(269,'/pinteros/admin/config/regional/language?render=overlay','default','Overridden','','7.34'),(270,'/pinteros/admin/config/regional/language?render=overlay','default','Select and configure your theme','','7.34'),(271,'/pinteros/admin/config/regional/language?render=overlay','default','Settings','','7.34'),(272,'/pinteros/admin/config/regional/language?render=overlay','default','Configure default and theme specific settings.','','7.34'),(273,'/pinteros/admin/config/regional/language?render=overlay','default','Bartik','','7.34'),(274,'/pinteros/admin/config/regional/language?render=overlay','default','Global settings','','7.34'),(275,'/pinteros/admin/config/regional/language?render=overlay','default','Pinteros','','7.34'),(276,'/pinteros/admin/config/regional/language?render=overlay','default','Seven','','7.34'),(277,'/pinteros/admin/config/regional/language?render=overlay','default','Install new theme','','7.34'),(278,'/pinteros/admin/config/regional/language?render=overlay','default','Update','','7.34'),(279,'/pinteros/admin/config/regional/language?render=overlay','default','Text formats','','7.34'),(280,'/pinteros/admin/config/regional/language?render=overlay','default','Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.','','7.34'),(281,'/pinteros/admin/config/regional/language?render=overlay','default','Add text format','','7.34'),(282,'/pinteros/admin/config/regional/language?render=overlay','default','TagClouds configuration','','7.34'),(283,'/pinteros/admin/config/regional/language?render=overlay','default','Configure the tag clouds. Set the order, the number of tags, and the depth of the clouds.','','7.34'),(284,'/pinteros/admin/config/regional/language?render=overlay','default','Logging and errors','','7.34'),(285,'/pinteros/admin/config/regional/language?render=overlay','default','Settings for logging and alerts modules. Various modules can route Drupal\'s system events to different destinations, such as syslog, database, email, etc.','','7.34'),(286,'/pinteros/admin/config/regional/language?render=overlay','default','Maintenance mode','','7.34'),(287,'/pinteros/admin/config/regional/language?render=overlay','default','Take the site offline for maintenance or bring it back online.','','7.34'),(288,'/pinteros/admin/config/regional/language?render=overlay','default','Performance','','7.34'),(289,'/pinteros/admin/config/regional/language?render=overlay','default','Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.','','7.34'),(290,'/pinteros/admin/config/regional/language?render=overlay','default','jQuery update','','7.34'),(291,'/pinteros/admin/config/regional/language?render=overlay','default','Configure settings related to the jQuery upgrade, the library path and compression.','','7.34'),(292,'/pinteros/admin/config/regional/language?render=overlay','default','File system','','7.34'),(293,'/pinteros/admin/config/regional/language?render=overlay','default','Tell Drupal where to store uploaded files and how they are accessed.','','7.34'),(294,'/pinteros/admin/config/regional/language?render=overlay','default','Image toolkit','','7.34'),(295,'/pinteros/admin/config/regional/language?render=overlay','default','Choose which image toolkit to use if you have installed optional toolkits.','','7.34'),(296,'/pinteros/admin/config/regional/language?render=overlay','default','Image styles','','7.34'),(297,'/pinteros/admin/config/regional/language?render=overlay','default','Configure styles that can be used for resizing or adjusting images on display.','','7.34'),(298,'/pinteros/admin/config/regional/language?render=overlay','default','Add style','','7.34'),(299,'/pinteros/admin/config/regional/language?render=overlay','default','Add a new image style.','','7.34'),(300,'/pinteros/admin/config/regional/language?render=overlay','default','List the current image styles on the site.','','7.34'),(301,'/pinteros/admin/config/regional/language?render=overlay','default','Newsletters','','7.34'),(302,'/pinteros/admin/config/regional/language?render=overlay','default','Manage newsletters, subscribers, and settings.','','7.34'),(303,'/pinteros/admin/config/regional/language?render=overlay','default','Create/Send','','7.34'),(304,'/pinteros/admin/config/regional/language?render=overlay','default','Create custom static newsletters and send non-automated ones','','7.34'),(305,'/pinteros/admin/config/regional/language?render=overlay','default','Create and send a custom newsletter','','7.34'),(306,'/pinteros/admin/config/regional/language?render=overlay','default','Create a custom static newsletter','','7.34'),(307,'/pinteros/admin/config/regional/language?render=overlay','default','Lists','','7.34'),(308,'/pinteros/admin/config/regional/language?render=overlay','default','Find and manage newsletter lists.','','7.34'),(309,'/pinteros/admin/config/regional/language?render=overlay','default','Add new list','','7.34'),(310,'/pinteros/admin/config/regional/language?render=overlay','default','Add new newsletter list.','','7.34'),(311,'/pinteros/admin/config/regional/language?render=overlay','default','Configure newsletter lists.','','7.34'),(312,'/pinteros/admin/config/regional/language?render=overlay','default','Statistics','','7.34'),(313,'/pinteros/admin/config/regional/language?render=overlay','default','General','','7.34'),(314,'/pinteros/admin/config/regional/language?render=overlay','default','Watch general statistics.','','7.34'),(315,'/pinteros/admin/config/regional/language?render=overlay','default','Graphic','','7.34'),(316,'/pinteros/admin/config/regional/language?render=overlay','default','Watch advanced JQuery statistics.','','7.34'),(317,'/pinteros/admin/config/regional/language?render=overlay','default','Subscribers','','7.34'),(318,'/pinteros/admin/config/regional/language?render=overlay','default','List subscribers.','','7.34'),(319,'/pinteros/admin/config/regional/language?render=overlay','default','Add new subscriber','','7.34'),(320,'/pinteros/admin/config/regional/language?render=overlay','default','Add new list subscriber.','','7.34'),(321,'/pinteros/admin/config/regional/language?render=overlay','default','Add subscribers (Mass)','','7.34'),(322,'/pinteros/admin/config/regional/language?render=overlay','default','Add subscribers.','','7.34'),(323,'/pinteros/admin/config/regional/language?render=overlay','default','Manage display','','7.34'),(324,'/pinteros/admin/config/regional/language?render=overlay','default','Manage fields','','7.34'),(325,'/pinteros/admin/config/regional/language?render=overlay','default','Templates','','7.34'),(326,'/pinteros/admin/config/regional/language?render=overlay','default','Administer newsletter templates.','','7.34'),(327,'/pinteros/admin/config/regional/language?render=overlay','default','Confirmation','','7.34'),(328,'/pinteros/admin/config/regional/language?render=overlay','default','Edit confirmation template.','','7.34'),(329,'/pinteros/admin/config/regional/language?render=overlay','default','Mail templates','','7.34'),(330,'/pinteros/admin/config/regional/language?render=overlay','default','Administer mail templates.','','7.34'),(331,'/pinteros/admin/config/regional/language?render=overlay','default','Add new mail template','','7.34'),(332,'/pinteros/admin/config/regional/language?render=overlay','default','Unsubscribe','','7.34'),(333,'/pinteros/admin/config/regional/language?render=overlay','default','Edit unsubscribe template.','','7.34'),(334,'/pinteros/admin/config/regional/language?render=overlay','default','Welcome','','7.34'),(335,'/pinteros/admin/config/regional/language?render=overlay','default','Edit welcome template.','','7.34'),(336,'/pinteros/admin/config/regional/language?render=overlay','default','Issue archive','','7.34'),(337,'/pinteros/admin/config/regional/language?render=overlay','default','Configure different aspects of the video module and its plugins','','7.34'),(338,'/pinteros/admin/config/regional/language?render=overlay','default','Players','','7.34'),(339,'/pinteros/admin/config/regional/language?render=overlay','default','Configure your player settings for each video extension.','','7.34'),(340,'/pinteros/admin/config/regional/language?render=overlay','default','Presets','','7.34'),(341,'/pinteros/admin/config/regional/language?render=overlay','default','Manage and configure the presets for Video.','','7.34'),(342,'/pinteros/admin/config/regional/language?render=overlay','default','Add preset','','7.34'),(343,'/pinteros/admin/config/regional/language?render=overlay','default','Add a new video conversion preset.','','7.34'),(344,'/pinteros/admin/config/regional/language?render=overlay','default','Import preset','','7.34'),(345,'/pinteros/admin/config/regional/language?render=overlay','default','Import a video conversion preset.','','7.34'),(346,'/pinteros/admin/config/regional/language?render=overlay','default','Scheduling','','7.34'),(347,'/pinteros/admin/config/regional/language?render=overlay','default','Configure your Video transcoding scheduling settings.','','7.34'),(348,'/pinteros/admin/config/regional/language?render=overlay','default','Transcoders','','7.34'),(349,'/pinteros/admin/config/regional/language?render=overlay','default','Configure your transcoder to convert your videos or extra thumbnails.','','7.34'),(350,'/pinteros/admin/config/regional/language?render=overlay','default','video style','','7.34'),(351,'/pinteros/admin/config/regional/language?render=overlay','default','video styles','','7.34'),(352,'/pinteros/admin/config/regional/language?render=overlay','default','Video Styles','','7.34'),(353,'/pinteros/admin/config/regional/language?render=overlay; misc/machine-name.js','default','Edit','','7.34'),(354,'/pinteros/admin/config/regional/language?render=overlay','default','Enable','','7.34'),(355,'/pinteros/admin/config/regional/language?render=overlay','default','Disable','','7.34'),(356,'/pinteros/admin/config/regional/language?render=overlay','default','Revert','','7.34'),(357,'/pinteros/admin/config/regional/language?render=overlay','default','Delete','','7.34'),(358,'/pinteros/admin/config/regional/language?render=overlay','default','Clone','','7.34'),(359,'/pinteros/admin/config/regional/language?render=overlay','default','Import','','7.34'),(360,'/pinteros/admin/config/regional/language?render=overlay','default','Export','','7.34'),(361,'/pinteros/admin/config/regional/language?render=overlay','default','Add a new @plugin','','7.34'),(362,'/pinteros/admin/config/regional/language?render=overlay','default','Edit @plugin %title','','7.34'),(363,'/pinteros/admin/config/regional/language?render=overlay','default','Clone @plugin %title','','7.34'),(364,'/pinteros/admin/config/regional/language?render=overlay','default','Import @plugin','','7.34'),(365,'/pinteros/admin/config/regional/language?render=overlay','default','Export @plugin %title','','7.34'),(366,'/pinteros/admin/config/regional/language?render=overlay','default','Are you sure you want to revert %title?','','7.34'),(367,'/pinteros/admin/config/regional/language?render=overlay','default','This action will permanently remove any customizations made to this item.','','7.34'),(368,'/pinteros/admin/config/regional/language?render=overlay','default','The item has been reverted.','','7.34'),(369,'/pinteros/admin/config/regional/language?render=overlay','default','Are you sure you want to delete %title?','','7.34'),(370,'/pinteros/admin/config/regional/language?render=overlay','default','This action will permanently remove this item from your database..','','7.34'),(371,'/pinteros/admin/config/regional/language?render=overlay','default','The item has been deleted.','','7.34'),(372,'/pinteros/admin/config/regional/language?render=overlay','default','%title has been created.','','7.34'),(373,'/pinteros/admin/config/regional/language?render=overlay','default','%title could not be created.','','7.34'),(374,'/pinteros/admin/config/regional/language?render=overlay','default','%title has been updated.','','7.34'),(375,'/pinteros/admin/config/regional/language?render=overlay','default','%title could not be updated.','','7.34'),(376,'/pinteros/admin/config/regional/language?render=overlay','default','You can import an exported definition by pasting the exported object code into the field below.','','7.34'),(377,'/pinteros/admin/config/regional/language?render=overlay','default','@plugin %title was enabled.','','7.34'),(378,'/pinteros/admin/config/regional/language?render=overlay','default','@plugin %title was disabled.','','7.34'),(379,'/pinteros/admin/config/regional/language?render=overlay','default','There are no @titles to display.','','7.34'),(380,'/pinteros/admin/config/regional/language?render=overlay','default','Video Embed Styles','','7.34'),(381,'/pinteros/admin/config/regional/language?render=overlay','default','Administer Video Embed Field\'s video styles.','','7.34'),(382,'/pinteros/admin/config/regional/language?render=overlay','default','Add','','7.34'),(383,'/pinteros/admin/config/regional/language?render=overlay','default','Account settings','','7.34'),(384,'/pinteros/admin/config/regional/language?render=overlay','default','Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.','','7.34'),(385,'/pinteros/admin/config/regional/language?render=overlay','default','IP address blocking','','7.34'),(386,'/pinteros/admin/config/regional/language?render=overlay','default','Manage blocked IP addresses.','','7.34'),(387,'/pinteros/admin/config/regional/language?render=overlay','default','Formats','','7.34'),(388,'/pinteros/admin/config/regional/language?render=overlay','default','Configure display format strings for date and time.','','7.34'),(389,'/pinteros/admin/config/regional/language?render=overlay','default','Add format','','7.34'),(390,'/pinteros/admin/config/regional/language?render=overlay','default','Allow users to add additional date formats.','','7.34'),(391,'/pinteros/admin/config/regional/language?render=overlay','default','Types','','7.34'),(392,'/pinteros/admin/config/regional/language?render=overlay','default','Add date type','','7.34'),(393,'/pinteros/admin/config/regional/language?render=overlay','default','Add new date type.','','7.34'),(394,'/pinteros/admin/config/regional/language?render=overlay','default','Localize','','7.34'),(395,'/pinteros/admin/config/regional/language?render=overlay','default','Configure date formats for each locale','','7.34'),(396,'/pinteros/admin/config/regional/language?render=overlay','default','Session language detection configuration','','7.34'),(397,'/pinteros/admin/config/regional/language?render=overlay','default','URL language detection configuration','','7.34'),(398,'/pinteros/admin/config/regional/language?render=overlay','default','Overview','','7.34'),(399,'/pinteros/admin/config/regional/language?render=overlay','default','Translate','','7.34'),(400,'/pinteros/admin/config/regional/language?render=overlay','default','Clean URLs','','7.34'),(401,'/pinteros/admin/config/regional/language?render=overlay','default','Enable or disable clean URLs for your site.','','7.34'),(402,'/pinteros/admin/config/regional/language?render=overlay','default','Search settings','','7.34'),(403,'/pinteros/admin/config/regional/language?render=overlay','default','Configure relevance settings for search and other indexing options.','','7.34'),(404,'/pinteros/admin/config/regional/language?render=overlay','default','Clear index','','7.34'),(405,'/pinteros/admin/config/regional/language?render=overlay','default','URL aliases','','7.34'),(406,'/pinteros/admin/config/regional/language?render=overlay','default','Change your site\'s URL paths by aliasing them.','','7.34'),(407,'/pinteros/admin/config/regional/language?render=overlay','default','Add alias','','7.34'),(408,'/pinteros/admin/config/regional/language?render=overlay','default','Bulk update','','7.34'),(409,'/pinteros/admin/config/regional/language?render=overlay','default','Delete aliases','','7.34'),(410,'/pinteros/admin/config/regional/language?render=overlay','default','Patterns','','7.34'),(411,'/pinteros/admin/config/regional/language?render=overlay','default','Actions','','7.34'),(412,'/pinteros/admin/config/regional/language?render=overlay','default','Manage the actions defined for your site.','','7.34'),(413,'/pinteros/admin/config/regional/language?render=overlay','default','Configure an advanced action','','7.34'),(414,'/pinteros/admin/config/regional/language?render=overlay','default','Manage actions','','7.34'),(415,'/pinteros/admin/config/regional/language?render=overlay','default','Cron','','7.34'),(416,'/pinteros/admin/config/regional/language?render=overlay','default','Manage automatic site maintenance tasks.','','7.34'),(417,'/pinteros/admin/config/regional/language?render=overlay','default','Site information','','7.34'),(418,'/pinteros/admin/config/regional/language?render=overlay','default','Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.','','7.34'),(419,'/pinteros/admin/config/regional/language?render=overlay','default','Shortcuts','','7.34'),(420,'/pinteros/admin/config/regional/language?render=overlay','default','Add and modify shortcut sets.','','7.34'),(421,'/pinteros/admin/config/regional/language?render=overlay','default','Add shortcut set','','7.34'),(422,'/pinteros/admin/config/regional/language?render=overlay','default','Module filter','','7.34'),(423,'/pinteros/admin/config/regional/language?render=overlay','default','Configure how the modules page looks and acts.','','7.34'),(424,'/pinteros/admin/config/regional/language?render=overlay','default','Menu Breadcrumb','','7.34'),(425,'/pinteros/admin/config/regional/language?render=overlay','default','Configure menu breadcrumb.','','7.34'),(426,'/pinteros/admin/config/regional/language?render=overlay','default','RSS publishing','','7.34'),(427,'/pinteros/admin/config/regional/language?render=overlay','default','Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.','','7.34'),(428,'/pinteros/admin/config/regional/language?render=overlay','default','Administration menu','','7.34'),(429,'/pinteros/admin/config/regional/language?render=overlay','default','Adjust administration menu settings.','','7.34'),(430,'/pinteros/admin/config/regional/language?render=overlay','default','List and edit site comments and the comment approval queue.','','7.34'),(431,'/pinteros/admin/config/regional/language?render=overlay','default','Published comments','','7.34'),(432,'/pinteros/admin/config/regional/language?render=overlay','default','Unapproved comments (@count)','','7.34'),(433,'/pinteros/admin/config/regional/language?render=overlay','default','Blocks','','7.34'),(434,'/pinteros/admin/config/regional/language?render=overlay','default','Manage blocks used on your site.','','7.34'),(435,'/pinteros/admin/config/regional/language?render=overlay','default','Configure available dashboard blocks','','7.34'),(436,'/pinteros/admin/config/regional/language?render=overlay','default','Configure which blocks can be shown on the dashboard.','','7.34'),(437,'/pinteros/admin/config/regional/language?render=overlay; modules/dashboard/dashboard.js','default','Customize dashboard','','7.34'),(438,'/pinteros/admin/config/regional/language?render=overlay','default','Customize your dashboard.','','7.34'),(439,'/pinteros/admin/config/regional/language?render=overlay','default','Uninstall','','7.34'),(440,'/pinteros/admin/config/regional/language?render=overlay','default','Install new module','','7.34'),(441,'/pinteros/admin/config/regional/language?render=overlay','default','Add user','','7.34'),(442,'/pinteros/admin/config/regional/language?render=overlay','default','Find and manage people interacting with your site.','','7.34'),(443,'/pinteros/admin/config/regional/language?render=overlay','default','Permissions','','7.34'),(444,'/pinteros/admin/config/regional/language?render=overlay','default','Determine access to features by selecting permissions for roles.','','7.34'),(445,'/pinteros/admin/config/regional/language?render=overlay','default','Roles','','7.34'),(446,'/pinteros/admin/config/regional/language?render=overlay','default','List, edit, or add user roles.','','7.34'),(447,'/pinteros/admin/config/regional/language?render=overlay','default','Recent log messages','','7.34'),(448,'/pinteros/admin/config/regional/language?render=overlay','default','View events that have recently been logged.','','7.34'),(449,'/pinteros/admin/config/regional/language?render=overlay','default','Status report','','7.34'),(450,'/pinteros/admin/config/regional/language?render=overlay','default','Get a status report about your site\'s operation and any detected problems.','','7.34'),(451,'/pinteros/admin/config/regional/language?render=overlay','default','Top \'access denied\' errors','','7.34'),(452,'/pinteros/admin/config/regional/language?render=overlay','default','View \'access denied\' errors (403s).','','7.34'),(453,'/pinteros/admin/config/regional/language?render=overlay','default','Top \'page not found\' errors','','7.34'),(454,'/pinteros/admin/config/regional/language?render=overlay','default','View \'page not found\' errors (404s).','','7.34'),(455,'/pinteros/admin/config/regional/language?render=overlay','default','Field list','','7.34'),(456,'/pinteros/admin/config/regional/language?render=overlay','default','Overview of fields on all entity types.','','7.34'),(457,'/pinteros/admin/config/regional/language?render=overlay','default','Used in views','','7.34'),(458,'/pinteros/admin/config/regional/language?render=overlay','default','Overview of fields used in all views.','','7.34'),(459,'/pinteros/admin/config/regional/language?render=overlay','default','Top search phrases','','7.34'),(460,'/pinteros/admin/config/regional/language?render=overlay','default','View most popular search phrases.','','7.34'),(461,'/pinteros/admin/config/regional/language?render=overlay','default','Available updates','','7.34'),(462,'/pinteros/admin/config/regional/language?render=overlay','default','Get a status report about available updates for your installed modules and themes.','','7.34'),(463,'/pinteros/admin/config/regional/language?render=overlay','default','Install new module or theme','','7.34'),(464,'/pinteros/admin/config/regional/language?render=overlay','default','Views plugins','','7.34'),(465,'/pinteros/admin/config/regional/language?render=overlay','default','Overview of plugins used in all views.','','7.34'),(466,'/pinteros/admin/config/regional/language?render=overlay','default','Configure what block content appears in your site\'s sidebars and other regions.','','7.34'),(467,'/pinteros/admin/config/regional/language?render=overlay','default','Add block','','7.34'),(468,'/pinteros/admin/config/regional/language?render=overlay','default','Content types','','7.34'),(469,'/pinteros/admin/config/regional/language?render=overlay','default','Manage content types, including default status, front page promotion, comment settings, etc.','','7.34'),(470,'/pinteros/admin/config/regional/language?render=overlay','default','Add content type','','7.34'),(471,'/pinteros/admin/config/regional/language?render=overlay','default','Menus','','7.34'),(472,'/pinteros/admin/config/regional/language?render=overlay','default','Add new menus to your site, edit existing menus, and rename and reorganize menu links.','','7.34'),(473,'/pinteros/admin/config/regional/language?render=overlay','default','Add menu','','7.34'),(474,'/pinteros/admin/config/regional/language?render=overlay','default','List menus','','7.34'),(475,'/pinteros/admin/config/regional/language?render=overlay','default','Taxonomy','','7.34'),(476,'/pinteros/admin/config/regional/language?render=overlay','default','Manage tagging, categorization, and classification of your content.','','7.34'),(477,'/pinteros/admin/config/regional/language?render=overlay','default','Add vocabulary','','7.34'),(478,'/pinteros/admin/config/regional/language?render=overlay','default','Block types','','7.34'),(479,'/pinteros/admin/config/regional/language?render=overlay','default','Manage block types, including fields, settings, etc.','','7.34'),(480,'/pinteros/admin/config/regional/language?render=overlay','default','Add block type','','7.34'),(481,'/pinteros/admin/config/regional/language?render=overlay','default','Contact form','','7.34'),(482,'/pinteros/admin/config/regional/language?render=overlay','default','Create a system contact form and set up categories for the form to use.','','7.34'),(483,'/pinteros/admin/config/regional/language?render=overlay','default','Add category','','7.34'),(484,'/pinteros/admin/config/regional/language?render=overlay','default','TB Mega Menu','','7.34'),(485,'/pinteros/admin/config/regional/language?render=overlay','default','Request','','7.34'),(486,'/pinteros/admin/config/regional/language?render=overlay','default','Add new view','','7.34'),(487,'/pinteros/admin/config/regional/language?render=overlay','default','Add view from template','','7.34'),(488,'/pinteros/admin/config/regional/language?render=overlay','default','Advanced','','7.34'),(489,'/pinteros/admin/config/regional/language?render=overlay','default','Basic','','7.34'),(490,'/pinteros/admin/config/regional/language?render=overlay','default','view','','7.34'),(491,'/pinteros/admin/config/regional/language?render=overlay','default','View','','7.34'),(492,'/pinteros/admin/config/regional/language?render=overlay','default','views','','7.34'),(493,'/pinteros/admin/config/regional/language?render=overlay','default','Views','','7.34'),(494,'/pinteros/admin/config/regional/language?render=overlay','default','This action will permanently remove any customizations made to this view.','','7.34'),(495,'/pinteros/admin/config/regional/language?render=overlay','default','The view has been reverted.','','7.34'),(496,'/pinteros/admin/config/regional/language?render=overlay','default','This action will permanently remove the view from your database.','','7.34'),(497,'/pinteros/admin/config/regional/language?render=overlay','default','The view has been deleted.','','7.34'),(498,'/pinteros/admin/config/regional/language?render=overlay','default','Manage customized lists of content.','','7.34'),(499,'/pinteros/admin/config/regional/language?render=overlay','default','Forums','','7.34'),(500,'/pinteros/admin/config/regional/language?render=overlay','default','Control forum hierarchy settings.','','7.34'),(501,'/pinteros/admin/config/regional/language?render=overlay','default','Add container','','7.34'),(502,'/pinteros/admin/config/regional/language?render=overlay','default','Add forum','','7.34'),(503,'/pinteros/admin/config/regional/language?render=overlay','default','context','','7.34'),(504,'/pinteros/admin/config/regional/language?render=overlay','default','Context','','7.34'),(505,'/pinteros/admin/config/regional/language?render=overlay','default','contexts','','7.34'),(506,'/pinteros/admin/config/regional/language?render=overlay','default','Contexts','','7.34'),(507,'/pinteros/admin/config/regional/language?render=overlay','default','Associate menus, views, blocks, etc. with different contexts to structure your site.','','7.34'),(508,'/pinteros/admin/config/regional/language?render=overlay','default','Mega Menus','','7.34'),(509,'/pinteros/admin/config/regional/language?render=overlay','default','block','','7.34'),(510,'/pinteros/admin/config/regional/language?render=overlay','default','color','','7.34'),(511,'/pinteros/admin/config/regional/language?render=overlay','default','comment','','7.34'),(512,'/pinteros/admin/config/regional/language?render=overlay','default','contextual','','7.34'),(513,'/pinteros/admin/config/regional/language?render=overlay','default','dashboard','','7.34'),(514,'/pinteros/admin/config/regional/language?render=overlay','default','dblog','','7.34'),(515,'/pinteros/admin/config/regional/language?render=overlay','default','field','','7.34'),(516,'/pinteros/admin/config/regional/language?render=overlay','default','field_sql_storage','','7.34'),(517,'/pinteros/admin/config/regional/language?render=overlay','default','field_ui','','7.34'),(518,'/pinteros/admin/config/regional/language?render=overlay','default','file','','7.34'),(519,'/pinteros/admin/config/regional/language?render=overlay','default','filter','','7.34'),(520,'/pinteros/admin/config/regional/language?render=overlay','default','help','','7.34'),(521,'/pinteros/admin/config/regional/language?render=overlay','default','image','','7.34'),(522,'/pinteros/admin/config/regional/language?render=overlay','default','list','','7.34'),(523,'/pinteros/admin/config/regional/language?render=overlay','default','menu','','7.34'),(524,'/pinteros/admin/config/regional/language?render=overlay','default','node','','7.34'),(525,'/pinteros/admin/config/regional/language?render=overlay','default','number','','7.34'),(526,'/pinteros/admin/config/regional/language?render=overlay','default','options','','7.34'),(527,'/pinteros/admin/config/regional/language?render=overlay','default','overlay','','7.34'),(528,'/pinteros/admin/config/regional/language?render=overlay','default','path','','7.34'),(529,'/pinteros/admin/config/regional/language?render=overlay','default','search','','7.34'),(530,'/pinteros/admin/config/regional/language?render=overlay','default','shortcut','','7.34'),(531,'/pinteros/admin/config/regional/language?render=overlay','default','system','','7.34'),(532,'/pinteros/admin/config/regional/language?render=overlay','default','taxonomy','','7.34'),(533,'/pinteros/admin/config/regional/language?render=overlay','default','text','','7.34'),(534,'/pinteros/admin/config/regional/language?render=overlay','default','user','','7.34'),(535,'/pinteros/admin/config/regional/language?render=overlay','default','update','','7.34'),(536,'/pinteros/admin/config/regional/language?render=overlay','default','admin_menu','','7.34'),(537,'/pinteros/admin/config/regional/language?render=overlay','default','blog','','7.34'),(538,'/pinteros/admin/config/regional/language?render=overlay','default','contact','','7.34'),(539,'/pinteros/admin/config/regional/language?render=overlay','default','php','','7.34'),(540,'/pinteros/admin/config/regional/language?render=overlay','default','poll','','7.34'),(541,'/pinteros/admin/config/regional/language?render=overlay','default','fontawesome','','7.34'),(542,'/pinteros/admin/config/regional/language?render=overlay','default','token','','7.34'),(543,'/pinteros/admin/config/regional/language?render=overlay','default','forum','','7.34'),(544,'/pinteros/admin/config/regional/language?render=overlay','default','menu_breadcrumb','','7.34'),(545,'/pinteros/admin/config/regional/language?render=overlay','default','context_ui','','7.34'),(546,'/pinteros/admin/config/regional/language?render=overlay','default','clock','','7.34'),(547,'/pinteros/admin/config/regional/language?render=overlay','default','jquery_update','','7.34'),(548,'/pinteros/admin/config/regional/language?render=overlay','default','pathauto','','7.34'),(549,'/pinteros/admin/config/regional/language?render=overlay','default','locale','','7.34'),(550,'/pinteros/admin/config/regional/language?render=overlay','default','Field settings','','7.34'),(551,'/pinteros/admin/config/regional/language?render=overlay','default','Widget type','','7.34'),(552,'/pinteros/admin/config/regional/language?render=overlay','default','Add link','','7.34'),(553,'/pinteros/admin/config/regional/language?render=overlay','default','Delete menu','','7.34'),(554,'/pinteros/admin/config/regional/language?render=overlay','default','Edit menu','','7.34'),(555,'/pinteros/admin/config/regional/language?render=overlay','default','List links','','7.34'),(556,'/pinteros/admin/config/regional/language?render=overlay','default','Add term','','7.34'),(557,'/pinteros/admin/config/regional/language?render=overlay','default','Comments are responses to node content.','','7.34'),(558,'/pinteros/admin/config/regional/language?render=overlay','default','The title of the comment.','','7.34'),(559,'/pinteros/admin/config/regional/language?render=overlay','default','ID','','7.34'),(560,'/pinteros/admin/config/regional/language?render=overlay','default','The comment ID of the field','','7.34'),(561,'/pinteros/admin/config/regional/language?render=overlay','default','Author','','7.34'),(562,'/pinteros/admin/config/regional/language?render=overlay','default','The name of the comment\'s author. Can be rendered as a link to the author\'s homepage.','','7.34'),(563,'/pinteros/admin/config/regional/language?render=overlay','default','Author\'s website','','7.34'),(564,'/pinteros/admin/config/regional/language?render=overlay','default','The website address of the comment\'s author. Can be rendered as a link. Will be empty if the author is a registered user.','','7.34'),(565,'/pinteros/admin/config/regional/language?render=overlay','default','Hostname','','7.34'),(566,'/pinteros/admin/config/regional/language?render=overlay','default','Hostname of user that posted the comment.','','7.34'),(567,'/pinteros/admin/config/regional/language?render=overlay','default','Mail','','7.34'),(568,'/pinteros/admin/config/regional/language?render=overlay','default','Email of user that posted the comment. Will be empty if the author is a registered user.','','7.34'),(569,'/pinteros/admin/config/regional/language?render=overlay','default','Post date','','7.34'),(570,'/pinteros/admin/config/regional/language?render=overlay','default','Date and time of when the comment was created.','','7.34'),(571,'/pinteros/admin/config/regional/language?render=overlay','default','Language','','7.34'),(572,'/pinteros/admin/config/regional/language?render=overlay','default','The language the comment is in.','','7.34'),(573,'/pinteros/admin/config/regional/language?render=overlay','default','Updated date','','7.34'),(574,'/pinteros/admin/config/regional/language?render=overlay','default','Date and time of when the comment was last updated.','','7.34'),(575,'/pinteros/admin/config/regional/language?render=overlay','default','Created date','','7.34'),(576,'/pinteros/admin/config/regional/language?render=overlay','default','Date in the form of CCYYMMDD.','','7.34'),(577,'/pinteros/admin/config/regional/language?render=overlay','default','Created year + month','','7.34'),(578,'/pinteros/admin/config/regional/language?render=overlay','default','Date in the form of YYYYMM.','','7.34'),(579,'/pinteros/admin/config/regional/language?render=overlay','default','Created year','','7.34'),(580,'/pinteros/admin/config/regional/language?render=overlay','default','Date in the form of YYYY.','','7.34'),(581,'/pinteros/admin/config/regional/language?render=overlay','default','Created month','','7.34'),(582,'/pinteros/admin/config/regional/language?render=overlay','default','Date in the form of MM (01 - 12).','','7.34'),(583,'/pinteros/admin/config/regional/language?render=overlay','default','Created day','','7.34'),(584,'/pinteros/admin/config/regional/language?render=overlay','default','Date in the form of DD (01 - 31).','','7.34'),(585,'/pinteros/admin/config/regional/language?render=overlay','default','Created week','','7.34'),(586,'/pinteros/admin/config/regional/language?render=overlay','default','Date in the form of WW (01 - 53).','','7.34'),(587,'/pinteros/admin/config/regional/language?render=overlay','default','Approved','','7.34'),(588,'/pinteros/admin/config/regional/language?render=overlay','default','Whether the comment is approved (or still in the moderation queue).','','7.34'),(589,'/pinteros/admin/config/regional/language?render=overlay','default','Not Approved','','7.34'),(590,'/pinteros/admin/config/regional/language?render=overlay','default','Approved comment','','7.34'),(591,'/pinteros/admin/config/regional/language?render=overlay','default','View link','','7.34'),(592,'/pinteros/admin/config/regional/language?render=overlay','default','Provide a simple link to view the comment.','','7.34'),(593,'/pinteros/admin/config/regional/language?render=overlay','default','Edit link','','7.34'),(594,'/pinteros/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the comment.','','7.34'),(595,'/pinteros/admin/config/regional/language?render=overlay','default','Delete link','','7.34'),(596,'/pinteros/admin/config/regional/language?render=overlay','default','Provide a simple link to delete the comment.','','7.34'),(597,'/pinteros/admin/config/regional/language?render=overlay','default','Approve link','','7.34'),(598,'/pinteros/admin/config/regional/language?render=overlay','default','Provide a simple link to approve the comment.','','7.34'),(599,'/pinteros/admin/config/regional/language?render=overlay','default','Reply-to link','','7.34'),(600,'/pinteros/admin/config/regional/language?render=overlay','default','Provide a simple link to reply to the comment.','','7.34'),(601,'/pinteros/admin/config/regional/language?render=overlay','default','Depth','','7.34'),(602,'/pinteros/admin/config/regional/language?render=overlay','default','Display the depth of the comment if it is threaded.','','7.34'),(603,'/pinteros/admin/config/regional/language?render=overlay','default','Thread','','7.34'),(604,'/pinteros/admin/config/regional/language?render=overlay','default','Sort by the threaded order. This will keep child comments together with their parents.','','7.34'),(605,'/pinteros/admin/config/regional/language?render=overlay','default','Nid','','7.34'),(606,'/pinteros/admin/config/regional/language?render=overlay','default','The node ID to which the comment is a reply to.','','7.34'),(607,'/pinteros/admin/config/regional/language?render=overlay','default','The content to which the comment is a reply to.','','7.34'),(608,'/pinteros/admin/config/regional/language?render=overlay','default','Author uid','','7.34'),(609,'/pinteros/admin/config/regional/language?render=overlay','default','If you need more fields than the uid add the comment: author relationship','','7.34'),(610,'/pinteros/admin/config/regional/language?render=overlay','default','The User ID of the comment\'s author.','','7.34'),(611,'/pinteros/admin/config/regional/language?render=overlay','default','author','','7.34'),(612,'/pinteros/admin/config/regional/language?render=overlay','default','Parent CID','','7.34'),(613,'/pinteros/admin/config/regional/language?render=overlay','default','The Comment ID of the parent comment.','','7.34'),(614,'/pinteros/admin/config/regional/language?render=overlay','default','Parent comment','','7.34'),(615,'/pinteros/admin/config/regional/language?render=overlay','default','The parent comment.','','7.34'),(616,'/pinteros/admin/config/regional/language?render=overlay','default','Last comment time','','7.34'),(617,'/pinteros/admin/config/regional/language?render=overlay','default','Date and time of when the last comment was posted.','','7.34'),(618,'/pinteros/admin/config/regional/language?render=overlay','default','Last comment author','','7.34'),(619,'/pinteros/admin/config/regional/language?render=overlay','default','The name of the author of the last posted comment.','','7.34'),(620,'/pinteros/admin/config/regional/language?render=overlay','default','Comment count','','7.34'),(621,'/pinteros/admin/config/regional/language?render=overlay','default','The number of comments a node has.','','7.34'),(622,'/pinteros/admin/config/regional/language?render=overlay','default','Updated/commented date','','7.34'),(623,'/pinteros/admin/config/regional/language?render=overlay','default','The most recent of last comment posted or node updated time.','','7.34'),(624,'/pinteros/admin/config/regional/language?render=overlay','default','Last comment CID','','7.34'),(625,'/pinteros/admin/config/regional/language?render=overlay','default','Display the last comment of a node','','7.34'),(626,'/pinteros/admin/config/regional/language?render=overlay','default','Last Comment','','7.34'),(627,'/pinteros/admin/config/regional/language?render=overlay','default','The last comment of a node.','','7.34'),(628,'/pinteros/admin/config/regional/language?render=overlay','default','Last comment uid','','7.34'),(629,'/pinteros/admin/config/regional/language?render=overlay','default','The User ID of the author of the last comment of a node.','','7.34'),(630,'/pinteros/admin/config/regional/language?render=overlay','default','@entity \"@property\" property.','','7.34'),(631,'/pinteros/admin/config/regional/language?render=overlay','default','Machine-readable name','','7.34'),(632,'/pinteros/admin/config/regional/language?render=overlay','default','The machine-readable name identifying this @entity.','','7.34'),(633,'/pinteros/admin/config/regional/language?render=overlay','default','Internal, numeric @entity ID','','7.34'),(634,'/pinteros/admin/config/regional/language?render=overlay','default','The ID used to identify this @entity internally.','','7.34'),(635,'/pinteros/admin/config/regional/language?render=overlay','default','The human readable label.','','7.34'),(636,'/pinteros/admin/config/regional/language?render=overlay','default','URL','','7.34'),(637,'/pinteros/admin/config/regional/language?render=overlay','default','The URL of the entity.','','7.34'),(638,'/pinteros/admin/config/regional/language?render=overlay','default','The bean label','','7.34'),(639,'/pinteros/admin/config/regional/language?render=overlay','default','The bean title','','7.34'),(640,'/pinteros/admin/config/regional/language?render=overlay','default','View Mode','','7.34'),(641,'/pinteros/admin/config/regional/language?render=overlay','default','View mode of the bean','','7.34'),(642,'/pinteros/admin/config/regional/language?render=overlay','default','The delta of the block','','7.34'),(643,'/pinteros/admin/config/regional/language?render=overlay','default','Block Delta','','7.34'),(644,'/pinteros/admin/config/regional/language?render=overlay','default','The bean type.','','7.34'),(645,'/pinteros/admin/config/regional/language?render=overlay','default','Comment ID','','7.34'),(646,'/pinteros/admin/config/regional/language?render=overlay','default','The unique ID of the comment.','','7.34'),(647,'/pinteros/admin/config/regional/language?render=overlay','default','IP Address','','7.34'),(648,'/pinteros/admin/config/regional/language?render=overlay','default','The IP address of the computer the comment was posted from.','','7.34'),(649,'/pinteros/admin/config/regional/language?render=overlay','default','Name','','7.34'),(650,'/pinteros/admin/config/regional/language?render=overlay','default','The name left by the comment author.','','7.34'),(651,'/pinteros/admin/config/regional/language?render=overlay','default','Email address','','7.34'),(652,'/pinteros/admin/config/regional/language?render=overlay','default','The email address left by the comment author.','','7.34'),(653,'/pinteros/admin/config/regional/language?render=overlay','default','Home page','','7.34'),(654,'/pinteros/admin/config/regional/language?render=overlay','default','The home page URL left by the comment author.','','7.34'),(655,'/pinteros/admin/config/regional/language?render=overlay','default','The subject of the comment.','','7.34'),(656,'/pinteros/admin/config/regional/language?render=overlay','default','The URL of the comment.','','7.34'),(657,'/pinteros/admin/config/regional/language?render=overlay','default','Edit URL','','7.34'),(658,'/pinteros/admin/config/regional/language?render=overlay','default','The URL of the comment\'s edit page.','','7.34'),(659,'/pinteros/admin/config/regional/language?render=overlay','default','Date created','','7.34'),(660,'/pinteros/admin/config/regional/language?render=overlay','default','The date the comment was posted.','','7.34'),(661,'/pinteros/admin/config/regional/language?render=overlay','default','Parent','','7.34'),(662,'/pinteros/admin/config/regional/language?render=overlay','default','The comment\'s parent, if comment threading is active.','','7.34'),(663,'/pinteros/admin/config/regional/language?render=overlay','default','The node the comment was posted to.','','7.34'),(664,'/pinteros/admin/config/regional/language?render=overlay','default','The author of the comment.','','7.34'),(665,'/pinteros/admin/config/regional/language?render=overlay','default','Status','','7.34'),(666,'/pinteros/admin/config/regional/language?render=overlay','default','Whether the comment is published or unpublished.','','7.34'),(667,'/pinteros/admin/config/regional/language?render=overlay','default','Field \"@name\".','','7.34'),(668,'/pinteros/admin/config/regional/language?render=overlay','default','Summary','','7.34'),(669,'/pinteros/admin/config/regional/language?render=overlay','default','Text format','','7.34'),(670,'/pinteros/admin/config/regional/language?render=overlay','default','The file.','','7.34'),(671,'/pinteros/admin/config/regional/language?render=overlay','default','The file description','','7.34'),(672,'/pinteros/admin/config/regional/language?render=overlay','default','Whether the file is being displayed.','','7.34'),(673,'/pinteros/admin/config/regional/language?render=overlay','default','The image file.','','7.34'),(674,'/pinteros/admin/config/regional/language?render=overlay','default','The \"Alt\" attribute text','','7.34'),(675,'/pinteros/admin/config/regional/language?render=overlay','default','The \"Title\" attribute text','','7.34'),(676,'/pinteros/admin/config/regional/language?render=overlay','default','!label of field %name','','7.34'),(677,'/pinteros/admin/config/regional/language?render=overlay','default','Node ID','','7.34'),(678,'/pinteros/admin/config/regional/language?render=overlay','default','The unique ID of the node.','','7.34'),(679,'/pinteros/admin/config/regional/language?render=overlay','default','Revision ID','','7.34'),(680,'/pinteros/admin/config/regional/language?render=overlay','default','The unique ID of the node\'s revision.','','7.34'),(681,'/pinteros/admin/config/regional/language?render=overlay','default','Is new','','7.34'),(682,'/pinteros/admin/config/regional/language?render=overlay','default','Whether the node is new and not saved to the database yet.','','7.34'),(683,'/pinteros/admin/config/regional/language?render=overlay','default','Content type','','7.34'),(684,'/pinteros/admin/config/regional/language?render=overlay','default','The type of the node.','','7.34'),(685,'/pinteros/admin/config/regional/language?render=overlay','default','The title of the node.','','7.34'),(686,'/pinteros/admin/config/regional/language?render=overlay','default','The language the node is written in.','','7.34'),(687,'/pinteros/admin/config/regional/language?render=overlay','default','The URL of the node.','','7.34'),(688,'/pinteros/admin/config/regional/language?render=overlay','default','The URL of the node\'s edit page.','','7.34'),(689,'/pinteros/admin/config/regional/language?render=overlay','default','Whether the node is published or unpublished.','','7.34'),(690,'/pinteros/admin/config/regional/language?render=overlay','default','Promoted to frontpage','','7.34'),(691,'/pinteros/admin/config/regional/language?render=overlay','default','Whether the node is promoted to the frontpage.','','7.34'),(692,'/pinteros/admin/config/regional/language?render=overlay','default','Sticky in lists','','7.34'),(693,'/pinteros/admin/config/regional/language?render=overlay','default','Whether the node is displayed at the top of lists in which it appears.','','7.34'),(694,'/pinteros/admin/config/regional/language?render=overlay','default','The date the node was posted.','','7.34'),(695,'/pinteros/admin/config/regional/language?render=overlay','default','Date changed','','7.34'),(696,'/pinteros/admin/config/regional/language?render=overlay','default','The date the node was most recently updated.','','7.34'),(697,'/pinteros/admin/config/regional/language?render=overlay','default','The author of the node.','','7.34'),(698,'/pinteros/admin/config/regional/language?render=overlay','default','Translation source node','','7.34'),(699,'/pinteros/admin/config/regional/language?render=overlay','default','The original-language version of this node, if one exists.','','7.34'),(700,'/pinteros/admin/config/regional/language?render=overlay','default','Revision log message','','7.34'),(701,'/pinteros/admin/config/regional/language?render=overlay','default','In case a new revision is to be saved, the log entry explaining the changes for this version.','','7.34'),(702,'/pinteros/admin/config/regional/language?render=overlay','default','Creates revision','','7.34'),(703,'/pinteros/admin/config/regional/language?render=overlay','default','Whether saving this node creates a new revision.','','7.34'),(704,'/pinteros/admin/config/regional/language?render=overlay','default','Term ID','','7.34'),(705,'/pinteros/admin/config/regional/language?render=overlay','default','The unique ID of the taxonomy term.','','7.34'),(706,'/pinteros/admin/config/regional/language?render=overlay','default','The name of the taxonomy term.','','7.34'),(707,'/pinteros/admin/config/regional/language?render=overlay','default','Description','','7.34'),(708,'/pinteros/admin/config/regional/language?render=overlay','default','The optional description of the taxonomy term.','','7.34'),(709,'/pinteros/admin/config/regional/language?render=overlay','default','Weight','','7.34'),(710,'/pinteros/admin/config/regional/language?render=overlay','default','The weight of the term, which is used for ordering terms during display.','','7.34'),(711,'/pinteros/admin/config/regional/language?render=overlay','default','Node count','','7.34'),(712,'/pinteros/admin/config/regional/language?render=overlay','default','The number of nodes tagged with the taxonomy term.','','7.34'),(713,'/pinteros/admin/config/regional/language?render=overlay','default','The URL of the taxonomy term.','','7.34'),(714,'/pinteros/admin/config/regional/language?render=overlay','default','Vocabulary','','7.34'),(715,'/pinteros/admin/config/regional/language?render=overlay','default','The vocabulary the taxonomy term belongs to.','','7.34'),(716,'/pinteros/admin/config/regional/language?render=overlay','default','Parent terms','','7.34'),(717,'/pinteros/admin/config/regional/language?render=overlay','default','The parent terms of the taxonomy term.','','7.34'),(718,'/pinteros/admin/config/regional/language?render=overlay','default','All parent terms','','7.34'),(719,'/pinteros/admin/config/regional/language?render=overlay','default','Ancestors of the term, i.e. parent of all above hierarchy levels.','','7.34'),(720,'/pinteros/admin/config/regional/language?render=overlay','default','Vocabulary ID','','7.34'),(721,'/pinteros/admin/config/regional/language?render=overlay','default','The unique ID of the taxonomy vocabulary.','','7.34'),(722,'/pinteros/admin/config/regional/language?render=overlay','default','The name of the taxonomy vocabulary.','','7.34'),(723,'/pinteros/admin/config/regional/language?render=overlay','default','Machine name','','7.34'),(724,'/pinteros/admin/config/regional/language?render=overlay','default','The machine name of the taxonomy vocabulary.','','7.34'),(725,'/pinteros/admin/config/regional/language?render=overlay','default','The optional description of the taxonomy vocabulary.','','7.34'),(726,'/pinteros/admin/config/regional/language?render=overlay','default','Term count','','7.34'),(727,'/pinteros/admin/config/regional/language?render=overlay','default','The number of terms belonging to the taxonomy vocabulary.','','7.34'),(728,'/pinteros/admin/config/regional/language?render=overlay','default','User ID','','7.34'),(729,'/pinteros/admin/config/regional/language?render=overlay','default','The unique ID of the user account.','','7.34'),(730,'/pinteros/admin/config/regional/language?render=overlay','default','The login name of the user account.','','7.34'),(731,'/pinteros/admin/config/regional/language?render=overlay','default','Email','','7.34'),(732,'/pinteros/admin/config/regional/language?render=overlay','default','The email address of the user account.','','7.34'),(733,'/pinteros/admin/config/regional/language?render=overlay','default','The URL of the account profile page.','','7.34'),(734,'/pinteros/admin/config/regional/language?render=overlay','default','The url of the account edit page.','','7.34'),(735,'/pinteros/admin/config/regional/language?render=overlay','default','Last access','','7.34'),(736,'/pinteros/admin/config/regional/language?render=overlay','default','The date the user last accessed the site.','','7.34'),(737,'/pinteros/admin/config/regional/language?render=overlay','default','Last login','','7.34'),(738,'/pinteros/admin/config/regional/language?render=overlay','default','The date the user last logged in to the site.','','7.34'),(739,'/pinteros/admin/config/regional/language?render=overlay','default','Created','','7.34'),(740,'/pinteros/admin/config/regional/language?render=overlay','default','The date the user account was created.','','7.34'),(741,'/pinteros/admin/config/regional/language?render=overlay','default','User roles','','7.34'),(742,'/pinteros/admin/config/regional/language?render=overlay','default','The roles of the user.','','7.34'),(743,'/pinteros/admin/config/regional/language?render=overlay','default','Whether the user is active or blocked.','','7.34'),(744,'/pinteros/admin/config/regional/language?render=overlay','default','Default theme','','7.34'),(745,'/pinteros/admin/config/regional/language?render=overlay','default','The user\'s default theme.','','7.34'),(746,'/pinteros/admin/config/regional/language?render=overlay','default','The name of the site.','','7.34'),(747,'/pinteros/admin/config/regional/language?render=overlay','default','Slogan','','7.34'),(748,'/pinteros/admin/config/regional/language?render=overlay','default','The slogan of the site.','','7.34'),(749,'/pinteros/admin/config/regional/language?render=overlay','default','The administrative email address for the site.','','7.34'),(750,'/pinteros/admin/config/regional/language?render=overlay','default','The URL of the site\'s front page.','','7.34'),(751,'/pinteros/admin/config/regional/language?render=overlay','default','Login page','','7.34'),(752,'/pinteros/admin/config/regional/language?render=overlay','default','The URL of the site\'s login page.','','7.34'),(753,'/pinteros/admin/config/regional/language?render=overlay','default','Logged in user','','7.34'),(754,'/pinteros/admin/config/regional/language?render=overlay','default','The currently logged in user.','','7.34'),(755,'/pinteros/admin/config/regional/language?render=overlay','default','Current date','','7.34'),(756,'/pinteros/admin/config/regional/language?render=overlay','default','The current date and time.','','7.34'),(757,'/pinteros/admin/config/regional/language?render=overlay','default','Current page','','7.34'),(758,'/pinteros/admin/config/regional/language?render=overlay','default','Information related to the current page request.','','7.34'),(759,'/pinteros/admin/config/regional/language?render=overlay','default','Path','','7.34'),(760,'/pinteros/admin/config/regional/language?render=overlay','default','The internal Drupal path of the current page request.','','7.34'),(761,'/pinteros/admin/config/regional/language?render=overlay','default','The full URL of the current page request.','','7.34'),(762,'/pinteros/admin/config/regional/language?render=overlay','default','File ID','','7.34'),(763,'/pinteros/admin/config/regional/language?render=overlay','default','The unique ID of the uploaded file.','','7.34'),(764,'/pinteros/admin/config/regional/language?render=overlay','default','File name','','7.34'),(765,'/pinteros/admin/config/regional/language?render=overlay','default','The name of the file on disk.','','7.34'),(766,'/pinteros/admin/config/regional/language?render=overlay','default','MIME type','','7.34'),(767,'/pinteros/admin/config/regional/language?render=overlay','default','The MIME type of the file.','','7.34'),(768,'/pinteros/admin/config/regional/language?render=overlay','default','File size','','7.34'),(769,'/pinteros/admin/config/regional/language?render=overlay','default','The size of the file, in kilobytes.','','7.34'),(770,'/pinteros/admin/config/regional/language?render=overlay','default','The web-accessible URL for the file.','','7.34'),(771,'/pinteros/admin/config/regional/language?render=overlay','default','Timestamp','','7.34'),(772,'/pinteros/admin/config/regional/language?render=overlay','default','The date the file was most recently changed.','','7.34'),(773,'/pinteros/admin/config/regional/language?render=overlay','default','Owner','','7.34'),(774,'/pinteros/admin/config/regional/language?render=overlay','default','The user who originally uploaded the file.','','7.34'),(775,'/pinteros/admin/config/regional/language?render=overlay','default','Comments allowed','','7.34'),(776,'/pinteros/admin/config/regional/language?render=overlay','default','Whether comments are allowed on this node: 0 = no, 1 = closed (read only), 2 = open (read/write).','','7.34'),(777,'/pinteros/admin/config/regional/language?render=overlay','default','The node comments.','','7.34'),(778,'/pinteros/admin/config/regional/language?render=overlay','default','The number of comments posted on a node.','','7.34'),(779,'/pinteros/admin/config/regional/language?render=overlay','default','New comment count','','7.34'),(780,'/pinteros/admin/config/regional/language?render=overlay','default','The number of comments posted on a node since the reader last viewed it.','','7.34'),(781,'/pinteros/admin/config/regional/language?render=overlay','default','The main body text','','7.34'),(782,'/pinteros/admin/config/regional/language?render=overlay','default','This account\'s default language for e-mails, and preferred language for site presentation.','','7.34'),(783,'/pinteros/admin/config/regional/language?render=overlay','default','Interface language','','7.34'),(784,'/pinteros/admin/config/regional/language?render=overlay','default','The language code of the current user interface language.','','7.34'),(785,'/pinteros/admin/config/regional/language?render=overlay','default','Content language','','7.34'),(786,'/pinteros/admin/config/regional/language?render=overlay','default','The language code of the current content language.','','7.34'),(787,'/pinteros/admin/config/regional/language?render=overlay','default','Revisions','','7.34'),(788,'/pinteros/admin/config/regional/language?render=overlay','default','(No information available)','','7.34'),(789,'/pinteros/admin/config/regional/language?render=overlay','default','Rendered @entity-type','','7.34'),(790,'/pinteros/admin/config/regional/language?render=overlay','default','The @entity-type of the current relationship rendered using a view mode.','','7.34'),(791,'/pinteros/admin/config/regional/language?render=overlay','default','Entity','','7.34'),(792,'/pinteros/admin/config/regional/language?render=overlay','default','Displays a single chosen entity.','','7.34'),(793,'/pinteros/admin/config/regional/language?render=overlay','default','@entity:@bundle','','7.34'),(794,'/pinteros/admin/config/regional/language?render=overlay','default','Appears in: @bundles.','','7.34'),(795,'/pinteros/admin/config/regional/language?render=overlay','default','@group: @field','','7.34'),(796,'/pinteros/admin/config/regional/language?render=overlay','default','@label (!name)','','7.34'),(797,'/pinteros/admin/config/regional/language?render=overlay','default','- No value -','','7.34'),(798,'/pinteros/admin/config/regional/language?render=overlay','default','@label (!name:!column)','','7.34'),(799,'/pinteros/admin/config/regional/language?render=overlay','default','@label:!column','','7.34'),(800,'/pinteros/admin/config/regional/language?render=overlay','default','@group (historical data)','','7.34'),(801,'/pinteros/admin/config/regional/language?render=overlay','default','@group (historical data): @field','','7.34'),(802,'/pinteros/admin/config/regional/language?render=overlay','default','Field','','7.34'),(803,'/pinteros/admin/config/regional/language?render=overlay','default','This is an alias of @group: @field.','','7.34'),(804,'/pinteros/admin/config/regional/language?render=overlay','default','Also known as: !also.','','7.34'),(805,'/pinteros/admin/config/regional/language?render=overlay','default','@label (!name:delta)','','7.34'),(806,'/pinteros/admin/config/regional/language?render=overlay','default','@label:delta','','7.34'),(807,'/pinteros/admin/config/regional/language?render=overlay','default','Delta - Appears in: @bundles.','','7.34'),(808,'/pinteros/admin/config/regional/language?render=overlay','default','term from !field_name','','7.34'),(809,'/pinteros/admin/config/regional/language?render=overlay','default','image from !field_name','','7.34'),(810,'/pinteros/admin/config/regional/language?render=overlay','default','video from !field_name','','7.34'),(811,'/pinteros/admin/config/regional/language?render=overlay','default','video thumbnail from !field_name','','7.34'),(812,'/pinteros/admin/config/regional/language?render=overlay','default','@field-label - @property-label','','7.34'),(813,'/pinteros/admin/config/regional/language?render=overlay','default','@entity entity referenced from !field_name','','7.34'),(814,'/pinteros/admin/config/regional/language?render=overlay','default','Referenced Entity','','7.34'),(815,'/pinteros/admin/config/regional/language?render=overlay','default','A bridge to the @entity entity that is referenced via !field_name','','7.34'),(816,'/pinteros/admin/config/regional/language?render=overlay','default','Locale source','','7.34'),(817,'/pinteros/admin/config/regional/language?render=overlay','default','A source string for translation, in English or the default site language.','','7.34'),(818,'/pinteros/admin/config/regional/language?render=overlay','default','LID','','7.34'),(819,'/pinteros/admin/config/regional/language?render=overlay','default','The ID of the source string.','','7.34'),(820,'/pinteros/admin/config/regional/language?render=overlay','default','Location','','7.34'),(821,'/pinteros/admin/config/regional/language?render=overlay','default','A description of the location or context of the string.','','7.34'),(822,'/pinteros/admin/config/regional/language?render=overlay','default','Group','','7.34'),(823,'/pinteros/admin/config/regional/language?render=overlay','default','The group the translation is in.','','7.34'),(824,'/pinteros/admin/config/regional/language?render=overlay','default','Source','','7.34'),(825,'/pinteros/admin/config/regional/language?render=overlay','default','The full original string.','','7.34'),(826,'/pinteros/admin/config/regional/language?render=overlay','default','Version','','7.34'),(827,'/pinteros/admin/config/regional/language?render=overlay','default','The version of Drupal core that this string is for.','','7.34'),(828,'/pinteros/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the translations.','','7.34'),(829,'/pinteros/admin/config/regional/language?render=overlay','default','Locale target','','7.34'),(830,'/pinteros/admin/config/regional/language?render=overlay','default','Translation','','7.34'),(831,'/pinteros/admin/config/regional/language?render=overlay','default','The full translation string.','','7.34'),(832,'/pinteros/admin/config/regional/language?render=overlay','default','The language this translation is in.','','7.34'),(833,'/pinteros/admin/config/regional/language?render=overlay','default','Singular LID','','7.34'),(834,'/pinteros/admin/config/regional/language?render=overlay','default','The ID of the parent translation.','','7.34'),(835,'/pinteros/admin/config/regional/language?render=overlay','default','Plural','','7.34'),(836,'/pinteros/admin/config/regional/language?render=overlay','default','Whether or not the translation is plural.','','7.34'),(837,'/pinteros/admin/config/regional/language?render=overlay','default','Nlid','','7.34'),(838,'/pinteros/admin/config/regional/language?render=overlay','default','The newsletter list ID.','','7.34'),(839,'/pinteros/admin/config/regional/language?render=overlay','default','The newsletter list name.','','7.34'),(840,'/pinteros/admin/config/regional/language?render=overlay','default','Send rate','','7.34'),(841,'/pinteros/admin/config/regional/language?render=overlay','default','The newsletter list send rate.','','7.34'),(842,'/pinteros/admin/config/regional/language?render=overlay','default','Last sent','','7.34'),(843,'/pinteros/admin/config/regional/language?render=overlay','default','The newsletter list last sent date.','','7.34'),(844,'/pinteros/admin/config/regional/language?render=overlay','default','Send again','','7.34'),(845,'/pinteros/admin/config/regional/language?render=overlay','default','The newsletter list send again date.','','7.34'),(846,'/pinteros/admin/config/regional/language?render=overlay','default','The date the newsletter list was created.','','7.34'),(847,'/pinteros/admin/config/regional/language?render=overlay','default','Nnid','','7.34'),(848,'/pinteros/admin/config/regional/language?render=overlay','default','The newsletter ID.','','7.34'),(849,'/pinteros/admin/config/regional/language?render=overlay','default','The newsletter title.','','7.34'),(850,'/pinteros/admin/config/regional/language?render=overlay','default','Send ID','','7.34'),(851,'/pinteros/admin/config/regional/language?render=overlay','default','The times a newsletter has been sent.','','7.34'),(852,'/pinteros/admin/config/regional/language?render=overlay','default','Custom','','7.34'),(853,'/pinteros/admin/config/regional/language?render=overlay','default','Whether this newsletter sent as a custom one.','','7.34'),(854,'/pinteros/admin/config/regional/language?render=overlay','default','Template ID','','7.34'),(855,'/pinteros/admin/config/regional/language?render=overlay','default','The newsletter template ({newsletter_template}.ntid) this newsletter used.','','7.34'),(856,'/pinteros/admin/config/regional/language?render=overlay','default','Subscribers sent','','7.34'),(857,'/pinteros/admin/config/regional/language?render=overlay','default','The number of the subscribers a newsletter has been sent to.','','7.34'),(858,'/pinteros/admin/config/regional/language?render=overlay','default','Clicks','','7.34'),(859,'/pinteros/admin/config/regional/language?render=overlay','default','The number of clicks a newsletter gathered.','','7.34'),(860,'/pinteros/admin/config/regional/language?render=overlay','default','Opens','','7.34'),(861,'/pinteros/admin/config/regional/language?render=overlay','default','The number of opens a newsletter gathered.','','7.34'),(862,'/pinteros/admin/config/regional/language?render=overlay','default','The newsletter last sent date.','','7.34'),(863,'/pinteros/admin/config/regional/language?render=overlay','default','Nsid','','7.34'),(864,'/pinteros/admin/config/regional/language?render=overlay','default','The newsletter subscriber ID.','','7.34'),(865,'/pinteros/admin/config/regional/language?render=overlay','default','Uid','','7.34'),(866,'/pinteros/admin/config/regional/language?render=overlay','default','The newsletter subscriber user ID.','','7.34'),(867,'/pinteros/admin/config/regional/language?render=overlay','default','The newsletter subscriber email.','','7.34'),(868,'/pinteros/admin/config/regional/language?render=overlay','default','First name','','7.34'),(869,'/pinteros/admin/config/regional/language?render=overlay','default','The newsletter subscriber first name.','','7.34'),(870,'/pinteros/admin/config/regional/language?render=overlay','default','Last name','','7.34'),(871,'/pinteros/admin/config/regional/language?render=overlay','default','The newsletter subscriber last name.','','7.34'),(872,'/pinteros/admin/config/regional/language?render=overlay','default','Gender','','7.34'),(873,'/pinteros/admin/config/regional/language?render=overlay','default','The newsletter subscriber gender.','','7.34'),(874,'/pinteros/admin/config/regional/language?render=overlay','default','Receive format','','7.34'),(875,'/pinteros/admin/config/regional/language?render=overlay','default','The newsletter subscriber receive format.','','7.34'),(876,'/pinteros/admin/config/regional/language?render=overlay','default','IP','','7.34'),(877,'/pinteros/admin/config/regional/language?render=overlay','default','The newsletter subscriber IP address.','','7.34'),(878,'/pinteros/admin/config/regional/language?render=overlay','default','Hash','','7.34'),(879,'/pinteros/admin/config/regional/language?render=overlay','default','The newsletter subscriber unique hash.','','7.34'),(880,'/pinteros/admin/config/regional/language?render=overlay','default','Confirmed','','7.34'),(881,'/pinteros/admin/config/regional/language?render=overlay','default','Whether this subscriber has confirmed his subscription.','','7.34'),(882,'/pinteros/admin/config/regional/language?render=overlay','default','Confirmation date','','7.34'),(883,'/pinteros/admin/config/regional/language?render=overlay','default','The date the newsletter subscriber confirmed his subscription.','','7.34'),(884,'/pinteros/admin/config/regional/language?render=overlay','default','The date the newsletter subscriber was created.','','7.34'),(885,'/pinteros/admin/config/regional/language?render=overlay','default','Ntid','','7.34'),(886,'/pinteros/admin/config/regional/language?render=overlay','default','The newsletter template ID.','','7.34'),(887,'/pinteros/admin/config/regional/language?render=overlay','default','The newsletter template subject.','','7.34'),(888,'/pinteros/admin/config/regional/language?render=overlay','default','Whether this template is basic or not.','','7.34'),(889,'/pinteros/admin/config/regional/language?render=overlay','default','Exposed','','7.34'),(890,'/pinteros/admin/config/regional/language?render=overlay','default','Whether this list is exposed or not','','7.34'),(891,'/pinteros/admin/config/regional/language?render=overlay','default','The date the newsletter template was created.','','7.34'),(892,'/pinteros/admin/config/regional/language?render=overlay','default','The node ID.','','7.34'),(893,'/pinteros/admin/config/regional/language?render=overlay','default','The content title.','','7.34'),(894,'/pinteros/admin/config/regional/language?render=overlay','default','The date the content was posted.','','7.34'),(895,'/pinteros/admin/config/regional/language?render=overlay','default','The date the content was last updated.','','7.34'),(896,'/pinteros/admin/config/regional/language?render=overlay','default','Type','','7.34'),(897,'/pinteros/admin/config/regional/language?render=overlay','default','The content type (for example, \"blog entry\", \"forum post\", \"story\", etc).','','7.34'),(898,'/pinteros/admin/config/regional/language?render=overlay','default','Published','','7.34'),(899,'/pinteros/admin/config/regional/language?render=overlay','default','Whether or not the content is published.','','7.34'),(900,'/pinteros/admin/config/regional/language?render=overlay; modules/node/node.js; modules/node/content_types.js','default','Not published','','7.34'),(901,'/pinteros/admin/config/regional/language?render=overlay','default','Published or admin','','7.34'),(902,'/pinteros/admin/config/regional/language?render=overlay','default','Filters out unpublished content if the current user cannot view it.','','7.34'),(903,'/pinteros/admin/config/regional/language?render=overlay','default','Promoted to front page','','7.34'),(904,'/pinteros/admin/config/regional/language?render=overlay','default','Whether or not the content is promoted to the front page.','','7.34'),(905,'/pinteros/admin/config/regional/language?render=overlay','default','Promoted','','7.34'),(906,'/pinteros/admin/config/regional/language?render=overlay','default','Not promoted','','7.34'),(907,'/pinteros/admin/config/regional/language?render=overlay','default','Sticky','','7.34'),(908,'/pinteros/admin/config/regional/language?render=overlay','default','Whether or not the content is sticky.','','7.34'),(909,'/pinteros/admin/config/regional/language?render=overlay','default','Not sticky','','7.34'),(910,'/pinteros/admin/config/regional/language?render=overlay','default','Whether or not the content is sticky. To list sticky content first, set this to descending.','','7.34'),(911,'/pinteros/admin/config/regional/language?render=overlay','default','Provide a simple link to the content.','','7.34'),(912,'/pinteros/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the content.','','7.34'),(913,'/pinteros/admin/config/regional/language?render=overlay','default','Provide a simple link to delete the content.','','7.34'),(914,'/pinteros/admin/config/regional/language?render=overlay','default','The aliased path to this content.','','7.34'),(915,'/pinteros/admin/config/regional/language?render=overlay','default','Updated year + month','','7.34'),(916,'/pinteros/admin/config/regional/language?render=overlay','default','Updated year','','7.34'),(917,'/pinteros/admin/config/regional/language?render=overlay','default','Updated month','','7.34'),(918,'/pinteros/admin/config/regional/language?render=overlay','default','Updated day','','7.34'),(919,'/pinteros/admin/config/regional/language?render=overlay','default','Updated week','','7.34'),(920,'/pinteros/admin/config/regional/language?render=overlay','default','The user authoring the content. If you need more fields than the uid add the content: author relationship','','7.34'),(921,'/pinteros/admin/config/regional/language?render=overlay','default','Relate content to the user who created it.','','7.34'),(922,'/pinteros/admin/config/regional/language?render=overlay','default','User has a revision','','7.34'),(923,'/pinteros/admin/config/regional/language?render=overlay','default','All nodes where a certain user has a revision','','7.34'),(924,'/pinteros/admin/config/regional/language?render=overlay','default','Content revision','','7.34'),(925,'/pinteros/admin/config/regional/language?render=overlay','default','Content revision is a history of changes to content.','','7.34'),(926,'/pinteros/admin/config/regional/language?render=overlay','default','Relate a content revision to the user who created the revision.','','7.34'),(927,'/pinteros/admin/config/regional/language?render=overlay','default','revision user','','7.34'),(928,'/pinteros/admin/config/regional/language?render=overlay','default','The revision NID of the content revision.','','7.34'),(929,'/pinteros/admin/config/regional/language?render=overlay','default','Get the actual content from a content revision.','','7.34'),(930,'/pinteros/admin/config/regional/language?render=overlay','default','Vid','','7.34'),(931,'/pinteros/admin/config/regional/language?render=overlay','default','The revision ID of the content revision.','','7.34'),(932,'/pinteros/admin/config/regional/language?render=overlay','default','Log message','','7.34'),(933,'/pinteros/admin/config/regional/language?render=overlay','default','The log message entered when the revision was created.','','7.34'),(934,'/pinteros/admin/config/regional/language?render=overlay','default','The date the node was last updated.','','7.34'),(935,'/pinteros/admin/config/regional/language?render=overlay','default','Provide a simple link to the revision.','','7.34'),(936,'/pinteros/admin/config/regional/language?render=overlay','default','Revert link','','7.34'),(937,'/pinteros/admin/config/regional/language?render=overlay','default','Provide a simple link to revert to the revision.','','7.34'),(938,'/pinteros/admin/config/regional/language?render=overlay','default','Provide a simple link to delete the content revision.','','7.34'),(939,'/pinteros/admin/config/regional/language?render=overlay','default','Content access','','7.34'),(940,'/pinteros/admin/config/regional/language?render=overlay','default','Access','','7.34'),(941,'/pinteros/admin/config/regional/language?render=overlay','default','Filter by access.','','7.34'),(942,'/pinteros/admin/config/regional/language?render=overlay','default','Filter for content by view access. <strong>Not necessary if you are using node as your base table.</strong>','','7.34'),(943,'/pinteros/admin/config/regional/language?render=overlay','default','Has new content','','7.34'),(944,'/pinteros/admin/config/regional/language?render=overlay','default','Show a marker if the content is new or updated.','','7.34'),(945,'/pinteros/admin/config/regional/language?render=overlay','default','Show only content that is new or updated.','','7.34'),(946,'/pinteros/admin/config/regional/language?render=overlay','default','Active','','7.34'),(947,'/pinteros/admin/config/regional/language?render=overlay','default','Whether the poll is open for voting.','','7.34'),(948,'/pinteros/admin/config/regional/language?render=overlay','default','Search','','7.34'),(949,'/pinteros/admin/config/regional/language?render=overlay','default','Score','','7.34'),(950,'/pinteros/admin/config/regional/language?render=overlay','default','The score of the search item. This will not be used if the search filter is not also present.','','7.34'),(951,'/pinteros/admin/config/regional/language?render=overlay','default','Links from','','7.34'),(952,'/pinteros/admin/config/regional/language?render=overlay','default','Other nodes that are linked from the node.','','7.34'),(953,'/pinteros/admin/config/regional/language?render=overlay','default','Links to','','7.34'),(954,'/pinteros/admin/config/regional/language?render=overlay','default','Other nodes that link to the node.','','7.34'),(955,'/pinteros/admin/config/regional/language?render=overlay','default','Search Terms','','7.34'),(956,'/pinteros/admin/config/regional/language?render=overlay','default','The terms to search for.','','7.34'),(957,'/pinteros/admin/config/regional/language?render=overlay','default','Files maintained by Drupal and various modules.','','7.34'),(958,'/pinteros/admin/config/regional/language?render=overlay','default','The ID of the file.','','7.34'),(959,'/pinteros/admin/config/regional/language?render=overlay','default','The name of the file.','','7.34'),(960,'/pinteros/admin/config/regional/language?render=overlay','default','The path of the file.','','7.34'),(961,'/pinteros/admin/config/regional/language?render=overlay','default','Mime type','','7.34'),(962,'/pinteros/admin/config/regional/language?render=overlay','default','The mime type of the file.','','7.34'),(963,'/pinteros/admin/config/regional/language?render=overlay','default','Extension','','7.34'),(964,'/pinteros/admin/config/regional/language?render=overlay','default','The extension of the file.','','7.34'),(965,'/pinteros/admin/config/regional/language?render=overlay','default','Size','','7.34'),(966,'/pinteros/admin/config/regional/language?render=overlay','default','The size of the file.','','7.34'),(967,'/pinteros/admin/config/regional/language?render=overlay','default','The status of the file.','','7.34'),(968,'/pinteros/admin/config/regional/language?render=overlay','default','Upload date','','7.34'),(969,'/pinteros/admin/config/regional/language?render=overlay','default','The date the file was uploaded.','','7.34'),(970,'/pinteros/admin/config/regional/language?render=overlay','default','User who uploaded','','7.34'),(971,'/pinteros/admin/config/regional/language?render=overlay','default','The user that uploaded the file.','','7.34'),(972,'/pinteros/admin/config/regional/language?render=overlay','default','File Usage','','7.34'),(973,'/pinteros/admin/config/regional/language?render=overlay','default','Content that is associated with this file, usually because this file is in a field on the content.','','7.34'),(974,'/pinteros/admin/config/regional/language?render=overlay','default','A file that is associated with this node, usually because it is in a field on the node.','','7.34'),(975,'/pinteros/admin/config/regional/language?render=overlay','default','A user that is associated with this file, usually because this file is in a field on the user.','','7.34'),(976,'/pinteros/admin/config/regional/language?render=overlay','default','A file that is associated with this user, usually because it is in a field on the user.','','7.34'),(977,'/pinteros/admin/config/regional/language?render=overlay','default','A comment that is associated with this file, usually because this file is in a field on the comment.','','7.34'),(978,'/pinteros/admin/config/regional/language?render=overlay','default','A file that is associated with this comment, usually because it is in a field on the comment.','','7.34'),(979,'/pinteros/admin/config/regional/language?render=overlay','default','Taxonomy Term','','7.34'),(980,'/pinteros/admin/config/regional/language?render=overlay','default','A taxonomy term that is associated with this file, usually because this file is in a field on the taxonomy term.','','7.34'),(981,'/pinteros/admin/config/regional/language?render=overlay','default','A file that is associated with this taxonomy term, usually because it is in a field on the taxonomy term.','','7.34'),(982,'/pinteros/admin/config/regional/language?render=overlay','default','Taxonomy Vocabulary','','7.34'),(983,'/pinteros/admin/config/regional/language?render=overlay','default','A taxonomy vocabulary that is associated with this file, usually because this file is in a field on the taxonomy vocabulary.','','7.34'),(984,'/pinteros/admin/config/regional/language?render=overlay','default','A file that is associated with this taxonomy vocabulary, usually because it is in a field on the taxonomy vocabulary.','','7.34'),(985,'/pinteros/admin/config/regional/language?render=overlay','default','Module','','7.34'),(986,'/pinteros/admin/config/regional/language?render=overlay','default','The module managing this file relationship.','','7.34'),(987,'/pinteros/admin/config/regional/language?render=overlay','default','Entity type','','7.34'),(988,'/pinteros/admin/config/regional/language?render=overlay','default','The type of entity that is related to the file.','','7.34'),(989,'/pinteros/admin/config/regional/language?render=overlay','default','Entity ID','','7.34'),(990,'/pinteros/admin/config/regional/language?render=overlay','default','The ID of the entity that is related to the file.','','7.34'),(991,'/pinteros/admin/config/regional/language?render=overlay','default','Use count','','7.34'),(992,'/pinteros/admin/config/regional/language?render=overlay','default','The number of times the file is used by this entity.','','7.34'),(993,'/pinteros/admin/config/regional/language?render=overlay','default','Module/Theme/Theme engine','','7.34'),(994,'/pinteros/admin/config/regional/language?render=overlay','default','Modules/Themes/Theme engines in your codebase.','','7.34'),(995,'/pinteros/admin/config/regional/language?render=overlay','default','Module/Theme/Theme engine filename','','7.34'),(996,'/pinteros/admin/config/regional/language?render=overlay','default','The path of the primary file for this item, relative to the Drupal root; e.g. modules/node/node.module.','','7.34'),(997,'/pinteros/admin/config/regional/language?render=overlay','default','Module/Theme/Theme engine name','','7.34'),(998,'/pinteros/admin/config/regional/language?render=overlay','default','The name of the item; e.g. node.','','7.34'),(999,'/pinteros/admin/config/regional/language?render=overlay','default','The type of the item, either module, theme, or theme_engine.','','7.34'),(1000,'/pinteros/admin/config/regional/language?render=overlay','default','Boolean indicating whether or not this item is enabled.','','7.34'),(1001,'/pinteros/admin/config/regional/language?render=overlay','default','Schema version','','7.34'),(1002,'/pinteros/admin/config/regional/language?render=overlay','default','The module\'s database schema version number. -1 if the module is not installed (its tables do not exist); 0 or the largest N of the module\'s hook_update_N() function that has either been run or existed when the module was first installed.','','7.34'),(1003,'/pinteros/admin/config/regional/language?render=overlay','default','Name of the vocabulary a term is a member of. This will be the vocabulary that whichever term the \"Taxonomy: Term\" field is; and can similarly cause duplicates.','','7.34'),(1004,'/pinteros/admin/config/regional/language?render=overlay','default','The taxonomy vocabulary name','','7.34'),(1005,'/pinteros/admin/config/regional/language?render=overlay','default','Machine-Name of the vocabulary a term is a member of. This will be the vocabulary that whichever term the \"Taxonomy: Term\" field is; and can similarly cause duplicates.','','7.34'),(1006,'/pinteros/admin/config/regional/language?render=overlay','default','Filter the results of \"Taxonomy: Term\" to a particular vocabulary.','','7.34'),(1007,'/pinteros/admin/config/regional/language?render=overlay','default','The taxonomy vocabulary ID','','7.34'),(1008,'/pinteros/admin/config/regional/language?render=overlay','default','The taxonomy vocabulary description','','7.34'),(1009,'/pinteros/admin/config/regional/language?render=overlay','default','The taxonomy vocabulary weight','','7.34'),(1010,'/pinteros/admin/config/regional/language?render=overlay','default','Term','','7.34'),(1011,'/pinteros/admin/config/regional/language?render=overlay','default','Taxonomy terms are attached to nodes.','','7.34'),(1012,'/pinteros/admin/config/regional/language?render=overlay','default','The tid of a taxonomy term.','','7.34'),(1013,'/pinteros/admin/config/regional/language?render=overlay','default','Taxonomy term chosen from autocomplete or select widget.','','7.34'),(1014,'/pinteros/admin/config/regional/language?render=overlay','default','Representative node','','7.34'),(1015,'/pinteros/admin/config/regional/language?render=overlay','default','Obtains a single representative node for each term, according to a chosen sort criterion.','','7.34'),(1016,'/pinteros/admin/config/regional/language?render=overlay','default','The taxonomy term name.','','7.34'),(1017,'/pinteros/admin/config/regional/language?render=overlay','default','Taxonomy term name.','','7.34'),(1018,'/pinteros/admin/config/regional/language?render=overlay','default','Uncategorized','','7.34'),(1019,'/pinteros/admin/config/regional/language?render=overlay','default','The term weight field','','7.34'),(1020,'/pinteros/admin/config/regional/language?render=overlay','default','Term description','','7.34'),(1021,'/pinteros/admin/config/regional/language?render=overlay','default','The description associated with a taxonomy term.','','7.34'),(1022,'/pinteros/admin/config/regional/language?render=overlay','default','Term edit link','','7.34'),(1023,'/pinteros/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the term.','','7.34'),(1024,'/pinteros/admin/config/regional/language?render=overlay','default','Content with term','','7.34'),(1025,'/pinteros/admin/config/regional/language?render=overlay','default','Relate all content tagged with a term.','','7.34'),(1026,'/pinteros/admin/config/regional/language?render=overlay','default','Has taxonomy term ID','','7.34'),(1027,'/pinteros/admin/config/regional/language?render=overlay','default','Display content if it has the selected taxonomy terms.','','7.34'),(1028,'/pinteros/admin/config/regional/language?render=overlay','default','Has taxonomy term','','7.34'),(1029,'/pinteros/admin/config/regional/language?render=overlay','default','Parent term','','7.34'),(1030,'/pinteros/admin/config/regional/language?render=overlay','default','The parent term of the term. This can produce duplicate entries if you are using a vocabulary that allows multiple parents.','','7.34'),(1031,'/pinteros/admin/config/regional/language?render=overlay','default','Filter the results of \"Taxonomy: Term\" by the parent pid.','','7.34'),(1032,'/pinteros/admin/config/regional/language?render=overlay','default','The parent term of the term.','','7.34'),(1033,'/pinteros/admin/config/regional/language?render=overlay','default','The user ID','','7.34'),(1034,'/pinteros/admin/config/regional/language?render=overlay','default','Content authored','','7.34'),(1035,'/pinteros/admin/config/regional/language?render=overlay','default','Relate content to the user who created it. This relationship will create one record for each content item created by the user.','','7.34'),(1036,'/pinteros/admin/config/regional/language?render=overlay','default','nodes','','7.34'),(1037,'/pinteros/admin/config/regional/language?render=overlay','default','The raw numeric user ID.','','7.34'),(1038,'/pinteros/admin/config/regional/language?render=overlay','default','Obtains a single representative node for each user, according to a chosen sort criterion.','','7.34'),(1039,'/pinteros/admin/config/regional/language?render=overlay','default','Current','','7.34'),(1040,'/pinteros/admin/config/regional/language?render=overlay','default','Filter the view to the currently logged in user.','','7.34'),(1041,'/pinteros/admin/config/regional/language?render=overlay','default','The user or author name.','','7.34'),(1042,'/pinteros/admin/config/regional/language?render=overlay','default','Name (raw)','','7.34'),(1043,'/pinteros/admin/config/regional/language?render=overlay','default','The user or author name. This filter does not check if the user exists and allows partial matching. Does not utilize autocomplete.','','7.34'),(1044,'/pinteros/admin/config/regional/language?render=overlay','default','E-mail','','7.34'),(1045,'/pinteros/admin/config/regional/language?render=overlay','default','Email address for a given user. This field is normally not shown to users, so be cautious when using it.','','7.34'),(1046,'/pinteros/admin/config/regional/language?render=overlay','default','Language of the user','','7.34'),(1047,'/pinteros/admin/config/regional/language?render=overlay','default','Picture','','7.34'),(1048,'/pinteros/admin/config/regional/language?render=overlay','default','The user\'s picture, if allowed.','','7.34'),(1049,'/pinteros/admin/config/regional/language?render=overlay','default','Has Avatar','','7.34'),(1050,'/pinteros/admin/config/regional/language?render=overlay','default','Provide a simple link to the user.','','7.34'),(1051,'/pinteros/admin/config/regional/language?render=overlay','default','The date the user was created.','','7.34'),(1052,'/pinteros/admin/config/regional/language?render=overlay','default','The user\'s last access date.','','7.34'),(1053,'/pinteros/admin/config/regional/language?render=overlay','default','The user\'s last login date.','','7.34'),(1054,'/pinteros/admin/config/regional/language?render=overlay','default','Whether a user is active or blocked.','','7.34'),(1055,'/pinteros/admin/config/regional/language?render=overlay','default','Blocked','','7.34'),(1056,'/pinteros/admin/config/regional/language?render=overlay','default','Signature','','7.34'),(1057,'/pinteros/admin/config/regional/language?render=overlay','default','The user\'s signature.','','7.34'),(1058,'/pinteros/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the user.','','7.34'),(1059,'/pinteros/admin/config/regional/language?render=overlay','default','Cancel link','','7.34'),(1060,'/pinteros/admin/config/regional/language?render=overlay','default','Provide a simple link to cancel the user.','','7.34'),(1061,'/pinteros/admin/config/regional/language?render=overlay','default','Data','','7.34'),(1062,'/pinteros/admin/config/regional/language?render=overlay','default','Provide serialized data of the user','','7.34'),(1063,'/pinteros/admin/config/regional/language?render=overlay','default','Roles that a user belongs to.','','7.34'),(1064,'/pinteros/admin/config/regional/language?render=overlay','default','No role','','7.34'),(1065,'/pinteros/admin/config/regional/language?render=overlay','default','Permission','','7.34'),(1066,'/pinteros/admin/config/regional/language?render=overlay','default','The user permissions.','','7.34'),(1067,'/pinteros/admin/config/regional/language?render=overlay','default','Authmap ID','','7.34'),(1068,'/pinteros/admin/config/regional/language?render=overlay','default','The Authmap ID.','','7.34'),(1069,'/pinteros/admin/config/regional/language?render=overlay','default','Authentication name','','7.34'),(1070,'/pinteros/admin/config/regional/language?render=overlay','default','The unique authentication name.','','7.34'),(1071,'/pinteros/admin/config/regional/language?render=overlay','default','Authentication module','','7.34'),(1072,'/pinteros/admin/config/regional/language?render=overlay','default','The name of the module managing the authentication entry.','','7.34'),(1073,'/pinteros/admin/config/regional/language?render=overlay','default','Dimensions','','7.34'),(1074,'/pinteros/admin/config/regional/language?render=overlay','default','The widthXheight of the video.','','7.34'),(1075,'/pinteros/admin/config/regional/language?render=overlay','default','Video conversion status.','','7.34'),(1076,'/pinteros/admin/config/regional/language?render=overlay','default','Duration','','7.34'),(1077,'/pinteros/admin/config/regional/language?render=overlay','default','Video playtime.','','7.34'),(1078,'/pinteros/admin/config/regional/language?render=overlay','default','Video conversion start','','7.34'),(1079,'/pinteros/admin/config/regional/language?render=overlay','default','The time that conversion process started.','','7.34'),(1080,'/pinteros/admin/config/regional/language?render=overlay','default','Video conversion end','','7.34'),(1081,'/pinteros/admin/config/regional/language?render=overlay','default','The time that the conversion process completed.','','7.34'),(1082,'/pinteros/admin/config/regional/language?render=overlay','default','Fieldset','','7.34'),(1083,'/pinteros/admin/config/regional/language?render=overlay','default','Adds a fieldset to put fields and other fieldsets in.','','7.34'),(1084,'/pinteros/admin/config/regional/language?render=overlay','default','The weight of the node, formatted as a form element.','','7.34'),(1085,'/pinteros/admin/config/regional/language?render=overlay','default','Weight value','','7.34'),(1086,'/pinteros/admin/config/regional/language?render=overlay','default','The weight of the node.','','7.34'),(1087,'/pinteros/admin/config/regional/language?render=overlay; sites/all/modules/weight/weight.js','default','Enabled','','7.34'),(1088,'/pinteros/admin/config/regional/language?render=overlay','default','Displays nodes that are Weight enabled','','7.34'),(1089,'/pinteros/admin/config/regional/language?render=overlay','default','Global','','7.34'),(1090,'/pinteros/admin/config/regional/language?render=overlay','default','Random','','7.34'),(1091,'/pinteros/admin/config/regional/language?render=overlay','default','Randomize the display order.','','7.34'),(1092,'/pinteros/admin/config/regional/language?render=overlay','default','Null','','7.34'),(1093,'/pinteros/admin/config/regional/language?render=overlay','default','Allow a contextual filter value to be ignored. The query will not be altered by this contextual filter value. Can be used when contextual filter values come from the URL, and a part of the URL needs to be ignored.','','7.34'),(1094,'/pinteros/admin/config/regional/language?render=overlay','default','Custom text','','7.34'),(1095,'/pinteros/admin/config/regional/language?render=overlay','default','Provide custom text or link.','','7.34'),(1096,'/pinteros/admin/config/regional/language?render=overlay','default','View result counter','','7.34'),(1097,'/pinteros/admin/config/regional/language?render=overlay','default','Displays the actual position of the view result','','7.34'),(1098,'/pinteros/admin/config/regional/language?render=overlay','default','Text area','','7.34'),(1099,'/pinteros/admin/config/regional/language?render=overlay','default','Provide markup text for the area.','','7.34'),(1100,'/pinteros/admin/config/regional/language?render=overlay','default','Unfiltered text','','7.34'),(1101,'/pinteros/admin/config/regional/language?render=overlay','default','Add unrestricted, custom text or markup. This is similar to the custom text field.','','7.34'),(1102,'/pinteros/admin/config/regional/language?render=overlay','default','View area','','7.34'),(1103,'/pinteros/admin/config/regional/language?render=overlay','default','Insert a view inside an area.','','7.34'),(1104,'/pinteros/admin/config/regional/language?render=overlay','default','Result summary','','7.34'),(1105,'/pinteros/admin/config/regional/language?render=overlay','default','Shows result summary, for example the items per page.','','7.34'),(1106,'/pinteros/admin/config/regional/language?render=overlay','default','Messages','','7.34'),(1107,'/pinteros/admin/config/regional/language?render=overlay','default','Displays messages in the area.','','7.34'),(1108,'/pinteros/admin/config/regional/language?render=overlay','default','Contextual Links','','7.34'),(1109,'/pinteros/admin/config/regional/language?render=overlay','default','Display fields in a contextual links menu.','','7.34'),(1110,'/pinteros/admin/config/regional/language?render=overlay','default','Combine fields filter','','7.34'),(1111,'/pinteros/admin/config/regional/language?render=overlay','default','Combine two fields together and search by them.','','7.34'),(1112,'/pinteros/admin/config/regional/language?render=overlay','default','Math expression','','7.34'),(1113,'/pinteros/admin/config/regional/language?render=overlay','default','Evaluates a mathematical expression and displays it.','','7.34'),(1114,'/pinteros/admin/config/regional/language?render=overlay','default','Fields comparison','','7.34'),(1115,'/pinteros/admin/config/regional/language?render=overlay','default','Compare database fields against eachother.','','7.34'),(1116,'/pinteros/admin/config/regional/language?render=overlay','default','Use fields comparison to filter the result of the view.','','7.34'),(1117,'/pinteros/admin/config/regional/language?render=overlay','default','The block type','','7.34'),(1118,'/pinteros/admin/config/regional/language?render=overlay','default','Edit link for bean block','','7.34'),(1119,'/pinteros/admin/config/regional/language?render=overlay','default','Delete link for bean block','','7.34'),(1120,'/pinteros/admin/config/regional/language?render=overlay','default','Contextual / Operation links','','7.34'),(1121,'/pinteros/admin/config/regional/language?render=overlay','default','Display all the available contextual / operation links for the block.','','7.34'),(1122,'/pinteros/admin/config/regional/language?render=overlay','default','New comments','','7.34'),(1123,'/pinteros/admin/config/regional/language?render=overlay','default','The number of new comments on the node.','','7.34'),(1124,'/pinteros/admin/config/regional/language?render=overlay','default','Add comment link','','7.34'),(1125,'/pinteros/admin/config/regional/language?render=overlay','default','Display the standard add comment link used on regular nodes, which will only display if the viewing user has access to add a comment.','','7.34'),(1126,'/pinteros/admin/config/regional/language?render=overlay','default','Comment status','','7.34'),(1127,'/pinteros/admin/config/regional/language?render=overlay','default','Whether comments are enabled or disabled on the node.','','7.34'),(1128,'/pinteros/admin/config/regional/language?render=overlay','default','User posted or commented','','7.34'),(1129,'/pinteros/admin/config/regional/language?render=overlay','default','Display nodes only if a user posted the node or commented on the node.','','7.34'),(1130,'/pinteros/admin/config/regional/language?render=overlay','default','Comments of the node','','7.34'),(1131,'/pinteros/admin/config/regional/language?render=overlay','default','Relate all comments on the node. This will create 1 duplicate record for every comment. Usually if you need this it is better to create a comment view.','','7.34'),(1132,'/pinteros/admin/config/regional/language?render=overlay','default','Link to contact page','','7.34'),(1133,'/pinteros/admin/config/regional/language?render=overlay','default','Provide a simple link to the user contact page.','','7.34'),(1134,'/pinteros/admin/config/regional/language?render=overlay','default','@entity using @field','','7.34'),(1135,'/pinteros/admin/config/regional/language?render=overlay','default','Relate each @entity with a @field set to the term.','','7.34'),(1136,'/pinteros/admin/config/regional/language?render=overlay','default','!field_name','','7.34'),(1137,'/pinteros/admin/config/regional/language?render=overlay','default','Relate each @entity with a @field set to the image.','','7.34'),(1138,'/pinteros/admin/config/regional/language?render=overlay','default','Relate each @entity with a @field set to the video.','','7.34'),(1139,'/pinteros/admin/config/regional/language?render=overlay','default','@entity referencing @target_entity from !field_name','','7.34'),(1140,'/pinteros/admin/config/regional/language?render=overlay','default','Referencing entity','','7.34'),(1141,'/pinteros/admin/config/regional/language?render=overlay','default','A bridge to the @entity entity that is referencing @target_entity via !field_name','','7.34'),(1142,'/pinteros/admin/config/regional/language?render=overlay','default','The language the content is in.','','7.34'),(1143,'/pinteros/admin/config/regional/language?render=overlay','default','Taxonomy terms on node','','7.34'),(1144,'/pinteros/admin/config/regional/language?render=overlay','default','Relate nodes to taxonomy terms, specifiying which vocabulary or vocabularies to use. This relationship will cause duplicated records if there are multiple terms.','','7.34'),(1145,'/pinteros/admin/config/regional/language?render=overlay','default','term','','7.34'),(1146,'/pinteros/admin/config/regional/language?render=overlay','default','All taxonomy terms','','7.34'),(1147,'/pinteros/admin/config/regional/language?render=overlay','default','Display all taxonomy terms associated with a node from specified vocabularies.','','7.34'),(1148,'/pinteros/admin/config/regional/language?render=overlay','default','Display content if it has the selected taxonomy terms, or children of the selected terms. Due to additional complexity, this has fewer options than the versions without depth.','','7.34'),(1149,'/pinteros/admin/config/regional/language?render=overlay','default','Has taxonomy term ID (with depth)','','7.34'),(1150,'/pinteros/admin/config/regional/language?render=overlay','default','Has taxonomy terms (with depth)','','7.34'),(1151,'/pinteros/admin/config/regional/language?render=overlay','default','Has taxonomy term ID depth modifier','','7.34'),(1152,'/pinteros/admin/config/regional/language?render=overlay','default','Allows the \"depth\" for Taxonomy: Term ID (with depth) to be modified via an additional contextual filter value.','','7.34'),(1153,'/pinteros/admin/config/regional/language?render=overlay','default','Break lock','','7.34'),(1154,'/pinteros/admin/config/regional/language?render=overlay','default','Edit view','','7.34'),(1155,'/pinteros/admin/config/regional/language?render=overlay','default','Disable text format','','7.34'),(1156,'/pinteros/admin/config/regional/language?render=overlay','default','Run cron','','7.34'),(1157,'/pinteros/admin/config/regional/language?render=overlay','default','Run updates','','7.34'),(1158,'/pinteros/admin/config/regional/language?render=overlay','default','@project issue queue','','7.34'),(1159,'/pinteros/admin/config/regional/language?render=overlay','default','Flush all caches','','7.34'),(1160,'/pinteros/admin/config/regional/language?render=overlay','default','CSS and JavaScript','','7.34'),(1161,'/pinteros/admin/config/regional/language?render=overlay','default','Page and else','','7.34'),(1162,'/pinteros/admin/config/regional/language?render=overlay','default','Menu','','7.34'),(1163,'/pinteros/admin/config/regional/language?render=overlay','default','Class registry','','7.34'),(1164,'/pinteros/admin/config/regional/language?render=overlay','default','Theme registry','','7.34'),(1165,'/pinteros/admin/config/regional/language?render=overlay','default','Update data','','7.34'),(1166,'/pinteros/admin/config/regional/language?render=overlay','default','Disable developer modules','','7.32'),(1167,'/pinteros/admin/config/regional/language?render=overlay','default','Log out','','7.34'),(1168,'/pinteros/admin/config/regional/language?render=overlay','default','Add Block','','7.34'),(1169,'/pinteros/admin/config/regional/language?render=overlay','default','Add content','','7.34'),(1170,'/pinteros/admin/config/regional/language?render=overlay','default','Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','','7.34'),(1171,'/pinteros/admin/config/regional/language?render=overlay','default','Use <em>basic pages</em> for your static content, such as an \'About us\' page.','','7.34'),(1172,'/pinteros/admin/config/regional/language?render=overlay','default','Showcase','','7.34'),(1173,'/pinteros/admin/config/regional/language?render=overlay','default','Blog','','7.34'),(1174,'/pinteros/admin/config/regional/language?render=overlay','default','WeebPal Presets','','7.34'),(1175,'/pinteros/admin/config/regional/language?render=overlay','default','Token registry','','7.34'),(1176,'/pinteros/admin/config/regional/language?render=overlay','default','Hello <strong>@username</strong>','','7.34'),(1177,'/pinteros/admin/config/regional/language?render=overlay','default','Blogs','','7.34'),(1178,'/pinteros/admin/config/regional/language?render=overlay','default','Contact','','7.34'),(1179,'/pinteros/admin/config/regional/language?render=overlay','default','My account','','7.34'),(1180,'/pinteros/admin/config/regional/language?render=overlay','default','Add to %shortcut_set shortcuts','','7.34'),(1181,'/pinteros/admin/config/regional/language?render=overlay','default','You are here','','7.34'),(1182,'/pinteros/admin/config/regional/language?render=overlay','default','Status message','','7.34'),(1183,'/pinteros/admin/config/regional/language?render=overlay','default','Error message','','7.34'),(1184,'/pinteros/admin/config/regional/language?render=overlay','default','Warning message','','7.34'),(1185,'/pinteros/admin/config/regional/language?render=overlay','default','Enable !title','','7.32'),(1186,'/pinteros/admin/config/regional/language?render=overlay','default','Set !title as default','','7.32'),(1187,'/pinteros/admin/config/regional/language?render=overlay','default','!title !required','','7.34'),(1188,'/pinteros/admin/config/regional/language?render=overlay','default','edit','','7.32'),(1189,'/pinteros/admin/config/regional/language?render=overlay','default','English name','','7.32'),(1190,'/pinteros/admin/config/regional/language?render=overlay','default','Native name','','7.32'),(1191,'/pinteros/admin/config/regional/language?render=overlay','default','Code','','7.32'),(1192,'/pinteros/admin/config/regional/language?render=overlay','default','Direction','','7.32'),(1193,'/pinteros/admin/config/regional/language?render=overlay','default','Operations','','7.32'),(1194,'/pinteros/admin/config/regional/language?render=overlay','default','If you have problems accessing administrative pages on this site, disable the overlay on your profile page.','','7.34'),(1195,'/pinteros/admin/config/regional/language?render=overlay','default','Dismiss this message.','','7.34'),(1196,'/pinteros/admin/config/regional/language?render=overlay','default','Options for the administrative overlay','','7.34'),(1197,'/pinteros/admin/config/regional/language?render=overlay','default','Close overlay','','7.32'),(1198,'/pinteros/admin/config/regional/language?render=overlay','default','Primary tabs','','7.34'),(1199,'/pinteros/admin/config/regional/language?render=overlay','default','!local-task-title!active','','7.34'),(1200,'/pinteros/admin/config/regional/language?render=overlay','default','Skip to main content','','7.34'),(1201,'/pinteros/users/admin','default','Compose tips','','7.34'),(1202,'/pinteros/users/admin','default','Tags','','7.34'),(1203,'/pinteros/users/admin','default','View recent blog entries','','7.34'),(1204,'/pinteros/users/admin','default','Read !username\'s latest blog entries.','','7.34'),(1205,'/pinteros/users/admin','default','@user\'s picture','','7.34'),(1206,'/pinteros/users/admin','default','View user profile.','','7.34'),(1207,'/pinteros/users/admin','default','History','','7.34'),(1208,'/pinteros/users/admin','default','Member for','','7.34'),(1209,'/pinteros/users/admin','default','@count months','','7.34'),(1210,'/pinteros/users/admin','default','@count weeks','','7.34'),(1211,'/pinteros/users/admin','default','Headline','','7.34'),(1212,'/pinteros/users/admin','default','Header','','7.34'),(1213,'/pinteros/users/admin','default','Main Menu','','7.34'),(1214,'/pinteros/users/admin','default','Secondary Menu','','7.34'),(1215,'/pinteros/users/admin','default','Left Menu','','7.34'),(1216,'/pinteros/users/admin','default','Map','','7.34'),(1217,'/pinteros/users/admin','default','Featured','','7.34'),(1218,'/pinteros/users/admin','default','Highlighted','','7.34'),(1219,'/pinteros/users/admin','default','Sidebar first','','7.34'),(1220,'/pinteros/users/admin','default','Sidebar second','','7.34'),(1221,'/pinteros/users/admin','default','Footer','','7.34'),(1222,'/pinteros/users/admin','default','Clock','','7.34'),(1223,'/pinteros/users/admin','default','Enter the terms you wish to search for.','','7.34'),(1224,'/pinteros/users/admin','default','My blog','','7.34'),(1225,'/pinteros/users/admin','default','Polls','','7.34'),(1226,'/pinteros/users/admin','default','Categories','','7.34'),(1227,'/pinteros/users/admin','default','Left menu','','7.34'),(1228,'/pinteros/users/admin','default','Pages','','7.34'),(1229,'/pinteros/users/admin','default','Default Blogs','','7.34'),(1230,'/pinteros/users/admin','default','Bootstrap Layout','','7.34'),(1231,'/pinteros/users/admin','default','Fullwidth Layout','','7.34'),(1232,'/pinteros/users/admin','default','Skin Default','','7.34'),(1233,'/pinteros/users/admin','default','Skin Blue','','7.34'),(1234,'/pinteros/users/admin','default','Skin Dark Blue','','7.34'),(1235,'/pinteros/users/admin','default','Skin Orange','','7.34'),(1236,'/pinteros/users/admin','default','Display the comment with standard comment view.','','7.34'),(1237,'/pinteros/users/admin','default','Display the comment as RSS.','','7.34'),(1238,'/pinteros/users/admin','default','Renders a single entity in a specific view mode (e.g. teaser).','','7.34'),(1239,'/pinteros/users/admin','default','Entity Reference Source','','7.34'),(1240,'/pinteros/users/admin','default','Entity Reference list','','7.34'),(1241,'/pinteros/users/admin','default','Inline fields','','7.34'),(1242,'/pinteros/users/admin','default','Displays the fields with an optional template.','','7.34'),(1243,'/pinteros/users/admin','default','Display the content with standard node view.','','7.34'),(1244,'/pinteros/users/admin','default','Content ID from URL','','7.34'),(1245,'/pinteros/users/admin','default','Taxonomy term ID from URL','','7.34'),(1246,'/pinteros/users/admin','default','Display the user with standard user view.','','7.34'),(1247,'/pinteros/users/admin','default','User ID from URL','','7.34'),(1248,'/pinteros/users/admin','default','User ID from logged in user','','7.34'),(1249,'/pinteros/users/admin','default','Views fieldsets options','','7.34'),(1250,'/pinteros/users/admin','default','A way to export Views Fieldsets.','','7.34'),(1251,'/pinteros/users/admin','default','Infinite Scroll','','7.34'),(1252,'/pinteros/users/admin','default','views_infinite_scroll','','7.34'),(1253,'/pinteros/users/admin','default','Master','','7.34'),(1254,'/pinteros/users/admin','default','Default settings for this view.','','7.34'),(1255,'/pinteros/users/admin','default','Page','','7.34'),(1256,'/pinteros/users/admin','default','Display the view as a page, with a URL and menu links.','','7.34'),(1257,'/pinteros/users/admin','default','Display the view as a block.','','7.34'),(1258,'/pinteros/users/admin','default','Attachment','','7.34'),(1259,'/pinteros/users/admin','default','Attachments added to other displays to achieve multiple views in the same view.','','7.34'),(1260,'/pinteros/users/admin','default','Feed','','7.34'),(1261,'/pinteros/users/admin','default','Display the view as a feed, such as an RSS feed.','','7.34'),(1262,'/pinteros/users/admin','default','Embed','','7.34'),(1263,'/pinteros/users/admin','default','Provide a display which can be embedded using the views api.','','7.34'),(1264,'/pinteros/users/admin','default','Empty display extender','','7.34'),(1265,'/pinteros/users/admin','default','Unformatted list','','7.34'),(1266,'/pinteros/users/admin','default','Displays rows one after another.','','7.34'),(1267,'/pinteros/users/admin','default','HTML list','','7.34'),(1268,'/pinteros/users/admin','default','Displays rows as an HTML list.','','7.34'),(1269,'/pinteros/users/admin','default','Grid','','7.34'),(1270,'/pinteros/users/admin','default','Displays rows in a grid.','','7.34'),(1271,'/pinteros/users/admin','default','Table','','7.34'),(1272,'/pinteros/users/admin','default','Displays rows in a table.','','7.34'),(1273,'/pinteros/users/admin','default','Displays the default summary as a list.','','7.34'),(1274,'/pinteros/users/admin','default','Displays the summary unformatted, with option for one after another or inline.','','7.34'),(1275,'/pinteros/users/admin','default','RSS Feed','','7.34'),(1276,'/pinteros/users/admin','default','Generates an RSS feed from a view.','','7.34'),(1277,'/pinteros/users/admin','default','Fields','','7.34'),(1278,'/pinteros/users/admin','default','Display fields as RSS items.','','7.34'),(1279,'/pinteros/users/admin','default','Fixed value','','7.34'),(1280,'/pinteros/users/admin','default','PHP Code','','7.34'),(1281,'/pinteros/users/admin','default','Raw value from URL','','7.34'),(1282,'/pinteros/users/admin','default','Numeric','','7.34'),(1283,'/pinteros/users/admin','default','None','','7.34'),(1284,'/pinteros/users/admin','default','Will be available to all users.','','7.34'),(1285,'/pinteros/users/admin','default','Role','','7.34'),(1286,'/pinteros/users/admin','default','Access will be granted to users with any of the specified roles.','','7.34'),(1287,'/pinteros/users/admin','default','Access will be granted to users with the specified permission string.','','7.34'),(1288,'/pinteros/users/admin','default','SQL Query','','7.34'),(1289,'/pinteros/users/admin','default','Query will be generated and run using the Drupal database API.','','7.34'),(1290,'/pinteros/users/admin','default','No caching of Views data.','','7.34'),(1291,'/pinteros/users/admin','default','Time-based','','7.34'),(1292,'/pinteros/users/admin','default','Simple time-based caching of data.','','7.34'),(1293,'/pinteros/users/admin','default','Basic exposed form','','7.34'),(1294,'/pinteros/users/admin','default','Input required','','7.34'),(1295,'/pinteros/users/admin','default','An exposed form that only renders a view if the form contains user input.','','7.34'),(1296,'/pinteros/users/admin','default','Display all items','','7.34'),(1297,'/pinteros/users/admin','default','Display all items that this view might find','','7.34'),(1298,'/pinteros/users/admin','default','Display a specified number of items','','7.34'),(1299,'/pinteros/users/admin','default','Display a limited number items that this view might find.','','7.34'),(1300,'/pinteros/users/admin','default','Paged output, full pager','','7.34'),(1301,'/pinteros/users/admin','default','Full','','7.34'),(1302,'/pinteros/users/admin','default','Paged output, full Drupal style','','7.34'),(1303,'/pinteros/users/admin','default','Paged output, mini pager','','7.34'),(1304,'/pinteros/users/admin','default','Mini','','7.34'),(1305,'/pinteros/users/admin','default','Use the mini pager output.','','7.34'),(1306,'/pinteros/users/admin','default','Do not pass admin strings for translation.','','7.34'),(1307,'/pinteros/users/admin','default','Core','','7.34'),(1308,'/pinteros/users/admin','default','Use Drupal core t() function. Not recommended, as it doesn\'t support updates to existing strings.','','7.34'),(1309,'/pinteros/users/admin','default','If you need to translate Views labels into other languages, consider installing the <a href=\"!path\">Internationalization</a> package\'s Views translation module.','','7.34'),(1310,'/pinteros/users/admin','default','Jump menu','','7.34'),(1311,'/pinteros/users/admin','default','Puts all of the results into a select box and allows the user to go to a different page based upon the results.','','7.34'),(1312,'/pinteros/users/admin','default','more','','7.34'),(1313,'/pinteros/users/admin','default','fields','','7.34'),(1314,'/pinteros/users/admin','default','Contextual filters','','7.34'),(1315,'/pinteros/users/admin','default','contextual filters','','7.34'),(1316,'/pinteros/users/admin','default','Contextual filter','','7.34'),(1317,'/pinteros/users/admin','default','contextual filter','','7.34'),(1318,'/pinteros/users/admin','default','Sort criteria','','7.34'),(1319,'/pinteros/users/admin','default','sort criteria','','7.34'),(1320,'/pinteros/users/admin','default','Sort criterion','','7.34'),(1321,'/pinteros/users/admin','default','sort criterion','','7.34'),(1322,'/pinteros/users/admin','default','Filter criteria','','7.34'),(1323,'/pinteros/users/admin','default','filter criteria','','7.34'),(1324,'/pinteros/users/admin','default','Filter criterion','','7.34'),(1325,'/pinteros/users/admin','default','filter criterion','','7.34'),(1326,'/pinteros/users/admin','default','Relationships','','7.34'),(1327,'/pinteros/users/admin','default','relationships','','7.34'),(1328,'/pinteros/users/admin','default','Relationship','','7.34'),(1329,'/pinteros/users/admin','default','header','','7.34'),(1330,'/pinteros/users/admin','default','footer','','7.34'),(1331,'/pinteros/users/admin','default','No results behavior','','7.34'),(1332,'/pinteros/users/admin','default','no results behavior','','7.34'),(1333,'/pinteros/users/admin','default','%1','','7.34'),(1334,'/pinteros/users/admin','default','Display all results for the specified field','','7.34'),(1335,'/pinteros/users/admin','default','Provide default value','','7.34'),(1336,'/pinteros/users/admin','default','Hide view','','7.34'),(1337,'/pinteros/users/admin','default','Display a summary','','7.34'),(1338,'/pinteros/users/admin','default','Display contents of \"No results found\"','','7.34'),(1339,'/pinteros/users/admin','default','Display \"Access Denied\"','','7.34'),(1340,'/pinteros/users/admin','default','Show \"Page not found\"','','7.34'),(1341,'/pinteros/users/admin','default','Account','','7.34'),(1342,'/pinteros/users/admin','default','Newsletter subscriptions','','7.34'),(1343,'/pinteros/users/admin','default','Limit allowed HTML tags','','7.34'),(1344,'/pinteros/users/admin','default','Convert line breaks into HTML (i.e. <code>&lt;br&gt;</code> and <code>&lt;p&gt;</code>)','','7.34'),(1345,'/pinteros/users/admin','default','Convert URLs into links','','7.34'),(1346,'/pinteros/users/admin','default','Correct faulty and chopped off HTML','','7.34'),(1347,'/pinteros/users/admin','default','Display any HTML as plain text','','7.34'),(1348,'/pinteros/users/admin','default','PHP evaluator','','7.34'),(1349,'/pinteros/users/admin','default','Executes a piece of PHP code. The usage of this filter should be restricted to administrators only!','','7.34'),(1350,'/pinteros/users/admin','default','Converts video tags to embedded code','','7.34'),(1351,'/pinteros/users/admin','default','This filter will convert [content:video] tag into markup.','','7.34'),(1352,'/pinteros/users/admin','default','Video Embedding','','7.34'),(1353,'/pinteros/users/admin','default','Replaces [VIDEO::http://www.youtube.com/watch?v=someVideoID::aVideoStyle] tags with embedded videos.','','7.34'),(1354,'/pinteros/users/admin','default','Subscribe to our Newsletters','','7.34'),(1355,'/pinteros/users/admin','default','Subscribe','','7.34'),(1356,'/pinteros/users/admin','default','Featured Posts','','7.34'),(1357,'/pinteros/users/admin','default','True','','7.34'),(1358,'/pinteros/users/admin','default','Options','','7.34'),(1359,'/pinteros/users/admin','default','Is one of','','7.34'),(1360,'/pinteros/users/admin','default','in','','7.34'),(1361,'/pinteros/users/admin','default','=','','7.34'),(1362,'/pinteros/users/admin','default','Is not one of','','7.34'),(1363,'/pinteros/users/admin','default','not in','','7.34'),(1364,'/pinteros/users/admin','default','<>','','7.34'),(1365,'/pinteros/users/admin','default','Apply','','7.34'),(1366,'/pinteros/users/admin','default','Reset','','7.34'),(1367,'/pinteros/users/admin','default','Sort by','','7.34'),(1368,'/pinteros/users/admin','default','Asc','','7.34'),(1369,'/pinteros/users/admin','default','Desc','','7.34'),(1370,'/pinteros/users/admin','default','Recent comments','','7.34'),(1371,'/pinteros/users/admin','default','@time ago','','7.34'),(1372,'/pinteros/users/admin','default','There is currently 1 user online.','','7.34'),(1373,'/pinteros/users/admin','default','Who\'s online','','7.34'),(1374,'/pinteros/users/admin','default','Tags in @voc','','7.34'),(1375,'/pinteros/users/admin','default','more tags','','7.34'),(1376,'/pinteros/users/admin','default','More','','7.34'),(1377,'/pinteros/users/admin','default','Trending Posts','','7.34'),(1378,'/pinteros/users/admin','default','Body','','7.34'),(1379,'/pinteros/users/admin','default','...','','7.34'),(1380,'/pinteros/users/admin','default','Configure block','','7.34'),(1381,'/pinteros/users/admin','default','Default Style','','7.34'),(1382,'/pinteros/users/admin','default','ICT','','7.34'),(1383,'/pinteros/users/admin','default','Search form','','7.34'),(1384,'/pinteros/users/admin','default','Config TB Mega Menu','','7.34'),(1385,'/pinteros/users/admin','default','Author textfield','','7.34'),(1386,'/pinteros/users/admin','default','Subject textfield','','7.34'),(1387,'/pinteros/users/admin','default','Node module element','','7.34'),(1388,'/pinteros/users/admin','default','URL path settings','','7.34'),(1389,'/pinteros/users/admin','default','Path module form elements','','7.34'),(1390,'/pinteros/users/admin','default','Poll choices','','7.34'),(1391,'/pinteros/users/admin','default','Poll settings','','7.34'),(1392,'/pinteros/users/admin','default','Poll module settings','','7.34'),(1393,'/pinteros/users/admin','default','Poll vote','','7.34'),(1394,'/pinteros/users/admin','default','Poll results','','7.34'),(1395,'/pinteros/users/admin','default','Term name textfield','','7.34'),(1396,'/pinteros/users/admin','default','Term description textarea','','7.34'),(1397,'/pinteros/users/admin','default','User name and password','','7.34'),(1398,'/pinteros/users/admin','default','User module account form elements.','','7.34'),(1399,'/pinteros/users/admin','default','Timezone','','7.34'),(1400,'/pinteros/users/admin','default','User module timezone form element.','','7.34'),(1401,'/pinteros/users/admin','default','User module history view element.','','7.34'),(1402,'/pinteros/users/admin','default','Back to Top','','7.34'),(1403,'/pinteros/js/admin_menu/cache/a397f2a298a419de92a58e6ed082fc93','default','','','7.34'),(1404,'/pinteros/','default','Front page feed','','7.32'),(1405,'/pinteros/','default','Items per page','','7.32'),(1406,'/pinteros/','default','- All -','','7.32'),(1407,'/pinteros/','default','Offset','','7.32'),(1408,'/pinteros/','default','« first','','7.32'),(1409,'/pinteros/','default','‹ previous','','7.32'),(1410,'/pinteros/','default','next ›','','7.32'),(1411,'/pinteros/','default','last »','','7.32'),(1412,'/pinteros/','default','Subscribe to !feed-title','','7.32'),(1413,'/pinteros/','default','Read more<span class=\"element-invisible\"> about @title</span>','','7.32'),(1414,'/pinteros/','default','Add new comment','','7.32'),(1415,'/pinteros/','default','Add a new comment to this page.','','7.32'),(1416,'/pinteros/','default','Submitted by !username on !datetime','','7.32'),(1417,'/pinteros/','default','@count comments','','7.32'),(1418,'/pinteros/','default','Jump to the first comment of this posting.','','7.32'),(1419,'/pinteros/','default','‹‹','','7.32'),(1420,'/pinteros/','default','››','','7.32'),(1421,'/pinteros/','default','Go to first page','','7.32'),(1422,'/pinteros/','default','Go to previous page','','7.32'),(1423,'/pinteros/','default','Go to next page','','7.32'),(1424,'/pinteros/','default','Go to last page','','7.32'),(1425,'/pinteros/','default','@current of @max','','7.32'),(1426,'sites/all/modules/views_infinite_scroll/js/views_infinite_scroll.js; sites/all/themes/pinteros/js/views_infinite_scroll.js','default','Views infinite scroll pager is not compatible with Ajax Views. Please disable \"Use Ajax\" option.','','none'),(1427,'sites/all/modules/views_infinite_scroll/js/views_infinite_scroll.js; sites/all/themes/pinteros/js/views_infinite_scroll.js','default','Views Infinite Scroll module can\\\'t handle more than one infinite view in the same page.','','none'),(1428,'sites/all/modules/views_infinite_scroll/js/views_infinite_scroll.js; sites/all/themes/pinteros/js/views_infinite_scroll.js','default','Autopager jquery plugin in not loaded.','','none'),(1429,'/pinteros/','default','authenticated user','','7.32'),(1430,'/pinteros/','default','<a href=\"@login\">Log in</a> or <a href=\"@register\">register</a> to post comments','','7.32'),(1431,'/pinteros/frontpage?page=1','default','@count votes','','7.32'),(1432,'/pinteros/frontpage?page=1','default','Total votes: @votes','','7.32'),(1433,'/pinteros/frontpage?page=1','default','1 comment','','7.32'),(1434,'/pinteros/user/login','default','Log in','','7.32'),(1435,'/pinteros/user/login','default','Username','','7.32'),(1436,'/pinteros/user/login','default','Enter your @s username.','','7.32'),(1437,'/pinteros/user/login','default','Password','','7.32'),(1438,'/pinteros/user/login','default','Enter the password that accompanies your username.','','7.32'),(1439,'/pinteros/user/login','default','Create new account','','7.32'),(1440,'/pinteros/user/login','default','Request new password','','7.32'),(1441,'/pinteros/user/login','default','There are currently @count users online.','','7.32'),(1442,'/pinteros/user/login','default','This field is required.','','7.32'),(1443,'/pinteros/article/15-places-we%E2%80%99d-rather-be-right-now','default','User login','','7.32'),(1444,'/pinteros/article/15-places-we%E2%80%99d-rather-be-right-now','default','Create a new user account.','','7.32'),(1445,'/pinteros/article/15-places-we%E2%80%99d-rather-be-right-now','default','Request new password via e-mail.','','7.32'),(1446,'/pinteros/sites/default/files/styles/pinteros-small/public/field/image/demo-5.jpg?itok=c0na7pIV','default','Generate image style','','7.32'),(1447,'/pinteros/sites/default/files/styles/pinteros-small/public/field/image/demo-4.jpg?itok=2uPA3RrG','default','GD2 image manipulation toolkit','','7.32'),(1448,'/pinteros/sites/default/files/styles/pinteros-small/public/field/image/demo-5.jpg?itok=c0na7pIV','default','GD2 image manipulation toolkit','','7.32'),(1449,'/pinteros/article/15-places-we%E2%80%99d-rather-be-right-now','default','Your name','','7.32'),(1450,'/pinteros/article/15-places-we%E2%80%99d-rather-be-right-now','default','The content of this field is kept private and will not be shown publicly.','','7.32'),(1451,'/pinteros/article/15-places-we%E2%80%99d-rather-be-right-now','default','Homepage','','7.32'),(1452,'/pinteros/article/15-places-we%E2%80%99d-rather-be-right-now','default','Authored on','','7.32'),(1453,'/pinteros/article/15-places-we%E2%80%99d-rather-be-right-now','default','Save','','7.32'),(1454,'/pinteros/article/15-places-we%E2%80%99d-rather-be-right-now','default','Preview','','7.32'),(1455,'/pinteros/article/15-places-we%E2%80%99d-rather-be-right-now','default','More information about text formats','','7.32'),(1456,'/pinteros/article/15-places-we%E2%80%99d-rather-be-right-now','default','Web page addresses and e-mail addresses turn into links automatically.','','7.32'),(1457,'/pinteros/article/15-places-we%E2%80%99d-rather-be-right-now','default','Allowed HTML tags: @tags','','7.32'),(1458,'/pinteros/article/15-places-we%E2%80%99d-rather-be-right-now','default','Lines and paragraphs break automatically.','','7.32'),(1459,'/pinteros/article/15-places-we%E2%80%99d-rather-be-right-now','default','No HTML tags allowed.','','7.32'),(1460,'/pinteros/article/15-places-we%E2%80%99d-rather-be-right-now','default','You may post PHP code. You should include &lt;?php ?&gt; tags.','','7.32'),(1461,'/pinteros/comment/reply/91','default','!name field is required.','','7.32'),(1462,'/pinteros/comment/reply/91','default','Preview comment','','7.32'),(1463,'/pinteros/comment/reply/91','default','Permalink','','7.32'),(1464,'/pinteros/frontpage?page=1','default','Choices','','7.32'),(1465,'/pinteros/frontpage?page=1','default','Vote','','7.32'),(1466,'/pinteros/','default','Triptych first','','7.32'),(1467,'/pinteros/','default','Triptych middle','','7.32'),(1468,'/pinteros/','default','Triptych last','','7.32'),(1469,'/pinteros/','default','Footer first column','','7.32'),(1470,'/pinteros/','default','Footer second column','','7.32'),(1471,'/pinteros/','default','Footer third column','','7.32'),(1472,'/pinteros/','default','Footer fourth column','','7.32'),(1473,'/pinteros/','default','Recent blog posts','','7.32'),(1474,'/pinteros/','default','Context editor','','7.32'),(1475,'/pinteros/','default','User interface text','','7.32'),(1476,'/pinteros/','default','Order of language detection methods for user interface text. If a translation of user interface text is available in the detected language, it will be displayed.','','7.32'),(1477,'/pinteros/','default','Order of language detection methods for content. If a version of content is available in the detected language, it will be displayed.','','7.32'),(1478,'/pinteros/','default','Language switcher (@type)','','7.32'),(1479,'/pinteros/','default','Newsletter: Subscribe','','7.32'),(1480,'/pinteros/','default','Syndicate','','7.32'),(1481,'/pinteros/','default','Recent content','','7.32'),(1482,'/pinteros/','default','Most recent poll','','7.32'),(1483,'/pinteros/','default','Main page content','','7.32'),(1484,'/pinteros/','default','Powered by Drupal','','7.32'),(1485,'/pinteros/','default','System help','','7.32'),(1486,'/pinteros/','default','Who\'s new','','7.32'),(1487,'/pinteros/','default','Active forum topics','','7.32'),(1488,'/pinteros/','default','New forum topics','','7.32'),(1489,'/pinteros/','default','View: !view','','7.32'),(1490,'/pinteros/','default','Newsletter archive','','7.32'),(1491,'/pinteros/','default','Field type(s) in use - see <a href=\"@fields-page\">Field list</a>','','7.32'),(1492,'/pinteros/user/logout','default','Context (any)','','7.32'),(1493,'/pinteros/user/logout','default','Set this context on the basis of other active contexts. Put each context on a separate line. The condition will pass if <em>any</em> of the contexts are active. You can use the <code>*</code> character (asterisk) as a wildcard and the <code>~</code> character (tilde) to prevent this context from activating if the listed context is active. Other contexts which use context conditions can not be used to exclude this context from activating.','','7.32'),(1494,'/pinteros/user/logout','default','Context (all)','','7.32'),(1495,'/pinteros/user/logout','default','Set this context on the basis of other active contexts. Put each context on a separate line. The condition will pass only if <em>all</em> of the contexts are active. You can use the <code>*</code> character (asterisk) as a wildcard and the <code>~</code> character (tilde) to prevent this context from activating if the listed context is active. Other contexts which use context conditions can not be used to exclude this context from activating.','','7.32'),(1496,'/pinteros/user/logout','default','Node type','','7.32'),(1497,'/pinteros/user/logout','default','Set this context when viewing a node page or using the add/edit form of one of these content types.','','7.32'),(1498,'/pinteros/user/logout','default','Sitewide context','','7.32'),(1499,'/pinteros/user/logout','default','Should this context always be set? If <strong>true</strong>, this context will be active across your entire site.','','7.32'),(1500,'/pinteros/user/logout','default','Default context','','7.32'),(1501,'/pinteros/user/logout','default','This context will be set if no other context is active except sitewide contexts.','','7.32'),(1502,'/pinteros/user/logout','default','Set this context when any of the paths above match the page path. Put each path on a separate line. You can use the <code>*</code> character (asterisk) as a wildcard and the <code>~</code> character (tilde) to exclude one or more paths. Use &lt;front&gt; for the site front page.','','7.32'),(1503,'/pinteros/user/logout','default','Query String','','7.32'),(1504,'/pinteros/user/logout','default','Set this context when any of the query strings above match the page query string. Put each query string on a separate line. You can use the \"*\" character as a wildcard and <code>~</code> to exclude one or more query strings.','','7.32'),(1505,'/pinteros/user/logout','default','User role','','7.32'),(1506,'/pinteros/user/logout','default','Set this context when the current user has one of the selected role(s).','','7.32'),(1507,'/pinteros/user/logout','default','User page','','7.32'),(1508,'/pinteros/user/logout','default','Set this context when viewing a user page.','','7.32'),(1509,'/pinteros/user/logout','default','Set this context when any of the selected menu items belong to the current active menu trail.','','7.32'),(1510,'/pinteros/user/logout','default','Set this context when displaying the page of one of these views.','','7.32'),(1511,'/pinteros/user/logout','default','Set this context when viewing the site in the selected language.','','7.32'),(1512,'/pinteros/user/logout','default','Set this context when viewing a node with the selected taxonomy terms.','','7.32'),(1513,'/pinteros/user/logout','default','Set this context when viewing a taxonomy term page.','','7.32'),(1514,'/pinteros/user/logout','default','Control block visibility using context.','','7.32'),(1515,'/pinteros/user/logout','default','Regions','','7.32'),(1516,'/pinteros/user/logout','default','Control Region visiblity using context.','','7.32'),(1517,'/pinteros/user/logout','default','Breadcrumb','','7.32'),(1518,'/pinteros/user/logout','default','Set the breadcrumb trail to the selected menu item.','','7.32'),(1519,'/pinteros/user/logout','default','Template suggestions','','7.32'),(1520,'/pinteros/user/logout','default','Add template suggestions using context.','','7.32'),(1521,'/pinteros/user/logout','default','Theme Page','','7.32'),(1522,'/pinteros/user/logout','default','Control page theme variables using context.','','7.32'),(1523,'/pinteros/user/logout','default','Theme HTML','','7.32'),(1524,'/pinteros/user/logout','default','Control HTML theme variables using context.','','7.32'),(1525,'/pinteros/user/logout','default','Debug','','7.32'),(1526,'/pinteros/user/logout','default','Debug output reaction for SimpleTest.','','7.32'),(1527,'/pinteros/user/logout','default','Control menu active class using context.','','7.32'),(1528,'/pinteros/category/education','default','!username\'s blog','','7.32'),(1529,'/pinteros/forum','default','No new posts','','7.32'),(1530,'/pinteros/forum','default','By !author @time ago','','7.32'),(1531,'/pinteros/forum','default','n/a','','7.32'),(1532,'/pinteros/forum','default','Forum','','7.32'),(1533,'/pinteros/forum','default','Topics','','7.32'),(1534,'/pinteros/forum','default','Posts','','7.32'),(1535,'/pinteros/forum','default','Last post','','7.32'),(1536,'/pinteros/forum','default','<a href=\"@login\">Log in</a> to post new content in the forum.','','7.32'),(1537,'/pinteros/poll','default','open','','7.32'),(1538,'/pinteros/contact','default','Your e-mail address','','7.32'),(1539,'/pinteros/contact','default','Message','','7.32'),(1540,'/pinteros/contact','default','Send yourself a copy.','','7.32'),(1541,'/pinteros/contact','default','Send message','','7.32'),(1542,'/pinteros/admin/structure/menu/manage/main-menu/list?destination=contact&render=overlay','default','Unknown','','7.32'),(1543,'/pinteros/admin/structure/menu/manage/main-menu/list?destination=contact&render=overlay','default','No available update data','','7.32'),(1544,'/pinteros/admin/structure/menu/manage/main-menu/list?destination=contact&render=overlay','default','There is a security update available for your version of Drupal. To ensure the security of your server, you should update immediately!','','7.32'),(1545,'/pinteros/admin/structure/menu/manage/main-menu/list?destination=contact&render=overlay','default','See the <a href=\"@available_updates\">available updates</a> page for more information and to install your missing updates.','','7.32'),(1546,'/pinteros/admin/structure/menu/manage/main-menu/list?destination=contact&render=overlay','default','Not secure!','','7.32'),(1547,'/pinteros/admin/structure/menu/manage/main-menu/list?destination=contact&render=overlay','default','(version @version available)','','7.32'),(1548,'/pinteros/admin/structure/menu/manage/main-menu/list?destination=contact&render=overlay','default','Module and theme update status','','7.32'),(1549,'/pinteros/admin/structure/menu/manage/main-menu/list?destination=contact&render=overlay','default','There are security updates available for one or more of your modules or themes. To ensure the security of your server, you should update immediately!','','7.32'),(1550,'/pinteros/admin/structure/menu/manage/main-menu/list?destination=contact&render=overlay','default','Enable @title menu link','','7.32'),(1551,'/pinteros/admin/structure/menu/manage/main-menu/list?destination=contact&render=overlay','default','delete','','7.32'),(1552,'/pinteros/admin/structure/menu/manage/main-menu/list?destination=contact&render=overlay','default','reset','','7.32'),(1553,'/pinteros/admin/structure/menu/manage/main-menu/list?destination=contact&render=overlay','default','disabled','','7.32'),(1554,'/pinteros/admin/structure/menu/manage/main-menu/list?destination=contact&render=overlay','default','Menu link','','7.32'),(1555,'/pinteros/admin/structure/menu/item/524/delete?render=overlay','default','Delete menu link','','7.32'),(1556,'/pinteros/admin/structure/menu/item/524/delete?render=overlay','default','Are you sure you want to delete the custom menu link %item?','','7.32'),(1557,'/pinteros/admin/structure/menu/item/524/delete?render=overlay','default','This action cannot be undone.','','7.32'),(1558,'/pinteros/admin/structure/menu/item/524/delete?render=overlay','default','Confirm','','7.32'),(1559,'/pinteros/admin/structure/menu/item/524/delete?render=overlay','default','Cancel','','7.32'),(1560,'/pinteros/admin/structure/menu/item/524/delete?render=overlay&render=overlay','default','The menu link %title has been deleted.','','7.32'),(1561,'/pinteros/admin/structure/menu/manage/main-menu?render=overlay&render=overlay','default','Your configuration has been saved.','','7.32'),(1562,'/pinteros/sites/default/files/styles/pinteros-medium/public/magazine.jpg?itok=M80P7-J_','default','Image generation in progress. Try again shortly.','','7.32'),(1563,'/pinteros/blog','default','RSS - blogs','','7.32'),(1564,'/pinteros/blog','default','Go to page @number','','7.32'),(1565,'/pinteros/blog-post/guided-tours-every-taste','default','!name\'s blog','','7.32'),(1566,'/pinteros/weebpal-preset/skin-dark-blue','default','Default skin','','7.32'),(1567,'/pinteros/','default','A log message associated with the revision.','','7.32'),(1568,'/pinteros/','default','A special cache used to store objects that are being edited; it serves to save state in an ordinarily stateless environment.','','7.32'),(1569,'/pinteros/','default','Video id, the primary identifier','','7.32'),(1570,'/pinteros/','default','Start timestamp of transcodings','','7.32'),(1571,'/pinteros/','default','Reply to','','7.32'),(1572,'/pinteros/','default','Recent posts','','7.32'),(1573,'/pinteros/','default','Replies','','7.32'),(1574,'/pinteros/','default','.','','7.32'),(1575,'/pinteros/','default',',','','7.32'),(1576,'/pinteros/','default','Last Post','','7.32'),(1577,'/pinteros/','default',' new','','7.32'),(1578,'/pinteros/','default','Recent posts for %1','','7.32'),(1579,'/pinteros/','default','Monthly archive','','7.32'),(1580,'/pinteros/','default','Last update','','7.32'),(1581,'/pinteros/','default','No backlinks found.','','7.32'),(1582,'/pinteros/','default','Pages that link to %1','','7.32'),(1583,'/pinteros/','default','What links here','','7.32'),(1584,'/pinteros/','default','Vocabulary terms','','7.32'),(1585,'/pinteros/','default','All the terms in a vocabulary.','','7.32'),(1586,'/pinteros/','default','User picture','','7.32'),(1587,'/pinteros/','default','The picture of a user.','','7.32'),(1588,'/pinteros/','default','User profile','','7.32'),(1589,'/pinteros/','default','The profile of a user.','','7.32'),(1590,'/pinteros/','default','User signature','','7.32'),(1591,'/pinteros/','default','The signature of a user.','','7.32'),(1592,'/pinteros/','default','Term description.','','7.32'),(1593,'/pinteros/','default','List of related terms','','7.32'),(1594,'/pinteros/','default','Terms related to an existing term; may be child, siblings or top level.','','7.32'),(1595,'/pinteros/','default','Advanced search form','','7.32'),(1596,'/pinteros/','default','A search form with advanced options.','','7.32'),(1597,'/pinteros/','default','Keywords','','7.32'),(1598,'/pinteros/','default','Widgets','','7.32'),(1599,'/pinteros/','default','Search results','','7.32'),(1600,'/pinteros/','default','The results of a search using keywords.','','7.32'),(1601,'/pinteros/','default','Add the action links (local tasks) as content.','','7.32'),(1602,'/pinteros/','default','Page elements','','7.32'),(1603,'/pinteros/','default','Add the breadcrumb trail as content.','','7.32'),(1604,'/pinteros/','default','Feed icons','','7.32'),(1605,'/pinteros/','default','Add the site feed_icons statement as content.','','7.32'),(1606,'/pinteros/','default','Add the help text of the current page as content.','','7.32'),(1607,'/pinteros/','default','Site logo','','7.32'),(1608,'/pinteros/','default','Add the logo trail as content.','','7.32'),(1609,'/pinteros/','default','Status messages','','7.32'),(1610,'/pinteros/','default','Add the status messages of the current page as content.','','7.32'),(1611,'/pinteros/','default','Primary navigation links','','7.32'),(1612,'/pinteros/','default','Add the primary_links (local tasks) as content.','','7.32'),(1613,'/pinteros/','default','Secondary navigation links','','7.32'),(1614,'/pinteros/','default','Add the secondary_links (local tasks) as content.','','7.32'),(1615,'/pinteros/','default','Site name','','7.32'),(1616,'/pinteros/','default','Site slogan','','7.32'),(1617,'/pinteros/','default','Add the site\'s slogan as content.','','7.32'),(1618,'/pinteros/','default','Tabs','','7.32'),(1619,'/pinteros/','default','Add the tabs (local tasks) as content.','','7.32'),(1620,'/pinteros/','default','Page title','','7.32'),(1621,'/pinteros/','default','Add the page title as content.','','7.32'),(1622,'/pinteros/','default','Node form author information','','7.32'),(1623,'/pinteros/','default','Author information on the Node form.','','7.32'),(1624,'/pinteros/','default','Form','','7.32'),(1625,'/pinteros/','default','Node form submit buttons','','7.32'),(1626,'/pinteros/','default','Submit buttons for the node form.','','7.32'),(1627,'/pinteros/','default','Node form comment settings','','7.32'),(1628,'/pinteros/','default','Comment settings on the Node form.','','7.32'),(1629,'/pinteros/','default','Node form languages','','7.32'),(1630,'/pinteros/','default','The language selection form.','','7.32'),(1631,'/pinteros/','default','Node form revision log message','','7.32'),(1632,'/pinteros/','default','Revision log message for the node.','','7.32'),(1633,'/pinteros/','default','Node form menu settings','','7.32'),(1634,'/pinteros/','default','Menu settings on the Node form.','','7.32'),(1635,'/pinteros/','default','Node form url path settings','','7.32'),(1636,'/pinteros/','default','Publishing options on the Node form.','','7.32'),(1637,'/pinteros/','default','Node form publishing options','','7.32'),(1638,'/pinteros/','default','Node form title field','','7.32'),(1639,'/pinteros/','default','The node title form.','','7.32'),(1640,'/pinteros/','default','Attached files','','7.32'),(1641,'/pinteros/','default','A list of files attached to the node.','','7.32'),(1642,'/pinteros/','default','Node author','','7.32'),(1643,'/pinteros/','default','The author of the referenced node.','','7.32'),(1644,'/pinteros/','default','Node body','','7.32'),(1645,'/pinteros/','default','The body of the referenced node.','','7.32'),(1646,'/pinteros/','default','Comment form','','7.32'),(1647,'/pinteros/','default','A form to add a new comment.','','7.32'),(1648,'/pinteros/','default','Node comments','','7.32'),(1649,'/pinteros/','default','The comments of the referenced node.','','7.32'),(1650,'/pinteros/','default','Node content','','7.32'),(1651,'/pinteros/','default','The content of the referenced node.','','7.32'),(1652,'/pinteros/','default','Node created date','','7.32'),(1653,'/pinteros/','default','The date the referenced node was created.','','7.32'),(1654,'/pinteros/','default','Node links','','7.32'),(1655,'/pinteros/','default','Node links of the referenced node.','','7.32'),(1656,'/pinteros/','default','Node terms','','7.32'),(1657,'/pinteros/','default','Taxonomy terms of the referenced node.','','7.32'),(1658,'/pinteros/','default','Node title','','7.32'),(1659,'/pinteros/','default','The title of the referenced node.','','7.32'),(1660,'/pinteros/','default','Node type description','','7.32'),(1661,'/pinteros/','default','Node type description.','','7.32'),(1662,'/pinteros/','default','Node last updated date','','7.32'),(1663,'/pinteros/','default','The date the referenced node was last updated.','','7.32'),(1664,'/pinteros/','default','Existing node','','7.32'),(1665,'/pinteros/','default','Add a node from your site as content.','','7.32'),(1666,'/pinteros/','default','Entity field','','7.32'),(1667,'/pinteros/','default','General form','','7.32'),(1668,'/pinteros/','default','Everything in the form that is not displayed by other content.','','7.32'),(1669,'/pinteros/','default','Entity extra field','','7.32'),(1670,'/pinteros/','default','Custom content','','7.32'),(1671,'/pinteros/','default','The site contact form that allows users to send a message to site administrators.','','7.32'),(1672,'/pinteros/','default','User contact form','','7.32'),(1673,'/pinteros/','default','The site contact form that allows users to contact other users.','','7.32'),(1674,'/pinteros/','default','Comment Reply Form','','7.32'),(1675,'/pinteros/','default','A form to add a new comment reply.','','7.32'),(1676,'/pinteros/','default','HTML5 Player','','7.32'),(1677,'/pinteros/','default','Divx Player','','7.32'),(1678,'/pinteros/','default','Quicktime','','7.32'),(1679,'/pinteros/','default','Real Media Player','','7.32'),(1680,'/pinteros/','default','FLV Flash Players','','7.32'),(1681,'/pinteros/','default','SWF Flash Player','','7.32'),(1682,'/pinteros/','default','Director/Shockwave','','7.32'),(1683,'/pinteros/','default','Windows Media Player','','7.32'),(1684,'/pinteros/','default','Theora Player','','7.32'),(1685,'/pinteros/','default','Resize','','7.32'),(1686,'/pinteros/','default','Resizing will make images an exact set of dimensions. This may cause images to be stretched or shrunk disproportionately.','','7.32'),(1687,'/pinteros/','default','Scale','','7.32'),(1688,'/pinteros/','default','Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.','','7.32'),(1689,'/pinteros/','default','Scale and crop','','7.32'),(1690,'/pinteros/','default','Scale and crop will maintain the aspect-ratio of the original image, then crop the larger dimension. This is most useful for creating perfectly square thumbnails without stretching the image.','','7.32'),(1691,'/pinteros/','default','Crop','','7.32'),(1692,'/pinteros/','default','Cropping will remove portions of an image to make it the specified dimensions.','','7.32'),(1693,'/pinteros/','default','Desaturate','','7.32'),(1694,'/pinteros/','default','Desaturate converts an image to grayscale.','','7.32'),(1695,'/pinteros/','default','Rotate','','7.32'),(1696,'/pinteros/','default','Rotating an image may cause the dimensions of an image to increase to fit the diagonal.','','7.32'),(1697,'/pinteros/en','default','Page not found','','7.32'),(1698,'/pinteros/en','default','The requested page \"@path\" could not be found.','','7.32'),(1699,'/pinteros/admin/config?render=overlay','default','GD library PNG support','','7.32'),(1700,'/pinteros/admin/config?render=overlay','default','CTools CSS Cache','','7.32'),(1701,'/pinteros/admin/config?render=overlay','default','Exists','','7.32'),(1702,'/pinteros/admin/config?render=overlay','default','The timezone has been set to <a href=\"@regional_settings\">@timezone</a>.','','7.32'),(1703,'/pinteros/admin/config?render=overlay','default','The Date API requires that you set up the <a href=\"@regional_settings\">site first day of week settings</a> to function correctly.','','7.32'),(1704,'/pinteros/admin/config?render=overlay','default','The medium date format type has been set to to @value. You may find it helpful to add new format types like Date, Time, Month, or Year, with appropriate formats, at <a href=\"@regional_date_time\">Date and time</a> settings.','','7.32'),(1705,'/pinteros/admin/config?render=overlay','default','System date settings','','7.32'),(1706,'/pinteros/admin/config?render=overlay','default','Not enabled','','7.32'),(1707,'/pinteros/admin/config?render=overlay','default','Your server is capable of displaying file upload progress, but does not have the required libraries. It is recommended to install the <a href=\"http://pecl.php.net/package/uploadprogress\">PECL uploadprogress library</a> (preferred) or to install <a href=\"http://us2.php.net/apc\">APC</a>.','','7.32'),(1708,'/pinteros/admin/config?render=overlay','default','Upload progress','','7.32'),(1709,'/pinteros/admin/config?render=overlay','default','GD library rotate and desaturate effects','','7.32'),(1710,'/pinteros/admin/config?render=overlay','default','jQuery Update','','7.32'),(1711,'/pinteros/admin/config?render=overlay','default','jQuery %jquery and jQuery UI %ui','','7.32'),(1712,'/pinteros/admin/config?render=overlay; sites/all/modules/weight/weight.js','default','Disabled','','7.32'),(1713,'/pinteros/admin/config?render=overlay','default','If the site is experiencing problems with permissions to content, you may have to rebuild the permissions cache. Rebuilding will remove all privileges to content and replace them with permissions based on the current modules and settings. Rebuilding may take some time if there is a lot of content or complex permission settings. After rebuilding has completed, content will automatically use the new permissions.','','7.32'),(1714,'/pinteros/admin/config?render=overlay','default','Node Access Permissions','','7.32'),(1715,'/pinteros/admin/config?render=overlay','default','Rebuild permissions','','7.32'),(1716,'/pinteros/admin/config?render=overlay','default','Drupal','','7.32'),(1717,'/pinteros/admin/config?render=overlay','default','Web server','','7.32'),(1718,'/pinteros/admin/config?render=overlay','default','PHP','','7.32'),(1719,'/pinteros/admin/config?render=overlay','default','more information','','7.32'),(1720,'/pinteros/admin/config?render=overlay','default','PHP register globals','','7.32'),(1721,'/pinteros/admin/config?render=overlay','default','PHP extensions','','7.32'),(1722,'/pinteros/admin/config?render=overlay','default','Database system','','7.32'),(1723,'/pinteros/admin/config?render=overlay','default','Database system version','','7.32'),(1724,'/pinteros/admin/config?render=overlay','default','PHP memory limit','','7.32'),(1725,'/pinteros/admin/config?render=overlay','default','Not protected','','7.32'),(1726,'/pinteros/admin/config?render=overlay','default','The directory %file is not protected from modifications and poses a security risk. You must change the directory\'s permissions to be non-writable. ','','7.32'),(1727,'/pinteros/admin/config?render=overlay','default','The file %file is not protected from modifications and poses a security risk. You must change the file\'s permissions to be non-writable.','','7.32'),(1728,'/pinteros/admin/config?render=overlay','default','Configuration file','','7.32'),(1729,'/pinteros/admin/config?render=overlay','default','Public files directory','','7.32'),(1730,'/pinteros/admin/config?render=overlay','default','Temporary files directory','','7.32'),(1731,'/pinteros/admin/config?render=overlay','default','For more information, see the online handbook entry for <a href=\"@cron-handbook\">configuring cron jobs</a>.','','7.32'),(1732,'/pinteros/admin/config?render=overlay','default','@count hours','','7.32'),(1733,'/pinteros/admin/config?render=overlay','default','@count min','','7.32'),(1734,'/pinteros/admin/config?render=overlay','default','Last run !time ago','','7.32'),(1735,'/pinteros/admin/config?render=overlay','default','You can <a href=\"@cron\">run cron manually</a>.','','7.32'),(1736,'/pinteros/admin/config?render=overlay','default','To run cron from outside the site, go to <a href=\"!cron\">!cron</a>','','7.32'),(1737,'/pinteros/admin/config?render=overlay','default','Cron maintenance tasks','','7.32'),(1738,'/pinteros/admin/config?render=overlay','default','Writable (<em>public</em> download method)','','7.32'),(1739,'/pinteros/admin/config?render=overlay','default','Database updates','','7.32'),(1740,'/pinteros/admin/config?render=overlay','default','Up to date','','7.32'),(1741,'/pinteros/admin/config?render=overlay','default','Protected','','7.32'),(1742,'/pinteros/admin/config?render=overlay','default','Access to update.php','','7.32'),(1743,'/pinteros/admin/config?render=overlay','default','Standard PHP','','7.32'),(1744,'/pinteros/admin/config?render=overlay','default','PHP Mbstring Extension','','7.32'),(1745,'/pinteros/admin/config?render=overlay','default','Error','','7.32'),(1746,'/pinteros/admin/config?render=overlay','default','Unicode library','','7.32'),(1747,'/pinteros/admin/config?render=overlay','default','Update notifications','','7.32'),(1748,'/pinteros/admin/config?render=overlay','default','The source node for this current node\'s translation set.','','7.32'),(1749,'/pinteros/admin/config?render=overlay','default','The explanation of the most recent changes made to the node.','','7.32'),(1750,'/pinteros/admin/config?render=overlay','default','The content type of the node.','','7.32'),(1751,'/pinteros/admin/config?render=overlay','default','Tokens related to content types.','','7.32'),(1752,'/pinteros/admin/config?render=overlay','default','The name of the content type.','','7.32'),(1753,'/pinteros/admin/config?render=overlay','default','The unique machine-readable name of the content type.','','7.32'),(1754,'/pinteros/admin/config?render=overlay','default','The optional description of the content type.','','7.32'),(1755,'/pinteros/admin/config?render=overlay','default','The number of nodes belonging to the content type.','','7.32'),(1756,'/pinteros/admin/config?render=overlay','default','The URL of the content type\'s edit page.','','7.32'),(1757,'/pinteros/admin/config?render=overlay','default','The URL of the taxonomy term\'s edit page.','','7.32'),(1758,'/pinteros/admin/config?render=overlay','default','Parents','','7.32'),(1759,'/pinteros/admin/config?render=overlay','default','An array of all the term\'s parents, starting with the root.','','7.32'),(1760,'/pinteros/admin/config?render=overlay','default','Root term','','7.32'),(1761,'/pinteros/admin/config?render=overlay','default','The root term of the taxonomy term.','','7.32'),(1762,'/pinteros/admin/config?render=overlay','default','The unique machine-readable name of the vocabulary.','','7.32'),(1763,'/pinteros/admin/config?render=overlay','default','The URL of the vocabulary\'s edit page.','','7.32'),(1764,'/pinteros/admin/config?render=overlay','default','Base name','','7.32'),(1765,'/pinteros/admin/config?render=overlay','default','The base name of the file.','','7.32'),(1766,'/pinteros/admin/config?render=overlay','default','File byte size','','7.32'),(1767,'/pinteros/admin/config?render=overlay','default','The size of the file, in bytes.','','7.32'),(1768,'/pinteros/admin/config?render=overlay','default','Account cancellation URL','','7.32'),(1769,'/pinteros/admin/config?render=overlay','default','The URL of the confirm delete page for the user account.','','7.32'),(1770,'/pinteros/admin/config?render=overlay','default','One-time login URL','','7.32'),(1771,'/pinteros/admin/config?render=overlay','default','The URL of the one-time login page for the user account.','','7.32'),(1772,'/pinteros/admin/config?render=overlay','default','The picture of the user.','','7.32'),(1773,'/pinteros/admin/config?render=overlay','default','The user roles associated with the user account.','','7.32'),(1774,'/pinteros/admin/config?render=overlay','default','IP address','','7.32'),(1775,'/pinteros/admin/config?render=overlay','default','Menu links','','7.32'),(1776,'/pinteros/admin/config?render=overlay','default','Tokens related to menu links.','','7.32'),(1777,'/pinteros/admin/config?render=overlay','default','Link ID','','7.32'),(1778,'/pinteros/admin/config?render=overlay','default','The unique ID of the menu link.','','7.32'),(1779,'/pinteros/admin/config?render=overlay','default','The title of the menu link.','','7.32'),(1780,'/pinteros/admin/config?render=overlay','default','The URL of the menu link.','','7.32'),(1781,'/pinteros/admin/config?render=overlay','default','The menu link\'s parent.','','7.32'),(1782,'/pinteros/admin/config?render=overlay','default','An array of all the menu link\'s parents, starting with the root.','','7.32'),(1783,'/pinteros/admin/config?render=overlay','default','Root','','7.32'),(1784,'/pinteros/admin/config?render=overlay','default','The menu link\'s root.','','7.32'),(1785,'/pinteros/admin/config?render=overlay','default','Tokens related to the current page request.','','7.32'),(1786,'/pinteros/admin/config?render=overlay','default','The title of the current page.','','7.32'),(1787,'/pinteros/admin/config?render=overlay','default','The URL of the current page.','','7.32'),(1788,'/pinteros/admin/config?render=overlay','default','Page number','','7.32'),(1789,'/pinteros/admin/config?render=overlay','default','The page number of the current page when viewing paged lists.','','7.32'),(1790,'/pinteros/admin/config?render=overlay','default','Query string value','','7.32'),(1791,'/pinteros/admin/config?render=overlay','default','The value of a specific query string field of the current page.','','7.32'),(1792,'/pinteros/admin/config?render=overlay','default','Tokens related to URLs.','','7.32'),(1793,'/pinteros/admin/config?render=overlay','default','The path component of the URL.','','7.32'),(1794,'/pinteros/admin/config?render=overlay','default','Relative URL','','7.32'),(1795,'/pinteros/admin/config?render=overlay','default','The relative URL.','','7.32'),(1796,'/pinteros/admin/config?render=overlay','default','Absolute URL','','7.32'),(1797,'/pinteros/admin/config?render=overlay','default','The absolute URL.','','7.32'),(1798,'/pinteros/admin/config?render=overlay','default','Brief URL','','7.32'),(1799,'/pinteros/admin/config?render=overlay','default','The URL without the protocol and trailing backslash.','','7.32'),(1800,'/pinteros/admin/config?render=overlay','default','Unaliased URL','','7.32'),(1801,'/pinteros/admin/config?render=overlay','default','The unaliased URL.','','7.32'),(1802,'/pinteros/admin/config?render=overlay','default','Arguments','','7.32'),(1803,'/pinteros/admin/config?render=overlay','default','The specific argument of the current page (e.g. \'arg:1\' on the page \'node/1\' returns \'1\').','','7.32'),(1804,'/pinteros/admin/config?render=overlay','default','Array','','7.32'),(1805,'/pinteros/admin/config?render=overlay','default','Tokens related to arrays of strings.','','7.32'),(1806,'/pinteros/admin/config?render=overlay','default','First','','7.32'),(1807,'/pinteros/admin/config?render=overlay','default','The first element of the array.','','7.32'),(1808,'/pinteros/admin/config?render=overlay','default','Last','','7.32'),(1809,'/pinteros/admin/config?render=overlay','default','The last element of the array.','','7.32'),(1810,'/pinteros/admin/config?render=overlay','default','Count','','7.32'),(1811,'/pinteros/admin/config?render=overlay','default','The number of elements in the array.','','7.32'),(1812,'/pinteros/admin/config?render=overlay','default','Reversed','','7.32'),(1813,'/pinteros/admin/config?render=overlay','default','The array reversed.','','7.32'),(1814,'/pinteros/admin/config?render=overlay','default','Keys','','7.32'),(1815,'/pinteros/admin/config?render=overlay','default','The array of keys of the array.','','7.32'),(1816,'/pinteros/admin/config?render=overlay','default','Imploded','','7.32'),(1817,'/pinteros/admin/config?render=overlay','default','The values of the array joined together with a custom string in-between each value.','','7.32'),(1818,'/pinteros/admin/config?render=overlay','default','Value','','7.32'),(1819,'/pinteros/admin/config?render=overlay','default','The specific value of the array.','','7.32'),(1820,'/pinteros/admin/config?render=overlay','default','Number','','7.32'),(1821,'/pinteros/admin/config?render=overlay','default','A random number from 0 to @max.','','7.32'),(1822,'/pinteros/admin/config?render=overlay','default','A random hash. The possible hashing algorithms are: @hash-algos.','','7.32'),(1823,'/pinteros/admin/config?render=overlay','default','Tokens for comments posted on the site.','','7.32'),(1824,'/pinteros/admin/config?render=overlay','default','The formatted content of the comment itself.','','7.32'),(1825,'/pinteros/admin/config?render=overlay','default','The date the comment was most recently updated.','','7.32'),(1826,'/pinteros/admin/config?render=overlay','default','The author of the comment, if they were logged in.','','7.32'),(1827,'/pinteros/admin/config?render=overlay','default','Tokens related to menus.','','7.32'),(1828,'/pinteros/admin/config?render=overlay','default','The name of the menu.','','7.32'),(1829,'/pinteros/admin/config?render=overlay','default','The unique machine-readable name of the menu.','','7.32'),(1830,'/pinteros/admin/config?render=overlay','default','The optional description of the menu.','','7.32'),(1831,'/pinteros/admin/config?render=overlay','default','Menu link count','','7.32'),(1832,'/pinteros/admin/config?render=overlay','default','The number of menu links belonging to the menu.','','7.32'),(1833,'/pinteros/admin/config?render=overlay','default','The URL of the menu\'s edit page.','','7.32'),(1834,'/pinteros/admin/config?render=overlay','default','The menu of the menu link.','','7.32'),(1835,'/pinteros/admin/config?render=overlay','default','The URL of the menu link\'s edit page.','','7.32'),(1836,'/pinteros/admin/config?render=overlay','default','The menu link for this node.','','7.32'),(1837,'/pinteros/admin/config?render=overlay','default','Tokens related to newsletters.','','7.32'),(1838,'/pinteros/admin/config?render=overlay','default','Confirmation URL','','7.32'),(1839,'/pinteros/admin/config?render=overlay','default','The url with the generated hash where the subscriber confirms subscription','','7.32'),(1840,'/pinteros/admin/config?render=overlay','default','Subscription IP','','7.32'),(1841,'/pinteros/admin/config?render=overlay','default','Unsubscribe URL','','7.32'),(1842,'/pinteros/admin/config?render=overlay','default','The URL that unsubscribes the current user from subscribed newsletters','','7.32'),(1843,'/pinteros/admin/config?render=overlay','default','Edit subscription URL','','7.32'),(1844,'/pinteros/admin/config?render=overlay','default','The URL that allows even anonymous users to edit their newlsetter subscription','','7.32'),(1845,'/pinteros/admin/config?render=overlay','default','Subscriber\'s First Name','','7.32'),(1846,'/pinteros/admin/config?render=overlay','default','You need to have this required in the personal info form, in order to use it efficiently','','7.32'),(1847,'/pinteros/admin/config?render=overlay','default','Subscriber\'s Last Name','','7.32'),(1848,'/pinteros/admin/config?render=overlay','default','Subscriber\'s e-mail','','7.32'),(1849,'/pinteros/admin/config?render=overlay','default','Subscription Time','','7.32'),(1850,'/pinteros/admin/config?render=overlay','default','The date this subscriber subscribed to your list','','7.32'),(1851,'/pinteros/admin/config?render=overlay','default','List name','','7.32'),(1852,'/pinteros/admin/config?render=overlay','default','The newsletter list name','','7.32'),(1853,'/pinteros/admin/config?render=overlay','default','List\'s description','','7.32'),(1854,'/pinteros/admin/config?render=overlay','default','The newsletter list description','','7.32'),(1855,'/pinteros/admin/config?render=overlay','default','List\'s category','','7.32'),(1856,'/pinteros/admin/config?render=overlay','default','The newsletter list category','','7.32'),(1857,'/pinteros/admin/config?render=overlay','default','Tokens related to individual content items, or \"nodes\".','','7.32'),(1858,'/pinteros/admin/config?render=overlay','default','Content ID','','7.32'),(1859,'/pinteros/admin/config?render=overlay','default','The unique ID of the content item, or \"node\".','','7.32'),(1860,'/pinteros/admin/config?render=overlay','default','The unique ID of the node\'s latest revision.','','7.32'),(1861,'/pinteros/admin/config?render=overlay','default','Translation set ID','','7.32'),(1862,'/pinteros/admin/config?render=overlay','default','The unique ID of the original-language version of this node, if one exists.','','7.32'),(1863,'/pinteros/admin/config?render=overlay','default','Content type name','','7.32'),(1864,'/pinteros/admin/config?render=overlay','default','The human-readable name of the node type.','','7.32'),(1865,'/pinteros/admin/config?render=overlay','default','The main body text of the node.','','7.32'),(1866,'/pinteros/admin/config?render=overlay','default','The summary of the node\'s main body text.','','7.32'),(1867,'/pinteros/admin/config?render=overlay','default','Poll votes','','7.32'),(1868,'/pinteros/admin/config?render=overlay','default','The number of votes that have been cast on a poll.','','7.32'),(1869,'/pinteros/admin/config?render=overlay','default','Poll winner','','7.32'),(1870,'/pinteros/admin/config?render=overlay','default','The winning poll answer.','','7.32'),(1871,'/pinteros/admin/config?render=overlay','default','Poll winner votes','','7.32'),(1872,'/pinteros/admin/config?render=overlay','default','The number of votes received by the winning poll answer.','','7.32'),(1873,'/pinteros/admin/config?render=overlay','default','Poll winner percent','','7.32'),(1874,'/pinteros/admin/config?render=overlay','default','The percentage of votes received by the winning poll answer.','','7.32'),(1875,'/pinteros/admin/config?render=overlay','default','Poll duration','','7.32'),(1876,'/pinteros/admin/config?render=overlay','default','The length of time the poll is set to run.','','7.32'),(1877,'/pinteros/admin/config?render=overlay','default','Tokens for site-wide settings and other global information.','','7.32'),(1878,'/pinteros/admin/config?render=overlay','default','Dates','','7.32'),(1879,'/pinteros/admin/config?render=overlay','default','Tokens related to times and dates.','','7.32'),(1880,'/pinteros/admin/config?render=overlay','default','Tokens related to uploaded files.','','7.32'),(1881,'/pinteros/admin/config?render=overlay','default','URL (brief)','','7.32'),(1882,'/pinteros/admin/config?render=overlay','default','The URL of the site\'s front page without the protocol.','','7.32'),(1883,'/pinteros/admin/config?render=overlay','default','Short format','','7.32'),(1884,'/pinteros/admin/config?render=overlay','default','A date in \'short\' format. (%date)','','7.32'),(1885,'/pinteros/admin/config?render=overlay','default','Medium format','','7.32'),(1886,'/pinteros/admin/config?render=overlay','default','A date in \'medium\' format. (%date)','','7.32'),(1887,'/pinteros/admin/config?render=overlay','default','Long format','','7.32'),(1888,'/pinteros/admin/config?render=overlay','default','January','Long month name','7.32'),(1889,'/pinteros/admin/config?render=overlay','default','A date in \'long\' format. (%date)','','7.32'),(1890,'/pinteros/admin/config?render=overlay','default','Custom format','','7.32'),(1891,'/pinteros/admin/config?render=overlay','default','the PHP documentation','','7.32'),(1892,'/pinteros/admin/config?render=overlay','default','A date in a custom format. See !php-date for details.','','7.32'),(1893,'/pinteros/admin/config?render=overlay','default','Time-since','','7.32'),(1894,'/pinteros/admin/config?render=overlay','default','@count years','','7.32'),(1895,'/pinteros/admin/config?render=overlay','default','1 month','','7.32'),(1896,'/pinteros/admin/config?render=overlay','default','A date in \'time-since\' format. (%date)','','7.32'),(1897,'/pinteros/admin/config?render=overlay','default','Raw timestamp','','7.32'),(1898,'/pinteros/admin/config?render=overlay','default','A date in UNIX timestamp format (%date)','','7.32'),(1899,'/pinteros/admin/config?render=overlay','default','The location of the file relative to Drupal root.','','7.32'),(1900,'/pinteros/admin/config?render=overlay','default','Tokens related to taxonomy terms.','','7.32'),(1901,'/pinteros/admin/config?render=overlay','default','Vocabularies','','7.32'),(1902,'/pinteros/admin/config?render=overlay','default','Tokens related to taxonomy vocabularies.','','7.32'),(1903,'/pinteros/admin/config?render=overlay','default','The number of nodes tagged with terms belonging to the taxonomy vocabulary.','','7.32'),(1904,'/pinteros/admin/config?render=overlay','default','The parent term of the taxonomy term, if one exists.','','7.32'),(1905,'/pinteros/admin/config?render=overlay','default','Tokens related to individual user accounts.','','7.32'),(1906,'/pinteros/admin/config?render=overlay','default','Current user','','7.32'),(1907,'/pinteros/admin/config?render=overlay','default','Tokens related to the currently logged in user.','','7.32'),(1908,'/pinteros/admin/config?render=overlay','default','The URL of the account edit page.','','7.32'),(1909,'/pinteros/admin/config?render=overlay','default','Joined path','','7.32'),(1910,'/pinteros/admin/config?render=overlay','default','The array values each cleaned by Pathauto and then joined with the slash into a string that resembles an URL.','','7.32'),(1911,'/pinteros/admin/config?render=overlay','default','Tokens related to views.','','7.32'),(1912,'/pinteros/admin/config?render=overlay','default','The human-readable name of the view.','','7.32'),(1913,'/pinteros/admin/config?render=overlay','default','The description of the view.','','7.32'),(1914,'/pinteros/admin/config?render=overlay','default','The machine-readable name of the view.','','7.32'),(1915,'/pinteros/admin/config?render=overlay','default','The title of current display of the view.','','7.32'),(1916,'/pinteros/admin/config?render=overlay','default','The URL of the view.','','7.32'),(1917,'/pinteros/admin/config?render=overlay','default','Tokens related to the current date and time.','','7.32'),(1918,'/pinteros/admin/config?render=overlay','default','Original @entity','','7.32'),(1919,'/pinteros/admin/config?render=overlay','default','The original @entity data if the @entity is being updated or saved.','','7.32'),(1920,'/pinteros/admin/config?render=overlay','default','A date in \'@type\' format. (%date)','','7.32'),(1921,'/pinteros/admin/config?render=overlay','default','@type field.','','7.32'),(1922,'/pinteros/admin/config?render=overlay','default','The following tokens or token types are not defined as arrays:','','7.32'),(1923,'/pinteros/admin/config?render=overlay','default','The following tokens or token types are missing required name and/or description information:','','7.32'),(1924,'/pinteros/admin/config?render=overlay','default','The following token types do not have any tokens defined:','','7.32'),(1925,'/pinteros/admin/config?render=overlay','default','The following token types are not defined but have tokens:','','7.32'),(1926,'/pinteros/admin/config?render=overlay','default','The following token or token types are defined by multiple modules:','','7.32'),(1927,'/pinteros/admin/config?render=overlay','default','Video transcoder: @transcoder','','7.32'),(1928,'/pinteros/admin/config?render=overlay','default','Missing the transcoder library. Please <a href=\"@url\">install FFmpeg</a> in to your server if you intend to transcode or to auto create thumbnails.','','7.32'),(1929,'/pinteros/admin/config?render=overlay','default','One or more problems were detected with your Drupal installation. Check the <a href=\"@status\">status report</a> for more information.','','7.32'),(1930,'/pinteros/admin/config?render=overlay','default','Hide descriptions','','7.32'),(1931,'/pinteros/admin/config?render=overlay','default','Compress layout by hiding descriptions.','','7.32'),(1932,'/pinteros/admin/config/regional/language?render=overlay&render=overlay','default','Configuration saved.','','7.32'),(1933,'misc/tableselect.js','default','Select all rows in this table','','none'),(1934,'misc/tableselect.js','default','Deselect all rows in this table','','none'),(1935,'modules/field/modules/text/text.js','default','Hide summary','','none'),(1936,'modules/field/modules/text/text.js','default','Edit summary','','none'),(1937,'modules/menu/menu.js','default','Not in menu','','none'),(1938,'modules/node/node.js','default','New revision','','none'),(1939,'modules/node/node.js','default','No revision','','none'),(1940,'modules/node/node.js','default','By @name on @date','','none'),(1941,'modules/node/node.js','default','By @name','','none'),(1942,'sites/all/modules/pathauto/pathauto.js','default','Automatic alias','','none'),(1943,'sites/all/modules/pathauto/pathauto.js','default','Alias: @alias','','none'),(1944,'sites/all/modules/pathauto/pathauto.js','default','No alias','','none'),(1945,'modules/comment/comment-node-form.js','default','@number comments per page','','none'),(1946,'misc/autocomplete.js','default','Autocomplete popup','','none'),(1947,'misc/autocomplete.js','default','Searching for matches...','','none'),(1948,'/ar/users/admin','default','Search result highlighting input','','7.34'),(1949,'/ar/users/admin','default','The thumbnail file.','','7.34'),(1950,'/ar/users/admin','default','Provides weight scores on nodes','','7.34'),(1951,'/ar/users/admin','default','1 week','','7.34'),(1952,'modules/block/block.js','default','Not restricted','','none'),(1953,'modules/block/block.js','default','Restricted to certain pages','','none'),(1954,'modules/block/block.js','default','Not customizable','','none'),(1955,'modules/block/block.js','default','The changes to these blocks will not be saved until the <em>Save blocks</em> button is clicked.','','none'),(1956,'modules/block/block.js','default','The block cannot be placed in this region.','','none'),(1957,'modules/dashboard/dashboard.js','default','Done','','none'),(1958,'misc/drupal.js','default','CustomMessage: !customMessage','','none'),(1959,'sites/all/modules/token/token.js','default','Loading token browser...','','none'),(1960,'sites/all/modules/token/token.js','default','Available tokens','','none'),(1961,'sites/all/modules/token/token.js','default','Insert this token into your form','','none'),(1962,'sites/all/modules/token/token.js','default','First click a text field to insert your tokens into.','','none'),(1963,'misc/ajax.js','default','The response failed verification so will not be processed.','','none'),(1964,'misc/ajax.js','default','The callback URL is not local and not trusted: !url','','none'),(1965,'modules/file/file.js','default','The selected file %filename cannot be uploaded. Only files with the following extensions are allowed: %extensions.','','none'),(1966,'modules/node/content_types.js','default','Requires a title','','none'),(1967,'modules/node/content_types.js','default','Don\'t display post information','','none'),(1968,'sites/all/modules/weight/weight.js','default','Range: !range','','none'),(1969,'sites/all/modules/weight/weight.js','default','Default: !default','','none'),(1970,'sites/all/modules/weight/weight.js','default','Weight: !weight','','none');
/*!40000 ALTER TABLE `locales_source` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `locales_target`
--

DROP TABLE IF EXISTS `locales_target`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locales_target` (
  `lid` int(11) NOT NULL DEFAULT '0' COMMENT 'Source string ID. References locales_source.lid.',
  `translation` blob NOT NULL COMMENT 'Translation string value in this language.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'Language code. References languages.language.',
  `plid` int(11) NOT NULL DEFAULT '0' COMMENT 'Parent lid (lid of the previous string in the plural chain) in case of plural strings. References locales_source.lid.',
  `plural` int(11) NOT NULL DEFAULT '0' COMMENT 'Plural index number in case of plural strings.',
  PRIMARY KEY (`language`,`lid`,`plural`),
  KEY `lid` (`lid`),
  KEY `plid` (`plid`),
  KEY `plural` (`plural`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores translated versions of strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locales_target`
--

LOCK TABLES `locales_target` WRITE;
/*!40000 ALTER TABLE `locales_target` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `locales_target` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `megamenus`
--

DROP TABLE IF EXISTS `megamenus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `megamenus` (
  `menu_name` varchar(255) NOT NULL,
  `block_config` text,
  `menu_config` text,
  PRIMARY KEY (`menu_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `megamenus`
--

LOCK TABLES `megamenus` WRITE;
/*!40000 ALTER TABLE `megamenus` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `megamenus` VALUES ('main-menu',NULL,'[{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"221\",\"level\":1,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[[{\"block\":null,\"ul\":[{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"457\",\"level\":2,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"441\",\"level\":2,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"316\",\"level\":2,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"494\",\"level\":2,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"524\",\"level\":2,\"align-submenu\":0}}],\"type\":\"ul\",\"config\":{\"grid\":\"\",\"level\":1,\"class\":\"\"}}]],\"config\":{\"width\":\"\",\"class\":\"\"}},\"config\":{\"group\":0,\"hidesub\":0,\"mlid\":\"437\",\"level\":1,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"436\",\"level\":1,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[[{\"block\":null,\"ul\":[{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"440\",\"level\":2,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"439\",\"level\":2,\"align-submenu\":0}}],\"type\":\"ul\",\"config\":{\"grid\":\"\",\"level\":1,\"class\":\"\"}}]],\"config\":{\"width\":\"\",\"class\":\"\"}},\"config\":{\"group\":0,\"hidesub\":0,\"mlid\":\"314\",\"level\":1,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[[{\"block\":null,\"ul\":[{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"517\",\"level\":2,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"518\",\"level\":2,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"513\",\"level\":2,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"516\",\"level\":2,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"515\",\"level\":2,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"514\",\"level\":2,\"align-submenu\":0}}],\"type\":\"ul\",\"config\":{\"grid\":\"\",\"level\":1,\"class\":\"\"}}]],\"config\":{\"width\":\"\",\"class\":\"\"}},\"config\":{\"group\":0,\"hidesub\":0,\"mlid\":\"512\",\"level\":1,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"315\",\"level\":1,\"align-submenu\":0}}]');
/*!40000 ALTER TABLE `megamenus` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_custom`
--

DROP TABLE IF EXISTS `menu_custom`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_custom` (
  `menu_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique key for menu. This is used as a block delta so length is 32.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Menu title; displayed at top of block.',
  `description` text COMMENT 'Menu description.',
  PRIMARY KEY (`menu_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds definitions for top-level custom menus (for example...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_custom`
--

LOCK TABLES `menu_custom` WRITE;
/*!40000 ALTER TABLE `menu_custom` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_custom` VALUES ('main-menu','Main menu','The <em>Main</em> menu is used on many sites to show the major sections of the site, often in a top navigation bar.'),('management','Management','The <em>Management</em> menu contains links for administrative tasks.'),('menu-category','Category',''),('navigation','Navigation','The <em>Navigation</em> menu contains links intended for site visitors. Links are added to the <em>Navigation</em> menu automatically by some modules.'),('user-menu','User menu','The <em>User</em> menu contains links related to the user\'s account, as well as the \'Log out\' link.');
/*!40000 ALTER TABLE `menu_custom` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_links`
--

DROP TABLE IF EXISTS `menu_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_links` (
  `menu_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The menu name. All links with the same menu name (such as ’navigation’) are part of the same menu.',
  `mlid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The menu link ID (mlid) is the integer primary key.',
  `plid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The parent link ID (plid) is the mlid of the link above in the hierarchy, or zero if the link is at the top level in its menu.',
  `link_path` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path or external path this link points to.',
  `router_path` varchar(255) NOT NULL DEFAULT '' COMMENT 'For links corresponding to a Drupal path (external = 0), this connects the link to a menu_router.path for joins.',
  `link_title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The text displayed for the link, which may be modified by a title callback stored in menu_router.',
  `options` blob COMMENT 'A serialized array of options to be passed to the url() or l() function, such as a query string or HTML attributes.',
  `module` varchar(255) NOT NULL DEFAULT 'system' COMMENT 'The name of the module that generated this link.',
  `hidden` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag for whether the link should be rendered in menus. (1 = a disabled menu item that may be shown on admin screens, -1 = a menu callback, 0 = a normal, visible link)',
  `external` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).',
  `has_children` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag indicating whether any links have this link as a parent (1 = children exist, 0 = no children).',
  `expanded` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag for whether this link should be rendered as expanded in menus - expanded links always have their child links displayed, instead of only when the link is in the active trail (1 = expanded, 0 = not expanded)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Link weight among links in the same menu at the same depth.',
  `depth` smallint(6) NOT NULL DEFAULT '0' COMMENT 'The depth relative to the top level. A link with plid == 0 will have depth == 1.',
  `customized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate that the user has manually created or edited the link (1 = customized, 0 = not customized).',
  `p1` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The first mlid in the materialized path. If N = depth, then pN must equal the mlid. If depth > 1 then p(N-1) must equal the plid. All pX where X > depth must equal zero. The columns p1 .. p9 are also called the parents.',
  `p2` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The second mlid in the materialized path. See p1.',
  `p3` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The third mlid in the materialized path. See p1.',
  `p4` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The fourth mlid in the materialized path. See p1.',
  `p5` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The fifth mlid in the materialized path. See p1.',
  `p6` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The sixth mlid in the materialized path. See p1.',
  `p7` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The seventh mlid in the materialized path. See p1.',
  `p8` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The eighth mlid in the materialized path. See p1.',
  `p9` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The ninth mlid in the materialized path. See p1.',
  `updated` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag that indicates that this link was generated during the update from Drupal 5.',
  PRIMARY KEY (`mlid`),
  KEY `path_menu` (`link_path`(128),`menu_name`),
  KEY `menu_plid_expand_child` (`menu_name`,`plid`,`expanded`,`has_children`),
  KEY `menu_parents` (`menu_name`,`p1`,`p2`,`p3`,`p4`,`p5`,`p6`,`p7`,`p8`,`p9`),
  KEY `router_path` (`router_path`(128))
) ENGINE=InnoDB AUTO_INCREMENT=683 DEFAULT CHARSET=utf8 COMMENT='Contains the individual links within a menu.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_links`
--

LOCK TABLES `menu_links` WRITE;
/*!40000 ALTER TABLE `menu_links` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_links` VALUES ('management',1,0,'admin','admin','Administration','a:0:{}','system',0,0,1,0,9,1,0,1,0,0,0,0,0,0,0,0,0),('user-menu',2,0,'user','user','User account','a:1:{s:5:\"alter\";b:1;}','system',0,0,0,0,-50,1,1,2,0,0,0,0,0,0,0,0,0),('navigation',3,0,'comment/%','comment/%','Comment permalink','a:0:{}','system',0,0,1,0,0,1,0,3,0,0,0,0,0,0,0,0,0),('navigation',4,0,'filter/tips','filter/tips','Compose tips','a:0:{}','system',1,0,1,0,0,1,0,4,0,0,0,0,0,0,0,0,0),('navigation',5,0,'node/%','node/%','','a:0:{}','system',0,0,0,0,0,1,0,5,0,0,0,0,0,0,0,0,0),('navigation',6,0,'node/add','node/add','Add content','a:0:{}','system',0,0,1,0,0,1,0,6,0,0,0,0,0,0,0,0,0),('management',7,1,'admin/appearance','admin/appearance','Appearance','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Select and configure your themes.\";}}','system',0,0,0,0,-6,2,0,1,7,0,0,0,0,0,0,0,0),('management',8,1,'admin/config','admin/config','Configuration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:20:\"Administer settings.\";}}','system',0,0,1,0,0,2,0,1,8,0,0,0,0,0,0,0,0),('management',9,1,'admin/content','admin/content','Content','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Administer content and comments.\";}}','system',0,0,1,0,-10,2,0,1,9,0,0,0,0,0,0,0,0),('user-menu',10,2,'user/register','user/register','Create new account','a:0:{}','system',-1,0,0,0,0,2,0,2,10,0,0,0,0,0,0,0,0),('management',11,1,'admin/dashboard','admin/dashboard','Dashboard','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"View and customize your dashboard.\";}}','system',0,0,0,0,-15,2,0,1,11,0,0,0,0,0,0,0,0),('management',12,1,'admin/index','admin/index','Index','a:0:{}','system',-1,0,0,0,-18,2,0,1,12,0,0,0,0,0,0,0,0),('user-menu',13,2,'user/login','user/login','Log in','a:0:{}','system',-1,0,0,0,0,2,0,2,13,0,0,0,0,0,0,0,0),('user-menu',14,0,'user/logout','user/logout','Log out','a:0:{}','system',0,0,0,0,-47,1,1,14,0,0,0,0,0,0,0,0,0),('management',15,1,'admin/modules','admin/modules','Modules','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Extend site functionality.\";}}','system',0,0,0,0,-2,2,0,1,15,0,0,0,0,0,0,0,0),('navigation',16,0,'user/%','user/%','My account','a:0:{}','system',0,0,1,0,0,1,0,16,0,0,0,0,0,0,0,0,0),('management',17,1,'admin/people','admin/people','People','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Manage user accounts, roles, and permissions.\";}}','system',0,0,0,0,-4,2,0,1,17,0,0,0,0,0,0,0,0),('management',18,1,'admin/reports','admin/reports','Reports','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"View reports, updates, and errors.\";}}','system',0,0,1,0,5,2,0,1,18,0,0,0,0,0,0,0,0),('user-menu',19,2,'user/password','user/password','Request new password','a:0:{}','system',-1,0,0,0,0,2,0,2,19,0,0,0,0,0,0,0,0),('management',20,1,'admin/structure','admin/structure','Structure','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Administer blocks, content types, menus, etc.\";}}','system',0,0,1,0,-8,2,0,1,20,0,0,0,0,0,0,0,0),('management',21,1,'admin/tasks','admin/tasks','Tasks','a:0:{}','system',-1,0,0,0,-20,2,0,1,21,0,0,0,0,0,0,0,0),('navigation',22,0,'comment/reply/%','comment/reply/%','Add new comment','a:0:{}','system',0,0,0,0,0,1,0,22,0,0,0,0,0,0,0,0,0),('navigation',23,3,'comment/%/approve','comment/%/approve','Approve','a:0:{}','system',0,0,0,0,1,2,0,3,23,0,0,0,0,0,0,0,0),('navigation',24,3,'comment/%/delete','comment/%/delete','Delete','a:0:{}','system',-1,0,0,0,2,2,0,3,24,0,0,0,0,0,0,0,0),('navigation',25,3,'comment/%/edit','comment/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,3,25,0,0,0,0,0,0,0,0),('navigation',26,0,'taxonomy/term/%','taxonomy/term/%','Taxonomy term','a:0:{}','system',0,0,0,0,0,1,0,26,0,0,0,0,0,0,0,0,0),('navigation',27,3,'comment/%/view','comment/%/view','View comment','a:0:{}','system',-1,0,0,0,-10,2,0,3,27,0,0,0,0,0,0,0,0),('management',28,17,'admin/people/create','admin/people/create','Add user','a:0:{}','system',-1,0,0,0,0,3,0,1,17,28,0,0,0,0,0,0,0),('management',29,20,'admin/structure/block','admin/structure/block','Blocks','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:79:\"Configure what block content appears in your site\'s sidebars and other regions.\";}}','system',0,0,1,0,0,3,0,1,20,29,0,0,0,0,0,0,0),('navigation',30,16,'user/%/cancel','user/%/cancel','Cancel account','a:0:{}','system',0,0,1,0,0,2,0,16,30,0,0,0,0,0,0,0,0),('management',31,9,'admin/content/comment','admin/content/comment','Comments','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:59:\"List and edit site comments and the comment approval queue.\";}}','system',0,0,0,0,0,3,0,1,9,31,0,0,0,0,0,0,0),('management',32,11,'admin/dashboard/configure','admin/dashboard/configure','Configure available dashboard blocks','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"Configure which blocks can be shown on the dashboard.\";}}','system',-1,0,0,0,0,3,0,1,11,32,0,0,0,0,0,0,0),('management',33,9,'admin/content/node','admin/content/node','Content','a:0:{}','system',-1,0,0,0,-10,3,0,1,9,33,0,0,0,0,0,0,0),('management',34,8,'admin/config/content','admin/config/content','Content authoring','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"Settings related to formatting and authoring content.\";}}','system',0,0,1,0,-15,3,0,1,8,34,0,0,0,0,0,0,0),('management',35,20,'admin/structure/types','admin/structure/types','Content types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:92:\"Manage content types, including default status, front page promotion, comment settings, etc.\";}}','system',0,0,1,0,0,3,0,1,20,35,0,0,0,0,0,0,0),('management',36,11,'admin/dashboard/customize','admin/dashboard/customize','Customize dashboard','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Customize your dashboard.\";}}','system',-1,0,0,0,0,3,0,1,11,36,0,0,0,0,0,0,0),('navigation',37,5,'node/%/delete','node/%/delete','Delete','a:0:{}','system',-1,0,0,0,1,2,0,5,37,0,0,0,0,0,0,0,0),('management',38,8,'admin/config/development','admin/config/development','Development','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:18:\"Development tools.\";}}','system',0,0,1,0,-10,3,0,1,8,38,0,0,0,0,0,0,0),('navigation',39,16,'user/%/edit','user/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,16,39,0,0,0,0,0,0,0,0),('navigation',40,5,'node/%/edit','node/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,5,40,0,0,0,0,0,0,0,0),('management',41,15,'admin/modules/list','admin/modules/list','List','a:0:{}','system',-1,0,0,0,0,3,0,1,15,41,0,0,0,0,0,0,0),('management',42,17,'admin/people/people','admin/people/people','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:50:\"Find and manage people interacting with your site.\";}}','system',-1,0,0,0,-10,3,0,1,17,42,0,0,0,0,0,0,0),('management',43,7,'admin/appearance/list','admin/appearance/list','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"Select and configure your theme\";}}','system',-1,0,0,0,-1,3,0,1,7,43,0,0,0,0,0,0,0),('management',44,8,'admin/config/media','admin/config/media','Media','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:12:\"Media tools.\";}}','system',0,0,1,0,-10,3,0,1,8,44,0,0,0,0,0,0,0),('management',45,20,'admin/structure/menu','admin/structure/menu','Menus','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:86:\"Add new menus to your site, edit existing menus, and rename and reorganize menu links.\";}}','system',0,0,1,0,0,3,0,1,20,45,0,0,0,0,0,0,0),('management',46,8,'admin/config/people','admin/config/people','People','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:24:\"Configure user accounts.\";}}','system',0,0,1,0,-20,3,0,1,8,46,0,0,0,0,0,0,0),('management',47,17,'admin/people/permissions','admin/people/permissions','Permissions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:64:\"Determine access to features by selecting permissions for roles.\";}}','system',-1,0,0,0,0,3,0,1,17,47,0,0,0,0,0,0,0),('management',48,18,'admin/reports/dblog','admin/reports/dblog','Recent log messages','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"View events that have recently been logged.\";}}','system',0,0,0,0,-1,3,0,1,18,48,0,0,0,0,0,0,0),('management',49,8,'admin/config/regional','admin/config/regional','Regional and language','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:48:\"Regional settings, localization and translation.\";}}','system',0,0,1,0,-5,3,0,1,8,49,0,0,0,0,0,0,0),('navigation',50,5,'node/%/revisions','node/%/revisions','Revisions','a:0:{}','system',-1,0,1,0,2,2,0,5,50,0,0,0,0,0,0,0,0),('management',51,8,'admin/config/search','admin/config/search','Search and metadata','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Local site search, metadata and SEO.\";}}','system',0,0,1,0,-10,3,0,1,8,51,0,0,0,0,0,0,0),('management',52,7,'admin/appearance/settings','admin/appearance/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Configure default and theme specific settings.\";}}','system',-1,0,0,0,20,3,0,1,7,52,0,0,0,0,0,0,0),('management',53,18,'admin/reports/status','admin/reports/status','Status report','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:74:\"Get a status report about your site\'s operation and any detected problems.\";}}','system',0,0,0,0,-60,3,0,1,18,53,0,0,0,0,0,0,0),('management',54,8,'admin/config/system','admin/config/system','System','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"General system related configuration.\";}}','system',0,0,1,0,-20,3,0,1,8,54,0,0,0,0,0,0,0),('management',55,20,'admin/structure/taxonomy','admin/structure/taxonomy','Taxonomy','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:67:\"Manage tagging, categorization, and classification of your content.\";}}','system',0,0,1,0,0,3,0,1,20,55,0,0,0,0,0,0,0),('management',56,18,'admin/reports/access-denied','admin/reports/access-denied','Top \'access denied\' errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"View \'access denied\' errors (403s).\";}}','system',0,0,0,0,0,3,0,1,18,56,0,0,0,0,0,0,0),('management',57,18,'admin/reports/page-not-found','admin/reports/page-not-found','Top \'page not found\' errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"View \'page not found\' errors (404s).\";}}','system',0,0,0,0,0,3,0,1,18,57,0,0,0,0,0,0,0),('management',58,15,'admin/modules/uninstall','admin/modules/uninstall','Uninstall','a:0:{}','system',-1,0,0,0,20,3,0,1,15,58,0,0,0,0,0,0,0),('management',59,8,'admin/config/user-interface','admin/config/user-interface','User interface','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Tools that enhance the user interface.\";}}','system',0,0,1,0,-15,3,0,1,8,59,0,0,0,0,0,0,0),('navigation',60,5,'node/%/view','node/%/view','View','a:0:{}','system',-1,0,0,0,-10,2,0,5,60,0,0,0,0,0,0,0,0),('navigation',61,16,'user/%/view','user/%/view','View','a:0:{}','system',-1,0,0,0,-10,2,0,16,61,0,0,0,0,0,0,0,0),('management',62,8,'admin/config/services','admin/config/services','Web services','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"Tools related to web services.\";}}','system',0,0,1,0,0,3,0,1,8,62,0,0,0,0,0,0,0),('management',63,8,'admin/config/workflow','admin/config/workflow','Workflow','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Content workflow, editorial workflow tools.\";}}','system',0,0,0,0,5,3,0,1,8,63,0,0,0,0,0,0,0),('navigation',64,26,'taxonomy/term/%/edit','taxonomy/term/%/edit','Edit','a:0:{}','system',-1,0,0,0,10,2,0,26,64,0,0,0,0,0,0,0,0),('navigation',65,26,'taxonomy/term/%/view','taxonomy/term/%/view','View','a:0:{}','system',-1,0,0,0,0,2,0,26,65,0,0,0,0,0,0,0,0),('management',66,55,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','','a:0:{}','system',0,0,0,0,0,4,0,1,20,55,66,0,0,0,0,0,0),('management',67,46,'admin/config/people/accounts','admin/config/people/accounts','Account settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:109:\"Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.\";}}','system',0,0,0,0,-10,4,0,1,8,46,67,0,0,0,0,0,0),('management',68,54,'admin/config/system/actions','admin/config/system/actions','Actions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:41:\"Manage the actions defined for your site.\";}}','system',0,0,1,0,0,4,0,1,8,54,68,0,0,0,0,0,0),('management',69,29,'admin/structure/block/add','admin/structure/block/add','Add block','a:0:{}','system',-1,0,0,0,0,4,0,1,20,29,69,0,0,0,0,0,0),('management',70,35,'admin/structure/types/add','admin/structure/types/add','Add content type','a:0:{}','system',-1,0,0,0,0,4,0,1,20,35,70,0,0,0,0,0,0),('management',71,45,'admin/structure/menu/add','admin/structure/menu/add','Add menu','a:0:{}','system',-1,0,0,0,0,4,0,1,20,45,71,0,0,0,0,0,0),('management',72,55,'admin/structure/taxonomy/add','admin/structure/taxonomy/add','Add vocabulary','a:0:{}','system',-1,0,0,0,0,4,0,1,20,55,72,0,0,0,0,0,0),('management',73,52,'admin/appearance/settings/bartik','admin/appearance/settings/bartik','Bartik','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,73,0,0,0,0,0,0),('management',74,51,'admin/config/search/clean-urls','admin/config/search/clean-urls','Clean URLs','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Enable or disable clean URLs for your site.\";}}','system',0,0,0,0,5,4,0,1,8,51,74,0,0,0,0,0,0),('management',75,54,'admin/config/system/cron','admin/config/system/cron','Cron','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:40:\"Manage automatic site maintenance tasks.\";}}','system',0,0,0,0,20,4,0,1,8,54,75,0,0,0,0,0,0),('management',76,49,'admin/config/regional/date-time','admin/config/regional/date-time','Date and time','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Configure display formats for date and time.\";}}','system',0,0,0,0,-15,4,0,1,8,49,76,0,0,0,0,0,0),('management',77,18,'admin/reports/event/%','admin/reports/event/%','Details','a:0:{}','system',0,0,0,0,0,3,0,1,18,77,0,0,0,0,0,0,0),('management',78,44,'admin/config/media/file-system','admin/config/media/file-system','File system','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:68:\"Tell Drupal where to store uploaded files and how they are accessed.\";}}','system',0,0,0,0,-10,4,0,1,8,44,78,0,0,0,0,0,0),('management',79,52,'admin/appearance/settings/garland','admin/appearance/settings/garland','Garland','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,79,0,0,0,0,0,0),('management',80,52,'admin/appearance/settings/global','admin/appearance/settings/global','Global settings','a:0:{}','system',-1,0,0,0,-1,4,0,1,7,52,80,0,0,0,0,0,0),('management',81,46,'admin/config/people/ip-blocking','admin/config/people/ip-blocking','IP address blocking','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Manage blocked IP addresses.\";}}','system',0,0,1,0,10,4,0,1,8,46,81,0,0,0,0,0,0),('management',82,44,'admin/config/media/image-toolkit','admin/config/media/image-toolkit','Image toolkit','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:74:\"Choose which image toolkit to use if you have installed optional toolkits.\";}}','system',0,0,0,0,20,4,0,1,8,44,82,0,0,0,0,0,0),('management',83,35,'admin/structure/types/list','admin/structure/types/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,35,83,0,0,0,0,0,0),('management',84,41,'admin/modules/list/confirm','admin/modules/list/confirm','List','a:0:{}','system',-1,0,0,0,0,4,0,1,15,41,84,0,0,0,0,0,0),('management',85,55,'admin/structure/taxonomy/list','admin/structure/taxonomy/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,55,85,0,0,0,0,0,0),('management',86,45,'admin/structure/menu/list','admin/structure/menu/list','List menus','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,45,86,0,0,0,0,0,0),('management',87,38,'admin/config/development/logging','admin/config/development/logging','Logging and errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:154:\"Settings for logging and alerts modules. Various modules can route Drupal\'s system events to different destinations, such as syslog, database, email, etc.\";}}','system',0,0,0,0,-15,4,0,1,8,38,87,0,0,0,0,0,0),('management',88,38,'admin/config/development/maintenance','admin/config/development/maintenance','Maintenance mode','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:62:\"Take the site offline for maintenance or bring it back online.\";}}','system',0,0,0,0,-10,4,0,1,8,38,88,0,0,0,0,0,0),('management',89,38,'admin/config/development/performance','admin/config/development/performance','Performance','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:101:\"Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.\";}}','system',0,0,0,0,-20,4,0,1,8,38,89,0,0,0,0,0,0),('management',90,47,'admin/people/permissions/list','admin/people/permissions/list','Permissions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:64:\"Determine access to features by selecting permissions for roles.\";}}','system',-1,0,0,0,-8,4,0,1,17,47,90,0,0,0,0,0,0),('management',91,52,'admin/appearance/settings/pinteros','admin/appearance/settings/pinteros','Pinteros','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,91,0,0,0,0,0,0),('management',92,31,'admin/content/comment/new','admin/content/comment/new','Published comments','a:0:{}','system',-1,0,0,0,-10,4,0,1,9,31,92,0,0,0,0,0,0),('management',93,62,'admin/config/services/rss-publishing','admin/config/services/rss-publishing','RSS publishing','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:114:\"Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.\";}}','system',0,0,0,0,0,4,0,1,8,62,93,0,0,0,0,0,0),('management',94,49,'admin/config/regional/settings','admin/config/regional/settings','Regional settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:54:\"Settings for the site\'s default time zone and country.\";}}','system',0,0,0,0,-20,4,0,1,8,49,94,0,0,0,0,0,0),('management',95,47,'admin/people/permissions/roles','admin/people/permissions/roles','Roles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"List, edit, or add user roles.\";}}','system',-1,0,1,0,-5,4,0,1,17,47,95,0,0,0,0,0,0),('management',96,45,'admin/structure/menu/settings','admin/structure/menu/settings','Settings','a:0:{}','system',-1,0,0,0,5,4,0,1,20,45,96,0,0,0,0,0,0),('management',97,52,'admin/appearance/settings/seven','admin/appearance/settings/seven','Seven','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,97,0,0,0,0,0,0),('management',98,54,'admin/config/system/site-information','admin/config/system/site-information','Site information','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:104:\"Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.\";}}','system',0,0,0,0,-20,4,0,1,8,54,98,0,0,0,0,0,0),('management',99,52,'admin/appearance/settings/stark','admin/appearance/settings/stark','Stark','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,99,0,0,0,0,0,0),('management',100,34,'admin/config/content/formats','admin/config/content/formats','Text formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:127:\"Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.\";}}','system',0,0,1,0,0,4,0,1,8,34,100,0,0,0,0,0,0),('management',101,31,'admin/content/comment/approval','admin/content/comment/approval','Unapproved comments','a:0:{}','system',-1,0,0,0,0,4,0,1,9,31,101,0,0,0,0,0,0),('management',102,58,'admin/modules/uninstall/confirm','admin/modules/uninstall/confirm','Uninstall','a:0:{}','system',-1,0,0,0,0,4,0,1,15,58,102,0,0,0,0,0,0),('navigation',103,39,'user/%/edit/account','user/%/edit/account','Account','a:0:{}','system',-1,0,0,0,0,3,0,16,39,103,0,0,0,0,0,0,0),('management',104,100,'admin/config/content/formats/%','admin/config/content/formats/%','','a:0:{}','system',0,0,1,0,0,5,0,1,8,34,100,104,0,0,0,0,0),('management',105,66,'admin/structure/taxonomy/%/add','admin/structure/taxonomy/%/add','Add term','a:0:{}','system',-1,0,0,0,0,5,0,1,20,55,66,105,0,0,0,0,0),('management',106,100,'admin/config/content/formats/add','admin/config/content/formats/add','Add text format','a:0:{}','system',-1,0,0,0,1,5,0,1,8,34,100,106,0,0,0,0,0),('management',107,29,'admin/structure/block/list/bartik','admin/structure/block/list/bartik','Bartik','a:0:{}','system',-1,0,0,0,0,4,0,1,20,29,107,0,0,0,0,0,0),('management',108,68,'admin/config/system/actions/configure','admin/config/system/actions/configure','Configure an advanced action','a:0:{}','system',-1,0,0,0,0,5,0,1,8,54,68,108,0,0,0,0,0),('management',109,45,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Customize menu','a:0:{}','system',0,0,1,0,0,4,0,1,20,45,109,0,0,0,0,0,0),('management',110,66,'admin/structure/taxonomy/%/edit','admin/structure/taxonomy/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,55,66,110,0,0,0,0,0),('management',111,35,'admin/structure/types/manage/%','admin/structure/types/manage/%','Edit content type','a:0:{}','system',0,0,1,0,0,4,0,1,20,35,111,0,0,0,0,0,0),('management',112,76,'admin/config/regional/date-time/formats','admin/config/regional/date-time/formats','Formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:51:\"Configure display format strings for date and time.\";}}','system',-1,0,1,0,-9,5,0,1,8,49,76,112,0,0,0,0,0),('management',113,29,'admin/structure/block/list/garland','admin/structure/block/list/garland','Garland','a:0:{}','system',-1,0,0,0,0,4,0,1,20,29,113,0,0,0,0,0,0),('management',114,100,'admin/config/content/formats/list','admin/config/content/formats/list','List','a:0:{}','system',-1,0,0,0,0,5,0,1,8,34,100,114,0,0,0,0,0),('management',115,66,'admin/structure/taxonomy/%/list','admin/structure/taxonomy/%/list','List','a:0:{}','system',-1,0,0,0,-20,5,0,1,20,55,66,115,0,0,0,0,0),('management',116,68,'admin/config/system/actions/manage','admin/config/system/actions/manage','Manage actions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:41:\"Manage the actions defined for your site.\";}}','system',-1,0,0,0,-2,5,0,1,8,54,68,116,0,0,0,0,0),('management',117,29,'admin/structure/block/list/pinteros','admin/structure/block/list/pinteros','Pinteros','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,29,117,0,0,0,0,0,0),('management',118,67,'admin/config/people/accounts/settings','admin/config/people/accounts/settings','Settings','a:0:{}','system',-1,0,0,0,-10,5,0,1,8,46,67,118,0,0,0,0,0),('management',119,29,'admin/structure/block/list/seven','admin/structure/block/list/seven','Seven','a:0:{}','system',-1,0,0,0,0,4,0,1,20,29,119,0,0,0,0,0,0),('management',120,29,'admin/structure/block/list/stark','admin/structure/block/list/stark','Stark','a:0:{}','system',-1,0,0,0,0,4,0,1,20,29,120,0,0,0,0,0,0),('management',121,76,'admin/config/regional/date-time/types','admin/config/regional/date-time/types','Types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Configure display formats for date and time.\";}}','system',-1,0,1,0,-10,5,0,1,8,49,76,121,0,0,0,0,0),('navigation',122,50,'node/%/revisions/%/delete','node/%/revisions/%/delete','Delete earlier revision','a:0:{}','system',0,0,0,0,0,3,0,5,50,122,0,0,0,0,0,0,0),('navigation',123,50,'node/%/revisions/%/revert','node/%/revisions/%/revert','Revert to earlier revision','a:0:{}','system',0,0,0,0,0,3,0,5,50,123,0,0,0,0,0,0,0),('navigation',124,50,'node/%/revisions/%/view','node/%/revisions/%/view','Revisions','a:0:{}','system',0,0,0,0,0,3,0,5,50,124,0,0,0,0,0,0,0),('management',125,113,'admin/structure/block/list/garland/add','admin/structure/block/list/garland/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,113,125,0,0,0,0,0),('management',127,119,'admin/structure/block/list/seven/add','admin/structure/block/list/seven/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,119,127,0,0,0,0,0),('management',128,120,'admin/structure/block/list/stark/add','admin/structure/block/list/stark/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,120,128,0,0,0,0,0),('management',129,121,'admin/config/regional/date-time/types/add','admin/config/regional/date-time/types/add','Add date type','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:18:\"Add new date type.\";}}','system',-1,0,0,0,-10,6,0,1,8,49,76,121,129,0,0,0,0),('management',130,112,'admin/config/regional/date-time/formats/add','admin/config/regional/date-time/formats/add','Add format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Allow users to add additional date formats.\";}}','system',-1,0,0,0,-10,6,0,1,8,49,76,112,130,0,0,0,0),('management',131,109,'admin/structure/menu/manage/%/add','admin/structure/menu/manage/%/add','Add link','a:0:{}','system',-1,0,0,0,0,5,0,1,20,45,109,131,0,0,0,0,0),('management',132,29,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Configure block','a:0:{}','system',0,0,0,0,0,4,0,1,20,29,132,0,0,0,0,0,0),('navigation',133,30,'user/%/cancel/confirm/%/%','user/%/cancel/confirm/%/%','Confirm account cancellation','a:0:{}','system',0,0,0,0,0,3,0,16,30,133,0,0,0,0,0,0,0),('management',134,111,'admin/structure/types/manage/%/delete','admin/structure/types/manage/%/delete','Delete','a:0:{}','system',0,0,0,0,0,5,0,1,20,35,111,134,0,0,0,0,0),('management',135,81,'admin/config/people/ip-blocking/delete/%','admin/config/people/ip-blocking/delete/%','Delete IP address','a:0:{}','system',0,0,0,0,0,5,0,1,8,46,81,135,0,0,0,0,0),('management',136,68,'admin/config/system/actions/delete/%','admin/config/system/actions/delete/%','Delete action','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:17:\"Delete an action.\";}}','system',0,0,0,0,0,5,0,1,8,54,68,136,0,0,0,0,0),('management',137,109,'admin/structure/menu/manage/%/delete','admin/structure/menu/manage/%/delete','Delete menu','a:0:{}','system',0,0,0,0,0,5,0,1,20,45,109,137,0,0,0,0,0),('management',138,45,'admin/structure/menu/item/%/delete','admin/structure/menu/item/%/delete','Delete menu link','a:0:{}','system',0,0,0,0,0,4,0,1,20,45,138,0,0,0,0,0,0),('management',139,95,'admin/people/permissions/roles/delete/%','admin/people/permissions/roles/delete/%','Delete role','a:0:{}','system',0,0,0,0,0,5,0,1,17,47,95,139,0,0,0,0,0),('management',140,104,'admin/config/content/formats/%/disable','admin/config/content/formats/%/disable','Disable text format','a:0:{}','system',0,0,0,0,0,6,0,1,8,34,100,104,140,0,0,0,0),('management',141,111,'admin/structure/types/manage/%/edit','admin/structure/types/manage/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,5,0,1,20,35,111,141,0,0,0,0,0),('management',142,109,'admin/structure/menu/manage/%/edit','admin/structure/menu/manage/%/edit','Edit menu','a:0:{}','system',-1,0,0,0,0,5,0,1,20,45,109,142,0,0,0,0,0),('management',143,45,'admin/structure/menu/item/%/edit','admin/structure/menu/item/%/edit','Edit menu link','a:0:{}','system',0,0,0,0,0,4,0,1,20,45,143,0,0,0,0,0,0),('management',144,95,'admin/people/permissions/roles/edit/%','admin/people/permissions/roles/edit/%','Edit role','a:0:{}','system',0,0,0,0,0,5,0,1,17,47,95,144,0,0,0,0,0),('management',145,109,'admin/structure/menu/manage/%/list','admin/structure/menu/manage/%/list','List links','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,45,109,145,0,0,0,0,0),('management',146,45,'admin/structure/menu/item/%/reset','admin/structure/menu/item/%/reset','Reset menu link','a:0:{}','system',0,0,0,0,0,4,0,1,20,45,146,0,0,0,0,0,0),('management',147,111,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%/comment/display','Comment display','a:0:{}','system',-1,0,0,0,4,5,0,1,20,35,111,147,0,0,0,0,0),('management',148,111,'admin/structure/types/manage/%/comment/fields','admin/structure/types/manage/%/comment/fields','Comment fields','a:0:{}','system',-1,0,1,0,3,5,0,1,20,35,111,148,0,0,0,0,0),('management',149,132,'admin/structure/block/manage/%/%/configure','admin/structure/block/manage/%/%/configure','Configure block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,132,149,0,0,0,0,0),('management',150,132,'admin/structure/block/manage/%/%/delete','admin/structure/block/manage/%/%/delete','Delete block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,132,150,0,0,0,0,0),('management',151,112,'admin/config/regional/date-time/formats/%/delete','admin/config/regional/date-time/formats/%/delete','Delete date format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:47:\"Allow users to delete a configured date format.\";}}','system',0,0,0,0,0,6,0,1,8,49,76,112,151,0,0,0,0),('management',152,121,'admin/config/regional/date-time/types/%/delete','admin/config/regional/date-time/types/%/delete','Delete date type','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Allow users to delete a configured date type.\";}}','system',0,0,0,0,0,6,0,1,8,49,76,121,152,0,0,0,0),('management',153,112,'admin/config/regional/date-time/formats/%/edit','admin/config/regional/date-time/formats/%/edit','Edit date format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Allow users to edit a configured date format.\";}}','system',0,0,0,0,0,6,0,1,8,49,76,112,153,0,0,0,0),('management',154,45,'admin/structure/menu/manage/main-menu','admin/structure/menu/manage/%','Main menu','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,154,0,0,0,0,0,0),('management',155,45,'admin/structure/menu/manage/management','admin/structure/menu/manage/%','Management','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,155,0,0,0,0,0,0),('management',156,45,'admin/structure/menu/manage/navigation','admin/structure/menu/manage/%','Navigation','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,156,0,0,0,0,0,0),('management',157,45,'admin/structure/menu/manage/user-menu','admin/structure/menu/manage/%','User menu','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,157,0,0,0,0,0,0),('navigation',158,0,'search','search','Search','a:0:{}','system',1,0,0,0,0,1,0,158,0,0,0,0,0,0,0,0,0),('navigation',159,158,'search/node','search/node','Content','a:0:{}','system',-1,0,0,0,-10,2,0,158,159,0,0,0,0,0,0,0,0),('navigation',160,158,'search/user','search/user','Users','a:0:{}','system',-1,0,0,0,0,2,0,158,160,0,0,0,0,0,0,0,0),('management',161,1,'admin/help','admin/help','Help','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:48:\"Reference for usage, configuration, and modules.\";}}','system',0,0,0,0,9,2,0,1,161,0,0,0,0,0,0,0,0),('navigation',162,159,'search/node/%','search/node/%','Content','a:0:{}','system',-1,0,0,0,0,3,0,158,159,162,0,0,0,0,0,0,0),('management',163,18,'admin/reports/fields','admin/reports/fields','Field list','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Overview of fields on all entity types.\";}}','system',0,0,0,0,0,3,0,1,18,163,0,0,0,0,0,0,0),('navigation',164,16,'user/%/shortcuts','user/%/shortcuts','Shortcuts','a:0:{}','system',-1,0,0,0,0,2,0,16,164,0,0,0,0,0,0,0,0),('management',165,18,'admin/reports/search','admin/reports/search','Top search phrases','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"View most popular search phrases.\";}}','system',0,0,0,0,0,3,0,1,18,165,0,0,0,0,0,0,0),('navigation',166,160,'search/user/%','search/user/%','Users','a:0:{}','system',-1,0,0,0,0,3,0,158,160,166,0,0,0,0,0,0,0),('management',167,161,'admin/help/block','admin/help/block','block','a:0:{}','system',-1,0,0,0,0,3,0,1,161,167,0,0,0,0,0,0,0),('management',168,161,'admin/help/color','admin/help/color','color','a:0:{}','system',-1,0,0,0,0,3,0,1,161,168,0,0,0,0,0,0,0),('management',169,161,'admin/help/comment','admin/help/comment','comment','a:0:{}','system',-1,0,0,0,0,3,0,1,161,169,0,0,0,0,0,0,0),('management',170,161,'admin/help/contextual','admin/help/contextual','contextual','a:0:{}','system',-1,0,0,0,0,3,0,1,161,170,0,0,0,0,0,0,0),('management',171,161,'admin/help/dashboard','admin/help/dashboard','dashboard','a:0:{}','system',-1,0,0,0,0,3,0,1,161,171,0,0,0,0,0,0,0),('management',172,161,'admin/help/dblog','admin/help/dblog','dblog','a:0:{}','system',-1,0,0,0,0,3,0,1,161,172,0,0,0,0,0,0,0),('management',173,161,'admin/help/field','admin/help/field','field','a:0:{}','system',-1,0,0,0,0,3,0,1,161,173,0,0,0,0,0,0,0),('management',174,161,'admin/help/field_sql_storage','admin/help/field_sql_storage','field_sql_storage','a:0:{}','system',-1,0,0,0,0,3,0,1,161,174,0,0,0,0,0,0,0),('management',175,161,'admin/help/field_ui','admin/help/field_ui','field_ui','a:0:{}','system',-1,0,0,0,0,3,0,1,161,175,0,0,0,0,0,0,0),('management',176,161,'admin/help/file','admin/help/file','file','a:0:{}','system',-1,0,0,0,0,3,0,1,161,176,0,0,0,0,0,0,0),('management',177,161,'admin/help/filter','admin/help/filter','filter','a:0:{}','system',-1,0,0,0,0,3,0,1,161,177,0,0,0,0,0,0,0),('management',178,161,'admin/help/help','admin/help/help','help','a:0:{}','system',-1,0,0,0,0,3,0,1,161,178,0,0,0,0,0,0,0),('management',179,161,'admin/help/image','admin/help/image','image','a:0:{}','system',-1,0,0,0,0,3,0,1,161,179,0,0,0,0,0,0,0),('management',180,161,'admin/help/list','admin/help/list','list','a:0:{}','system',-1,0,0,0,0,3,0,1,161,180,0,0,0,0,0,0,0),('management',181,161,'admin/help/menu','admin/help/menu','menu','a:0:{}','system',-1,0,0,0,0,3,0,1,161,181,0,0,0,0,0,0,0),('management',182,161,'admin/help/node','admin/help/node','node','a:0:{}','system',-1,0,0,0,0,3,0,1,161,182,0,0,0,0,0,0,0),('management',183,161,'admin/help/number','admin/help/number','number','a:0:{}','system',-1,0,0,0,0,3,0,1,161,183,0,0,0,0,0,0,0),('management',184,161,'admin/help/options','admin/help/options','options','a:0:{}','system',-1,0,0,0,0,3,0,1,161,184,0,0,0,0,0,0,0),('management',185,161,'admin/help/overlay','admin/help/overlay','overlay','a:0:{}','system',-1,0,0,0,0,3,0,1,161,185,0,0,0,0,0,0,0),('management',186,161,'admin/help/path','admin/help/path','path','a:0:{}','system',-1,0,0,0,0,3,0,1,161,186,0,0,0,0,0,0,0),('management',188,161,'admin/help/search','admin/help/search','search','a:0:{}','system',-1,0,0,0,0,3,0,1,161,188,0,0,0,0,0,0,0),('management',189,161,'admin/help/shortcut','admin/help/shortcut','shortcut','a:0:{}','system',-1,0,0,0,0,3,0,1,161,189,0,0,0,0,0,0,0),('management',190,161,'admin/help/system','admin/help/system','system','a:0:{}','system',-1,0,0,0,0,3,0,1,161,190,0,0,0,0,0,0,0),('management',191,161,'admin/help/taxonomy','admin/help/taxonomy','taxonomy','a:0:{}','system',-1,0,0,0,0,3,0,1,161,191,0,0,0,0,0,0,0),('management',192,161,'admin/help/text','admin/help/text','text','a:0:{}','system',-1,0,0,0,0,3,0,1,161,192,0,0,0,0,0,0,0),('management',193,161,'admin/help/user','admin/help/user','user','a:0:{}','system',-1,0,0,0,0,3,0,1,161,193,0,0,0,0,0,0,0),('management',194,44,'admin/config/media/image-styles','admin/config/media/image-styles','Image styles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:78:\"Configure styles that can be used for resizing or adjusting images on display.\";}}','system',0,0,1,0,0,4,0,1,8,44,194,0,0,0,0,0,0),('management',195,51,'admin/config/search/settings','admin/config/search/settings','Search settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:67:\"Configure relevance settings for search and other indexing options.\";}}','system',0,0,0,0,-10,4,0,1,8,51,195,0,0,0,0,0,0),('management',196,59,'admin/config/user-interface/shortcut','admin/config/user-interface/shortcut','Shortcuts','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:29:\"Add and modify shortcut sets.\";}}','system',0,0,1,0,0,4,0,1,8,59,196,0,0,0,0,0,0),('management',197,51,'admin/config/search/path','admin/config/search/path','URL aliases','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Change your site\'s URL paths by aliasing them.\";}}','system',0,0,1,0,-5,4,0,1,8,51,197,0,0,0,0,0,0),('management',198,197,'admin/config/search/path/add','admin/config/search/path/add','Add alias','a:0:{}','system',-1,0,0,0,0,5,0,1,8,51,197,198,0,0,0,0,0),('management',199,196,'admin/config/user-interface/shortcut/add-set','admin/config/user-interface/shortcut/add-set','Add shortcut set','a:0:{}','system',-1,0,0,0,0,5,0,1,8,59,196,199,0,0,0,0,0),('management',200,194,'admin/config/media/image-styles/add','admin/config/media/image-styles/add','Add style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Add a new image style.\";}}','system',-1,0,0,0,2,5,0,1,8,44,194,200,0,0,0,0,0),('management',201,195,'admin/config/search/settings/reindex','admin/config/search/settings/reindex','Clear index','a:0:{}','system',-1,0,0,0,0,5,0,1,8,51,195,201,0,0,0,0,0),('management',202,196,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Edit shortcuts','a:0:{}','system',0,0,1,0,0,5,0,1,8,59,196,202,0,0,0,0,0),('management',203,197,'admin/config/search/path/list','admin/config/search/path/list','List','a:0:{}','system',-1,0,0,0,-10,5,0,1,8,51,197,203,0,0,0,0,0),('management',204,194,'admin/config/media/image-styles/list','admin/config/media/image-styles/list','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:42:\"List the current image styles on the site.\";}}','system',-1,0,0,0,1,5,0,1,8,44,194,204,0,0,0,0,0),('management',205,202,'admin/config/user-interface/shortcut/%/add-link','admin/config/user-interface/shortcut/%/add-link','Add shortcut','a:0:{}','system',-1,0,0,0,0,6,0,1,8,59,196,202,205,0,0,0,0),('management',206,197,'admin/config/search/path/delete/%','admin/config/search/path/delete/%','Delete alias','a:0:{}','system',0,0,0,0,0,5,0,1,8,51,197,206,0,0,0,0,0),('management',207,202,'admin/config/user-interface/shortcut/%/delete','admin/config/user-interface/shortcut/%/delete','Delete shortcut set','a:0:{}','system',0,0,0,0,0,6,0,1,8,59,196,202,207,0,0,0,0),('management',208,197,'admin/config/search/path/edit/%','admin/config/search/path/edit/%','Edit alias','a:0:{}','system',0,0,0,0,0,5,0,1,8,51,197,208,0,0,0,0,0),('management',209,202,'admin/config/user-interface/shortcut/%/edit','admin/config/user-interface/shortcut/%/edit','Edit set name','a:0:{}','system',-1,0,0,0,10,6,0,1,8,59,196,202,209,0,0,0,0),('management',210,196,'admin/config/user-interface/shortcut/link/%','admin/config/user-interface/shortcut/link/%','Edit shortcut','a:0:{}','system',0,0,1,0,0,5,0,1,8,59,196,210,0,0,0,0,0),('management',211,194,'admin/config/media/image-styles/edit/%','admin/config/media/image-styles/edit/%','Edit style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Configure an image style.\";}}','system',0,0,1,0,0,5,0,1,8,44,194,211,0,0,0,0,0),('management',212,202,'admin/config/user-interface/shortcut/%/links','admin/config/user-interface/shortcut/%/links','List links','a:0:{}','system',-1,0,0,0,0,6,0,1,8,59,196,202,212,0,0,0,0),('management',213,194,'admin/config/media/image-styles/delete/%','admin/config/media/image-styles/delete/%','Delete style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Delete an image style.\";}}','system',0,0,0,0,0,5,0,1,8,44,194,213,0,0,0,0,0),('management',214,194,'admin/config/media/image-styles/revert/%','admin/config/media/image-styles/revert/%','Revert style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Revert an image style.\";}}','system',0,0,0,0,0,5,0,1,8,44,194,214,0,0,0,0,0),('management',215,210,'admin/config/user-interface/shortcut/link/%/delete','admin/config/user-interface/shortcut/link/%/delete','Delete shortcut','a:0:{}','system',0,0,0,0,0,6,0,1,8,59,196,210,215,0,0,0,0),('management',216,211,'admin/config/media/image-styles/edit/%/add/%','admin/config/media/image-styles/edit/%/add/%','Add image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Add a new effect to a style.\";}}','system',0,0,0,0,0,6,0,1,8,44,194,211,216,0,0,0,0),('management',217,211,'admin/config/media/image-styles/edit/%/effects/%','admin/config/media/image-styles/edit/%/effects/%','Edit image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Edit an existing effect within a style.\";}}','system',0,0,1,0,0,6,0,1,8,44,194,211,217,0,0,0,0),('management',218,217,'admin/config/media/image-styles/edit/%/effects/%/delete','admin/config/media/image-styles/edit/%/effects/%/delete','Delete image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Delete an existing effect from a style.\";}}','system',0,0,0,0,0,7,0,1,8,44,194,211,217,218,0,0,0),('shortcut-set-1',219,0,'node/add','node/add','Add content','a:0:{}','menu',0,0,0,0,-20,1,0,219,0,0,0,0,0,0,0,0,0),('shortcut-set-1',220,0,'admin/content','admin/content','Find content','a:0:{}','menu',0,0,0,0,-19,1,0,220,0,0,0,0,0,0,0,0,0),('main-menu',221,0,'<front>','','Home','a:0:{}','menu',0,1,0,0,-50,1,1,221,0,0,0,0,0,0,0,0,0),('navigation',222,6,'node/add/article','node/add/article','Article','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:89:\"Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.\";}}','system',0,0,0,0,0,2,0,6,222,0,0,0,0,0,0,0,0),('navigation',223,6,'node/add/page','node/add/page','Basic page','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:77:\"Use <em>basic pages</em> for your static content, such as an \'About us\' page.\";}}','system',0,0,0,0,0,2,0,6,223,0,0,0,0,0,0,0,0),('management',263,15,'admin/modules/install','admin/modules/install','Install new module','a:0:{}','system',-1,0,0,0,25,3,0,1,15,263,0,0,0,0,0,0,0),('management',264,7,'admin/appearance/install','admin/appearance/install','Install new theme','a:0:{}','system',-1,0,0,0,25,3,0,1,7,264,0,0,0,0,0,0,0),('management',265,15,'admin/modules/update','admin/modules/update','Update','a:0:{}','system',-1,0,0,0,10,3,0,1,15,265,0,0,0,0,0,0,0),('management',266,18,'admin/reports/updates','admin/reports/updates','Available updates','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:82:\"Get a status report about available updates for your installed modules and themes.\";}}','system',0,0,0,0,-50,3,0,1,18,266,0,0,0,0,0,0,0),('management',267,7,'admin/appearance/update','admin/appearance/update','Update','a:0:{}','system',-1,0,0,0,10,3,0,1,7,267,0,0,0,0,0,0,0),('management',268,161,'admin/help/update','admin/help/update','update','a:0:{}','system',-1,0,0,0,0,3,0,1,161,268,0,0,0,0,0,0,0),('management',269,266,'admin/reports/updates/list','admin/reports/updates/list','List','a:0:{}','system',-1,0,0,0,0,4,0,1,18,266,269,0,0,0,0,0,0),('management',270,266,'admin/reports/updates/settings','admin/reports/updates/settings','Settings','a:0:{}','system',-1,0,0,0,50,4,0,1,18,266,270,0,0,0,0,0,0),('management',271,266,'admin/reports/updates/install','admin/reports/updates/install','Install new module or theme','a:0:{}','system',-1,0,0,0,25,4,0,1,18,266,271,0,0,0,0,0,0),('management',272,266,'admin/reports/updates/update','admin/reports/updates/update','Update','a:0:{}','system',-1,0,0,0,10,4,0,1,18,266,272,0,0,0,0,0,0),('management',311,107,'admin/structure/block/list/bartik/add','admin/structure/block/list/bartik/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,107,311,0,0,0,0,0),('shortcut-set-1',313,0,'admin/content/blocks','admin/content','Blocks','a:0:{}','menu',0,0,0,0,-18,1,0,313,0,0,0,0,0,0,0,0,0),('main-menu',314,0,'blog','blog','Blogs','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','system',0,0,1,1,-47,1,1,314,0,0,0,0,0,0,0,0,0),('main-menu',315,0,'contact','contact','Contact','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','system',0,0,0,0,-45,1,1,315,0,0,0,0,0,0,0,0,0),('main-menu',316,437,'poll','poll','Polls','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','system',0,0,0,1,-47,2,1,437,316,0,0,0,0,0,0,0,0),('navigation',317,0,'block/add','block/add','Add Block','a:0:{}','system',0,0,0,0,0,1,0,317,0,0,0,0,0,0,0,0,0),('navigation',318,0,'block/%','block/%','Block','a:0:{}','system',0,0,0,0,0,1,0,318,0,0,0,0,0,0,0,0,0),('main-menu',319,314,'blog/%','blog/%','My blog','a:0:{}','system',1,0,0,0,-48,2,1,314,319,0,0,0,0,0,0,0,0),('navigation',320,318,'block/%/delete','block/%/delete','Delete Block','a:0:{}','system',-1,0,0,0,1,2,0,318,320,0,0,0,0,0,0,0,0),('navigation',321,318,'block/%/edit','block/%/edit','Edit Block','a:0:{}','system',-1,0,0,0,0,2,0,318,321,0,0,0,0,0,0,0,0),('navigation',322,318,'block/%/revisions','block/%/revisions','Revisions','a:0:{}','system',-1,0,1,0,0,2,0,318,322,0,0,0,0,0,0,0,0),('navigation',323,318,'block/%/view','block/%/view','View','a:0:{}','system',-1,0,0,0,-20,2,0,318,323,0,0,0,0,0,0,0,0),('management',324,8,'admin/config/administration','admin/config/administration','Administration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Administration tools.\";}}','system',0,0,1,0,0,3,0,1,8,324,0,0,0,0,0,0,0),('management',325,20,'admin/structure/block-types','admin/structure/block-types','Block types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:52:\"Manage block types, including fields, settings, etc.\";}}','system',0,0,1,0,0,3,0,1,20,325,0,0,0,0,0,0,0),('management',326,9,'admin/content/blocks','admin/content/blocks','Blocks','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Manage blocks used on your site.\";}}','system',0,0,0,0,0,3,0,1,9,326,0,0,0,0,0,0,0),('navigation',327,6,'node/add/blog','node/add/blog','Blog entry','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:58:\"Use for multi-user blogs. Every user gets a personal blog.\";}}','system',0,0,0,0,0,2,0,6,327,0,0,0,0,0,0,0,0),('navigation',328,16,'user/%/contact','user/%/contact','Contact','a:0:{}','system',-1,0,0,0,2,2,0,16,328,0,0,0,0,0,0,0,0),('management',329,20,'admin/structure/contact','admin/structure/contact','Contact form','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:71:\"Create a system contact form and set up categories for the form to use.\";}}','system',0,0,1,0,0,3,0,1,20,329,0,0,0,0,0,0,0),('navigation',330,6,'node/add/poll','node/add/poll','Poll','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:191:\"A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.\";}}','system',0,0,0,0,0,2,0,6,330,0,0,0,0,0,0,0,0),('navigation',331,5,'node/%/results','node/%/results','Results','a:0:{}','system',-1,0,0,0,3,2,0,5,331,0,0,0,0,0,0,0,0),('management',332,20,'admin/structure/tb-megamenu','admin/structure/tb-megamenu','TB Mega Menu','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:12:\"TB Mega Menu\";}}','system',0,0,0,0,0,3,0,1,20,332,0,0,0,0,0,0,0),('management',333,18,'admin/reports/views-plugins','admin/reports/views-plugins','Views plugins','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Overview of plugins used in all views.\";}}','system',0,0,0,0,0,3,0,1,18,333,0,0,0,0,0,0,0),('navigation',334,5,'node/%/votes','node/%/votes','Votes','a:0:{}','system',-1,0,0,0,3,2,0,5,334,0,0,0,0,0,0,0,0),('management',335,161,'admin/help/admin_menu','admin/help/admin_menu','admin_menu','a:0:{}','system',-1,0,0,0,0,3,0,1,161,335,0,0,0,0,0,0,0),('management',336,161,'admin/help/blog','admin/help/blog','blog','a:0:{}','system',-1,0,0,0,0,3,0,1,161,336,0,0,0,0,0,0,0),('management',337,161,'admin/help/contact','admin/help/contact','contact','a:0:{}','system',-1,0,0,0,0,3,0,1,161,337,0,0,0,0,0,0,0),('management',338,161,'admin/help/php','admin/help/php','php','a:0:{}','system',-1,0,0,0,0,3,0,1,161,338,0,0,0,0,0,0,0),('management',339,161,'admin/help/poll','admin/help/poll','poll','a:0:{}','system',-1,0,0,0,0,3,0,1,161,339,0,0,0,0,0,0,0),('navigation',340,322,'block/%/revisions/%','block/%/revisions/%','','a:0:{}','system',0,0,0,0,0,3,0,318,322,340,0,0,0,0,0,0,0),('management',341,325,'admin/structure/block-types/add','admin/structure/block-types/add','Add block type','a:0:{}','system',-1,0,0,0,0,4,0,1,20,325,341,0,0,0,0,0,0),('management',342,329,'admin/structure/contact/add','admin/structure/contact/add','Add category','a:0:{}','system',-1,0,0,0,1,4,0,1,20,329,342,0,0,0,0,0,0),('management',343,20,'admin/structure/views/add','admin/structure/views/add','Add new view','a:0:{}','system',-1,0,0,0,0,3,0,1,20,343,0,0,0,0,0,0,0),('management',344,20,'admin/structure/views/add-template','admin/structure/views/add-template','Add view from template','a:0:{}','system',-1,0,0,0,0,3,0,1,20,344,0,0,0,0,0,0,0),('management',345,324,'admin/config/administration/admin_menu','admin/config/administration/admin_menu','Administration menu','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Adjust administration menu settings.\";}}','system',0,0,0,0,0,4,0,1,8,324,345,0,0,0,0,0,0),('management',346,20,'admin/structure/views/import','admin/structure/views/import','Import','a:0:{}','system',-1,0,0,0,0,3,0,1,20,346,0,0,0,0,0,0,0),('management',347,325,'admin/structure/block-types/list','admin/structure/block-types/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,325,347,0,0,0,0,0,0),('management',348,163,'admin/reports/fields/list','admin/reports/fields/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,18,163,348,0,0,0,0,0,0),('management',349,59,'admin/config/user-interface/modulefilter','admin/config/user-interface/modulefilter','Module filter','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Configure how the modules page looks and acts.\";}}','system',0,0,0,0,0,4,0,1,8,59,349,0,0,0,0,0,0),('management',350,332,'admin/structure/tb-megamenu/request','admin/structure/tb-megamenu/request','Request','a:0:{}','system',1,0,0,0,0,4,0,1,20,332,350,0,0,0,0,0,0),('management',351,20,'admin/structure/views/settings','admin/structure/views/settings','Settings','a:0:{}','system',-1,0,0,0,0,3,0,1,20,351,0,0,0,0,0,0,0),('management',352,163,'admin/reports/fields/views-fields','admin/reports/fields/views-fields','Used in views','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"Overview of fields used in all views.\";}}','system',-1,0,0,0,0,4,0,1,18,163,352,0,0,0,0,0,0),('management',353,351,'admin/structure/views/settings/advanced','admin/structure/views/settings/advanced','Advanced','a:0:{}','system',-1,0,0,0,1,4,0,1,20,351,353,0,0,0,0,0,0),('management',354,351,'admin/structure/views/settings/basic','admin/structure/views/settings/basic','Basic','a:0:{}','system',-1,0,0,0,0,4,0,1,20,351,354,0,0,0,0,0,0),('management',355,332,'admin/structure/tb-megamenu/%/config','admin/structure/tb-megamenu/%/config','Config TB Mega Menu','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,332,355,0,0,0,0,0,0),('navigation',356,340,'block/%/revisions/%/delete','block/%/revisions/%/delete','Delete','a:0:{}','system',-1,0,0,0,1,4,0,318,322,340,356,0,0,0,0,0,0),('management',357,329,'admin/structure/contact/delete/%','admin/structure/contact/delete/%','Delete contact','a:0:{}','system',0,0,0,0,0,4,0,1,20,329,357,0,0,0,0,0,0),('navigation',358,340,'block/%/revisions/%/edit','block/%/revisions/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,4,0,318,322,340,358,0,0,0,0,0,0),('management',359,325,'admin/structure/block-types/manage/%','admin/structure/block-types/manage/%','Edit block type','a:0:{}','system',0,0,1,0,0,4,0,1,20,325,359,0,0,0,0,0,0),('management',360,329,'admin/structure/contact/edit/%','admin/structure/contact/edit/%','Edit contact category','a:0:{}','system',0,0,0,0,0,4,0,1,20,329,360,0,0,0,0,0,0),('navigation',361,340,'block/%/revisions/%/set-active','block/%/revisions/%/set-active','Set active','a:0:{}','system',-1,0,0,0,0,4,0,318,322,340,361,0,0,0,0,0,0),('management',362,20,'admin/structure/views/view/%','admin/structure/views/view/%','','a:0:{}','system',0,0,0,0,0,3,0,1,20,362,0,0,0,0,0,0,0),('navigation',363,340,'block/%/revisions/%/view','block/%/revisions/%/view','View','a:0:{}','system',-1,0,0,0,-10,4,0,318,322,340,363,0,0,0,0,0,0),('management',364,362,'admin/structure/views/view/%/break-lock','admin/structure/views/view/%/break-lock','Break lock','a:0:{}','system',-1,0,0,0,0,4,0,1,20,362,364,0,0,0,0,0,0),('management',365,359,'admin/structure/block-types/manage/%/delete','admin/structure/block-types/manage/%/delete','Delete','a:0:{}','system',0,0,0,0,0,5,0,1,20,325,359,365,0,0,0,0,0),('management',366,359,'admin/structure/block-types/manage/%/revert','admin/structure/block-types/manage/%/revert','Delete','a:0:{}','system',0,0,0,0,0,5,0,1,20,325,359,366,0,0,0,0,0),('management',367,359,'admin/structure/block-types/manage/%/edit','admin/structure/block-types/manage/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,5,0,1,20,325,359,367,0,0,0,0,0),('management',368,362,'admin/structure/views/view/%/edit','admin/structure/views/view/%/edit','Edit view','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,362,368,0,0,0,0,0,0),('management',369,20,'admin/structure/views/ajax/preview/%/%','admin/structure/views/ajax/preview/%/%','','a:0:{}','system',0,0,0,0,0,3,0,1,20,369,0,0,0,0,0,0,0),('management',370,362,'admin/structure/views/view/%/preview/%','admin/structure/views/view/%/preview/%','','a:0:{}','system',-1,0,0,0,0,4,0,1,20,362,370,0,0,0,0,0,0),('management',371,20,'admin/structure/views/nojs/preview/%/%','admin/structure/views/nojs/preview/%/%','','a:0:{}','system',0,0,0,0,0,3,0,1,20,371,0,0,0,0,0,0,0),('management',372,20,'admin/structure/views','admin/structure/views','Views','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"Manage customized lists of content.\";}}','system',0,0,0,0,0,3,0,1,20,372,0,0,0,0,0,0,0),('management',373,372,'admin/structure/views/list','admin/structure/views/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,372,373,0,0,0,0,0,0),('management',374,362,'admin/structure/views/view/%/clone','admin/structure/views/view/%/clone','Clone','a:0:{}','system',-1,0,0,0,0,4,0,1,20,362,374,0,0,0,0,0,0),('management',375,362,'admin/structure/views/view/%/delete','admin/structure/views/view/%/delete','Delete','a:0:{}','system',-1,0,0,0,0,4,0,1,20,362,375,0,0,0,0,0,0),('management',376,362,'admin/structure/views/view/%/export','admin/structure/views/view/%/export','Export','a:0:{}','system',-1,0,0,0,0,4,0,1,20,362,376,0,0,0,0,0,0),('management',377,362,'admin/structure/views/view/%/revert','admin/structure/views/view/%/revert','Revert','a:0:{}','system',-1,0,0,0,0,4,0,1,20,362,377,0,0,0,0,0,0),('user-menu',379,0,'user/login','user/login','Login','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-48,1,1,379,0,0,0,0,0,0,0,0,0),('management',380,161,'admin/help/fontawesome','admin/help/fontawesome','fontawesome','a:0:{}','system',-1,0,0,0,0,3,0,1,161,380,0,0,0,0,0,0,0),('management',381,45,'admin/structure/menu/manage/menu-category','admin/structure/menu/manage/%','Category','a:0:{}','menu',0,0,0,0,0,4,0,1,20,45,381,0,0,0,0,0,0),('menu-category',382,0,'taxonomy/term/7','taxonomy/term/%','Sports','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:6:\"Sports\";}}','taxonomy_menu',0,0,0,1,8,1,0,382,0,0,0,0,0,0,0,0,0),('menu-category',383,0,'taxonomy/term/8','taxonomy/term/%','Travel','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:6:\"Travel\";}}','taxonomy_menu',0,0,0,1,9,1,0,383,0,0,0,0,0,0,0,0,0),('menu-category',384,452,'taxonomy/term/9','taxonomy/term/%','Wedding','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:7:\"Wedding\";}}','taxonomy_menu',0,0,0,1,0,2,0,452,384,0,0,0,0,0,0,0,0),('menu-category',385,0,'taxonomy/term/10','taxonomy/term/%','Education','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:9:\"Education\";}}','taxonomy_menu',0,0,0,1,4,1,0,385,0,0,0,0,0,0,0,0,0),('menu-category',386,0,'taxonomy/term/11','taxonomy/term/%','Hospital','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:8:\"Hospital\";}}','taxonomy_menu',0,0,0,1,6,1,0,386,0,0,0,0,0,0,0,0,0),('menu-category',387,0,'taxonomy/term/12','taxonomy/term/%','Health & Beauty','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:15:\"Health & Beauty\";}}','taxonomy_menu',0,0,0,1,2,1,0,387,0,0,0,0,0,0,0,0,0),('menu-category',388,0,'taxonomy/term/13','taxonomy/term/%','Fashion','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:7:\"Fashion\";}}','taxonomy_menu',0,0,0,1,0,1,0,388,0,0,0,0,0,0,0,0,0),('user-menu',389,0,'user/register','user/register','Register','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-49,1,1,389,0,0,0,0,0,0,0,0,0),('navigation',390,0,'newsletter/edit/%','newsletter/edit/%','Edit newsletter subscriptions','a:0:{}','system',-1,0,0,0,0,1,0,390,0,0,0,0,0,0,0,0,0),('navigation',391,16,'user/%/newsletter','user/%/newsletter','Newsletter subscriptions','a:0:{}','system',-1,0,0,0,0,2,0,16,391,0,0,0,0,0,0,0,0),('management',392,161,'admin/help/token','admin/help/token','token','a:0:{}','system',-1,0,0,0,0,3,0,1,161,392,0,0,0,0,0,0,0),('management',393,44,'admin/config/media/newsletter','admin/config/media/newsletter','Newsletters','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Manage newsletters, subscribers, and settings.\";}}','system',0,0,0,0,0,4,0,1,8,44,393,0,0,0,0,0,0),('management',394,393,'admin/config/media/newsletter/create-send','admin/config/media/newsletter/create-send','Create/Send','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:60:\"Create custom static newsletters and send non-automated ones\";}}','system',-1,0,0,0,1,5,0,1,8,44,393,394,0,0,0,0,0),('management',395,393,'admin/config/media/newsletter/lists','admin/config/media/newsletter/lists','Lists','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Find and manage newsletter lists.\";}}','system',-1,0,0,0,2,5,0,1,8,44,393,395,0,0,0,0,0),('management',396,393,'admin/config/media/newsletter/configure','admin/config/media/newsletter/configure','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:27:\"Configure newsletter lists.\";}}','system',-1,0,0,0,5,5,0,1,8,44,393,396,0,0,0,0,0),('management',397,393,'admin/config/media/newsletter/stats','admin/config/media/newsletter/stats','Statistics','a:0:{}','system',-1,0,0,0,0,5,0,1,8,44,393,397,0,0,0,0,0),('management',398,393,'admin/config/media/newsletter/subscribers','admin/config/media/newsletter/subscribers','Subscribers','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:17:\"List subscribers.\";}}','system',-1,0,0,0,3,5,0,1,8,44,393,398,0,0,0,0,0),('management',399,393,'admin/config/media/newsletter/templates','admin/config/media/newsletter/templates','Templates','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Administer newsletter templates.\";}}','system',-1,0,0,0,4,5,0,1,8,44,393,399,0,0,0,0,0),('management',400,393,'admin/config/media/newsletter/archive','admin/config/media/newsletter/archive','Issue archive','a:0:{}','system',-1,0,0,0,1,5,0,1,8,44,393,400,0,0,0,0,0),('management',401,395,'admin/config/media/newsletter/lists/add','admin/config/media/newsletter/lists/add','Add new list','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:24:\"Add new newsletter list.\";}}','system',-1,0,0,0,0,6,0,1,8,44,393,395,401,0,0,0,0),('management',402,398,'admin/config/media/newsletter/subscribers/add','admin/config/media/newsletter/subscribers/add','Add new subscriber','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:24:\"Add new list subscriber.\";}}','system',-1,0,0,0,0,6,0,1,8,44,393,398,402,0,0,0,0),('management',403,398,'admin/config/media/newsletter/subscribers/add-mass','admin/config/media/newsletter/subscribers/add-mass','Add subscribers (Mass)','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:16:\"Add subscribers.\";}}','system',-1,0,0,0,0,6,0,1,8,44,393,398,403,0,0,0,0),('management',404,399,'admin/config/media/newsletter/templates/confirmation','admin/config/media/newsletter/templates/confirmation','Confirmation','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:27:\"Edit confirmation template.\";}}','system',-1,0,0,0,-9,6,0,1,8,44,393,399,404,0,0,0,0),('management',405,394,'admin/config/media/newsletter/create-send/new','admin/config/media/newsletter/create-send/new','Create and send a custom newsletter','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Create a custom static newsletter\";}}','system',-1,0,0,0,0,6,0,1,8,44,393,394,405,0,0,0,0),('management',406,397,'admin/config/media/newsletter/stats/general','admin/config/media/newsletter/stats/general','General','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Watch general statistics.\";}}','system',-1,0,0,0,0,6,0,1,8,44,393,397,406,0,0,0,0),('management',407,397,'admin/config/media/newsletter/stats/graphic','admin/config/media/newsletter/stats/graphic','Graphic','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Watch advanced JQuery statistics.\";}}','system',-1,0,0,0,1,6,0,1,8,44,393,397,407,0,0,0,0),('management',408,399,'admin/config/media/newsletter/templates/mail','admin/config/media/newsletter/templates/mail','Mail templates','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Administer mail templates.\";}}','system',-1,0,0,0,-10,6,0,1,8,44,393,399,408,0,0,0,0),('management',415,399,'admin/config/media/newsletter/templates/unsubscribe','admin/config/media/newsletter/templates/unsubscribe','Unsubscribe','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Edit unsubscribe template.\";}}','system',-1,0,0,0,-7,6,0,1,8,44,393,399,415,0,0,0,0),('management',416,399,'admin/config/media/newsletter/templates/welcome','admin/config/media/newsletter/templates/welcome','Welcome','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Edit welcome template.\";}}','system',-1,0,0,0,-8,6,0,1,8,44,393,399,416,0,0,0,0),('management',417,408,'admin/config/media/newsletter/templates/mail/add','admin/config/media/newsletter/templates/mail/add','Add new mail template','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Administer mail templates.\";}}','system',-1,0,0,0,0,7,0,1,8,44,393,399,408,417,0,0,0),('navigation',432,0,'tagclouds','tagclouds','Tags','a:0:{}','system',1,0,0,0,0,1,0,432,0,0,0,0,0,0,0,0,0),('navigation',433,432,'tagclouds/chunk/%','tagclouds/chunk/%','Tags','a:0:{}','system',1,0,0,0,0,2,0,432,433,0,0,0,0,0,0,0,0),('management',434,34,'admin/config/content/tagclouds','admin/config/content/tagclouds','TagClouds configuration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:89:\"Configure the tag clouds. Set the order, the number of tags, and the depth of the clouds.\";}}','system',0,0,0,0,0,4,0,1,8,34,434,0,0,0,0,0,0),('navigation',435,6,'node/add/showcase','node/add/showcase','Showcase','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:8:\"Showcase\";}}','system',0,0,0,0,0,2,0,6,435,0,0,0,0,0,0,0,0),('main-menu',436,0,'showcase','showcase','Showcase','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','system',0,0,0,0,-48,1,1,436,0,0,0,0,0,0,0,0,0),('main-menu',437,0,'node/64','node/%','Pages','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,1,1,-49,1,1,437,0,0,0,0,0,0,0,0,0),('navigation',438,6,'blogs','blogs','Blog','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','system',0,0,0,0,0,2,1,6,438,0,0,0,0,0,0,0,0),('main-menu',439,314,'blog','blog','Default Blogs','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-49,2,1,314,439,0,0,0,0,0,0,0,0),('main-menu',440,314,'blogs','blogs','Blogs','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-50,2,1,314,440,0,0,0,0,0,0,0,0),('main-menu',441,437,'forum','forum','Forums','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','system',0,0,1,0,-48,2,1,437,441,0,0,0,0,0,0,0,0),('main-menu',442,441,'forum/%','forum/%','Forums','a:0:{}','system',0,0,0,0,0,3,0,437,441,442,0,0,0,0,0,0,0),('navigation',443,6,'node/add/forum','node/add/forum','Forum topic','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:69:\"A <em>forum topic</em> starts a new discussion thread within a forum.\";}}','system',0,0,0,0,0,2,0,6,443,0,0,0,0,0,0,0,0),('management',444,20,'admin/structure/forum','admin/structure/forum','Forums','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Control forum hierarchy settings.\";}}','system',0,0,1,0,0,3,0,1,20,444,0,0,0,0,0,0,0),('management',445,161,'admin/help/forum','admin/help/forum','forum','a:0:{}','system',-1,0,0,0,0,3,0,1,161,445,0,0,0,0,0,0,0),('management',446,444,'admin/structure/forum/list','admin/structure/forum/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,444,446,0,0,0,0,0,0),('management',447,444,'admin/structure/forum/settings','admin/structure/forum/settings','Settings','a:0:{}','system',-1,0,0,0,5,4,0,1,20,444,447,0,0,0,0,0,0),('management',448,444,'admin/structure/forum/add/container','admin/structure/forum/add/container','Add container','a:0:{}','system',-1,0,0,0,0,4,0,1,20,444,448,0,0,0,0,0,0),('management',449,444,'admin/structure/forum/add/forum','admin/structure/forum/add/forum','Add forum','a:0:{}','system',-1,0,0,0,0,4,0,1,20,444,449,0,0,0,0,0,0),('management',450,444,'admin/structure/forum/edit/container/%','admin/structure/forum/edit/container/%','Edit container','a:0:{}','system',0,0,0,0,0,4,0,1,20,444,450,0,0,0,0,0,0),('management',451,444,'admin/structure/forum/edit/forum/%','admin/structure/forum/edit/forum/%','Edit forum','a:0:{}','system',0,0,0,0,0,4,0,1,20,444,451,0,0,0,0,0,0),('menu-category',452,0,'taxonomy/term/45','taxonomy/term/%','More','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:4:\"More\";}}','taxonomy_menu',0,0,1,1,11,1,0,452,0,0,0,0,0,0,0,0,0),('menu-category',454,452,'taxonomy/term/47','taxonomy/term/%','Business','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:8:\"Business\";}}','taxonomy_menu',0,0,0,1,1,2,0,452,454,0,0,0,0,0,0,0,0),('menu-category',455,452,'taxonomy/term/48','taxonomy/term/%','Others','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:6:\"Others\";}}','taxonomy_menu',0,0,0,1,3,2,0,452,455,0,0,0,0,0,0,0,0),('menu-category',456,452,'taxonomy/term/49','taxonomy/term/%','Nature','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:6:\"Nature\";}}','taxonomy_menu',0,0,0,1,2,2,0,452,456,0,0,0,0,0,0,0,0),('main-menu',457,437,'categories','categories','Categories','a:0:{}','system',0,0,0,0,-50,2,1,437,457,0,0,0,0,0,0,0,0),('management',458,161,'admin/help/menu_breadcrumb','admin/help/menu_breadcrumb','menu_breadcrumb','a:0:{}','system',-1,0,0,0,0,3,0,1,161,458,0,0,0,0,0,0,0),('management',459,59,'admin/config/user-interface/menu-breadcrumb','admin/config/user-interface/menu-breadcrumb','Menu Breadcrumb','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Configure menu breadcrumb.\";}}','system',0,0,0,0,0,4,0,1,8,59,459,0,0,0,0,0,0),('management',461,20,'admin/structure/context','admin/structure/context','Context','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:84:\"Associate menus, views, blocks, etc. with different contexts to structure your site.\";}}','system',0,0,0,0,0,3,0,1,20,461,0,0,0,0,0,0,0),('management',462,161,'admin/help/context','admin/help/context','context','a:0:{}','system',-1,0,0,0,0,3,0,1,161,462,0,0,0,0,0,0,0),('management',463,161,'admin/help/context_ui','admin/help/context_ui','context_ui','a:0:{}','system',-1,0,0,0,0,3,0,1,161,463,0,0,0,0,0,0,0),('management',464,461,'admin/structure/context/add','admin/structure/context/add','Add','a:0:{}','system',-1,0,0,0,0,4,0,1,20,461,464,0,0,0,0,0,0),('management',465,461,'admin/structure/context/import','admin/structure/context/import','Import','a:0:{}','system',-1,0,0,0,0,4,0,1,20,461,465,0,0,0,0,0,0),('management',466,461,'admin/structure/context/list','admin/structure/context/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,461,466,0,0,0,0,0,0),('management',467,461,'admin/structure/context/settings','admin/structure/context/settings','Settings','a:0:{}','system',-1,0,0,0,3,4,0,1,20,461,467,0,0,0,0,0,0),('management',468,466,'admin/structure/context/list/%/edit','admin/structure/context/list/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,5,0,1,20,461,466,468,0,0,0,0,0),('management',469,466,'admin/structure/context/list/%/export','admin/structure/context/list/%/export','Export','a:0:{}','system',-1,0,0,0,0,5,0,1,20,461,466,469,0,0,0,0,0),('management',471,8,'admin/config/date','admin/config/date','Date API','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:42:\"Settings for modules the use the Date API.\";}}','system',0,0,0,0,-10,3,0,1,8,471,0,0,0,0,0,0,0),('management',472,161,'admin/help/clock','admin/help/clock','clock','a:0:{}','system',-1,0,0,0,0,3,0,1,161,472,0,0,0,0,0,0,0),('management',473,44,'admin/config/media/video','admin/config/media/video','Video','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:63:\"Configure different aspects of the video module and its plugins\";}}','system',0,0,0,0,0,4,0,1,8,44,473,0,0,0,0,0,0),('management',476,473,'admin/config/media/video/general','admin/config/media/video/general','General','a:0:{}','system',-1,0,0,0,0,5,0,1,8,44,473,476,0,0,0,0,0),('management',479,473,'admin/config/media/video/players','admin/config/media/video/players','Players','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:56:\"Configure your player settings for each video extension.\";}}','system',-1,0,0,0,1,5,0,1,8,44,473,479,0,0,0,0,0),('management',480,473,'admin/config/media/video/presets','admin/config/media/video/presets','Presets','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Manage and configure the presets for Video.\";}}','system',-1,0,1,0,3,5,0,1,8,44,473,480,0,0,0,0,0),('management',481,473,'admin/config/media/video/scheduling','admin/config/media/video/scheduling','Scheduling','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"Configure your Video transcoding scheduling settings.\";}}','system',-1,0,0,0,6,5,0,1,8,44,473,481,0,0,0,0,0),('management',482,473,'admin/config/media/video/transcoders','admin/config/media/video/transcoders','Transcoders','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:69:\"Configure your transcoder to convert your videos or extra thumbnails.\";}}','system',-1,0,0,0,2,5,0,1,8,44,473,482,0,0,0,0,0),('management',483,480,'admin/config/media/video/presets/add','admin/config/media/video/presets/add','Add preset','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"Add a new video conversion preset.\";}}','system',-1,0,0,0,0,6,0,1,8,44,473,480,483,0,0,0,0),('management',484,480,'admin/config/media/video/presets/import','admin/config/media/video/presets/import','Import preset','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Import a video conversion preset.\";}}','system',-1,0,0,0,0,6,0,1,8,44,473,480,484,0,0,0,0),('management',485,480,'admin/config/media/video/presets/preset/%','admin/config/media/video/presets/preset/%','Edit video preset','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"Edit a video conversion preset.\";}}','system',0,0,0,0,0,6,0,1,8,44,473,480,485,0,0,0,0),('management',488,485,'admin/config/media/video/presets/preset/%/edit','admin/config/media/video/presets/preset/%/edit','Edit','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"Edit a video conversion preset.\";}}','system',-1,0,0,0,0,7,0,1,8,44,473,480,485,488,0,0,0),('navigation',489,6,'node/add/online-video','node/add/online-video','Online Video','a:0:{}','system',0,0,0,0,0,2,0,6,489,0,0,0,0,0,0,0,0),('navigation',490,6,'node/add/local-video','node/add/local-video','Local Video','a:0:{}','system',0,0,0,0,0,2,0,6,490,0,0,0,0,0,0,0,0),('menu-category',491,0,'taxonomy/term/57','taxonomy/term/%','Videos','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:6:\"Videos\";}}','taxonomy_menu',0,0,0,1,10,1,0,491,0,0,0,0,0,0,0,0,0),('management',492,161,'admin/help/jquery_update','admin/help/jquery_update','jquery_update','a:0:{}','system',-1,0,0,0,0,3,0,1,161,492,0,0,0,0,0,0,0),('management',493,38,'admin/config/development/jquery_update','admin/config/development/jquery_update','jQuery update','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:83:\"Configure settings related to the jQuery upgrade, the library path and compression.\";}}','system',0,0,0,0,0,4,0,1,8,38,493,0,0,0,0,0,0),('main-menu',494,437,'node/92','node/%','Left menu','a:0:{}','menu',0,0,0,0,0,2,0,437,494,0,0,0,0,0,0,0,0),('navigation',506,6,'node/add/weebpal-presets','node/add/weebpal-presets','WeebPal Presets','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:15:\"WeebPal Presets\";}}','system',0,0,0,0,0,2,0,6,506,0,0,0,0,0,0,0,0),('management',507,161,'admin/help/pathauto','admin/help/pathauto','pathauto','a:0:{}','system',-1,0,0,0,0,3,0,1,161,507,0,0,0,0,0,0,0),('management',508,197,'admin/config/search/path/update_bulk','admin/config/search/path/update_bulk','Bulk update','a:0:{}','system',-1,0,0,0,30,5,0,1,8,51,197,508,0,0,0,0,0),('management',509,197,'admin/config/search/path/delete_bulk','admin/config/search/path/delete_bulk','Delete aliases','a:0:{}','system',-1,0,0,0,40,5,0,1,8,51,197,509,0,0,0,0,0),('management',510,197,'admin/config/search/path/patterns','admin/config/search/path/patterns','Patterns','a:0:{}','system',-1,0,0,0,10,5,0,1,8,51,197,510,0,0,0,0,0),('management',511,197,'admin/config/search/path/settings','admin/config/search/path/settings','Settings','a:0:{}','system',-1,0,0,0,20,5,0,1,8,51,197,511,0,0,0,0,0),('main-menu',512,0,'node/99','node/%','Presets','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,1,0,-46,1,1,512,0,0,0,0,0,0,0,0,0),('main-menu',513,512,'node/98','node/%','Skin Default','a:0:{}','menu',0,0,0,0,-48,2,1,512,513,0,0,0,0,0,0,0,0),('main-menu',514,512,'node/97','node/%','Skin Orange','a:0:{}','menu',0,0,0,0,-45,2,1,512,514,0,0,0,0,0,0,0,0),('main-menu',515,512,'node/96','node/%','Skin Dark Blue','a:0:{}','menu',0,0,0,0,-46,2,1,512,515,0,0,0,0,0,0,0,0),('main-menu',516,512,'node/95','node/%','Skin Blue','a:0:{}','menu',0,0,0,0,-47,2,1,512,516,0,0,0,0,0,0,0,0),('main-menu',517,512,'node/93','node/%','Bootstrap Layout','a:0:{}','menu',0,0,0,0,-50,2,1,512,517,0,0,0,0,0,0,0,0),('main-menu',518,512,'node/94','node/%','Fullwidth Layout','a:0:{}','menu',0,0,0,0,-49,2,1,512,518,0,0,0,0,0,0,0,0),('management',519,20,'admin/structure/megamenus','admin/structure/megamenus','Mega Menus','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:10:\"Mega Menus\";}}','system',0,0,0,0,0,3,0,1,20,519,0,0,0,0,0,0,0),('management',520,519,'admin/structure/megamenus/load_block','admin/structure/megamenus/load_block','Request','a:0:{}','system',1,0,0,0,0,4,0,1,20,519,520,0,0,0,0,0,0),('management',521,519,'admin/structure/megamenus/load_menu','admin/structure/megamenus/load_menu','Request','a:0:{}','system',1,0,0,0,0,4,0,1,20,519,521,0,0,0,0,0,0),('management',522,519,'admin/structure/megamenus/save_config','admin/structure/megamenus/save_config','Request','a:0:{}','system',1,0,0,0,0,4,0,1,20,519,522,0,0,0,0,0,0),('management',523,519,'admin/structure/megamenus/%/config','admin/structure/megamenus/%/config','Config Mega Menus','a:0:{}','system',-1,0,0,0,-10,4,0,1,20,519,523,0,0,0,0,0,0),('management',525,161,'admin/help/locale','admin/help/locale','locale','a:0:{}','system',-1,0,0,0,0,3,0,1,161,525,0,0,0,0,0,0,0),('management',526,49,'admin/config/regional/language','admin/config/regional/language','Languages','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:55:\"Configure languages for content and the user interface.\";}}','system',0,0,1,0,-10,4,0,1,8,49,526,0,0,0,0,0,0),('management',527,49,'admin/config/regional/translate','admin/config/regional/translate','Translate interface','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:59:\"Translate the built in interface and optionally other text.\";}}','system',0,0,1,0,-5,4,0,1,8,49,527,0,0,0,0,0,0),('management',528,526,'admin/config/regional/language/add','admin/config/regional/language/add','Add language','a:0:{}','system',-1,0,0,0,5,5,0,1,8,49,526,528,0,0,0,0,0),('management',529,526,'admin/config/regional/language/configure','admin/config/regional/language/configure','Detection and selection','a:0:{}','system',-1,0,0,0,10,5,0,1,8,49,526,529,0,0,0,0,0),('management',530,527,'admin/config/regional/translate/export','admin/config/regional/translate/export','Export','a:0:{}','system',-1,0,0,0,30,5,0,1,8,49,527,530,0,0,0,0,0),('management',531,527,'admin/config/regional/translate/import','admin/config/regional/translate/import','Import','a:0:{}','system',-1,0,0,0,20,5,0,1,8,49,527,531,0,0,0,0,0),('management',532,526,'admin/config/regional/language/overview','admin/config/regional/language/overview','List','a:0:{}','system',-1,0,0,0,0,5,0,1,8,49,526,532,0,0,0,0,0),('management',533,76,'admin/config/regional/date-time/locale','admin/config/regional/date-time/locale','Localize','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Configure date formats for each locale\";}}','system',-1,0,1,0,-8,5,0,1,8,49,76,533,0,0,0,0,0),('management',534,527,'admin/config/regional/translate/overview','admin/config/regional/translate/overview','Overview','a:0:{}','system',-1,0,0,0,0,5,0,1,8,49,527,534,0,0,0,0,0),('management',535,527,'admin/config/regional/translate/translate','admin/config/regional/translate/translate','Translate','a:0:{}','system',-1,0,0,0,10,5,0,1,8,49,527,535,0,0,0,0,0),('management',536,526,'admin/config/regional/language/delete/%','admin/config/regional/language/delete/%','Confirm','a:0:{}','system',0,0,0,0,0,5,0,1,8,49,526,536,0,0,0,0,0),('management',537,527,'admin/config/regional/translate/delete/%','admin/config/regional/translate/delete/%','Delete string','a:0:{}','system',0,0,0,0,0,5,0,1,8,49,527,537,0,0,0,0,0),('management',538,526,'admin/config/regional/language/edit/%','admin/config/regional/language/edit/%','Edit language','a:0:{}','system',0,0,0,0,0,5,0,1,8,49,526,538,0,0,0,0,0),('management',539,527,'admin/config/regional/translate/edit/%','admin/config/regional/translate/edit/%','Edit string','a:0:{}','system',0,0,0,0,0,5,0,1,8,49,527,539,0,0,0,0,0),('management',540,529,'admin/config/regional/language/configure/session','admin/config/regional/language/configure/session','Session language detection configuration','a:0:{}','system',-1,0,0,0,0,6,0,1,8,49,526,529,540,0,0,0,0),('management',541,529,'admin/config/regional/language/configure/url','admin/config/regional/language/configure/url','URL language detection configuration','a:0:{}','system',-1,0,0,0,0,6,0,1,8,49,526,529,541,0,0,0,0),('management',542,533,'admin/config/regional/date-time/locale/%/reset','admin/config/regional/date-time/locale/%/reset','Reset date formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:47:\"Reset localized date formats to global defaults\";}}','system',0,0,0,0,0,6,0,1,8,49,76,533,542,0,0,0,0),('management',543,533,'admin/config/regional/date-time/locale/%/edit','admin/config/regional/date-time/locale/%/edit','Localize date formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Configure date formats for each locale\";}}','system',0,0,0,0,0,6,0,1,8,49,76,533,543,0,0,0,0),('management',602,66,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,20,55,66,602,0,0,0,0,0),('management',603,67,'admin/config/people/accounts/display','admin/config/people/accounts/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,8,46,67,603,0,0,0,0,0),('management',604,66,'admin/structure/taxonomy/%/fields','admin/structure/taxonomy/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,20,55,66,604,0,0,0,0,0),('management',605,67,'admin/config/people/accounts/fields','admin/config/people/accounts/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,8,46,67,605,0,0,0,0,0),('management',606,602,'admin/structure/taxonomy/%/display/default','admin/structure/taxonomy/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,20,55,66,602,606,0,0,0,0),('management',607,603,'admin/config/people/accounts/display/default','admin/config/people/accounts/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,8,46,67,603,607,0,0,0,0),('management',608,398,'admin/config/media/newsletter/subscribers/display','admin/config/media/newsletter/subscribers/display','Manage display','a:0:{}','system',-1,0,0,0,2,6,0,1,8,44,393,398,608,0,0,0,0),('management',609,399,'admin/config/media/newsletter/templates/display','admin/config/media/newsletter/templates/display','Manage display','a:0:{}','system',-1,0,0,0,2,6,0,1,8,44,393,399,609,0,0,0,0),('management',610,111,'admin/structure/types/manage/%/display','admin/structure/types/manage/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,20,35,111,610,0,0,0,0,0),('management',611,398,'admin/config/media/newsletter/subscribers/fields','admin/config/media/newsletter/subscribers/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,6,0,1,8,44,393,398,611,0,0,0,0),('management',612,399,'admin/config/media/newsletter/templates/fields','admin/config/media/newsletter/templates/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,6,0,1,8,44,393,399,612,0,0,0,0),('management',613,111,'admin/structure/types/manage/%/fields','admin/structure/types/manage/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,20,35,111,613,0,0,0,0,0),('management',614,602,'admin/structure/taxonomy/%/display/full','admin/structure/taxonomy/%/display/full','Taxonomy term page','a:0:{}','system',-1,0,0,0,0,6,0,1,20,55,66,602,614,0,0,0,0),('management',615,602,'admin/structure/taxonomy/%/display/token','admin/structure/taxonomy/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,20,55,66,602,615,0,0,0,0),('management',616,603,'admin/config/people/accounts/display/token','admin/config/people/accounts/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,8,46,67,603,616,0,0,0,0),('management',617,603,'admin/config/people/accounts/display/full','admin/config/people/accounts/display/full','User account','a:0:{}','system',-1,0,0,0,0,6,0,1,8,46,67,603,617,0,0,0,0),('management',618,604,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,20,55,66,604,618,0,0,0,0),('management',619,605,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,8,46,67,605,619,0,0,0,0),('management',620,608,'admin/config/media/newsletter/subscribers/display/default','admin/config/media/newsletter/subscribers/display/default','Default','a:0:{}','system',-1,0,0,0,-10,7,0,1,8,44,393,398,608,620,0,0,0),('management',621,609,'admin/config/media/newsletter/templates/display/default','admin/config/media/newsletter/templates/display/default','Default','a:0:{}','system',-1,0,0,0,-10,7,0,1,8,44,393,399,609,621,0,0,0),('management',622,610,'admin/structure/types/manage/%/display/default','admin/structure/types/manage/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,20,35,111,610,622,0,0,0,0),('management',623,610,'admin/structure/types/manage/%/display/full','admin/structure/types/manage/%/display/full','Full content','a:0:{}','system',-1,0,0,0,0,6,0,1,20,35,111,610,623,0,0,0,0),('management',624,610,'admin/structure/types/manage/%/display/rss','admin/structure/types/manage/%/display/rss','RSS','a:0:{}','system',-1,0,0,0,2,6,0,1,20,35,111,610,624,0,0,0,0),('management',625,610,'admin/structure/types/manage/%/display/search_result','admin/structure/types/manage/%/display/search_result','Search result highlighting input','a:0:{}','system',-1,0,0,0,4,6,0,1,20,35,111,610,625,0,0,0,0),('management',626,610,'admin/structure/types/manage/%/display/teaser','admin/structure/types/manage/%/display/teaser','Teaser','a:0:{}','system',-1,0,0,0,1,6,0,1,20,35,111,610,626,0,0,0,0),('management',627,608,'admin/config/media/newsletter/subscribers/display/token','admin/config/media/newsletter/subscribers/display/token','Tokens','a:0:{}','system',-1,0,0,0,0,7,0,1,8,44,393,398,608,627,0,0,0),('management',628,609,'admin/config/media/newsletter/templates/display/token','admin/config/media/newsletter/templates/display/token','Tokens','a:0:{}','system',-1,0,0,0,0,7,0,1,8,44,393,399,609,628,0,0,0),('management',629,610,'admin/structure/types/manage/%/display/search_index','admin/structure/types/manage/%/display/search_index','Search index','a:0:{}','system',-1,0,0,0,3,6,0,1,20,35,111,610,629,0,0,0,0),('management',630,610,'admin/structure/types/manage/%/display/token','admin/structure/types/manage/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,5,6,0,1,20,35,111,610,630,0,0,0,0),('management',631,612,'admin/config/media/newsletter/templates/fields/%','admin/config/media/newsletter/templates/fields/%','','a:0:{}','system',0,0,0,0,0,7,0,1,8,44,393,399,612,631,0,0,0),('management',632,611,'admin/config/media/newsletter/subscribers/fields/%','admin/config/media/newsletter/subscribers/fields/%','','a:0:{}','system',0,0,0,0,0,7,0,1,8,44,393,398,611,632,0,0,0),('management',633,613,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,20,35,111,613,633,0,0,0,0),('management',634,618,'admin/structure/taxonomy/%/fields/%/delete','admin/structure/taxonomy/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,20,55,66,604,618,634,0,0,0),('management',635,618,'admin/structure/taxonomy/%/fields/%/edit','admin/structure/taxonomy/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,20,55,66,604,618,635,0,0,0),('management',636,618,'admin/structure/taxonomy/%/fields/%/field-settings','admin/structure/taxonomy/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,20,55,66,604,618,636,0,0,0),('management',637,618,'admin/structure/taxonomy/%/fields/%/widget-type','admin/structure/taxonomy/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,20,55,66,604,618,637,0,0,0),('management',638,619,'admin/config/people/accounts/fields/%/delete','admin/config/people/accounts/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,8,46,67,605,619,638,0,0,0),('management',639,619,'admin/config/people/accounts/fields/%/edit','admin/config/people/accounts/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,8,46,67,605,619,639,0,0,0),('management',640,619,'admin/config/people/accounts/fields/%/field-settings','admin/config/people/accounts/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,8,46,67,605,619,640,0,0,0),('management',641,619,'admin/config/people/accounts/fields/%/widget-type','admin/config/people/accounts/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,8,46,67,605,619,641,0,0,0),('management',642,147,'admin/structure/types/manage/%/comment/display/default','admin/structure/types/manage/%/comment/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,20,35,111,147,642,0,0,0,0),('management',643,147,'admin/structure/types/manage/%/comment/display/full','admin/structure/types/manage/%/comment/display/full','Full comment','a:0:{}','system',-1,0,0,0,0,6,0,1,20,35,111,147,643,0,0,0,0),('management',644,147,'admin/structure/types/manage/%/comment/display/token','admin/structure/types/manage/%/comment/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,20,35,111,147,644,0,0,0,0),('management',645,148,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,20,35,111,148,645,0,0,0,0),('management',646,632,'admin/config/media/newsletter/subscribers/fields/%/delete','admin/config/media/newsletter/subscribers/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,8,0,1,8,44,393,398,611,632,646,0,0),('management',647,632,'admin/config/media/newsletter/subscribers/fields/%/edit','admin/config/media/newsletter/subscribers/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,8,0,1,8,44,393,398,611,632,647,0,0),('management',648,632,'admin/config/media/newsletter/subscribers/fields/%/field-settings','admin/config/media/newsletter/subscribers/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,8,0,1,8,44,393,398,611,632,648,0,0),('management',649,632,'admin/config/media/newsletter/subscribers/fields/%/widget-type','admin/config/media/newsletter/subscribers/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,8,0,1,8,44,393,398,611,632,649,0,0),('management',650,631,'admin/config/media/newsletter/templates/fields/%/delete','admin/config/media/newsletter/templates/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,8,0,1,8,44,393,399,612,631,650,0,0),('management',651,631,'admin/config/media/newsletter/templates/fields/%/edit','admin/config/media/newsletter/templates/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,8,0,1,8,44,393,399,612,631,651,0,0),('management',652,631,'admin/config/media/newsletter/templates/fields/%/field-settings','admin/config/media/newsletter/templates/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,8,0,1,8,44,393,399,612,631,652,0,0),('management',653,631,'admin/config/media/newsletter/templates/fields/%/widget-type','admin/config/media/newsletter/templates/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,8,0,1,8,44,393,399,612,631,653,0,0),('management',654,633,'admin/structure/types/manage/%/fields/%/delete','admin/structure/types/manage/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,20,35,111,613,633,654,0,0,0),('management',655,633,'admin/structure/types/manage/%/fields/%/edit','admin/structure/types/manage/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,20,35,111,613,633,655,0,0,0),('management',656,633,'admin/structure/types/manage/%/fields/%/field-settings','admin/structure/types/manage/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,20,35,111,613,633,656,0,0,0),('management',657,633,'admin/structure/types/manage/%/fields/%/widget-type','admin/structure/types/manage/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,20,35,111,613,633,657,0,0,0),('management',658,645,'admin/structure/types/manage/%/comment/fields/%/delete','admin/structure/types/manage/%/comment/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,20,35,111,148,645,658,0,0,0),('management',659,645,'admin/structure/types/manage/%/comment/fields/%/edit','admin/structure/types/manage/%/comment/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,20,35,111,148,645,659,0,0,0),('management',660,645,'admin/structure/types/manage/%/comment/fields/%/field-settings','admin/structure/types/manage/%/comment/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,20,35,111,148,645,660,0,0,0),('management',661,645,'admin/structure/types/manage/%/comment/fields/%/widget-type','admin/structure/types/manage/%/comment/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,20,35,111,148,645,661,0,0,0),('management',662,20,'admin/structure/migrate_content','admin/structure/migrate_content','Migrate Content','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:23:\"Manage Migrate Content.\";}}','system',0,0,0,0,0,3,0,1,20,662,0,0,0,0,0,0,0),('management',663,662,'admin/structure/migrate_content/create','admin/structure/migrate_content/create','Create','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:23:\"Migrate Content Create.\";}}','system',-1,0,0,0,10,4,0,1,20,662,663,0,0,0,0,0,0),('management',664,662,'admin/structure/migrate_content/import-from-upload','admin/structure/migrate_content/import-from-upload','Import','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Upload zip file to import.\";}}','system',-1,0,0,0,11,4,0,1,20,662,664,0,0,0,0,0,0),('management',665,662,'admin/structure/migrate_content/manage','admin/structure/migrate_content/manage','Manage','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Enable and disable entity bundle.\";}}','system',-1,0,0,0,0,4,0,1,20,662,665,0,0,0,0,0,0),('management',666,662,'admin/structure/migrate_content/settings','admin/structure/migrate_content/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:49:\"Adjust settings for using migrate content module.\";}}','system',-1,0,0,0,11,4,0,1,20,662,666,0,0,0,0,0,0),('management',667,52,'admin/appearance/settings/we_backend','admin/appearance/settings/we_backend','WeebPal Backend theme','a:0:{}','system',-1,0,0,0,0,4,0,1,7,52,667,0,0,0,0,0,0),('management',668,29,'admin/structure/block/list/we_backend','admin/structure/block/list/we_backend','WeebPal Backend theme','a:0:{}','system',-1,0,0,0,0,4,0,1,20,29,668,0,0,0,0,0,0),('management',669,668,'admin/structure/block/list/we_backend/add','admin/structure/block/list/we_backend/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,20,29,668,669,0,0,0,0,0),('navigation',670,4,'filter/tips/%','filter/tips/%','Compose tips','a:0:{}','system',0,0,0,0,0,2,0,4,670,0,0,0,0,0,0,0,0),('management',671,44,'admin/config/media/vef','admin/config/media/vef','Video Embed Field','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"Video Embed Field configuration\";}}','system',0,0,1,0,0,4,0,1,8,44,671,0,0,0,0,0,0),('management',672,671,'admin/config/media/vef/settings','admin/config/media/vef/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Video Embed Field module settings\";}}','system',0,0,0,0,0,5,0,1,8,44,671,672,0,0,0,0,0),('management',673,671,'admin/config/media/vef/vef_video_styles','admin/config/media/vef/vef_video_styles','Video Embed Styles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Administer Video Embed Field\'s video styles.\";}}','system',0,0,0,0,0,5,0,1,8,44,671,673,0,0,0,0,0),('management',674,673,'admin/config/media/vef/vef_video_styles/add','admin/config/media/vef/vef_video_styles/add','Add','a:0:{}','system',-1,0,0,0,0,6,0,1,8,44,671,673,674,0,0,0,0),('management',675,673,'admin/config/media/vef/vef_video_styles/import','admin/config/media/vef/vef_video_styles/import','Import','a:0:{}','system',-1,0,0,0,0,6,0,1,8,44,671,673,675,0,0,0,0),('management',676,673,'admin/config/media/vef/vef_video_styles/list','admin/config/media/vef/vef_video_styles/list','List','a:0:{}','system',-1,0,0,0,-10,6,0,1,8,44,671,673,676,0,0,0,0),('management',677,676,'admin/config/media/vef/vef_video_styles/list/%/edit','admin/config/media/vef/vef_video_styles/list/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,7,0,1,8,44,671,673,676,677,0,0,0),('management',678,676,'admin/config/media/vef/vef_video_styles/list/%/export','admin/config/media/vef/vef_video_styles/list/%/export','Export','a:0:{}','system',-1,0,0,0,0,7,0,1,8,44,671,673,676,678,0,0,0);
/*!40000 ALTER TABLE `menu_links` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_router`
--

DROP TABLE IF EXISTS `menu_router`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_router` (
  `path` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: the Drupal path this entry describes',
  `load_functions` blob NOT NULL COMMENT 'A serialized array of function names (like node_load) to be called to load an object corresponding to a part of the current path.',
  `to_arg_functions` blob NOT NULL COMMENT 'A serialized array of function names (like user_uid_optional_to_arg) to be called to replace a part of the router path with another string.',
  `access_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The callback which determines the access to this router path. Defaults to user_access.',
  `access_arguments` blob COMMENT 'A serialized array of arguments for the access callback.',
  `page_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function that renders the page.',
  `page_arguments` blob COMMENT 'A serialized array of arguments for the page callback.',
  `delivery_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function that sends the result of the page_callback function to the browser.',
  `fit` int(11) NOT NULL DEFAULT '0' COMMENT 'A numeric representation of how specific the path is.',
  `number_parts` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Number of parts in this router path.',
  `context` int(11) NOT NULL DEFAULT '0' COMMENT 'Only for local tasks (tabs) - the context of a local task to control its placement.',
  `tab_parent` varchar(255) NOT NULL DEFAULT '' COMMENT 'Only for local tasks (tabs) - the router path of the parent page (which may also be a local task).',
  `tab_root` varchar(255) NOT NULL DEFAULT '' COMMENT 'Router path of the closest non-tab parent page. For pages that are not local tasks, this will be the same as the path.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title for the current page, or the title for the tab if this is a local task.',
  `title_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'A function which will alter the title. Defaults to t()',
  `title_arguments` varchar(255) NOT NULL DEFAULT '' COMMENT 'A serialized array of arguments for the title callback. If empty, the title will be used as the sole argument for the title callback.',
  `theme_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'A function which returns the name of the theme that will be used to render this page. If left empty, the default theme will be used.',
  `theme_arguments` varchar(255) NOT NULL DEFAULT '' COMMENT 'A serialized array of arguments for the theme callback.',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT 'Numeric representation of the type of the menu item, like MENU_LOCAL_TASK.',
  `description` text NOT NULL COMMENT 'A description of this item.',
  `position` varchar(255) NOT NULL DEFAULT '' COMMENT 'The position of the block (left or right) on the system administration page for this item.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of the element. Lighter weights are higher up, heavier weights go down.',
  `include_file` mediumtext COMMENT 'The file to include for this element, usually the page callback function lives in this file.',
  PRIMARY KEY (`path`),
  KEY `fit` (`fit`),
  KEY `tab_parent` (`tab_parent`(64),`weight`,`title`),
  KEY `tab_root_weight_title` (`tab_root`(64),`weight`,`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps paths to various callbacks (access, page and title)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_router`
--

LOCK TABLES `menu_router` WRITE;
/*!40000 ALTER TABLE `menu_router` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_router` VALUES ('admin','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',1,1,0,'','admin','Administration','t','','','a:0:{}',6,'','',9,'modules/system/system.admin.inc'),('admin/appearance','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_themes_page','a:0:{}','',3,2,0,'','admin/appearance','Appearance','t','','','a:0:{}',6,'Select and configure your themes.','left',-6,'modules/system/system.admin.inc'),('admin/appearance/default','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_default','a:0:{}','',7,3,0,'','admin/appearance/default','Set default theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/disable','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_disable','a:0:{}','',7,3,0,'','admin/appearance/disable','Disable theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/enable','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_enable','a:0:{}','',7,3,0,'','admin/appearance/enable','Enable theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:5:\"theme\";}','',7,3,1,'admin/appearance','admin/appearance','Install new theme','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/appearance/list','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_themes_page','a:0:{}','',7,3,1,'admin/appearance','admin/appearance','List','t','','','a:0:{}',140,'Select and configure your theme','',-1,'modules/system/system.admin.inc'),('admin/appearance/settings','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','drupal_get_form','a:1:{i:0;s:21:\"system_theme_settings\";}','',7,3,1,'admin/appearance','admin/appearance','Settings','t','','','a:0:{}',132,'Configure default and theme specific settings.','',20,'modules/system/system.admin.inc'),('admin/appearance/settings/bartik','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:6:\"bartik\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Bartik','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/garland','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:7:\"garland\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Garland','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/global','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','drupal_get_form','a:1:{i:0;s:21:\"system_theme_settings\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Global settings','t','','','a:0:{}',140,'','',-1,'modules/system/system.admin.inc'),('admin/appearance/settings/pinteros','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:39:\"sites/all/themes/pinteros/pinteros.info\";s:4:\"name\";s:8:\"pinteros\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:17:{s:4:\"name\";s:8:\"Pinteros\";s:11:\"description\";s:23:\"Theme for the Companies\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:53:\"sites/all/themes/pinteros/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:59:\"sites/all/themes/pinteros/bootstrap/css/bootstrap-theme.css\";s:12:\"css/base.css\";s:38:\"sites/all/themes/pinteros/css/base.css\";s:12:\"css/html.css\";s:38:\"sites/all/themes/pinteros/css/html.css\";s:12:\"css/menu.css\";s:38:\"sites/all/themes/pinteros/css/menu.css\";s:13:\"css/block.css\";s:39:\"sites/all/themes/pinteros/css/block.css\";s:12:\"css/view.css\";s:38:\"sites/all/themes/pinteros/css/view.css\";s:23:\"css/menu-off-canvas.css\";s:49:\"sites/all/themes/pinteros/css/menu-off-canvas.css\";s:12:\"css/page.css\";s:38:\"sites/all/themes/pinteros/css/page.css\";s:32:\"css/screens/theme-responsive.css\";s:58:\"sites/all/themes/pinteros/css/screens/theme-responsive.css\";}s:33:\"only screen and (max-width:991px)\";a:1:{s:19:\"css/mobile-menu.css\";s:45:\"sites/all/themes/pinteros/css/mobile-menu.css\";}}s:7:\"scripts\";a:7:{s:25:\"bootstrap/js/bootstrap.js\";s:51:\"sites/all/themes/pinteros/bootstrap/js/bootstrap.js\";s:20:\"js/jquery.masonry.js\";s:46:\"sites/all/themes/pinteros/js/jquery.masonry.js\";s:19:\"js/jquery.cookie.js\";s:45:\"sites/all/themes/pinteros/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:52:\"sites/all/themes/pinteros/js/jquery.smooth-scroll.js\";s:17:\"js/mobile_menu.js\";s:43:\"sites/all/themes/pinteros/js/mobile_menu.js\";s:13:\"js/weebpal.js\";s:39:\"sites/all/themes/pinteros/js/weebpal.js\";s:14:\"js/pinteros.js\";s:40:\"sites/all/themes/pinteros/js/pinteros.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:18:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:9:\"main_menu\";s:9:\"Main Menu\";s:14:\"secondary_menu\";s:14:\"Secondary Menu\";s:9:\"left_menu\";s:9:\"Left Menu\";s:4:\"help\";s:4:\"Help\";s:3:\"map\";s:3:\"Map\";s:8:\"featured\";s:8:\"Featured\";s:11:\"highlighted\";s:11:\"Highlighted\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:3:{s:19:\"sidebar_first_width\";s:1:\"5\";s:20:\"sidebar_second_width\";s:1:\"0\";s:16:\"pinteros_display\";s:25:\"bootstrap-default-display\";}s:5:\"skins\";a:3:{s:9:\"dark-blue\";s:9:\"Dark blue\";s:4:\"blue\";s:4:\"Blue\";s:6:\"orange\";s:6:\"Orange\";}s:10:\"screenshot\";s:40:\"sites/all/themes/pinteros/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499929802;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:53:\"sites/all/themes/pinteros/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:59:\"sites/all/themes/pinteros/bootstrap/css/bootstrap-theme.css\";s:12:\"css/base.css\";s:38:\"sites/all/themes/pinteros/css/base.css\";s:12:\"css/html.css\";s:38:\"sites/all/themes/pinteros/css/html.css\";s:12:\"css/menu.css\";s:38:\"sites/all/themes/pinteros/css/menu.css\";s:13:\"css/block.css\";s:39:\"sites/all/themes/pinteros/css/block.css\";s:12:\"css/view.css\";s:38:\"sites/all/themes/pinteros/css/view.css\";s:23:\"css/menu-off-canvas.css\";s:49:\"sites/all/themes/pinteros/css/menu-off-canvas.css\";s:12:\"css/page.css\";s:38:\"sites/all/themes/pinteros/css/page.css\";s:32:\"css/screens/theme-responsive.css\";s:58:\"sites/all/themes/pinteros/css/screens/theme-responsive.css\";}s:33:\"only screen and (max-width:991px)\";a:1:{s:19:\"css/mobile-menu.css\";s:45:\"sites/all/themes/pinteros/css/mobile-menu.css\";}}s:7:\"scripts\";a:7:{s:25:\"bootstrap/js/bootstrap.js\";s:51:\"sites/all/themes/pinteros/bootstrap/js/bootstrap.js\";s:20:\"js/jquery.masonry.js\";s:46:\"sites/all/themes/pinteros/js/jquery.masonry.js\";s:19:\"js/jquery.cookie.js\";s:45:\"sites/all/themes/pinteros/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:52:\"sites/all/themes/pinteros/js/jquery.smooth-scroll.js\";s:17:\"js/mobile_menu.js\";s:43:\"sites/all/themes/pinteros/js/mobile_menu.js\";s:13:\"js/weebpal.js\";s:39:\"sites/all/themes/pinteros/js/weebpal.js\";s:14:\"js/pinteros.js\";s:40:\"sites/all/themes/pinteros/js/pinteros.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:8:\"pinteros\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Pinteros','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/seven','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:5:\"seven\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Seven','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/stark','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:5:\"stark\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Stark','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/we_backend','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/we_backend/we_backend.info\";s:4:\"name\";s:10:\"we_backend\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:10:\"we_backend\";}','',15,4,1,'admin/appearance/settings','admin/appearance','WeebPal Backend theme','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:5:\"theme\";}','',7,3,1,'admin/appearance','admin/appearance','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/compact','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_compact_page','a:0:{}','',3,2,0,'','admin/compact','Compact mode','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_config_page','a:0:{}','',3,2,0,'','admin/config','Configuration','t','','','a:0:{}',6,'Administer settings.','',0,'modules/system/system.admin.inc'),('admin/config/administration','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/administration','Administration','t','','','a:0:{}',6,'Administration tools.','',0,'modules/system/system.admin.inc'),('admin/config/administration/admin_menu','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"admin_menu_theme_settings\";}','',15,4,0,'','admin/config/administration/admin_menu','Administration menu','t','','','a:0:{}',6,'Adjust administration menu settings.','',0,'sites/all/modules/admin_menu/admin_menu.inc'),('admin/config/content','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/content','Content authoring','t','','','a:0:{}',6,'Settings related to formatting and authoring content.','left',-15,'modules/system/system.admin.inc'),('admin/config/content/formats','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','drupal_get_form','a:1:{i:0;s:21:\"filter_admin_overview\";}','',15,4,0,'','admin/config/content/formats','Text formats','t','','','a:0:{}',6,'Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/%','a:1:{i:4;s:18:\"filter_format_load\";}','','user_access','a:1:{i:0;s:18:\"administer filters\";}','filter_admin_format_page','a:1:{i:0;i:4;}','',30,5,0,'','admin/config/content/formats/%','','filter_admin_format_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/%/disable','a:1:{i:4;s:18:\"filter_format_load\";}','','_filter_disable_format_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:20:\"filter_admin_disable\";i:1;i:4;}','',61,6,0,'','admin/config/content/formats/%/disable','Disable text format','t','','','a:0:{}',6,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/add','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','filter_admin_format_page','a:0:{}','',31,5,1,'admin/config/content/formats','admin/config/content/formats','Add text format','t','','','a:0:{}',388,'','',1,'modules/filter/filter.admin.inc'),('admin/config/content/formats/list','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','drupal_get_form','a:1:{i:0;s:21:\"filter_admin_overview\";}','',31,5,1,'admin/config/content/formats','admin/config/content/formats','List','t','','','a:0:{}',140,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/tagclouds','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:18:\"tagclouds_settings\";}','',15,4,0,'','admin/config/content/tagclouds','TagClouds configuration','t','','','a:0:{}',6,'Configure the tag clouds. Set the order, the number of tags, and the depth of the clouds.','',0,''),('admin/config/date','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/date','Date API','t','','','a:0:{}',6,'Settings for modules the use the Date API.','left',-10,'modules/system/system.admin.inc'),('admin/config/development','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/development','Development','t','','','a:0:{}',6,'Development tools.','right',-10,'modules/system/system.admin.inc'),('admin/config/development/jquery_update','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"jquery_update_settings_form\";}','',15,4,0,'','admin/config/development/jquery_update','jQuery update','t','','','a:0:{}',6,'Configure settings related to the jQuery upgrade, the library path and compression.','',0,''),('admin/config/development/logging','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:23:\"system_logging_settings\";}','',15,4,0,'','admin/config/development/logging','Logging and errors','t','','','a:0:{}',6,'Settings for logging and alerts modules. Various modules can route Drupal\'s system events to different destinations, such as syslog, database, email, etc.','',-15,'modules/system/system.admin.inc'),('admin/config/development/maintenance','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:28:\"system_site_maintenance_mode\";}','',15,4,0,'','admin/config/development/maintenance','Maintenance mode','t','','','a:0:{}',6,'Take the site offline for maintenance or bring it back online.','',-10,'modules/system/system.admin.inc'),('admin/config/development/performance','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"system_performance_settings\";}','',15,4,0,'','admin/config/development/performance','Performance','t','','','a:0:{}',6,'Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.','',-20,'modules/system/system.admin.inc'),('admin/config/media','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/media','Media','t','','','a:0:{}',6,'Media tools.','left',-10,'modules/system/system.admin.inc'),('admin/config/media/file-system','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"system_file_system_settings\";}','',15,4,0,'','admin/config/media/file-system','File system','t','','','a:0:{}',6,'Tell Drupal where to store uploaded files and how they are accessed.','',-10,'modules/system/system.admin.inc'),('admin/config/media/image-styles','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','image_style_list','a:0:{}','',15,4,0,'','admin/config/media/image-styles','Image styles','t','','','a:0:{}',6,'Configure styles that can be used for resizing or adjusting images on display.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/add','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:1:{i:0;s:20:\"image_style_add_form\";}','',31,5,1,'admin/config/media/image-styles','admin/config/media/image-styles','Add style','t','','','a:0:{}',388,'Add a new image style.','',2,'modules/image/image.admin.inc'),('admin/config/media/image-styles/delete/%','a:1:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;N;i:1;s:1:\"1\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:23:\"image_style_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/delete/%','Delete style','t','','','a:0:{}',6,'Delete an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%','a:1:{i:5;s:16:\"image_style_load\";}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:16:\"image_style_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/edit/%','Edit style','t','','','a:0:{}',6,'Configure an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/add/%','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:1:{i:0;i:5;}}i:7;a:1:{s:28:\"image_effect_definition_load\";a:1:{i:0;i:5;}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:17:\"image_effect_form\";i:1;i:5;i:2;i:7;}','',250,8,0,'','admin/config/media/image-styles/edit/%/add/%','Add image effect','t','','','a:0:{}',6,'Add a new effect to a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/effects/%','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}i:7;a:1:{s:17:\"image_effect_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:17:\"image_effect_form\";i:1;i:5;i:2;i:7;}','',250,8,0,'','admin/config/media/image-styles/edit/%/effects/%','Edit image effect','t','','','a:0:{}',6,'Edit an existing effect within a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/effects/%/delete','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}i:7;a:1:{s:17:\"image_effect_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:24:\"image_effect_delete_form\";i:1;i:5;i:2;i:7;}','',501,9,0,'','admin/config/media/image-styles/edit/%/effects/%/delete','Delete image effect','t','','','a:0:{}',6,'Delete an existing effect from a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/list','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','image_style_list','a:0:{}','',31,5,1,'admin/config/media/image-styles','admin/config/media/image-styles','List','t','','','a:0:{}',140,'List the current image styles on the site.','',1,'modules/image/image.admin.inc'),('admin/config/media/image-styles/revert/%','a:1:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;N;i:1;s:1:\"2\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:23:\"image_style_revert_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/revert/%','Revert style','t','','','a:0:{}',6,'Revert an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-toolkit','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:29:\"system_image_toolkit_settings\";}','',15,4,0,'','admin/config/media/image-toolkit','Image toolkit','t','','','a:0:{}',6,'Choose which image toolkit to use if you have installed optional toolkits.','',20,'modules/system/system.admin.inc'),('admin/config/media/newsletter','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:16:\"newsletter_stats\";}','',15,4,0,'','admin/config/media/newsletter','Newsletters','t','','','a:0:{}',6,'Manage newsletters, subscribers, and settings.','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/archive','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:28:\"access newsletter statistics\";}}}','views_page','a:2:{i:0;s:18:\"newsletter_archive\";i:1;s:4:\"page\";}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Issue archive','t','','','a:0:{}',132,'','',1,''),('admin/config/media/newsletter/configure','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:20:\"newsletter_configure\";}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Settings','t','','','a:0:{}',132,'Configure newsletter lists.','',5,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/create-send','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_draft_manual_list','a:0:{}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Create/Send','t','','','a:0:{}',132,'Create custom static newsletters and send non-automated ones','',1,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/create-send/draft/%','a:1:{i:6;s:26:\"newsletter_newsletter_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:26:\"newsletter_form_send_draft\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/create-send/draft/%','Send a newsletter draft','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/create-send/draft/delete/%','a:1:{i:7;s:26:\"newsletter_newsletter_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:28:\"newsletter_form_delete_draft\";i:1;i:7;}','',254,8,0,'','admin/config/media/newsletter/create-send/draft/delete/%','Delete a newsletter draft','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/create-send/new','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:22:\"newsletter_create_send\";}','',63,6,1,'admin/config/media/newsletter/create-send','admin/config/media/newsletter','Create and send a custom newsletter','t','','','a:0:{}',388,'Create a custom static newsletter','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/create-send/newsletter/delete/%','a:1:{i:7;s:26:\"newsletter_newsletter_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:33:\"newsletter_form_delete_newsletter\";i:1;i:7;}','',254,8,0,'','admin/config/media/newsletter/create-send/newsletter/delete/%','Delete a newsletter draft','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/create-send/send/%','a:1:{i:6;s:20:\"newsletter_list_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_manual_send','a:1:{i:0;i:6;}','',126,7,0,'','admin/config/media/newsletter/create-send/send/%','Send a manual newsletter','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/lists','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:15:\"newsletter_list\";}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Lists','t','','','a:0:{}',132,'Find and manage newsletter lists.','',2,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/lists/add','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_list_add','a:0:{}','',63,6,1,'admin/config/media/newsletter/lists','admin/config/media/newsletter','Add new list','t','','','a:0:{}',388,'Add new newsletter list.','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/lists/delete/%','a:1:{i:6;s:20:\"newsletter_list_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:22:\"newsletter_list_delete\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/lists/delete/%','Delete newsletter list','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/lists/edit/%','a:1:{i:6;s:20:\"newsletter_list_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:20:\"newsletter_list_edit\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/lists/edit/%','Edit newsletter list','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/stats','','','user_access','a:1:{i:0;s:28:\"access newsletter statistics\";}','drupal_get_form','a:1:{i:0;s:16:\"newsletter_stats\";}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Statistics','t','','','a:0:{}',140,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/stats/general','','','user_access','a:1:{i:0;s:28:\"access newsletter statistics\";}','drupal_get_form','a:1:{i:0;s:16:\"newsletter_stats\";}','',63,6,1,'admin/config/media/newsletter/stats','admin/config/media/newsletter','General','t','','','a:0:{}',140,'Watch general statistics.','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/stats/graphic','','','user_access','a:1:{i:0;s:28:\"access newsletter statistics\";}','newsletter_stats_graphic','a:0:{}','',63,6,1,'admin/config/media/newsletter/stats','admin/config/media/newsletter','Graphic','t','','','a:0:{}',132,'Watch advanced JQuery statistics.','',1,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/subscribers','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:26:\"newsletter_subscriber_list\";}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Subscribers','t','','','a:0:{}',132,'List subscribers.','',3,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/subscribers/add','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_subscriber_add','a:0:{}','',63,6,1,'admin/config/media/newsletter/subscribers','admin/config/media/newsletter','Add new subscriber','t','','','a:0:{}',388,'Add new list subscriber.','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/subscribers/add-mass','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:30:\"newsletter_subscriber_add_mass\";}','',63,6,1,'admin/config/media/newsletter/subscribers','admin/config/media/newsletter','Add subscribers (Mass)','t','','','a:0:{}',388,'Add subscribers.','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/subscribers/delete/%','a:1:{i:6;s:26:\"newsletter_subscriber_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:28:\"newsletter_subscriber_delete\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/subscribers/delete/%','Delete subscriber','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/subscribers/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"newsletter_subscriber\";i:2;s:21:\"newsletter_subscriber\";i:3;s:7:\"default\";}','',63,6,1,'admin/config/media/newsletter/subscribers','admin/config/media/newsletter','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"newsletter_subscriber\";i:2;s:21:\"newsletter_subscriber\";i:3;s:7:\"default\";}','',127,7,1,'admin/config/media/newsletter/subscribers/display','admin/config/media/newsletter','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"newsletter_subscriber\";i:2;s:21:\"newsletter_subscriber\";i:3;s:5:\"token\";}','',127,7,1,'admin/config/media/newsletter/subscribers/display','admin/config/media/newsletter','Tokens','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/edit/%','a:1:{i:6;s:26:\"newsletter_subscriber_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:26:\"newsletter_subscriber_edit\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/subscribers/edit/%','Edit newsletter subscriber','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/subscribers/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:21:\"newsletter_subscriber\";i:2;s:21:\"newsletter_subscriber\";}','',63,6,1,'admin/config/media/newsletter/subscribers','admin/config/media/newsletter','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/fields/%','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/subscribers/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/fields/%/delete','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/subscribers/fields/%','admin/config/media/newsletter/subscribers/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/fields/%/edit','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/subscribers/fields/%','admin/config/media/newsletter/subscribers/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/fields/%/field-settings','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/subscribers/fields/%','admin/config/media/newsletter/subscribers/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/subscribers/fields/%/widget-type','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"newsletter_subscriber\";i:1;s:21:\"newsletter_subscriber\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/subscribers/fields/%','admin/config/media/newsletter/subscribers/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:24:\"newsletter_template_list\";}','',31,5,1,'admin/config/media/newsletter','admin/config/media/newsletter','Templates','t','','','a:0:{}',132,'Administer newsletter templates.','',4,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/confirmation','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_basic_template_edit','a:1:{i:0;s:1:\"1\";}','',63,6,1,'admin/config/media/newsletter/templates','admin/config/media/newsletter','Confirmation','t','','','a:0:{}',132,'Edit confirmation template.','',-9,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/delete/%','a:1:{i:6;s:24:\"newsletter_template_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:26:\"newsletter_template_delete\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/templates/delete/%','Delete newsletter templates','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:19:\"newsletter_template\";i:2;s:19:\"newsletter_template\";i:3;s:7:\"default\";}','',63,6,1,'admin/config/media/newsletter/templates','admin/config/media/newsletter','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:19:\"newsletter_template\";i:2;s:19:\"newsletter_template\";i:3;s:7:\"default\";}','',127,7,1,'admin/config/media/newsletter/templates/display','admin/config/media/newsletter','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:19:\"newsletter_template\";i:2;s:19:\"newsletter_template\";i:3;s:5:\"token\";}','',127,7,1,'admin/config/media/newsletter/templates/display','admin/config/media/newsletter','Tokens','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/edit/%','a:1:{i:6;s:24:\"newsletter_template_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:24:\"newsletter_template_edit\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/templates/edit/%','Edit newsletter templates','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:19:\"newsletter_template\";i:2;s:19:\"newsletter_template\";}','',63,6,1,'admin/config/media/newsletter/templates','admin/config/media/newsletter','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/fields/%','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',126,7,0,'','admin/config/media/newsletter/templates/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/fields/%/delete','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/templates/fields/%','admin/config/media/newsletter/templates/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/fields/%/edit','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/templates/fields/%','admin/config/media/newsletter/templates/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/fields/%/field-settings','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/templates/fields/%','admin/config/media/newsletter/templates/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/fields/%/widget-type','a:1:{i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"newsletter_template\";i:1;s:19:\"newsletter_template\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:22:\"administer newsletters\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',253,8,1,'admin/config/media/newsletter/templates/fields/%','admin/config/media/newsletter/templates/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/media/newsletter/templates/mail','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:24:\"newsletter_template_list\";}','',63,6,1,'admin/config/media/newsletter/templates','admin/config/media/newsletter','Mail templates','t','','','a:0:{}',140,'Administer mail templates.','',-10,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/mail/add','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_template_add','a:0:{}','',127,7,1,'admin/config/media/newsletter/templates/mail','admin/config/media/newsletter','Add new mail template','t','','','a:0:{}',388,'Administer mail templates.','',0,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/unsubscribe','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_basic_template_edit','a:1:{i:0;s:1:\"3\";}','',63,6,1,'admin/config/media/newsletter/templates','admin/config/media/newsletter','Unsubscribe','t','','','a:0:{}',132,'Edit unsubscribe template.','',-7,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/newsletter/templates/welcome','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','newsletter_basic_template_edit','a:1:{i:0;s:1:\"2\";}','',63,6,1,'admin/config/media/newsletter/templates','admin/config/media/newsletter','Welcome','t','','','a:0:{}',132,'Edit welcome template.','',-8,'sites/all/modules/newsletter/includes/newsletter.admin.inc'),('admin/config/media/vef','','','user_access','a:1:{i:0;s:23:\"administer video styles\";}','system_admin_menu_block_page','a:0:{}','',15,4,0,'','admin/config/media/vef','Video Embed Field','t','','','a:0:{}',6,'Video Embed Field configuration','',0,'modules/system/system.admin.inc'),('admin/config/media/vef/settings','','','user_access','a:1:{i:0;s:23:\"administer video styles\";}','drupal_get_form','a:1:{i:0;s:31:\"video_embed_field_settings_form\";}','',31,5,0,'','admin/config/media/vef/settings','Settings','t','','','a:0:{}',6,'Video Embed Field module settings','',0,'sites/all/modules/video_embed_field/video_embed_field.admin.inc'),('admin/config/media/vef/vef_video_styles','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"list\";}','',31,5,0,'','admin/config/media/vef/vef_video_styles','Video Embed Styles','t','','','a:0:{}',6,'Administer Video Embed Field\'s video styles.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/add','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:3:\"add\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:3:\"add\";}','',63,6,1,'admin/config/media/vef/vef_video_styles','admin/config/media/vef/vef_video_styles','Add','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/import','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"import\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"import\";}','',63,6,1,'admin/config/media/vef/vef_video_styles','admin/config/media/vef/vef_video_styles','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"list\";}','',63,6,1,'admin/config/media/vef/vef_video_styles','admin/config/media/vef/vef_video_styles','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"edit\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"edit\";i:2;i:6;}','',126,7,0,'','admin/config/media/vef/vef_video_styles/list/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/clone','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:5:\"clone\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:5:\"clone\";i:2;i:6;}','',253,8,0,'','admin/config/media/vef/vef_video_styles/list/%/clone','Clone','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/delete','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"delete\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"delete\";i:2;i:6;}','',253,8,0,'','admin/config/media/vef/vef_video_styles/list/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/disable','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:7:\"disable\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:7:\"disable\";i:2;i:6;}','',253,8,0,'','admin/config/media/vef/vef_video_styles/list/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/edit','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"edit\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"edit\";i:2;i:6;}','',253,8,1,'admin/config/media/vef/vef_video_styles/list/%','admin/config/media/vef/vef_video_styles/list/%','Edit','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/enable','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"enable\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"enable\";i:2;i:6;}','',253,8,0,'','admin/config/media/vef/vef_video_styles/list/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/export','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"export\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"export\";i:2;i:6;}','',253,8,1,'admin/config/media/vef/vef_video_styles/list/%','admin/config/media/vef/vef_video_styles/list/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/revert','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"revert\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"delete\";i:2;i:6;}','',253,8,0,'','admin/config/media/vef/vef_video_styles/list/%/revert','Revert','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/video','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:28:\"video_general_admin_settings\";}','',15,4,0,'','admin/config/media/video','Video','t','','','a:0:{}',6,'Configure different aspects of the video module and its plugins','',0,'sites/all/modules/video/modules/video_ui/video.admin.inc'),('admin/config/media/video/ffmpeg-info','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:23:\"video_admin_ffmpeg_info\";}','',31,5,0,'','admin/config/media/video/ffmpeg-info','FFmpeg debug information','t','','','a:0:{}',0,'Displays information about your FFmpeg installation.','',0,'sites/all/modules/video/modules/video_ui/video.admin.inc'),('admin/config/media/video/general','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:28:\"video_general_admin_settings\";}','',31,5,1,'admin/config/media/video','admin/config/media/video','General','t','','','a:0:{}',140,'','',0,'sites/all/modules/video/modules/video_ui/video.admin.inc'),('admin/config/media/video/players','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:28:\"video_players_admin_settings\";}','',31,5,1,'admin/config/media/video','admin/config/media/video','Players','t','','','a:0:{}',132,'Configure your player settings for each video extension.','',1,'sites/all/modules/video/modules/video_ui/video.admin.inc'),('admin/config/media/video/presets','','','video_admin_access_withtranscoder','a:1:{i:0;s:24:\"administer video presets\";}','drupal_get_form','a:1:{i:0;s:27:\"video_preset_admin_settings\";}','',31,5,1,'admin/config/media/video','admin/config/media/video','Presets','t','','','a:0:{}',132,'Manage and configure the presets for Video.','',3,'sites/all/modules/video/modules/video_ui/video.admin.inc'),('admin/config/media/video/presets/add','','','video_admin_access_withtranscoder','a:1:{i:0;s:24:\"administer video presets\";}','drupal_get_form','a:1:{i:0;s:17:\"video_preset_form\";}','',63,6,1,'admin/config/media/video/presets','admin/config/media/video','Add preset','t','','','a:0:{}',388,'Add a new video conversion preset.','',0,'sites/all/modules/video/modules/video_ui/video.preset.inc'),('admin/config/media/video/presets/import','','','video_admin_access_withtranscoder','a:1:{i:0;s:24:\"administer video presets\";}','drupal_get_form','a:1:{i:0;s:24:\"video_preset_import_form\";}','',63,6,1,'admin/config/media/video/presets','admin/config/media/video','Import preset','t','','','a:0:{}',388,'Import a video conversion preset.','',0,'sites/all/modules/video/modules/video_ui/video.preset.inc'),('admin/config/media/video/presets/preset/%','a:1:{i:6;s:17:\"video_preset_load\";}','','video_admin_access_withtranscoder','a:1:{i:0;s:24:\"administer video presets\";}','drupal_get_form','a:2:{i:0;s:17:\"video_preset_form\";i:1;i:6;}','',126,7,0,'','admin/config/media/video/presets/preset/%','Edit video preset','video_preset_page_title','a:1:{i:0;i:6;}','','a:0:{}',6,'Edit a video conversion preset.','',0,'sites/all/modules/video/modules/video_ui/video.preset.inc'),('admin/config/media/video/presets/preset/%/delete','a:1:{i:6;s:26:\"video_preset_database_load\";}','','video_admin_access_withtranscoder','a:1:{i:0;s:24:\"administer video presets\";}','drupal_get_form','a:2:{i:0;s:27:\"video_preset_delete_confirm\";i:1;i:6;}','',253,8,0,'','admin/config/media/video/presets/preset/%/delete','Delete','t','','','a:0:{}',0,'Delete a video conversion preset.','',0,'sites/all/modules/video/modules/video_ui/video.preset.inc'),('admin/config/media/video/presets/preset/%/edit','a:1:{i:6;s:17:\"video_preset_load\";}','','video_admin_access_withtranscoder','a:1:{i:0;s:24:\"administer video presets\";}','drupal_get_form','a:1:{i:0;i:6;}','',253,8,1,'admin/config/media/video/presets/preset/%','admin/config/media/video/presets/preset/%','Edit','t','','','a:0:{}',140,'Edit a video conversion preset.','',0,'sites/all/modules/video/modules/video_ui/video.preset.inc'),('admin/config/media/video/presets/preset/%/export','a:1:{i:6;s:17:\"video_preset_load\";}','','video_admin_access_withtranscoder','a:1:{i:0;s:24:\"administer video presets\";}','drupal_get_form','a:2:{i:0;s:24:\"video_preset_export_form\";i:1;i:6;}','',253,8,0,'','admin/config/media/video/presets/preset/%/export','Export','video_preset_page_title','a:1:{i:0;i:6;}','','a:0:{}',0,'Export a video conversion preset.','',0,'sites/all/modules/video/modules/video_ui/video.preset.inc'),('admin/config/media/video/presets/preset/%/revert','a:1:{i:6;s:28:\"video_preset_overridden_load\";}','','video_admin_access_withtranscoder','a:1:{i:0;s:24:\"administer video presets\";}','drupal_get_form','a:2:{i:0;s:27:\"video_preset_revert_confirm\";i:1;i:6;}','',253,8,0,'','admin/config/media/video/presets/preset/%/revert','Revert','t','','','a:0:{}',0,'Revert a video conversion preset to its default settings.','',0,'sites/all/modules/video/modules/video_ui/video.preset.inc'),('admin/config/media/video/scheduling','','','video_admin_access_withtranscoder','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:31:\"video_scheduling_admin_settings\";}','',31,5,1,'admin/config/media/video','admin/config/media/video','Scheduling','t','','','a:0:{}',132,'Configure your Video transcoding scheduling settings.','',6,'sites/all/modules/video/modules/video_ui/video.admin.inc'),('admin/config/media/video/transcoders','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:31:\"video_transcoder_admin_settings\";}','',31,5,1,'admin/config/media/video','admin/config/media/video','Transcoders','t','','','a:0:{}',132,'Configure your transcoder to convert your videos or extra thumbnails.','',2,'sites/all/modules/video/modules/video_ui/video.admin.inc'),('admin/config/people','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/people','People','t','','','a:0:{}',6,'Configure user accounts.','left',-20,'modules/system/system.admin.inc'),('admin/config/people/accounts','','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:1:{i:0;s:19:\"user_admin_settings\";}','',15,4,0,'','admin/config/people/accounts','Account settings','t','','','a:0:{}',6,'Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.','',-10,'modules/user/user.admin.inc'),('admin/config/people/accounts/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:7:\"default\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:7:\"default\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/full','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:4:\"full\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','User account','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:5:\"token\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/people/accounts/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/delete','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/edit','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/field-settings','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/widget-type','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/settings','','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:1:{i:0;s:19:\"user_admin_settings\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Settings','t','','','a:0:{}',140,'','',-10,'modules/user/user.admin.inc'),('admin/config/people/ip-blocking','','','user_access','a:1:{i:0;s:18:\"block IP addresses\";}','system_ip_blocking','a:0:{}','',15,4,0,'','admin/config/people/ip-blocking','IP address blocking','t','','','a:0:{}',6,'Manage blocked IP addresses.','',10,'modules/system/system.admin.inc'),('admin/config/people/ip-blocking/delete/%','a:1:{i:5;s:15:\"blocked_ip_load\";}','','user_access','a:1:{i:0;s:18:\"block IP addresses\";}','drupal_get_form','a:2:{i:0;s:25:\"system_ip_blocking_delete\";i:1;i:5;}','',62,6,0,'','admin/config/people/ip-blocking/delete/%','Delete IP address','t','','','a:0:{}',6,'','',0,'modules/system/system.admin.inc'),('admin/config/regional','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/regional','Regional and language','t','','','a:0:{}',6,'Regional settings, localization and translation.','left',-5,'modules/system/system.admin.inc'),('admin/config/regional/date-time','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_date_time_settings\";}','',15,4,0,'','admin/config/regional/date-time','Date and time','t','','','a:0:{}',6,'Configure display formats for date and time.','',-15,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_date_time_formats','a:0:{}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Formats','t','','','a:0:{}',132,'Configure display format strings for date and time.','',-9,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/%/delete','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:30:\"system_date_delete_format_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/formats/%/delete','Delete date format','t','','','a:0:{}',6,'Allow users to delete a configured date format.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/%/edit','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:34:\"system_configure_date_formats_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/formats/%/edit','Edit date format','t','','','a:0:{}',6,'Allow users to edit a configured date format.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/add','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:34:\"system_configure_date_formats_form\";}','',63,6,1,'admin/config/regional/date-time/formats','admin/config/regional/date-time','Add format','t','','','a:0:{}',388,'Allow users to add additional date formats.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/lookup','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_date_time_lookup','a:0:{}','',63,6,0,'','admin/config/regional/date-time/formats/lookup','Date and time lookup','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/locale','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','locale_date_format_language_overview_page','a:0:{}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Localize','t','','','a:0:{}',132,'Configure date formats for each locale','',-8,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/locale/%/edit','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:23:\"locale_date_format_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/locale/%/edit','Localize date formats','t','','','a:0:{}',6,'Configure date formats for each locale','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/locale/%/reset','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:29:\"locale_date_format_reset_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/locale/%/reset','Reset date formats','t','','','a:0:{}',6,'Reset localized date formats to global defaults','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/types','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_date_time_settings\";}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Types','t','','','a:0:{}',140,'Configure display formats for date and time.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/date-time/types/%/delete','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:35:\"system_delete_date_format_type_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/types/%/delete','Delete date type','t','','','a:0:{}',6,'Allow users to delete a configured date type.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/types/add','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:32:\"system_add_date_format_type_form\";}','',63,6,1,'admin/config/regional/date-time/types','admin/config/regional/date-time','Add date type','t','','','a:0:{}',388,'Add new date type.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/language','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:30:\"locale_languages_overview_form\";}','',15,4,0,'','admin/config/regional/language','Languages','t','','','a:0:{}',6,'Configure languages for content and the user interface.','',-10,'modules/locale/locale.admin.inc'),('admin/config/regional/language/add','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','locale_languages_add_screen','a:0:{}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','Add language','t','','','a:0:{}',388,'','',5,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:31:\"locale_languages_configure_form\";}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','Detection and selection','t','','','a:0:{}',132,'','',10,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure/session','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:38:\"locale_language_providers_session_form\";}','',63,6,0,'','admin/config/regional/language/configure/session','Session language detection configuration','t','','','a:0:{}',4,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure/url','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:34:\"locale_language_providers_url_form\";}','',63,6,0,'','admin/config/regional/language/configure/url','URL language detection configuration','t','','','a:0:{}',4,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/delete/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:2:{i:0;s:28:\"locale_languages_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/language/delete/%','Confirm','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/edit/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:2:{i:0;s:26:\"locale_languages_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/language/edit/%','Edit language','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/overview','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:30:\"locale_languages_overview_form\";}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','List','t','','','a:0:{}',140,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:24:\"system_regional_settings\";}','',15,4,0,'','admin/config/regional/settings','Regional settings','t','','','a:0:{}',6,'Settings for the site\'s default time zone and country.','',-20,'modules/system/system.admin.inc'),('admin/config/regional/translate','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_overview_screen','a:0:{}','',15,4,0,'','admin/config/regional/translate','Translate interface','t','','','a:0:{}',6,'Translate the built in interface and optionally other text.','',-5,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/delete/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_delete_page','a:1:{i:0;i:5;}','',62,6,0,'','admin/config/regional/translate/delete/%','Delete string','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/edit/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:19:\"translate interface\";}','drupal_get_form','a:2:{i:0;s:26:\"locale_translate_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/translate/edit/%','Edit string','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/export','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_export_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Export','t','','','a:0:{}',132,'','',30,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/import','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','drupal_get_form','a:1:{i:0;s:28:\"locale_translate_import_form\";}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Import','t','','','a:0:{}',132,'','',20,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/overview','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_overview_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Overview','t','','','a:0:{}',140,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/translate','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_seek_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Translate','t','','','a:0:{}',132,'','',10,'modules/locale/locale.admin.inc'),('admin/config/search','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/search','Search and metadata','t','','','a:0:{}',6,'Local site search, metadata and SEO.','left',-10,'modules/system/system.admin.inc'),('admin/config/search/clean-urls','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_clean_url_settings\";}','',15,4,0,'','admin/config/search/clean-urls','Clean URLs','t','','','a:0:{}',6,'Enable or disable clean URLs for your site.','',5,'modules/system/system.admin.inc'),('admin/config/search/clean-urls/check','','','1','a:0:{}','drupal_json_output','a:1:{i:0;a:1:{s:6:\"status\";b:1;}}','',31,5,0,'','admin/config/search/clean-urls/check','Clean URL check','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/search/path','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_overview','a:0:{}','',15,4,0,'','admin/config/search/path','URL aliases','t','','','a:0:{}',6,'Change your site\'s URL paths by aliasing them.','',-5,'modules/path/path.admin.inc'),('admin/config/search/path/add','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_edit','a:0:{}','',31,5,1,'admin/config/search/path','admin/config/search/path','Add alias','t','','','a:0:{}',388,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/delete/%','a:1:{i:5;s:9:\"path_load\";}','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:2:{i:0;s:25:\"path_admin_delete_confirm\";i:1;i:5;}','',62,6,0,'','admin/config/search/path/delete/%','Delete alias','t','','','a:0:{}',6,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/delete_bulk','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:1:{i:0;s:21:\"pathauto_admin_delete\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Delete aliases','t','','','a:0:{}',132,'','',40,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/edit/%','a:1:{i:5;s:9:\"path_load\";}','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_edit','a:1:{i:0;i:5;}','',62,6,0,'','admin/config/search/path/edit/%','Edit alias','t','','','a:0:{}',6,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/list','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_overview','a:0:{}','',31,5,1,'admin/config/search/path','admin/config/search/path','List','t','','','a:0:{}',140,'','',-10,'modules/path/path.admin.inc'),('admin/config/search/path/patterns','','','user_access','a:1:{i:0;s:19:\"administer pathauto\";}','drupal_get_form','a:1:{i:0;s:22:\"pathauto_patterns_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Patterns','t','','','a:0:{}',132,'','',10,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/settings','','','user_access','a:1:{i:0;s:19:\"administer pathauto\";}','drupal_get_form','a:1:{i:0;s:22:\"pathauto_settings_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Settings','t','','','a:0:{}',132,'','',20,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/update_bulk','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:1:{i:0;s:25:\"pathauto_bulk_update_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Bulk update','t','','','a:0:{}',132,'','',30,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/settings','','','user_access','a:1:{i:0;s:17:\"administer search\";}','drupal_get_form','a:1:{i:0;s:21:\"search_admin_settings\";}','',15,4,0,'','admin/config/search/settings','Search settings','t','','','a:0:{}',6,'Configure relevance settings for search and other indexing options.','',-10,'modules/search/search.admin.inc'),('admin/config/search/settings/reindex','','','user_access','a:1:{i:0;s:17:\"administer search\";}','drupal_get_form','a:1:{i:0;s:22:\"search_reindex_confirm\";}','',31,5,0,'','admin/config/search/settings/reindex','Clear index','t','','','a:0:{}',4,'','',0,'modules/search/search.admin.inc'),('admin/config/services','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/services','Web services','t','','','a:0:{}',6,'Tools related to web services.','right',0,'modules/system/system.admin.inc'),('admin/config/services/rss-publishing','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_rss_feeds_settings\";}','',15,4,0,'','admin/config/services/rss-publishing','RSS publishing','t','','','a:0:{}',6,'Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.','',0,'modules/system/system.admin.inc'),('admin/config/system','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/system','System','t','','','a:0:{}',6,'General system related configuration.','right',-20,'modules/system/system.admin.inc'),('admin/config/system/actions','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_manage','a:0:{}','',15,4,0,'','admin/config/system/actions','Actions','t','','','a:0:{}',6,'Manage the actions defined for your site.','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/configure','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','drupal_get_form','a:1:{i:0;s:24:\"system_actions_configure\";}','',31,5,0,'','admin/config/system/actions/configure','Configure an advanced action','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/delete/%','a:1:{i:5;s:12:\"actions_load\";}','','user_access','a:1:{i:0;s:18:\"administer actions\";}','drupal_get_form','a:2:{i:0;s:26:\"system_actions_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/system/actions/delete/%','Delete action','t','','','a:0:{}',6,'Delete an action.','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/manage','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_manage','a:0:{}','',31,5,1,'admin/config/system/actions','admin/config/system/actions','Manage actions','t','','','a:0:{}',140,'Manage the actions defined for your site.','',-2,'modules/system/system.admin.inc'),('admin/config/system/actions/orphan','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_remove_orphans','a:0:{}','',31,5,0,'','admin/config/system/actions/orphan','Remove orphans','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/system/cron','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:20:\"system_cron_settings\";}','',15,4,0,'','admin/config/system/cron','Cron','t','','','a:0:{}',6,'Manage automatic site maintenance tasks.','',20,'modules/system/system.admin.inc'),('admin/config/system/site-information','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:32:\"system_site_information_settings\";}','',15,4,0,'','admin/config/system/site-information','Site information','t','','','a:0:{}',6,'Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.','',-20,'modules/system/system.admin.inc'),('admin/config/user-interface','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/user-interface','User interface','t','','','a:0:{}',6,'Tools that enhance the user interface.','right',-15,'modules/system/system.admin.inc'),('admin/config/user-interface/menu-breadcrumb','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:35:\"menu_breadcrumb_admin_settings_form\";}','',15,4,0,'','admin/config/user-interface/menu-breadcrumb','Menu Breadcrumb','t','','','a:0:{}',6,'Configure menu breadcrumb.','',0,''),('admin/config/user-interface/modulefilter','','','user_access','a:1:{i:0;s:24:\"administer module filter\";}','drupal_get_form','a:1:{i:0;s:22:\"module_filter_settings\";}','',15,4,0,'','admin/config/user-interface/modulefilter','Module filter','t','','','a:0:{}',6,'Configure how the modules page looks and acts.','',0,'sites/all/modules/module_filter/module_filter.admin.inc'),('admin/config/user-interface/shortcut','','','user_access','a:1:{i:0;s:20:\"administer shortcuts\";}','shortcut_set_admin','a:0:{}','',15,4,0,'','admin/config/user-interface/shortcut','Shortcuts','t','','','a:0:{}',6,'Add and modify shortcut sets.','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_customize\";i:1;i:4;}','',30,5,0,'','admin/config/user-interface/shortcut/%','Edit shortcuts','shortcut_set_title_callback','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/add-link','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:17:\"shortcut_link_add\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Add shortcut','t','','','a:0:{}',388,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/add-link-inline','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','shortcut_link_add_inline','a:1:{i:0;i:4;}','',61,6,0,'','admin/config/user-interface/shortcut/%/add-link-inline','Add shortcut','t','','','a:0:{}',0,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/delete','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_delete_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:24:\"shortcut_set_delete_form\";i:1;i:4;}','',61,6,0,'','admin/config/user-interface/shortcut/%/delete','Delete shortcut set','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/edit','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_edit_form\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Edit set name','t','','','a:0:{}',132,'','',10,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/links','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_customize\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','List links','t','','','a:0:{}',140,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/add-set','','','user_access','a:1:{i:0;s:20:\"administer shortcuts\";}','drupal_get_form','a:1:{i:0;s:21:\"shortcut_set_add_form\";}','',31,5,1,'admin/config/user-interface/shortcut','admin/config/user-interface/shortcut','Add shortcut set','t','','','a:0:{}',388,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/link/%','a:1:{i:5;s:14:\"menu_link_load\";}','','shortcut_link_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:18:\"shortcut_link_edit\";i:1;i:5;}','',62,6,0,'','admin/config/user-interface/shortcut/link/%','Edit shortcut','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/link/%/delete','a:1:{i:5;s:14:\"menu_link_load\";}','','shortcut_link_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:20:\"shortcut_link_delete\";i:1;i:5;}','',125,7,0,'','admin/config/user-interface/shortcut/link/%/delete','Delete shortcut','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/workflow','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/workflow','Workflow','t','','','a:0:{}',6,'Content workflow, editorial workflow tools.','right',5,'modules/system/system.admin.inc'),('admin/content','','','user_access','a:1:{i:0;s:23:\"access content overview\";}','drupal_get_form','a:1:{i:0;s:18:\"node_admin_content\";}','',3,2,0,'','admin/content','Content','t','','','a:0:{}',6,'Administer content and comments.','',-10,'modules/node/node.admin.inc'),('admin/content/blocks','','','user_access','a:1:{i:0;s:20:\"access bean overview\";}','bean_list','a:0:{}','',7,3,1,'admin/content','admin/content','Blocks','t','','','a:0:{}',134,'Manage blocks used on your site.','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('admin/content/comment','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:0:{}','',7,3,1,'admin/content','admin/content','Comments','t','','','a:0:{}',134,'List and edit site comments and the comment approval queue.','',0,'modules/comment/comment.admin.inc'),('admin/content/comment/approval','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:1:{i:0;s:8:\"approval\";}','',15,4,1,'admin/content/comment','admin/content','Unapproved comments','comment_count_unpublished','','','a:0:{}',132,'','',0,'modules/comment/comment.admin.inc'),('admin/content/comment/new','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:0:{}','',15,4,1,'admin/content/comment','admin/content','Published comments','t','','','a:0:{}',140,'','',-10,'modules/comment/comment.admin.inc'),('admin/content/node','','','user_access','a:1:{i:0;s:23:\"access content overview\";}','drupal_get_form','a:1:{i:0;s:18:\"node_admin_content\";}','',7,3,1,'admin/content','admin/content','Content','t','','','a:0:{}',140,'','',-10,'modules/node/node.admin.inc'),('admin/dashboard','','','user_access','a:1:{i:0;s:16:\"access dashboard\";}','dashboard_admin','a:0:{}','',3,2,0,'','admin/dashboard','Dashboard','t','','','a:0:{}',6,'View and customize your dashboard.','',-15,''),('admin/dashboard/block-content/%/%','a:2:{i:3;N;i:4;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_show_block_content','a:2:{i:0;i:3;i:1;i:4;}','',28,5,0,'','admin/dashboard/block-content/%/%','','t','','','a:0:{}',0,'','',0,''),('admin/dashboard/configure','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_admin_blocks','a:0:{}','',7,3,0,'','admin/dashboard/configure','Configure available dashboard blocks','t','','','a:0:{}',4,'Configure which blocks can be shown on the dashboard.','',0,''),('admin/dashboard/customize','','','user_access','a:1:{i:0;s:16:\"access dashboard\";}','dashboard_admin','a:1:{i:0;b:1;}','',7,3,0,'','admin/dashboard/customize','Customize dashboard','t','','','a:0:{}',4,'Customize your dashboard.','',0,''),('admin/dashboard/drawer','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_show_disabled','a:0:{}','',7,3,0,'','admin/dashboard/drawer','','t','','','a:0:{}',0,'','',0,''),('admin/dashboard/update','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_update','a:0:{}','',7,3,0,'','admin/dashboard/update','','t','','','a:0:{}',0,'','',0,''),('admin/help','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_main','a:0:{}','',3,2,0,'','admin/help','Help','t','','','a:0:{}',6,'Reference for usage, configuration, and modules.','',9,'modules/help/help.admin.inc'),('admin/help/admin_menu','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/admin_menu','admin_menu','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/block','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/block','block','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/blog','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/blog','blog','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/clock','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/clock','clock','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/color','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/color','color','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/comment','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/comment','comment','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/contact','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/contact','contact','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/context','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/context','context','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/contextual','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/contextual','contextual','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/context_ui','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/context_ui','context_ui','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/dashboard','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/dashboard','dashboard','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/dblog','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/dblog','dblog','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field','field','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field_sql_storage','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field_sql_storage','field_sql_storage','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field_ui','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field_ui','field_ui','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/file','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/file','file','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/filter','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/filter','filter','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/fontawesome','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/fontawesome','fontawesome','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/forum','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/forum','forum','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/help','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/help','help','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/image','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/image','image','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/jquery_update','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/jquery_update','jquery_update','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/list','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/list','list','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/locale','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/locale','locale','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/menu','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/menu','menu','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/menu_breadcrumb','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/menu_breadcrumb','menu_breadcrumb','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/node','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/node','node','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/number','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/number','number','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/options','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/options','options','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/overlay','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/overlay','overlay','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/path','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/path','path','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/pathauto','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/pathauto','pathauto','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/php','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/php','php','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/poll','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/poll','poll','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/search','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/search','search','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/shortcut','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/shortcut','shortcut','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/system','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/system','system','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/taxonomy','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/taxonomy','taxonomy','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/text','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/text','text','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/token','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/token','token','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/update','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/update','update','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/user','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/user','user','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/index','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_index','a:0:{}','',3,2,1,'admin','admin','Index','t','','','a:0:{}',132,'','',-18,'modules/system/system.admin.inc'),('admin/modules','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',3,2,0,'','admin/modules','Modules','t','','','a:0:{}',6,'Extend site functionality.','',-2,'modules/system/system.admin.inc'),('admin/modules/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:6:\"module\";}','',7,3,1,'admin/modules','admin/modules','Install new module','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/modules/list','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',7,3,1,'admin/modules','admin/modules','List','t','','','a:0:{}',140,'','',0,'modules/system/system.admin.inc'),('admin/modules/list/confirm','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',15,4,0,'','admin/modules/list/confirm','List','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/modules/uninstall','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:24:\"system_modules_uninstall\";}','',7,3,1,'admin/modules','admin/modules','Uninstall','t','','','a:0:{}',132,'','',20,'modules/system/system.admin.inc'),('admin/modules/uninstall/confirm','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:24:\"system_modules_uninstall\";}','',15,4,0,'','admin/modules/uninstall/confirm','Uninstall','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/modules/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:6:\"module\";}','',7,3,1,'admin/modules','admin/modules','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/people','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:4:\"list\";}','',3,2,0,'','admin/people','People','t','','','a:0:{}',6,'Manage user accounts, roles, and permissions.','left',-4,'modules/user/user.admin.inc'),('admin/people/create','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:6:\"create\";}','',7,3,1,'admin/people','admin/people','Add user','t','','','a:0:{}',388,'','',0,'modules/user/user.admin.inc'),('admin/people/people','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:4:\"list\";}','',7,3,1,'admin/people','admin/people','List','t','','','a:0:{}',140,'Find and manage people interacting with your site.','',-10,'modules/user/user.admin.inc'),('admin/people/permissions','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:22:\"user_admin_permissions\";}','',7,3,1,'admin/people','admin/people','Permissions','t','','','a:0:{}',132,'Determine access to features by selecting permissions for roles.','',0,'modules/user/user.admin.inc'),('admin/people/permissions/list','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:22:\"user_admin_permissions\";}','',15,4,1,'admin/people/permissions','admin/people','Permissions','t','','','a:0:{}',140,'Determine access to features by selecting permissions for roles.','',-8,'modules/user/user.admin.inc'),('admin/people/permissions/roles','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:16:\"user_admin_roles\";}','',15,4,1,'admin/people/permissions','admin/people','Roles','t','','','a:0:{}',132,'List, edit, or add user roles.','',-5,'modules/user/user.admin.inc'),('admin/people/permissions/roles/delete/%','a:1:{i:5;s:14:\"user_role_load\";}','','user_role_edit_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:30:\"user_admin_role_delete_confirm\";i:1;i:5;}','',62,6,0,'','admin/people/permissions/roles/delete/%','Delete role','t','','','a:0:{}',6,'','',0,'modules/user/user.admin.inc'),('admin/people/permissions/roles/edit/%','a:1:{i:5;s:14:\"user_role_load\";}','','user_role_edit_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:15:\"user_admin_role\";i:1;i:5;}','',62,6,0,'','admin/people/permissions/roles/edit/%','Edit role','t','','','a:0:{}',6,'','',0,'modules/user/user.admin.inc'),('admin/reports','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','system_admin_menu_block_page','a:0:{}','',3,2,0,'','admin/reports','Reports','t','','','a:0:{}',6,'View reports, updates, and errors.','left',5,'modules/system/system.admin.inc'),('admin/reports/access-denied','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:13:\"access denied\";}','',7,3,0,'','admin/reports/access-denied','Top \'access denied\' errors','t','','','a:0:{}',6,'View \'access denied\' errors (403s).','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/dblog','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_overview','a:0:{}','',7,3,0,'','admin/reports/dblog','Recent log messages','t','','','a:0:{}',6,'View events that have recently been logged.','',-1,'modules/dblog/dblog.admin.inc'),('admin/reports/event/%','a:1:{i:3;N;}','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_event','a:1:{i:0;i:3;}','',14,4,0,'','admin/reports/event/%','Details','t','','','a:0:{}',6,'','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/fields','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','field_ui_fields_list','a:0:{}','',7,3,0,'','admin/reports/fields','Field list','t','','','a:0:{}',6,'Overview of fields on all entity types.','',0,'modules/field_ui/field_ui.admin.inc'),('admin/reports/fields/list','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','field_ui_fields_list','a:0:{}','',15,4,1,'admin/reports/fields','admin/reports/fields','List','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/reports/fields/views-fields','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_field_list','a:0:{}','',15,4,1,'admin/reports/fields','admin/reports/fields','Used in views','t','','','a:0:{}',132,'Overview of fields used in all views.','',0,'sites/all/modules/views/includes/admin.inc'),('admin/reports/page-not-found','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:14:\"page not found\";}','',7,3,0,'','admin/reports/page-not-found','Top \'page not found\' errors','t','','','a:0:{}',6,'View \'page not found\' errors (404s).','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/search','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:6:\"search\";}','',7,3,0,'','admin/reports/search','Top search phrases','t','','','a:0:{}',6,'View most popular search phrases.','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/status','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_status','a:0:{}','',7,3,0,'','admin/reports/status','Status report','t','','','a:0:{}',6,'Get a status report about your site\'s operation and any detected problems.','',-60,'modules/system/system.admin.inc'),('admin/reports/status/php','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_php','a:0:{}','',15,4,0,'','admin/reports/status/php','PHP','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/reports/status/rebuild','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','drupal_get_form','a:1:{i:0;s:30:\"node_configure_rebuild_confirm\";}','',15,4,0,'','admin/reports/status/rebuild','Rebuild permissions','t','','','a:0:{}',0,'','',0,'modules/node/node.admin.inc'),('admin/reports/status/run-cron','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_run_cron','a:0:{}','',15,4,0,'','admin/reports/status/run-cron','Run cron','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/reports/updates','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','module_filter_update_status','a:0:{}','',7,3,0,'','admin/reports/updates','Available updates','t','','','a:0:{}',6,'Get a status report about available updates for your installed modules and themes.','',-50,'sites/all/modules/module_filter/module_filter.pages.inc'),('admin/reports/updates/check','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','update_manual_status','a:0:{}','',15,4,0,'','admin/reports/updates/check','Manual update check','t','','','a:0:{}',0,'','',0,'modules/update/update.fetch.inc'),('admin/reports/updates/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:6:\"report\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Install new module or theme','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/reports/updates/list','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','module_filter_update_status','a:0:{}','',15,4,1,'admin/reports/updates','admin/reports/updates','List','t','','','a:0:{}',140,'','',0,'sites/all/modules/module_filter/module_filter.pages.inc'),('admin/reports/updates/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:15:\"update_settings\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Settings','t','','','a:0:{}',132,'','',50,'modules/update/update.settings.inc'),('admin/reports/updates/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:6:\"report\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/reports/views-plugins','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_plugin_list','a:0:{}','',7,3,0,'','admin/reports/views-plugins','Views plugins','t','','','a:0:{}',6,'Overview of plugins used in all views.','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',3,2,0,'','admin/structure','Structure','t','','','a:0:{}',6,'Administer blocks, content types, menus, etc.','right',-8,'modules/system/system.admin.inc'),('admin/structure/block','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','block_admin_display','a:1:{i:0;s:8:\"pinteros\";}','',7,3,0,'','admin/structure/block','Blocks','t','','','a:0:{}',6,'Configure what block content appears in your site\'s sidebars and other regions.','',0,'modules/block/block.admin.inc'),('admin/structure/block-types','','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','bean_admin_ui_admin_page','a:0:{}','',7,3,0,'','admin/structure/block-types','Block types','t','','','a:0:{}',6,'Manage block types, including fields, settings, etc.','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/add','','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:1:{i:0;s:23:\"bean_admin_ui_type_form\";}','',15,4,1,'admin/structure/block-types','admin/structure/block-types','Add block type','t','','','a:0:{}',388,'','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/list','','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','bean_admin_ui_admin_page','a:0:{}','',15,4,1,'admin/structure/block-types','admin/structure/block-types','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/manage/%','a:1:{i:4;s:14:\"bean_type_load\";}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:2:{i:0;s:23:\"bean_admin_ui_type_form\";i:1;i:4;}','',30,5,0,'','admin/structure/block-types/manage/%','Edit block type','bean_admin_ui_page_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/manage/%/delete','a:1:{i:4;s:14:\"bean_type_load\";}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:3:{i:0;s:29:\"bean_admin_ui_type_op_confirm\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/block-types/manage/%/delete','Delete','t','','','a:0:{}',6,'','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/manage/%/edit','a:1:{i:4;s:14:\"bean_type_load\";}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:2:{i:0;s:23:\"bean_admin_ui_type_form\";i:1;i:4;}','',61,6,1,'admin/structure/block-types/manage/%','admin/structure/block-types/manage/%','Edit','t','','','a:0:{}',140,'','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/manage/%/revert','a:1:{i:4;s:14:\"bean_type_load\";}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:3:{i:0;s:29:\"bean_admin_ui_type_op_confirm\";i:1;s:6:\"revert\";i:2;i:4;}','',61,6,0,'','admin/structure/block-types/manage/%/revert','Delete','t','','','a:0:{}',6,'','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',15,4,1,'admin/structure/block','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/bartik','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:6:\"bartik\";}','',31,5,0,'','admin/structure/block/demo/bartik','Bartik','t','','_block_custom_theme','a:1:{i:0;s:6:\"bartik\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/garland','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:7:\"garland\";}','',31,5,0,'','admin/structure/block/demo/garland','Garland','t','','_block_custom_theme','a:1:{i:0;s:7:\"garland\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/pinteros','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:39:\"sites/all/themes/pinteros/pinteros.info\";s:4:\"name\";s:8:\"pinteros\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:17:{s:4:\"name\";s:8:\"Pinteros\";s:11:\"description\";s:23:\"Theme for the Companies\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:53:\"sites/all/themes/pinteros/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:59:\"sites/all/themes/pinteros/bootstrap/css/bootstrap-theme.css\";s:12:\"css/base.css\";s:38:\"sites/all/themes/pinteros/css/base.css\";s:12:\"css/html.css\";s:38:\"sites/all/themes/pinteros/css/html.css\";s:12:\"css/menu.css\";s:38:\"sites/all/themes/pinteros/css/menu.css\";s:13:\"css/block.css\";s:39:\"sites/all/themes/pinteros/css/block.css\";s:12:\"css/view.css\";s:38:\"sites/all/themes/pinteros/css/view.css\";s:23:\"css/menu-off-canvas.css\";s:49:\"sites/all/themes/pinteros/css/menu-off-canvas.css\";s:12:\"css/page.css\";s:38:\"sites/all/themes/pinteros/css/page.css\";s:32:\"css/screens/theme-responsive.css\";s:58:\"sites/all/themes/pinteros/css/screens/theme-responsive.css\";}s:33:\"only screen and (max-width:991px)\";a:1:{s:19:\"css/mobile-menu.css\";s:45:\"sites/all/themes/pinteros/css/mobile-menu.css\";}}s:7:\"scripts\";a:7:{s:25:\"bootstrap/js/bootstrap.js\";s:51:\"sites/all/themes/pinteros/bootstrap/js/bootstrap.js\";s:20:\"js/jquery.masonry.js\";s:46:\"sites/all/themes/pinteros/js/jquery.masonry.js\";s:19:\"js/jquery.cookie.js\";s:45:\"sites/all/themes/pinteros/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:52:\"sites/all/themes/pinteros/js/jquery.smooth-scroll.js\";s:17:\"js/mobile_menu.js\";s:43:\"sites/all/themes/pinteros/js/mobile_menu.js\";s:13:\"js/weebpal.js\";s:39:\"sites/all/themes/pinteros/js/weebpal.js\";s:14:\"js/pinteros.js\";s:40:\"sites/all/themes/pinteros/js/pinteros.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:18:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:9:\"main_menu\";s:9:\"Main Menu\";s:14:\"secondary_menu\";s:14:\"Secondary Menu\";s:9:\"left_menu\";s:9:\"Left Menu\";s:4:\"help\";s:4:\"Help\";s:3:\"map\";s:3:\"Map\";s:8:\"featured\";s:8:\"Featured\";s:11:\"highlighted\";s:11:\"Highlighted\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:3:{s:19:\"sidebar_first_width\";s:1:\"5\";s:20:\"sidebar_second_width\";s:1:\"0\";s:16:\"pinteros_display\";s:25:\"bootstrap-default-display\";}s:5:\"skins\";a:3:{s:9:\"dark-blue\";s:9:\"Dark blue\";s:4:\"blue\";s:4:\"Blue\";s:6:\"orange\";s:6:\"Orange\";}s:10:\"screenshot\";s:40:\"sites/all/themes/pinteros/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499929802;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:53:\"sites/all/themes/pinteros/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:59:\"sites/all/themes/pinteros/bootstrap/css/bootstrap-theme.css\";s:12:\"css/base.css\";s:38:\"sites/all/themes/pinteros/css/base.css\";s:12:\"css/html.css\";s:38:\"sites/all/themes/pinteros/css/html.css\";s:12:\"css/menu.css\";s:38:\"sites/all/themes/pinteros/css/menu.css\";s:13:\"css/block.css\";s:39:\"sites/all/themes/pinteros/css/block.css\";s:12:\"css/view.css\";s:38:\"sites/all/themes/pinteros/css/view.css\";s:23:\"css/menu-off-canvas.css\";s:49:\"sites/all/themes/pinteros/css/menu-off-canvas.css\";s:12:\"css/page.css\";s:38:\"sites/all/themes/pinteros/css/page.css\";s:32:\"css/screens/theme-responsive.css\";s:58:\"sites/all/themes/pinteros/css/screens/theme-responsive.css\";}s:33:\"only screen and (max-width:991px)\";a:1:{s:19:\"css/mobile-menu.css\";s:45:\"sites/all/themes/pinteros/css/mobile-menu.css\";}}s:7:\"scripts\";a:7:{s:25:\"bootstrap/js/bootstrap.js\";s:51:\"sites/all/themes/pinteros/bootstrap/js/bootstrap.js\";s:20:\"js/jquery.masonry.js\";s:46:\"sites/all/themes/pinteros/js/jquery.masonry.js\";s:19:\"js/jquery.cookie.js\";s:45:\"sites/all/themes/pinteros/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:52:\"sites/all/themes/pinteros/js/jquery.smooth-scroll.js\";s:17:\"js/mobile_menu.js\";s:43:\"sites/all/themes/pinteros/js/mobile_menu.js\";s:13:\"js/weebpal.js\";s:39:\"sites/all/themes/pinteros/js/weebpal.js\";s:14:\"js/pinteros.js\";s:40:\"sites/all/themes/pinteros/js/pinteros.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:8:\"pinteros\";}','',31,5,0,'','admin/structure/block/demo/pinteros','Pinteros','t','','_block_custom_theme','a:1:{i:0;s:8:\"pinteros\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/seven','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:5:\"seven\";}','',31,5,0,'','admin/structure/block/demo/seven','Seven','t','','_block_custom_theme','a:1:{i:0;s:5:\"seven\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/stark','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:5:\"stark\";}','',31,5,0,'','admin/structure/block/demo/stark','Stark','t','','_block_custom_theme','a:1:{i:0;s:5:\"stark\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/we_backend','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/we_backend/we_backend.info\";s:4:\"name\";s:10:\"we_backend\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:10:\"we_backend\";}','',31,5,0,'','admin/structure/block/demo/we_backend','WeebPal Backend theme','t','','_block_custom_theme','a:1:{i:0;s:10:\"we_backend\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/bartik','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:6:\"bartik\";}','',31,5,1,'admin/structure/block','admin/structure/block','Bartik','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/bartik/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/bartik','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/garland','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:7:\"garland\";}','',31,5,1,'admin/structure/block','admin/structure/block','Garland','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/garland/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/garland','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/pinteros','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:39:\"sites/all/themes/pinteros/pinteros.info\";s:4:\"name\";s:8:\"pinteros\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:17:{s:4:\"name\";s:8:\"Pinteros\";s:11:\"description\";s:23:\"Theme for the Companies\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:53:\"sites/all/themes/pinteros/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:59:\"sites/all/themes/pinteros/bootstrap/css/bootstrap-theme.css\";s:12:\"css/base.css\";s:38:\"sites/all/themes/pinteros/css/base.css\";s:12:\"css/html.css\";s:38:\"sites/all/themes/pinteros/css/html.css\";s:12:\"css/menu.css\";s:38:\"sites/all/themes/pinteros/css/menu.css\";s:13:\"css/block.css\";s:39:\"sites/all/themes/pinteros/css/block.css\";s:12:\"css/view.css\";s:38:\"sites/all/themes/pinteros/css/view.css\";s:23:\"css/menu-off-canvas.css\";s:49:\"sites/all/themes/pinteros/css/menu-off-canvas.css\";s:12:\"css/page.css\";s:38:\"sites/all/themes/pinteros/css/page.css\";s:32:\"css/screens/theme-responsive.css\";s:58:\"sites/all/themes/pinteros/css/screens/theme-responsive.css\";}s:33:\"only screen and (max-width:991px)\";a:1:{s:19:\"css/mobile-menu.css\";s:45:\"sites/all/themes/pinteros/css/mobile-menu.css\";}}s:7:\"scripts\";a:7:{s:25:\"bootstrap/js/bootstrap.js\";s:51:\"sites/all/themes/pinteros/bootstrap/js/bootstrap.js\";s:20:\"js/jquery.masonry.js\";s:46:\"sites/all/themes/pinteros/js/jquery.masonry.js\";s:19:\"js/jquery.cookie.js\";s:45:\"sites/all/themes/pinteros/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:52:\"sites/all/themes/pinteros/js/jquery.smooth-scroll.js\";s:17:\"js/mobile_menu.js\";s:43:\"sites/all/themes/pinteros/js/mobile_menu.js\";s:13:\"js/weebpal.js\";s:39:\"sites/all/themes/pinteros/js/weebpal.js\";s:14:\"js/pinteros.js\";s:40:\"sites/all/themes/pinteros/js/pinteros.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:18:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:9:\"main_menu\";s:9:\"Main Menu\";s:14:\"secondary_menu\";s:14:\"Secondary Menu\";s:9:\"left_menu\";s:9:\"Left Menu\";s:4:\"help\";s:4:\"Help\";s:3:\"map\";s:3:\"Map\";s:8:\"featured\";s:8:\"Featured\";s:11:\"highlighted\";s:11:\"Highlighted\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:3:{s:19:\"sidebar_first_width\";s:1:\"5\";s:20:\"sidebar_second_width\";s:1:\"0\";s:16:\"pinteros_display\";s:25:\"bootstrap-default-display\";}s:5:\"skins\";a:3:{s:9:\"dark-blue\";s:9:\"Dark blue\";s:4:\"blue\";s:4:\"Blue\";s:6:\"orange\";s:6:\"Orange\";}s:10:\"screenshot\";s:40:\"sites/all/themes/pinteros/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499929802;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:53:\"sites/all/themes/pinteros/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:59:\"sites/all/themes/pinteros/bootstrap/css/bootstrap-theme.css\";s:12:\"css/base.css\";s:38:\"sites/all/themes/pinteros/css/base.css\";s:12:\"css/html.css\";s:38:\"sites/all/themes/pinteros/css/html.css\";s:12:\"css/menu.css\";s:38:\"sites/all/themes/pinteros/css/menu.css\";s:13:\"css/block.css\";s:39:\"sites/all/themes/pinteros/css/block.css\";s:12:\"css/view.css\";s:38:\"sites/all/themes/pinteros/css/view.css\";s:23:\"css/menu-off-canvas.css\";s:49:\"sites/all/themes/pinteros/css/menu-off-canvas.css\";s:12:\"css/page.css\";s:38:\"sites/all/themes/pinteros/css/page.css\";s:32:\"css/screens/theme-responsive.css\";s:58:\"sites/all/themes/pinteros/css/screens/theme-responsive.css\";}s:33:\"only screen and (max-width:991px)\";a:1:{s:19:\"css/mobile-menu.css\";s:45:\"sites/all/themes/pinteros/css/mobile-menu.css\";}}s:7:\"scripts\";a:7:{s:25:\"bootstrap/js/bootstrap.js\";s:51:\"sites/all/themes/pinteros/bootstrap/js/bootstrap.js\";s:20:\"js/jquery.masonry.js\";s:46:\"sites/all/themes/pinteros/js/jquery.masonry.js\";s:19:\"js/jquery.cookie.js\";s:45:\"sites/all/themes/pinteros/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:52:\"sites/all/themes/pinteros/js/jquery.smooth-scroll.js\";s:17:\"js/mobile_menu.js\";s:43:\"sites/all/themes/pinteros/js/mobile_menu.js\";s:13:\"js/weebpal.js\";s:39:\"sites/all/themes/pinteros/js/weebpal.js\";s:14:\"js/pinteros.js\";s:40:\"sites/all/themes/pinteros/js/pinteros.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:8:\"pinteros\";}','',31,5,1,'admin/structure/block','admin/structure/block','Pinteros','t','','','a:0:{}',140,'','',-10,'modules/block/block.admin.inc'),('admin/structure/block/list/seven','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:5:\"seven\";}','',31,5,1,'admin/structure/block','admin/structure/block','Seven','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/seven/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/seven','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/stark','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:5:\"stark\";}','',31,5,1,'admin/structure/block','admin/structure/block','Stark','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/stark/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/stark','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/we_backend','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/we_backend/we_backend.info\";s:4:\"name\";s:10:\"we_backend\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:10:\"we_backend\";}','',31,5,1,'admin/structure/block','admin/structure/block','WeebPal Backend theme','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/we_backend/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/we_backend','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:21:\"block_admin_configure\";i:1;i:4;i:2;i:5;}','',60,6,0,'','admin/structure/block/manage/%/%','Configure block','t','','','a:0:{}',6,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%/configure','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:21:\"block_admin_configure\";i:1;i:4;i:2;i:5;}','',121,7,2,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Configure block','t','','','a:0:{}',140,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%/delete','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:25:\"block_custom_block_delete\";i:1;i:4;i:2;i:5;}','',121,7,0,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Delete block','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/contact','','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','contact_category_list','a:0:{}','',7,3,0,'','admin/structure/contact','Contact form','t','','','a:0:{}',6,'Create a system contact form and set up categories for the form to use.','',0,'modules/contact/contact.admin.inc'),('admin/structure/contact/add','','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','drupal_get_form','a:1:{i:0;s:26:\"contact_category_edit_form\";}','',15,4,1,'admin/structure/contact','admin/structure/contact','Add category','t','','','a:0:{}',388,'','',1,'modules/contact/contact.admin.inc'),('admin/structure/contact/delete/%','a:1:{i:4;s:12:\"contact_load\";}','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','drupal_get_form','a:2:{i:0;s:28:\"contact_category_delete_form\";i:1;i:4;}','',30,5,0,'','admin/structure/contact/delete/%','Delete contact','t','','','a:0:{}',6,'','',0,'modules/contact/contact.admin.inc'),('admin/structure/contact/edit/%','a:1:{i:4;s:12:\"contact_load\";}','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','drupal_get_form','a:2:{i:0;s:26:\"contact_category_edit_form\";i:1;i:4;}','',30,5,0,'','admin/structure/contact/edit/%','Edit contact category','t','','','a:0:{}',6,'','',0,'modules/contact/contact.admin.inc'),('admin/structure/context','','','ctools_export_ui_task_access','a:2:{i:0;s:7:\"context\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:7:\"context\";i:1;s:4:\"list\";}','',7,3,0,'','admin/structure/context','Context','t','','','a:0:{}',6,'Associate menus, views, blocks, etc. with different contexts to structure your site.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/add','','','ctools_export_ui_task_access','a:2:{i:0;s:7:\"context\";i:1;s:3:\"add\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:7:\"context\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/context','admin/structure/context','Add','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/import','','','ctools_export_ui_task_access','a:2:{i:0;s:7:\"context\";i:1;s:6:\"import\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:7:\"context\";i:1;s:6:\"import\";}','',15,4,1,'admin/structure/context','admin/structure/context','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list','','','ctools_export_ui_task_access','a:2:{i:0;s:7:\"context\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:7:\"context\";i:1;s:4:\"list\";}','',15,4,1,'admin/structure/context','admin/structure/context','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:4:\"edit\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:4:\"edit\";i:2;i:4;}','',30,5,0,'','admin/structure/context/list/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/clone','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:5:\"clone\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:5:\"clone\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/clone','Clone','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/delete','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:6:\"delete\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/disable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:7:\"disable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:7:\"disable\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/edit','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:4:\"edit\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,1,'admin/structure/context/list/%','admin/structure/context/list/%','Edit','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/enable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:6:\"enable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:6:\"enable\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/export','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:6:\"export\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:6:\"export\";i:2;i:4;}','',61,6,1,'admin/structure/context/list/%','admin/structure/context/list/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/revert','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:6:\"revert\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/revert','Revert','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/settings','','','user_access','a:1:{i:0;s:19:\"administer contexts\";}','drupal_get_form','a:1:{i:0;s:19:\"context_ui_settings\";}','',15,4,1,'admin/structure/context','admin/structure/context','Settings','t','','','a:0:{}',132,'','',3,''),('admin/structure/forum','','','user_access','a:1:{i:0;s:17:\"administer forums\";}','drupal_get_form','a:1:{i:0;s:14:\"forum_overview\";}','',7,3,0,'','admin/structure/forum','Forums','t','','','a:0:{}',6,'Control forum hierarchy settings.','',0,'modules/forum/forum.admin.inc'),('admin/structure/forum/add/container','','','user_access','a:1:{i:0;s:17:\"administer forums\";}','forum_form_main','a:1:{i:0;s:9:\"container\";}','',31,5,1,'admin/structure/forum','admin/structure/forum','Add container','t','','','a:0:{}',388,'','',0,'modules/forum/forum.admin.inc'),('admin/structure/forum/add/forum','','','user_access','a:1:{i:0;s:17:\"administer forums\";}','forum_form_main','a:1:{i:0;s:5:\"forum\";}','',31,5,1,'admin/structure/forum','admin/structure/forum','Add forum','t','','','a:0:{}',388,'','',0,'modules/forum/forum.admin.inc'),('admin/structure/forum/edit/container/%','a:1:{i:5;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:17:\"administer forums\";}','forum_form_main','a:2:{i:0;s:9:\"container\";i:1;i:5;}','',62,6,0,'','admin/structure/forum/edit/container/%','Edit container','t','','','a:0:{}',6,'','',0,'modules/forum/forum.admin.inc'),('admin/structure/forum/edit/forum/%','a:1:{i:5;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:17:\"administer forums\";}','forum_form_main','a:2:{i:0;s:5:\"forum\";i:1;i:5;}','',62,6,0,'','admin/structure/forum/edit/forum/%','Edit forum','t','','','a:0:{}',6,'','',0,'modules/forum/forum.admin.inc'),('admin/structure/forum/list','','','user_access','a:1:{i:0;s:17:\"administer forums\";}','drupal_get_form','a:1:{i:0;s:14:\"forum_overview\";}','',15,4,1,'admin/structure/forum','admin/structure/forum','List','t','','','a:0:{}',140,'','',-10,'modules/forum/forum.admin.inc'),('admin/structure/forum/settings','','','user_access','a:1:{i:0;s:17:\"administer forums\";}','drupal_get_form','a:1:{i:0;s:20:\"forum_admin_settings\";}','',15,4,1,'admin/structure/forum','admin/structure/forum','Settings','t','','','a:0:{}',132,'','',5,'modules/forum/forum.admin.inc'),('admin/structure/megamenus','','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','drupal_get_form','a:1:{i:0;s:24:\"megamenus_admin_settings\";}','',7,3,0,'','admin/structure/megamenus','Mega Menus','t','','','a:0:{}',6,'Mega Menus','',0,'sites/all/modules/megamenus/megamenus.admin.inc'),('admin/structure/megamenus/%','a:1:{i:3;s:24:\"megamenus_menu_name_load\";}','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','drupal_get_form','a:2:{i:0;s:24:\"megamenus_configure_form\";i:1;i:3;}','',14,4,0,'','admin/structure/megamenus/%','Config Mega Menus','t','','','a:0:{}',0,'Config Mega Menus','',0,'sites/all/modules/megamenus/megamenus.admin.inc'),('admin/structure/megamenus/%/config','a:1:{i:3;s:24:\"megamenus_menu_name_load\";}','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','drupal_get_form','a:2:{i:0;s:24:\"megamenus_configure_form\";i:1;i:3;}','',29,5,3,'admin/structure/megamenus/%','admin/structure/megamenus/%','Config Mega Menus','t','','','a:0:{}',140,'','',-10,'sites/all/modules/megamenus/megamenus.admin.inc'),('admin/structure/megamenus/%/convert','a:1:{i:3;s:24:\"megamenus_menu_name_load\";}','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','drupal_get_form','a:2:{i:0;s:38:\"megamenus_convert_from_tb_menu_confirm\";i:1;i:3;}','',29,5,0,'','admin/structure/megamenus/%/convert','Import from TB MegaMenu','t','','','a:0:{}',0,'Convert config TB MegaMenu to MegaMenu-VX','',0,'sites/all/modules/megamenus/megamenus.admin.inc'),('admin/structure/megamenus/load_block','','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','megamenus_ajax_load_block','a:0:{}','',15,4,0,'','admin/structure/megamenus/load_block','Request','t','','','a:0:{}',20,'','',0,'sites/all/modules/megamenus/megamenus.ajax.inc'),('admin/structure/megamenus/load_menu','','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','megamenus_ajax_load_menu','a:0:{}','',15,4,0,'','admin/structure/megamenus/load_menu','Request','t','','','a:0:{}',20,'','',0,'sites/all/modules/megamenus/megamenus.ajax.inc'),('admin/structure/megamenus/save_config','','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','megamenus_ajax_save_config','a:0:{}','',15,4,0,'','admin/structure/megamenus/save_config','Request','t','','','a:0:{}',20,'','',0,'sites/all/modules/megamenus/megamenus.ajax.inc'),('admin/structure/menu','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_overview_page','a:0:{}','',7,3,0,'','admin/structure/menu','Menus','t','','','a:0:{}',6,'Add new menus to your site, edit existing menus, and rename and reorganize menu links.','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/add','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:14:\"menu_edit_menu\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/menu','admin/structure/menu','Add menu','t','','','a:0:{}',388,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/delete','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_item_delete_page','a:1:{i:0;i:4;}','',61,6,0,'','admin/structure/menu/item/%/delete','Delete menu link','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/edit','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:4:{i:0;s:14:\"menu_edit_item\";i:1;s:4:\"edit\";i:2;i:4;i:3;N;}','',61,6,0,'','admin/structure/menu/item/%/edit','Edit menu link','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/reset','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:23:\"menu_reset_item_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/menu/item/%/reset','Reset menu link','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/list','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_overview_page','a:0:{}','',15,4,1,'admin/structure/menu','admin/structure/menu','List menus','t','','','a:0:{}',140,'','',-10,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:18:\"menu_overview_form\";i:1;i:4;}','',30,5,0,'','admin/structure/menu/manage/%','Customize menu','menu_overview_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/add','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:4:{i:0;s:14:\"menu_edit_item\";i:1;s:3:\"add\";i:2;N;i:3;i:4;}','',61,6,1,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Add link','t','','','a:0:{}',388,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/delete','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_delete_menu_page','a:1:{i:0;i:4;}','',61,6,0,'','admin/structure/menu/manage/%/delete','Delete menu','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/edit','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:3:{i:0;s:14:\"menu_edit_menu\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,3,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Edit menu','t','','','a:0:{}',132,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/list','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:18:\"menu_overview_form\";i:1;i:4;}','',61,6,3,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','List links','t','','','a:0:{}',140,'','',-10,'modules/menu/menu.admin.inc'),('admin/structure/menu/parents','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_parent_options_js','a:0:{}','',15,4,0,'','admin/structure/menu/parents','Parent menu items','t','','','a:0:{}',0,'','',0,''),('admin/structure/menu/settings','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:1:{i:0;s:14:\"menu_configure\";}','',15,4,1,'admin/structure/menu','admin/structure/menu','Settings','t','','','a:0:{}',132,'','',5,'modules/menu/menu.admin.inc'),('admin/structure/migrate_content','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:31:\"we_content_migration_admin_form\";}','',7,3,0,'','admin/structure/migrate_content','Migrate Content','t','','','a:0:{}',6,'Manage Migrate Content.','',0,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/create','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:32:\"we_content_migration_export_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Create','t','','','a:0:{}',132,'Migrate Content Create.','',10,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/import-from-upload','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:44:\"we_content_migration_import_from_upload_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Import','t','','','a:0:{}',132,'Upload zip file to import.','',11,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/manage','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:31:\"we_content_migration_admin_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Manage','t','','','a:0:{}',140,'Enable and disable entity bundle.','',0,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:34:\"we_content_migration_settings_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Settings','t','','','a:0:{}',132,'Adjust settings for using migrate content module.','',11,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/taxonomy','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:30:\"taxonomy_overview_vocabularies\";}','',7,3,0,'','admin/structure/taxonomy','Taxonomy','t','','','a:0:{}',6,'Manage tagging, categorization, and classification of your content.','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"taxonomy_overview_terms\";i:1;i:3;}','',14,4,0,'','admin/structure/taxonomy/%','','entity_label','a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;i:3;}','','a:0:{}',6,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/add','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:3:{i:0;s:18:\"taxonomy_form_term\";i:1;a:0:{}i:2;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Add term','t','','','a:0:{}',388,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/display','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:7:\"default\";}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/default','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:7:\"default\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/full','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:4:\"full\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Taxonomy term page','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/token','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:5:\"token\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/edit','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:24:\"taxonomy_form_vocabulary\";i:1;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Edit','t','','','a:0:{}',132,'','',-10,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/fields','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',58,6,0,'','admin/structure/taxonomy/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/delete','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/edit','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/field-settings','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/widget-type','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/list','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"taxonomy_overview_terms\";i:1;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','List','t','','','a:0:{}',140,'','',-20,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/add','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:24:\"taxonomy_form_vocabulary\";}','',15,4,1,'admin/structure/taxonomy','admin/structure/taxonomy','Add vocabulary','t','','','a:0:{}',388,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/list','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:30:\"taxonomy_overview_vocabularies\";}','',15,4,1,'admin/structure/taxonomy','admin/structure/taxonomy','List','t','','','a:0:{}',140,'','',-10,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/tb-megamenu','','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','drupal_get_form','a:1:{i:0;s:26:\"tb_megamenu_admin_settings\";}','',7,3,0,'','admin/structure/tb-megamenu','TB Mega Menu','t','','','a:0:{}',6,'TB Mega Menu','',0,'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),('admin/structure/tb-megamenu/%','a:1:{i:3;s:26:\"tb_megamenu_menu_name_load\";}','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','drupal_get_form','a:2:{i:0;s:26:\"tb_megamenu_configure_form\";i:1;i:3;}','',14,4,0,'','admin/structure/tb-megamenu/%','Config TB Mega Menu','t','','','a:0:{}',0,'Config TB Mega Menu','',0,'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),('admin/structure/tb-megamenu/%/config','a:1:{i:3;s:26:\"tb_megamenu_menu_name_load\";}','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','drupal_get_form','a:2:{i:0;s:26:\"tb_megamenu_configure_form\";i:1;i:3;}','',29,5,3,'admin/structure/tb-megamenu/%','admin/structure/tb-megamenu/%','Config TB Mega Menu','t','','','a:0:{}',140,'','',-10,'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),('admin/structure/tb-megamenu/request','','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','tb_megamenu_request','a:0:{}','',15,4,0,'','admin/structure/tb-megamenu/request','Request','t','','','a:0:{}',20,'','',0,'sites/all/modules/tb_megamenu/tb_megamenu.ajax.inc'),('admin/structure/types','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','node_overview_types','a:0:{}','',7,3,0,'','admin/structure/types','Content types','t','','','a:0:{}',6,'Manage content types, including default status, front page promotion, comment settings, etc.','',0,'modules/node/content_types.inc'),('admin/structure/types/add','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:1:{i:0;s:14:\"node_type_form\";}','',15,4,1,'admin/structure/types','admin/structure/types','Add content type','t','','','a:0:{}',388,'','',0,'modules/node/content_types.inc'),('admin/structure/types/list','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','node_overview_types','a:0:{}','',15,4,1,'admin/structure/types','admin/structure/types','List','t','','','a:0:{}',140,'','',-10,'modules/node/content_types.inc'),('admin/structure/types/manage/%','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:14:\"node_type_form\";i:1;i:4;}','',30,5,0,'','admin/structure/types/manage/%','Edit content type','node_type_page_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/comment/display','a:1:{i:4;s:22:\"comment_node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:7:\"default\";}','',123,7,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Comment display','t','','','a:0:{}',132,'','',4,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/default','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:7:\"default\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/full','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:4:\"full\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Full comment','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/token','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:5:\"token\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields','a:1:{i:4;s:22:\"comment_node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:7:\"comment\";i:2;i:4;}','',123,7,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Comment fields','t','','','a:0:{}',132,'','',3,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:7;}','',246,8,0,'','admin/structure/types/manage/%/comment/fields/%','','field_ui_menu_title','a:1:{i:0;i:7;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/delete','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/edit','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/field-settings','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/widget-type','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/delete','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:24:\"node_type_delete_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/types/manage/%/delete','Delete','t','','','a:0:{}',6,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/display','a:1:{i:4;s:14:\"node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:7:\"default\";}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/default','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:7:\"default\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/full','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:4:\"full\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Full content','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/rss','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:3:\"rss\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:3:\"rss\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','RSS','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/search_index','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:12:\"search_index\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:12:\"search_index\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Search index','t','','','a:0:{}',132,'','',3,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/search_result','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:13:\"search_result\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:13:\"search_result\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Search result highlighting input','t','','','a:0:{}',132,'','',4,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/teaser','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:6:\"teaser\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:6:\"teaser\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Teaser','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/token','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:5:\"token\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Tokens','t','','','a:0:{}',132,'','',5,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/edit','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:14:\"node_type_form\";i:1;i:4;}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Edit','t','','','a:0:{}',140,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/fields','a:1:{i:4;s:14:\"node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:4:\"node\";i:2;i:4;}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',122,7,0,'','admin/structure/types/manage/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/delete','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/edit','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/field-settings','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/widget-type','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/views','','','ctools_export_ui_task_access','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','',7,3,0,'','admin/structure/views','Views','t','','','a:0:{}',6,'Manage customized lists of content.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/add','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_add_page','a:0:{}','',15,4,1,'admin/structure/views','admin/structure/views','Add new view','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/add-template','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_add_template_page','a:0:{}','',15,4,1,'admin/structure/views','admin/structure/views','Add view from template','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/ajax/%/%','a:2:{i:4;N;i:5;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_form','a:3:{i:0;b:1;i:1;i:4;i:2;i:5;}','ajax_deliver',60,6,0,'','admin/structure/views/ajax/%/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/ajax/preview/%/%','a:2:{i:5;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_preview','a:2:{i:0;i:5;i:1;i:6;}','ajax_deliver',124,7,0,'','admin/structure/views/ajax/preview/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/import','','','views_import_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:20:\"views_ui_import_page\";}','',15,4,1,'admin/structure/views','admin/structure/views','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/list','','','ctools_export_ui_task_access','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','',15,4,1,'admin/structure/views','admin/structure/views','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/nojs/%/%','a:2:{i:4;N;i:5;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_form','a:3:{i:0;b:0;i:1;i:4;i:2;i:5;}','',60,6,0,'','admin/structure/views/nojs/%/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/nojs/preview/%/%','a:2:{i:5;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_preview','a:2:{i:0;i:5;i:1;i:6;}','',124,7,0,'','admin/structure/views/nojs/preview/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:29:\"views_ui_admin_settings_basic\";}','',15,4,1,'admin/structure/views','admin/structure/views','Settings','t','','','a:0:{}',132,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings/advanced','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:32:\"views_ui_admin_settings_advanced\";}','',31,5,1,'admin/structure/views/settings','admin/structure/views','Advanced','t','','','a:0:{}',132,'','',1,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings/basic','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:29:\"views_ui_admin_settings_basic\";}','',31,5,1,'admin/structure/views/settings','admin/structure/views','Basic','t','','','a:0:{}',140,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/template/%/add','a:1:{i:4;N;}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:12:\"add_template\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:12:\"add_template\";i:2;i:4;}','',61,6,0,'','admin/structure/views/template/%/add','Add from template','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_edit_page','a:1:{i:0;i:4;}','',30,5,0,'','admin/structure/views/view/%','','views_ui_edit_page_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/break-lock','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:2:{i:0;s:27:\"views_ui_break_lock_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/views/view/%/break-lock','Break lock','t','','','a:0:{}',4,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/clone','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:5:\"clone\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:5:\"clone\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/clone','Clone','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/delete','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/delete','Delete','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/disable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:7:\"disable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:7:\"disable\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/edit','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_edit_page','a:1:{i:0;i:4;}','',61,6,3,'admin/structure/views/view/%','admin/structure/views/view/%','Edit view','t','','ajax_base_page_theme','a:0:{}',140,'','',-10,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/edit/%/ajax','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_get_form','a:3:{i:0;s:18:\"views_ui_edit_form\";i:1;i:4;i:2;i:6;}','ajax_deliver',245,8,0,'','admin/structure/views/view/%/edit/%/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/enable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"enable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"enable\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/export','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"export\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"export\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/export','Export','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/preview/%','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_build_preview','a:2:{i:0;i:4;i:1;i:6;}','',122,7,3,'','admin/structure/views/view/%/preview/%','','t','','','a:0:{}',4,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/preview/%/ajax','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_build_preview','a:2:{i:0;i:4;i:1;i:6;}','ajax_deliver',245,8,0,'','admin/structure/views/view/%/preview/%/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/revert','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"revert\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/revert','Revert','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/tasks','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',3,2,1,'admin','admin','Tasks','t','','','a:0:{}',140,'','',-20,'modules/system/system.admin.inc'),('admin/update/ready','','','update_manager_access','a:0:{}','drupal_get_form','a:1:{i:0;s:32:\"update_manager_update_ready_form\";}','',7,3,0,'','admin/update/ready','Ready to update','t','','','a:0:{}',0,'','',0,'modules/update/update.manager.inc'),('admin/views/ajax/autocomplete/tag','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_autocomplete_tag','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/tag','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/views/ajax/autocomplete/taxonomy','','','user_access','a:1:{i:0;s:14:\"access content\";}','views_ajax_autocomplete_taxonomy','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/taxonomy','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/ajax.inc'),('admin/views/ajax/autocomplete/user','','','user_access','a:1:{i:0;s:20:\"access user profiles\";}','views_ajax_autocomplete_user','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/user','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/ajax.inc'),('admin_menu/flush-cache','','','user_access','a:1:{i:0;s:12:\"flush caches\";}','admin_menu_flush_cache','a:0:{}','',3,2,0,'','admin_menu/flush-cache','','t','','','a:0:{}',0,'','',0,'sites/all/modules/admin_menu/admin_menu.inc'),('batch','','','1','a:0:{}','system_batch_page','a:0:{}','',1,1,0,'','batch','','t','','_system_batch_theme','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('block/%','a:1:{i:1;s:15:\"bean_delta_load\";}','','user_access','a:1:{i:0;s:14:\"view bean page\";}','bean_view_page','a:1:{i:0;i:1;}','',2,2,0,'','block/%','Block','t','','','a:0:{}',6,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/delete','a:1:{i:1;s:15:\"bean_delta_load\";}','','entity_access','a:3:{i:0;s:6:\"delete\";i:1;s:4:\"bean\";i:2;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"bean_delete_confirm\";i:1;i:1;}','',5,3,0,'block/%','block/%','Delete Block','t','','','a:0:{}',132,'','',1,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/edit','a:1:{i:1;s:15:\"bean_delta_load\";}','','entity_access','a:3:{i:0;s:6:\"update\";i:1;s:4:\"bean\";i:2;i:1;}','bean_edit','a:1:{i:0;i:1;}','',5,3,3,'block/%','block/%','Edit Block','t','','','a:0:{}',132,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions','a:1:{i:1;s:15:\"bean_delta_load\";}','','user_access','a:1:{i:0;s:19:\"view bean revisions\";}','bean_revisions_page','a:1:{i:0;i:1;}','',5,3,1,'block/%','block/%','Revisions','t','','','a:0:{}',132,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions/%','a:2:{i:1;a:1:{s:15:\"bean_delta_load\";a:1:{i:0;i:3;}}i:3;N;}','','entity_access','a:3:{i:0;s:4:\"view\";i:1;s:4:\"bean\";i:2;i:1;}','bean_view','a:1:{i:0;i:1;}','',10,4,0,'','block/%/revisions/%','','bean_revision_title','a:1:{i:0;i:1;}','','a:0:{}',6,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions/%/delete','a:2:{i:1;a:1:{s:15:\"bean_delta_load\";a:1:{i:0;i:3;}}i:3;N;}','','entity_access','a:3:{i:0;s:6:\"delete\";i:1;s:4:\"bean\";i:2;i:1;}','drupal_get_form','a:2:{i:0;s:28:\"bean_delete_revision_confirm\";i:1;i:1;}','',21,5,0,'block/%/revisions/%','block/%/revisions/%','Delete','t','','','a:0:{}',132,'','',1,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions/%/edit','a:2:{i:1;a:1:{s:15:\"bean_delta_load\";a:1:{i:0;i:3;}}i:3;N;}','','entity_access','a:3:{i:0;s:6:\"update\";i:1;s:4:\"bean\";i:2;i:1;}','bean_edit','a:1:{i:0;i:1;}','',21,5,3,'block/%/revisions/%','block/%/revisions/%','Edit','t','','','a:0:{}',132,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions/%/set-active','a:2:{i:1;a:1:{s:15:\"bean_delta_load\";a:1:{i:0;i:3;}}i:3;N;}','','entity_access','a:3:{i:0;s:6:\"update\";i:1;s:4:\"bean\";i:2;i:1;}','drupal_get_form','a:2:{i:0;s:24:\"bean_set_default_confirm\";i:1;i:1;}','',21,5,3,'block/%/revisions/%','block/%/revisions/%','Set active','t','','','a:0:{}',132,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions/%/view','a:2:{i:1;a:1:{s:15:\"bean_delta_load\";a:1:{i:0;i:3;}}i:3;N;}','','entity_access','a:3:{i:0;s:4:\"view\";i:1;s:4:\"bean\";i:2;i:1;}','bean_view','a:1:{i:0;i:1;}','',21,5,0,'block/%/revisions/%','block/%/revisions/%','View','t','','','a:0:{}',140,'','',-10,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/view','a:1:{i:1;s:15:\"bean_delta_load\";}','','user_access','a:1:{i:0;s:14:\"view bean page\";}','bean_view_page','a:1:{i:0;i:1;}','',5,3,0,'block/%','block/%','View','t','','','a:0:{}',140,'','',-20,'sites/all/modules/bean/includes/bean.pages.inc'),('block/add','','','bean_add_page_access','a:1:{i:0;s:3:\"add\";}','bean_add_page','a:0:{}','',3,2,0,'','block/add','Add Block','t','','','a:0:{}',6,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('blog','','','user_access','a:1:{i:0;s:14:\"access content\";}','blog_page_last','a:0:{}','',1,1,0,'','blog','Blogs','t','','','a:0:{}',20,'','',0,'modules/blog/blog.pages.inc'),('blog/%','a:1:{i:1;s:22:\"user_uid_optional_load\";}','a:1:{i:1;s:24:\"user_uid_optional_to_arg\";}','blog_page_user_access','a:1:{i:0;i:1;}','blog_page_user','a:1:{i:0;i:1;}','',2,2,0,'','blog/%','My blog','t','','','a:0:{}',6,'','',0,'modules/blog/blog.pages.inc'),('blog/%/feed','a:1:{i:1;s:9:\"user_load\";}','','blog_page_user_access','a:1:{i:0;i:1;}','blog_feed_user','a:1:{i:0;i:1;}','',5,3,0,'','blog/%/feed','Blogs','t','','','a:0:{}',0,'','',0,'modules/blog/blog.pages.inc'),('blog/feed','','','user_access','a:1:{i:0;s:14:\"access content\";}','blog_feed_last','a:0:{}','',3,2,0,'','blog/feed','Blogs','t','','','a:0:{}',0,'','',0,'modules/blog/blog.pages.inc'),('blogs','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:4:\"blog\";i:1;s:4:\"page\";}','',1,1,0,'','blogs','Blog','t','','','a:0:{}',6,'','',0,''),('categories','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:10:\"categories\";i:1;s:4:\"page\";}','',1,1,0,'','categories','Categories','t','','','a:0:{}',6,'','',0,''),('comment/%','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:15:\"access comments\";}','comment_permalink','a:1:{i:0;i:1;}','',2,2,0,'','comment/%','Comment permalink','t','','','a:0:{}',6,'','',0,''),('comment/%/approve','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_approve','a:1:{i:0;i:1;}','',5,3,0,'','comment/%/approve','Approve','t','','','a:0:{}',6,'','',1,'modules/comment/comment.pages.inc'),('comment/%/delete','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_confirm_delete_page','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','Delete','t','','','a:0:{}',132,'','',2,'modules/comment/comment.admin.inc'),('comment/%/edit','a:1:{i:1;s:12:\"comment_load\";}','','comment_access','a:2:{i:0;s:4:\"edit\";i:1;i:1;}','comment_edit_page','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','Edit','t','','','a:0:{}',132,'','',0,''),('comment/%/view','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:15:\"access comments\";}','comment_permalink','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','View comment','t','','','a:0:{}',140,'','',-10,''),('comment/reply/%','a:1:{i:2;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:2;}','comment_reply','a:1:{i:0;i:2;}','',6,3,0,'','comment/reply/%','Add new comment','t','','','a:0:{}',6,'','',0,'modules/comment/comment.pages.inc'),('contact','','','user_access','a:1:{i:0;s:29:\"access site-wide contact form\";}','drupal_get_form','a:1:{i:0;s:17:\"contact_site_form\";}','',1,1,0,'','contact','Contact','t','','','a:0:{}',20,'','',0,'modules/contact/contact.pages.inc'),('context-ui/activate','','','user_access','a:1:{i:0;s:19:\"administer contexts\";}','context_ui_activate','a:0:{}','',3,2,0,'','context-ui/activate','Activate Context UI','t','','','a:0:{}',0,'','',0,''),('context-ui/deactivate','','','user_access','a:1:{i:0;s:19:\"administer contexts\";}','context_ui_deactivate','a:0:{}','',3,2,0,'','context-ui/deactivate','Deactivate Context UI','t','','','a:0:{}',0,'','',0,''),('ctools/autocomplete/%','a:1:{i:2;N;}','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_content_autocomplete_entity','a:1:{i:0;i:2;}','',6,3,0,'','ctools/autocomplete/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/content.menu.inc'),('ctools/context/ajax/access/add','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_add','a:0:{}','',31,5,0,'','ctools/context/ajax/access/add','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/access/configure','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_edit','a:0:{}','',31,5,0,'','ctools/context/ajax/access/configure','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/access/delete','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_delete','a:0:{}','',31,5,0,'','ctools/context/ajax/access/delete','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/add','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_add','a:0:{}','',15,4,0,'','ctools/context/ajax/add','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('ctools/context/ajax/configure','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_edit','a:0:{}','',15,4,0,'','ctools/context/ajax/configure','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('ctools/context/ajax/delete','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_delete','a:0:{}','',15,4,0,'','ctools/context/ajax/delete','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('entityreference/autocomplete/single/%/%/%','a:3:{i:3;N;i:4;N;i:5;N;}','','entityreference_autocomplete_access_callback','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','entityreference_autocomplete_callback','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','',56,6,0,'','entityreference/autocomplete/single/%/%/%','Entity Reference Autocomplete','t','','','a:0:{}',0,'','',0,''),('entityreference/autocomplete/tags/%/%/%','a:3:{i:3;N;i:4;N;i:5;N;}','','entityreference_autocomplete_access_callback','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','entityreference_autocomplete_callback','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','',56,6,0,'','entityreference/autocomplete/tags/%/%/%','Entity Reference Autocomplete','t','','','a:0:{}',0,'','',0,''),('file/ajax','','','user_access','a:1:{i:0;s:14:\"access content\";}','file_ajax_upload','a:0:{}','ajax_deliver',3,2,0,'','file/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,''),('file/progress','','','user_access','a:1:{i:0;s:14:\"access content\";}','file_ajax_progress','a:0:{}','',3,2,0,'','file/progress','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,''),('filter/tips','','','1','a:0:{}','filter_tips_long','a:0:{}','',3,2,0,'','filter/tips','Compose tips','t','','','a:0:{}',20,'','',0,'modules/filter/filter.pages.inc'),('filter/tips/%','a:1:{i:2;s:18:\"filter_format_load\";}','','filter_access','a:1:{i:0;i:2;}','filter_tips_long','a:1:{i:0;i:2;}','',6,3,0,'','filter/tips/%','Compose tips','t','','','a:0:{}',6,'','',0,'modules/filter/filter.pages.inc'),('forum','','','user_access','a:1:{i:0;s:14:\"access content\";}','forum_page','a:0:{}','',1,1,0,'','forum','Forums','t','','','a:0:{}',6,'','',0,'modules/forum/forum.pages.inc'),('forum/%','a:1:{i:1;s:16:\"forum_forum_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','forum_page','a:1:{i:0;i:1;}','',2,2,0,'','forum/%','Forums','t','','','a:0:{}',6,'','',0,'modules/forum/forum.pages.inc'),('frontpage','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:9:\"frontpage\";i:1;s:4:\"page\";}','',1,1,0,'','frontpage','','t','','','a:0:{}',0,'','',0,''),('js/admin_menu/cache','','','user_access','a:1:{i:0;s:26:\"access administration menu\";}','admin_menu_js_cache','a:0:{}','admin_menu_deliver',7,3,0,'','js/admin_menu/cache','','t','','','a:0:{}',0,'','',0,''),('migrate_content/ajaxcallback/%','a:1:{i:2;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','we_content_migration_export_components_json','a:1:{i:0;i:2;}','',6,3,0,'','migrate_content/ajaxcallback/%','','Check require bundles','','','a:0:{}',0,'Check require bundles.','',0,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('newsletter/confirm/%','a:1:{i:2;s:34:\"newsletter_subscriber_by_hash_load\";}','','user_access','a:1:{i:0;s:21:\"subscribe newsletters\";}','newsletter_confirm','a:1:{i:0;i:2;}','',6,3,0,'','newsletter/confirm/%','Confirm subscription','t','','','a:0:{}',0,'Confirm your subscription to our newsletters.','',0,'sites/all/modules/newsletter/includes/newsletter.pages.inc'),('newsletter/edit/%','a:1:{i:2;s:34:\"newsletter_subscriber_by_hash_load\";}','','1','a:0:{}','drupal_get_form','a:2:{i:0;s:36:\"newsletter_manage_subscriptions_form\";i:1;i:2;}','',6,3,1,'','newsletter/edit/%','Edit newsletter subscriptions','t','','','a:0:{}',132,'','',0,'sites/all/modules/newsletter/includes/newsletter.pages.inc'),('newsletter/statistics/%','a:1:{i:2;s:34:\"newsletter_subscriber_by_hash_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','newsletter_statistics_open','a:1:{i:0;i:2;}','',6,3,0,'','newsletter/statistics/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/newsletter/includes/newsletter.pages.inc'),('newsletter/subscribe','','','user_access','a:1:{i:0;s:21:\"subscribe newsletters\";}','drupal_get_form','a:1:{i:0;s:36:\"newsletter_manage_subscriptions_form\";}','',3,2,0,'','newsletter/subscribe','Subscribe','t','','','a:0:{}',0,'Subscribe to our newsletters.','',0,'sites/all/modules/newsletter/includes/newsletter.pages.inc'),('newsletter/unsubscribe/%','a:1:{i:2;s:34:\"newsletter_subscriber_by_hash_load\";}','','user_access','a:1:{i:0;s:21:\"subscribe newsletters\";}','drupal_get_form','a:2:{i:0;s:22:\"newsletter_unsubscribe\";i:1;i:2;}','',6,3,0,'','newsletter/unsubscribe/%','Unsubscribe','t','','','a:0:{}',0,'Confirm that you want to unsubscribe from our newsletters.','',0,'sites/all/modules/newsletter/includes/newsletter.pages.inc'),('node','','','user_access','a:1:{i:0;s:14:\"access content\";}','node_page_default','a:0:{}','',1,1,0,'','node','','t','','','a:0:{}',0,'','',0,''),('node/%','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:1;}','node_page_view','a:1:{i:0;i:1;}','',2,2,0,'','node/%','','node_page_title','a:1:{i:0;i:1;}','','a:0:{}',6,'','',0,''),('node/%/delete','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:6:\"delete\";i:1;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"node_delete_confirm\";i:1;i:1;}','',5,3,2,'node/%','node/%','Delete','t','','','a:0:{}',132,'','',1,'modules/node/node.pages.inc'),('node/%/edit','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:6:\"update\";i:1;i:1;}','node_page_edit','a:1:{i:0;i:1;}','',5,3,3,'node/%','node/%','Edit','t','','','a:0:{}',132,'','',0,'modules/node/node.pages.inc'),('node/%/results','a:1:{i:1;s:9:\"node_load\";}','','_poll_menu_access','a:3:{i:0;i:1;i:1;s:14:\"access content\";i:2;b:1;}','poll_results','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Results','t','','','a:0:{}',132,'','',3,'modules/poll/poll.pages.inc'),('node/%/revisions','a:1:{i:1;s:9:\"node_load\";}','','_node_revision_access','a:1:{i:0;i:1;}','node_revision_overview','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Revisions','t','','','a:0:{}',132,'','',2,'modules/node/node.pages.inc'),('node/%/revisions/%/delete','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:2:{i:0;i:1;i:1;s:6:\"delete\";}','drupal_get_form','a:2:{i:0;s:28:\"node_revision_delete_confirm\";i:1;i:1;}','',21,5,0,'','node/%/revisions/%/delete','Delete earlier revision','t','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/%/revisions/%/revert','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:2:{i:0;i:1;i:1;s:6:\"update\";}','drupal_get_form','a:2:{i:0;s:28:\"node_revision_revert_confirm\";i:1;i:1;}','',21,5,0,'','node/%/revisions/%/revert','Revert to earlier revision','t','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/%/revisions/%/view','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:1:{i:0;i:1;}','node_show','a:2:{i:0;i:1;i:1;b:1;}','',21,5,0,'','node/%/revisions/%/view','Revisions','t','','','a:0:{}',6,'','',0,''),('node/%/view','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:1;}','node_page_view','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','View','t','','','a:0:{}',140,'','',-10,''),('node/%/votes','a:1:{i:1;s:9:\"node_load\";}','','_poll_menu_access','a:3:{i:0;i:1;i:1;s:17:\"inspect all votes\";i:2;b:0;}','poll_votes','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Votes','t','','','a:0:{}',132,'','',3,'modules/poll/poll.pages.inc'),('node/add','','','_node_add_access','a:0:{}','node_add_page','a:0:{}','',3,2,0,'','node/add','Add content','t','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/article','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:7:\"article\";}','node_add','a:1:{i:0;s:7:\"article\";}','',7,3,0,'','node/add/article','Article','check_plain','','','a:0:{}',6,'Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','',0,'modules/node/node.pages.inc'),('node/add/blog','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:4:\"blog\";}','node_add','a:1:{i:0;s:4:\"blog\";}','',7,3,0,'','node/add/blog','Blog entry','check_plain','','','a:0:{}',6,'Use for multi-user blogs. Every user gets a personal blog.','',0,'modules/node/node.pages.inc'),('node/add/forum','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:5:\"forum\";}','node_add','a:1:{i:0;s:5:\"forum\";}','',7,3,0,'','node/add/forum','Forum topic','check_plain','','','a:0:{}',6,'A <em>forum topic</em> starts a new discussion thread within a forum.','',0,'modules/node/node.pages.inc'),('node/add/local-video','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:11:\"local_video\";}','node_add','a:1:{i:0;s:11:\"local_video\";}','',7,3,0,'','node/add/local-video','Local Video','check_plain','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/online-video','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:12:\"online_video\";}','node_add','a:1:{i:0;s:12:\"online_video\";}','',7,3,0,'','node/add/online-video','Online Video','check_plain','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/page','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:4:\"page\";}','node_add','a:1:{i:0;s:4:\"page\";}','',7,3,0,'','node/add/page','Basic page','check_plain','','','a:0:{}',6,'Use <em>basic pages</em> for your static content, such as an \'About us\' page.','',0,'modules/node/node.pages.inc'),('node/add/poll','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:4:\"poll\";}','node_add','a:1:{i:0;s:4:\"poll\";}','',7,3,0,'','node/add/poll','Poll','check_plain','','','a:0:{}',6,'A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.','',0,'modules/node/node.pages.inc'),('node/add/showcase','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:8:\"showcase\";}','node_add','a:1:{i:0;s:8:\"showcase\";}','',7,3,0,'','node/add/showcase','Showcase','check_plain','','','a:0:{}',6,'Showcase','',0,'modules/node/node.pages.inc'),('node/add/weebpal-presets','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:15:\"weebpal_presets\";}','node_add','a:1:{i:0;s:15:\"weebpal_presets\";}','',7,3,0,'','node/add/weebpal-presets','WeebPal Presets','check_plain','','','a:0:{}',6,'WeebPal Presets','',0,'modules/node/node.pages.inc'),('overlay-ajax/%','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:14:\"access overlay\";}','overlay_ajax_render_region','a:1:{i:0;i:1;}','',2,2,0,'','overlay-ajax/%','','t','','','a:0:{}',0,'','',0,''),('overlay/dismiss-message','','','user_access','a:1:{i:0;s:14:\"access overlay\";}','overlay_user_dismiss_message','a:0:{}','',3,2,0,'','overlay/dismiss-message','','t','','','a:0:{}',0,'','',0,''),('poll','','','user_access','a:1:{i:0;s:14:\"access content\";}','poll_page','a:0:{}','',1,1,0,'','poll','Polls','t','','','a:0:{}',20,'','',0,'modules/poll/poll.pages.inc'),('postback/jobs','','','1','a:0:{}','video_transcoder_postback_jobs','a:0:{}','',3,2,0,'','postback/jobs','','t','','','a:0:{}',0,'','',0,'sites/all/modules/video/video.pages.inc'),('rss.xml','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:9:\"frontpage\";i:1;s:4:\"feed\";}','',1,1,0,'','rss.xml','','t','','','a:0:{}',0,'','',0,''),('search','','','search_is_active','a:0:{}','search_view','a:0:{}','',1,1,0,'','search','Search','t','','','a:0:{}',20,'','',0,'modules/search/search.pages.inc'),('search/node','','','_search_menu_access','a:1:{i:0;s:4:\"node\";}','search_view','a:2:{i:0;s:4:\"node\";i:1;s:0:\"\";}','',3,2,1,'search','search','Content','t','','','a:0:{}',132,'','',-10,'modules/search/search.pages.inc'),('search/node/%','a:1:{i:2;a:1:{s:14:\"menu_tail_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','a:1:{i:2;s:16:\"menu_tail_to_arg\";}','_search_menu_access','a:1:{i:0;s:4:\"node\";}','search_view','a:2:{i:0;s:4:\"node\";i:1;i:2;}','',6,3,1,'search/node','search/node/%','Content','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('search/user','','','_search_menu_access','a:1:{i:0;s:4:\"user\";}','search_view','a:2:{i:0;s:4:\"user\";i:1;s:0:\"\";}','',3,2,1,'search','search','Users','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('search/user/%','a:1:{i:2;a:1:{s:14:\"menu_tail_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','a:1:{i:2;s:16:\"menu_tail_to_arg\";}','_search_menu_access','a:1:{i:0;s:4:\"user\";}','search_view','a:2:{i:0;s:4:\"user\";i:1;i:2;}','',6,3,1,'search/node','search/node/%','Users','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('showcase','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:8:\"showcase\";i:1;s:4:\"page\";}','',1,1,0,'','showcase','Showcase','t','','','a:0:{}',6,'','',0,''),('sites/default/files/styles/%','a:1:{i:4;s:16:\"image_style_load\";}','','1','a:0:{}','image_style_deliver','a:1:{i:0;i:4;}','',30,5,0,'','sites/default/files/styles/%','Generate image style','t','','','a:0:{}',0,'','',0,''),('system/ajax','','','1','a:0:{}','ajax_form_callback','a:0:{}','ajax_deliver',3,2,0,'','system/ajax','AHAH callback','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'includes/form.inc'),('system/files','','','1','a:0:{}','file_download','a:1:{i:0;s:7:\"private\";}','',3,2,0,'','system/files','File download','t','','','a:0:{}',0,'','',0,''),('system/files/styles/%','a:1:{i:3;s:16:\"image_style_load\";}','','1','a:0:{}','image_style_deliver','a:1:{i:0;i:3;}','',14,4,0,'','system/files/styles/%','Generate image style','t','','','a:0:{}',0,'','',0,''),('system/temporary','','','1','a:0:{}','file_download','a:1:{i:0;s:9:\"temporary\";}','',3,2,0,'','system/temporary','Temporary files','t','','','a:0:{}',0,'','',0,''),('system/timezone','','','1','a:0:{}','system_timezone','a:0:{}','',3,2,0,'','system/timezone','Time zone','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('tagclouds','','','user_access','a:1:{i:0;s:14:\"access content\";}','tagclouds_page_chunk','a:1:{i:0;N;}','',1,1,0,'','tagclouds','Tags','t','','','a:0:{}',20,'','',0,''),('tagclouds/chunk/%','a:1:{i:2;s:19:\"tagclouds_vocs_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','tagclouds_page_chunk','a:1:{i:0;i:2;}','',6,3,0,'','tagclouds/chunk/%','Tags','t','','','a:0:{}',20,'','',0,''),('tagclouds/list/%','a:1:{i:2;s:19:\"tagclouds_vocs_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','tagclouds_page_list','a:1:{i:0;i:2;}','',6,3,0,'','tagclouds/list/%','Tags','t','','','a:0:{}',0,'','',0,''),('taxonomy/autocomplete','','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_autocomplete','a:0:{}','',3,2,0,'','taxonomy/autocomplete','Autocomplete taxonomy','t','','','a:0:{}',0,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('taxonomy/term/%','a:1:{i:2;a:1:{s:14:\"views_arg_load\";a:3:{i:0;s:13:\"taxonomy_term\";i:1;s:4:\"page\";i:2;s:6:\"%index\";}}}','','views_access','a:1:{i:0;b:1;}','views_page','a:3:{i:0;s:13:\"taxonomy_term\";i:1;s:4:\"page\";i:2;i:2;}','',6,3,0,'','taxonomy/term/%','','t','','','a:0:{}',0,'','',0,''),('taxonomy/term/%/%/feed','a:2:{i:2;a:1:{s:14:\"views_arg_load\";a:3:{i:0;s:13:\"taxonomy_term\";i:1;s:4:\"feed\";i:2;s:6:\"%index\";}}i:3;N;}','','views_access','a:1:{i:0;b:1;}','views_page','a:4:{i:0;s:13:\"taxonomy_term\";i:1;s:4:\"feed\";i:2;i:2;i:3;i:3;}','',25,5,0,'','taxonomy/term/%/%/feed','','t','','','a:0:{}',0,'','',0,''),('taxonomy/term/%/edit','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','taxonomy_term_edit_access','a:1:{i:0;i:2;}','drupal_get_form','a:3:{i:0;s:18:\"taxonomy_form_term\";i:1;i:2;i:2;N;}','',13,4,1,'taxonomy/term/%','taxonomy/term/%','Edit','t','','','a:0:{}',132,'','',10,'modules/taxonomy/taxonomy.admin.inc'),('taxonomy/term/%/feed','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_term_feed','a:1:{i:0;i:2;}','',13,4,0,'','taxonomy/term/%/feed','Taxonomy term','taxonomy_term_title','a:1:{i:0;i:2;}','','a:0:{}',0,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('taxonomy/term/%/view','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','views_access','a:1:{i:0;b:1;}','views_page','a:3:{i:0;s:13:\"taxonomy_term\";i:1;s:4:\"page\";i:2;i:2;}','',13,4,1,'taxonomy/term/%','taxonomy/term/%','View','t','','','a:0:{}',140,'','',0,''),('token/autocomplete/%','a:1:{i:2;s:15:\"token_type_load\";}','','1','a:0:{}','token_autocomplete_token','a:1:{i:0;i:2;}','',6,3,0,'','token/autocomplete/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('token/flush-cache','','','user_access','a:1:{i:0;s:12:\"flush caches\";}','token_flush_cache_callback','a:0:{}','',3,2,0,'','token/flush-cache','','t','','','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('token/tree','','','1','a:0:{}','token_page_output_tree','a:0:{}','',3,2,0,'','token/tree','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('user','','','1','a:0:{}','user_page','a:0:{}','',1,1,0,'','user','User account','user_menu_title','','','a:0:{}',6,'','',-10,'modules/user/user.pages.inc'),('user/%','a:1:{i:1;s:9:\"user_load\";}','','user_view_access','a:1:{i:0;i:1;}','user_view_page','a:1:{i:0;i:1;}','',2,2,0,'','user/%','My account','user_page_title','a:1:{i:0;i:1;}','','a:0:{}',6,'','',0,''),('user/%/cancel','a:1:{i:1;s:9:\"user_load\";}','','user_cancel_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:24:\"user_cancel_confirm_form\";i:1;i:1;}','',5,3,0,'','user/%/cancel','Cancel account','t','','','a:0:{}',6,'','',0,'modules/user/user.pages.inc'),('user/%/cancel/confirm/%/%','a:3:{i:1;s:9:\"user_load\";i:4;N;i:5;N;}','','user_cancel_access','a:1:{i:0;i:1;}','user_cancel_confirm','a:3:{i:0;i:1;i:1;i:4;i:2;i:5;}','',44,6,0,'','user/%/cancel/confirm/%/%','Confirm account cancellation','t','','','a:0:{}',6,'','',0,'modules/user/user.pages.inc'),('user/%/contact','a:1:{i:1;s:9:\"user_load\";}','','_contact_personal_tab_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:21:\"contact_personal_form\";i:1;i:1;}','',5,3,1,'user/%','user/%','Contact','t','','','a:0:{}',132,'','',2,'modules/contact/contact.pages.inc'),('user/%/edit','a:1:{i:1;s:9:\"user_load\";}','','user_edit_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:17:\"user_profile_form\";i:1;i:1;}','',5,3,1,'user/%','user/%','Edit','t','','','a:0:{}',132,'','',0,'modules/user/user.pages.inc'),('user/%/edit/account','a:1:{i:1;a:1:{s:18:\"user_category_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','','user_edit_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:17:\"user_profile_form\";i:1;i:1;}','',11,4,1,'user/%/edit','user/%','Account','t','','','a:0:{}',140,'','',0,'modules/user/user.pages.inc'),('user/%/newsletter','a:1:{i:1;s:9:\"user_load\";}','','newsletter_edit_subsdcriber_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:36:\"newsletter_manage_subscriptions_form\";i:1;i:1;}','',5,3,1,'user/%','user/%','Newsletter subscriptions','t','','','a:0:{}',132,'','',0,'sites/all/modules/newsletter/includes/newsletter.pages.inc'),('user/%/shortcuts','a:1:{i:1;s:9:\"user_load\";}','','shortcut_set_switch_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"shortcut_set_switch\";i:1;i:1;}','',5,3,1,'user/%','user/%','Shortcuts','t','','','a:0:{}',132,'','',0,'modules/shortcut/shortcut.admin.inc'),('user/%/view','a:1:{i:1;s:9:\"user_load\";}','','user_view_access','a:1:{i:0;i:1;}','user_view_page','a:1:{i:0;i:1;}','',5,3,1,'user/%','user/%','View','t','','','a:0:{}',140,'','',-10,''),('user/autocomplete','','','user_access','a:1:{i:0;s:20:\"access user profiles\";}','user_autocomplete','a:0:{}','',3,2,0,'','user/autocomplete','User autocomplete','t','','','a:0:{}',0,'','',0,'modules/user/user.pages.inc'),('user/login','','','user_is_anonymous','a:0:{}','user_page','a:0:{}','',3,2,1,'user','user','Log in','t','','','a:0:{}',140,'','',0,'modules/user/user.pages.inc'),('user/logout','','','user_is_logged_in','a:0:{}','user_logout','a:0:{}','',3,2,0,'','user/logout','Log out','t','','','a:0:{}',6,'','',10,'modules/user/user.pages.inc'),('user/password','','','1','a:0:{}','drupal_get_form','a:1:{i:0;s:9:\"user_pass\";}','',3,2,1,'user','user','Request new password','t','','','a:0:{}',132,'','',0,'modules/user/user.pages.inc'),('user/register','','','user_register_access','a:0:{}','drupal_get_form','a:1:{i:0;s:18:\"user_register_form\";}','',3,2,1,'user','user','Create new account','t','','','a:0:{}',132,'','',0,''),('user/reset/%/%/%','a:3:{i:2;N;i:3;N;i:4;N;}','','1','a:0:{}','drupal_get_form','a:4:{i:0;s:15:\"user_pass_reset\";i:1;i:2;i:2;i:3;i:3;i:4;}','',24,5,0,'','user/reset/%/%/%','Reset password','t','','','a:0:{}',0,'','',0,'modules/user/user.pages.inc'),('vef/load/%','a:1:{i:2;N;}','','1','a:0:{}','_video_embed_field_show_video','a:1:{i:0;i:2;}','',6,3,0,'','vef/load/%','Video Embed Field - Load Video','t','','','a:0:{}',0,'','',0,''),('video/browser','','','user_access','a:1:{i:0;s:14:\"access content\";}','video_file_browser','a:0:{}','',3,2,0,'','video/browser','','t','','','a:0:{}',0,'','',0,'sites/all/modules/video/video.pages.inc'),('video/embed/%/%/%/%/%','a:5:{i:2;N;i:3;N;i:4;N;i:5;N;i:6;N;}','','user_access','a:1:{i:0;s:14:\"access content\";}','video_file_embed','a:5:{i:0;i:3;i:1;i:2;i:2;i:4;i:3;i:5;i:4;i:6;}','',96,7,0,'','video/embed/%/%/%/%/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/video/video.pages.inc'),('views/ajax','','','1','a:0:{}','views_ajax','a:0:{}','ajax_deliver',3,2,0,'','views/ajax','Views','t','','ajax_base_page_theme','a:0:{}',0,'Ajax callback for view loading.','',0,'sites/all/modules/views/includes/ajax.inc'),('weight','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:18:\"assign node weight\";}}}','views_page','a:2:{i:0;s:6:\"weight\";i:1;s:4:\"page\";}','',1,1,0,'','weight','','t','','','a:0:{}',0,'','',0,'');
/*!40000 ALTER TABLE `menu_router` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `newsletter_list`
--

DROP TABLE IF EXISTS `newsletter_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `newsletter_list` (
  `nlid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The unique ID of this list.',
  `title` varchar(255) NOT NULL COMMENT 'The list’s title.',
  `send_rate` varchar(11) NOT NULL DEFAULT 'Manual' COMMENT 'How often to send this list.Manual,Daily,Weekly or Monthly.',
  `last_sent` int(11) DEFAULT NULL COMMENT 'Timestamp this list was last sent.',
  `send_again` date DEFAULT NULL COMMENT 'Date this list needs to be sent again.',
  `created` int(11) DEFAULT '0' COMMENT 'The creation timestamp of this subscriber.',
  PRIMARY KEY (`nlid`),
  UNIQUE KEY `list_title` (`title`),
  KEY `list_created` (`created`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Contains the newsletter subscriber lists with their...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `newsletter_list`
--

LOCK TABLES `newsletter_list` WRITE;
/*!40000 ALTER TABLE `newsletter_list` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `newsletter_list` VALUES (1,'Standard list','Manual',NULL,NULL,1404288954);
/*!40000 ALTER TABLE `newsletter_list` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `newsletter_newsletter`
--

DROP TABLE IF EXISTS `newsletter_newsletter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `newsletter_newsletter` (
  `nnid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a newsletter.',
  `title` varchar(255) NOT NULL COMMENT 'The newsletter’s title.(If this newsletter is automatic then it gets its list title)',
  `send_id` int(11) DEFAULT '0' COMMENT 'The # of sent times.',
  `custom` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether this newsletter sent as a custom one.',
  `ntid` int(10) unsigned NOT NULL COMMENT 'The newsletter_templates.id this newsletter uses.',
  `subscribers_sent` int(10) unsigned DEFAULT '0' COMMENT 'No Of subscribers this newsletter sent to.',
  `clicks` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'how many clicks this newsletter/list generated for the website.',
  `opens` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'how many times this newsletter/list opened by subscriber.',
  `last_sent` int(11) DEFAULT '0' COMMENT 'The last sent timestamp of this newsletter.',
  PRIMARY KEY (`nnid`),
  KEY `newsletter_send_id` (`send_id`),
  KEY `newsletter_last_sent` (`last_sent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Contains the newsletters that are sent with their...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `newsletter_newsletter`
--

LOCK TABLES `newsletter_newsletter` WRITE;
/*!40000 ALTER TABLE `newsletter_newsletter` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `newsletter_newsletter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `newsletter_subscriber`
--

DROP TABLE IF EXISTS `newsletter_subscriber`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `newsletter_subscriber` (
  `nsid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a subscriber.',
  `uid` int(11) DEFAULT NULL COMMENT 'The user id (if the user is registered) of the subscriber.',
  `email` varchar(64) NOT NULL COMMENT 'The subscriber’s email.',
  `firstname` varchar(64) DEFAULT NULL COMMENT 'The subscriber’s full name.',
  `lastname` varchar(64) DEFAULT NULL COMMENT 'The subscriber’s full name.',
  `gender` varchar(24) DEFAULT NULL COMMENT 'The subscriber’s gender.',
  `receive_format` varchar(11) DEFAULT NULL COMMENT 'The subscriber’s Preferred newsletter format.',
  `ip` varchar(22) DEFAULT NULL COMMENT 'Subscriber’s IP, when he/she subscribed.',
  `hash` varchar(128) NOT NULL COMMENT 'Subscriber’s hash, used to confirm subscription and unsubscribe.',
  `confirmed` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether this user has confirm his subscription through email.',
  `confirmation_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The confirmation timestamp of this subscriber.',
  `created` int(11) DEFAULT '0' COMMENT 'The creation timestamp of this subscriber.',
  PRIMARY KEY (`nsid`),
  UNIQUE KEY `subscriber_email` (`email`),
  UNIQUE KEY `subscriber_uid` (`uid`),
  KEY `subscriber_created` (`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Contains the subscriber emails with their list relations.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `newsletter_subscriber`
--

LOCK TABLES `newsletter_subscriber` WRITE;
/*!40000 ALTER TABLE `newsletter_subscriber` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `newsletter_subscriber` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `newsletter_template`
--

DROP TABLE IF EXISTS `newsletter_template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `newsletter_template` (
  `ntid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The unique ID of this template.',
  `subject` varchar(255) NOT NULL COMMENT 'The template’s title/subject .',
  `basic` int(11) DEFAULT '0' COMMENT 'Whether this template is basic or not.',
  `exposed` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean.whether this list is exposed or not',
  `created` int(11) DEFAULT '0' COMMENT 'The creation timestamp of this template.',
  PRIMARY KEY (`ntid`),
  UNIQUE KEY `template_subject` (`subject`),
  KEY `template_created` (`created`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='Contains the newsletter templates.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `newsletter_template`
--

LOCK TABLES `newsletter_template` WRITE;
/*!40000 ALTER TABLE `newsletter_template` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `newsletter_template` VALUES (1,'Newsletter confirmation',1,0,1404288954),(2,'Newsletter welcome',1,0,1404288954),(3,'Newsletter unsubscribe',1,0,1404288954),(4,'Default',0,0,1404288954);
/*!40000 ALTER TABLE `newsletter_template` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node`
--

DROP TABLE IF EXISTS `node`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node` (
  `nid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a node.',
  `vid` int(10) unsigned DEFAULT NULL COMMENT 'The current node_revision.vid version identifier.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The node_type.type of this node.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The languages.language of this node.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this node, always treated as non-markup plain text.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that owns this node; initially, this is the user that created it.',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the node is published (visible to non-administrators).',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was most recently saved.',
  `comment` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether comments are allowed on this node: 0 = no, 1 = closed (read only), 2 = open (read/write).',
  `promote` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node should be displayed on the front page.',
  `sticky` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node should be displayed at the top of lists in which it appears.',
  `tnid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The translation set id for this node, which equals the node id of the source post in each set.',
  `translate` int(11) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this translation page needs to be updated.',
  PRIMARY KEY (`nid`),
  UNIQUE KEY `vid` (`vid`),
  KEY `node_changed` (`changed`),
  KEY `node_created` (`created`),
  KEY `node_frontpage` (`promote`,`status`,`sticky`,`created`),
  KEY `node_status_type` (`status`,`type`,`nid`),
  KEY `node_title_type` (`title`,`type`(4)),
  KEY `node_type` (`type`(4)),
  KEY `uid` (`uid`),
  KEY `tnid` (`tnid`),
  KEY `translate` (`translate`),
  KEY `language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=102 DEFAULT CHARSET=utf8 COMMENT='The base table for nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node`
--

LOCK TABLES `node` WRITE;
/*!40000 ALTER TABLE `node` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node` VALUES (1,1,'article','und','Ellie Goulding\'s Stay-Happy Secrets',1,1,1404099494,1405393201,2,1,0,0,0),(2,2,'article','und','Florida Hospital Celebrates 2014 NBA Draft with \"A Little Magic\"',1,1,1404124462,1405393202,2,1,0,0,0),(3,3,'article','und','How to choose your wedding rings',1,1,1404124878,1405393202,2,1,0,0,0),(4,4,'article','und','Choosing Your Wedding Location',1,1,1404126111,1405393202,2,1,0,0,0),(5,5,'article','und','Where to Travel in July',1,1,1404182885,1405393202,2,1,0,0,0),(6,6,'article','und','How to Spa',1,1,1404184331,1405393202,2,1,0,0,0),(7,7,'blog','und','What would a. \"Sport Touring\" bike be like?',1,1,1404185446,1405393227,2,0,0,0,0),(8,8,'article','und','More than 1,000 runners signed up for Syracuse Half Marathon',1,1,1404187985,1405393199,2,1,0,0,0),(9,9,'blog','und','The Prince is absolutely right – bring back grammar schools',1,1,1404188341,1405393227,2,0,0,0,0),(10,10,'blog','und','The New Girl On The Block',1,1,1404188651,1405393227,2,0,0,0,0),(11,11,'article','und','Vogue\'s Special Sale',1,1,1404188877,1405393202,2,1,0,0,0),(12,12,'article','und','Heart attack study could lead to longer lives',1,1,1404189077,1405393197,2,1,0,0,0),(13,13,'article','und','The diabetes epidemic',1,1,1404189270,1405393199,2,1,0,0,0),(14,14,'blog','und','Math Under Common Core Has Even Parents Stumbling',1,1,1404189456,1405393227,2,0,0,0,0),(15,15,'blog','und','World Cup: U.S. has chance to pull off upset vs. Belgium',1,1,1404189697,1405393227,2,0,0,0,0),(16,16,'article','und','Barrington swimmer helps others achieve dreams',1,1,1404189859,1405393202,2,1,0,0,0),(17,17,'article','und','Find the best schools in your area',1,1,1404190261,1405393202,2,1,0,0,0),(18,18,'blog','und','New York Schools Chief Advocates More ‘Balanced Literacy’',1,1,1404190405,1405393227,2,0,0,0,0),(19,19,'article','und','10 City Schools to Focus Reading Skills on Content',1,1,1404190549,1405393202,2,1,0,0,0),(20,20,'article','und','Kyoto Uses Its Many Charms to Attract Foreign Students',1,1,1404190913,1405393202,2,1,0,0,0),(21,21,'blog','und','Many Teachers Feel Undervalued, Survey Finds',1,1,1404190977,1405393899,2,0,0,0,0),(22,22,'blog','und','Stylish brides through history',1,1,1404191356,1405393227,2,0,0,0,0),(23,23,'article','und','Looks of the day',1,1,1404191470,1405393199,2,1,0,0,0),(24,24,'article','und',' 0  1  0  fashion Watch Chloë Sevigny as a really well dressed friend-of-a-ghost',1,1,1404194590,1405393202,2,1,0,0,0),(25,25,'article','und',' 149  79  0  fashion Fashion zodiac 101: Find out which designers share your sign',1,1,1404194737,1405393199,2,1,0,0,0),(26,26,'article','und','Fashion shopping What to wear for Pride Week: 16 rainbow-hued outfit options to celebrate this weekend in style',1,1,1404194906,1405393201,2,1,0,0,0),(27,27,'blog','und','Beaches & Boats',1,1,1404196409,1405393227,2,0,0,0,0),(28,28,'blog','und','To Montreal, with Google as a guide',1,1,1404196736,1405393227,2,0,0,0,0),(29,29,'blog','und','Bay of Plenty – Adventure is Plentiful in the Bay',1,1,1404197038,1405393227,2,0,0,0,0),(30,30,'blog','und','So Much To Do at the Beaches of San Diego',1,1,1404197448,1405393227,2,0,0,0,0),(31,31,'article','und','Getting Here & Around',1,1,1404197737,1405393202,2,1,0,0,0),(32,32,'blog','und','Guided Tours for Every Taste',1,1,1404198285,1405393227,2,0,0,0,0),(33,33,'article','und','UW Hospital Emergency Department Nurses Receive Lantern Award',1,1,1404198757,1405393197,2,1,0,0,0),(34,34,'article','und','W Health Arboretum Clinic \'Centers Pregnancy\' For Patient Care',1,1,1404198955,1405393202,2,1,0,0,0),(35,35,'article','und','World Health Day: Attacks on patients and health personnel continue',1,1,1404199184,1405393202,2,1,0,0,0),(36,36,'article','und','Spring Clean Your Life',1,1,1404199330,1405393201,2,1,0,0,0),(37,37,'article','und','World Cup 2014: Cameroon investigates match-fixing claims',1,1,1404199570,1405393197,2,1,0,0,0),(38,38,'article','und','A Sisterhood of the Snow in Alaska',1,1,1404200014,1405393201,2,1,0,0,0),(39,39,'article','und','World Cup Sportsday',1,1,1404200407,1405393202,2,1,0,0,0),(40,40,'article','und','How to Banish Stress in 25 Minutes',1,1,1404201192,1405393202,2,1,0,0,0),(41,41,'article','und','The Best Workout for a Toned, Tight Butt',1,1,1404201481,1405393202,2,1,0,0,0),(42,42,'article','und','6 Surprising Signs You\'re Stressed Out',1,1,1404201551,1405393202,2,1,0,0,0),(43,43,'article','und','Sip Up, Slim Down: The Right Way to Drink Green Tea for Weight Loss',1,1,1404201688,1405393201,2,1,0,0,0),(44,44,'article','und','5 Mascara Tricks to Make Your Eyes Look Even More Amazing',1,1,1404201837,1405393201,2,1,0,0,0),(45,45,'article','und','6 People Who Will Stress You Out On Your Wedding Day',1,1,1404202671,1405393202,2,1,0,0,0),(46,46,'article','und','These Wedding Vow Confessions Will Make You Laugh & Cry For All The Wrong Reasons',1,1,1404202816,1405393199,2,1,0,0,0),(47,47,'article','und','8 Stolen Wedding Kisses That\'ll Make You Weak In The Knees',1,1,1404203069,1405393201,2,1,0,0,0),(48,48,'article','und','What To Wear At These 6 Unconventional Weddings',1,1,1404203205,1405393201,2,1,0,0,0),(49,49,'article','und','Etsy Weddings: Handmade Object Of The Week',1,1,1404203265,1405393201,2,1,0,0,0),(50,50,'showcase','und','Magazine',1,1,1404369612,1405393249,2,0,0,0,0),(51,51,'showcase','und','Real Estate',1,1,1404370497,1405393249,2,0,0,0,0),(52,52,'showcase','und','Hotel',1,1,1404370781,1405393249,2,0,0,0,0),(53,53,'showcase','und','Education',1,1,1404370838,1405393247,2,0,0,0,0),(54,54,'showcase','und','News',1,1,1404370961,1405393247,2,0,0,0,0),(55,55,'showcase','und','Garnet',1,1,1404371029,1405393247,2,0,0,0,0),(56,56,'showcase','und','Business',1,1,1404371150,1405393247,2,0,0,0,0),(57,57,'showcase','und','Onepage',1,1,1404371224,1405393247,2,0,0,0,0),(58,58,'showcase','und','Shopping',1,1,1404371279,1405393247,2,0,0,0,0),(59,59,'showcase','und','Zircon II',1,1,1404371432,1405393247,2,0,0,0,0),(60,60,'showcase','und','Personal Blog for Drupal 8',1,1,1404371547,1405393247,2,0,0,0,0),(62,62,'showcase','und','Zircon - Drupal 8',1,1,1404372867,1405393247,2,0,0,0,0),(63,63,'showcase','und','Autox',1,1,1404372988,1405393247,2,0,0,0,0),(64,64,'page','und','Pages',1,1,1404377212,1404377212,1,0,0,0,0),(65,65,'poll','und','Wanted: Content Writer/Editor?',1,1,1404441757,1404441757,2,1,0,0,0),(66,66,'poll','und','Testing the Intended BlueCheese Public Repo?',1,1,1404441823,1404442065,2,0,0,0,0),(67,67,'poll','und',' Join the First Association Board Meeting of 2014?',1,1,1404441872,1404442057,2,0,0,0,0),(68,68,'poll','und','Why Olympus Gives Back to Drupal?',1,1,1404441926,1404442050,2,0,0,0,0),(69,69,'poll','und','Debuting a Drupal Camp, Uniting a Community',1,1,1404441980,1404442043,2,0,0,0,0),(70,70,'forum','und','Duis Pala Torqueo Ullamcorper',1,1,1404448950,1404448950,2,0,0,0,0),(71,71,'forum','und','Nutus Singularis Vindico',1,1,1404449469,1404449469,2,0,0,0,0),(72,72,'forum','und','Abdo Amet Quidem Vicis',1,1,1404449602,1404449602,2,0,0,0,0),(73,73,'forum','und','Accumsan Jumentum',1,1,1404449630,1404449630,2,0,0,0,0),(74,74,'forum','und','Inhibeo Sudo',1,1,1404449662,1404449662,2,0,0,0,0),(75,75,'forum','und','Uxor Valetudo',1,1,1404449736,1404449736,2,0,0,0,0),(76,76,'forum','und','Ad Sudo Tego Valetudo',1,1,1404449762,1404449762,2,0,0,0,0),(77,77,'article','und','New Companies Office status check features',1,1,1404459732,1405393197,2,1,0,0,0),(78,78,'article','und','Companies Amendment Bill passes into law ',1,1,1404459808,1405393197,2,1,0,0,0),(79,79,'article','und','Branding and company extract changes ',1,1,1404459865,1405393199,2,1,0,0,0),(80,80,'article','und','Don’t get taken for a ride when buying a car ',1,1,1404459945,1405393197,2,1,0,0,0),(81,81,'article','und','How to become a science adviser for films and TV shows',1,1,1404461596,1405393197,2,1,0,0,0),(82,82,'article','und','Love for Nature Genetics',1,1,1404461740,1405393199,2,1,0,0,0),(83,83,'article','und','Biosecurity laws under scanner',1,1,1404461834,1405393197,2,1,0,0,0),(84,84,'article','und','Art worth $4.5m found hidden in Brazilian shipping container',1,1,1404464585,1405393197,2,1,0,0,0),(85,85,'article','und','British Library returns painted Renaissance book panel',1,1,1404464670,1405393197,2,1,0,0,0),(86,86,'article','und','Russia’s other art biennial',1,1,1404464746,1405393199,2,1,0,0,0),(87,87,'article','und','Spain returns ‘small museum’ of artefacts to Colombia',1,1,1404464823,1405393199,2,1,0,0,0),(88,88,'online_video','und','Beautiful Light Music - easy smooth inspirational - long playlist by relaxdaily: Ocean Breeze',1,1,1404624431,1405392900,2,1,0,0,0),(89,89,'online_video','und','Margaret - Thank You Very Much',1,1,1404624506,1405392897,2,1,0,0,0),(90,90,'article','und','Move over Kuta ... this is the real Bali',1,1,1404722079,1405393199,2,1,0,0,0),(91,91,'article','und','15 places we’d rather be right now',1,1,1404722566,1405414795,2,1,0,0,0),(92,92,'page','und','Left menu',1,1,1405047741,1405047741,1,0,0,0,0),(93,93,'weebpal_presets','und','Layout Bootstrap Default Display',1,1,1405175332,1405393267,2,0,0,0,0),(94,94,'weebpal_presets','und','Layout Pinteros Fullwidth Display',1,1,1405175376,1405393267,2,0,0,0,0),(95,95,'weebpal_presets','und','Skin Blue',1,1,1405178158,1405393267,2,0,0,0,0),(96,96,'weebpal_presets','und','Skin Dark Blue',1,1,1405178196,1405393267,2,0,0,0,0),(97,97,'weebpal_presets','und','Skin Orange',1,1,1405179367,1405393267,2,0,0,0,0),(98,98,'weebpal_presets','und','Skin Default',1,1,1405184458,1405393267,2,0,0,0,0),(99,99,'page','und','Presets',1,1,1405312805,1405312805,1,0,0,0,0),(100,100,'page','und','Mega Menus',1,1,1414574203,1414574203,1,0,0,0,0),(101,101,'online_video','en','Margaret',1,1,1425541782,1425541782,2,1,0,0,0);
/*!40000 ALTER TABLE `node` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_access`
--

DROP TABLE IF EXISTS `node_access`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_access` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record affects.',
  `gid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The grant ID a user must possess in the specified realm to gain this row’s privileges on the node.',
  `realm` varchar(255) NOT NULL DEFAULT '' COMMENT 'The realm in which the user must possess the grant ID. Each node access node can define one or more realms.',
  `grant_view` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can view this node.',
  `grant_update` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can edit this node.',
  `grant_delete` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can delete this node.',
  PRIMARY KEY (`nid`,`gid`,`realm`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Identifies which realm/grant pairs a user must possess in...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_access`
--

LOCK TABLES `node_access` WRITE;
/*!40000 ALTER TABLE `node_access` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_access` VALUES (0,0,'all',1,0,0);
/*!40000 ALTER TABLE `node_access` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_comment_statistics`
--

DROP TABLE IF EXISTS `node_comment_statistics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_comment_statistics` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid for which the statistics are compiled.',
  `cid` int(11) NOT NULL DEFAULT '0' COMMENT 'The comment.cid of the last comment.',
  `last_comment_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp of the last comment that was posted within this node, from comment.changed.',
  `last_comment_name` varchar(60) DEFAULT NULL COMMENT 'The name of the latest author to post a comment on this node, from comment.name.',
  `last_comment_uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The user ID of the latest author to post a comment on this node, from comment.uid.',
  `comment_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of comments on this node.',
  PRIMARY KEY (`nid`),
  KEY `node_comment_timestamp` (`last_comment_timestamp`),
  KEY `comment_count` (`comment_count`),
  KEY `last_comment_uid` (`last_comment_uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains statistics of node and comments posts to show ...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_comment_statistics`
--

LOCK TABLES `node_comment_statistics` WRITE;
/*!40000 ALTER TABLE `node_comment_statistics` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_comment_statistics` VALUES (1,0,1404099494,NULL,1,0),(2,0,1404124462,NULL,1,0),(3,0,1404124878,NULL,1,0),(4,1,1404180105,'',1,1),(5,0,1404182885,NULL,1,0),(6,0,1404184331,NULL,1,0),(7,0,1404185446,NULL,1,0),(8,0,1404187985,NULL,1,0),(9,0,1404188341,NULL,1,0),(10,0,1404188651,NULL,1,0),(11,0,1404188877,NULL,1,0),(12,0,1404189077,NULL,1,0),(13,0,1404189270,NULL,1,0),(14,0,1404189456,NULL,1,0),(15,0,1404189697,NULL,1,0),(16,0,1404189859,NULL,1,0),(17,0,1404190261,NULL,1,0),(18,0,1404190405,NULL,1,0),(19,0,1404190549,NULL,1,0),(20,0,1404190913,NULL,1,0),(21,0,1404190977,NULL,1,0),(22,0,1404191356,NULL,1,0),(23,0,1404191470,NULL,1,0),(24,0,1404194590,NULL,1,0),(25,0,1404194737,NULL,1,0),(26,0,1404194906,NULL,1,0),(27,0,1404196409,NULL,1,0),(28,0,1404196736,NULL,1,0),(29,0,1404197038,NULL,1,0),(30,0,1404197448,NULL,1,0),(31,0,1404197737,NULL,1,0),(32,0,1404198285,NULL,1,0),(33,0,1404198757,NULL,1,0),(34,0,1404198955,NULL,1,0),(35,0,1404199184,NULL,1,0),(36,0,1404199330,NULL,1,0),(37,0,1404199570,NULL,1,0),(38,0,1404200014,NULL,1,0),(39,0,1404200407,NULL,1,0),(40,0,1404201192,NULL,1,0),(41,0,1404201481,NULL,1,0),(42,0,1404201551,NULL,1,0),(43,0,1404201688,NULL,1,0),(44,0,1404201837,NULL,1,0),(45,0,1404202671,NULL,1,0),(46,0,1404202816,NULL,1,0),(47,3,1404205345,'',1,1),(48,0,1404203205,NULL,1,0),(49,5,1404277339,'',1,3),(50,0,1404369612,NULL,1,0),(51,0,1404370497,NULL,1,0),(52,0,1404370781,NULL,1,0),(53,0,1404370838,NULL,1,0),(54,0,1404370961,NULL,1,0),(55,0,1404371029,NULL,1,0),(56,0,1404371150,NULL,1,0),(57,0,1404371224,NULL,1,0),(58,0,1404371279,NULL,1,0),(59,0,1404371432,NULL,1,0),(60,0,1404371547,NULL,1,0),(62,0,1404372867,NULL,1,0),(63,0,1404372988,NULL,1,0),(64,0,1404377212,NULL,1,0),(65,0,1404441757,NULL,1,0),(66,0,1404441823,NULL,1,0),(67,0,1404441872,NULL,1,0),(68,0,1404441926,NULL,1,0),(69,0,1404441980,NULL,1,0),(70,0,1404448950,NULL,1,0),(71,0,1404449469,NULL,1,0),(72,0,1404449602,NULL,1,0),(73,0,1404449630,NULL,1,0),(74,0,1404449662,NULL,1,0),(75,0,1404449736,NULL,1,0),(76,0,1404449762,NULL,1,0),(77,0,1404459732,NULL,1,0),(78,0,1404459808,NULL,1,0),(79,0,1404459865,NULL,1,0),(80,0,1404459945,NULL,1,0),(81,0,1404461596,NULL,1,0),(82,7,1404729892,'',1,2),(83,0,1404461834,NULL,1,0),(84,0,1404464585,NULL,1,0),(85,0,1404464670,NULL,1,0),(86,0,1404464746,NULL,1,0),(87,0,1404464823,NULL,1,0),(88,0,1404624431,NULL,1,0),(89,0,1404624506,NULL,1,0),(90,0,1404722079,NULL,1,0),(91,0,1404722566,NULL,1,0),(92,0,1405047741,NULL,1,0),(93,0,1405175332,NULL,1,0),(94,0,1405175376,NULL,1,0),(95,0,1405178158,NULL,1,0),(96,0,1405178196,NULL,1,0),(97,0,1405179367,NULL,1,0),(98,0,1405184458,NULL,1,0),(99,0,1405312805,NULL,1,0),(100,0,1414574203,NULL,1,0),(101,0,1425541782,NULL,1,0);
/*!40000 ALTER TABLE `node_comment_statistics` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision`
--

DROP TABLE IF EXISTS `node_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node this version belongs to.',
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for this version.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that created this version.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this version.',
  `log` longtext NOT NULL COMMENT 'The log entry explaining the changes in this version.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when this version was created.',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the node (at the time of this revision) is published (visible to non-administrators).',
  `comment` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether comments are allowed on this node (at the time of this revision): 0 = no, 1 = closed (read only), 2 = open (read/write).',
  `promote` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node (at the time of this revision) should be displayed on the front page.',
  `sticky` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node (at the time of this revision) should be displayed at the top of lists in which it appears.',
  PRIMARY KEY (`vid`),
  KEY `nid` (`nid`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=102 DEFAULT CHARSET=utf8 COMMENT='Stores information about each saved version of a node.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision`
--

LOCK TABLES `node_revision` WRITE;
/*!40000 ALTER TABLE `node_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision` VALUES (1,1,1,'Ellie Goulding\'s Stay-Happy Secrets','',1405393201,1,2,1,0),(2,2,1,'Florida Hospital Celebrates 2014 NBA Draft with \"A Little Magic\"','',1405393202,1,2,1,0),(3,3,1,'How to choose your wedding rings','',1405393202,1,2,1,0),(4,4,1,'Choosing Your Wedding Location','',1405393202,1,2,1,0),(5,5,1,'Where to Travel in July','',1405393202,1,2,1,0),(6,6,1,'How to Spa','',1405393202,1,2,1,0),(7,7,1,'What would a. \"Sport Touring\" bike be like?','',1405393227,1,2,0,0),(8,8,1,'More than 1,000 runners signed up for Syracuse Half Marathon','',1405393199,1,2,1,0),(9,9,1,'The Prince is absolutely right – bring back grammar schools','',1405393227,1,2,0,0),(10,10,1,'The New Girl On The Block','',1405393227,1,2,0,0),(11,11,1,'Vogue\'s Special Sale','',1405393202,1,2,1,0),(12,12,1,'Heart attack study could lead to longer lives','',1405393197,1,2,1,0),(13,13,1,'The diabetes epidemic','',1405393199,1,2,1,0),(14,14,1,'Math Under Common Core Has Even Parents Stumbling','',1405393227,1,2,0,0),(15,15,1,'World Cup: U.S. has chance to pull off upset vs. Belgium','',1405393227,1,2,0,0),(16,16,1,'Barrington swimmer helps others achieve dreams','',1405393202,1,2,1,0),(17,17,1,'Find the best schools in your area','',1405393202,1,2,1,0),(18,18,1,'New York Schools Chief Advocates More ‘Balanced Literacy’','',1405393227,1,2,0,0),(19,19,1,'10 City Schools to Focus Reading Skills on Content','',1405393202,1,2,1,0),(20,20,1,'Kyoto Uses Its Many Charms to Attract Foreign Students','',1405393202,1,2,1,0),(21,21,1,'Many Teachers Feel Undervalued, Survey Finds','',1405393899,1,2,0,0),(22,22,1,'Stylish brides through history','',1405393227,1,2,0,0),(23,23,1,'Looks of the day','',1405393199,1,2,1,0),(24,24,1,' 0  1  0  fashion Watch Chloë Sevigny as a really well dressed friend-of-a-ghost','',1405393202,1,2,1,0),(25,25,1,' 149  79  0  fashion Fashion zodiac 101: Find out which designers share your sign','',1405393199,1,2,1,0),(26,26,1,'Fashion shopping What to wear for Pride Week: 16 rainbow-hued outfit options to celebrate this weekend in style','',1405393201,1,2,1,0),(27,27,1,'Beaches & Boats','',1405393227,1,2,0,0),(28,28,1,'To Montreal, with Google as a guide','',1405393227,1,2,0,0),(29,29,1,'Bay of Plenty – Adventure is Plentiful in the Bay','',1405393227,1,2,0,0),(30,30,1,'So Much To Do at the Beaches of San Diego','',1405393227,1,2,0,0),(31,31,1,'Getting Here & Around','',1405393202,1,2,1,0),(32,32,1,'Guided Tours for Every Taste','',1405393227,1,2,0,0),(33,33,1,'UW Hospital Emergency Department Nurses Receive Lantern Award','',1405393197,1,2,1,0),(34,34,1,'W Health Arboretum Clinic \'Centers Pregnancy\' For Patient Care','',1405393202,1,2,1,0),(35,35,1,'World Health Day: Attacks on patients and health personnel continue','',1405393202,1,2,1,0),(36,36,1,'Spring Clean Your Life','',1405393201,1,2,1,0),(37,37,1,'World Cup 2014: Cameroon investigates match-fixing claims','',1405393197,1,2,1,0),(38,38,1,'A Sisterhood of the Snow in Alaska','',1405393201,1,2,1,0),(39,39,1,'World Cup Sportsday','',1405393202,1,2,1,0),(40,40,1,'How to Banish Stress in 25 Minutes','',1405393202,1,2,1,0),(41,41,1,'The Best Workout for a Toned, Tight Butt','',1405393202,1,2,1,0),(42,42,1,'6 Surprising Signs You\'re Stressed Out','',1405393202,1,2,1,0),(43,43,1,'Sip Up, Slim Down: The Right Way to Drink Green Tea for Weight Loss','',1405393201,1,2,1,0),(44,44,1,'5 Mascara Tricks to Make Your Eyes Look Even More Amazing','',1405393201,1,2,1,0),(45,45,1,'6 People Who Will Stress You Out On Your Wedding Day','',1405393202,1,2,1,0),(46,46,1,'These Wedding Vow Confessions Will Make You Laugh & Cry For All The Wrong Reasons','',1405393199,1,2,1,0),(47,47,1,'8 Stolen Wedding Kisses That\'ll Make You Weak In The Knees','',1405393201,1,2,1,0),(48,48,1,'What To Wear At These 6 Unconventional Weddings','',1405393201,1,2,1,0),(49,49,1,'Etsy Weddings: Handmade Object Of The Week','',1405393201,1,2,1,0),(50,50,1,'Magazine','',1405393249,1,2,0,0),(51,51,1,'Real Estate','',1405393249,1,2,0,0),(52,52,1,'Hotel','',1405393249,1,2,0,0),(53,53,1,'Education','',1405393247,1,2,0,0),(54,54,1,'News','',1405393247,1,2,0,0),(55,55,1,'Garnet','',1405393247,1,2,0,0),(56,56,1,'Business','',1405393247,1,2,0,0),(57,57,1,'Onepage','',1405393247,1,2,0,0),(58,58,1,'Shopping','',1405393247,1,2,0,0),(59,59,1,'Zircon II','',1405393247,1,2,0,0),(60,60,1,'Personal Blog for Drupal 8','',1405393247,1,2,0,0),(62,62,1,'Zircon - Drupal 8','',1405393247,1,2,0,0),(63,63,1,'Autox','',1405393247,1,2,0,0),(64,64,1,'Pages','',1404377212,1,1,0,0),(65,65,1,'Wanted: Content Writer/Editor?','',1404441757,1,2,1,0),(66,66,1,'Testing the Intended BlueCheese Public Repo?','',1404442065,1,2,0,0),(67,67,1,' Join the First Association Board Meeting of 2014?','',1404442057,1,2,0,0),(68,68,1,'Why Olympus Gives Back to Drupal?','',1404442050,1,2,0,0),(69,69,1,'Debuting a Drupal Camp, Uniting a Community','',1404442043,1,2,0,0),(70,70,1,'Duis Pala Torqueo Ullamcorper','',1404448950,1,2,0,0),(71,71,1,'Nutus Singularis Vindico','',1404449469,1,2,0,0),(72,72,1,'Abdo Amet Quidem Vicis','',1404449602,1,2,0,0),(73,73,1,'Accumsan Jumentum','',1404449630,1,2,0,0),(74,74,1,'Inhibeo Sudo','',1404449662,1,2,0,0),(75,75,1,'Uxor Valetudo','',1404449736,1,2,0,0),(76,76,1,'Ad Sudo Tego Valetudo','',1404449762,1,2,0,0),(77,77,1,'New Companies Office status check features','',1405393197,1,2,1,0),(78,78,1,'Companies Amendment Bill passes into law ','',1405393197,1,2,1,0),(79,79,1,'Branding and company extract changes ','',1405393199,1,2,1,0),(80,80,1,'Don’t get taken for a ride when buying a car ','',1405393197,1,2,1,0),(81,81,1,'How to become a science adviser for films and TV shows','',1405393197,1,2,1,0),(82,82,1,'Love for Nature Genetics','',1405393199,1,2,1,0),(83,83,1,'Biosecurity laws under scanner','',1405393197,1,2,1,0),(84,84,1,'Art worth $4.5m found hidden in Brazilian shipping container','',1405393197,1,2,1,0),(85,85,1,'British Library returns painted Renaissance book panel','',1405393197,1,2,1,0),(86,86,1,'Russia’s other art biennial','',1405393199,1,2,1,0),(87,87,1,'Spain returns ‘small museum’ of artefacts to Colombia','',1405393199,1,2,1,0),(88,88,1,'Beautiful Light Music - easy smooth inspirational - long playlist by relaxdaily: Ocean Breeze','',1405392900,1,2,1,0),(89,89,1,'Margaret - Thank You Very Much','',1405392897,1,2,1,0),(90,90,1,'Move over Kuta ... this is the real Bali','',1405393199,1,2,1,0),(91,91,1,'15 places we’d rather be right now','',1405414795,1,2,1,0),(92,92,1,'Left menu','',1405047741,1,1,0,0),(93,93,1,'Layout Bootstrap Default Display','',1405393267,1,2,0,0),(94,94,1,'Layout Pinteros Fullwidth Display','',1405393267,1,2,0,0),(95,95,1,'Skin Blue','',1405393267,1,2,0,0),(96,96,1,'Skin Dark Blue','',1405393267,1,2,0,0),(97,97,1,'Skin Orange','',1405393267,1,2,0,0),(98,98,1,'Skin Default','',1405393267,1,2,0,0),(99,99,1,'Presets','',1405312805,1,1,0,0),(100,100,1,'Mega Menus','',1414574203,1,1,0,0),(101,101,1,'Margaret','',1425541782,1,2,1,0);
/*!40000 ALTER TABLE `node_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_type`
--

DROP TABLE IF EXISTS `node_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_type` (
  `type` varchar(32) NOT NULL COMMENT 'The machine-readable name of this type.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this type.',
  `base` varchar(255) NOT NULL COMMENT 'The base string used to construct callbacks corresponding to this node type.',
  `module` varchar(255) NOT NULL COMMENT 'The module defining this node type.',
  `description` mediumtext NOT NULL COMMENT 'A brief description of this type.',
  `help` mediumtext NOT NULL COMMENT 'Help information shown to the user when creating a node of this type.',
  `has_title` tinyint(3) unsigned NOT NULL COMMENT 'Boolean indicating whether this type uses the node.title field.',
  `title_label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The label displayed for the title field on the edit form.',
  `custom` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this type is defined by a module (FALSE) or by a user via Add content type (TRUE).',
  `modified` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this type has been modified by an administrator; currently not used in any way.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether the administrator can change the machine name of this type.',
  `disabled` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether the node type is disabled.',
  `orig_type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The original machine-readable name of this node type. This may be different from the current type name if the locked field is 0.',
  PRIMARY KEY (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about all defined node types.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_type`
--

LOCK TABLES `node_type` WRITE;
/*!40000 ALTER TABLE `node_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_type` VALUES ('article','Article','node_content','node','Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','',1,'Title',1,1,0,0,'article'),('blog','Blog entry','blog','blog','Use for multi-user blogs. Every user gets a personal blog.','',1,'Title',0,0,1,0,'blog'),('forum','Forum topic','forum','forum','A <em>forum topic</em> starts a new discussion thread within a forum.','',1,'Subject',0,0,1,0,'forum'),('local_video','Local Video','node_content','node','','',1,'Title',1,1,0,0,'local_video'),('online_video','Online Video','node_content','node','','',1,'Title',1,1,0,0,'online_video'),('page','Basic page','node_content','node','Use <em>basic pages</em> for your static content, such as an \'About us\' page.','',1,'Title',1,1,0,0,'page'),('poll','Poll','poll','poll','A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.','',1,'Question',0,0,1,0,'poll'),('showcase','Showcase','node_content','node','Showcase','',1,'Title',1,1,0,0,'showcase'),('weebpal_presets','WeebPal Presets','node_content','node','WeebPal Presets','',1,'Title',1,1,0,0,'presets');
/*!40000 ALTER TABLE `node_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `poll`
--

DROP TABLE IF EXISTS `poll`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `poll` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The poll’s node.nid.',
  `runtime` int(11) NOT NULL DEFAULT '0' COMMENT 'The number of seconds past node.created during which the poll is open.',
  `active` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not the poll is open.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores poll-specific information for poll nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `poll`
--

LOCK TABLES `poll` WRITE;
/*!40000 ALTER TABLE `poll` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `poll` VALUES (65,0,1),(66,0,1),(67,0,1),(68,0,1),(69,0,1);
/*!40000 ALTER TABLE `poll` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `poll_choice`
--

DROP TABLE IF EXISTS `poll_choice`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `poll_choice` (
  `chid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier for a poll choice.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this choice belongs to.',
  `chtext` varchar(128) NOT NULL DEFAULT '' COMMENT 'The text for this choice.',
  `chvotes` int(11) NOT NULL DEFAULT '0' COMMENT 'The total number of votes this choice has received by all users.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The sort order of this choice among all choices for the same node.',
  PRIMARY KEY (`chid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8 COMMENT='Stores information about all choices for all polls.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `poll_choice`
--

LOCK TABLES `poll_choice` WRITE;
/*!40000 ALTER TABLE `poll_choice` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `poll_choice` VALUES (1,65,'Integer tincidunt felis ut pretium viverra',20,1),(2,65,'Fusce suscipit rutrum libero, ac aliquet orci iaculis tempor',150,2),(3,65,'Nunc placerat, ligula vel sollicitudin molestie',70,3),(4,65,'Sed vestibulum magna quam',5,4),(5,66,'Curabitur a quam in mauris cursus porta eu sit amet ante',34,1),(6,66,'Suspendisse scelerisque erat a lacus',60,2),(7,66,'Morbi a sapien tincidunt, sollicitudin justo semper, feugiat elit',35,3),(8,67,'Nunc eu feugiat urna. Morbi sit amet tortor scelerisque',55,1),(9,67,'Nunc laoreet, enim vel porttitor pellentesque',45,2),(10,67,'Maecenas iaculis est et purus blandit; sit amet accumsan ante tristique',10,3),(11,67,'Quisque in elementum ligula, sed ullamcorper nisl',20,4),(12,68,'Drupal Community Enjoys Huge Turnout in Global Training Days',40,1),(13,68,'The Drupal Association’s Biggest Takeaways from DrupalCamp London',30,2),(14,68,'Drupal.Org User Research: Announcing a Request for Quote! ',60,3),(15,68,'Announcing the Newest Addition to the Association Staff: CTO Josh Mitchell!',20,4),(16,69,'Drupal Training: Taking the Developer Fast Track',100,1),(17,69,'And the Drupal Job Board Will Be Built By...',52,2),(18,69,'DrupalCon Latin America 2015 Site is Selected',17,3),(19,69,'Working Group Write-Up: January & February 2014',28,4);
/*!40000 ALTER TABLE `poll_choice` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `poll_vote`
--

DROP TABLE IF EXISTS `poll_vote`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `poll_vote` (
  `chid` int(10) unsigned NOT NULL COMMENT 'The users’s vote for this poll.',
  `nid` int(10) unsigned NOT NULL COMMENT 'The poll node this vote is for.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid this vote is from unless the voter was anonymous.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The IP address this vote is from unless the voter was logged in.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The timestamp of the vote creation.',
  PRIMARY KEY (`nid`,`uid`,`hostname`),
  KEY `chid` (`chid`),
  KEY `hostname` (`hostname`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores per-users votes for each poll.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `poll_vote`
--

LOCK TABLES `poll_vote` WRITE;
/*!40000 ALTER TABLE `poll_vote` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `poll_vote` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `queue`
--

DROP TABLE IF EXISTS `queue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `queue` (
  `item_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique item ID.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The queue name.',
  `data` longblob COMMENT 'The arbitrary data for the item.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the claim lease expires on the item.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the item was created.',
  PRIMARY KEY (`item_id`),
  KEY `name_created` (`name`,`created`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB AUTO_INCREMENT=1162 DEFAULT CHARSET=utf8 COMMENT='Stores items in queues.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `queue`
--

LOCK TABLES `queue` WRITE;
/*!40000 ALTER TABLE `queue` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `queue` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `rdf_mapping`
--

DROP TABLE IF EXISTS `rdf_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rdf_mapping` (
  `type` varchar(128) NOT NULL COMMENT 'The name of the entity type a mapping applies to (node, user, comment, etc.).',
  `bundle` varchar(128) NOT NULL COMMENT 'The name of the bundle a mapping applies to.',
  `mapping` longblob COMMENT 'The serialized mapping of the bundle type and fields to RDF terms.',
  PRIMARY KEY (`type`,`bundle`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores custom RDF mappings for user defined content types...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rdf_mapping`
--

LOCK TABLES `rdf_mapping` WRITE;
/*!40000 ALTER TABLE `rdf_mapping` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `rdf_mapping` VALUES ('node','article','a:11:{s:11:\"field_image\";a:2:{s:10:\"predicates\";a:2:{i:0;s:8:\"og:image\";i:1;s:12:\"rdfs:seeAlso\";}s:4:\"type\";s:3:\"rel\";}s:10:\"field_tags\";a:2:{s:10:\"predicates\";a:1:{i:0;s:10:\"dc:subject\";}s:4:\"type\";s:3:\"rel\";}s:7:\"rdftype\";a:2:{i:0;s:9:\"sioc:Item\";i:1;s:13:\"foaf:Document\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}'),('node','blog','a:9:{s:7:\"rdftype\";a:2:{i:0;s:9:\"sioc:Post\";i:1;s:14:\"sioct:BlogPost\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}'),('node','forum','a:10:{s:7:\"rdftype\";a:2:{i:0;s:9:\"sioc:Post\";i:1;s:15:\"sioct:BoardPost\";}s:15:\"taxonomy_forums\";a:2:{s:10:\"predicates\";a:1:{i:0;s:18:\"sioc:has_container\";}s:4:\"type\";s:3:\"rel\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}'),('node','page','a:9:{s:7:\"rdftype\";a:1:{i:0;s:13:\"foaf:Document\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}'),('node','poll','a:9:{s:7:\"rdftype\";a:2:{i:0;s:9:\"sioc:Post\";i:1;s:10:\"sioct:Poll\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}'),('taxonomy_term','forums','a:5:{s:7:\"rdftype\";a:2:{i:0;s:14:\"sioc:Container\";i:1;s:10:\"sioc:Forum\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:2:{i:0;s:10:\"rdfs:label\";i:1;s:14:\"skos:prefLabel\";}}s:11:\"description\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"skos:definition\";}}s:3:\"vid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:13:\"skos:inScheme\";}s:4:\"type\";s:3:\"rel\";}s:6:\"parent\";a:2:{s:10:\"predicates\";a:1:{i:0;s:12:\"skos:broader\";}s:4:\"type\";s:3:\"rel\";}}');
/*!40000 ALTER TABLE `rdf_mapping` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `registry`
--

DROP TABLE IF EXISTS `registry`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `registry` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function, class, or interface.',
  `type` varchar(9) NOT NULL DEFAULT '' COMMENT 'Either function or class or interface.',
  `filename` varchar(255) NOT NULL COMMENT 'Name of the file.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the module the file belongs to.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The order in which this module’s hooks should be invoked relative to other modules. Equal-weighted modules are ordered by name.',
  PRIMARY KEY (`name`,`type`),
  KEY `hook` (`type`,`weight`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Each record is a function, class, or interface name and...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `registry`
--

LOCK TABLES `registry` WRITE;
/*!40000 ALTER TABLE `registry` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `registry` VALUES ('AccessDeniedTestCase','class','modules/system/system.test','system',0),('AdminMenuCustomizedTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuDynamicLinksTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuLinkTypesTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuPermissionsTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuWebTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMetaTagTestCase','class','modules/system/system.test','system',0),('ArchiverInterface','interface','includes/archiver.inc','',0),('ArchiverTar','class','modules/system/system.archiver.inc','system',0),('ArchiverZip','class','modules/system/system.archiver.inc','system',0),('Archive_Tar','class','modules/system/system.tar.inc','system',0),('BatchMemoryQueue','class','includes/batch.queue.inc','',0),('BatchQueue','class','includes/batch.queue.inc','',0),('Bean','class','sites/all/modules/bean/includes/bean.core.inc','bean',0),('BeanAccess','class','sites/all/modules/bean/bean.test','bean',0),('BeanCustom','class','sites/all/modules/bean/bean_admin_ui/plugins/BeanCustom.class.php','bean_admin_ui',0),('BeanDefault','class','sites/all/modules/bean/plugins/BeanDefault.class.php','bean',0),('BeanEntityAPIController','class','sites/all/modules/bean/includes/bean.core.inc','bean',0),('BeanException','class','sites/all/modules/bean/includes/bean.core.inc','bean',0),('BeanInlineEntityFormController','class','sites/all/modules/bean/includes/bean.inline_entity_form.inc','bean',0),('BeanIntegrationTests','class','sites/all/modules/bean/bean.test','bean',0),('BeanMetadataController','class','sites/all/modules/bean/includes/bean.info.inc','bean',0),('BeanPlugin','class','sites/all/modules/bean/plugins/BeanPlugin.class.php','bean',0),('BeanSetup','class','sites/all/modules/bean/bean.test','bean',0),('BeanTestPlugins','class','sites/all/modules/bean/bean.test','bean',0),('BeanTests','class','sites/all/modules/bean/bean.test','bean',0),('BeanTypePluginInterface','interface','sites/all/modules/bean/includes/bean.core.inc','bean',0),('BeanUnitTests','class','sites/all/modules/bean/bean.test','bean',0),('BlockAdminThemeTestCase','class','modules/block/block.test','block',-5),('BlockCacheTestCase','class','modules/block/block.test','block',-5),('BlockHashTestCase','class','modules/block/block.test','block',-5),('BlockHiddenRegionTestCase','class','modules/block/block.test','block',-5),('BlockHTMLIdTestCase','class','modules/block/block.test','block',-5),('BlockInvalidRegionTestCase','class','modules/block/block.test','block',-5),('BlockTemplateSuggestionsUnitTest','class','modules/block/block.test','block',-5),('BlockTestCase','class','modules/block/block.test','block',-5),('BlockViewModuleDeltaAlterWebTest','class','modules/block/block.test','block',-5),('BlogTestCase','class','modules/blog/blog.test','blog',0),('ClockBlockTestCase','class','sites/all/modules/clock/clock.test','clock',0),('ColorTestCase','class','modules/color/color.test','color',0),('CommentActionsTestCase','class','modules/comment/comment.test','comment',0),('CommentAnonymous','class','modules/comment/comment.test','comment',0),('CommentApprovalTest','class','modules/comment/comment.test','comment',0),('CommentBlockFunctionalTest','class','modules/comment/comment.test','comment',0),('CommentContentRebuild','class','modules/comment/comment.test','comment',0),('CommentController','class','modules/comment/comment.module','comment',0),('CommentFieldsTest','class','modules/comment/comment.test','comment',0),('CommentHelperCase','class','modules/comment/comment.test','comment',0),('CommentInterfaceTest','class','modules/comment/comment.test','comment',0),('CommentNodeAccessTest','class','modules/comment/comment.test','comment',0),('CommentNodeChangesTestCase','class','modules/comment/comment.test','comment',0),('CommentPagerTest','class','modules/comment/comment.test','comment',0),('CommentPreviewTest','class','modules/comment/comment.test','comment',0),('CommentRSSUnitTest','class','modules/comment/comment.test','comment',0),('CommentThreadingTestCase','class','modules/comment/comment.test','comment',0),('CommentTokenReplaceTestCase','class','modules/comment/comment.test','comment',0),('ConfirmFormTest','class','modules/system/system.test','system',0),('ContactPersonalTestCase','class','modules/contact/contact.test','contact',0),('ContactSitewideTestCase','class','modules/contact/contact.test','contact',0),('ContextConditionBookroot','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionBookTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionContextTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionLanguageTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionMenuTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionNodeTaxonomyTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionNodeTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionPathTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionSitewideTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionUserPageTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionUserTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextReactionBlockAjaxAccessTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionBlockAjaxTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionBlockTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionBreadcrumbTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionMenuTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionRegionTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionThemeHtmlTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextualDynamicContextTestCase','class','modules/contextual/contextual.test','contextual',0),('ContextUiTestCase','class','sites/all/modules/context/context_ui/tests/context_ui.test','context_ui',0),('ContextUnitTest','class','sites/all/modules/context/tests/context.test','context',0),('context_condition','class','sites/all/modules/context/plugins/context_condition.inc','context',0),('context_condition_context','class','sites/all/modules/context/plugins/context_condition_context.inc','context',0),('context_condition_context_all','class','sites/all/modules/context/plugins/context_condition_context_all.inc','context',0),('context_condition_default','class','sites/all/modules/context/plugins/context_condition_default.inc','context',0),('context_condition_language','class','sites/all/modules/context/plugins/context_condition_language.inc','context',0),('context_condition_menu','class','sites/all/modules/context/plugins/context_condition_menu.inc','context',0),('context_condition_node','class','sites/all/modules/context/plugins/context_condition_node.inc','context',0),('context_condition_node_taxonomy','class','sites/all/modules/context/plugins/context_condition_node_taxonomy.inc','context',0),('context_condition_path','class','sites/all/modules/context/plugins/context_condition_path.inc','context',0),('context_condition_query_string','class','sites/all/modules/context/plugins/context_condition_query_string.inc','context',0),('context_condition_sitewide','class','sites/all/modules/context/plugins/context_condition_sitewide.inc','context',0),('context_condition_taxonomy_term','class','sites/all/modules/context/plugins/context_condition_taxonomy_term.inc','context',0),('context_condition_user','class','sites/all/modules/context/plugins/context_condition_user.inc','context',0),('context_condition_user_page','class','sites/all/modules/context/plugins/context_condition_user_page.inc','context',0),('context_condition_views','class','sites/all/modules/context/plugins/context_condition_views.inc','context',0),('context_export_ui','class','sites/all/modules/context/context_ui/export_ui/context_export_ui.class.php','context_ui',0),('context_reaction','class','sites/all/modules/context/plugins/context_reaction.inc','context',0),('context_reaction_block','class','sites/all/modules/context/plugins/context_reaction_block.inc','context',0),('context_reaction_breadcrumb','class','sites/all/modules/context/plugins/context_reaction_breadcrumb.inc','context',0),('context_reaction_debug','class','sites/all/modules/context/plugins/context_reaction_debug.inc','context',0),('context_reaction_menu','class','sites/all/modules/context/plugins/context_reaction_menu.inc','context',0),('context_reaction_region','class','sites/all/modules/context/plugins/context_reaction_region.inc','context',0),('context_reaction_template_suggestions','class','sites/all/modules/context/plugins/context_reaction_template_suggestions.inc','context',0),('context_reaction_theme','class','sites/all/modules/context/plugins/context_reaction_theme.inc','context',0),('context_reaction_theme_html','class','sites/all/modules/context/plugins/context_reaction_theme_html.inc','context',0),('CronQueueTestCase','class','modules/system/system.test','system',0),('CronRunTestCase','class','modules/system/system.test','system',0),('CtoolsContextKeywordsSubstitutionTestCase','class','sites/all/modules/ctools/tests/context.test','ctools',0),('CToolsCssCache','class','sites/all/modules/ctools/includes/css-cache.inc','ctools',0),('CtoolsCssTestCase','class','sites/all/modules/ctools/tests/css.test','ctools',0),('CtoolsMathExpressionStackTestCase','class','sites/all/modules/ctools/tests/math_expression_stack.test','ctools',0),('CtoolsMathExpressionTestCase','class','sites/all/modules/ctools/tests/math_expression.test','ctools',0),('CtoolsObjectCache','class','sites/all/modules/ctools/tests/object_cache.test','ctools',0),('CtoolsPluginsGetInfoTestCase','class','sites/all/modules/ctools/tests/ctools.plugins.test','ctools',0),('ctools_context','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_context_optional','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_context_required','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_export_ui','class','sites/all/modules/ctools/plugins/export_ui/ctools_export_ui.class.php','ctools',0),('ctools_math_expr','class','sites/all/modules/ctools/includes/math-expr.inc','ctools',0),('ctools_math_expr_stack','class','sites/all/modules/ctools/includes/math-expr.inc','ctools',0),('ctools_stylizer_image_processor','class','sites/all/modules/ctools/includes/stylizer.inc','ctools',0),('DashboardBlocksTestCase','class','modules/dashboard/dashboard.test','dashboard',0),('Database','class','includes/database/database.inc','',0),('DatabaseCondition','class','includes/database/query.inc','',0),('DatabaseConnection','class','includes/database/database.inc','',0),('DatabaseConnectionNotDefinedException','class','includes/database/database.inc','',0),('DatabaseConnection_mysql','class','includes/database/mysql/database.inc','',0),('DatabaseConnection_pgsql','class','includes/database/pgsql/database.inc','',0),('DatabaseConnection_sqlite','class','includes/database/sqlite/database.inc','',0),('DatabaseDriverNotSpecifiedException','class','includes/database/database.inc','',0),('DatabaseLog','class','includes/database/log.inc','',0),('DatabaseSchema','class','includes/database/schema.inc','',0),('DatabaseSchemaObjectDoesNotExistException','class','includes/database/schema.inc','',0),('DatabaseSchemaObjectExistsException','class','includes/database/schema.inc','',0),('DatabaseSchema_mysql','class','includes/database/mysql/schema.inc','',0),('DatabaseSchema_pgsql','class','includes/database/pgsql/schema.inc','',0),('DatabaseSchema_sqlite','class','includes/database/sqlite/schema.inc','',0),('DatabaseStatementBase','class','includes/database/database.inc','',0),('DatabaseStatementEmpty','class','includes/database/database.inc','',0),('DatabaseStatementInterface','interface','includes/database/database.inc','',0),('DatabaseStatementPrefetch','class','includes/database/prefetch.inc','',0),('DatabaseStatement_sqlite','class','includes/database/sqlite/database.inc','',0),('DatabaseTaskException','class','includes/install.inc','',0),('DatabaseTasks','class','includes/install.inc','',0),('DatabaseTasks_mysql','class','includes/database/mysql/install.inc','',0),('DatabaseTasks_pgsql','class','includes/database/pgsql/install.inc','',0),('DatabaseTasks_sqlite','class','includes/database/sqlite/install.inc','',0),('DatabaseTransaction','class','includes/database/database.inc','',0),('DatabaseTransactionCommitFailedException','class','includes/database/database.inc','',0),('DatabaseTransactionExplicitCommitNotAllowedException','class','includes/database/database.inc','',0),('DatabaseTransactionNameNonUniqueException','class','includes/database/database.inc','',0),('DatabaseTransactionNoActiveException','class','includes/database/database.inc','',0),('DatabaseTransactionOutOfOrderException','class','includes/database/database.inc','',0),('DateFormatTestCase','class','modules/system/system.test','system',0),('DateObject','class','sites/all/modules/date/date_api/date_api.module','date_api',0),('DateTimeFunctionalTest','class','modules/system/system.test','system',0),('date_sql_handler','class','sites/all/modules/date/date_api/date_api_sql.inc','date_api',0),('DBLogTestCase','class','modules/dblog/dblog.test','dblog',0),('DefaultMailSystem','class','modules/system/system.mail.inc','system',0),('DeleteQuery','class','includes/database/query.inc','',0),('DeleteQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('DrupalCacheArray','class','includes/bootstrap.inc','',0),('DrupalCacheInterface','interface','includes/cache.inc','',0),('DrupalDatabaseCache','class','includes/cache.inc','',0),('DrupalDefaultEntityController','class','includes/entity.inc','',0),('DrupalEntityControllerInterface','interface','includes/entity.inc','',0),('DrupalFakeCache','class','includes/cache-install.inc','',0),('DrupalLocalStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalPrivateStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalPublicStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalQueue','class','modules/system/system.queue.inc','system',0),('DrupalQueueInterface','interface','modules/system/system.queue.inc','system',0),('DrupalReliableQueueInterface','interface','modules/system/system.queue.inc','system',0),('DrupalSetMessageTest','class','modules/system/system.test','system',0),('DrupalStreamWrapperInterface','interface','includes/stream_wrappers.inc','',0),('DrupalTemporaryStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalUpdateException','class','includes/update.inc','',0),('DrupalUpdaterInterface','interface','includes/updater.inc','',0),('EnableDisableTestCase','class','modules/system/system.test','system',0),('Entity','class','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityAPICommentNodeAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityAPIController','class','sites/all/modules/entity/includes/entity.controller.inc','entity',0),('EntityAPIControllerExportable','class','sites/all/modules/entity/includes/entity.controller.inc','entity',0),('EntityAPIControllerInterface','interface','sites/all/modules/entity/includes/entity.controller.inc','entity',0),('EntityAPIControllerRevisionableInterface','interface','sites/all/modules/entity/includes/entity.controller.inc','entity',0),('EntityAPIi18nItegrationTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityAPIRulesIntegrationTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityAPITestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityBundleableUIController','class','sites/all/modules/entity/includes/entity.ui.inc','entity',0),('EntityContentUIController','class','sites/all/modules/entity/includes/entity.ui.inc','entity',0),('EntityDB','class','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityDBExtendable','class','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityDefaultExtraFieldsController','class','sites/all/modules/entity/entity.info.inc','entity',0),('EntityDefaultFeaturesController','class','sites/all/modules/entity/entity.features.inc','entity',0),('EntityDefaultI18nStringController','class','sites/all/modules/entity/entity.i18n.inc','entity',0),('EntityDefaultMetadataController','class','sites/all/modules/entity/entity.info.inc','entity',0),('EntityDefaultRulesController','class','sites/all/modules/entity/entity.rules.inc','entity',0),('EntityDefaultUIController','class','sites/all/modules/entity/includes/entity.ui.inc','entity',0),('EntityDefaultViewsController','class','sites/all/modules/entity/views/entity.views.inc','entity',0),('EntityDrupalWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityExtendable','class','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityExtraFieldsControllerInterface','interface','sites/all/modules/entity/entity.info.inc','entity',0),('EntityFieldHandlerHelper','class','sites/all/modules/entity/views/handlers/entity_views_field_handler_helper.inc','entity',0),('EntityFieldQuery','class','includes/entity.inc','',0),('EntityFieldQueryException','class','includes/entity.inc','',0),('EntityListWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityMalformedException','class','includes/entity.inc','',0),('EntityMetadataArrayObject','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityMetadataIntegrationTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataNodeAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataNodeCreateAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataNodeRevisionAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityMetadataWrapperException','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityMetadataWrapperIterator','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityPropertiesTestCase','class','modules/field/tests/field.test','field',0),('EntityReferenceAdminTestCase','class','sites/all/modules/entityreference/tests/entityreference.admin.test','entityreference',0),('EntityReferenceBehavior_TaxonomyIndex','class','sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_TaxonomyIndex.class.php','entityreference',0),('EntityReferenceBehavior_ViewsFilterSelect','class','sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_ViewsFilterSelect.class.php','entityreference',0),('EntityReferenceHandlersTestCase','class','sites/all/modules/entityreference/tests/entityreference.handlers.test','entityreference',0),('EntityReferenceTaxonomyTestCase','class','sites/all/modules/entityreference/tests/entityreference.taxonomy.test','entityreference',0),('EntityReference_BehaviorHandler','interface','sites/all/modules/entityreference/plugins/behavior/abstract.inc','entityreference',0),('EntityReference_BehaviorHandler_Abstract','class','sites/all/modules/entityreference/plugins/behavior/abstract.inc','entityreference',0),('EntityReference_BehaviorHandler_Broken','class','sites/all/modules/entityreference/plugins/behavior/abstract.inc','entityreference',0),('entityreference_plugin_display','class','sites/all/modules/entityreference/views/entityreference_plugin_display.inc','entityreference',0),('entityreference_plugin_row_fields','class','sites/all/modules/entityreference/views/entityreference_plugin_row_fields.inc','entityreference',0),('entityreference_plugin_style','class','sites/all/modules/entityreference/views/entityreference_plugin_style.inc','entityreference',0),('EntityReference_SelectionHandler','interface','sites/all/modules/entityreference/plugins/selection/abstract.inc','entityreference',0),('EntityReference_SelectionHandler_Broken','class','sites/all/modules/entityreference/plugins/selection/abstract.inc','entityreference',0),('EntityReference_SelectionHandler_Generic','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_comment','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_file','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_node','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_taxonomy_term','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_user','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Views','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Views.class.php','entityreference',0),('EntityStructureWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityTokenTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityTranslationBeanHandler','class','sites/all/modules/bean/includes/translation.handler.bean.inc','bean',0),('EntityValueWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityWebTestCase','class','sites/all/modules/entity/entity.test','entity',0),('entity_views_handler_area_entity','class','sites/all/modules/entity/views/handlers/entity_views_handler_area_entity.inc','entity',0),('entity_views_handler_field_boolean','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_boolean.inc','entity',0),('entity_views_handler_field_date','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_date.inc','entity',0),('entity_views_handler_field_duration','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_duration.inc','entity',0),('entity_views_handler_field_entity','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_entity.inc','entity',0),('entity_views_handler_field_field','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_field.inc','entity',0),('entity_views_handler_field_numeric','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_numeric.inc','entity',0),('entity_views_handler_field_options','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_options.inc','entity',0),('entity_views_handler_field_text','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_text.inc','entity',0),('entity_views_handler_field_uri','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_uri.inc','entity',0),('entity_views_handler_relationship','class','sites/all/modules/entity/views/handlers/entity_views_handler_relationship.inc','entity',0),('entity_views_handler_relationship_by_bundle','class','sites/all/modules/entity/views/handlers/entity_views_handler_relationship_by_bundle.inc','entity',0),('entity_views_plugin_row_entity_view','class','sites/all/modules/entity/views/plugins/entity_views_plugin_row_entity_view.inc','entity',0),('FeedsMapperFieldTestCase','class','sites/all/modules/entityreference/tests/entityreference.feeds.test','entityreference',0),('FieldAttachOtherTestCase','class','modules/field/tests/field.test','field',0),('FieldAttachStorageTestCase','class','modules/field/tests/field.test','field',0),('FieldAttachTestCase','class','modules/field/tests/field.test','field',0),('FieldBulkDeleteTestCase','class','modules/field/tests/field.test','field',0),('FieldCrudTestCase','class','modules/field/tests/field.test','field',0),('FieldDisplayAPITestCase','class','modules/field/tests/field.test','field',0),('FieldException','class','modules/field/field.module','field',0),('FieldFormTestCase','class','modules/field/tests/field.test','field',0),('FieldInfo','class','modules/field/field.info.class.inc','field',0),('FieldInfoTestCase','class','modules/field/tests/field.test','field',0),('FieldInstanceCrudTestCase','class','modules/field/tests/field.test','field',0),('FieldsOverlapException','class','includes/database/database.inc','',0),('FieldSqlStorageTestCase','class','modules/field/modules/field_sql_storage/field_sql_storage.test','field_sql_storage',0),('FieldTestCase','class','modules/field/tests/field.test','field',0),('FieldTranslationsTestCase','class','modules/field/tests/field.test','field',0),('FieldUIAlterTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUIManageDisplayTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUIManageFieldsTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUITestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUpdateForbiddenException','class','modules/field/field.module','field',0),('FieldValidationException','class','modules/field/field.attach.inc','field',0),('FileFieldAnonymousSubmission','class','modules/file/tests/file.test','file',0),('FileFieldDisplayTestCase','class','modules/file/tests/file.test','file',0),('FileFieldPathTestCase','class','modules/file/tests/file.test','file',0),('FileFieldRevisionTestCase','class','modules/file/tests/file.test','file',0),('FileFieldTestCase','class','modules/file/tests/file.test','file',0),('FileFieldValidateTestCase','class','modules/file/tests/file.test','file',0),('FileFieldWidgetTestCase','class','modules/file/tests/file.test','file',0),('FileManagedFileElementTestCase','class','modules/file/tests/file.test','file',0),('FilePrivateTestCase','class','modules/file/tests/file.test','file',0),('FileTaxonomyTermTestCase','class','modules/file/tests/file.test','file',0),('FileTokenReplaceTestCase','class','modules/file/tests/file.test','file',0),('FileTransfer','class','includes/filetransfer/filetransfer.inc','',0),('FileTransferChmodInterface','interface','includes/filetransfer/filetransfer.inc','',0),('FileTransferException','class','includes/filetransfer/filetransfer.inc','',0),('FileTransferFTP','class','includes/filetransfer/ftp.inc','',0),('FileTransferFTPExtension','class','includes/filetransfer/ftp.inc','',0),('FileTransferLocal','class','includes/filetransfer/local.inc','',0),('FileTransferSSH','class','includes/filetransfer/ssh.inc','',0),('FilterAdminTestCase','class','modules/filter/filter.test','filter',0),('FilterCRUDTestCase','class','modules/filter/filter.test','filter',0),('FilterDefaultFormatTestCase','class','modules/filter/filter.test','filter',0),('FilterDOMSerializeTestCase','class','modules/filter/filter.test','filter',0),('FilterFormatAccessTestCase','class','modules/filter/filter.test','filter',0),('FilterHooksTestCase','class','modules/filter/filter.test','filter',0),('FilterNoFormatTestCase','class','modules/filter/filter.test','filter',0),('FilterSecurityTestCase','class','modules/filter/filter.test','filter',0),('FilterSettingsTestCase','class','modules/filter/filter.test','filter',0),('FilterUnitTestCase','class','modules/filter/filter.test','filter',0),('FloodFunctionalTest','class','modules/system/system.test','system',0),('ForumIndexTestCase','class','modules/forum/forum.test','forum',0),('ForumTestCase','class','modules/forum/forum.test','forum',0),('FrontPageTestCase','class','modules/system/system.test','system',0),('HelpTestCase','class','modules/help/help.test','help',0),('HookRequirementsTestCase','class','modules/system/system.test','system',0),('ImageAdminStylesUnitTest','class','modules/image/image.test','image',0),('ImageAdminUiTestCase','class','modules/image/image.test','image',0),('ImageDimensionsScaleTestCase','class','modules/image/image.test','image',0),('ImageDimensionsTestCase','class','modules/image/image.test','image',0),('ImageEffectsUnitTest','class','modules/image/image.test','image',0),('ImageFieldDefaultImagesTestCase','class','modules/image/image.test','image',0),('ImageFieldDisplayTestCase','class','modules/image/image.test','image',0),('ImageFieldTestCase','class','modules/image/image.test','image',0),('ImageFieldValidateTestCase','class','modules/image/image.test','image',0),('ImageStyleFlushTest','class','modules/image/image.test','image',0),('ImageStylesPathAndUrlTestCase','class','modules/image/image.test','image',0),('ImageThemeFunctionWebTestCase','class','modules/image/image.test','image',0),('InfoFileParserTestCase','class','modules/system/system.test','system',0),('InsertQuery','class','includes/database/query.inc','',0),('InsertQuery_mysql','class','includes/database/mysql/query.inc','',0),('InsertQuery_pgsql','class','includes/database/pgsql/query.inc','',0),('InsertQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('InvalidMergeQueryException','class','includes/database/database.inc','',0),('IPAddressBlockingTestCase','class','modules/system/system.test','system',0),('LibrariesTestCase','class','sites/all/modules/libraries/tests/libraries.test','libraries',0),('LibrariesUnitTestCase','class','sites/all/modules/libraries/tests/libraries.test','libraries',0),('ListDynamicValuesTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListDynamicValuesValidationTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListFieldTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListFieldUITestCase','class','modules/field/modules/list/tests/list.test','list',0),('LocaleBrowserDetectionTest','class','modules/locale/locale.test','locale',0),('LocaleCommentLanguageFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleConfigurationTest','class','modules/locale/locale.test','locale',0),('LocaleContentFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleCSSAlterTest','class','modules/locale/locale.test','locale',0),('LocaleDateFormatsFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleExportFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleImportFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleInstallTest','class','modules/locale/locale.test','locale',0),('LocaleJavascriptTranslationTest','class','modules/locale/locale.test','locale',0),('LocaleLanguageNegotiationInfoFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleLanguageSwitchingFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleLibraryInfoAlterTest','class','modules/locale/locale.test','locale',0),('LocaleMultilingualFieldsFunctionalTest','class','modules/locale/locale.test','locale',0),('LocalePathFunctionalTest','class','modules/locale/locale.test','locale',0),('LocalePluralFormatTest','class','modules/locale/locale.test','locale',0),('LocaleStringIsSafeTest','class','modules/locale/locale.test','locale',0),('LocaleTranslationFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUILanguageNegotiationTest','class','modules/locale/locale.test','locale',0),('LocaleUninstallFrenchFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUninstallFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUrlRewritingTest','class','modules/locale/locale.test','locale',0),('LocaleUserCreationTest','class','modules/locale/locale.test','locale',0),('LocaleUserLanguageFunctionalTest','class','modules/locale/locale.test','locale',0),('MailSystemInterface','interface','includes/mail.inc','',0),('MemoryQueue','class','modules/system/system.queue.inc','system',0),('MenuNodeTestCase','class','modules/menu/menu.test','menu',0),('MenuTestCase','class','modules/menu/menu.test','menu',0),('MergeQuery','class','includes/database/query.inc','',0),('MigrateEntityReferenceFieldHandler','class','sites/all/modules/entityreference/entityreference.migrate.inc','entityreference',0),('MigrateVideoEmbedFieldFieldHandler','class','sites/all/modules/video_embed_field/video_embed_field.migrate.inc','video_embed_field',0),('ModuleDependencyTestCase','class','modules/system/system.test','system',0),('ModuleRequiredTestCase','class','modules/system/system.test','system',0),('ModuleTestCase','class','modules/system/system.test','system',0),('ModuleUpdater','class','modules/system/system.updater.inc','system',0),('ModuleVersionTestCase','class','modules/system/system.test','system',0),('MultiStepNodeFormBasicOptionsTest','class','modules/node/node.test','node',0),('NewDefaultThemeBlocks','class','modules/block/block.test','block',-5),('NewsletterAutomated','class','sites/all/modules/newsletter/includes/newsletter.automated.inc','newsletter',0),('NewsletterBasic','class','sites/all/modules/newsletter/includes/newsletter.basic.inc','newsletter',0),('NewsletterCustom','class','sites/all/modules/newsletter/includes/newsletter.custom.inc','newsletter',0),('NewsletterListController','class','sites/all/modules/newsletter/includes/newsletter.list.controller.inc','newsletter',0),('NewsletterListTestCase','class','sites/all/modules/newsletter/newsletter.test','newsletter',0),('NewsletterMailSystem','class','sites/all/modules/newsletter/includes/newsletter.mail.inc','newsletter',0),('NewsletterNewsletterController','class','sites/all/modules/newsletter/includes/newsletter.newsletter.controller.inc','newsletter',0),('NewsletterSubscriberController','class','sites/all/modules/newsletter/includes/newsletter.subscriber.controller.inc','newsletter',0),('NewsletterTemplateController','class','sites/all/modules/newsletter/includes/newsletter.template.controller.inc','newsletter',0),('NewsletterTemplateTestCase','class','sites/all/modules/newsletter/newsletter.test','newsletter',0),('newsletter_handler_field_datetime','class','sites/all/modules/newsletter/includes/views/handlers/newsletter_handler_field_datetime.inc','newsletter',0),('NodeAccessBaseTableTestCase','class','modules/node/node.test','node',0),('NodeAccessFieldTestCase','class','modules/node/node.test','node',0),('NodeAccessPagerTestCase','class','modules/node/node.test','node',0),('NodeAccessRebuildTestCase','class','modules/node/node.test','node',0),('NodeAccessRecordsTestCase','class','modules/node/node.test','node',0),('NodeAccessTestCase','class','modules/node/node.test','node',0),('NodeAdminTestCase','class','modules/node/node.test','node',0),('NodeBlockFunctionalTest','class','modules/node/node.test','node',0),('NodeBlockTestCase','class','modules/node/node.test','node',0),('NodeBuildContent','class','modules/node/node.test','node',0),('NodeController','class','modules/node/node.module','node',0),('NodeCreationTestCase','class','modules/node/node.test','node',0),('NodeEntityFieldQueryAlter','class','modules/node/node.test','node',0),('NodeEntityViewModeAlterTest','class','modules/node/node.test','node',0),('NodeFeedTestCase','class','modules/node/node.test','node',0),('NodeLoadHooksTestCase','class','modules/node/node.test','node',0),('NodeLoadMultipleTestCase','class','modules/node/node.test','node',0),('NodeMultiByteUtf8Test','class','modules/node/node.test','node',0),('NodePageCacheTest','class','modules/node/node.test','node',0),('NodePostSettingsTestCase','class','modules/node/node.test','node',0),('NodeQueryAlter','class','modules/node/node.test','node',0),('NodeRevisionPermissionsTestCase','class','modules/node/node.test','node',0),('NodeRevisionsTestCase','class','modules/node/node.test','node',0),('NodeRSSContentTestCase','class','modules/node/node.test','node',0),('NodeSaveTestCase','class','modules/node/node.test','node',0),('NodeTitleTestCase','class','modules/node/node.test','node',0),('NodeTitleXSSTestCase','class','modules/node/node.test','node',0),('NodeTokenReplaceTestCase','class','modules/node/node.test','node',0),('NodeTypePersistenceTestCase','class','modules/node/node.test','node',0),('NodeTypeTestCase','class','modules/node/node.test','node',0),('NodeWebTestCase','class','modules/node/node.test','node',0),('NoFieldsException','class','includes/database/database.inc','',0),('NoHelpTestCase','class','modules/help/help.test','help',0),('NonDefaultBlockAdmin','class','modules/block/block.test','block',-5),('NumberFieldTestCase','class','modules/field/modules/number/number.test','number',0),('OptionsSelectDynamicValuesTestCase','class','modules/field/modules/options/options.test','options',0),('OptionsWidgetsTestCase','class','modules/field/modules/options/options.test','options',0),('PageEditTestCase','class','modules/node/node.test','node',0),('PageNotFoundTestCase','class','modules/system/system.test','system',0),('PagePreviewTestCase','class','modules/node/node.test','node',0),('PagerDefault','class','includes/pager.inc','',0),('PageTitleFiltering','class','modules/system/system.test','system',0),('PageViewTestCase','class','modules/node/node.test','node',0),('PathautoBulkUpdateTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',0),('PathautoFunctionalTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',0),('PathautoFunctionalTestHelper','class','sites/all/modules/pathauto/pathauto.test','pathauto',0),('PathautoLocaleTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',0),('PathautoTestHelper','class','sites/all/modules/pathauto/pathauto.test','pathauto',0),('PathautoTokenTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',0),('PathautoUnitTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',0),('PathLanguageTestCase','class','modules/path/path.test','path',0),('PathLanguageUITestCase','class','modules/path/path.test','path',0),('PathMonolingualTestCase','class','modules/path/path.test','path',0),('PathTaxonomyTermTestCase','class','modules/path/path.test','path',0),('PathTestCase','class','modules/path/path.test','path',0),('PHPAccessTestCase','class','modules/php/php.test','php',0),('PHPFilterTestCase','class','modules/php/php.test','php',0),('PHPTestCase','class','modules/php/php.test','php',0),('PHPVideoToolkit','class','sites/all/modules/video/libraries/phpvideotoolkit/phpvideotoolkit.php5.php','video',0),('PHPVideoToolkitTestCase','class','sites/all/modules/video/tests/PHPVideoToolkit.test','video',0),('PollBlockTestCase','class','modules/poll/poll.test','poll',0),('PollCreateTestCase','class','modules/poll/poll.test','poll',0),('PollDeleteChoiceTestCase','class','modules/poll/poll.test','poll',0),('PollExpirationTestCase','class','modules/poll/poll.test','poll',0),('PollJSAddChoice','class','modules/poll/poll.test','poll',0),('PollTestCase','class','modules/poll/poll.test','poll',0),('PollTokenReplaceTestCase','class','modules/poll/poll.test','poll',0),('PollTranslateTestCase','class','modules/poll/poll.test','poll',0),('PollVoteCheckHostname','class','modules/poll/poll.test','poll',0),('PollVoteTestCase','class','modules/poll/poll.test','poll',0),('Preset','class','sites/all/modules/video/includes/Preset.inc','video',0),('Query','class','includes/database/query.inc','',0),('QueryAlterableInterface','interface','includes/database/query.inc','',0),('QueryConditionInterface','interface','includes/database/query.inc','',0),('QueryExtendableInterface','interface','includes/database/select.inc','',0),('QueryPlaceholderInterface','interface','includes/database/query.inc','',0),('QueueTestCase','class','modules/system/system.test','system',0),('RetrieveFileTestCase','class','modules/system/system.test','system',0),('SchemaCache','class','includes/bootstrap.inc','',0),('SearchAdvancedSearchForm','class','modules/search/search.test','search',0),('SearchBlockTestCase','class','modules/search/search.test','search',0),('SearchCommentCountToggleTestCase','class','modules/search/search.test','search',0),('SearchCommentTestCase','class','modules/search/search.test','search',0),('SearchConfigSettingsForm','class','modules/search/search.test','search',0),('SearchEmbedForm','class','modules/search/search.test','search',0),('SearchExactTestCase','class','modules/search/search.test','search',0),('SearchExcerptTestCase','class','modules/search/search.test','search',0),('SearchExpressionInsertExtractTestCase','class','modules/search/search.test','search',0),('SearchKeywordsConditions','class','modules/search/search.test','search',0),('SearchLanguageTestCase','class','modules/search/search.test','search',0),('SearchMatchTestCase','class','modules/search/search.test','search',0),('SearchNodeAccessTest','class','modules/search/search.test','search',0),('SearchNodeTagTest','class','modules/search/search.test','search',0),('SearchNumberMatchingTestCase','class','modules/search/search.test','search',0),('SearchNumbersTestCase','class','modules/search/search.test','search',0),('SearchPageOverride','class','modules/search/search.test','search',0),('SearchPageText','class','modules/search/search.test','search',0),('SearchQuery','class','modules/search/search.extender.inc','search',0),('SearchRankingTestCase','class','modules/search/search.test','search',0),('SearchSetLocaleTest','class','modules/search/search.test','search',0),('SearchSimplifyTestCase','class','modules/search/search.test','search',0),('SearchTokenizerTestCase','class','modules/search/search.test','search',0),('SelectQuery','class','includes/database/select.inc','',0),('SelectQueryExtender','class','includes/database/select.inc','',0),('SelectQueryInterface','interface','includes/database/select.inc','',0),('SelectQuery_pgsql','class','includes/database/pgsql/select.inc','',0),('SelectQuery_sqlite','class','includes/database/sqlite/select.inc','',0),('Services_Zencoder','class','sites/all/libraries/zencoder/Services/Zencoder.php','zencoderapi',0),('ShortcutLinksTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShortcutSetsTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShortcutTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShutdownFunctionsTest','class','modules/system/system.test','system',0),('SiteMaintenanceTestCase','class','modules/system/system.test','system',0),('SkipDotsRecursiveDirectoryIterator','class','includes/filetransfer/filetransfer.inc','',0),('StreamWrapperInterface','interface','includes/stream_wrappers.inc','',0),('SummaryLengthTestCase','class','modules/node/node.test','node',0),('SystemAdminTestCase','class','modules/system/system.test','system',0),('SystemAuthorizeCase','class','modules/system/system.test','system',0),('SystemBlockTestCase','class','modules/system/system.test','system',0),('SystemIndexPhpTest','class','modules/system/system.test','system',0),('SystemInfoAlterTestCase','class','modules/system/system.test','system',0),('SystemMainContentFallback','class','modules/system/system.test','system',0),('SystemQueue','class','modules/system/system.queue.inc','system',0),('SystemThemeFunctionalTest','class','modules/system/system.test','system',0),('SystemValidTokenTest','class','modules/system/system.test','system',0),('TableSort','class','includes/tablesort.inc','',0),('TaxonomyEFQTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyHooksTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyLegacyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyLoadMultipleTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyMenuHierarchyTest','class','sites/all/modules/taxonomy_menu/taxonomy_menu.test','taxonomy_menu',0),('TaxonomyMenuTreeNode','class','sites/all/modules/taxonomy_menu/taxonomy_menu.test','taxonomy_menu',0),('TaxonomyMenuUnitTest','class','sites/all/modules/taxonomy_menu/taxonomy_menu.test','taxonomy_menu',0),('TaxonomyMenuWebTestCase','class','sites/all/modules/taxonomy_menu/taxonomy_menu.test','taxonomy_menu',0),('TaxonomyQueryAlterTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyRSSTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermController','class','modules/taxonomy/taxonomy.module','taxonomy',0),('TaxonomyTermFieldMultipleVocabularyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermFieldTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermFunctionTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermIndexTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyThemeTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTokenReplaceTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyVocabularyController','class','modules/taxonomy/taxonomy.module','taxonomy',0),('TaxonomyVocabularyFunctionalTest','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyVocabularyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyWebTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TestingMailSystem','class','modules/system/system.mail.inc','system',0),('TextFieldTestCase','class','modules/field/modules/text/text.test','text',0),('TextSummaryTestCase','class','modules/field/modules/text/text.test','text',0),('TextTranslationTestCase','class','modules/field/modules/text/text.test','text',0),('ThemeRegistry','class','includes/theme.inc','',0),('ThemeUpdater','class','modules/system/system.updater.inc','system',0),('TokenArrayTestCase','class','sites/all/modules/token/token.test','token',0),('TokenBlockTestCase','class','sites/all/modules/token/token.test','token',0),('TokenCommentTestCase','class','sites/all/modules/token/token.test','token',0),('TokenCurrentPageTestCase','class','sites/all/modules/token/token.test','token',0),('TokenDateTestCase','class','sites/all/modules/token/token.test','token',0),('TokenEntityTestCase','class','sites/all/modules/token/token.test','token',0),('TokenFileTestCase','class','sites/all/modules/token/token.test','token',0),('TokenMenuTestCase','class','sites/all/modules/token/token.test','token',0),('TokenNodeTestCase','class','sites/all/modules/token/token.test','token',0),('TokenProfileTestCase','class','sites/all/modules/token/token.test','token',0),('TokenRandomTestCase','class','sites/all/modules/token/token.test','token',0),('TokenReplaceTestCase','class','modules/system/system.test','system',0),('TokenScanTest','class','modules/system/system.test','system',0),('TokenTaxonomyTestCase','class','sites/all/modules/token/token.test','token',0),('TokenTestHelper','class','sites/all/modules/token/token.test','token',0),('TokenUnitTestCase','class','sites/all/modules/token/token.test','token',0),('TokenURLTestCase','class','sites/all/modules/token/token.test','token',0),('TokenUserTestCase','class','sites/all/modules/token/token.test','token',0),('Transcoder','class','sites/all/modules/video/includes/Transcoder.inc','video',0),('TranscoderAbstractionFactory','class','sites/all/modules/video/includes/TranscoderFactory.inc','video',0),('TranscoderAbstractionFactoryFfmpeg','class','sites/all/modules/video/transcoders/TranscoderAbstractionFactoryFfmpeg.inc','video',0),('TranscoderAbstractionFactoryFfmpegTestCase','class','sites/all/modules/video/tests/TranscoderAbstractionFactoryFfmpeg.test','video',0),('TranscoderAbstractionFactoryZencoder','class','sites/all/modules/video/transcoders/TranscoderAbstractionFactoryZencoder.inc','video',0),('TranscoderAbstractionFactoryZencoderTestCase','class','sites/all/modules/video/tests/TranscoderAbstractionFactoryZencoder.test','video',0),('TranscoderFactoryInterface','interface','sites/all/modules/video/includes/TranscoderFactory.inc','video',0),('TruncateQuery','class','includes/database/query.inc','',0),('TruncateQuery_mysql','class','includes/database/mysql/query.inc','',0),('TruncateQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('UpdateCoreTestCase','class','modules/update/update.test','update',0),('UpdateCoreUnitTestCase','class','modules/update/update.test','update',0),('UpdateQuery','class','includes/database/query.inc','',0),('UpdateQuery_pgsql','class','includes/database/pgsql/query.inc','',0),('UpdateQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('Updater','class','includes/updater.inc','',0),('UpdaterException','class','includes/updater.inc','',0),('UpdaterFileTransferException','class','includes/updater.inc','',0),('UpdateScriptFunctionalTest','class','modules/system/system.test','system',0),('UpdateTestContribCase','class','modules/update/update.test','update',0),('UpdateTestHelper','class','modules/update/update.test','update',0),('UpdateTestUploadCase','class','modules/update/update.test','update',0),('UserAccountLinksUnitTests','class','modules/user/user.test','user',0),('UserAdminTestCase','class','modules/user/user.test','user',0),('UserAuthmapAssignmentTestCase','class','modules/user/user.test','user',0),('UserAutocompleteTestCase','class','modules/user/user.test','user',0),('UserBlocksUnitTests','class','modules/user/user.test','user',0),('UserCancelTestCase','class','modules/user/user.test','user',0),('UserController','class','modules/user/user.module','user',0),('UserCreateTestCase','class','modules/user/user.test','user',0),('UserEditedOwnAccountTestCase','class','modules/user/user.test','user',0),('UserEditRebuildTestCase','class','modules/user/user.test','user',0),('UserEditTestCase','class','modules/user/user.test','user',0),('UserLoginTestCase','class','modules/user/user.test','user',0),('UserPasswordResetTestCase','class','modules/user/user.test','user',0),('UserPermissionsTestCase','class','modules/user/user.test','user',0),('UserPictureTestCase','class','modules/user/user.test','user',0),('UserRegistrationTestCase','class','modules/user/user.test','user',0),('UserRoleAdminTestCase','class','modules/user/user.test','user',0),('UserRolesAssignmentTestCase','class','modules/user/user.test','user',0),('UserSaveTestCase','class','modules/user/user.test','user',0),('UserSignatureTestCase','class','modules/user/user.test','user',0),('UserTimeZoneFunctionalTest','class','modules/user/user.test','user',0),('UserTokenReplaceTestCase','class','modules/user/user.test','user',0),('UserUserSearchTestCase','class','modules/user/user.test','user',0),('UserValidateCurrentPassCustomForm','class','modules/user/user.test','user',0),('UserValidationTestCase','class','modules/user/user.test','user',0),('VideoFieldTestCase','class','sites/all/modules/video/tests/VideoField.test','video',0),('VideoSchedulingTestCase','class','sites/all/modules/video/tests/VideoScheduling.test','video',0),('VideoUtilityTestCase','class','sites/all/modules/video/tests/VideoUtility.test','video',0),('video_handler_field_video_duration','class','sites/all/modules/video/views/video_handler_field_video_duration.inc','video',0),('video_jobs','class','sites/all/modules/video/includes/jobs.inc','video',0),('video_utility','class','sites/all/modules/video/video.utility.inc','video',0),('view','class','sites/all/modules/views/includes/view.inc','views',10),('ViewsAccessTest','class','sites/all/modules/views/tests/views_access.test','views',0),('ViewsAnalyzeTest','class','sites/all/modules/views/tests/views_analyze.test','views',0),('ViewsArgumentDefaultTest','class','sites/all/modules/views/tests/views_argument_default.test','views',0),('ViewsArgumentValidatorTest','class','sites/all/modules/views/tests/views_argument_validator.test','views',0),('ViewsBasicTest','class','sites/all/modules/views/tests/views_basic.test','views',0),('ViewsCacheTest','class','sites/all/modules/views/tests/views_cache.test','views',0),('ViewsExposedFormTest','class','sites/all/modules/views/tests/views_exposed_form.test','views',10),('viewsFieldApiDataTest','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',0),('ViewsFieldApiTestHelper','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',0),('ViewsGlossaryTestCase','class','sites/all/modules/views/tests/views_glossary.test','views',0),('ViewsHandlerAreaTextTest','class','sites/all/modules/views/tests/handlers/views_handler_area_text.test','views',0),('viewsHandlerArgumentCommentUserUidTest','class','sites/all/modules/views/tests/comment/views_handler_argument_comment_user_uid.test','views',0),('ViewsHandlerArgumentNullTest','class','sites/all/modules/views/tests/handlers/views_handler_argument_null.test','views',0),('ViewsHandlerArgumentStringTest','class','sites/all/modules/views/tests/handlers/views_handler_argument_string.test','views',0),('ViewsHandlerFieldBooleanTest','class','sites/all/modules/views/tests/handlers/views_handler_field_boolean.test','views',0),('ViewsHandlerFieldCustomTest','class','sites/all/modules/views/tests/handlers/views_handler_field_custom.test','views',0),('ViewsHandlerFieldDateTest','class','sites/all/modules/views/tests/handlers/views_handler_field_date.test','views',0),('viewsHandlerFieldFieldTest','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',0),('ViewsHandlerFieldMath','class','sites/all/modules/views/tests/handlers/views_handler_field_math.test','views',0),('ViewsHandlerFieldTest','class','sites/all/modules/views/tests/handlers/views_handler_field.test','views',0),('ViewsHandlerFieldUrlTest','class','sites/all/modules/views/tests/handlers/views_handler_field_url.test','views',0),('viewsHandlerFieldUserNameTest','class','sites/all/modules/views/tests/user/views_handler_field_user_name.test','views',0),('ViewsHandlerFileExtensionTest','class','sites/all/modules/views/tests/handlers/views_handler_field_file_extension.test','views',10),('ViewsHandlerFilterCombineTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_combine.test','views',0),('viewsHandlerFilterCommentUserUidTest','class','sites/all/modules/views/tests/comment/views_handler_filter_comment_user_uid.test','views',0),('ViewsHandlerFilterCounterTest','class','sites/all/modules/views/tests/handlers/views_handler_field_counter.test','views',0),('ViewsHandlerFilterDateTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_date.test','views',10),('ViewsHandlerFilterEqualityTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_equality.test','views',0),('ViewsHandlerFilterInOperator','class','sites/all/modules/views/tests/handlers/views_handler_filter_in_operator.test','views',0),('ViewsHandlerFilterNumericTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_numeric.test','views',0),('ViewsHandlerFilterStringTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_string.test','views',0),('ViewsHandlerRelationshipNodeTermDataTest','class','sites/all/modules/views/tests/taxonomy/views_handler_relationship_node_term_data.test','views',0),('ViewsHandlerSortDateTest','class','sites/all/modules/views/tests/handlers/views_handler_sort_date.test','views',0),('ViewsHandlerSortRandomTest','class','sites/all/modules/views/tests/handlers/views_handler_sort_random.test','views',0),('ViewsHandlerSortTest','class','sites/all/modules/views/tests/handlers/views_handler_sort.test','views',0),('ViewsHandlersTest','class','sites/all/modules/views/tests/views_handlers.test','views',0),('ViewsHandlerTest','class','sites/all/modules/views/tests/handlers/views_handlers.test','views',10),('ViewsHandlerTestFileSize','class','sites/all/modules/views/tests/handlers/views_handler_field_file_size.test','views',0),('ViewsHandlerTestXss','class','sites/all/modules/views/tests/handlers/views_handler_field_xss.test','views',0),('ViewsModuleTest','class','sites/all/modules/views/tests/views_module.test','views',10),('ViewsNodeRevisionRelationsTestCase','class','sites/all/modules/views/tests/node/views_node_revision_relations.test','views',0),('ViewsPagerTest','class','sites/all/modules/views/tests/views_pager.test','views',0),('ViewsPluginDisplayTestCase','class','sites/all/modules/views/tests/plugins/views_plugin_display.test','views',0),('viewsPluginStyleJumpMenuTest','class','sites/all/modules/views/tests/styles/views_plugin_style_jump_menu.test','views',0),('ViewsPluginStyleMappingTest','class','sites/all/modules/views/tests/styles/views_plugin_style_mapping.test','views',0),('ViewsPluginStyleTestBase','class','sites/all/modules/views/tests/styles/views_plugin_style_base.test','views',0),('ViewsPluginStyleTestCase','class','sites/all/modules/views/tests/styles/views_plugin_style.test','views',10),('ViewsPluginStyleUnformattedTestCase','class','sites/all/modules/views/tests/styles/views_plugin_style_unformatted.test','views',0),('ViewsQueryGroupByTest','class','sites/all/modules/views/tests/views_groupby.test','views',10),('viewsSearchQuery','class','sites/all/modules/views/modules/search/views_handler_filter_search.inc','views',10),('ViewsSqlTest','class','sites/all/modules/views/tests/views_query.test','views',10),('ViewsTestCase','class','sites/all/modules/views/tests/views_query.test','views',10),('ViewsTranslatableTest','class','sites/all/modules/views/tests/views_translatable.test','views',0),('ViewsUiBaseViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('ViewsUiCommentViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_comment_views_wizard.class.php','views_ui',0),('ViewsUiFileManagedViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_file_managed_views_wizard.class.php','views_ui',0),('viewsUiGroupbyTestCase','class','sites/all/modules/views/tests/views_groupby.test','views',10),('ViewsUiNodeRevisionViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_node_revision_views_wizard.class.php','views_ui',0),('ViewsUiNodeViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_node_views_wizard.class.php','views_ui',0),('ViewsUiTaxonomyTermViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_taxonomy_term_views_wizard.class.php','views_ui',0),('ViewsUiUsersViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_users_views_wizard.class.php','views_ui',0),('ViewsUIWizardBasicTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardDefaultViewsTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardHelper','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardItemsPerPageTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardJumpMenuTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardMenuTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardOverrideDisplaysTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardSortingTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardTaggedWithTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUpgradeTestCase','class','sites/all/modules/views/tests/views_upgrade.test','views',0),('ViewsUserArgumentDefault','class','sites/all/modules/views/tests/user/views_user_argument_default.test','views',0),('ViewsUserArgumentValidate','class','sites/all/modules/views/tests/user/views_user_argument_validate.test','views',0),('ViewsUserTestCase','class','sites/all/modules/views/tests/user/views_user.test','views',0),('ViewsViewTest','class','sites/all/modules/views/tests/views_view.test','views',0),('ViewsWizardException','class','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('ViewsWizardInterface','interface','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('views_db_object','class','sites/all/modules/views/includes/view.inc','views',10),('views_display','class','sites/all/modules/views/includes/view.inc','views',10),('views_embed_field_views_handler_field_thumbnail_path','class','sites/all/modules/video_embed_field/views/handlers/views_embed_field_views_handler_field_thumbnail_path.inc','video_embed_field',0),('views_fieldsets_fieldset_field_handler','class','sites/all/modules/views_fieldsets/views/views_fieldsets_fieldset_field_handler.inc','views_fieldsets',0),('views_handler','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_handler_area','class','sites/all/modules/views/handlers/views_handler_area.inc','views',0),('views_handler_area_broken','class','sites/all/modules/views/handlers/views_handler_area.inc','views',0),('views_handler_area_messages','class','sites/all/modules/views/handlers/views_handler_area_messages.inc','views',10),('views_handler_area_result','class','sites/all/modules/views/handlers/views_handler_area_result.inc','views',10),('views_handler_area_text','class','sites/all/modules/views/handlers/views_handler_area_text.inc','views',0),('views_handler_area_text_custom','class','sites/all/modules/views/handlers/views_handler_area_text_custom.inc','views',0),('views_handler_area_view','class','sites/all/modules/views/handlers/views_handler_area_view.inc','views',10),('views_handler_argument','class','sites/all/modules/views/handlers/views_handler_argument.inc','views',10),('views_handler_argument_aggregator_category_cid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_category_cid.inc','views',0),('views_handler_argument_aggregator_fid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_fid.inc','views',0),('views_handler_argument_aggregator_iid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_iid.inc','views',0),('views_handler_argument_broken','class','sites/all/modules/views/handlers/views_handler_argument.inc','views',10),('views_handler_argument_comment_user_uid','class','sites/all/modules/views/modules/comment/views_handler_argument_comment_user_uid.inc','views',0),('views_handler_argument_date','class','sites/all/modules/views/handlers/views_handler_argument_date.inc','views',0),('views_handler_argument_field_list','class','sites/all/modules/views/modules/field/views_handler_argument_field_list.inc','views',0),('views_handler_argument_field_list_string','class','sites/all/modules/views/modules/field/views_handler_argument_field_list_string.inc','views',0),('views_handler_argument_file_fid','class','sites/all/modules/views/modules/system/views_handler_argument_file_fid.inc','views',0),('views_handler_argument_formula','class','sites/all/modules/views/handlers/views_handler_argument_formula.inc','views',0),('views_handler_argument_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_argument_group_by_numeric.inc','views',0),('views_handler_argument_locale_group','class','sites/all/modules/views/modules/locale/views_handler_argument_locale_group.inc','views',0),('views_handler_argument_locale_language','class','sites/all/modules/views/modules/locale/views_handler_argument_locale_language.inc','views',0),('views_handler_argument_many_to_one','class','sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc','views',0),('views_handler_argument_node_created_day','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_fulldate','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_month','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_week','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_year','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_year_month','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_language','class','sites/all/modules/views/modules/node/views_handler_argument_node_language.inc','views',0),('views_handler_argument_node_nid','class','sites/all/modules/views/modules/node/views_handler_argument_node_nid.inc','views',0),('views_handler_argument_node_tnid','class','sites/all/modules/views/modules/translation/views_handler_argument_node_tnid.inc','views',0),('views_handler_argument_node_type','class','sites/all/modules/views/modules/node/views_handler_argument_node_type.inc','views',0),('views_handler_argument_node_uid_revision','class','sites/all/modules/views/modules/node/views_handler_argument_node_uid_revision.inc','views',0),('views_handler_argument_node_vid','class','sites/all/modules/views/modules/node/views_handler_argument_node_vid.inc','views',0),('views_handler_argument_null','class','sites/all/modules/views/handlers/views_handler_argument_null.inc','views',0),('views_handler_argument_numeric','class','sites/all/modules/views/handlers/views_handler_argument_numeric.inc','views',0),('views_handler_argument_search','class','sites/all/modules/views/modules/search/views_handler_argument_search.inc','views',10),('views_handler_argument_string','class','sites/all/modules/views/handlers/views_handler_argument_string.inc','views',0),('views_handler_argument_taxonomy','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_taxonomy.inc','views',0),('views_handler_argument_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid.inc','views',10),('views_handler_argument_term_node_tid_depth','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth.inc','views',0),('views_handler_argument_term_node_tid_depth_join','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc','views',10),('views_handler_argument_term_node_tid_depth_modifier','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc','views',0),('views_handler_argument_tracker_comment_user_uid','class','sites/all/modules/views/modules/tracker/views_handler_argument_tracker_comment_user_uid.inc','views',0),('views_handler_argument_users_roles_rid','class','sites/all/modules/views/modules/user/views_handler_argument_users_roles_rid.inc','views',0),('views_handler_argument_user_uid','class','sites/all/modules/views/modules/user/views_handler_argument_user_uid.inc','views',0),('views_handler_argument_vocabulary_machine_name','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc','views',0),('views_handler_argument_vocabulary_vid','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_vid.inc','views',0),('views_handler_field','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_field_accesslog_path','class','sites/all/modules/views/modules/statistics/views_handler_field_accesslog_path.inc','views',0),('views_handler_field_aggregator_category','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_category.inc','views',0),('views_handler_field_aggregator_title_link','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_title_link.inc','views',0),('views_handler_field_aggregator_xss','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_xss.inc','views',0),('views_handler_field_bean_delete_link','class','sites/all/modules/bean/views/views_handler_field_bean_delete_link.inc','bean',0),('views_handler_field_bean_edit_link','class','sites/all/modules/bean/views/views_handler_field_bean_edit_link.inc','bean',0),('views_handler_field_bean_operations','class','sites/all/modules/bean/views/views_handler_field_bean_operations.inc','bean',0),('views_handler_field_bean_type','class','sites/all/modules/bean/views/views_handler_field_bean_type.inc','bean',0),('views_handler_field_boolean','class','sites/all/modules/views/handlers/views_handler_field_boolean.inc','views',0),('views_handler_field_broken','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_field_comment','class','sites/all/modules/views/modules/comment/views_handler_field_comment.inc','views',0),('views_handler_field_comment_depth','class','sites/all/modules/views/modules/comment/views_handler_field_comment_depth.inc','views',0),('views_handler_field_comment_link','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link.inc','views',0),('views_handler_field_comment_link_approve','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_approve.inc','views',0),('views_handler_field_comment_link_delete','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_delete.inc','views',0),('views_handler_field_comment_link_edit','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_edit.inc','views',0),('views_handler_field_comment_link_reply','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_reply.inc','views',0),('views_handler_field_comment_node_link','class','sites/all/modules/views/modules/comment/views_handler_field_comment_node_link.inc','views',0),('views_handler_field_comment_username','class','sites/all/modules/views/modules/comment/views_handler_field_comment_username.inc','views',0),('views_handler_field_contact_link','class','sites/all/modules/views/modules/contact/views_handler_field_contact_link.inc','views',0),('views_handler_field_contextual_links','class','sites/all/modules/views/handlers/views_handler_field_contextual_links.inc','views',10),('views_handler_field_counter','class','sites/all/modules/views/handlers/views_handler_field_counter.inc','views',10),('views_handler_field_ctools_dropdown','class','sites/all/modules/views/handlers/views_handler_field_ctools_dropdown.inc','views',10),('views_handler_field_custom','class','sites/all/modules/views/handlers/views_handler_field_custom.inc','views',0),('views_handler_field_date','class','sites/all/modules/views/handlers/views_handler_field_date.inc','views',0),('views_handler_field_entity','class','sites/all/modules/views/handlers/views_handler_field_entity.inc','views',0),('views_handler_field_field','class','sites/all/modules/views/modules/field/views_handler_field_field.inc','views',10),('views_handler_field_file','class','sites/all/modules/views/modules/system/views_handler_field_file.inc','views',0),('views_handler_field_file_extension','class','sites/all/modules/views/modules/system/views_handler_field_file_extension.inc','views',0),('views_handler_field_file_filemime','class','sites/all/modules/views/modules/system/views_handler_field_file_filemime.inc','views',0),('views_handler_field_file_size','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_field_file_status','class','sites/all/modules/views/modules/system/views_handler_field_file_status.inc','views',0),('views_handler_field_file_uri','class','sites/all/modules/views/modules/system/views_handler_field_file_uri.inc','views',0),('views_handler_field_filter_format_name','class','sites/all/modules/views/modules/filter/views_handler_field_filter_format_name.inc','views',0),('views_handler_field_history_user_timestamp','class','sites/all/modules/views/modules/node/views_handler_field_history_user_timestamp.inc','views',0),('views_handler_field_last_comment_timestamp','class','sites/all/modules/views/modules/comment/views_handler_field_last_comment_timestamp.inc','views',0),('views_handler_field_links','class','sites/all/modules/views/handlers/views_handler_field_links.inc','views',10),('views_handler_field_locale_group','class','sites/all/modules/views/modules/locale/views_handler_field_locale_group.inc','views',0),('views_handler_field_locale_language','class','sites/all/modules/views/modules/locale/views_handler_field_locale_language.inc','views',0),('views_handler_field_locale_link_edit','class','sites/all/modules/views/modules/locale/views_handler_field_locale_link_edit.inc','views',10),('views_handler_field_machine_name','class','sites/all/modules/views/handlers/views_handler_field_machine_name.inc','views',0),('views_handler_field_markup','class','sites/all/modules/views/handlers/views_handler_field_markup.inc','views',0),('views_handler_field_math','class','sites/all/modules/views/handlers/views_handler_field_math.inc','views',10),('views_handler_field_ncs_last_comment_name','class','sites/all/modules/views/modules/comment/views_handler_field_ncs_last_comment_name.inc','views',0),('views_handler_field_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_field_ncs_last_updated.inc','views',0),('views_handler_field_node','class','sites/all/modules/views/modules/node/views_handler_field_node.inc','views',0),('views_handler_field_node_comment','class','sites/all/modules/views/modules/comment/views_handler_field_node_comment.inc','views',0),('views_handler_field_node_counter_timestamp','class','sites/all/modules/views/modules/statistics/views_handler_field_node_counter_timestamp.inc','views',10),('views_handler_field_node_language','class','sites/all/modules/views/modules/locale/views_handler_field_node_language.inc','views',0),('views_handler_field_node_link','class','sites/all/modules/views/modules/node/views_handler_field_node_link.inc','views',0),('views_handler_field_node_link_delete','class','sites/all/modules/views/modules/node/views_handler_field_node_link_delete.inc','views',0),('views_handler_field_node_link_edit','class','sites/all/modules/views/modules/node/views_handler_field_node_link_edit.inc','views',0),('views_handler_field_node_link_translate','class','sites/all/modules/views/modules/translation/views_handler_field_node_link_translate.inc','views',0),('views_handler_field_node_new_comments','class','sites/all/modules/views/modules/comment/views_handler_field_node_new_comments.inc','views',0),('views_handler_field_node_path','class','sites/all/modules/views/modules/node/views_handler_field_node_path.inc','views',0),('views_handler_field_node_revision','class','sites/all/modules/views/modules/node/views_handler_field_node_revision.inc','views',0),('views_handler_field_node_revision_link','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link.inc','views',0),('views_handler_field_node_revision_link_delete','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link_delete.inc','views',0),('views_handler_field_node_revision_link_revert','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link_revert.inc','views',0),('views_handler_field_node_translation_link','class','sites/all/modules/views/modules/translation/views_handler_field_node_translation_link.inc','views',0),('views_handler_field_node_type','class','sites/all/modules/views/modules/node/views_handler_field_node_type.inc','views',0),('views_handler_field_node_version_count','class','sites/all/modules/views/modules/node/views_handler_field_node_version_count.inc','views',10),('views_handler_field_numeric','class','sites/all/modules/views/handlers/views_handler_field_numeric.inc','views',10),('views_handler_field_prerender_list','class','sites/all/modules/views/handlers/views_handler_field_prerender_list.inc','views',0),('views_handler_field_profile_date','class','sites/all/modules/views/modules/profile/views_handler_field_profile_date.inc','views',0),('views_handler_field_profile_list','class','sites/all/modules/views/modules/profile/views_handler_field_profile_list.inc','views',0),('views_handler_field_search_score','class','sites/all/modules/views/modules/search/views_handler_field_search_score.inc','views',0),('views_handler_field_serialized','class','sites/all/modules/views/handlers/views_handler_field_serialized.inc','views',0),('views_handler_field_statistics_numeric','class','sites/all/modules/views/modules/statistics/views_handler_field_statistics_numeric.inc','views',10),('views_handler_field_taxonomy','class','sites/all/modules/views/modules/taxonomy/views_handler_field_taxonomy.inc','views',10),('views_handler_field_term_link_edit','class','sites/all/modules/views/modules/taxonomy/views_handler_field_term_link_edit.inc','views',0),('views_handler_field_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_field_term_node_tid.inc','views',10),('views_handler_field_time_interval','class','sites/all/modules/views/handlers/views_handler_field_time_interval.inc','views',0),('views_handler_field_url','class','sites/all/modules/views/handlers/views_handler_field_url.inc','views',0),('views_handler_field_user','class','sites/all/modules/views/modules/user/views_handler_field_user.inc','views',0),('views_handler_field_user_language','class','sites/all/modules/views/modules/user/views_handler_field_user_language.inc','views',0),('views_handler_field_user_link','class','sites/all/modules/views/modules/user/views_handler_field_user_link.inc','views',0),('views_handler_field_user_link_cancel','class','sites/all/modules/views/modules/user/views_handler_field_user_link_cancel.inc','views',0),('views_handler_field_user_link_edit','class','sites/all/modules/views/modules/user/views_handler_field_user_link_edit.inc','views',0),('views_handler_field_user_mail','class','sites/all/modules/views/modules/user/views_handler_field_user_mail.inc','views',0),('views_handler_field_user_name','class','sites/all/modules/views/modules/user/views_handler_field_user_name.inc','views',10),('views_handler_field_user_permissions','class','sites/all/modules/views/modules/user/views_handler_field_user_permissions.inc','views',0),('views_handler_field_user_picture','class','sites/all/modules/views/modules/user/views_handler_field_user_picture.inc','views',0),('views_handler_field_user_roles','class','sites/all/modules/views/modules/user/views_handler_field_user_roles.inc','views',0),('views_handler_field_xss','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_filter','class','sites/all/modules/views/handlers/views_handler_filter.inc','views',10),('views_handler_filter_aggregator_category_cid','class','sites/all/modules/views/modules/aggregator/views_handler_filter_aggregator_category_cid.inc','views',0),('views_handler_filter_bean_type','class','sites/all/modules/bean/views/views_handler_filter_bean_type.inc','bean',0),('views_handler_filter_boolean_operator','class','sites/all/modules/views/handlers/views_handler_filter_boolean_operator.inc','views',0),('views_handler_filter_boolean_operator_string','class','sites/all/modules/views/handlers/views_handler_filter_boolean_operator_string.inc','views',0),('views_handler_filter_broken','class','sites/all/modules/views/handlers/views_handler_filter.inc','views',10),('views_handler_filter_combine','class','sites/all/modules/views/handlers/views_handler_filter_combine.inc','views',10),('views_handler_filter_comment_user_uid','class','sites/all/modules/views/modules/comment/views_handler_filter_comment_user_uid.inc','views',0),('views_handler_filter_date','class','sites/all/modules/views/handlers/views_handler_filter_date.inc','views',10),('views_handler_filter_entity_bundle','class','sites/all/modules/views/handlers/views_handler_filter_entity_bundle.inc','views',0),('views_handler_filter_equality','class','sites/all/modules/views/handlers/views_handler_filter_equality.inc','views',0),('views_handler_filter_fields_compare','class','sites/all/modules/views/handlers/views_handler_filter_fields_compare.inc','views',10),('views_handler_filter_field_list','class','sites/all/modules/views/modules/field/views_handler_filter_field_list.inc','views',0),('views_handler_filter_field_list_boolean','class','sites/all/modules/views/modules/field/views_handler_filter_field_list_boolean.inc','views',10),('views_handler_filter_file_status','class','sites/all/modules/views/modules/system/views_handler_filter_file_status.inc','views',0),('views_handler_filter_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_filter_group_by_numeric.inc','views',0),('views_handler_filter_history_user_timestamp','class','sites/all/modules/views/modules/node/views_handler_filter_history_user_timestamp.inc','views',0),('views_handler_filter_in_operator','class','sites/all/modules/views/handlers/views_handler_filter_in_operator.inc','views',0),('views_handler_filter_locale_group','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_group.inc','views',0),('views_handler_filter_locale_language','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_language.inc','views',0),('views_handler_filter_locale_version','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_version.inc','views',0),('views_handler_filter_many_to_one','class','sites/all/modules/views/handlers/views_handler_filter_many_to_one.inc','views',0),('views_handler_filter_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_filter_ncs_last_updated.inc','views',0),('views_handler_filter_node_access','class','sites/all/modules/views/modules/node/views_handler_filter_node_access.inc','views',0),('views_handler_filter_node_comment','class','sites/all/modules/views/modules/comment/views_handler_filter_node_comment.inc','views',0),('views_handler_filter_node_language','class','sites/all/modules/views/modules/locale/views_handler_filter_node_language.inc','views',0),('views_handler_filter_node_status','class','sites/all/modules/views/modules/node/views_handler_filter_node_status.inc','views',0),('views_handler_filter_node_tnid','class','sites/all/modules/views/modules/translation/views_handler_filter_node_tnid.inc','views',0),('views_handler_filter_node_tnid_child','class','sites/all/modules/views/modules/translation/views_handler_filter_node_tnid_child.inc','views',0),('views_handler_filter_node_type','class','sites/all/modules/views/modules/node/views_handler_filter_node_type.inc','views',0),('views_handler_filter_node_uid_revision','class','sites/all/modules/views/modules/node/views_handler_filter_node_uid_revision.inc','views',10),('views_handler_filter_node_version_count','class','sites/all/modules/views/modules/node/views_handler_filter_node_version_count.inc','views',10),('views_handler_filter_numeric','class','sites/all/modules/views/handlers/views_handler_filter_numeric.inc','views',0),('views_handler_filter_profile_selection','class','sites/all/modules/views/modules/profile/views_handler_filter_profile_selection.inc','views',0),('views_handler_filter_search','class','sites/all/modules/views/modules/search/views_handler_filter_search.inc','views',10),('views_handler_filter_string','class','sites/all/modules/views/handlers/views_handler_filter_string.inc','views',0),('views_handler_filter_system_type','class','sites/all/modules/views/modules/system/views_handler_filter_system_type.inc','views',0),('views_handler_filter_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid.inc','views',10),('views_handler_filter_term_node_tid_depth','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth.inc','views',0),('views_handler_filter_term_node_tid_depth_join','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc','views',10),('views_handler_filter_tracker_boolean_operator','class','sites/all/modules/views/modules/tracker/views_handler_filter_tracker_boolean_operator.inc','views',0),('views_handler_filter_tracker_comment_user_uid','class','sites/all/modules/views/modules/tracker/views_handler_filter_tracker_comment_user_uid.inc','views',0),('views_handler_filter_user_current','class','sites/all/modules/views/modules/user/views_handler_filter_user_current.inc','views',0),('views_handler_filter_user_name','class','sites/all/modules/views/modules/user/views_handler_filter_user_name.inc','views',0),('views_handler_filter_user_permissions','class','sites/all/modules/views/modules/user/views_handler_filter_user_permissions.inc','views',0),('views_handler_filter_user_roles','class','sites/all/modules/views/modules/user/views_handler_filter_user_roles.inc','views',0),('views_handler_filter_vocabulary_machine_name','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc','views',0),('views_handler_filter_vocabulary_vid','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_vid.inc','views',0),('views_handler_relationship','class','sites/all/modules/views/handlers/views_handler_relationship.inc','views',0),('views_handler_relationship_broken','class','sites/all/modules/views/handlers/views_handler_relationship.inc','views',0),('views_handler_relationship_entity_reverse','class','sites/all/modules/views/modules/field/views_handler_relationship_entity_reverse.inc','views',0),('views_handler_relationship_groupwise_max','class','sites/all/modules/views/handlers/views_handler_relationship_groupwise_max.inc','views',0),('views_handler_relationship_node_term_data','class','sites/all/modules/views/modules/taxonomy/views_handler_relationship_node_term_data.inc','views',10),('views_handler_relationship_translation','class','sites/all/modules/views/modules/translation/views_handler_relationship_translation.inc','views',0),('views_handler_sort','class','sites/all/modules/views/handlers/views_handler_sort.inc','views',0),('views_handler_sort_broken','class','sites/all/modules/views/handlers/views_handler_sort.inc','views',0),('views_handler_sort_comment_thread','class','sites/all/modules/views/modules/comment/views_handler_sort_comment_thread.inc','views',0),('views_handler_sort_date','class','sites/all/modules/views/handlers/views_handler_sort_date.inc','views',0),('views_handler_sort_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_sort_group_by_numeric.inc','views',0),('views_handler_sort_menu_hierarchy','class','sites/all/modules/views/handlers/views_handler_sort_menu_hierarchy.inc','views',0),('views_handler_sort_ncs_last_comment_name','class','sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_comment_name.inc','views',0),('views_handler_sort_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_updated.inc','views',0),('views_handler_sort_node_language','class','sites/all/modules/views/modules/locale/views_handler_sort_node_language.inc','views',10),('views_handler_sort_node_version_count','class','sites/all/modules/views/modules/node/views_handler_sort_node_version_count.inc','views',10),('views_handler_sort_random','class','sites/all/modules/views/handlers/views_handler_sort_random.inc','views',0),('views_handler_sort_search_score','class','sites/all/modules/views/modules/search/views_handler_sort_search_score.inc','views',0),('views_join','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_join_subquery','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_many_to_one_helper','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_object','class','sites/all/modules/views/includes/base.inc','views',10),('views_plugin','class','sites/all/modules/views/includes/plugins.inc','views',10),('views_plugin_access','class','sites/all/modules/views/plugins/views_plugin_access.inc','views',0),('views_plugin_access_none','class','sites/all/modules/views/plugins/views_plugin_access_none.inc','views',0),('views_plugin_access_perm','class','sites/all/modules/views/plugins/views_plugin_access_perm.inc','views',0),('views_plugin_access_role','class','sites/all/modules/views/plugins/views_plugin_access_role.inc','views',0),('views_plugin_argument_default','class','sites/all/modules/views/plugins/views_plugin_argument_default.inc','views',0),('views_plugin_argument_default_book_root','class','sites/all/modules/views/modules/book/views_plugin_argument_default_book_root.inc','views',0),('views_plugin_argument_default_current_user','class','sites/all/modules/views/modules/user/views_plugin_argument_default_current_user.inc','views',0),('views_plugin_argument_default_fixed','class','sites/all/modules/views/plugins/views_plugin_argument_default_fixed.inc','views',0),('views_plugin_argument_default_node','class','sites/all/modules/views/modules/node/views_plugin_argument_default_node.inc','views',0),('views_plugin_argument_default_php','class','sites/all/modules/views/plugins/views_plugin_argument_default_php.inc','views',0),('views_plugin_argument_default_raw','class','sites/all/modules/views/plugins/views_plugin_argument_default_raw.inc','views',0),('views_plugin_argument_default_taxonomy_tid','class','sites/all/modules/views/modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc','views',0),('views_plugin_argument_default_user','class','sites/all/modules/views/modules/user/views_plugin_argument_default_user.inc','views',0),('views_plugin_argument_validate','class','sites/all/modules/views/plugins/views_plugin_argument_validate.inc','views',10),('views_plugin_argument_validate_node','class','sites/all/modules/views/modules/node/views_plugin_argument_validate_node.inc','views',0),('views_plugin_argument_validate_numeric','class','sites/all/modules/views/plugins/views_plugin_argument_validate_numeric.inc','views',0),('views_plugin_argument_validate_php','class','sites/all/modules/views/plugins/views_plugin_argument_validate_php.inc','views',0),('views_plugin_argument_validate_taxonomy_term','class','sites/all/modules/views/modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc','views',10),('views_plugin_argument_validate_user','class','sites/all/modules/views/modules/user/views_plugin_argument_validate_user.inc','views',0),('views_plugin_cache','class','sites/all/modules/views/plugins/views_plugin_cache.inc','views',10),('views_plugin_cache_none','class','sites/all/modules/views/plugins/views_plugin_cache_none.inc','views',0),('views_plugin_cache_time','class','sites/all/modules/views/plugins/views_plugin_cache_time.inc','views',10),('views_plugin_display','class','sites/all/modules/views/plugins/views_plugin_display.inc','views',10),('views_plugin_display_attachment','class','sites/all/modules/views/plugins/views_plugin_display_attachment.inc','views',10),('views_plugin_display_block','class','sites/all/modules/views/plugins/views_plugin_display_block.inc','views',10),('views_plugin_display_default','class','sites/all/modules/views/plugins/views_plugin_display_default.inc','views',0),('views_plugin_display_embed','class','sites/all/modules/views/plugins/views_plugin_display_embed.inc','views',0),('views_plugin_display_extender','class','sites/all/modules/views/plugins/views_plugin_display_extender.inc','views',0),('views_plugin_display_feed','class','sites/all/modules/views/plugins/views_plugin_display_feed.inc','views',0),('views_plugin_display_page','class','sites/all/modules/views/plugins/views_plugin_display_page.inc','views',10),('views_plugin_exposed_form','class','sites/all/modules/views/plugins/views_plugin_exposed_form.inc','views',0),('views_plugin_exposed_form_basic','class','sites/all/modules/views/plugins/views_plugin_exposed_form_basic.inc','views',0),('views_plugin_exposed_form_input_required','class','sites/all/modules/views/plugins/views_plugin_exposed_form_input_required.inc','views',0),('views_plugin_localization','class','sites/all/modules/views/plugins/views_plugin_localization.inc','views',0),('views_plugin_localization_core','class','sites/all/modules/views/plugins/views_plugin_localization_core.inc','views',0),('views_plugin_localization_none','class','sites/all/modules/views/plugins/views_plugin_localization_none.inc','views',0),('views_plugin_localization_test','class','sites/all/modules/views/tests/views_plugin_localization_test.inc','views',0),('views_plugin_pager','class','sites/all/modules/views/plugins/views_plugin_pager.inc','views',0),('views_plugin_pager_full','class','sites/all/modules/views/plugins/views_plugin_pager_full.inc','views',0),('views_plugin_pager_infinite_scroll','class','sites/all/modules/views_infinite_scroll/views_plugin_pager_infinite_scroll.inc','views_infinite_scroll',0),('views_plugin_pager_mini','class','sites/all/modules/views/plugins/views_plugin_pager_mini.inc','views',0),('views_plugin_pager_none','class','sites/all/modules/views/plugins/views_plugin_pager_none.inc','views',0),('views_plugin_pager_some','class','sites/all/modules/views/plugins/views_plugin_pager_some.inc','views',0),('views_plugin_query','class','sites/all/modules/views/plugins/views_plugin_query.inc','views',10),('views_plugin_query_default','class','sites/all/modules/views/plugins/views_plugin_query_default.inc','views',10),('views_plugin_row','class','sites/all/modules/views/plugins/views_plugin_row.inc','views',0),('views_plugin_row_aggregator_rss','class','sites/all/modules/views/modules/aggregator/views_plugin_row_aggregator_rss.inc','views',0),('views_plugin_row_comment_rss','class','sites/all/modules/views/modules/comment/views_plugin_row_comment_rss.inc','views',10),('views_plugin_row_comment_view','class','sites/all/modules/views/modules/comment/views_plugin_row_comment_view.inc','views',0),('views_plugin_row_fields','class','sites/all/modules/views/plugins/views_plugin_row_fields.inc','views',0),('views_plugin_row_node_rss','class','sites/all/modules/views/modules/node/views_plugin_row_node_rss.inc','views',10),('views_plugin_row_node_view','class','sites/all/modules/views/modules/node/views_plugin_row_node_view.inc','views',10),('views_plugin_row_rss_fields','class','sites/all/modules/views/plugins/views_plugin_row_rss_fields.inc','views',0),('views_plugin_row_search_view','class','sites/all/modules/views/modules/search/views_plugin_row_search_view.inc','views',0),('views_plugin_row_user_view','class','sites/all/modules/views/modules/user/views_plugin_row_user_view.inc','views',10),('views_plugin_style','class','sites/all/modules/views/plugins/views_plugin_style.inc','views',10),('views_plugin_style_default','class','sites/all/modules/views/plugins/views_plugin_style_default.inc','views',0),('views_plugin_style_grid','class','sites/all/modules/views/plugins/views_plugin_style_grid.inc','views',0),('views_plugin_style_jump_menu','class','sites/all/modules/views/plugins/views_plugin_style_jump_menu.inc','views',10),('views_plugin_style_list','class','sites/all/modules/views/plugins/views_plugin_style_list.inc','views',0),('views_plugin_style_mapping','class','sites/all/modules/views/plugins/views_plugin_style_mapping.inc','views',10),('views_plugin_style_rss','class','sites/all/modules/views/plugins/views_plugin_style_rss.inc','views',10),('views_plugin_style_summary','class','sites/all/modules/views/plugins/views_plugin_style_summary.inc','views',0),('views_plugin_style_summary_jump_menu','class','sites/all/modules/views/plugins/views_plugin_style_summary_jump_menu.inc','views',0),('views_plugin_style_summary_unformatted','class','sites/all/modules/views/plugins/views_plugin_style_summary_unformatted.inc','views',0),('views_plugin_style_table','class','sites/all/modules/views/plugins/views_plugin_style_table.inc','views',0),('views_test_area_access','class','sites/all/modules/views/tests/test_handlers/views_test_area_access.inc','views',10),('views_test_plugin_access_test_dynamic','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_dynamic.inc','views',0),('views_test_plugin_access_test_static','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_static.inc','views',0),('views_test_plugin_style_test_mapping','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_style_test_mapping.inc','views',0),('views_ui','class','sites/all/modules/views/plugins/export_ui/views_ui.class.php','views_ui',0),('WeightNodeHandler','class','sites/all/modules/weight/weight.migrate.inc','weight',0),('weight_handler_field_weight','class','sites/all/modules/weight/views/weight_handler_field_weight.inc','weight',0),('weight_handler_filter_weight_enabled','class','sites/all/modules/weight/views/weight_handler_filter_weight_enabled.inc','weight',0);
/*!40000 ALTER TABLE `registry` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `registry_file`
--

DROP TABLE IF EXISTS `registry_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `registry_file` (
  `filename` varchar(255) NOT NULL COMMENT 'Path to the file.',
  `hash` varchar(64) NOT NULL COMMENT 'sha-256 hash of the file’s contents when last parsed.',
  PRIMARY KEY (`filename`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Files parsed to build the registry.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `registry_file`
--

LOCK TABLES `registry_file` WRITE;
/*!40000 ALTER TABLE `registry_file` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `registry_file` VALUES ('includes/actions.inc','f36b066681463c7dfe189e0430cb1a89bf66f7e228cbb53cdfcd93987193f759'),('includes/ajax.inc','3d1c0d2efcdab327224122df1156a665f9bbf60873907dde2f189b018d4e9be3'),('includes/archiver.inc','bdbb21b712a62f6b913590b609fd17cd9f3c3b77c0d21f68e71a78427ed2e3e9'),('includes/authorize.inc','6d64d8c21aa01eb12fc29918732e4df6b871ed06e5d41373cb95c197ed661d13'),('includes/batch.inc','1fe00f9a25481cd43e19fbd6bd37b7ff9dca79f8405ec3e55ffb011be12ec2c3'),('includes/batch.queue.inc','554b2e92e1dad0f7fd5a19cb8dff7e109f10fbe2441a5692d076338ec908de0f'),('includes/bootstrap.inc','fdd02ea25268751b8024237b82792c9c05e596f744bb1c2cda4d36da839c902c'),('includes/cache-install.inc','e7ed123c5805703c84ad2cce9c1ca46b3ce8caeeea0d8ef39a3024a4ab95fa0e'),('includes/cache.inc','033c9bf2555dba29382b077f78cc00c82fd7f42a959ba31b710adddf6fdf24fe'),('includes/common.inc','04e8ed1c7f366c1012909481c118ec0203e3c998782564bfdbc5620c82def903'),('includes/database/database.inc','2ef46543fb9cf61ed9fa9aed4e44dd31630c22604ea6b8e48b57ebd7ad11a111'),('includes/database/log.inc','9feb5a17ae2fabcf26a96d2a634ba73da501f7bcfc3599a693d916a6971d00d1'),('includes/database/mysql/database.inc','32a577354dba6030043500873f8a2a7359c80c179a213284b026c1a9b0452b70'),('includes/database/mysql/install.inc','6ae316941f771732fbbabed7e1d6b4cbb41b1f429dd097d04b3345aa15e461a0'),('includes/database/mysql/query.inc','0212a871646c223bf77aa26b945c77a8974855373967b5fb9fdc09f8a1de88a6'),('includes/database/mysql/schema.inc','2ef729f8d6466d5cd87ba233152d88590bce629d8366040b2509b4e24258d780'),('includes/database/pgsql/database.inc','651bec324e2204aa35a28fdbd876aa8e4f7a9e909e75cc8db811e9c156b0df88'),('includes/database/pgsql/install.inc','39587f26a9e054afaab2064d996af910f1b201ef1c6b82938ef130e4ff8c6aab'),('includes/database/pgsql/query.inc','0df57377686c921e722a10b49d5e433b131176c8059a4ace4680964206fc14b4'),('includes/database/pgsql/schema.inc','1588daadfa53506aa1f5d94572162a45a46dc3ceabdd0e2f224532ded6508403'),('includes/database/pgsql/select.inc','1e509bc97c58223750e8ea735145b316827e36f43c07b946003e41f5bca23659'),('includes/database/prefetch.inc','b5b207a66a69ecb52ee4f4459af16a7b5eabedc87254245f37cc33bebb61c0fb'),('includes/database/query.inc','982d44a294eea1c9619687c14df2987257e3776fcabeba05f01432e934cf61c6'),('includes/database/schema.inc','6ea8e4063eb72d8f6b1a9f8b8908489d9f89b4a158ef37002d21209fb500358c'),('includes/database/select.inc','02a2d4345287df62b163ca2524e99b7370c9ec167bc937245328683d4e3e3d56'),('includes/database/sqlite/database.inc','62f6669c4610557c4b34ada9f0a0f61d6cb7b377e0a9032d2efca7b5f39b0965'),('includes/database/sqlite/install.inc','6620f354aa175a116ba3a0562c980d86cc3b8b481042fc3cc5ed6a4d1a7a6d74'),('includes/database/sqlite/query.inc','0eb02ad036ef61c490fb3f189a4cdc8fc1ae0d442737806346fd63aea8f30db3'),('includes/database/sqlite/schema.inc','3a7d22ec1f0ee09bfa267309b90e30edbe39e453b3025b30cbe3ae7412a4df2d'),('includes/database/sqlite/select.inc','8d1c426dbd337733c206cce9f59a172546c6ed856d8ef3f1c7bef05a16f7bf68'),('includes/date.inc','1de2c25e3b67a9919fc6c8061594442b6fb2cdd3a48ddf1591ee3aa98484b737'),('includes/entity.inc','f06b508f93e72ba70f979d8391be57662c018a03a32fac0a6d3baa752740133d'),('includes/errors.inc','d731bbe3a60508e164cfa90b8edc06400c7f15844f9f9bc3935dd87e44c460db'),('includes/file.inc','f112194214d483ce867165922ad7996c64174bd932369f89f8335af026bbb493'),('includes/file.mimetypes.inc','33266e837f4ce076378e7e8cef6c5af46446226ca4259f83e13f605856a7f147'),('includes/filetransfer/filetransfer.inc','fdea8ae48345ec91885ac48a9bc53daf87616271472bb7c29b7e3ce219b22034'),('includes/filetransfer/ftp.inc','51eb119b8e1221d598ffa6cc46c8a322aa77b49a3d8879f7fb38b7221cf7e06d'),('includes/filetransfer/local.inc','7cbfdb46abbdf539640db27e66fb30e5265128f31002bd0dfc3af16ae01a9492'),('includes/filetransfer/ssh.inc','92f1232158cb32ab04cbc93ae38ad3af04796e18f66910a9bc5ca8e437f06891'),('includes/form.inc','a0e219d53d641f08d6f1d609e53f06f3f8b1c591d20113d0992557c815b44a72'),('includes/graph.inc','8e0e313a8bb33488f371df11fc1b58d7cf80099b886cd1003871e2c896d1b536'),('includes/image.inc','bcdc7e1599c02227502b9d0fe36eeb2b529b130a392bc709eb737647bd361826'),('includes/install.core.inc','189653e4bb7d4828bd6e1b61015fabcc7182e23d9dd8858170f98114d99400c8'),('includes/install.inc','fbb23627b06abb070b4531da786c1e06bf1dbd6f923bb2b404f4808c2340b0f9'),('includes/iso.inc','0ce4c225edcfa9f037703bc7dd09d4e268a69bcc90e55da0a3f04c502bd2f349'),('includes/json-encode.inc','02a822a652d00151f79db9aa9e171c310b69b93a12f549bc2ce00533a8efa14e'),('includes/language.inc','4e08f30843a7ccaeea5c041083e9f77d33d57ff002f1ab4f66168e2c683ce128'),('includes/locale.inc','ca50acc0780cbffeca17f99a0997f91b8b9402f0eec1898c3122e1d73664d01d'),('includes/lock.inc','a181c8bd4f88d292a0a73b9f1fbd727e3314f66ec3631f288e6b9a54ba2b70fa'),('includes/mail.inc','41d0e657119a05f8d7e85ebf32e74b12a1c3107d717a348158414b113e208b9c'),('includes/menu.inc','8e7a8a1a4666a8ca66d1b19cc97be4cf82c3bb0e835e652ee366bec9b74a8c23'),('includes/module.inc','8dab73e50e6bcd680a26f55597d2d103ba68a29089f888e2a2c206fc38eaa669'),('includes/pager.inc','6f9494b85c07a2cc3be4e54aff2d2757485238c476a7da084d25bde1d88be6d8'),('includes/password.inc','fd9a1c94fe5a0fa7c7049a2435c7280b1d666b2074595010e3c492dd15712775'),('includes/path.inc','2dca08d14a46e5ac6a665b7a5dde78045d8de2b35aaa78c6fb811e1125ce4953'),('includes/registry.inc','f47b20859f0fc80bf4bb2849a1282d6c54006957b69da0e5f4691de585ca4cdf'),('includes/session.inc','5851ff6941aba2744dd0c247f077fc02fbbe24e9786e04ea0a3c372d68ca6d16'),('includes/stream_wrappers.inc','b8a5a53f3d3ef26ea868037547f76af8049ce0c55b464810c627310a84f24924'),('includes/tablesort.inc','2d88768a544829595dd6cda2a5eb008bedb730f36bba6dfe005d9ddd999d5c0f'),('includes/theme.inc','5d8b96db9760367eb86821085a17a144a58cb355e6f547e321321ee34535da7b'),('includes/theme.maintenance.inc','39f068b3eee4d10a90d6aa3c86db587b6d25844c2919d418d34d133cfe330f5a'),('includes/token.inc','5e7898cd78689e2c291ed3cd8f41c032075656896f1db57e49217aac19ae0428'),('includes/unicode.entities.inc','2b858138596d961fbaa4c6e3986e409921df7f76b6ee1b109c4af5970f1e0f54'),('includes/unicode.inc','e18772dafe0f80eb139fcfc582fef1704ba9f730647057d4f4841d6a6e4066ca'),('includes/update.inc','25c30f1e61ef9c91a7bdeb37791c2215d9dc2ae07dba124722d783ca31bb01e7'),('includes/updater.inc','d2da0e74ed86e93c209f16069f3d32e1a134ceb6c06a0044f78e841a1b54e380'),('includes/utility.inc','3458fd2b55ab004dd0cc529b8e58af12916e8bd36653b072bdd820b26b907ed5'),('includes/xmlrpc.inc','ea24176ec445c440ba0c825fc7b04a31b440288df8ef02081560dc418e34e659'),('includes/xmlrpcs.inc','925c4d5bf429ad9650f059a8862a100bd394dce887933f5b3e7e32309a51fd8e'),('modules/block/block.test','40d9de00589211770a85c47d38c8ad61c598ec65d9332128a882eb8750e65a16'),('modules/blog/blog.test','f7534b972951c05d34bd832d3e06176b372fff6f4999c428f789fdd7703ed2e2'),('modules/color/color.test','610ba154f42b6af5871fb09cdb0bc7badc29b03845c08d86e0e524840dd27568'),('modules/comment/comment.module','db858137ff6ce06d87cb3b8f5275bed90c33a6d9aa7d46e7a74524cc2f052309'),('modules/comment/comment.test','332d14e197b4ebe85b1b70a15602981d99d332e2293576c0e44cf18a808c7aac'),('modules/contact/contact.test','655e8d5fe7536a972c2233e438a142166b15a118cc644e94b756c2814c375634'),('modules/contextual/contextual.test','023dafa199bd325ecc55a17b2a3db46ac0a31e23059f701f789f3bc42427ba0b'),('modules/dashboard/dashboard.test','125df00fc6deb985dc554aa7807a48e60a68dbbddbad9ec2c4718da724f0e683'),('modules/dblog/dblog.test','79ba7991c3f40f9241e9a03ffa43faf945c82658ca9b52ec62bd13bd80f41269'),('modules/field/field.attach.inc','2df4687b5ec078c4893dc1fea514f67524fd5293de717b9e05caf977e5ae2327'),('modules/field/field.info.class.inc','cf18178e119d43897d3abd882ba3acc0cf59d1ad747663437c57b1ec4d0a4322'),('modules/field/field.module','48b5b83f214a8d19e446f46c5d7a1cd35faa656ccb7b540f9f02462a440cacdd'),('modules/field/modules/field_sql_storage/field_sql_storage.test','315eedaf2022afc884c35efd3b7c400eddab6ea30bec91924bc82ab5cd3e79f2'),('modules/field/modules/list/tests/list.test','c1a214d7efd3247dd947d742a8514ec9649da62593608dfdccee6913d48e5709'),('modules/field/modules/number/number.test','fc8f193904f1c5f87dcf51a279975214b34aa1349fe9c38b09c4e6740b059b49'),('modules/field/modules/options/options.test','1b30956b6f46840ccb41b99bda08f328172f008f1fb4164c65fe9e4047fffa5f'),('modules/field/modules/text/text.test','5c28b9da26417d2ed8a169850989c0b59f2b188a0161eb58e2b87c67994d602d'),('modules/field/tests/field.test','5eaad7a933ef8ea05b958056492ce17858cd542111f0fe81dd1a5949ad8f966e'),('modules/field_ui/field_ui.test','f535e5627c969e9083a63aaf72d4ac645e30709d7b87af15c6c3b870481f283a'),('modules/file/tests/file.test','f2328df0915f0d7235cb147515ed64cb1c510a744646fb680da98c8d9f2523c5'),('modules/filter/filter.test','b8aa5e6b832422c6ad5fe963898ec9526c814614f27ecccb67107ce194997d6a'),('modules/forum/forum.test','d282b29d6312d63183e003ba036d7645a946e828c94448592f930d80fceb42d6'),('modules/help/help.test','bc934de8c71bd9874a05ccb5e8f927f4c227b3b2397d739e8504c8fd6ae5a83c'),('modules/image/image.test','6e7a0cbcb58f6210127b0ac7c1d118d488abd0925fe8db10a3405af87f1d9fe1'),('modules/locale/locale.test','08793bfbabe6147248a3cbbecaec2c3179baf15bd3289b43f3b0dad3bc8280ae'),('modules/menu/menu.test','71efd7117a882fdcdd50971b4a68f7f2895b532e09acf094d747f27a15742c5b'),('modules/node/node.module','70f969229d03819dba439546ae7aef30283b93e410af1b45f5a25b90d3cb8edd'),('modules/node/node.test','35bf40fde62f3a1de95bab9f037b84f20c2f93a1c579d7d19e4a87afe75dc330'),('modules/path/path.test','2004183b2c7c86028bf78c519c6a7afc4397a8267874462b0c2b49b0f8c20322'),('modules/php/php.test','d234f9c1ab18a05834a3cb6dc532fb4c259aa25612551f953ba6e3bb714657b8'),('modules/poll/poll.test','cc8486dc337471d13014954e1c1e4e5ad4956e4a0cbd395adbd064f8e5849c72'),('modules/search/search.extender.inc','013a6a841cc48a6dc991153fb692b8d1546e56b78d9c95e97e0d7e92296d3481'),('modules/search/search.test','e43c21510d510885dfad6484afa931382083b75b7e67286bda56a6aafe265f28'),('modules/shortcut/shortcut.test','0d78280d4d0a05aa772218e45911552e39611ca9c258b9dd436307914ac3f254'),('modules/system/system.archiver.inc','faa849f3e646a910ab82fd6c8bbf0a4e6b8c60725d7ba81ec0556bd716616cd1'),('modules/system/system.mail.inc','d31e1769f5defbe5f27dc68f641ab80fb8d3de92f6e895f4c654ec05fc7e5f0f'),('modules/system/system.queue.inc','a77a5913d84368092805ac551ca63737c1d829455504fcccb95baa2932f28009'),('modules/system/system.tar.inc','d0d2f191d79b3227852e7436908386bdd7a25f78c73f3c8bf9ef5903892ae993'),('modules/system/system.test','7a94d94c13eb60684678e62f25cec44d46714a1ca4987f62d86d358e8978902a'),('modules/system/system.updater.inc','9433fa8d39500b8c59ab05f41c0aac83b2586a43be4aa949821380e36c4d3c48'),('modules/taxonomy/taxonomy.module','19992c2e810a7b7a1c228d178b0b6c5f358082d515b8a6e77b0415a430e23997'),('modules/taxonomy/taxonomy.test','ce91ff8a2879d65fdb3477d3f437cad8ef50b8963dadb75ae203854987b2c23a'),('modules/update/update.test','994b66b737f16eb98ee18c9e9ecd62e86de2792159e70b36982e95b48f2746a3'),('modules/user/user.module','b773a1b0f7448546393e6f7b2436d0d91b7965889afdf4a863bba4c0bc0dba69'),('modules/user/user.test','0b55048c0de2dee5ab1c25a38c01b3bd13f476b43e4172bb0c06cb6188d2edc9'),('sites/all/libraries/zencoder/Services/Zencoder.php','57b927d424cb3832aa63bda302ec5d6562064b964905d19ceb259de8158c0112'),('sites/all/modules/admin_menu/tests/admin_menu.test','185f8244f7a086cda1bd9435ec529e8632598e9b09d1e0d7363b75cf87c04afb'),('sites/all/modules/bean/bean.test','a9e4a3181284e8fde14ea84d3d43457db1b88fc3224f593cc80fc261e6991bad'),('sites/all/modules/bean/bean_admin_ui/bean_admin_ui.module','00dcdb1b8dad36d2f01be0133f6cfc05058f44c80b14b7cc9ebead32276631db'),('sites/all/modules/bean/bean_admin_ui/plugins/BeanCustom.class.php','88d197383ee6b796bedd193d9c0bf60cf0434eb038936cabb53b93586b856b11'),('sites/all/modules/bean/includes/bean.core.inc','0fd4a9094e32a7138e0900c05969042c1dcad2920347ac0f18f9dc003a714f83'),('sites/all/modules/bean/includes/bean.info.inc','a201903c5c7ccd2a534dcbdf59bf18a7d9a70c7eeb261f21e5e377c78e0da7d6'),('sites/all/modules/bean/includes/bean.inline_entity_form.inc','ac30e293a60f6253f9572d2aa58cb8738b4d592c47b80159c16e6a2caee4cb86'),('sites/all/modules/bean/includes/translation.handler.bean.inc','9447e56e581d88a0499eb299ded116a8165e8d409e76388a31c69ba3b36d1f08'),('sites/all/modules/bean/plugins/BeanDefault.class.php','8d1806968fd6cf5458de179115b5707aede67480a10d6e510bbf0b7a9fa9976b'),('sites/all/modules/bean/plugins/BeanPlugin.class.php','6ce3a322d204a39874a9110e4abb4d830394cfd08e9a2880d71c2dc387506484'),('sites/all/modules/bean/views/views_handler_field_bean_delete_link.inc','88dc2137059157c3be780594c6e517927176609bb4e7409837b2ba7ae382fb4a'),('sites/all/modules/bean/views/views_handler_field_bean_edit_link.inc','868ef7a7053cf5cbdcbf365798dd646b0e9909b99b479d9f1bb677d99333e1f1'),('sites/all/modules/bean/views/views_handler_field_bean_operations.inc','d8101316aff08a185611f4128ea46a00fa8cd94867ec18c3775ecf57f1b1feec'),('sites/all/modules/bean/views/views_handler_field_bean_type.inc','a99634103fa22d9a1b13da43c72fbbe35f5963432fa7096d847843d262c38bfe'),('sites/all/modules/bean/views/views_handler_filter_bean_type.inc','4da64b68eff8dced69f2032d57e68970c385b0a5bace3bcff617c0464ecf52e6'),('sites/all/modules/clock/clock.install','6224e5527c203928792f27f0e14484f2beea176b5d7630edc16106f23d97ee72'),('sites/all/modules/clock/clock.js','407e80b20441f53c5a00a2d61856feae77669509ea836e7045044d0c1de2ee6e'),('sites/all/modules/clock/clock.module','3a479468651fb5488d07cb71ce8f31fc724b3ebaa99981ef3ef08a9747c7abd0'),('sites/all/modules/clock/clock.test','f71ef36fdfe2f534f1307f7d8219a46c4afab8f976ec2e931ef9f6ef94ad91d7'),('sites/all/modules/context/context_ui/export_ui/context_export_ui.class.php','ee6ee0bb2d30fade0e982d1db437a802e654ac438b15362fa7d33770d9f11f60'),('sites/all/modules/context/context_ui/tests/context_ui.test','7350a5984e3d4799621809f5d9134cf117411c9049b49f78b4d35293591f3dd5'),('sites/all/modules/context/plugins/context_condition.inc','2701acb0f8667cf922052a9265bb84c936a3b716afaf3a8eff2ad04e332b5a2f'),('sites/all/modules/context/plugins/context_condition_context.inc','cc3630470442db0c92d2def23cc03eeb9de30fb1c00dd2e00660646e292a705c'),('sites/all/modules/context/plugins/context_condition_context_all.inc','80b00ab0cd49aa4cfe4493a2cd08dde594d73ba3f3563d34c15ae2b46fc5983e'),('sites/all/modules/context/plugins/context_condition_default.inc','5764948ea3f0c7b55e14b0cd3690ab279f2237eb45043fac102a82b5d392c4a2'),('sites/all/modules/context/plugins/context_condition_language.inc','edbd457b68a4dd1e213792dce89d89ae17127d21ec3aa7e64eb6e636f11b2034'),('sites/all/modules/context/plugins/context_condition_menu.inc','6f3c05bc11b8e9e4257add5045ff00f7aa554624e47424affe00170f7bd8a8c8'),('sites/all/modules/context/plugins/context_condition_node.inc','8d54a13f2ed57cd1a36d1dbcba62e32f256ed6e71554643599fca50a3dddbbd0'),('sites/all/modules/context/plugins/context_condition_node_taxonomy.inc','f7f766547b3e1767ff69adfd25f756cc519a1e845e134f945c1e40865e5bf243'),('sites/all/modules/context/plugins/context_condition_path.inc','c9ad2e426c75c8ba6bc4c94181aadadf3f474272cd0dc0bc67bd7c6cd810fea7'),('sites/all/modules/context/plugins/context_condition_query_string.inc','3902793c371098e42e0d3336fb8a0c26a0f18685ac03c6ac9a04f755a8ebd0cc'),('sites/all/modules/context/plugins/context_condition_sitewide.inc','cb5061fe6757287744f3db7296380120089c4e56af3298395aeaa3da16aedc3b'),('sites/all/modules/context/plugins/context_condition_taxonomy_term.inc','94eb955d5705e75936cc440417893e341905fa7fb3df3b6d3e7d838fa33e313c'),('sites/all/modules/context/plugins/context_condition_user.inc','a6fd04ce6574d5391427a038da1f158f47b062cde7655811fa5a41271e75d20c'),('sites/all/modules/context/plugins/context_condition_user_page.inc','c5c48146a183e6d2cdfa07222e7f614bd9ba3ff4b745131c9910aeb79bbf4bcd'),('sites/all/modules/context/plugins/context_condition_views.inc','5cd3e84b22977af2d1a72ecc9dffb9b1beb1ac42f2ad2741de5a015a45734473'),('sites/all/modules/context/plugins/context_reaction.inc','497ce814344a5789eebd05e77f9a84625d20f8bf38cf77bf794ac85fdd1c1c0a'),('sites/all/modules/context/plugins/context_reaction_block.inc','e387623a2916d3ecd34eb455a8b62d621edd2f84ba6a2a925bdd835338120fbb'),('sites/all/modules/context/plugins/context_reaction_breadcrumb.inc','2231768e9595ef916c50c41bbe32d2b5a7812bfc50d359da85c8fa31cc883bec'),('sites/all/modules/context/plugins/context_reaction_debug.inc','c57b92ccf0b1278dce108089989eb32fb532e786f9bc01d2cb694819b468f322'),('sites/all/modules/context/plugins/context_reaction_menu.inc','eb9d92f4a0549728a3110ca13ed70de4cb67d02ad321b9c13fbde4bf58c53911'),('sites/all/modules/context/plugins/context_reaction_region.inc','fc61c32bcdd8da4db6441424a4b5af8c7ccfd388386b0a0f3e497fe694006241'),('sites/all/modules/context/plugins/context_reaction_template_suggestions.inc','a56462376d34c9304297425695c29aecad3d8fd9e98f82b111153c1335803f8d'),('sites/all/modules/context/plugins/context_reaction_theme.inc','eae05dc2e34947aacc18bdfb4925df9a7946d64d9b23e7cde92ee23610cadffd'),('sites/all/modules/context/plugins/context_reaction_theme_html.inc','b0b4f355aebce29dbaa3e2bf26c35443d134f73649f1e197170e73d5ab93e0a2'),('sites/all/modules/context/tests/context.conditions.test','28e69f66bb56433c584474beb75e83a87b74bc5927baf646a8cea7c26b8b47b9'),('sites/all/modules/context/tests/context.reactions.test','4d1d8d1497fc32e685446e52e387e537a6ec183ed598d224e356ad1461676efa'),('sites/all/modules/context/tests/context.test','05e97800946a534d2a4f3f017f6ac3ee682c7ef8a430cef5bb769574701d9419'),('sites/all/modules/ctools/includes/context.inc','867c8a65b99131be8226700d51a5fb3d51896bf95279beedac55f51a27fd714b'),('sites/all/modules/ctools/includes/css-cache.inc','db90ff67669d9fa445e91074ac67fb97cdb191a19e68d42744f0fd4158649cfa'),('sites/all/modules/ctools/includes/math-expr.inc','3c60674360d5caa754895f32d87cde6a122f61800d4b762e7e09d49501fd47b8'),('sites/all/modules/ctools/includes/stylizer.inc','3f91f5ed42fb6ee1b65ddef7ac22577b07a5d75ca1eb2df60041243ced5c7079'),('sites/all/modules/ctools/plugins/export_ui/ctools_export_ui.class.php','2fd87a7d80689e4d44673b31c07b762144eb8ac57324fd0b9cd9ede5f4ea34b5'),('sites/all/modules/ctools/tests/context.test','05145aae34016fd1d8c776ad4cca92b2f514570a8cd26b30dfb563a07540afd2'),('sites/all/modules/ctools/tests/css.test','dbf094da0eb52da28afb07b894e15425169d29d9d06011a3ad2cdd5980a0df01'),('sites/all/modules/ctools/tests/css_cache.test','9d72d577414a35941d245b5531a4505d2c4a7b702ac301814631b5ed6b15187a'),('sites/all/modules/ctools/tests/ctools.plugins.test','e1c9d250430253676d417e50faef04c4e577614ff0ec2c3c0ce76095873e9b00'),('sites/all/modules/ctools/tests/math_expression.test','92ac6cb63ac8be8384d5ee4d3a7abe32d52fa78c82c99c7291151609ea2b6d06'),('sites/all/modules/ctools/tests/math_expression_stack.test','2816fd55f6c1a4742b6e962613c20f72bd31e034af12b64e33df35b272a6c176'),('sites/all/modules/ctools/tests/object_cache.test','c680cc821c2b51d48032213eb61b17896513fff2fa0df29d16e12ba54a7ce443'),('sites/all/modules/date/date_api/date_api.module','107f1668a3a75f9b18e834f8494fc52d8ccf0d6b231c98bd10b9313cfbe18776'),('sites/all/modules/date/date_api/date_api_sql.inc','89e92bdb4eb9b348a57d70ddb933c86e81f6e7a7047cd9e77c83a454c00c5a11'),('sites/all/modules/entity/entity.features.inc','47261e1f4f39ac3707a16fdea8a8147c09df1281bcb4b9e46b0c8120603137e8'),('sites/all/modules/entity/entity.i18n.inc','41e0e62af7e2774f62b162d597bb3244551c280296b692b29d039a2c243d7059'),('sites/all/modules/entity/entity.info.inc','8799080b9393c9560e64feae1276fb7d26fef4d92bb0edacc863ee3e7b67bf04'),('sites/all/modules/entity/entity.rules.inc','774199059d1b3ebe6d3fe7a49dbb1550df489055a3d066b5de54edda8dd7ba84'),('sites/all/modules/entity/entity.test','df253128e41f152b45ef30b5674009c51cf4112450e5dad8e815f39ced280db5'),('sites/all/modules/entity/includes/entity.controller.inc','342db185e6170b63c59a9b360a196eb322edb9a5b8c7819f66b0eae48ed13ebd'),('sites/all/modules/entity/includes/entity.inc','57411fa3d7b5cd2afe8b84f20c1741f48c32673a9da07bd2c35d4a11c50c640e'),('sites/all/modules/entity/includes/entity.ui.inc','65739b31af0e6b422919c17805799dc99143fd89cacfb56b9186e26ece2d0df2'),('sites/all/modules/entity/includes/entity.wrapper.inc','0db08cbb6b730035e3e9a483e6e5c06a744a73f19e4ca83936446b44f0c3d158'),('sites/all/modules/entity/views/entity.views.inc','de657f42389ed6832df787e4b618d8d7117b60d145d34ce5dcf3a5b65db29df9'),('sites/all/modules/entity/views/handlers/entity_views_field_handler_helper.inc','4ec395881109a71327ab8d7c5b5702bef30288ca66557e44e8539cc15a2135bb'),('sites/all/modules/entity/views/handlers/entity_views_handler_area_entity.inc','7b7bb88e53861739b7279f705f0492fc83ce95f5b20d89339480f546422ebf25'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_boolean.inc','b28b8eee8761ba7a6af35d97ab7aaee28406e6c227271f9769818560626c5791'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_date.inc','b0f5be5b399de94934b24e84c8cf6053a043f6b00c60dcffa752daeafdd38778'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_duration.inc','ed7bb64cb63b94a20c8cde98cfb053b5ea252804396cf61ac562faf1d850266b'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_entity.inc','4f255918a22fefebe9c7734f200751457a7ca4d3648e32a98511bb51968d7521'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_field.inc','893121efbce2a7181e31147bade260c9cc657cbd33b0d254cb28b2650e57566d'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_numeric.inc','f14e2b063930e8820af381b4f5e83c7278440e7804ab88cfde865b6c94e7c0f6'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_options.inc','27ef31b8ee7b9999930380d6a5fdb477772329c4ddbd5c70cc34bcdc7543ce56'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_text.inc','5fb0a85d35d29944c699ceaf6efed5eda2df757009e44caba8ff2be397568b60'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_uri.inc','79ecaa3eb17dfdd0ca077351b75a2c0adf411ebc04720e7cc0e2397674225f24'),('sites/all/modules/entity/views/handlers/entity_views_handler_relationship.inc','b69bc538d1e1e0f91f8485ca54c3b6e2be025caa47619734c467377cf89041b9'),('sites/all/modules/entity/views/handlers/entity_views_handler_relationship_by_bundle.inc','65300c793c4591d60ad908dc02cf3148fe4e899fa6ad218e875fd92d411374dc'),('sites/all/modules/entity/views/plugins/entity_views_plugin_row_entity_view.inc','ba557790215f2658146424d933e0d17787a0b15180c5815f23428448ccf056a0'),('sites/all/modules/entityreference/entityreference.migrate.inc','617c6c49e6e0fa4d106cfb49b61a6994b5520934ac3b64a8400a9d969eab7c59'),('sites/all/modules/entityreference/plugins/behavior/abstract.inc','a7959ddece2ce3490f92d916162e07aed313e28ca299ca0375bad633b42d93e3'),('sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_TaxonomyIndex.class.php','92fa0cf46ecdf6200659646e6666c562ea506c40efa41a8edd4758dc0c551b92'),('sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_ViewsFilterSelect.class.php','f6805f62bbd376d98676706602aeb1c4d16e645acb429d31032bc3fb37d850d3'),('sites/all/modules/entityreference/plugins/selection/abstract.inc','7ecf94f5dc3456e4a5c87117d19deb98c368617fb07d610505b1dfa351f14a0b'),('sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','e9a8a3c693ed24218d00c10c445cdb21daed10a26e6b55e5c9d6a8c616cfd871'),('sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Views.class.php','b1878655779d07b8210ab81c3dd9aae931250f328b044114045a4780a84a0ed7'),('sites/all/modules/entityreference/plugins/selection/views.inc','7bbe8900b6b71c2d41e370deaccca869884d0fe9ca81772d7d5bca5f58ec1cd8'),('sites/all/modules/entityreference/tests/entityreference.admin.test','bcd6516be3099ae87a4c3d41add08edd17eafb4244db8442c5dc15f19ebde7ae'),('sites/all/modules/entityreference/tests/entityreference.feeds.test','320c7480b1758e4d80e91c0a6ea3d43b6b35d1adfe00b6155b61ef786510bb7c'),('sites/all/modules/entityreference/tests/entityreference.handlers.test','2fa170925ac5303c519378f1763e918cc2f111205220d90998b547a08db90d8c'),('sites/all/modules/entityreference/tests/entityreference.taxonomy.test','8e4f7d9ae621df0f587b6fcbf139adea2a35c69305ef018ced88447a41164c5f'),('sites/all/modules/entityreference/views/entityreference_plugin_display.inc','9216a065ea4fdb2daacb1280e5c9549e3400b8553b5293534cf65a0d703ab189'),('sites/all/modules/entityreference/views/entityreference_plugin_row_fields.inc','7f5a58c099c2df6fd1c3ae285197a4648841d44fa107bcb2064bc1edf435ea8b'),('sites/all/modules/entityreference/views/entityreference_plugin_style.inc','ad9a7ea5a37c2d9658c2b1d19ade3011c27ed5d9959423ebf7a390372507e6b0'),('sites/all/modules/fontawesome/fontawesome.install','ad8595025376880649a4a30940b551c2cb764f829fbbf14bf242e7cfbcb7da7c'),('sites/all/modules/fontawesome/fontawesome.module','03328dee58a2e9697144d9979b3908af6ee3b718497440987b5d0cab3c096adc'),('sites/all/modules/jquery_update/jquery_update.install','d377a4e1df5c9606b4d603fbf14296f6d4df921bb3e188341a0c602651498388'),('sites/all/modules/jquery_update/jquery_update.module','5550809cea16a9f09ebcd6e70fc36a19a2aa3fd6180039d2e2382b86d659a8c3'),('sites/all/modules/libraries/tests/libraries.test','b566140ed33211b04cda3d8773b5bc25f8986065463864a0703fa89979daa817'),('sites/all/modules/megamenus/megamenus.admin.inc','918e59841c3f6b2c3a5778b52dbc5ea044f9a5d47f1a31a10ffa4c63cc6fccb5'),('sites/all/modules/megamenus/megamenus.ajax.inc','7559193d973b06aca7dbf0f7b6d2d3b3b33bad63cbed89fdd4fedb57ddd42dc8'),('sites/all/modules/megamenus/megamenus.inc','5472507498653abcd53743f5094e42549a4360fae6c9784defdc05735c719b3b'),('sites/all/modules/megamenus/megamenus.module','f0af80a43e70c397876b80681cc90c251db2fe96bda9db44cda6eeca1524e473'),('sites/all/modules/megamenus/megamenus.themes.inc','1de50bfa5dad27a191ddf4477e971fde435a71ca98d0e25022206d9621de9fcd'),('sites/all/modules/menu_breadcrumb/menu_breadcrumb.install','2bbdb94dec4dc305afffa48559ef5cf24533d30d4a483ac83e758689cf2f42a7'),('sites/all/modules/module_filter/css/module_filter.css','2813d8a7a9cca73ac2e7a5e3979d6e913f78cc36dbfe5e21c412eeb9a8fe97fc'),('sites/all/modules/module_filter/css/module_filter_tab.css','4e505f0aa9e9ba6306f0c1fe900ec5efcdd6de983748e4eee9491ebb03d85c63'),('sites/all/modules/module_filter/js/module_filter.js','4bb9003d81e4ad063abb22e6820fd35072bb1bcb6a340c7d8034bbc6c5e81b95'),('sites/all/modules/module_filter/js/module_filter_tab.js','bb0ce3b3bddc0255175b2e3d0700206b1c10b645c7382d22ff7b897fedc9e750'),('sites/all/modules/module_filter/module_filter.admin.inc','15784b28ac9e77ba6e299b1a60b5d3176dc6fa3ecaba50dc60a1e0c56f925192'),('sites/all/modules/module_filter/module_filter.install','46a1159d2f88bb2db41a8c4c1378c6385d02d0aa689cc2940ecd4924d508c9f5'),('sites/all/modules/module_filter/module_filter.module','31d1273dbf8896a75abaf22a851b20f3653defacac9432ef5d430dc520998560'),('sites/all/modules/module_filter/module_filter.theme.inc','2f052942faf0585ee84dc90cf88152450a7a0cc09b958dd59526970d363ffe3a'),('sites/all/modules/newsletter/includes/newsletter.automated.inc','11a2316e4335b0764cb2e16db3e9b627da0a7eca2b887bd25340c7bc2cfd2c71'),('sites/all/modules/newsletter/includes/newsletter.basic.inc','e138df53d2d94649e473091717484d7a1e5512d0bf7a3767e5ec43878aab6192'),('sites/all/modules/newsletter/includes/newsletter.custom.inc','c391bed05b2e8ee1b872c2be404a752a3e4ba87e3bc64ec206e05185103a0ff6'),('sites/all/modules/newsletter/includes/newsletter.list.controller.inc','299bcbc54c68d1b312874163667e939f5968973c7014250a68366cf29e04debe'),('sites/all/modules/newsletter/includes/newsletter.mail.inc','3a0b0e670e8722cea4520aa461f5309e6054a46fa9aaff6d6c2ed3cf1b7ed36e'),('sites/all/modules/newsletter/includes/newsletter.newsletter.controller.inc','d390bcf7ee65a1ef11ad089dc6c7e5e83189e284f7026ae1be1f864962d22f92'),('sites/all/modules/newsletter/includes/newsletter.subscriber.controller.inc','f6f9eb75d1f9a371187f399ad6d3f5e9c0b27d0ef2fc5167b15856f6ccd84cbf'),('sites/all/modules/newsletter/includes/newsletter.template.controller.inc','599e43fa91609525552a249d99a8effc09d20a9601fbdf5cca5aae37ea191e2f'),('sites/all/modules/newsletter/includes/views/handlers/newsletter_handler_field_datetime.inc','990a7971895b225c9a95d96c3788bd5f416cc610a1087741e0a545095b7201dc'),('sites/all/modules/newsletter/newsletter.test','47cfc5e5e0700cfa7f68e5de4e25f1dfda4bb035626bb083db331be914257582'),('sites/all/modules/pathauto/pathauto.test','9204240a755119e02eae68c77e7b9ab816747423ccaaf51742231fbaef1f604f'),('sites/all/modules/taxonomy_menu/taxonomy_menu.batch.inc','e7cf6aa0476da11b29910a108faca5d636e4582340d789ebe9049f3e1f944a5d'),('sites/all/modules/taxonomy_menu/taxonomy_menu.database.inc','ecb8a8713bcb2ec2aec7062137e2bc51dc819bb695da608b03be7be5472902c2'),('sites/all/modules/taxonomy_menu/taxonomy_menu.install','b1b3b627fbc2c55f2dc004d62f2192c51884b4f2667cce63b37da53bb1c9c781'),('sites/all/modules/taxonomy_menu/taxonomy_menu.module','0ee1bc326987ffa350b04287e8e9a20821ad8d8ad2129bdb147a9392c7599705'),('sites/all/modules/taxonomy_menu/taxonomy_menu.test','3a99877ef3d1fb93e110e268ea52771054425ce075e3ad11511ab93bd5728fb6'),('sites/all/modules/tb_megamenu/tb_megamenu.admin.inc','55a2b6160b5169e353f01848e6996e0713067c74ab51091c91e82e8e97ed49f9'),('sites/all/modules/tb_megamenu/tb_megamenu.ajax.inc','441342ebbfd39108f0ce368827abc12a032d76139eb5dcabd86790c2bee7f8a7'),('sites/all/modules/tb_megamenu/tb_megamenu.functions.inc','bd2b8df04910c72d896f0b2cca19bc509d23efa9093f24656fb81a0ab6caf581'),('sites/all/modules/tb_megamenu/tb_megamenu.module','7424a7ce7e9b6aed26b53c7a541ad49f76d98cadddb2cd2c156c99e658271e8b'),('sites/all/modules/tb_megamenu/tb_megamenu.themes.inc','ce745b084409582f5df0389f86d34cf7dd273ff2f001259058991e275d95389b'),('sites/all/modules/token/token.test','79c44cc6bb46caa41eaf371df9c77d7ef98bbee7d96c04ca1039375dc6674961'),('sites/all/modules/video/includes/jobs.inc','1b7ead3db0211386d0b96a55f6161c4d1f341e9def793ec94541a2851fee5c30'),('sites/all/modules/video/includes/Preset.inc','ee9cf7f76af9250e3623adbdfdcdda5339d616486e901af683ca710173e8d1cb'),('sites/all/modules/video/includes/Transcoder.inc','275f6bc537c9376b638dd01714b4a9bbd1abd8b3ceebffe7f7181090227d26af'),('sites/all/modules/video/includes/TranscoderFactory.inc','ebaa6290afbc66253d9be9abad05f1b82df5d28ef591969c0c8538331070ce06'),('sites/all/modules/video/libraries/phpvideotoolkit/phpvideotoolkit.php5.php','a15b5cf4b3c3914298a3512584d2d829b43a1a2fbbc919e2e609f9393a81a6d6'),('sites/all/modules/video/tests/PHPVideoToolkit.test','c7de5799bef8b334957e4f1a7eb44269e72354947866e29f64bbda204de718f6'),('sites/all/modules/video/tests/TranscoderAbstractionFactoryFfmpeg.test','5e91eae8f02c8954192e67b390291f9b7052ba3936909f9c763ffcf548f27b1c'),('sites/all/modules/video/tests/TranscoderAbstractionFactoryZencoder.test','e07241732ca67026c81c4bc71baa06549ebaa94bdf8d57b94625adbfac88c512'),('sites/all/modules/video/tests/VideoField.test','bf803b039a7e90e59ddbbb7bb12075de12fadb4fab315fa4e93004e127698f98'),('sites/all/modules/video/tests/VideoScheduling.test','b1d4a13117d9fa76dbd91919f6d6c01b008ba3b4835b5d9c6c1c4e5a1ba2e3cc'),('sites/all/modules/video/tests/VideoUtility.test','b726d13e6240da5a9f8cb345d1809c6d66f655e8e86ac0d75b5bafff51958e39'),('sites/all/modules/video/transcoders/TranscoderAbstractionFactoryFfmpeg.inc','99c65d1a9140d3df4be3863d4e063fae2b84b6fe11347903abbec3e16c3a73ab'),('sites/all/modules/video/transcoders/TranscoderAbstractionFactoryZencoder.inc','927468eebda36e372c8e2e464b980bef012a39b40d35763468e3abfff65ab6f0'),('sites/all/modules/video/video.utility.inc','e003a92436a3724e4d86b98190209acb192bed4b140902f16ae307f419dea45c'),('sites/all/modules/video/views/video_handler_field_video_duration.inc','53705903ff900fe3957029602636fcbc9b9cdefb1b7de8803f75bdb86da420bb'),('sites/all/modules/video_embed_field/video_embed_field.migrate.inc','f20af0c10bfad5d51decd0a282ef3d0d643f4963797a352f4367ff0b2e47baff'),('sites/all/modules/video_embed_field/views/handlers/views_embed_field_views_handler_field_thumbnail_path.inc','d46f3e07dc50b76b8fd8b3719432746bf6454fe2aa827090d0753148650254e7'),('sites/all/modules/views/handlers/views_handler_area.inc','95d4374c805c057c9855304ded14ce316cdee8aca0744120a74400e2a8173fae'),('sites/all/modules/views/handlers/views_handler_area_messages.inc','de94f83a65b47d55bbb4949fcf93dd4ad628a4a105cea2b47cdc22593f3e5925'),('sites/all/modules/views/handlers/views_handler_area_result.inc','f406d7e4409545ffea2e56c9a10f87f20adef2276c6d6bbc8003885cccc8ca3b'),('sites/all/modules/views/handlers/views_handler_area_text.inc','531d0ac3b64206970593762df0abac60524f607253c3af876dd66ba747786dce'),('sites/all/modules/views/handlers/views_handler_area_text_custom.inc','35b702060c192b0adf6601ed437d0a02effd3accb71c07d6156013c8be9d5a15'),('sites/all/modules/views/handlers/views_handler_area_view.inc','e604b5716d9ea202ab0b8e51d2bd0a4a8eeab461db0a74bf37745d6cbba25c41'),('sites/all/modules/views/handlers/views_handler_argument.inc','1f0498d1878e331f59b9f0cc87b67df330437c736e565a05fe1a14ab65ec3f26'),('sites/all/modules/views/handlers/views_handler_argument_date.inc','1b423d5a437bbd8ed97d0bfb69c635d36f15114699a7bc0056568cc87937477d'),('sites/all/modules/views/handlers/views_handler_argument_formula.inc','5a29748494a7e1c37606224de0c3cac45566efe057e4748b6676a898ac224a61'),('sites/all/modules/views/handlers/views_handler_argument_group_by_numeric.inc','b8d29f27592448b63f15138510128203d726590daef56cf153a09407c90ec481'),('sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc','b2de259c2d00fe7ed04eb5d45eb5107ce60535dd0275823883cc29b04d1a3974'),('sites/all/modules/views/handlers/views_handler_argument_null.inc','26699660fd0915ec078d7eb35a93ef39fd53e3a2a4841c0ac5dbf0bb02207bee'),('sites/all/modules/views/handlers/views_handler_argument_numeric.inc','ae23d847fa0f1e92baec32665a8894e26660999e338bebffb49ee42daac5a063'),('sites/all/modules/views/handlers/views_handler_argument_string.inc','f8fe4daf0a636cc93d520a0d5ff212840d8bdaa704ddc3c59a24667f341ed3a1'),('sites/all/modules/views/handlers/views_handler_field.inc','3d059d737e738436a15651f9ac8374f460a71eb569619ba0a8a14a55a3efc87e'),('sites/all/modules/views/handlers/views_handler_field_boolean.inc','dc00b916a223935e05f51d94a2dffbaf430b162517072f7c2122332af41e8fc2'),('sites/all/modules/views/handlers/views_handler_field_contextual_links.inc','2f54701c9f71a4a525e724a6787b5e0089a3c38e426d1925bf8344d017d571bf'),('sites/all/modules/views/handlers/views_handler_field_counter.inc','865a5ad7df830dae9e167709446e66cebf3e32e91ec05b5c2b887c96d0d6b0d8'),('sites/all/modules/views/handlers/views_handler_field_ctools_dropdown.inc','a78c424ef884ae9878c0b140d532bdf3b116fdc0e8a7cd519848c675d5b1a5a6'),('sites/all/modules/views/handlers/views_handler_field_custom.inc','a3d25fc20401ae0a1af4b7d6e83376a5b7dc18ab0aed17a3c6d81e2314cf19f8'),('sites/all/modules/views/handlers/views_handler_field_date.inc','79cb6583981104d70d20393fe62281c749680f375cb67355635ef00688258934'),('sites/all/modules/views/handlers/views_handler_field_entity.inc','909ab36aff896ad8fa4306d95a052172ec27e471ab385a035fcadef8d019e0f9'),('sites/all/modules/views/handlers/views_handler_field_links.inc','331a7c8e68a9a94a41a0d7e3e2b6a5c8436792cf244b409ffd732f9cbbab3642'),('sites/all/modules/views/handlers/views_handler_field_machine_name.inc','df2fe47cf9c6d2e7de8627c08da809fb60883c38697340966f303c223e22aee4'),('sites/all/modules/views/handlers/views_handler_field_markup.inc','a0c652fdf47f7efe35bbf2371f00e230409fe90ea0038eb101bf0c93ae0718e9'),('sites/all/modules/views/handlers/views_handler_field_math.inc','08c9fb88b20ca346ee3dc29773b2341ea294ba85b659dbd8c1cc92a9ddf900e8'),('sites/all/modules/views/handlers/views_handler_field_numeric.inc','1e36f9d55b4cfeb268068e5c9bd6f326999c04191485d3db4610e94e6f57fad9'),('sites/all/modules/views/handlers/views_handler_field_prerender_list.inc','0fe605bf457886fbca5f041a422fc51c6a1927654dcd06cbfc619496fe57de0e'),('sites/all/modules/views/handlers/views_handler_field_serialized.inc','ad3d82a9f37ae4c71a875526c353839da2ff529351efc7861f8b7c9d4b5a47db'),('sites/all/modules/views/handlers/views_handler_field_time_interval.inc','280d569784312d19dabfb7aeb94639442ae37e16cba02659a8251de08a4f1de2'),('sites/all/modules/views/handlers/views_handler_field_url.inc','7ca57a8dcc42a3d1e7e7ec5defa64a689cb678073e15153ff6a7cafe54c90249'),('sites/all/modules/views/handlers/views_handler_filter.inc','4c8937c5b6399c42bb6659169f5c8563ca415fd7effab1ddeeebf2bb6b9a8011'),('sites/all/modules/views/handlers/views_handler_filter_boolean_operator.inc','f4ca59e4e1f91f219a1b33690a4ad412269946804fe7cacf24f2574b2c6d8599'),('sites/all/modules/views/handlers/views_handler_filter_boolean_operator_string.inc','0ddd32cda535112c187de1c062797849ff90d9b312a8659056e76d2d209f694a'),('sites/all/modules/views/handlers/views_handler_filter_combine.inc','802f033bba6a9965896b02e3c3e0ea4493e4be282f2c5444ebbeec7e8a478072'),('sites/all/modules/views/handlers/views_handler_filter_date.inc','fb63877ecfa64f2be8557a21dcf34e28b59c4a9c5f561f55738162d2301c4aa1'),('sites/all/modules/views/handlers/views_handler_filter_entity_bundle.inc','02db977a67a09f70bdc8e2bbc46a05fff8a6d8bd6423308c95418476e84714a3'),('sites/all/modules/views/handlers/views_handler_filter_equality.inc','2100cdd7f5232348adae494c5122ba41ff051eee0a8cc14aeaf6a66202cb7ed1'),('sites/all/modules/views/handlers/views_handler_filter_fields_compare.inc','e116c3796f1bd409b150f5ab896b9bab956d6e71a82e5770ed6fde44605751b2'),('sites/all/modules/views/handlers/views_handler_filter_group_by_numeric.inc','9401c4c0fe0d678898e5288ef8152784a12e0743df21dec15457353eb2cdb01d'),('sites/all/modules/views/handlers/views_handler_filter_in_operator.inc','8fd7f075468bddde5c4208b1c3a6105f8fea0ac0c214452a37c00fc2f3453a7d'),('sites/all/modules/views/handlers/views_handler_filter_many_to_one.inc','b4a415c2824195d3d7d0e37ada9d69ebec0b9cd833ebcac2439efc20aac15595'),('sites/all/modules/views/handlers/views_handler_filter_numeric.inc','8a999227d17674a70381ab8b45fbdc91269a83a45e5f7514607ed8b4a5bf6a9f'),('sites/all/modules/views/handlers/views_handler_filter_string.inc','140006335ac5b19b6253b431afde624db70385b9d22390b8c275296ae469cc7b'),('sites/all/modules/views/handlers/views_handler_relationship.inc','4fefdb6c9c48b72dcfe86484123b97eb5f5b90b6a440d8026d71f74dccbd1cd6'),('sites/all/modules/views/handlers/views_handler_relationship_groupwise_max.inc','47dcfe351159b10153697c17b3a92607edb34a258ba3b44087c947b9cc88e86f'),('sites/all/modules/views/handlers/views_handler_sort.inc','06aab8d75f3dce81eb032128b8f755bfff752dcefc2e5d494b137bca161fdefa'),('sites/all/modules/views/handlers/views_handler_sort_date.inc','d7e771abf74585bd09cc8e666747a093f40848b451de8ba67c8158317946f1b2'),('sites/all/modules/views/handlers/views_handler_sort_group_by_numeric.inc','4ba1c38c9af32789a951b8f9377e13631ae26bf1dac3371b31a37ead25b32eb8'),('sites/all/modules/views/handlers/views_handler_sort_menu_hierarchy.inc','ccd65ea3b3270366b7175e2cd7cc9167a09c27e1486949e4a05495ff5c7be5c1'),('sites/all/modules/views/handlers/views_handler_sort_random.inc','05a00c3bf76c3278ae0ce39a206a6224089faf5ac4a00dd5b8a558f06fab8e46'),('sites/all/modules/views/includes/base.inc','5ad8155dbc31cc4460b65747d99b70a64a83f6fefa00231c8d965293a7a183ee'),('sites/all/modules/views/includes/handlers.inc','5cab753c012d357ce2a10b645eca4254b3647fdfe2452510eee37c8a12639a14'),('sites/all/modules/views/includes/plugins.inc','11c03b1c69be7e9969ec0665b07ddfe170c9505f8d4e862cb27f1232a2a4240e'),('sites/all/modules/views/includes/view.inc','99e60c217d6dc781ec48ae8fc841e636eee31d977936e1980a34eca28734ad2e'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_category_cid.inc','97acf41d6694fd4451909c18b118f482db9f39aa4b8c5cfa75d044d410c46012'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_fid.inc','c37def91d635b01db36809141d147d263cc910895e11c05e73d703e86b39fd43'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_iid.inc','344f2806344d9c6356f2e19d297522f53bab7a4cebdf23c76d04c85c9e0a0d8e'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_category.inc','252b30b832d8c0097d6878f5d56beecfc8cc1fc7cc8b5a4670d8d95a80b4f17d'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_title_link.inc','1bb18967b11f2f4de62075d27e483f175b5e3431622c2e5e8292afcd000beadf'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_xss.inc','2db2e1f0500e0a252c7367e6a92906870b3247f9d424f999c381368ee2c76597'),('sites/all/modules/views/modules/aggregator/views_handler_filter_aggregator_category_cid.inc','7c7c0690c836ac1b75bca3433aca587b79aec3e7d072ce97dc9b33a35780ad4f'),('sites/all/modules/views/modules/aggregator/views_plugin_row_aggregator_rss.inc','591e5bb7272e389fe5fc2b563f8887dbc3674811ffbb41333d36a7a9a1859e56'),('sites/all/modules/views/modules/book/views_plugin_argument_default_book_root.inc','bd3bd9496bf519b1688cf39396f3afa495a29c8190a3e173c0740f4d20606a53'),('sites/all/modules/views/modules/comment/views_handler_argument_comment_user_uid.inc','5e29f7523010a074bda7c619b24c5d31e0c060cdbe47136b8b16b2f198ed4b4a'),('sites/all/modules/views/modules/comment/views_handler_field_comment.inc','a126d690cc5bf8491cb4bee4cc8237b90e86768bebbbecb8a9409a3c1e00fa9e'),('sites/all/modules/views/modules/comment/views_handler_field_comment_depth.inc','1dc353a31d3c71c67d0b3e6854d9e767e421010fbbf6a8b04a14035e5f7c097f'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link.inc','1f7382f7cb05c65a7cba44e4cd58022bbc6ce5597b96228d1891d7720510bf0e'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_approve.inc','f6db8a0b4dd9fffba9d8ecb7b7363ba99d3b2dc7176436a0a6dd7a93195a5789'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_delete.inc','905a4cb1f91a4b40ee1ca1d1ded9958ae18e82286589fec100adb676769b1fe9'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_edit.inc','8139c932cde20f366a3019111c054b1ed00dbc0c40634b91239b400243b7723a'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_reply.inc','8807884efb840407696c909b9d5d07f60bde9d7f385a59eca214178ce5369558'),('sites/all/modules/views/modules/comment/views_handler_field_comment_node_link.inc','64746ff2b80a5f8e83b996a325c3d5c8393934c331510b93d5815ea11c1db162'),('sites/all/modules/views/modules/comment/views_handler_field_comment_username.inc','1ce3fa61b3933a3e15466760e4c5d4a85407ba4c8753422b766fc04395fa4d02'),('sites/all/modules/views/modules/comment/views_handler_field_last_comment_timestamp.inc','30c55ec6d55bf4928b757f2a236aab56d34a8e6955944a1471e9d7b7aed057c0'),('sites/all/modules/views/modules/comment/views_handler_field_ncs_last_comment_name.inc','82025f3ad22b63abc57172d358b3f975006109802f4a5ecac93ce3785c505cae'),('sites/all/modules/views/modules/comment/views_handler_field_ncs_last_updated.inc','facfbc5defd843f4dfb60e645f09a784234d87876628c8de98d2dfa6bb98a895'),('sites/all/modules/views/modules/comment/views_handler_field_node_comment.inc','0cf9e8fb416dca35c3b9df3125eb3a8585f798c6a8f8d0e1034b1fccb5cec38b'),('sites/all/modules/views/modules/comment/views_handler_field_node_new_comments.inc','e0830d1f70dea473e46ab2b86e380ef741b2907f033777889f812f46989f2ff7'),('sites/all/modules/views/modules/comment/views_handler_filter_comment_user_uid.inc','f526c2c4153b28d7b144054828261ba7b26566169350477cd4fb3f5b5f280719'),('sites/all/modules/views/modules/comment/views_handler_filter_ncs_last_updated.inc','9369675dfee24891fe19bddf85a847c275b8127949c55112ae5cb4d422977d24'),('sites/all/modules/views/modules/comment/views_handler_filter_node_comment.inc','70706c47bad9180c2426005da6c178ed8d27b75b28cb797ca2a1925a96dcef09'),('sites/all/modules/views/modules/comment/views_handler_sort_comment_thread.inc','a64bc780cba372bd408f08a5ea9289cdf3d40562bdf2f7320657be9a9f6c7882'),('sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_comment_name.inc','9f039e8b8a046c058fda620804e3503be7b3e7e3e4119f0b015ccbae0922635b'),('sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_updated.inc','fa8b9c3614ad5838aa40194940d9dc6935175a16e141ac919f40e74a7428c4e3'),('sites/all/modules/views/modules/comment/views_plugin_row_comment_rss.inc','96f651234e30a3aff805ae9a524c99813a286bf75b5a9fd8da2d7d4fbec50810'),('sites/all/modules/views/modules/comment/views_plugin_row_comment_view.inc','82d7296fa3109ca170f66f6f3b5e1209af98a9519bb5e4a2c42d9fc0e95d7078'),('sites/all/modules/views/modules/contact/views_handler_field_contact_link.inc','ec783b215a06c89c0933107a580c144051118305dd0129ac28a7fea5f95a8fd5'),('sites/all/modules/views/modules/field/views_handler_argument_field_list.inc','eff5152a2c120425a2a75fe7dbcb49ed86e5d48392b0f45b49c2e7abee9fa72b'),('sites/all/modules/views/modules/field/views_handler_argument_field_list_string.inc','534af91d92da7a622580ab8b262f9ef76241671a5185f30ba81898806c7b7f15'),('sites/all/modules/views/modules/field/views_handler_field_field.inc','94ff7382dba773fc637c777e20b810ae7d4aa4936fb0bc067e6a3824ba929d2d'),('sites/all/modules/views/modules/field/views_handler_filter_field_list.inc','3b55cd0a14453c95ebd534507ab842a8505496d0b7e4c7fcd61c186034c7322d'),('sites/all/modules/views/modules/field/views_handler_filter_field_list_boolean.inc','d33035e141ca686b3f18da1e97adaa1ff8e5d1db266340d3030e873a744685e2'),('sites/all/modules/views/modules/field/views_handler_relationship_entity_reverse.inc','060035c5430c81671e4541bcf7de833c8a1eb3fa3f3a9db94dd3cebfa4299ef1'),('sites/all/modules/views/modules/filter/views_handler_field_filter_format_name.inc','fc3f074ffb39822182783a8d5cf2b89ffcc097ccbb2ed15818a72a99e3a18468'),('sites/all/modules/views/modules/locale/views_handler_argument_locale_group.inc','c8545411096da40f48eef8ec59391f4729c884079482e3e5b3cdd5578a1f9ad7'),('sites/all/modules/views/modules/locale/views_handler_argument_locale_language.inc','a1b6505bb26e4b3abce543b9097cd0a7b8cddf00bf1e49fbba86febebb0f4486'),('sites/all/modules/views/modules/locale/views_handler_field_locale_group.inc','5b62afe18f92ee4a5fb49eb0995e65b4744bbe3b9c24ffe8f6c21f3191c04afc'),('sites/all/modules/views/modules/locale/views_handler_field_locale_language.inc','0cc08bd2d42e07f26e7acc92642b36f0ac62bf23ee9ba3fd21e6cab9a80e9f72'),('sites/all/modules/views/modules/locale/views_handler_field_locale_link_edit.inc','3883d3f37030d6d8e397e79ccb99ec3cb715ba7a789510f4b79b7515e314e7ae'),('sites/all/modules/views/modules/locale/views_handler_field_node_language.inc','a6ccdb6c1c4df3b4fd31b714f5aa4ac99771ffce63439d6c5de6c0ae2f09a2c1'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_group.inc','40fbc041bab64f336f59d1e0593f184b879b2a0c9e2a6050709bdc54cceb2716'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_language.inc','3433893d988aad36b918dd6214f5258b701506bc9c0c6a72fd854a036b635e20'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_version.inc','9337ea5216784ffc67a0aa45c946e65ad11fc40849189cc70911a81366b78620'),('sites/all/modules/views/modules/locale/views_handler_filter_node_language.inc','d7edea3f35891cc76aa3bb185b9c1404378623ea7fd214c2a1f0d824df12779a'),('sites/all/modules/views/modules/locale/views_handler_sort_node_language.inc','b7b70efcf7de1f4dee4722ac8aa16031f17d62e60b1b5772f9985cadf91e4415'),('sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','80ee0e32fd48de1fa9d91645f27f7f26e8700acd3b1120a6d414bb1a794f6d0e'),('sites/all/modules/views/modules/node/views_handler_argument_node_language.inc','7ee3ba02bddaa6aeef9961cdf6af7bb386fc2b12529f095b28520bb98af51775'),('sites/all/modules/views/modules/node/views_handler_argument_node_nid.inc','11c5b62413ffd1b2c66d4b60a2fe21cf6eb839ae40d4ef81c7a938c5be3e30de'),('sites/all/modules/views/modules/node/views_handler_argument_node_type.inc','9e21b4cc4ae861f58c804ea7e2c17fbc5dd2a7938b9abfeb54437b531fc95e6e'),('sites/all/modules/views/modules/node/views_handler_argument_node_uid_revision.inc','675c99f8da9748ac507e202f546914bee3ed4065f6ce83a23a2aaafdaefd084e'),('sites/all/modules/views/modules/node/views_handler_argument_node_vid.inc','7e5da5594a336c1d0f4cf080ab3fcd690e0de1ee6b5e1830b5fb76a46bced19c'),('sites/all/modules/views/modules/node/views_handler_field_history_user_timestamp.inc','7d6d9c8273d317ab908d4873a32086dbd5f78a2b2d07b7ed79975841a2cadea6'),('sites/all/modules/views/modules/node/views_handler_field_node.inc','99a0ef52b68e8913eb3563d5c47097c09e46c6493fcb006f383c6f6798edb7fc'),('sites/all/modules/views/modules/node/views_handler_field_node_link.inc','26d8309a3a9140682d7d90e4d16ff664a3d7ce662af6ccbf75dc4c493515d7d9'),('sites/all/modules/views/modules/node/views_handler_field_node_link_delete.inc','3eeed8c9ffc088ee28b8ffaa5e2b084db24284acc4d1b2e69f90c96cc889016d'),('sites/all/modules/views/modules/node/views_handler_field_node_link_edit.inc','28f8c3b7d3d60c31fec3cdf81c84cfbb20f492220457694a0e150c3ddee030c0'),('sites/all/modules/views/modules/node/views_handler_field_node_path.inc','f392fde21e434fd40fc672546ef684780179d91827350ba9c348bb1cc5924727'),('sites/all/modules/views/modules/node/views_handler_field_node_revision.inc','3f510d58acaa8f844292b86c388cb1e78eac8c732bb5e7c9e92439c425710240'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link.inc','ace72f296cf4a4da4b7dd7b303532aebf93b6b1c18a5d30b51b65738475e3889'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link_delete.inc','0a36602f080c4ef2bb5cb7dbddc5533deab7743c2fbf3bd88b9e478432cac7fb'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link_revert.inc','80ddc7f0c001fde9af491bb22d6044b85324fe90bea611fc3822408fd60008fa'),('sites/all/modules/views/modules/node/views_handler_field_node_type.inc','f8f39c6f238f837270d1b2e42e67bf9ab400a37fe24246c8b86dfcfacc1c4fd9'),('sites/all/modules/views/modules/node/views_handler_field_node_version_count.inc','1298f7f7ee4b6e6e2957b266fbb7c63e102b9d7e9ccca8d5a86592736bce9493'),('sites/all/modules/views/modules/node/views_handler_filter_history_user_timestamp.inc','2970f270e071cad079880e9598d9f7b71d4dd2a2a42a31cd4489029a3cafe158'),('sites/all/modules/views/modules/node/views_handler_filter_node_access.inc','ca625167c8928f1c5b354c27c120ed9b19c1df665dc3b02ed6d96b58194d6243'),('sites/all/modules/views/modules/node/views_handler_filter_node_status.inc','f7099a59d3f237f2870ecb6b0b5e49dd9d785b1085e94baf55687251e7f3231b'),('sites/all/modules/views/modules/node/views_handler_filter_node_type.inc','6842082e7b6e131d6e002e627e6b4490b93ca6ffe7fc0b158d31843217c8c929'),('sites/all/modules/views/modules/node/views_handler_filter_node_uid_revision.inc','2cfe9ba95e5ea8c240a57cfa1bed58385cbfed0c7f35e3d8c4da6d873b5a61fa'),('sites/all/modules/views/modules/node/views_handler_filter_node_version_count.inc','de61f3547604e5905486cdae5f5e94d1a45bdac4d3c43157193dd6fe0dd6473c'),('sites/all/modules/views/modules/node/views_handler_sort_node_version_count.inc','ce2a392319ebed3dbb2b660f3d6f4c6690b1cd46cf6b1c01802f12158114c4c4'),('sites/all/modules/views/modules/node/views_plugin_argument_default_node.inc','7fb79c8f4adb9bcef7c7da4bf4046fe3490e16c244f6ab96fdca97a8567315ff'),('sites/all/modules/views/modules/node/views_plugin_argument_validate_node.inc','f10d3f4081eed5ca32c41b67e9a0e6f35b2f8ba2cd7897230cb5a680b410a6de'),('sites/all/modules/views/modules/node/views_plugin_row_node_rss.inc','1e55454684102fad08c947695c370a890a22ea22c3c9aca3207f2299aa3daf7e'),('sites/all/modules/views/modules/node/views_plugin_row_node_view.inc','6b7dfe1a3b16eae682b2664a48bb6af16f040b4ca2c8e71f8b771a0577a66bae'),('sites/all/modules/views/modules/profile/views_handler_field_profile_date.inc','e206509ef8b592e602e005f6e3fa5ba8ef7222bdb5bacd0aaeea898c4001e9b0'),('sites/all/modules/views/modules/profile/views_handler_field_profile_list.inc','da5fa527ab4bb6a1ff44cc2f9cec91cf3b094670f9e6e3884e1fedce714afe6f'),('sites/all/modules/views/modules/profile/views_handler_filter_profile_selection.inc','758dea53760a1b655986c33d21345ac396ad41d10ddf39dd16bc7d8c68e72da7'),('sites/all/modules/views/modules/search/views_handler_argument_search.inc','9de18defd5d9320b6333dc496627657be1dd8ccb145dfc136a80f1bcee6e1f55'),('sites/all/modules/views/modules/search/views_handler_field_search_score.inc','711af637c864b775672d9f6203fc2da0902ed17404181d1117b400012aac366f'),('sites/all/modules/views/modules/search/views_handler_filter_search.inc','aa2ae23905b84b77ee6042f8f26542eedd7422bdd7518255a289db7da0f6400b'),('sites/all/modules/views/modules/search/views_handler_sort_search_score.inc','9d23dd6c464d486266749106caec1d10cec2da1cc3ae5f907f39056c46badbdf'),('sites/all/modules/views/modules/search/views_plugin_row_search_view.inc','bc25864154d4df0a58bc1ac1148581c76df36267a1d18f8caee2e3e1233c8286'),('sites/all/modules/views/modules/statistics/views_handler_field_accesslog_path.inc','7843e5f4b35f4322d673b5646e840c274f7d747f2c60c4d4e9c47e282e6db37d'),('sites/all/modules/views/modules/statistics/views_handler_field_node_counter_timestamp.inc','a1de51345d268dc0f080104ff9ae4c9ca1f7a2dd45560a59630b2bb03bdc54c9'),('sites/all/modules/views/modules/statistics/views_handler_field_statistics_numeric.inc','b46b6b14e14631941ac2dc9baf0b1290c148f42801f05cb419f84a2091d03e40'),('sites/all/modules/views/modules/system/views_handler_argument_file_fid.inc','e9bf1fdf12f210f0a77774381b670c77ee88e7789971ce732b254f6be5a0e451'),('sites/all/modules/views/modules/system/views_handler_field_file.inc','0fff4adb471c0c164a78f507b035a68d41f404ab10535f06f6c11206f39a7681'),('sites/all/modules/views/modules/system/views_handler_field_file_extension.inc','768aa56198c7e82327391084f5dd27d7efdb8179ff6b8c941f892fe30469a0da'),('sites/all/modules/views/modules/system/views_handler_field_file_filemime.inc','bdd7f1255f3000f7f2900341d4c4ca378244b96390ef52a30db2962d017b61a4'),('sites/all/modules/views/modules/system/views_handler_field_file_status.inc','bfb0b9d796a4dbf95c4bb7a3deef7724bcda9e0d9067939b74ec787da934f2b0'),('sites/all/modules/views/modules/system/views_handler_field_file_uri.inc','350d7dde27ee97cb4279360374eb8633ce7fee115a109346bea85c2c4e3a68c2'),('sites/all/modules/views/modules/system/views_handler_filter_file_status.inc','9210a34795f9db36974525e718c91c03c28554da1199932791925d7c4a2f3b11'),('sites/all/modules/views/modules/system/views_handler_filter_system_type.inc','d27513703a75c4d8af79b489266cf4102a36e350c3d90404dab24403ab637205'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_taxonomy.inc','8962fa76f1e03316932468b0fd805817af94726beb82bf9f4786e0c709264662'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid.inc','e50f47ac64a93c2a43b6bd940119dee46b9f25f79f5d25a93fd0df7d707c93ab'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth.inc','5b2806fbad4a6cc104e733a3a0faf6eb1c19975930c67c4149fb3267976e0b7d'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc','ca667646f99645c00e6dfb7eb52e2f54faf848be41c99af5caf2201dcd56926b'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc','d85ebe68290239b25fc240451655b825325854e9707cf742fbd75de81e0f1aa7'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc','888647527bec3444b2d0a571a77900396d7c5e884bca04a2a3667a61f6377b5e'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_vid.inc','bf4be783ef6899f004f4dbd06c1bf2cd6dbc322678c825eec36bee81d667e81f'),('sites/all/modules/views/modules/taxonomy/views_handler_field_taxonomy.inc','fcafbbf79b79829eff211aa69580aa746b6d21a29416758bd43e25b5433f9a02'),('sites/all/modules/views/modules/taxonomy/views_handler_field_term_link_edit.inc','3da63f6feb1fa3312853b54585d761d037dac8841b4c06e01e35463c9098064a'),('sites/all/modules/views/modules/taxonomy/views_handler_field_term_node_tid.inc','d7bb6f685b85de9f9cc87500b3e5a07493832f032d826e20700bbd1baa020a61'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid.inc','6ecc68ee0efaaedd1ae8b290e587955a7d6c3ea361f671921167df55d353922e'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth.inc','0b05ec052dcc03081e20338808dda17beb0bdf869b0cfc1375ca96cfb758c22a'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc','76d59ca83bdcb40493055829a9132646ed89478d7eb6e468db2d879e66e3794c'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc','f1787b436b914cfe5ca6f2575d4c0595f4f496795711d6e8a116a39986728b0a'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_vid.inc','2a4d7dfbb6b795d217e2617595238f552bbea04b80217c933f1ee9978ceb7a0e'),('sites/all/modules/views/modules/taxonomy/views_handler_relationship_node_term_data.inc','0bfd4c7882054565fb4ff52cf5697fe8cffca69d24717ebc37e6eacc14fe2312'),('sites/all/modules/views/modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc','fc4c3ace525162fc922de581af0710c7d92dc355e9630040a29a5c3a6ab7f9af'),('sites/all/modules/views/modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc','8a9d828e5e4387d831172a5c658fac8ef584d843be6c95e9b4e357af6c8f97de'),('sites/all/modules/views/modules/tracker/views_handler_argument_tracker_comment_user_uid.inc','91f5b7e9537942eee7a1798906f772cb9806eebfdc201c54fcdecf027cd71d0f'),('sites/all/modules/views/modules/tracker/views_handler_filter_tracker_boolean_operator.inc','5efea908902052d68141017b6f29f17381e7bb8ebb6d88245471926f0a552207'),('sites/all/modules/views/modules/tracker/views_handler_filter_tracker_comment_user_uid.inc','05e07f74d1e3978afd4c80a9b4bd72444872b84a44949a512f1d3040ce28421c'),('sites/all/modules/views/modules/translation/views_handler_argument_node_tnid.inc','b0e3c87d3790cfa2e265f3d9700f2b3c2857932aa4b6e003e5d0114fc1b4d499'),('sites/all/modules/views/modules/translation/views_handler_field_node_link_translate.inc','27a1ac81b50d4807d9a1eff4c5dc8929e4472f9d363f70f5391a794db73424a2'),('sites/all/modules/views/modules/translation/views_handler_field_node_translation_link.inc','641ff25cd317bb803de2ace4bd23e8c5f5af5ba4ac38aab7be2fdc58fbb9e86a'),('sites/all/modules/views/modules/translation/views_handler_filter_node_tnid.inc','0942fd793740e3aec032a1abb7132f53788a9cdeaeb3d931cac908ac30b73950'),('sites/all/modules/views/modules/translation/views_handler_filter_node_tnid_child.inc','2a7a96d6caa4a99996549be0457bf40fa619731543a636d4573e55c190c64c7a'),('sites/all/modules/views/modules/translation/views_handler_relationship_translation.inc','9137c85f5ca309d4ee0d3243c470563a5853f5926b8cbd3e843438d4308c9516'),('sites/all/modules/views/modules/user/views_handler_argument_users_roles_rid.inc','72da80e7f3c6980da024d86f37ba3721021cc1ead2cfcc1ab9b27897b7b5077a'),('sites/all/modules/views/modules/user/views_handler_argument_user_uid.inc','a4af1bdc1ec5e40587c22c14e839980050baaa346c9d5934ef3f01794932cdc5'),('sites/all/modules/views/modules/user/views_handler_field_user.inc','1a2141524e43d86b52c7828fe6df61dd603ad433743c1139cfc5cc28ccb5ce74'),('sites/all/modules/views/modules/user/views_handler_field_user_language.inc','5a3da9e08ebeebbcb5abc6a9b16e0d380c5bb5c57b608afb540a3ca6dc1b2959'),('sites/all/modules/views/modules/user/views_handler_field_user_link.inc','5a0f35d5305a29816658385ecbd804bf43c92d4b3629fbe4bd9b8d0e9574b6ff'),('sites/all/modules/views/modules/user/views_handler_field_user_link_cancel.inc','b865881b15ce86b5a00f2892d3fc62f40131417527211275ff9a3d09d485750b'),('sites/all/modules/views/modules/user/views_handler_field_user_link_edit.inc','5d7c1155d9eccbd6b07c7446fe2b6a8848d6a500f508ac3779f16df56816f92b'),('sites/all/modules/views/modules/user/views_handler_field_user_mail.inc','b7355b704f19322afb4876cea27744367e20098d4ed973e480bf2baf1ddd111c'),('sites/all/modules/views/modules/user/views_handler_field_user_name.inc','3be11e273d7a0e8d1e1406b94ba651a6f545f9d48d94758495449b68487f4426'),('sites/all/modules/views/modules/user/views_handler_field_user_permissions.inc','ec37373524bf23ae107adda6b825570c550e6654c0f0956409fc58df2c860903'),('sites/all/modules/views/modules/user/views_handler_field_user_picture.inc','0103d136a91fb219fd981801301b7df00adf90617900ded08efbf6d7df04959b'),('sites/all/modules/views/modules/user/views_handler_field_user_roles.inc','ab5068c4f01a05c6511f7d4b973a77650d5b5c481d4a73f63b7a9b1ef9c0d138'),('sites/all/modules/views/modules/user/views_handler_filter_user_current.inc','7f70b7e3b3c10e75d95f54afc9c2fe2f1af9b7a9eab2308d2961b2588dc05845'),('sites/all/modules/views/modules/user/views_handler_filter_user_name.inc','5225e5d89051313e0e49ea833709bb4dc44369afeee970b0cfaf1818ababa22c'),('sites/all/modules/views/modules/user/views_handler_filter_user_permissions.inc','a72e8d02c1075cebfee33e5b046460eef9193b2a7c1d47ff130457e4485b6fe5'),('sites/all/modules/views/modules/user/views_handler_filter_user_roles.inc','3bb69fbc4e352ce8e4840ec78bdd0f1f29e8709097ce6b29cc2fedd2c74c023e'),('sites/all/modules/views/modules/user/views_plugin_argument_default_current_user.inc','11e729115350deffe46ebfe3a55281fa169a90e38a76c3a9d98f26c87900a22b'),('sites/all/modules/views/modules/user/views_plugin_argument_default_user.inc','fe567f009a8e20f402f104b157fd44c04d6bd886a39b2f3355104f644f905419'),('sites/all/modules/views/modules/user/views_plugin_argument_validate_user.inc','40d623b0a678fa7c292da92582f06449d0396341ab161069f0fe8d1086ab95da'),('sites/all/modules/views/modules/user/views_plugin_row_user_view.inc','6a6c1bfac677eb9ffd25870cd72939c903f2c92d6d18e3abc6c634ac153e5c2b'),('sites/all/modules/views/plugins/export_ui/views_ui.class.php','8cd921da4fc00f0441808c6d521fa9fdfc753976244518a001a6354975eb6fe8'),('sites/all/modules/views/plugins/views_plugin_access.inc','cc16bf7dc4c10eab382e948cfd91902ac1055514b627e3c50932376d3e3f1b91'),('sites/all/modules/views/plugins/views_plugin_access_none.inc','8e0a6b706c60abf63ab84d8624567ca12a5b80ad293e4334790065fbe6fa14d4'),('sites/all/modules/views/plugins/views_plugin_access_perm.inc','1807a9c91485a5abd3fb2f6590ed4bc185fdabe308db37b169be8abdfc30cab2'),('sites/all/modules/views/plugins/views_plugin_access_role.inc','8784836ea87ec6b0974125ed95ed6bbf6fdf91624f496f22c28e9229c695068d'),('sites/all/modules/views/plugins/views_plugin_argument_default.inc','43e593760f0e8f031f2e7b861385caa5e39f37de400fe4595925288c78f52f23'),('sites/all/modules/views/plugins/views_plugin_argument_default_fixed.inc','daaa3b59b54cbb11e411e010303f67a51348bb97a4e06997b475f4c41e91c4e0'),('sites/all/modules/views/plugins/views_plugin_argument_default_php.inc','7a133b603294bfe498bfdeb50fade0b6e3cf8862270376067d86f69e7dc50eb8'),('sites/all/modules/views/plugins/views_plugin_argument_default_raw.inc','4318e0dfa56f167183453cf8cd913f3b7ee539b77a096507905e36db12ded97e'),('sites/all/modules/views/plugins/views_plugin_argument_validate.inc','2ada4fdc59b366f33209c0cfc515b06e765b487091760cfa22e94ca1c028c9cb'),('sites/all/modules/views/plugins/views_plugin_argument_validate_numeric.inc','c050d3b5723dbfdca9ad312c7fa198e509c626057b95eed326820ce733dd9730'),('sites/all/modules/views/plugins/views_plugin_argument_validate_php.inc','56a09922081a5e368d5796907727e35cbf43b0d634e53f947990c8a42d5b5f3e'),('sites/all/modules/views/plugins/views_plugin_cache.inc','870ceb5dd920212f4297849046e696b50dbe35a9ad4ac28b7021a7dd03aa64d9'),('sites/all/modules/views/plugins/views_plugin_cache_none.inc','a0d0ba252e1e2b65350c7ce648b97364726fa8ded5a366bfcce30c62daee4450'),('sites/all/modules/views/plugins/views_plugin_cache_time.inc','fb55f3236b30f00f3ca5228c40115444a0e2f164a4f54e6fe07dee514e183569'),('sites/all/modules/views/plugins/views_plugin_display.inc','dd190a0984bfd20a876e6437898ec691b4f46bc7a8d2e9ef17e054d03294536f'),('sites/all/modules/views/plugins/views_plugin_display_attachment.inc','6124e2ec51eadd7500fb878c25d9c5044b4ae9b6323dbbaa40b4806b69dd4cc0'),('sites/all/modules/views/plugins/views_plugin_display_block.inc','7ad6a90efa396f68276e93e19a6273c88782d514c1f1cea6ed0b046287e16a10'),('sites/all/modules/views/plugins/views_plugin_display_default.inc','91c6554d8f41f848bf30093d44d076051c54e998f6b50bdc2a922bfeeef9c54d'),('sites/all/modules/views/plugins/views_plugin_display_embed.inc','5424f2ea9e031faade7a562b8013aea193db5b0bc1be92b97bd7967de0d7bfff'),('sites/all/modules/views/plugins/views_plugin_display_extender.inc','75fb9f80e7f153715b911690c7140f251df588e6a541fab5881fbfafc0bbf778'),('sites/all/modules/views/plugins/views_plugin_display_feed.inc','f2fb6152e12da300b9bb8e1b45621dfe921c3ce0e769970ee1532e32a3657c53'),('sites/all/modules/views/plugins/views_plugin_display_page.inc','ece0ae5d5d730ef646178b09bc41a59e091c96a6ac3b3db5bdb9e61d194787bb'),('sites/all/modules/views/plugins/views_plugin_exposed_form.inc','0632ce61b4e39f8c0f39866987e4908657020298520fcf7c2712c0135e77d95b'),('sites/all/modules/views/plugins/views_plugin_exposed_form_basic.inc','c736e1862b393e15ecc80deb58663405a1d68c2db07eb620d8e640406876cd17'),('sites/all/modules/views/plugins/views_plugin_exposed_form_input_required.inc','98b81e3b78f7242dd30a3754830bdde2fb1dfe8f002ae0daa06976f1bb64fa75'),('sites/all/modules/views/plugins/views_plugin_localization.inc','d7239cc693994dcd069c1f1e7847a7902c5bd29b8d64a93cdf37c602576661fb'),('sites/all/modules/views/plugins/views_plugin_localization_core.inc','f0900c0640e7c779e9b876223ea395f613c8fe8449f6c8eb5d060e2d54a6afcc'),('sites/all/modules/views/plugins/views_plugin_localization_none.inc','4930c3a13ddc0df3065f4920a836ffdc933b037e1337764e6687d7311f49dd8a'),('sites/all/modules/views/plugins/views_plugin_pager.inc','d7c32e38f149e9009e175395dff2b00ec429867653c7535301b705a7cc69d9ed'),('sites/all/modules/views/plugins/views_plugin_pager_full.inc','60e4dec532de00bf7e785e5fa29a0be43c7b550efa85df0346a1712a3c39f7cd'),('sites/all/modules/views/plugins/views_plugin_pager_mini.inc','0a9d101d5a4217fb888c643bfddd7bf7f2f9c0937faa2753a31452a5ee68190b'),('sites/all/modules/views/plugins/views_plugin_pager_none.inc','822cab1ada25f4902a0505f13db86886061d2ced655438b33b197d031ccceddd'),('sites/all/modules/views/plugins/views_plugin_pager_some.inc','bc6aa7cbf1bc09374eced33334195c8897e4078336b8306d02d71c7aaaa22c99'),('sites/all/modules/views/plugins/views_plugin_query.inc','475a7ff0d4c7c7e27d7971ebd909a87bdb8322c47d6023b68f50f6fe6a1ec059'),('sites/all/modules/views/plugins/views_plugin_query_default.inc','d5f89543721a3cd24f6a18114c630f741d11029d933f1b01d59f349219b747d6'),('sites/all/modules/views/plugins/views_plugin_row.inc','3ca81529526b930cfb0dda202757f203649236b90441e3c035bb79cd419ee2a6'),('sites/all/modules/views/plugins/views_plugin_row_fields.inc','875fb2868cdbcc5f7af03098cbe55b9bb91ef512e5e52ccde89f7a02a0c5fbe2'),('sites/all/modules/views/plugins/views_plugin_row_rss_fields.inc','62f4a0ceef14aec9958ee8b98d352303f10818ddc66031814cc8b9d21752ade9'),('sites/all/modules/views/plugins/views_plugin_style.inc','1ac358d216da612e1731d6b1c730d2ee57ccb8cdd31ad768ae97af542325244f'),('sites/all/modules/views/plugins/views_plugin_style_default.inc','bf411e635d2fd9e09eb245b43581a0a7b670359180ccb042d42a5e579bbe9c30'),('sites/all/modules/views/plugins/views_plugin_style_grid.inc','35094b7f644b7e0692c9026b6b6b4c4c864c37fcdedef04b359dd2bdba496a47'),('sites/all/modules/views/plugins/views_plugin_style_jump_menu.inc','53a438d8a5398877eacdbff97f3b0c418ebc2fa16e69efd5e4a31b0b986e03a3'),('sites/all/modules/views/plugins/views_plugin_style_list.inc','407b928d2c74a91903b681088bccce926d2268d0a9a6a34c185a4849dc0d7e31'),('sites/all/modules/views/plugins/views_plugin_style_mapping.inc','a6b430a148dda1b07ecee314b897c1da41ce375566adf50ee23ae1da822fddf3'),('sites/all/modules/views/plugins/views_plugin_style_rss.inc','ac72d530faffee78a1695a0b3893528ceb8451f18be0521c580485904a5ba57b'),('sites/all/modules/views/plugins/views_plugin_style_summary.inc','872df59f8f389eaf9b019e82d859dd198d31166e26a9102132e3932c7f1f2916'),('sites/all/modules/views/plugins/views_plugin_style_summary_jump_menu.inc','2ec0d225824ee65b6bb61317979e1dabe2be524a66ab19da924c6949dd31af3b'),('sites/all/modules/views/plugins/views_plugin_style_summary_unformatted.inc','c1e6f9dd1d75e29fee271171440d2182e633a1dbbc996cb186f637ff7ad93ed9'),('sites/all/modules/views/plugins/views_plugin_style_table.inc','0cbcc5d256a13953fbd3e5966a33d2426d5c3bd8c228ef370daebf2f428e693c'),('sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','d8325414c8ddde5c955a5cfb053b77478bb4d73cb2f7d75b857b082bc5a1e12d'),('sites/all/modules/views/plugins/views_wizard/views_ui_comment_views_wizard.class.php','585a8e885a18d4d2dee260859492eb332d70166abf2d201777ebf0d2083d2ebe'),('sites/all/modules/views/plugins/views_wizard/views_ui_file_managed_views_wizard.class.php','5734fb564ba9e2485cfa5d4a49f0c76f65a9be357b78e769ee4af92c4ef9e22a'),('sites/all/modules/views/plugins/views_wizard/views_ui_node_revision_views_wizard.class.php','6faf9ef92501a4f1aeaf86bcff9edaeb47bd7526ba50d06b841c9366149e7725'),('sites/all/modules/views/plugins/views_wizard/views_ui_node_views_wizard.class.php','f10e588fcfe2dc37d0df1c520c3cd797b85d6f729335606b1aa11fcb5884e6eb'),('sites/all/modules/views/plugins/views_wizard/views_ui_taxonomy_term_views_wizard.class.php','87d72dba2aef587994307cb287b638a409d148911e4b90109798ecacf5a721e7'),('sites/all/modules/views/plugins/views_wizard/views_ui_users_views_wizard.class.php','f9fe2fb1ee87a1871e6ad32bad61b2457313f24da1bd5423977ced12de542919'),('sites/all/modules/views/tests/comment/views_handler_argument_comment_user_uid.test','b8b417ef0e05806a88bd7d5e2f7dcb41339fbf5b66f39311defc9fb65476d561'),('sites/all/modules/views/tests/comment/views_handler_filter_comment_user_uid.test','347c6ffd4383706dbde844235aaf31cff44a22e95d2e6d8ef4da34a41b70edd1'),('sites/all/modules/views/tests/field/views_fieldapi.test','53e6d57c2d1d6cd0cd92e15ca4077ba532214daf41e9c7c0f940c7c8dbd86a66'),('sites/all/modules/views/tests/handlers/views_handlers.test','f94dd3c4ba0bb1ffbf42704f600b94a808c1202a9ca26e7bdef8e7921c2724e9'),('sites/all/modules/views/tests/handlers/views_handler_area_text.test','af74a74a3357567b844606add76d7ca1271317778dd7bd245a216cf963c738b4'),('sites/all/modules/views/tests/handlers/views_handler_argument_null.test','1d174e1f467b905d67217bd755100d78ffeca4aa4ada5c4be40270cd6d30b721'),('sites/all/modules/views/tests/handlers/views_handler_argument_string.test','3d0213af0041146abb61dcdc750869ed773d0ac80cfa74ffbadfdd03b1f11c52'),('sites/all/modules/views/tests/handlers/views_handler_field.test','af552bf825ab77486b3d0d156779b7c4806ce5a983c6116ad68b633daf9bb927'),('sites/all/modules/views/tests/handlers/views_handler_field_boolean.test','d334b12a850f36b41fe89ab30a9d758fd3ce434286bd136404344b7b288460ae'),('sites/all/modules/views/tests/handlers/views_handler_field_counter.test','75b31942adf06b107f5ffd3c97545fde8cd1040b1d00f682e3c7c1320026e26c'),('sites/all/modules/views/tests/handlers/views_handler_field_custom.test','1446bc3d5a6b1180a79edfa46a5268dbf7f089836aa3bc45df00ddaff9dd0ce1'),('sites/all/modules/views/tests/handlers/views_handler_field_date.test','02df76a93a42d6131957748b1e69254835f9e44a47dafca1e833914e6b7f88a0'),('sites/all/modules/views/tests/handlers/views_handler_field_file_extension.test','606ca091ad7e5709f7653324aaa021484d1f0e07e8639b3f0f7c26d3cfdee53c'),('sites/all/modules/views/tests/handlers/views_handler_field_file_size.test','49184db68af398a54e81c8a76261acd861da8fd7846b9d51dcf476d61396bfb9'),('sites/all/modules/views/tests/handlers/views_handler_field_math.test','6e39e4f782e6b36151ceafb41a5509f7c661be79b393b24f6f5496d724535887'),('sites/all/modules/views/tests/handlers/views_handler_field_url.test','b41f762a71594b438a2e60a79c8260ba54e6305635725b0747e29f0d3ffe08c9'),('sites/all/modules/views/tests/handlers/views_handler_field_xss.test','f129ee16c03f84673e33990cbb2da5aa88c362f46e9ba1620b2a842ffd1c9cd2'),('sites/all/modules/views/tests/handlers/views_handler_filter_combine.test','05842d83a11822afe7d566835f5db9f0f94fdb27ddfc388d38138767bdf36f8b'),('sites/all/modules/views/tests/handlers/views_handler_filter_date.test','ad2ca901c6a4ac3a82fc349a33826f043c6c80f773f40374be2e95acb39491e3'),('sites/all/modules/views/tests/handlers/views_handler_filter_equality.test','c88f21c9cbf1aae83393b26616908f8020c18fe378d76256c7ba192df2ec17af'),('sites/all/modules/views/tests/handlers/views_handler_filter_in_operator.test','89420a4071677232e0eb82b184b37b818a82bdb2ff90a8b21293f9ecb21808bf'),('sites/all/modules/views/tests/handlers/views_handler_filter_numeric.test','35ac7a34e696b979e86ef7209b6697098d9abe218e30a02cc4fe39fb11f2a852'),('sites/all/modules/views/tests/handlers/views_handler_filter_string.test','b7d090780748faad478e619fd55673d746d4a0cf343d9e40ea96881324c34cbd'),('sites/all/modules/views/tests/handlers/views_handler_sort.test','f4ff79e6bc54e83c4eb2777811f33702b7e9fe7416ef70ae00d100fa54d44fec'),('sites/all/modules/views/tests/handlers/views_handler_sort_date.test','f548584d7c6a71cabd3ce07e04053a38df3f3e1685210ce8114238fd05344c10'),('sites/all/modules/views/tests/handlers/views_handler_sort_random.test','4fdba9bf05a26720ffa97e7a37da65ddc9044bd2832f8c89007b82feb062f182'),('sites/all/modules/views/tests/node/views_node_revision_relations.test','9467497a6d693615b48c8f57611a850002317bcb091b926d2efbbe56a4e61480'),('sites/all/modules/views/tests/plugins/views_plugin_display.test','4a6b136543a60999604c54125fa9d4f5aa61a5dcc71e2133d89325d81bc0fc2d'),('sites/all/modules/views/tests/styles/views_plugin_style.test','92d9a02f87f07d091999b961045b1dd654165059d8d1931b5c2ea1d88d0b439f'),('sites/all/modules/views/tests/styles/views_plugin_style_base.test','54fb7816d18416d8b0db67e9f55aa2aa50ac204eb9311be14b6700b7d7a95ae7'),('sites/all/modules/views/tests/styles/views_plugin_style_jump_menu.test','b88baa8aebe183943a6e4cf2df314fef13ac41b5844cd5fa4aa91557dd624895'),('sites/all/modules/views/tests/styles/views_plugin_style_mapping.test','a4e68bc8cfbeff4a1d9b8085fd115bfe7a8c4b84c049573fa0409b0dc8c2f053'),('sites/all/modules/views/tests/styles/views_plugin_style_unformatted.test','033ca29d41af47cd7bd12d50fea6c956dde247202ebda9df7f637111481bb51d'),('sites/all/modules/views/tests/taxonomy/views_handler_relationship_node_term_data.test','6074f5c7ae63225ea0cd26626ace6c017740e226f4d3c234e39869c31308223d'),('sites/all/modules/views/tests/test_handlers/views_test_area_access.inc','619e39bc4535976865b96751535d0d5aac4a7a87c1d47cb6d4c4bb9c9fa74716'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_dynamic.inc','6a3ce8c256b84734b6b67a893ab24465a5f62d7bdf9ab5d22082a31849346b7d'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_static.inc','e345e42d443cfa73db0ed2be61291117ebd57b86196cdb77c6f440e93443def3'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_style_test_mapping.inc','0b2c68626105bd5f6b9074022a37c3d09d3a6bd70b811bb26d5eacad6d74546f'),('sites/all/modules/views/tests/user/views_handler_field_user_name.test','69641b6da26d8daee9a2ceb2d0df56668bf09b86db1d4071c275b6e8d0885f9e'),('sites/all/modules/views/tests/user/views_user.test','fbb63b42a0b7051bd4d33cf36841f39d7cc13a63b0554eca431b2a08c19facae'),('sites/all/modules/views/tests/user/views_user_argument_default.test','6423f2db7673763991b1fd0c452a7d84413c7dd888ca6c95545fadc531cfaaf4'),('sites/all/modules/views/tests/user/views_user_argument_validate.test','c88c9e5d162958f8924849758486a0d83822ada06088f5cf71bfbe76932d8d84'),('sites/all/modules/views/tests/views_access.test','f8b9d04b43c09a67ec722290a30408c1df8c163cf6e5863b41468bb4e381ee6f'),('sites/all/modules/views/tests/views_analyze.test','5548e36c99bb626209d63e5cddbc31f49ad83865c983d2662c6826b328d24ffb'),('sites/all/modules/views/tests/views_argument_default.test','5950937aae4608bba5b86f366ef3a56cc6518bbccfeaeacda79fa13246d220e4'),('sites/all/modules/views/tests/views_argument_validator.test','31f8f49946c8aa3b03d6d9a2281bdfb11c54071b28e83fb3e827ca6ff5e38c88'),('sites/all/modules/views/tests/views_basic.test','655bd33983f84bbea68a3f24bfab545d2c02f36a478566edf35a98a58ff0c6cf'),('sites/all/modules/views/tests/views_cache.test','4e9b8ae1d9e72a9eaee95f5083004316d2199617f7d6c8f4bea40e99d17efcd8'),('sites/all/modules/views/tests/views_exposed_form.test','6962c7ed8a38030ec1cfa94485de07ceb1f9393216985bd8bfecac768f6c0950'),('sites/all/modules/views/tests/views_glossary.test','118d50177a68a6f88e3727e10f8bcc6f95176282cc42fbd604458eeb932a36e8'),('sites/all/modules/views/tests/views_groupby.test','f26ad6857dc4821a4a0780642bda05fcb69ed506968e521f759bb28be4080143'),('sites/all/modules/views/tests/views_handlers.test','a696e3d6b1748da03a04ac532f403700d07c920b9c405c628a6c94ea6764f501'),('sites/all/modules/views/tests/views_module.test','5137e27449639d3e02f1b27206ef3ff96957546333b517318dfe8f58239dc860'),('sites/all/modules/views/tests/views_pager.test','6f448c8c13c5177afb35103119d6281958a2d6dbdfb96ae5f4ee77cb3b44adc5'),('sites/all/modules/views/tests/views_plugin_localization_test.inc','baedcf6c7381f9c5d3a5062f7d256f96808d06e04b6e73eff8e791e5f5293f45'),('sites/all/modules/views/tests/views_query.test','f8cb1649e43c8a2b036fec742e86b8eb9c2c4c095a4c4e7a7c3ca13c6ce8e6e6'),('sites/all/modules/views/tests/views_test.views_default.inc','4c65cc385b3e3c2e17fe054eb7a1ec70f4dd4b0394bdb108de2ddc0a7b435635'),('sites/all/modules/views/tests/views_translatable.test','6899c7b09ab72c262480cf78d200ecddfb683e8f2495438a55b35ae0e103a1b3'),('sites/all/modules/views/tests/views_ui.test','f9687a363d7cc2828739583e3eedeb68c99acd505ff4e3036c806a42b93a2688'),('sites/all/modules/views/tests/views_upgrade.test','c48bd74b85809dd78d963e525e38f3b6dd7e12aa249f73bd6a20247a40d6713a'),('sites/all/modules/views/tests/views_view.test','a52e010d27cc2eb29804a3acd30f574adf11fad1f5860e431178b61cddbdbb69'),('sites/all/modules/views/views_ui.module','418d555f71e72cb771a01ad7bfe7410c4d8191738271fa4e7cbb063940afb2a0'),('sites/all/modules/views_fieldsets/views/views_fieldsets_fieldset_field_handler.inc','2870256bc954a75a21a134dbb32d02cdc77ab8aadf43539ee3e9ab48ba2c9696'),('sites/all/modules/views_infinite_scroll/drush/views_infinite_scroll.drush.inc','9661c2e961c1a5f13cb92923f5bc6195d32b3e9c2b5c5e767f7b227d7e92bf64'),('sites/all/modules/views_infinite_scroll/theme/views_infinite_scroll_theme.inc','64046bfda6a34e3663334ad7aa150284dff80d81b5f0043f47dccad06493302b'),('sites/all/modules/views_infinite_scroll/views_infinite_scroll.module','edd61c73f577fcd8bf10fdead8e4becd14cc5dbbad94f7181c357342190f3a5e'),('sites/all/modules/views_infinite_scroll/views_infinite_scroll.views.inc','6332a4c4ec1277bbddc2b508db927ee43851c0d6681ffaddd05472df5f9ad5af'),('sites/all/modules/views_infinite_scroll/views_plugin_pager_infinite_scroll.inc','4b6c191bb79f00baf7e98cef112af575e7f0670f3e3d1c37d4cb35f42d2a4b43'),('sites/all/modules/weight/views/weight_handler_field_weight.inc','1c466bab88ab15dc0684cb4833154c9ced0fd3c289c5f6c768c178d4421d2f27'),('sites/all/modules/weight/views/weight_handler_filter_weight_enabled.inc','49985e0837b7437246595bfc479f33932cf2a9b8b33a811796f26c451b970727'),('sites/all/modules/weight/weight.migrate.inc','7cad96b61af2c907fc0bef9513f07b59c461bb1ddf27501e521b58b95a90eb3c');
/*!40000 ALTER TABLE `registry_file` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `role`
--

DROP TABLE IF EXISTS `role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role` (
  `rid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique role ID.',
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'Unique role name.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this role in listings and the user interface.',
  PRIMARY KEY (`rid`),
  UNIQUE KEY `name` (`name`),
  KEY `name_weight` (`name`,`weight`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='Stores user roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role`
--

LOCK TABLES `role` WRITE;
/*!40000 ALTER TABLE `role` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `role` VALUES (3,'administrator',2),(1,'anonymous user',0),(2,'authenticated user',1);
/*!40000 ALTER TABLE `role` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `role_permission`
--

DROP TABLE IF EXISTS `role_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role_permission` (
  `rid` int(10) unsigned NOT NULL COMMENT 'Foreign Key: role.rid.',
  `permission` varchar(128) NOT NULL DEFAULT '' COMMENT 'A single permission granted to the role identified by rid.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module declaring the permission.',
  PRIMARY KEY (`rid`,`permission`),
  KEY `permission` (`permission`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the permissions assigned to user roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role_permission`
--

LOCK TABLES `role_permission` WRITE;
/*!40000 ALTER TABLE `role_permission` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `role_permission` VALUES (1,'access comments','comment'),(1,'access content','node'),(1,'access site-wide contact form','contact'),(1,'search content','search'),(1,'subscribe newsletters','newsletter'),(1,'use advanced search','search'),(1,'use text format filtered_html','filter'),(2,'access comments','comment'),(2,'access content','node'),(2,'access site-wide contact form','contact'),(2,'access user contact forms','contact'),(2,'post comments','comment'),(2,'search content','search'),(2,'skip comment approval','comment'),(2,'subscribe newsletters','newsletter'),(2,'use advanced search','search'),(2,'use text format filtered_html','filter'),(3,'access administration menu','admin_menu'),(3,'access administration pages','system'),(3,'access all views','views'),(3,'access bean overview','bean'),(3,'access comments','comment'),(3,'access content','node'),(3,'access content overview','node'),(3,'access contextual links','contextual'),(3,'access dashboard','dashboard'),(3,'access newsletter statistics','newsletter'),(3,'access overlay','overlay'),(3,'access site in maintenance mode','system'),(3,'access site reports','system'),(3,'access site-wide contact form','contact'),(3,'access toolbar','toolbar'),(3,'access user contact forms','contact'),(3,'access user profiles','user'),(3,'administer actions','system'),(3,'administer bean settings','bean'),(3,'administer bean types','bean'),(3,'administer beans','bean'),(3,'administer blocks','block'),(3,'administer comments','comment'),(3,'administer contact forms','contact'),(3,'administer content types','node'),(3,'administer contexts','context_ui'),(3,'administer fields','field'),(3,'administer filters','filter'),(3,'administer forums','forum'),(3,'administer image styles','image'),(3,'administer languages','locale'),(3,'administer megamenus','megamenus'),(3,'administer menu','menu'),(3,'administer module filter','module_filter'),(3,'administer modules','system'),(3,'administer newsletters','newsletter'),(3,'administer nodes','node'),(3,'administer pathauto','pathauto'),(3,'administer permissions','user'),(3,'administer search','search'),(3,'administer shortcuts','shortcut'),(3,'administer site configuration','system'),(3,'administer software updates','system'),(3,'administer taxonomy','taxonomy'),(3,'administer tb_megamenu','tb_megamenu'),(3,'administer themes','system'),(3,'administer url aliases','path'),(3,'administer users','user'),(3,'administer video presets','video'),(3,'administer video styles','video_embed_field'),(3,'administer views','views'),(3,'assign node weight','weight'),(3,'block IP addresses','system'),(3,'bypass conversion video','video'),(3,'bypass node access','node'),(3,'cancel account','user'),(3,'cancel own vote','poll'),(3,'change own username','user'),(3,'context ajax block access','context_ui'),(3,'convert on submission','video'),(3,'create article content','node'),(3,'create page content','node'),(3,'create url aliases','path'),(3,'customize shortcut links','shortcut'),(3,'delete any article content','node'),(3,'delete any page content','node'),(3,'delete own article content','node'),(3,'delete own page content','node'),(3,'delete revisions','node'),(3,'delete terms in 1','taxonomy'),(3,'display drupal links','admin_menu'),(3,'edit any article content','node'),(3,'edit any page content','node'),(3,'edit bean view mode','bean'),(3,'edit own article content','node'),(3,'edit own comments','comment'),(3,'edit own page content','node'),(3,'edit terms in 1','taxonomy'),(3,'flush caches','admin_menu'),(3,'inspect all votes','poll'),(3,'notify of path changes','pathauto'),(3,'override player dimensions','video'),(3,'post comments','comment'),(3,'re convert video','video'),(3,'revert revisions','node'),(3,'search content','search'),(3,'select account cancellation method','user'),(3,'skip comment approval','comment'),(3,'subscribe newsletters','newsletter'),(3,'switch shortcut sets','shortcut'),(3,'translate interface','locale'),(3,'use advanced search','search'),(3,'use default thumb','video'),(3,'use PHP for settings','php'),(3,'use text format filtered_html','filter'),(3,'use text format full_html','filter'),(3,'view bean page','bean'),(3,'view bean revisions','bean'),(3,'view own unpublished content','node'),(3,'view revisions','node'),(3,'view the administration theme','system'),(3,'vote on polls','poll');
/*!40000 ALTER TABLE `role_permission` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_dataset`
--

DROP TABLE IF EXISTS `search_dataset`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_dataset` (
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Search item ID, e.g. node ID for nodes.',
  `type` varchar(16) NOT NULL COMMENT 'Type of item, e.g. node.',
  `data` longtext NOT NULL COMMENT 'List of space-separated words from the item.',
  `reindex` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Set to force node reindexing.',
  PRIMARY KEY (`sid`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores items that will be searched.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_dataset`
--

LOCK TABLES `search_dataset` WRITE;
/*!40000 ALTER TABLE `search_dataset` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_dataset` VALUES (1,'node',' ellie goulding s stayhappy secrets sed vulputate metus eget orci tristique non mattis est tincidunt suspendisse potenti sed feugiat diam tortor praesent eleifend neque quis est vulputate tincidunt etiam eu urna ut arcu volutpat auctor morbi varius nunc quis blandit vestibulum lectus lectus commodo tellus eu ornare magna ante interdum erat phasellus at lorem sit amet nisl condimentum faucibus ut in lectus nunc pellentesque tellus non aliquet ultrices sed ullamcorper augue mauris porta facilisis nisl tristique id vestibulum sed interdum felis nulla feugiat est vel sem bibendum id dapibus purus dignissim sed mattis faucibus elit quis euismod odio venenatis eget integer feugiat ornare mauris a adipiscing orci volutpat sed donec molestie metus a magna fermentum nec accumsan massa varius cras aliquet nulla eleifend tempus fermentum praesent tempus commodo tortor ac lobortis ut nunc odio viverra vel metus sed adipiscing ullamcorper lectus nunc sit amet enim lacus mauris erat purus vestibulum nec nunc id ultricies eleifend massa quisque commodo id tellus blandit varius donec id turpis feugiat nibh accumsan tincidunt aliquam velit orci fermentum a orci in eleifend tempus mi curabitur accumsan id lacus in cursus phasellus mattis eros quis mi aliquet at ullamcorper metus sagittis vestibulum velit nisi tincidunt ac tristique at placerat et eros donec gravida facilisis dolor eget tristique ligula ultricies commodo nam accumsan purus in nulla faucibus id vestibulum nulla congue ut at consectetur nulla quis porttitor nulla sed eget congue felis aliquam at odio orci vestibulum in egestas lacus nulla risus justo faucibus ut pellentesque non fringilla vel eros sed adipiscing urna non nisi bibendum a condimentum arcu luctus curabitur quam ante condimentum non nulla eget molestie facilisis mauris health beauty ',0),(2,'node',' florida hospital celebrates 2014 nba draft with a little magic  you re never too young to be a sports fan and the newest generation of magic supporters is being born at florida hospital as orlando is gearing up to welcome the upcoming draft picks to the city the magic are welcoming their youngest fans into the little magic program all babies born at florida hospital altamonte celebration orlando and winter park in the week leading up to the 2014 nba draft are receiving an orlando magic baby jersey and a commemorative framed photograph from the orlando magic and florida hospital and because the babies are looking so cute in their new magic jerseys we couldn t resist sharing the photos on our social media sites and if you re driving along i4 keep an eye out for the magic s digital billboard on the amway center and see if you can spot our florida hospital babies donec nec urna volutpat suscipit ligula ut viverra turpis nunc lacus lacus venenatis ut iaculis vel mattis non sapien sed ultricies lectus vel nisl volutpat iaculis pellentesque eu laoreet diam duis sed faucibus mauris ut viverra arcu nullam eu magna eget tellus faucibus sagittis donec auctor est nec erat pretium commodo nunc elit nisi hendrerit iaculis tempus eu venenatis non nibh morbi in est sed erat tempus ornare eget a ipsum nam vitae semper erat donec et aliquet diam sit amet interdum est suspendisse non lectus diam nullam nec quam fermentum pellentesque lacus a bibendum ligula phasellus in ligula pretium accumsan ipsum ut fringilla nunc integer ac bibendum purus pellentesque in dui in dui commodo accumsan id vel nibh donec fringilla dui elementum arcu posuere sagittis aliquam erat volutpat pellentesque ut metus sit amet tortor fermentum congue donec nisl neque feugiat ut fermentum vitae sagittis nec mi aliquam pellentesque elit vitae molestie elementum quisque id euismod ligula phasellus porta euismod felis vel dignissim suspendisse scelerisque nunc vestibulum massa lobortis ut rhoncus nisi porttitor mauris tincidunt at ipsum in pharetra donec nec scelerisque mauris  ',0),(3,'node',' how to choose your wedding rings what kind of wedding rings do you like pay attention to those worn by your family and friends and take a look on pinterest to get thoroughly inspired also give some thought as to what kind of ring would work best with your lifestyle your perfect wedding band will fit effortlessly into your daytoday life aliquam erat volutpat pellentesque ut metus sit amet tortor fermentum congue donec nisl neque feugiat ut fermentum vitae sagittis nec mi aliquam pellentesque elit vitae molestie elementum quisque id euismod ligula phasellus porta euismod felis vel dignissim suspendisse scelerisque nunc vestibulum massa lobortis ut rhoncus nisi porttitor mauris tincidunt at ipsum in pharetra donec nec scelerisque mauris quisque iaculis augue elit in auctor nibh pellentesque ac vivamus ultrices sem nibh id pharetra purus placerat a interdum et malesuada fames ac ante ipsum primis in faucibus integer lacinia leo ut pharetra rutrum nulla quis velit imperdiet euismod justo ac blandit urna curabitur tincidunt diam ac erat congue sodales vestibulum non felis id orci faucibus imperdiet aenean orci erat pulvinar ut placerat eu dignissim quis nulla interdum et malesuada fames ac ante ipsum primis in faucibus aenean imperdiet elit ligula vel tincidunt tellus volutpat eu aenean et metus ut leo placerat suscipit proin luctus sem leo eget mattis nulla mattis nec proin ornare dictum est nec congue erat egestas non quisque in feugiat magna suspendisse potenti sed viverra tellus non posuere mollis aliquam ac nisi eu dolor elementum commodo donec et tortor bibendum tincidunt lectus vitae egestas ipsum wedding ',0),(4,'node',' choosing your wedding location figuring out where the most joyous occasion of your life thus far at least will take place isn t a small matter where you wed can dictate when you wed how formal the event even what you ll wear the key is to look far and wide and to heed advice that s typically given for the weddingdress hunt try on different options not only the one you think you want with that in mind we compiled a list of the most common and a few not so common venues see if one fits donec nec urna volutpat suscipit ligula ut viverra turpis nunc lacus lacus venenatis ut iaculis vel mattis non sapien sed ultricies lectus vel nisl volutpat iaculis pellentesque eu laoreet diam duis sed faucibus mauris ut viverra arcu nullam eu magna eget tellus faucibus sagittis donec auctor est nec erat pretium commodo nunc elit nisi hendrerit iaculis tempus eu venenatis non nibh morbi in est sed erat tempus ornare eget a ipsum nam vitae semper erat donec et aliquet diam sit amet interdum est suspendisse non lectus diam nullam nec quam fermentum pellentesque lacus a bibendum ligula phasellus in ligula pretium accumsan ipsum ut fringilla nunc integer ac bibendum purus pellentesque in dui in dui commodo accumsan id vel nibh donec fringilla dui elementum arcu posuere sagittis aliquam erat volutpat pellentesque ut metus sit amet tortor fermentum congue donec nisl neque feugiat ut fermentum vitae sagittis nec mi aliquam pellentesque elit vitae molestie elementum quisque id euismod ligula phasellus porta euismod felis vel dignissim suspendisse scelerisque nunc vestibulum massa lobortis ut rhoncus nisi porttitor mauris tincidunt at ipsum in pharetra donec nec scelerisque mauris quisque iaculis augue elit in auctor nibh pellentesque ac vivamus ultrices sem nibh id pharetra purus placerat a interdum et malesuada fames ac ante ipsum primis in faucibus integer lacinia leo ut pharetra rutrum nulla quis velit imperdiet euismod justo ac blandit urna curabitur tincidunt diam ac erat congue sodales vestibulum non felis id orci faucibus imperdiet aenean orci erat pulvinar ut placerat eu dignissim quis nulla interdum et malesuada fames ac ante ipsum primis in faucibus wedding quisque iaculis augue elit permalink submitted by admin on tue 7012014 901 quisque iaculis augue elit log in or register to post comments  ',0),(5,'node',' where to travel in july spark s fly in july and not just on the fourth celebrate independence all month long with exciting trips at home and abroad from a leisurely stroll through the city of brotherly love to heartpumping action on the bullstomping streets of pamplona spain take full advantage of your right to pursue happiness with these our recommendations on things to do in july nam dictum convallis augue ac faucibus sem rutrum a nam ac sapien sed urna vulputate lacinia id in tellus cras at lectus libero pellentesque hendrerit non lacus nec eleifend suspendisse vel sodales elit ut consectetur ut enim sit amet fringilla in ullamcorper at dui non condimentum integer nec mattis neque id tristique dolor ut non lacus vel nulla aliquet luctus vestibulum gravida dapibus feugiat vivamus metus eros posuere non vehicula in dictum id risus pellentesque vulputate nisl in pellentesque interdum mauris porttitor leo varius congue egestas turpis lacus lacinia nisi vel dignissim orci eros eget ante maecenas vitae ipsum vel nisi mollis faucibus suspendisse mauris felis semper nec accumsan condimentum dignissim in turpis proin imperdiet nulla in rutrum facilisis donec neque nulla imperdiet quis enim dapibus venenatis sodales tortor lorem ipsum dolor sit amet consectetur adipiscing elit fusce commodo tincidunt magna pellentesque bibendum lacus tristique at donec at urna enim pellentesque tempus id sem eu aliquam integer suscipit vel orci in mollis vivamus vitae ultricies mi vel luctus nisl vestibulum auctor hendrerit mi non luctus duis feugiat erat et gravida suscipit nulla fringilla posuere vestibulum etiam fringilla dignissim dapibus nullam sit amet urna aliquet pulvinar dui non vestibulum justo morbi commodo tortor arcu at tristique quam varius pretium fusce dolor ipsum tempor a convallis nec elementum et felis in lectus justo bibendum sit amet nibh at facilisis vulputate justo suspendisse scelerisque sem non dolor adipiscing sit amet sagittis neque lacinia travel ',0),(6,'node',' how to spa for a truly luxurious experience we have five speciality suites in addition we also have a spa penthouse located on the top of floor of the spa this has four additional spa suites and is perfect choice for parties and private functions vivamus viverra quis ipsum vel varius in gravida dui a accumsan fermentum aliquam erat volutpat in adipiscing magna ornare scelerisque rutrum aliquam erat volutpat praesent blandit ut sapien at tempus nullam bibendum augue metus vitae vehicula nisi commodo eget donec lacus nisi viverra ac dictum sed sollicitudin et est phasellus eros sem posuere eget tempus eget cursus eu felis phasellus sem velit luctus eget massa in porttitor varius massa aenean a felis sollicitudin sodales risus sed sollicitudin nulla nullam ut quam ac ipsum posuere cursus maecenas placerat nunc et libero ornare elementum suspendisse potenti nunc ac orci dui in sed gravida tortor aliquam aliquam sem eleifend dignissim blandit sem eros suscipit tellus quis egestas felis justo eu libero etiam ut elit eleifend iaculis nulla sit amet consectetur augue sed laoreet magna nisl sed vulputate lectus rhoncus at sed imperdiet ante et orci varius facilisis vestibulum eu tempor nunc vitae condimentum diam sed suscipit nulla sit amet turpis fringilla auctor vivamus est turpis tristique et nibh sed laoreet accumsan massa nam ultricies leo quis lectus luctus condimentum porta erat mollis nulla ut diam turpis nam aliquam sodales tortor nec rhoncus leo in euismod non ante gravida molestie aenean sit amet facilisis elit lorem ipsum dolor sit amet consectetur adipiscing elit mauris ut tristique leo maecenas felis enim euismod ac dapibus rutrum dapibus sed purus nulla facilisi proin sed nisi nisl fusce tincidunt urna et erat viverra posuere mattis nisl tristique donec aliquam id eros quis dapibus aliquam scelerisque tempus lobortis maecenas tristique nibh orci sit amet consequat tortor fermentum vel vivamus et imperdiet magna duis convallis tortor sit amet luctus condimentum mauris dictum elit a bibendum auctor quam libero egestas massa sit amet suscipit enim tortor at est nullam sit amet tellus sit amet nisl hendrerit ultricies pharetra eget ante sed justo nulla congue nec purus vel vehicula commodo mi in hac habitasse platea dictumst phasellus ornare ornare ultrices cras tincidunt nibh in risus pulvinar id auctor neque euismod quisque aliquet elementum erat iaculis scelerisque nam suscipit lectus nec diam suscipit sodales nec nec nisi spa ',0),(7,'node',' what would a sport touring bike be like  admin s blog when i think of a sports touring bike i think of a road racing bike with the eyelets for a rear rack the geometry not as relaxed as a touring bike the wheel base is a little shorter the front crank is a road triple not a mountain bike crank the rear cog will have a wider range than the typical racing cog so all in all fast quick and a little stouter than a racing bike waterford bikes has a sport touring catagory and says it light weight quick accelerating has a longer wheel base than a racing bike for comfort over long distances used for credit card touring or light touring nunc in facilisis lacus nulla sed urna faucibus fringilla libero ac ornare est curabitur a sem tortor vivamus elementum dictum bibendum duis iaculis interdum pulvinar donec blandit metus urna eget viverra arcu accumsan id suspendisse dui sem hendrerit eget tortor nec adipiscing sollicitudin lacus mauris quis sollicitudin eros nulla at nulla velit nullam consequat eros odio id accumsan turpis gravida eget vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae suspendisse vestibulum congue lorem eu gravida nibh commodo eu quisque scelerisque risus auctor convallis elit sed hendrerit ligula ut vestibulum rutrum viverra fusce dapibus elit quis nulla egestas eu tristique augue euismod suspendisse dignissim sagittis augue a tincidunt nulla eu lectus ut arcu dapibus consequat fermentum ac mauris proin scelerisque pharetra eros ut euismod nisi dapibus nec sed at dui ac lacus convallis placerat in pulvinar leo et tempor pharetra urna elit gravida tellus sit amet aliquam diam metus et diam sed ut pharetra odio quisque quis dictum nulla eu tristique purus integer nec sapien nisi etiam sed justo tortor in egestas consequat justo vel laoreet nulla fermentum nibh et tempus convallis fusce non lectus nec elit cursus placerat etiam a tellus nec leo condimentum adipiscing maecenas eget orci accumsan lacinia nisi posuere mattis nisl pellentesque varius erat vel massa luctus rhoncus eget ut libero phasellus enim nibh vulputate sit amet sagittis sed pulvinar non magna proin interdum purus magna et sollicitudin mi elementum a aliquam ac lectus nisl quisque interdum metus quis urna adipiscing ut dapibus leo ultrices proin consectetur eros in eleifend porttitor sports ',0),(8,'node',' more than 1000 runners signed up for syracuse half marathon syracuse ny more than 1000 distance runners will take to the city s streets during the syracuse half marathon set for march 24 the race will start at 8 am at the oncenter and will end there at around noon the course will take runners through the north west and south sides of syracuse with nine of its full 131 miles being within city limits runners can signup online or the the morning of the race with advance admission at 75 and a race weekend rate of 90 as of friday more than 1100 runners had entered cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus praesent varius luctus risus ac euismod eros lobortis eget suspendisse eget odio aliquam fringilla justo sit amet pharetra dui aliquam diam risus luctus quis erat quis lobortis ultricies est mauris sem enim mollis et ornare eget lobortis in odio nulla facilisi phasellus sed tortor sodales mattis nisi nec aliquet enim suspendisse potenti aenean augue nunc rutrum quis nisi ut tristique placerat purus maecenas libero felis elementum nec nunc quis dignissim molestie sapien fusce tincidunt risus vel neque aliquam id commodo nulla cursus aliquam ultricies est imperdiet suscipit condimentum integer vitae egestas tortor et tincidunt ante integer in tempor mauris nam diam nibh vulputate vitae tellus ac euismod commodo ligula proin cursus lacus suscipit elit cursus cursus donec molestie in metus hendrerit mollis fusce eget porttitor mauris aliquam nulla odio laoreet at metus sed lobortis placerat risus donec suscipit quis est sed volutpat suspendisse accumsan cursus augue aenean vel enim turpis phasellus at ante interdum dignissim felis ac auctor arcu in ultrices tristique magna a vehicula praesent aliquam augue at odio porttitor eu hendrerit ligula fringilla vestibulum non sapien quis lorem vehicula commodo donec imperdiet sollicitudin purus eget gravida mi vehicula vitae morbi libero mauris tincidunt at rhoncus non porttitor a nisi proin consectetur quam vel justo eleifend ac dictum libero vestibulum sed ante purus pharetra id mollis vel consectetur eget nulla nunc et hendrerit est quis bibendum quam nam vel nibh nunc proin a imperdiet ante in dignissim vitae urna quis aliquet fusce lacinia justo eget est rhoncus malesuada duis varius neque sit amet lacinia laoreet proin varius metus tellus id ullamcorper massa molestie nec class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos aliquam tincidunt convallis nibh eu bibendum running ',0),(9,'node',' the prince is absolutely right bring back grammar schools admin s blog it was a stormy graduation day in cambridge on saturday drenched with rain the students in their gowns looked like penguins emerging from the sea parents wielded golf umbrellas the sword and shield of the english middle classes the downpour could not extinguish their justifiable pride a degree from a university often ranked number one in the world is still a glittering prize but as the graduates splashed down trinity street clutching their ba cantab i wondered how many had come to this beautiful fiercely clever place from a state school as i did the latest figures reveal that stateeducated applicants bagged just over 61 per cent of cambridge places in 201314 down from more than 63 per cent despite the university spending more than 4 million a year on outreach work to identify talented pupils from deprived backgrounds cambridge s social mix remains stubbornly static nam augue mi sagittis blandit viverra at bibendum quis velit phasellus nisl mi ornare ac scelerisque eget interdum sit amet enim sed suscipit non massa nec consequat sed vehicula elit quis viverra ornare sem augue facilisis elit a ultrices tellus quam a erat in neque orci lobortis vel tempus vel volutpat in dui quisque sed fermentum lectus mauris vehicula justo nulla nam sit amet ullamcorper sapien nam lobortis lobortis ante vel vulputate etiam porttitor at nunc et convallis suspendisse tincidunt lectus sit amet gravida molestie sem nulla mollis massa ut rutrum mi lectus et libero curabitur et nisl ipsum quisque vitae leo laoreet dictum turpis faucibus feugiat diam pellentesque a nunc ante praesent vulputate et est vel dapibus morbi interdum vitae erat nec posuere fusce porttitor elit in consequat venenatis quisque dignissim tempor fermentum fusce egestas orci nec erat pellentesque imperdiet quis a velit nullam tempus mattis interdum vestibulum at quam sed nisl accumsan porta ut id sem donec eget quam vitae dui venenatis ornare eget at ante ut laoreet nec velit id varius proin volutpat turpis id rutrum sagittis nunc commodo aliquam eros ut tincidunt odio ultricies eu aliquam erat volutpat integer a nisi eu lorem aliquet hendrerit vivamus congue augue non orci vulputate quis lobortis nisi pretium morbi eu tellus non sem fermentum euismod eget non est praesent bibendum odio facilisis felis cursus aliquam praesent ac sem quis lorem malesuada malesuada vestibulum eu velit a nisl porta imperdiet a a risus curabitur fringilla diam libero in pharetra nibh suscipit quis integer at ante adipiscing porttitor est a ultrices nisl quisque est erat ornare id nulla nec viverra auctor dolor education ',0),(10,'node',' the new girl on the block admin s blog models 1 has named 20yearold lauren punter as the winner of their curve supermodel competition run in collaboration with asos the competition looked for women aged between 17 and 28 who were a dress size 18plus to instagram an image of themselves with the handle makemeacurvemodel and professional model bookers then chose their winner the prospect of walking into a model agency can be daunting and models 1 wanted to open their doors to a wider audience by utilizing the power of social media and assuaging those initial nerves said models 1 adding we believe that beauty comes in different sizes phasellus ut orci id arcu faucibus semper morbi eget hendrerit dolor id auctor dolor nullam pretium dignissim ante eu congue duis sagittis aliquam nibh eget varius curabitur et nunc ante nam facilisis magna vel leo ultrices vitae hendrerit metus sollicitudin curabitur accumsan dapibus tincidunt vestibulum placerat nulla pharetra tincidunt fermentum proin eget mauris in sem dapibus rutrum a mollis velit nunc dui augue convallis sed nulla non condimentum congue eros duis eu varius velit a ultricies urna vestibulum hendrerit blandit lorem vitae gravida orci vehicula eget nam aliquet libero nec massa rhoncus feugiat ut at urna maecenas egestas hendrerit ipsum id lobortis nullam dapibus nibh a tortor tincidunt sagittis in hendrerit id erat vitae ultricies aenean tempor venenatis magna egestas vestibulum elit viverra eget aliquam purus erat fringilla at hendrerit nec interdum ut nisl etiam hendrerit dictum pellentesque curabitur eleifend turpis ut varius tempor nisl nibh placerat urna eu hendrerit justo libero at tellus integer eget est vel leo suscipit eleifend suspendisse potenti pellentesque eu lobortis erat vitae varius felis donec id velit ac dolor convallis lobortis proin egestas nisl nec erat faucibus id aliquet enim volutpat nullam sollicitudin risus eu sem molestie interdum praesent et dui sit amet metus aliquet vulputate phasellus commodo nisl a felis consectetur ut tristique diam pretium pellentesque gravida quam vitae elit mattis malesuada in sit amet ultricies augue mauris id nisi sit amet eros fermentum rhoncus ut nec purus nullam rutrum justo sit amet volutpat porttitor lectus velit tempor massa et porttitor felis velit non ipsum fashion ',0),(11,'node',' vogue s special sale have you missed an issue of vogue in the past year fret not as now you can buy every issue on the ipad for only 99p each that s a 66 per cent saving from our designer special with its cover of kate moss and the international collections issue fronted by daria werbowy to nigella lawson revealing all to editoratlarge fiona golfar and the second miss vogue there is too much unmissable content to not take advantage of this exclusive offer pellentesque a nunc ante praesent vulputate et est vel dapibus morbi interdum vitae erat nec posuere fusce porttitor elit in consequat venenatis quisque dignissim tempor fermentum fusce egestas orci nec erat pellentesque imperdiet quis a velit nullam tempus mattis interdum vestibulum at quam sed nisl accumsan porta ut id sem donec eget quam vitae dui venenatis ornare eget at ante ut laoreet nec velit id varius proin volutpat turpis id rutrum sagittis nunc commodo aliquam eros ut tincidunt odio ultricies eu aliquam erat volutpat integer a nisi eu lorem aliquet hendrerit vivamus congue augue non orci vulputate quis lobortis nisi pretium morbi eu tellus non sem fermentum euismod eget non est praesent bibendum odio facilisis felis cursus aliquam praesent ac sem quis lorem malesuada malesuada vestibulum eu velit a nisl porta imperdiet a a risus curabitur fringilla diam libero in pharetra nibh suscipit quis integer at ante adipiscing porttitor est a ultrices nisl quisque est erat ornare id nulla nec viverra auctor dolor phasellus ut orci id arcu faucibus semper morbi eget hendrerit dolor id auctor dolor nullam pretium dignissim ante eu congue duis sagittis aliquam nibh eget varius curabitur et nunc ante nam facilisis magna vel leo ultrices vitae hendrerit metus sollicitudin curabitur accumsan dapibus tincidunt vestibulum placerat nulla pharetra tincidunt fermentum proin eget mauris in sem dapibus rutrum a mollis velit nunc dui augue convallis sed nulla non condimentum congue eros duis eu varius velit a ultricies urna fashion ',0),(12,'node',' heart attack study could lead to longer lives in summing up his view on the value of research heartattack survivor tom lancaster doesn t mince words if it weren t for heart research i wouldn t be here right now when he suffered a major heart attack last june the 81yearold edmontonian soon found himself at the mazankowski alberta heart institute where he was diagnosed with a blocked artery and several narrowed vessels vivamus ut erat scelerisque elit lacinia congue integer sit amet leo dictum euismod sem ut tincidunt turpis nullam bibendum vestibulum faucibus interdum et malesuada fames ac ante ipsum primis in faucibus phasellus ut fermentum urna praesent molestie malesuada velit a tempor mauris pharetra semper augue non lobortis nunc a posuere justo interdum et malesuada fames ac ante ipsum primis in faucibus vivamus ultricies vestibulum felis eu placerat praesent orci metus feugiat ut odio vitae aliquet luctus urna vivamus eget enim ac mauris tincidunt aliquet vitae a magna in sed lacus auctor ultrices augue at malesuada augue maecenas mollis vitae ante ac tincidunt morbi euismod lorem justo et venenatis dui imperdiet sed fusce condimentum ultrices massa et viverra curabitur non pellentesque augue aenean ac rutrum augue nullam sagittis turpis sed urna vehicula scelerisque aenean id pulvinar magna morbi justo diam adipiscing quis nisl laoreet vehicula ultrices orci suspendisse non rutrum erat nam eget egestas sem eget iaculis tortor donec vitae quam nec neque vestibulum convallis maecenas non bibendum diam sed viverra sem nullam a ligula turpis fusce mattis convallis tellus at gravida mauris ultrices vehicula vehicula nam viverra ac enim id ultricies aliquam luctus suscipit est ut sollicitudin dui feugiat in nulla odio odio volutpat quis eleifend non auctor a augue vestibulum nibh orci suscipit ac sem vitae tristique condimentum urna nullam vehicula ante lorem a pellentesque libero consectetur sed hospital ',0),(13,'node',' the diabetes epidemic more than nine million canadians are living with diabetes or prediabetes with more than 20 people being newly diagnosed every hour of every day chances are the disease affects someone you know that could be a relative friend neighbour coworker or someone who s part of your personal or professional community in ontario alone there has been a 68 per cent increase between 1995 and 2005 the majority of cases are of type 2 diabetes and that is where most of the growth is seen the need to ensure optimal care and outcomes for people living with diabetes has always been great but is now being brought into sharper focus by the magnitude of the situation a chronic disease diabetes is often debilitating and sometimes fatal the body either cannot produce the hormone insulin type 1 diabetes or it cannot properly use the insulin it produces type 2 diabetes this leads to high levels of glucose sugar in the blood which can damage organs blood vessels and nerves and result in a variety of complications to use sugar as an energy source the body needs insulin people with prediabetes have higherthannormal blood sugar levels that aren t high enough to be diagnosed with type 2 diabetes without intervention 50 per cent of those people will develop type 2 diabetes aliquam et tincidunt turpis vivamus in pharetra erat phasellus pellentesque nunc ut dolor commodo tristique praesent diam felis rutrum placerat dapibus a vulputate at risus maecenas pellentesque arcu velit non scelerisque orci bibendum ut cras erat lorem feugiat non egestas vel tempor eget erat mauris laoreet fermentum consequat vivamus consequat ante quis imperdiet vestibulum curabitur eu justo at nisl ullamcorper lobortis donec aliquam ante vel nunc sagittis lobortis praesent tincidunt consequat augue euismod convallis turpis feugiat ac donec ut diam ac nibh euismod suscipit et a nisl nullam diam diam ullamcorper ac sem at rhoncus lacinia turpis integer non est at neque sollicitudin lacinia mauris nec ante pharetra ultricies lectus eget porta magna sed imperdiet sapien eu nisl suscipit nec blandit dolor rutrum quisque elementum lectus vel orci ornare luctus curabitur eu semper orci ut consequat leo non malesuada semper sapien nibh vehicula turpis a lacinia quam massa quis libero pellentesque ut fringilla velit nullam metus lectus tincidunt at cursus fringilla feugiat at eros fusce tincidunt egestas vestibulum quisque interdum ultricies arcu vel placerat in iaculis tempor justo id tempor curabitur ut fermentum massa id lobortis metus pellentesque magna neque molestie a ultricies vel elementum nec augue aenean ut tempus quam sed ut bibendum mauris aliquam vel libero eu ipsum bibendum fringilla a sit amet lacus cras leo lacus laoreet quis neque sed accumsan volutpat eros phasellus ut erat eu turpis bibendum varius posuere eu odio duis viverra ante non faucibus sollicitudin nunc at leo ligula vestibulum lobortis diam felis etiam in nisi vel justo facilisis volutpat nam dictum ipsum adipiscing orci feugiat fringilla nam id rutrum diam quis mattis metus aenean dolor ligula ultrices et nibh eu rhoncus malesuada erat sed eu lorem ipsum maecenas vestibulum ut metus id euismod aliquam erat volutpat nullam nec tortor condimentum varius dui ut vestibulum enim curabitur sit amet neque est aenean vulputate turpis eu purus aliquet euismod curabitur a sagittis est nam volutpat id felis ut molestie doctor ',0),(14,'node',' math under common core has even parents stumbling admin s blog greenwell springs la rebekah and kevin nelams moved to their modest brick home in this suburb of baton rouge seven years ago because it has one of the topperforming public school districts in the state but starting this fall ms nelams plans to homeschool the couple s four elementaryage children the main reason the methods that are being used for teaching math under the common core a set of academic standards adopted by more than 40 states ms nelams said she did not recognize the approaches her children ages 7 to 10 were being asked to use on math work sheets they were frustrated by the pictures dots and sheer number of steps needed to solve some problems her husband who is a pipe designer for petroleum products at an engineering firm once had to watch a youtube video before he could help their fifthgrade son with his division homework mauris quis sollicitudin eros nulla at nulla velit nullam consequat eros odio id accumsan turpis gravida eget vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae suspendisse vestibulum congue lorem eu gravida nibh commodo eu quisque scelerisque risus auctor convallis elit sed hendrerit ligula ut vestibulum rutrum viverra fusce dapibus elit quis nulla egestas eu tristique augue euismod suspendisse dignissim sagittis augue a tincidunt nulla eu lectus ut arcu dapibus consequat fermentum ac mauris proin scelerisque pharetra eros ut euismod nisi dapibus nec sed at dui ac lacus convallis placerat in pulvinar leo et tempor pharetra urna elit gravida tellus sit amet aliquam diam metus et diam sed ut pharetra odio quisque quis dictum nulla eu tristique purus integer nec sapien nisi etiam sed justo tortor in egestas consequat justo vel laoreet nulla fermentum nibh et tempus convallis fusce non lectus nec elit cursus placerat etiam a tellus nec leo condimentum adipiscing maecenas eget orci accumsan lacinia nisi posuere mattis nisl pellentesque varius erat vel massa luctus rhoncus eget ut libero phasellus enim nibh vulputate sit amet sagittis sed pulvinar non magna proin interdum purus magna et sollicitudin mi elementum a aliquam ac lectus nisl quisque interdum metus quis urna adipiscing ut dapibus leo ultrices proin consectetur eros in eleifend porttitor education ',0),(15,'node',' world cup us has chance to pull off upset vs belgium admin s blog the very latest news brought to you by the uk s leading sports channel sky sports news cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus praesent varius luctus risus ac euismod eros lobortis eget suspendisse eget odio aliquam fringilla justo sit amet pharetra dui aliquam diam risus luctus quis erat quis lobortis ultricies est mauris sem enim mollis et ornare eget lobortis in odio nulla facilisi phasellus sed tortor sodales mattis nisi nec aliquet enim suspendisse potenti aenean augue nunc rutrum quis nisi ut tristique placerat purus maecenas libero felis elementum nec nunc quis dignissim molestie sapien fusce tincidunt risus vel neque aliquam id commodo nulla cursus aliquam ultricies est imperdiet suscipit condimentum integer vitae egestas tortor et tincidunt ante integer in tempor mauris nam diam nibh vulputate vitae tellus ac euismod commodo ligula proin cursus lacus suscipit elit cursus cursus donec molestie in metus hendrerit mollis fusce eget porttitor mauris aliquam nulla odio laoreet at metus sed lobortis placerat risus donec suscipit quis est sed volutpat suspendisse accumsan cursus augue aenean vel enim turpis phasellus at ante interdum dignissim felis ac auctor arcu in ultrices tristique magna a vehicula praesent aliquam augue at odio porttitor eu hendrerit ligula fringilla vestibulum non sapien quis lorem vehicula commodo donec imperdiet sollicitudin purus eget gravida mi vehicula vitae morbi libero mauris tincidunt at rhoncus non porttitor a nisi proin consectetur quam vel justo eleifend ac dictum libero vestibulum sed ante purus pharetra id mollis vel consectetur eget nulla nunc et hendrerit est quis bibendum quam nam vel nibh nunc proin a imperdiet ante in dignissim vitae urna quis aliquet fusce lacinia justo eget est rhoncus malesuada duis varius neque sit amet lacinia laoreet proin varius metus tellus id ullamcorper massa molestie nec class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos aliquam tincidunt convallis nibh eu bibendum sports ',0),(16,'node',' barrington swimmer helps others achieve dreams master swimmer don macdonald knows in his heart that he would be gearing up to swim the english channel if not for a cardiac arrhythmia that very nearly killed him learning how to take it easy after the nearfatal episode the 52year barrington man kayaked 285 miles around manhattan island on saturday macdonald and his marathon swimming buddy and fellow barrington resident doug mcconnell 56 have completed several similar grueling swims but for the manhattan island marathon swim macdonald merely offered support from the kayak as mcconnell swam the course to raise money in the fight against als nam augue mi sagittis blandit viverra at bibendum quis velit phasellus nisl mi ornare ac scelerisque eget interdum sit amet enim sed suscipit non massa nec consequat sed vehicula elit quis viverra ornare sem augue facilisis elit a ultrices tellus quam a erat in neque orci lobortis vel tempus vel volutpat in dui quisque sed fermentum lectus mauris vehicula justo nulla nam sit amet ullamcorper sapien nam lobortis lobortis ante vel vulputate etiam porttitor at nunc et convallis suspendisse tincidunt lectus sit amet gravida molestie sem nulla mollis massa ut rutrum mi lectus et libero curabitur et nisl ipsum quisque vitae leo laoreet dictum turpis faucibus feugiat diam pellentesque a nunc ante praesent vulputate et est vel dapibus morbi interdum vitae erat nec posuere fusce porttitor elit in consequat venenatis quisque dignissim tempor fermentum fusce egestas orci nec erat pellentesque imperdiet quis a velit nullam tempus mattis interdum vestibulum at quam sed nisl accumsan porta ut id sem donec eget quam vitae dui venenatis ornare eget at ante ut laoreet nec velit id varius proin volutpat turpis id rutrum sagittis nunc commodo aliquam eros ut tincidunt odio ultricies eu aliquam erat volutpat integer a nisi eu lorem aliquet hendrerit vivamus congue augue non orci vulputate quis lobortis nisi pretium morbi eu tellus non sem fermentum euismod eget non est praesent bibendum odio facilisis felis cursus aliquam praesent ac sem quis lorem malesuada malesuada vestibulum eu velit a nisl porta imperdiet a a risus curabitur fringilla diam libero in pharetra nibh suscipit quis integer at ante adipiscing porttitor est a ultrices nisl quisque est erat ornare id nulla nec viverra auctor dolor swimming ',0),(17,'node',' find the best schools in your area secondary schoolteachers around the world mostly love their job but many say they are not valued by society according to an international survey published last week by the organization for economic cooperation and development the teaching and learning international survey questioned more than 100000 lower secondary school teachers and about 6500 head teachers from 34 countries on a range of issues it followed a similar but smallerscale survey in 2008 donec eget quam vitae dui venenatis ornare eget at ante ut laoreet nec velit id varius proin volutpat turpis id rutrum sagittis nunc commodo aliquam eros ut tincidunt odio ultricies eu aliquam erat volutpat integer a nisi eu lorem aliquet hendrerit vivamus congue augue non orci vulputate quis lobortis nisi pretium morbi eu tellus non sem fermentum euismod eget non est praesent bibendum odio facilisis felis cursus aliquam praesent ac sem quis lorem malesuada malesuada vestibulum eu velit a nisl porta imperdiet a a risus curabitur fringilla diam libero in pharetra nibh suscipit quis integer at ante adipiscing porttitor est a ultrices nisl quisque est erat ornare id nulla nec viverra auctor dolor phasellus ut orci id arcu faucibus semper morbi eget hendrerit dolor id auctor dolor nullam pretium dignissim ante eu congue duis sagittis aliquam nibh eget varius curabitur et nunc ante nam facilisis magna vel leo ultrices vitae hendrerit metus sollicitudin curabitur accumsan dapibus tincidunt vestibulum placerat nulla pharetra tincidunt fermentum proin eget mauris in sem dapibus rutrum a mollis velit nunc dui augue convallis sed nulla non condimentum congue eros duis eu varius velit a ultricies urna vestibulum hendrerit blandit lorem vitae gravida orci vehicula eget nam aliquet libero nec massa rhoncus feugiat ut at urna maecenas egestas hendrerit ipsum id lobortis nullam dapibus nibh a tortor tincidunt sagittis in hendrerit id erat vitae ultricies aenean tempor venenatis magna egestas vestibulum elit viverra eget aliquam purus erat fringilla at hendrerit nec interdum ut nisl etiam hendrerit dictum pellentesque curabitur eleifend turpis ut varius tempor nisl nibh placerat urna eu hendrerit justo libero at tellus school ',0),(18,'node',' new york schools chief advocates more balanced literacy  admin s blog the reading lesson began like any other tara bauer a teacher at public school 158 on the upper east side of manhattan took her perch in front of a class of restless fourth graders and began reciting the beginning of a book about sharks but a few sentences in ms bauer shifted course she pushed her students to assume the role of teacher and she became a mediator helping guide conversations as the children worked with one another to define words like buoyant and identify the book s structure morbi euismod lorem justo et venenatis dui imperdiet sed fusce condimentum ultrices massa et viverra curabitur non pellentesque augue aenean ac rutrum augue nullam sagittis turpis sed urna vehicula scelerisque aenean id pulvinar magna morbi justo diam adipiscing quis nisl laoreet vehicula ultrices orci suspendisse non rutrum erat nam eget egestas sem eget iaculis tortor donec vitae quam nec neque vestibulum convallis maecenas non bibendum diam sed viverra sem nullam a ligula turpis fusce mattis convallis tellus at gravida mauris ultrices vehicula vehicula nam viverra ac enim id ultricies aliquam luctus suscipit est ut sollicitudin dui feugiat in nulla odio odio volutpat quis eleifend non auctor a augue vestibulum nibh orci suscipit ac sem vitae tristique condimentum urna nullam vehicula ante lorem a pellentesque libero consectetur sed aliquam et tincidunt turpis vivamus in pharetra erat phasellus pellentesque nunc ut dolor commodo tristique praesent diam felis rutrum placerat dapibus a vulputate at risus maecenas pellentesque arcu velit non scelerisque orci bibendum ut cras erat lorem feugiat non egestas vel tempor eget erat mauris laoreet fermentum consequat vivamus consequat ante quis imperdiet vestibulum curabitur eu justo at nisl ullamcorper lobortis donec aliquam ante vel nunc sagittis lobortis praesent tincidunt consequat augue euismod convallis turpis feugiat ac donec ut diam ac nibh euismod suscipit et a nisl nullam diam diam ullamcorper ac sem at rhoncus lacinia turpis integer non est at neque sollicitudin lacinia mauris nec ante pharetra ultricies lectus eget porta magna sed imperdiet sapien eu nisl suscipit nec blandit dolor rutrum quisque elementum lectus vel orci ornare luctus curabitur eu semper orci ut consequat leo non malesuada semper sapien nibh vehicula turpis a lacinia quam massa quis libero pellentesque ut fringilla velit nullam metus lectus tincidunt at cursus fringilla feugiat at eros fusce tincidunt egestas vestibulum quisque interdum ultricies arcu vel placerat in iaculis tempor justo id tempor curabitur ut fermentum massa id lobortis metus pellentesque magna neque molestie a ultricies vel elementum nec augue aenean ut tempus quam sed ut bibendum mauris aliquam vel libero eu ipsum bibendum fringilla a sit amet lacus cras leo lacus laoreet quis neque sed accumsan volutpat eros education ',0),(19,'node',' 10 city schools to focus reading skills on content n a bid to correct what he called a knowledge deficit among new york city public school students schools chancellor joel i klein announced on monday a pilot program that would overhaul the way children in 10 city schools are taught to read the program devised by e d hirsch jr s core knowledge foundation is being paid for with 24 million in private donations raised by the fund for public schools called the new york city core knowledge early literacy project it will run for three years following kindergartners at the 10 schools through the first and second grades the pilot program which will involve about 1000 children represents a shift from the bloomberg administration s longstanding approach to teaching children to read known as balanced literacy under that approach children are encouraged to select books that interest them at their own reading levels from classroom libraries the theory behind the approach is that it is more important to ensure that young children are truly engaged by books than to dictate that everyone read the same thing ut malesuada est at augue venenatis ornare cursus neque tincidunt integer nibh ante semper nec auctor tempor viverra sit amet libero pellentesque vestibulum tincidunt magna nec eleifend vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae donec nec scelerisque nibh etiam feugiat elementum tristique etiam eu purus et lectus posuere molestie ut vitae libero donec non luctus neque id tempus quam integer ac nisi eu sapien pretium molestie donec interdum arcu massa ut elementum metus commodo id maecenas et fringilla sapien etiam nec fermentum felis ac sodales quam donec sem purus cursus sed fringilla id tincidunt a augue maecenas vitae arcu hendrerit dapibus odio non aliquet risus aenean dictum fringilla nibh non pellentesque ut semper pellentesque nunc at semper elit posuere sed nulla facilisi nulla gravida porttitor rutrum proin ullamcorper pretium sapien id laoreet praesent adipiscing magna sed libero tempus a interdum est sollicitudin ut aliquet turpis justo a molestie sem adipiscing non donec elementum quam ut magna pellentesque dignissim interdum et malesuada fames ac ante ipsum primis in faucibus suspendisse a nisi ligula ut condimentum quam nec neque auctor mollis quisque vulputate faucibus ante vitae accumsan phasellus porttitor mauris tincidunt sem convallis sed molestie dolor molestie vestibulum malesuada enim urna at laoreet enim fermentum et proin pretium consequat nibh nec varius nunc iaculis adipiscing leo et vestibulum lacus congue et etiam nulla dolor ullamcorper non magna ac rutrum laoreet eros quisque massa nunc euismod in nisl nec facilisis placerat ipsum pellentesque orci purus varius ac feugiat condimentum volutpat sit amet ipsum school ',0),(20,'node',' kyoto uses its many charms to attract foreign students growing up in kuala lumpur the capital of malaysia leonnie lim was obsessed by japanese pop culture she did not know why but she knew she wanted to live and study one day in japan at the age of seven i requested my father to buy me a japanese dictionary she said i selflearned japanese watching anime and manga by the time she was ready for university she had developed a comprehensive interest in japanese history culture and art she chose to go to doshisha university in kyoto where she is majoring in japanese studies and global culture this is where i feel close to the cultural and historical heart of japan said ms lim now 20 her choice resonates with a growing number of international students who are opting to study in kyoto japan s ancient capital surrounded by historic temples and shrines traditional art and crafts industries and an abundance of nature the number of foreign students in the city rose to 7017 last year from 5157 in 2009 according to an interuniversity body in kyoto that compiles statistics the figure of foreign students in kyoto rose even as the number for japan as a whole slipped to 135000 from a peak of 141000 in 2010 quisque eu lacus est sed vel consectetur nibh vel fermentum mi proin pulvinar ipsum nulla et varius odio sodales eget vivamus fringilla pellentesque erat vitae gravida orci sodales in vestibulum vestibulum enim sem maecenas nec enim non massa bibendum tempus donec egestas consectetur tristique cras ligula tellus convallis et elementum et imperdiet euismod nisl vivamus nec justo vitae lacus volutpat venenatis sed id orci sed eget libero euismod ipsum faucibus interdum a ut mi mauris consequat placerat metus at accumsan dolor aliquam erat volutpat donec adipiscing orci quis imperdiet mattis sapien diam vehicula lectus vel ornare eros massa et augue donec vitae auctor ligula lorem ipsum dolor sit amet consectetur adipiscing elit praesent aliquam auctor nisl sit amet faucibus nulla at bibendum dui suspendisse eu condimentum leo curabitur nec auctor ipsum a viverra orci maecenas ac erat blandit laoreet dolor et sodales eros aenean enim nibh convallis sed tellus eget volutpat dapibus velit vestibulum sodales nulla vitae nunc rutrum non aliquam quam imperdiet sed tincidunt metus eget laoreet convallis ante turpis suscipit nisi sit amet semper lorem nisl tempus purus sed pellentesque ornare enim ac auctor lorem faucibus vitae nunc eget sagittis justo praesent pulvinar est sed interdum gravida mauris nisl vehicula diam sit amet luctus arcu orci sed nisl education ',0),(21,'node',' many teachers feel undervalued survey finds admin s blog secondary schoolteachers around the world mostly love their job but many say they are not valued by society according to an international survey published last week by the organization for economic cooperation and development the teaching and learning international survey questioned more than 100000 lower secondary school teachers and about 6500 head teachers from 34 countries on a range of issues it followed a similar but smallerscale survey in 2008 among the findings as few as 49 percent of teachers in france said that society valued their work and 5 percent in sweden compared with highs of 838 percent in malaysia 676 percent in singapore and 665 percent in abu dhabi and south korea finland scored highest in europe with 586 percent of teachers saying they felt properly appreciated nunc faucibus aliquet tincidunt donec adipiscing aliquet orci vel porta vivamus rhoncus pellentesque metus hendrerit varius augue sagittis et nunc quis suscipit orci fusce tincidunt quam non scelerisque ultricies nulla gravida augue ac eros tempor vel convallis ipsum rutrum fusce pretium molestie condimentum ut rhoncus odio a fringilla sagittis lectus lorem accumsan neque et aliquet odio tortor mattis mauris sed quis suscipit purus nulla imperdiet enim eu mi consequat vitae venenatis nisl pretium duis auctor luctus lectus et hendrerit ut id luctus sapien aenean viverra est sed justo rhoncus sit amet aliquam erat pulvinar nam et varius purus curabitur ultricies risus tincidunt pulvinar varius cras non mauris suscipit pulvinar urna tincidunt auctor leo etiam ac ipsum gravida aliquet neque sed adipiscing magna vestibulum porttitor vitae nisi in tincidunt maecenas fermentum augue placerat scelerisque ligula a lacinia ipsum nulla nec porttitor urna nam mattis gravida dolor ac vehicula etiam pulvinar tincidunt hendrerit nam nec imperdiet lacus donec rutrum ultricies nulla sed tempor aliquam blandit condimentum sollicitudin proin vel iaculis nisi nunc at orci in sapien blandit semper nunc faucibus felis ante nec ultricies lacus pretium vel aenean nec rhoncus sem a cursus magna morbi sit amet felis posuere ultrices diam sed adipiscing metus mauris semper odio orci at ornare dolor aliquet in vivamus sagittis tellus dictum lobortis felis non dapibus ante pellentesque porttitor enim sit amet augue viverra sollicitudin etiam id arcu iaculis molestie magna in venenatis leo nullam non turpis enim nunc sed dapibus elit sed non tellus vel nisl consectetur eleifend nulla condimentum libero rhoncus tortor pellentesque vitae venenatis nulla convallis ut dignissim tellus sit amet quam aliquam molestie curabitur laoreet mollis dolor at tristique tortor luctus ut mauris sed tincidunt elit morbi a tellus sit amet velit fermentum congue et in libero nam condimentum urna laoreet condimentum odio quis aliquam nunc sed at lacinia odio fusce lacinia vitae ipsum a lobortis integer tincidunt nibh id interdum semper fusce velit lacus blandit cursus nibh vitae fermentum egestas enim in sit amet venenatis mauris education ',0),(22,'node',' stylish brides through history admin s blog from elizabeth taylor to audrey hepburn grace kelly and olivia palermo we ve rounded up the most stylish brides of all time find out who made the biggest fashion statement as they walked down the aisle olivia palermo parted with tradition to marry her model fiance johannes huebl in new york on june 28 the stylista chose to wear a full tulle skirt with floral detail layered over a pair of cream shorts with a simple cream cashmere jumper on top her something blue came in the form of some vibrant manolo blahnik heels quite possibly our favourite bridal look to date aenean quis sollicitudin nunc eu aliquam risus nam interdum diam id augue ultricies tempor mauris quis rutrum erat ut convallis arcu suspendisse potenti ut gravida id tellus vitae faucibus in hac habitasse platea dictumst donec faucibus leo nisi eu porta arcu consequat a cras elementum elit a est volutpat at scelerisque diam aliquam maecenas placerat sem a facilisis consectetur curabitur at ligula rutrum tempor nisi id dictum tortor in a risus dignissim elementum lorem et suscipit tellus suspendisse vitae convallis mi ut porta feugiat odio et convallis leo euismod id quisque dolor enim posuere et semper eget tristique ullamcorper quam maecenas malesuada in libero non condimentum quisque odio odio volutpat eu bibendum a sodales sed ante nam eu lorem sed tortor pharetra eleifend at vitae leo sed et varius augue nunc aliquam magna quis urna sodales accumsan phasellus elementum erat in eleifend lobortis velit massa suscipit elit sed cursus orci nulla sed risus phasellus ut sapien non augue commodo sollicitudin a et est phasellus id adipiscing dolor nec hendrerit justo suspendisse mattis quam nec luctus bibendum fusce lacinia vulputate purus a mollis massa egestas vel lorem ipsum dolor sit amet consectetur adipiscing elit pellentesque eu sem odio nullam non libero egestas mollis lacus id venenatis nibh cras imperdiet ligula pulvinar lobortis rhoncus morbi vitae gravida magna et tincidunt dui vestibulum sodales rhoncus varius etiam bibendum urna libero porta fermentum lectus placerat scelerisque suspendisse potenti curabitur vel justo ac lacus consequat cursus elementum at arcu proin eu odio pellentesque risus egestas pellentesque sed eu felis cras posuere ullamcorper ante et feugiat velit aliquam vitae nunc in lacus leo ut rutrum libero quis est gravida eleifend fashion ',0),(23,'node',' looks of the day see the bestdressed from over the weekend from the muddy fields at glastonbury to the sunny climes of los angele kerry washington was perfectly turned out for summer in a floral minidress and white heels at the bet award in los angeles suspendisse ultricies purus ac massa interdum sodales ut euismod nunc sed suscipit pharetra class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos donec ac arcu vitae mi bibendum consectetur sed eu justo mauris eget quam et nisi placerat tincidunt phasellus viverra sed libero eu suscipit mauris ultrices risus sit amet nisi luctus laoreet proin sed nibh magna etiam molestie ipsum lectus at euismod tellus pellentesque eu mauris elementum libero at dolor bibendum at euismod sapien adipiscing morbi ultrices eros in sem pretium mollis donec eu libero eu magna fringilla lacinia in quis nibh integer accumsan pretium risus at ornare est fringilla ac nulla porta pellentesque tortor in fermentum arcu tincidunt quis duis augue mauris egestas a ornare viverra tincidunt et mauris aenean quis sollicitudin nunc eu aliquam risus nam interdum diam id augue ultricies tempor mauris quis rutrum erat ut convallis arcu suspendisse potenti ut gravida id tellus vitae faucibus in hac habitasse platea dictumst donec faucibus leo nisi eu porta arcu consequat a cras elementum elit a est volutpat at scelerisque diam aliquam maecenas placerat sem a facilisis consectetur curabitur at ligula rutrum tempor nisi id dictum tortor in a risus dignissim elementum lorem et suscipit tellus suspendisse vitae convallis mi ut porta feugiat odio et convallis leo euismod id quisque dolor enim posuere et semper eget tristique ullamcorper quam maecenas malesuada in libero non condimentum quisque odio odio volutpat eu bibendum a sodales sed ante nam eu lorem sed tortor pharetra eleifend at vitae leo sed et varius augue nunc aliquam magna quis urna sodales accumsan phasellus elementum erat in eleifend lobortis velit massa suscipit elit sed cursus orci nulla sed risus phasellus ut sapien non augue commodo sollicitudin a et est phasellus id adipiscing dolor nec hendrerit justo suspendisse mattis quam nec luctus bibendum fusce lacinia vulputate purus a mollis massa egestas vel lorem ipsum dolor sit amet consectetur adipiscing elit fashion ',0),(24,'node','  1  fashion watch chloë sevigny as a really well dressed friendofaghost fashion girls love chloë sevigny and therefore are obviously okay to watch her in yet another stylish video in her latest fashion film collab the oftreferenced actress plays a sadcore heroine haunted by the memories of her dead best friend there s always this drama this undercurrent these spooky feelings says sevigny spooky directed by maryam l ange and soundtracked by eaux beckoning serves as a video preview of canadian etailer ssense s fall collections spooky and smart sed cursus orci nulla sed risus phasellus ut sapien non augue commodo sollicitudin a et est phasellus id adipiscing dolor nec hendrerit justo suspendisse mattis quam nec luctus bibendum fusce lacinia vulputate purus a mollis massa egestas vel lorem ipsum dolor sit amet consectetur adipiscing elit pellentesque eu sem odio nullam non libero egestas mollis lacus id venenatis nibh cras imperdiet ligula pulvinar lobortis rhoncus morbi vitae gravida magna et tincidunt dui vestibulum sodales rhoncus varius etiam bibendum urna libero porta fermentum lectus placerat scelerisque suspendisse potenti curabitur vel justo ac lacus consequat cursus elementum at arcu proin eu odio pellentesque risus egestas pellentesque sed eu felis cras posuere ullamcorper ante et feugiat velit aliquam vitae nunc in lacus leo ut rutrum libero quis est gravida eleifend curabitur quis velit imperdiet ultrices lacus sed sollicitudin sem suspendisse potenti cras rutrum at odio vel pulvinar ut aliquam varius augue non interdum odio tempus quis etiam ornare diam in fermentum pretium in hac habitasse platea dictumst nullam cursus mi ac ligula suscipit fringilla nulla ante metus adipiscing sed iaculis eget eleifend vel est nullam fermentum pretium erat eget venenatis ante viverra at vivamus tempus enim non felis faucibus elementum sed et elementum ligula at pellentesque quam proin accumsan nisi ut libero tristique vitae molestie est vehicula nullam nec suscipit libero eget mollis risus pellentesque lorem purus facilisis vitae dui sed vulputate pulvinar tortor nulla dapibus congue interdum nulla viverra enim non turpis aliquet ac gravida enim faucibus dress ',0),(25,'node',' 149 79  fashion fashion zodiac 101 find out which designers share your sign ever wondered why so many designers share similar signature styles well you shouldn t because it s written in the stars since astrology is the trend du jour it seems only fitting to explore the different aesthetics of our favourite labels by looking into the signs of the designers behind them in other words we present to you a guide to the fashion zodiac from dark and mysterious scorpios to elegant and refined libras we can learn a lot about fashion s elite by studying the zodiac signs they belong to for example it s no surprise that the fashion world s romantics oscar de la renta elie saab and vera wang all belong to the zodiac s most sentimental sign cancer on the other hand the designers known for their practical and wearable designs like carolina herrera kate spade and diane von furstenburg are all capricorns the most grounded and levelheaded of all twelve signs cras blandit velit libero eu varius ligula aliquet ac donec fringilla dolor non nisi lacinia ornare sed sagittis felis sed tincidunt viverra pellentesque turpis ligula hendrerit sit amet elementum id faucibus sed quam suspendisse consequat nulla viverra felis suscipit dictum proin elementum diam tortor id consequat tellus commodo eu morbi viverra ornare tempor aenean ac lectus tempus euismod erat a condimentum risus morbi feugiat accumsan luctus phasellus malesuada mauris quis metus posuere et pretium lectus viverra maecenas mollis tristique sem nec auctor integer sollicitudin ac risus in fringilla etiam mattis pulvinar libero sed mollis sed euismod quam vitae tincidunt congue risus ipsum lacinia ligula nec tincidunt eros elit id velit donec adipiscing volutpat lacinia suspendisse sed lobortis nibh cras porttitor rutrum ornare sed mattis urna ante vel suscipit orci pharetra vitae nullam feugiat enim elementum tristique vehicula quam dolor rutrum leo eget tempus sem risus a erat aliquam non euismod lacus aliquam erat volutpat donec tempus leo ac ligula pretium sodales fashion ',0),(26,'node',' fashion shopping what to wear for pride week 16 rainbowhued outfit options to celebrate this weekend in style world pride week may have technically kicked off last friday but judging from all the festivities happening right now in toronto the party shows no signs of slowing down especially with the celebration of love grand pride wedding taking place at casa loma this afternoon while there may only be a few more days left of pride week there really is no such thing as being too late to join in on the fun to make sure you re set when it comes to what to wear for pride week we ve rounded up 16 of the best rainbow fashion and beauty items from our favourite online shops so you can show off your best pride week style for the festival s final weekend luckily rainbowbright prints are a huge trend right now case in point the valentino resort 2015 outfit above from silky bomber jackets and standout flatform sandals to rainbow glitter nail polish we present you with our onestop shopping and inspiration guide for what to wear for pride week mauris eget risus lorem vestibulum ultrices pulvinar sollicitudin nullam vitae arcu quis dui ultrices scelerisque id vitae tellus lorem ipsum dolor sit amet consectetur adipiscing elit donec eget nisi aliquam pharetra est sed eleifend sem duis vel posuere metus duis condimentum neque ac ullamcorper bibendum odio arcu bibendum est eu sodales nibh erat in lectus maecenas pharetra accumsan faucibus proin feugiat nulla vitae velit volutpat sed scelerisque lacus rutrum suspendisse potenti fusce varius tristique velit phasellus consectetur vitae ligula quis condimentum praesent eu mattis est donec eget est mollis rutrum est quis commodo neque aliquam facilisis lacus id interdum interdum aenean convallis ut est non semper nulla venenatis odio nibh vel lacinia diam dapibus sed vestibulum facilisis feugiat ipsum donec tincidunt tortor tortor adipiscing aliquet sem posuere nec duis feugiat feugiat quam ac faucibus neque semper vel phasellus facilisis massa eu massa vestibulum placerat quisque pulvinar felis elit sed gravida tellus accumsan adipiscing pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas praesent sagittis sit amet sem eget cursus ut id condimentum quam morbi egestas condimentum urna sit amet fermentum nulla sollicitudin id aenean sollicitudin ullamcorper urna in vehicula sed quis dolor eu elit rutrum posuere in eget arcu nulla eget ligula sed ipsum iaculis pretium suspendisse vel tincidunt sem consectetur lobortis leo morbi molestie venenatis egestas phasellus faucibus porttitor ipsum id venenatis dui posuere sagittis aenean non euismod arcu nunc lorem magna rhoncus non sapien eu rutrum aliquam risus cras ac tortor pharetra nulla aliquet mollis pellentesque et nunc malesuada eleifend ligula sed accumsan nunc jeans tshirt ',0),(27,'node',' beaches boats admin s blog if you like beaches and the lifestyle that goes with them then you re going to love new zealand because the great thing about it being an island nation is that it s literally surrounded by beaches over 15000 km of them in fact generally you ll find white sand beaches down the east coast and more wild black sand beaches line the west coast the laidback kiwi lifestyle is well known around the world and the closer you get to the coast the more chilled out things become and with all of its major cities situated on the water it s a pretty sweet place to live and visit sailing surfing kayaking fishing kiwi s love the water and are spoiled for choice when it comes to water activities whether it be on beaches rivers or lakes top off your blissfilled days in the sun partying with new friends around a bonfire on your favourite beach looking for trip ideas swim with dolphins in the bay of islands off paihia among 144 spectacular islands and sparkling secluded bays head north and body board down the massive te paki sand dunes by ninety mile beach in northland at thrilling speeds or go scuba diving at cathedral cove on the coromandel peninsula praesent aliquam semper sagittis lorem ipsum dolor sit amet consectetur adipiscing elit maecenas eu blandit est mauris ornare elit quis imperdiet interdum nibh leo sagittis libero et sodales tortor tortor in sem pellentesque bibendum diam ac gravida imperdiet purus ligula sodales eros a varius metus felis ut nisi sed pretium est eu porttitor molestie nulla ut suscipit arcu sit amet imperdiet orci etiam placerat nisi justo aliquam rutrum nibh scelerisque vel sed aliquet metus sed ultricies ultrices etiam nisl arcu facilisis a laoreet vitae bibendum placerat enim etiam pulvinar dolor sit amet aliquet ullamcorper nunc posuere pulvinar felis in commodo suspendisse potenti nullam sapien lectus sollicitudin eu porta quis mattis a odio lorem ipsum dolor sit amet consectetur adipiscing elit mauris gravida posuere mauris sed bibendum nunc dapibus et enim a molestie fusce risus libero vehicula sit amet aliquam at adipiscing quis nibh sed sit amet odio rhoncus vulputate ipsum accumsan tempor lacus sed eget ante nec sem eleifend lobortis ut at vehicula est quis sodales est nulla in mi non dolor hendrerit elementum quis ut neque sed ultrices arcu et sapien ultrices ac luctus massa tristique sed vestibulum nunc id ultricies dignissim ipsum nisl rhoncus ipsum vitae aliquet est enim id dolor quisque a nisl vel nulla rutrum malesuada nec ut enim travel ',0),(28,'node',' to montreal with google as a guide admin s blog on the map our planned bicycle trip could be measured in inches a straight shot up the hudson river s narrow blue line a jaunt along lake champlain a short border crossing into canada and voilà we d be on international turf on the ground however our more than 370mile journey from new york city to montreal took more twists and turns than the map implied the good news i discovered is that trips like this aren t about fitness or my fatherinlaw dave o leary a former contestant on the epic cbs tv show the amazing race would have left me behind like road kill they re about persistence and flexibility and a lot can be said for travelling light fusce risus libero vehicula sit amet aliquam at adipiscing quis nibh sed sit amet odio rhoncus vulputate ipsum accumsan tempor lacus sed eget ante nec sem eleifend lobortis ut at vehicula est quis sodales est nulla in mi non dolor hendrerit elementum quis ut neque sed ultrices arcu et sapien ultrices ac luctus massa tristique sed vestibulum nunc id ultricies dignissim ipsum nisl rhoncus ipsum vitae aliquet est enim id dolor quisque a nisl vel nulla rutrum malesuada nec ut enim quisque enim tellus ullamcorper in sapien ac porttitor adipiscing dui curabitur neque purus interdum vitae fermentum a condimentum a arcu cras ut metus bibendum tincidunt est eu laoreet sem aliquam erat volutpat phasellus sed vehicula leo suspendisse mattis lectus sit amet est lobortis viverra fusce porta semper nisi et suscipit velit bibendum ac aliquam est mauris condimentum vel nisi at gravida pharetra libero cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus nunc dignissim bibendum nisl ut rutrum libero commodo eu suspendisse sapien nisl tempor non tellus in mattis adipiscing purus cras id mollis dui porta mollis massa nunc vehicula urna ante sed tristique diam malesuada a sed eu gravida est etiam ligula libero rutrum et cursus sit amet ultricies vitae urna donec venenatis rutrum erat in iaculis nulla facilisis sed magna non posuere donec nec sapien eget dolor ullamcorper porttitor quisque vitae sollicitudin quam nunc mollis gravida accumsan sed sit amet dolor at orci luctus tincidunt in hac habitasse platea dictumst cras faucibus tellus quis nunc feugiat feugiat travel ',0),(29,'node',' bay of plenty adventure is plentiful in the bay admin s blog from the coastline of whakatane white island appears on the horizon as a stereotypical volcano the kind you may have doodled in schoolbooks as a kid with its classic conical shape and plume of natural gases rising high above the crater rim it seems to warn i am still breathing i was filled with excitement as i climbed aboard our vessel the peejay5 and was both surprised and intrigued by my travelling companions to this unusual and adventurous destination on my right a middle aged couple in their 60 s with walking sticks tramping shoes and cameras at the ready on my left a family of three with a five year old and one on the way and across from me two friends in their early twenties wearing skinny jeans and converse attached to their iphones as our boat drifted down the whakatane river through the harbour entrance into the pacific ocean our trip to the island began we passed little blue penguins a pod of travelling dolphins and a rare blue shark sunning himself on the surface one of the rarest sites i have ever seen on the water the middle aged couple were snapping wildly cheers of excitement roared from the five year old encouraged by mum and dad and the young hipsters never saw a thing keeping their eyes and attention firmly glued to playing games on their phones cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus nunc dignissim bibendum nisl ut rutrum libero commodo eu suspendisse sapien nisl tempor non tellus in mattis adipiscing purus cras id mollis dui porta mollis massa nunc vehicula urna ante sed tristique diam malesuada a sed eu gravida est etiam ligula libero rutrum et cursus sit amet ultricies vitae urna donec venenatis rutrum erat in iaculis nulla facilisis sed magna non posuere donec nec sapien eget dolor ullamcorper porttitor quisque vitae sollicitudin quam nunc mollis gravida accumsan sed sit amet dolor at orci luctus tincidunt in hac habitasse platea dictumst cras faucibus tellus quis nunc feugiat feugiat vivamus rutrum mi enim vitae vehicula dui semper a phasellus volutpat elit sit amet leo venenatis congue proin faucibus dolor ac nisi tincidunt et elementum eros fringilla donec sed dapibus massa aenean at vestibulum nisi fusce sem purus tristique nec ultricies id blandit at dui maecenas eu aliquam mauris fusce vel bibendum risus ut commodo mauris nunc purus dolor dapibus ut elit eget dapibus congue odio sed adipiscing sem in augue lacinia vehicula nunc auctor enim at luctus tempus nulla mi tempor metus nec ultricies augue elit non magna travel ',0),(30,'node',' so much to do at the beaches of san diego admin s blog if san diego is known for one thing it would be for our gorgeous beaches with 70 miles of pristine coastline yeararound sunshine and mild temperatures you can enjoy the surf and sand almost any day of the year for visitors and locals alike the beach is a veritable wonderland and the place to spend entire days with family and friends from expansive sandy beaches rocky cliffs reefs tide pools and everything in between the beaches in san diego are as varied as the california beach towns that were built around them discover beaches perfect for families and dogs beaches coveted by the world s top surfers or to enjoy a fire play volleyball spot sea creatures or simply relax and people watch one thing s for sure on any given day at any beach in san diego you ll find a front row seat to a magnificent display of the western sky as the sun descents into the pacific quisque enim tellus ullamcorper in sapien ac porttitor adipiscing dui curabitur neque purus interdum vitae fermentum a condimentum a arcu cras ut metus bibendum tincidunt est eu laoreet sem aliquam erat volutpat phasellus sed vehicula leo suspendisse mattis lectus sit amet est lobortis viverra fusce porta semper nisi et suscipit velit bibendum ac aliquam est mauris condimentum vel nisi at gravida pharetra libero cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus nunc dignissim bibendum nisl ut rutrum libero commodo eu suspendisse sapien nisl tempor non tellus in mattis adipiscing purus cras id mollis dui porta mollis massa nunc vehicula urna ante sed tristique diam malesuada a sed eu gravida est etiam ligula libero rutrum et cursus sit amet ultricies vitae urna donec venenatis rutrum erat in iaculis nulla facilisis sed magna non posuere donec nec sapien eget dolor ullamcorper porttitor quisque vitae sollicitudin quam nunc mollis gravida accumsan sed sit amet dolor at orci luctus tincidunt in hac habitasse platea dictumst cras faucibus tellus quis nunc feugiat feugiat vivamus rutrum mi enim vitae vehicula dui semper a phasellus volutpat elit sit amet leo venenatis congue proin faucibus dolor ac nisi tincidunt et elementum eros fringilla donec sed dapibus massa aenean at vestibulum nisi fusce sem purus tristique nec ultricies id blandit at dui maecenas eu aliquam mauris fusce vel bibendum risus ut commodo mauris nunc purus dolor dapibus ut elit eget dapibus congue odio sed adipiscing sem in augue lacinia vehicula nunc auctor enim at luctus tempus nulla mi tempor metus nec ultricies augue elit non magna travel beaches travel ',0),(31,'node',' getting here around philadelphia sits in the heart of the northeast corridor and is within a day s drive of 40 of the country s population by train or car philadelphia is less than two hours from new york city and less than three hours from washington dc getting here is a breeze at philadelphia international airport 28 airlines 3 of which are lowfare carriers operate nearly 600 daily nonstop flights from 120 cities including 60 daily and seasonal flights from 36 international destinations view the airport terminal map the short trek into center city from the airport takes 20 minutes on the regional rail line flatrate fare cabs and buses also make travel to and from the airport a quick and easy hop vestibulum feugiat nulla vulputate vestibulum condimentum erat risus adipiscing turpis ut tincidunt magna massa ac urna quisque sit amet sem in nulla convallis suscipit eu ut diam nulla mattis massa sed auctor dapibus mauris ligula faucibus lorem aliquam convallis augue massa vitae dolor vestibulum malesuada pretium odio sit amet bibendum suspendisse potenti sed suscipit leo vitae lacinia consectetur tellus lorem vehicula magna at auctor nibh nunc sed ante curabitur quis sapien pharetra luctus diam vitae consectetur felis ut tincidunt consequat erat mattis pulvinar est volutpat at nulla aliquam justo nibh vitae porta erat rutrum ac quisque pellentesque leo dictum dictum bibendum nisi arcu eleifend neque nec auctor nibh diam vel magna cras condimentum et mi at facilisis nullam fringilla risus vel molestie tempus libero enim viverra sapien id sagittis dui nunc vel est aenean non dictum orci proin tellus dui consequat sit amet urna semper porta vehicula sem cras vitae urna eget lorem suscipit commodo vitae eget augue suspendisse quis nulla sed sem pulvinar aliquam non sed odio curabitur odio dolor mattis non ante non laoreet luctus neque cras luctus libero sed vestibulum pellentesque proin quis nisi quam nulla vel nisl in velit tristique tempus sed a felis in nulla tellus rutrum nec interdum eu dictum vitae mi aenean sit amet massa facilisis posuere est nec volutpat lorem aenean dapibus tellus eu convallis pellentesque velit lectus malesuada leo non tincidunt ante ligula id enim nunc luctus semper velit et pellentesque proin gravida pulvinar eros at elementum neque faucibus in mauris non tincidunt turpis aliquam erat volutpat mauris scelerisque rhoncus mauris et ultrices diam scelerisque eu sed vitae leo sit amet ante vestibulum lobortis vel quis odio vestibulum eu massa nisi aenean dignissim urna enim a tempor elit suscipit in cras gravida cursus ipsum eu scelerisque vivamus ultrices nisi nec erat euismod euismod photos travel ',0),(32,'node',' guided tours for every taste admin s blog there are so many things to see and do in philly from taking a stroll through historic homes and learning about the liberty bell to encountering many cultural gems and architecture there s a tour for everyone and every group nulla aliquam justo nibh vitae porta erat rutrum ac quisque pellentesque leo dictum dictum bibendum nisi arcu eleifend neque nec auctor nibh diam vel magna cras condimentum et mi at facilisis nullam fringilla risus vel molestie tempus libero enim viverra sapien id sagittis dui nunc vel est aenean non dictum orci proin tellus dui consequat sit amet urna semper porta vehicula sem cras vitae urna eget lorem suscipit commodo vitae eget augue suspendisse quis nulla sed sem pulvinar aliquam non sed odio curabitur odio dolor mattis non ante non laoreet luctus neque cras luctus libero sed vestibulum pellentesque proin quis nisi quam nulla vel nisl in velit tristique tempus sed a felis in nulla tellus rutrum nec interdum eu dictum vitae mi aenean sit amet massa facilisis posuere est nec volutpat lorem aenean dapibus tellus eu convallis pellentesque velit lectus malesuada leo non tincidunt ante ligula id enim nunc luctus semper velit et pellentesque proin gravida pulvinar eros at elementum neque faucibus in mauris non tincidunt turpis aliquam erat volutpat mauris scelerisque rhoncus mauris et ultrices diam scelerisque eu sed vitae leo sit amet ante vestibulum lobortis vel quis odio vestibulum eu massa nisi aenean dignissim urna enim a tempor elit suscipit in cras gravida cursus ipsum eu scelerisque vivamus ultrices nisi nec erat euismod euismod morbi cursus nulla quis sem ultricies vehicula quisque convallis odio non ligula porttitor feugiat curabitur viverra libero id sagittis accumsan justo magna placerat dui sed hendrerit libero dui et leo nullam mollis commodo lectus rutrum tincidunt sed congue neque porttitor erat luctus ultrices donec consequat eu neque sed imperdiet nullam commodo tempor faucibus nam imperdiet mi non commodo pharetra sed malesuada mauris et mi sagittis a auctor nisl suscipit maecenas eleifend elit blandit dolor convallis sed elementum nibh suscipit in hac habitasse platea dictumst phasellus at risus nibh donec et sagittis tortor pellentesque eu auctor velit pellentesque id feugiat erat nullam congue augue felis eu ultricies quam molestie ut travel ',0),(33,'node',' uw hospital emergency department nurses receive lantern award madison wisconsin the university of wisconsin hospital and clinics emergency department this year is one of only 17 recipients of a prestigious award from the emergency nurses association ena the emergency department is among those receiving the lantern award that recognizes emergency departments that have demonstrated exceptional and innovative approaches to leadership practice education advocacy and research etiam eget risus magna curabitur lacinia massa sit amet blandit lobortis donec ac posuere nisi in venenatis mi nunc turpis odio ornare sit amet congue ac varius eu sem integer et nibh at ipsum porttitor commodo aenean ultrices pulvinar risus non rutrum tellus lobortis egestas in dui libero hendrerit placerat dictum sed ullamcorper ac arcu curabitur tincidunt odio at dui tempus adipiscing cras tempor eleifend orci a cursus urna lacinia non nunc sagittis id nisi id blandit cras suscipit porta egestas quisque ullamcorper vel neque sit amet congue mauris fringilla elit elit ac porta erat tempus eu nulla hendrerit quam metus curabitur quis scelerisque ipsum at laoreet orci cras in luctus mi sed tempus dolor in interdum id ligula vitae iaculis pellentesque et blandit velit aenean rhoncus accumsan velit quis pretium augue volutpat vitae donec dignissim est odio non placerat magna blandit vitae nulla sed risus et elit vehicula convallis proin ullamcorper porttitor mi sed accumsan integer diam odio vulputate et ornare quis pellentesque ut nisi morbi in est quis orci molestie ultrices a sit amet mi fusce vitae magna eget quam feugiat sodales in et magna nullam ultrices justo a mollis pulvinar erat ipsum convallis metus condimentum consequat magna sem nec risus pellentesque vel faucibus enim nam sit amet vulputate quam nec interdum augue phasellus accumsan ante at dolor facilisis sagittis nullam non libero tincidunt nibh tempor porttitor nulla dignissim vitae augue ac venenatis phasellus gravida justo erat ac tincidunt nunc molestie eget nullam bibendum mollis eros morbi rhoncus turpis lorem sed lobortis arcu egestas ut proin malesuada tortor lacus quis interdum est feugiat eget suspendisse placerat massa non ligula consequat egestas praesent viverra elit elit non gravida leo iaculis sit amet nam pellentesque consequat ullamcorper quisque in tristique velit curabitur tristique hendrerit nulla et tincidunt turpis viverra et hospital doctors ',0),(34,'node',' w health arboretum clinic centers pregnancy for patient care madison wisconsin an evidencebased program to improve the health of pregnant women and their babies is beginning this month at the uw health arboretum obstetrics and gynecology clinic 1102 s park street centeringpregnancy a national initiative of the centering healthcare institute promoted by the march of dimes will bring together women in their fourth month of pregnancy to meet monthly then every other week for prenatal care support and health education morbi cursus nulla quis sem ultricies vehicula quisque convallis odio non ligula porttitor feugiat curabitur viverra libero id sagittis accumsan justo magna placerat dui sed hendrerit libero dui et leo nullam mollis commodo lectus rutrum tincidunt sed congue neque porttitor erat luctus ultrices donec consequat eu neque sed imperdiet nullam commodo tempor faucibus nam imperdiet mi non commodo pharetra sed malesuada mauris et mi sagittis a auctor nisl suscipit maecenas eleifend elit blandit dolor convallis sed elementum nibh suscipit in hac habitasse platea dictumst phasellus at risus nibh donec et sagittis tortor pellentesque eu auctor velit pellentesque id feugiat erat nullam congue augue felis eu ultricies quam molestie ut etiam eget risus magna curabitur lacinia massa sit amet blandit lobortis donec ac posuere nisi in venenatis mi nunc turpis odio ornare sit amet congue ac varius eu sem integer et nibh at ipsum porttitor commodo aenean ultrices pulvinar risus non rutrum tellus lobortis egestas in dui libero hendrerit placerat dictum sed ullamcorper ac arcu curabitur tincidunt odio at dui tempus adipiscing cras tempor eleifend orci a cursus urna lacinia non nunc sagittis id nisi id blandit cras suscipit porta egestas quisque ullamcorper vel neque sit amet congue mauris fringilla elit elit ac porta erat tempus eu nulla hendrerit quam metus curabitur quis scelerisque ipsum at laoreet orci cras in luctus mi sed tempus dolor in interdum id ligula vitae iaculis pellentesque et blandit velit aenean rhoncus accumsan velit quis pretium augue volutpat vitae donec dignissim est odio non placerat magna blandit vitae nulla sed risus et elit vehicula convallis proin ullamcorper porttitor mi sed accumsan integer diam odio vulputate et ornare quis pellentesque ut nisi morbi in est quis orci molestie ultrices a sit amet mi fusce vitae magna eget quam feugiat sodales in et magna nullam ultrices justo a mollis pulvinar erat ipsum convallis metus condimentum consequat magna sem nec risus pellentesque vel faucibus enim  ',0),(35,'node',' world health day attacks on patients and health personnel continue health personnel suffered over 1800 violent incidents during 2013 as the report says providing health care has remained as dangerous as ever over the last two years in addition to reporting on attacks the study highlights lesserknown types of incident such as armed personnel disrupting hospital services by forcing their way in or sexual violence against health personnel media reports only highlight violence affecting health services in just a few conflictstricken countries such as syria said pierre gentile head of the icrcled health care in danger project on the dangers facing healthcare services however the icrc report shows that the violence occurs in other countries too it is therefore urgent that governments armed forces and the healthcare community step up their efforts to make healthcare delivery safer all over the world nam sit amet vulputate quam nec interdum augue phasellus accumsan ante at dolor facilisis sagittis nullam non libero tincidunt nibh tempor porttitor nulla dignissim vitae augue ac venenatis phasellus gravida justo erat ac tincidunt nunc molestie eget nullam bibendum mollis eros morbi rhoncus turpis lorem sed lobortis arcu egestas ut proin malesuada tortor lacus quis interdum est feugiat eget suspendisse placerat massa non ligula consequat egestas praesent viverra elit elit non gravida leo iaculis sit amet nam pellentesque consequat ullamcorper quisque in tristique velit curabitur tristique hendrerit nulla et tincidunt turpis viverra et sed semper consectetur tellus praesent vitae sem sed dui commodo posuere lobortis nec nibh pellentesque quis elit porta est porta facilisis ut eu justo suspendisse molestie tellus velit a feugiat odio condimentum a ut in rutrum tellus sit amet vulputate purus fusce facilisis arcu sed sollicitudin tristique risus justo lobortis orci eget convallis odio libero sit amet nulla mauris rutrum nunc lorem porta ultrices ligula scelerisque at proin ligula metus iaculis nec commodo quis varius in nulla nullam volutpat dictum libero iaculis auctor phasellus quis velit orci class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos quisque massa dui eleifend nec leo nec dignissim sodales erat vestibulum accumsan mi orci at ultricies mauris pharetra nec donec quis ligula posuere imperdiet ante nec malesuada diam fusce est nisi tempus id magna id blandit aliquet dolor maecenas sed dapibus augue etiam convallis justo nisl nec condimentum neque feugiat non duis porta accumsan dictum hospital ',0),(36,'node',' spring clean your life madison wisconsin while you re toiling away the first few beautiful days of spring reorganizing your garage cleaning out your basement or simply tossing all that superfluous stuff you ve accumulated over the last year you might want to consider applying that same industrious ambition to other parts of your life as well uw health psychologist shilagh mirgain phd says that doing a little spring cleaning of our own lives can make room for more of the things that bring us joy health and overall wellbeing mauris fringilla elit elit ac porta erat tempus eu nulla hendrerit quam metus curabitur quis scelerisque ipsum at laoreet orci cras in luctus mi sed tempus dolor in interdum id ligula vitae iaculis pellentesque et blandit velit aenean rhoncus accumsan velit quis pretium augue volutpat vitae donec dignissim est odio non placerat magna blandit vitae nulla sed risus et elit vehicula convallis proin ullamcorper porttitor mi sed accumsan integer diam odio vulputate et ornare quis pellentesque ut nisi morbi in est quis orci molestie ultrices a sit amet mi fusce vitae magna eget quam feugiat sodales in et magna nullam ultrices justo a mollis pulvinar erat ipsum convallis metus condimentum consequat magna sem nec risus pellentesque vel faucibus enim nam sit amet vulputate quam nec interdum augue phasellus accumsan ante at dolor facilisis sagittis nullam non libero tincidunt nibh tempor porttitor nulla dignissim vitae augue ac venenatis phasellus gravida justo erat ac tincidunt nunc molestie eget nullam bibendum mollis eros morbi rhoncus turpis lorem sed lobortis arcu egestas ut proin malesuada tortor lacus quis interdum est feugiat eget suspendisse placerat massa non ligula consequat egestas praesent viverra elit elit non gravida leo iaculis sit amet nam pellentesque consequat ullamcorper quisque in tristique velit curabitur tristique hendrerit nulla et tincidunt turpis viverra et sed semper consectetur tellus praesent vitae sem sed dui commodo posuere lobortis nec nibh pellentesque quis elit porta est porta facilisis ut eu justo suspendisse molestie tellus velit a feugiat odio condimentum a ut in rutrum tellus sit amet vulputate purus fusce facilisis arcu sed sollicitudin tristique risus justo lobortis orci eget convallis odio libero sit amet nulla mauris rutrum nunc lorem porta ultrices ligula scelerisque at proin ligula metus iaculis nec commodo quis varius in nulla  ',0),(37,'node',' world cup 2014 cameroon investigates matchfixing claims cameroon officials are to investigate claims that seven of their players were involved in matchfixing at the world cup in brazil the ethics committee of the african country s football federation will look at allegations of fraud by seven bad apples in their three group games the allegations have been made in a german news magazine der spiegel by a convicted match fixer from singapore cameroon lost all their group a games including a 40 defeat by croatia the indomitable lions had alex song sent off for lashing out at mario mandzukic in that game while teammates benoit assouekotto and benjamin moukandjo clashed late on in the game nam sit amet vulputate quam nec interdum augue phasellus accumsan ante at dolor facilisis sagittis nullam non libero tincidunt nibh tempor porttitor nulla dignissim vitae augue ac venenatis phasellus gravida justo erat ac tincidunt nunc molestie eget nullam bibendum mollis eros morbi rhoncus turpis lorem sed lobortis arcu egestas ut proin malesuada tortor lacus quis interdum est feugiat eget suspendisse placerat massa non ligula consequat egestas praesent viverra elit elit non gravida leo iaculis sit amet nam pellentesque consequat ullamcorper quisque in tristique velit curabitur tristique hendrerit nulla et tincidunt turpis viverra et sed semper consectetur tellus praesent vitae sem sed dui commodo posuere lobortis nec nibh pellentesque quis elit porta est porta facilisis ut eu justo suspendisse molestie tellus velit a feugiat odio condimentum a ut in rutrum tellus sit amet vulputate purus fusce facilisis arcu sed sollicitudin tristique risus justo lobortis orci eget convallis odio libero sit amet nulla mauris rutrum nunc lorem porta ultrices ligula scelerisque at proin ligula metus iaculis nec commodo quis varius in nulla nullam volutpat dictum libero iaculis auctor phasellus quis velit orci class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos quisque massa dui eleifend nec leo nec dignissim sodales erat vestibulum accumsan mi orci at ultricies mauris pharetra nec donec quis ligula posuere imperdiet ante nec malesuada diam fusce est nisi tempus id magna id blandit aliquet dolor maecenas sed dapibus augue etiam convallis justo nisl nec condimentum neque feugiat non duis porta accumsan dictum football tennis ',0),(38,'node',' a sisterhood of the snow in alaska the loud industrial buzz of the helicopter dulled down to a steady purr through my thick headphones wedged tightly between three seatmates in the back of the astar i was outwardly calm but inwardly i was having an oh my god i can t believe i m actually doing this moment we were being shuttled to a remote spot among the seemingly endless peaks of the chugach mountains in southeast alaska where ultimately nine of us all women would click into fat powder skis or strap into snowboards for descents we d been dreaming about all winter ranging in age from early 30s to mid40s we had come together to valdez for this ultimate bucketlist ski trip nam sit amet vulputate quam nec interdum augue phasellus accumsan ante at dolor facilisis sagittis nullam non libero tincidunt nibh tempor porttitor nulla dignissim vitae augue ac venenatis phasellus gravida justo erat ac tincidunt nunc molestie eget nullam bibendum mollis eros morbi rhoncus turpis lorem sed lobortis arcu egestas ut proin malesuada tortor lacus quis interdum est feugiat eget suspendisse placerat massa non ligula consequat egestas praesent viverra elit elit non gravida leo iaculis sit amet nam pellentesque consequat ullamcorper quisque in tristique velit curabitur tristique hendrerit nulla et tincidunt turpis viverra et sed semper consectetur tellus praesent vitae sem sed dui commodo posuere lobortis nec nibh pellentesque quis elit porta est porta facilisis ut eu justo suspendisse molestie tellus velit a feugiat odio condimentum a ut in rutrum tellus sit amet vulputate purus fusce facilisis arcu sed sollicitudin tristique risus justo lobortis orci eget convallis odio libero sit amet nulla mauris rutrum nunc lorem porta ultrices ligula scelerisque at proin ligula metus iaculis nec commodo quis varius in nulla nullam volutpat dictum libero iaculis auctor phasellus quis velit orci class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos quisque massa dui eleifend nec leo nec dignissim sodales erat vestibulum accumsan mi orci at ultricies mauris pharetra nec donec quis ligula posuere imperdiet ante nec malesuada diam fusce est nisi tempus id magna id blandit aliquet dolor maecenas sed dapibus augue etiam convallis justo nisl nec condimentum neque feugiat non duis porta accumsan dictum  ',0),(39,'node',' world cup sportsday andre schürrle became the first german to score a world cup goal while wearing the number nine shirt since carsten jancker against saudi arabia in 2002 toni kroos 473 has had more touches than any other player at this world cup so far philipp lahm 437 is the only other player to have more than 400 thomas muller has been directly involved in seven of germany s last 12 goals at the world cup finals 5 goals 2 assists mauris fringilla elit elit ac porta erat tempus eu nulla hendrerit quam metus curabitur quis scelerisque ipsum at laoreet orci cras in luctus mi sed tempus dolor in interdum id ligula vitae iaculis pellentesque et blandit velit aenean rhoncus accumsan velit quis pretium augue volutpat vitae donec dignissim est odio non placerat magna blandit vitae nulla sed risus et elit vehicula convallis proin ullamcorper porttitor mi sed accumsan integer diam odio vulputate et ornare quis pellentesque ut nisi morbi in est quis orci molestie ultrices a sit amet mi fusce vitae magna eget quam feugiat sodales in et magna nullam ultrices justo a mollis pulvinar erat ipsum convallis metus condimentum consequat magna sem nec risus pellentesque vel faucibus enim nam sit amet vulputate quam nec interdum augue phasellus accumsan ante at dolor facilisis sagittis nullam non libero tincidunt nibh tempor porttitor nulla dignissim vitae augue ac venenatis phasellus gravida justo erat ac tincidunt nunc molestie eget nullam bibendum mollis eros morbi rhoncus turpis lorem sed lobortis arcu egestas ut proin malesuada tortor lacus quis interdum est feugiat eget suspendisse placerat massa non ligula consequat egestas praesent viverra elit elit non gravida leo iaculis sit amet nam pellentesque consequat ullamcorper quisque in tristique velit curabitur tristique hendrerit nulla et tincidunt turpis viverra et sed semper consectetur tellus praesent vitae sem sed dui commodo posuere lobortis nec nibh pellentesque quis elit porta est porta facilisis ut eu justo suspendisse molestie tellus velit a feugiat odio condimentum a ut in rutrum tellus sit amet vulputate purus fusce facilisis arcu sed sollicitudin tristique risus justo lobortis orci eget convallis odio libero sit amet nulla mauris rutrum nunc lorem porta ultrices ligula scelerisque at proin ligula metus iaculis nec commodo quis varius in nulla football ',0),(40,'node',' how to banish stress in 25 minutes if your way of dealing with stress involves ranting to coworkers or faceplanting in a bag of chips we ve got a simpler healthier idea for you spend less than half an hour practicing mindful meditation a new study published in the journal psychoneuroendocrinology is the first to show the positive effects of this increasingly popular type of meditation it s a more focused inthepresent way to meditate that s about inhaling and exhaling slowly so you can sense your muscles relax and feel tension being swept from your brain nam sit amet vulputate quam nec interdum augue phasellus accumsan ante at dolor facilisis sagittis nullam non libero tincidunt nibh tempor porttitor nulla dignissim vitae augue ac venenatis phasellus gravida justo erat ac tincidunt nunc molestie eget nullam bibendum mollis eros morbi rhoncus turpis lorem sed lobortis arcu egestas ut proin malesuada tortor lacus quis interdum est feugiat eget suspendisse placerat massa non ligula consequat egestas praesent viverra elit elit non gravida leo iaculis sit amet nam pellentesque consequat ullamcorper quisque in tristique velit curabitur tristique hendrerit nulla et tincidunt turpis viverra et sed semper consectetur tellus praesent vitae sem sed dui commodo posuere lobortis nec nibh pellentesque quis elit porta est porta facilisis ut eu justo suspendisse molestie tellus velit a feugiat odio condimentum a ut in rutrum tellus sit amet vulputate purus fusce facilisis arcu sed sollicitudin tristique risus justo lobortis orci eget convallis odio libero sit amet nulla mauris rutrum nunc lorem porta ultrices ligula scelerisque at proin ligula metus iaculis nec commodo quis varius in nulla donec suscipit mi ut nisi malesuada aliquam morbi ullamcorper interdum laoreet vivamus a metus nibh morbi ac facilisis quam aenean eget est tincidunt sapien dapibus dignissim fusce sagittis commodo mollis mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl mauris sit amet sodales ante vel fringilla justo health beauty ',0),(41,'node',' the best workout for a toned tight butt blast unwanted fat and create a knockout butt with this twophase program from perkins first the wake em up bodyweight exercises are designed to light up your central nervous system and get your glutes primed and ready because they are a particularly sleepy muscle group performing light gluteactivation moves prior to weighted exercises will increase subsequent glute activation says perkins follow it up with the build em up moves which will challenge and stimulate your glutes to encourage muscle growth and rev your metabolism two to three times a week perform three sets of each exercise for the prescribed number of reps resting 60 seconds between sets do all three sets for each exercise before moving on to the next remember the last two reps of every set should be tough but not so tough that your form suffers sed semper consectetur tellus praesent vitae sem sed dui commodo posuere lobortis nec nibh pellentesque quis elit porta est porta facilisis ut eu justo suspendisse molestie tellus velit a feugiat odio condimentum a ut in rutrum tellus sit amet vulputate purus fusce facilisis arcu sed sollicitudin tristique risus justo lobortis orci eget convallis odio libero sit amet nulla mauris rutrum nunc lorem porta ultrices ligula scelerisque at proin ligula metus iaculis nec commodo quis varius in nulla nullam volutpat dictum libero iaculis auctor phasellus quis velit orci class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos quisque massa dui eleifend nec leo nec dignissim sodales erat vestibulum accumsan mi orci at ultricies mauris pharetra nec donec quis ligula posuere imperdiet ante nec malesuada diam fusce est nisi tempus id magna id blandit aliquet dolor maecenas sed dapibus augue etiam convallis justo nisl nec condimentum neque feugiat non duis porta accumsan dictum donec suscipit mi ut nisi malesuada aliquam morbi ullamcorper interdum laoreet vivamus a metus nibh morbi ac facilisis quam aenean eget est tincidunt sapien dapibus dignissim fusce sagittis commodo mollis mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl mauris sit amet sodales ante vel fringilla justo cras ullamcorper sollicitudin lectus sagittis pellentesque aliquam a nisl nec est ultricies convallis maecenas id laoreet libero vel adipiscing magna ut nisl libero scelerisque ac rhoncus eleifend consequat nec erat ut bibendum felis sit amet lectus auctor dapibus nunc at posuere sem eu ullamcorper enim quisque vestibulum tellus id magna ornare vehicula ut id lorem  ',0),(42,'node',' 6 surprising signs you re stressed out you re stressed we re stressed everyone s stressed no big deal right because it s so common you might think that if you re not lying on the floor from exhaustion you re probably fine but stress has an insidious way of creeping up on you and it s not just a mental or emotional issue stress symptoms can impact the body in some very visible and bizarre ways one of the biggest problems i see in my practice is women coming in with multiple physical signs of stress says nancy molitor phd a psychiatry professor at northwestern university feinberg school of medicine in fact a new study found that stress and other negative emotions were consistently linked to poor physical health in more than 150000 people in 142 countries that s because the mind and body are intrinsically connected nam sit amet vulputate quam nec interdum augue phasellus accumsan ante at dolor facilisis sagittis nullam non libero tincidunt nibh tempor porttitor nulla dignissim vitae augue ac venenatis phasellus gravida justo erat ac tincidunt nunc molestie eget nullam bibendum mollis eros morbi rhoncus turpis lorem sed lobortis arcu egestas ut proin malesuada tortor lacus quis interdum est feugiat eget suspendisse placerat massa non ligula consequat egestas praesent viverra elit elit non gravida leo iaculis sit amet nam pellentesque consequat ullamcorper quisque in tristique velit curabitur tristique hendrerit nulla et tincidunt turpis viverra et sed semper consectetur tellus praesent vitae sem sed dui commodo posuere lobortis nec nibh pellentesque quis elit porta est porta facilisis ut eu justo suspendisse molestie tellus velit a feugiat odio condimentum a ut in rutrum tellus sit amet vulputate purus fusce facilisis arcu sed sollicitudin tristique risus justo lobortis orci eget convallis odio libero sit amet nulla mauris rutrum nunc lorem porta ultrices ligula scelerisque at proin ligula metus iaculis nec commodo quis varius in nulla nullam volutpat dictum libero iaculis auctor phasellus quis velit orci class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos quisque massa dui eleifend nec leo nec dignissim sodales erat vestibulum accumsan mi orci at ultricies mauris pharetra nec donec quis ligula posuere imperdiet ante nec malesuada diam fusce est nisi tempus id magna id blandit aliquet dolor maecenas sed dapibus augue etiam convallis justo nisl nec condimentum neque feugiat non duis porta accumsan dictum donec suscipit mi ut nisi malesuada aliquam morbi ullamcorper interdum laoreet vivamus a metus nibh morbi ac facilisis quam aenean eget est tincidunt sapien dapibus dignissim fusce sagittis commodo mollis mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl mauris sit amet sodales ante vel fringilla justo  ',0),(43,'node',' sip up slim down the right way to drink green tea for weight loss find out if the green stuff s weightloss power extends to flavored ice cream iced tea and extract i ll admit it i had a mini celebration when i learned green tea has the incredible power to shift your fatfighting metabolism into high gear and yes i kicked my heels in the air when i found research suggesting that exercisers who drink green tea lose twice as much weight as those who don t fast forward to me pushing a shoppingcartfull of green tea products around my local grocery store i was buying green tea everything ice cream noodles etc who was i fooling the weightloss benefits are in the epigallocatechin gallate aka egcg a healthboosting antioxidant found in green tea not the green tea flavor donec suscipit mi ut nisi malesuada aliquam morbi ullamcorper interdum laoreet vivamus a metus nibh morbi ac facilisis quam aenean eget est tincidunt sapien dapibus dignissim fusce sagittis commodo mollis mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl mauris sit amet sodales ante vel fringilla justo cras ullamcorper sollicitudin lectus sagittis pellentesque aliquam a nisl nec est ultricies convallis maecenas id laoreet libero vel adipiscing magna ut nisl libero scelerisque ac rhoncus eleifend consequat nec erat ut bibendum felis sit amet lectus auctor dapibus nunc at posuere sem eu ullamcorper enim quisque vestibulum tellus id magna ornare vehicula ut id lorem etiam felis erat accumsan at adipiscing id pulvinar mollis enim cras non lorem non est ullamcorper consequat ac quis magna fusce euismod mauris ut mattis pellentesque mi orci ullamcorper enim id condimentum nibh felis sed dolor nam euismod metus ipsum non elementum leo dapibus vitae curabitur neque quam facilisis sit amet tortor facilisis iaculis suscipit orci fusce a lorem elementum sem tempor ullamcorper sed sed est vitae turpis elementum fermentum aliquam ullamcorper erat tortor et suscipit enim fringilla ut nulla facilisi nam blandit hendrerit massa eu gravida nam metus tellus faucibus at lacinia non venenatis ac lorem curabitur a ultricies ante at sodales lectus sed odio metus eleifend et nunc et porta ullamcorper libero vivamus bibendum erat non euismod mattis tortor neque auctor nisl nec malesuada metus leo sed lectus in a bibendum dui nec feugiat urna stress beauty ',0),(44,'node',' 5 mascara tricks to make your eyes look even more amazing most women we know won t leave the house without mascara and it s easy to see why mascara is the one product that instantly makes you look more put together more awake more alive but are you making the most of your mascara s lash boosting powers it turns out there are strategic ways to apply your mascara to play up your specific eye shape we caught up with sonia kashuk makeup artist and founder of sonia kashuk beauty to learn the simple tricks that can transform your look with just a swipe of the wand sed semper consectetur tellus praesent vitae sem sed dui commodo posuere lobortis nec nibh pellentesque quis elit porta est porta facilisis ut eu justo suspendisse molestie tellus velit a feugiat odio condimentum a ut in rutrum tellus sit amet vulputate purus fusce facilisis arcu sed sollicitudin tristique risus justo lobortis orci eget convallis odio libero sit amet nulla mauris rutrum nunc lorem porta ultrices ligula scelerisque at proin ligula metus iaculis nec commodo quis varius in nulla nullam volutpat dictum libero iaculis auctor phasellus quis velit orci class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos quisque massa dui eleifend nec leo nec dignissim sodales erat vestibulum accumsan mi orci at ultricies mauris pharetra nec donec quis ligula posuere imperdiet ante nec malesuada diam fusce est nisi tempus id magna id blandit aliquet dolor maecenas sed dapibus augue etiam convallis justo nisl nec condimentum neque feugiat non duis porta accumsan dictum donec suscipit mi ut nisi malesuada aliquam morbi ullamcorper interdum laoreet vivamus a metus nibh morbi ac facilisis quam aenean eget est tincidunt sapien dapibus dignissim fusce sagittis commodo mollis mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl mauris sit amet sodales ante vel fringilla justo cras ullamcorper sollicitudin lectus sagittis pellentesque aliquam a nisl nec est ultricies convallis maecenas id laoreet libero vel adipiscing magna ut nisl libero scelerisque ac rhoncus eleifend consequat nec erat ut bibendum felis sit amet lectus auctor dapibus nunc at posuere sem eu ullamcorper enim quisque vestibulum tellus id magna ornare vehicula ut id lorem nail ',0),(45,'node',' 6 people who will stress you out on your wedding day welcome to your wedding day with the stress of planning behind you you might think the big day will be easybreezy and it should be as long as you can navigate these six potential stress bombs weddings come with a host of heavy emotions especially when your son or daughter is the star of the show some moms might be adept at handling stress while others might teeter closer to meltdown territory if you know your mom or future mil might get a little testy plan to keep your distance if you ll be getting your hair and makeup done at 10am schedule her appointment for noon hang a sign that reads stressfree zone bride and bridesmaids only beyond this point on your hotel suite if a manic mama busts in anyway appoint a bridesmaid to run interference steering her gently toward the door before she asks if she can quickly rearrange some tables on your seating chart donec suscipit mi ut nisi malesuada aliquam morbi ullamcorper interdum laoreet vivamus a metus nibh morbi ac facilisis quam aenean eget est tincidunt sapien dapibus dignissim fusce sagittis commodo mollis mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl mauris sit amet sodales ante vel fringilla justo cras ullamcorper sollicitudin lectus sagittis pellentesque aliquam a nisl nec est ultricies convallis maecenas id laoreet libero vel adipiscing magna ut nisl libero scelerisque ac rhoncus eleifend consequat nec erat ut bibendum felis sit amet lectus auctor dapibus nunc at posuere sem eu ullamcorper enim quisque vestibulum tellus id magna ornare vehicula ut id lorem etiam felis erat accumsan at adipiscing id pulvinar mollis enim cras non lorem non est ullamcorper consequat ac quis magna fusce euismod mauris ut mattis pellentesque mi orci ullamcorper enim id condimentum nibh felis sed dolor nam euismod metus ipsum non elementum leo dapibus vitae curabitur neque quam facilisis sit amet tortor facilisis iaculis suscipit orci fusce a lorem elementum sem tempor ullamcorper sed sed est vitae turpis elementum fermentum aliquam ullamcorper erat tortor et suscipit enim fringilla ut nulla facilisi nam blandit hendrerit massa eu gravida nam metus tellus faucibus at lacinia non venenatis ac lorem curabitur a ultricies ante at sodales lectus sed odio metus eleifend et nunc et porta ullamcorper libero vivamus bibendum erat non euismod mattis tortor neque auctor nisl nec malesuada metus leo sed lectus in a bibendum dui nec feugiat urna suspendisse imperdiet volutpat dui eget scelerisque lacus lacinia in vivamus molestie ipsum eleifend tellus tincidunt ultricies fusce id magna ac enim mollis tristique curabitur porttitor laoreet nulla eu sollicitudin proin consectetur porta nisi vel cursus nunc egestas vulputate sapien vitae tempor odio gravida ut nunc ullamcorper aliquet ante quis sodales velit hendrerit non sed iaculis ipsum at massa malesuada tempus pellentesque et nisl nec tellus pharetra tincidunt sed commodo congue urna ut condimentum est sagittis id wedding ',0),(46,'node',' these wedding vow confessions will make you laugh cry for all the wrong reasons wedding vows give brides and grooms the chance to express what s in their heart of hearts but sometimes those beautifully crafted sentences come from far less sincere places below 12 users on whisper a free app where people share their secrets anonymously cop to the cringeworthy ways they came up with their wedding vows if they even managed to get that far suspendisse imperdiet volutpat dui eget scelerisque lacus lacinia in vivamus molestie ipsum eleifend tellus tincidunt ultricies fusce id magna ac enim mollis tristique curabitur porttitor laoreet nulla eu sollicitudin proin consectetur porta nisi vel cursus nunc egestas vulputate sapien vitae tempor odio gravida ut nunc ullamcorper aliquet ante quis sodales velit hendrerit non sed iaculis ipsum at massa malesuada tempus pellentesque et nisl nec tellus pharetra tincidunt sed commodo congue urna ut condimentum est sagittis id sed molestie mollis ipsum id pharetra etiam porttitor pretium ante id eleifend lectus dignissim non maecenas dapibus auctor blandit morbi condimentum tempus urna maecenas tristique magna varius rhoncus dolor commodo iaculis mi proin sem lacus sagittis vitae venenatis nec laoreet in leo nunc pellentesque mollis neque at aliquet cras consectetur magna ac tempus elementum maecenas molestie tempus ligula ut iaculis nulla velit metus malesuada id fermentum quis feugiat nec massa nullam congue dolor elementum interdum hendrerit eros ipsum commodo elit a placerat nulla dui eget erat sed placerat ut velit nec sagittis vestibulum congue lectus at scelerisque suscipit nulla odio scelerisque augue vel commodo velit mauris vel lectus aliquam et lectus faucibus ligula mollis feugiat vel quis augue nullam at erat vel lacus semper congue integer sed lectus est in posuere nisi in facilisis fermentum libero augue lobortis diam gravida blandit nunc urna ac ipsum suspendisse rhoncus consectetur urna sit amet semper arcu rutrum id in pretium tincidunt lectus eget euismod sapien congue egestas class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos praesent urna arcu tincidunt vitae massa sed molestie ornare risus sed aliquam pretium metus at venenatis elit gravida non party wedding ',0),(47,'node',' 8 stolen wedding kisses that ll make you weak in the knees a planned kiss between newlyweds has a certain amount of magic but the kisses stolen when no one but the photographer is looking are breathtaking peek into a few real weddings and enjoy some sweet kisses that are guaranteed to make you feel all warm and fuzzy nam sit amet vulputate quam nec interdum augue phasellus accumsan ante at dolor facilisis sagittis nullam non libero tincidunt nibh tempor porttitor nulla dignissim vitae augue ac venenatis phasellus gravida justo erat ac tincidunt nunc molestie eget nullam bibendum mollis eros morbi rhoncus turpis lorem sed lobortis arcu egestas ut proin malesuada tortor lacus quis interdum est feugiat eget suspendisse placerat massa non ligula consequat egestas praesent viverra elit elit non gravida leo iaculis sit amet nam pellentesque consequat ullamcorper quisque in tristique velit curabitur tristique hendrerit nulla et tincidunt turpis viverra et sed semper consectetur tellus praesent vitae sem sed dui commodo posuere lobortis nec nibh pellentesque quis elit porta est porta facilisis ut eu justo suspendisse molestie tellus velit a feugiat odio condimentum a ut in rutrum tellus sit amet vulputate purus fusce facilisis arcu sed sollicitudin tristique risus justo lobortis orci eget convallis odio libero sit amet nulla mauris rutrum nunc lorem porta ultrices ligula scelerisque at proin ligula metus iaculis nec commodo quis varius in nulla nullam volutpat dictum libero iaculis auctor phasellus quis velit orci class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos quisque massa dui eleifend nec leo nec dignissim sodales erat vestibulum accumsan mi orci at ultricies mauris pharetra nec donec quis ligula posuere imperdiet ante nec malesuada diam fusce est nisi tempus id magna id blandit aliquet dolor maecenas sed dapibus augue etiam convallis justo nisl nec condimentum neque feugiat non duis porta accumsan dictum wedding a planned kiss between newlyweds has a certain amount of magic permalink submitted by admin on tue 7012014 1602 sed semper consectetur tellus praesent vitae sem sed dui commodo posuere lobortis nec nibh pellentesque quis elit porta est porta facilisis ut eu justo suspendisse molestie tellus velit a feugiat odio condimentum a log in or register to post comments  ',0),(48,'node',' what to wear at these 6 unconventional weddings dating again and unable to shake the feeling that you re doing the whole thing all wrong we don t blame you today s dating landscape is evolving so fast it can feel nearly impossible to keep up but before you give up and become one of those people who post forever alone memes on the internet we ve got some pointers for you nullam volutpat dictum libero iaculis auctor phasellus quis velit orci class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos quisque massa dui eleifend nec leo nec dignissim sodales erat vestibulum accumsan mi orci at ultricies mauris pharetra nec donec quis ligula posuere imperdiet ante nec malesuada diam fusce est nisi tempus id magna id blandit aliquet dolor maecenas sed dapibus augue etiam convallis justo nisl nec condimentum neque feugiat non duis porta accumsan dictum donec suscipit mi ut nisi malesuada aliquam morbi ullamcorper interdum laoreet vivamus a metus nibh morbi ac facilisis quam aenean eget est tincidunt sapien dapibus dignissim fusce sagittis commodo mollis mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl mauris sit amet sodales ante vel fringilla justo cras ullamcorper sollicitudin lectus sagittis pellentesque aliquam a nisl nec est ultricies convallis maecenas id laoreet libero vel adipiscing magna ut nisl libero scelerisque ac rhoncus eleifend consequat nec erat ut bibendum felis sit amet lectus auctor dapibus nunc at posuere sem eu ullamcorper enim quisque vestibulum tellus id magna ornare vehicula ut id lorem etiam felis erat accumsan at adipiscing id pulvinar mollis enim cras non lorem non est ullamcorper consequat ac quis magna fusce euismod mauris ut mattis pellentesque mi orci ullamcorper enim id condimentum nibh felis sed dolor nam euismod metus ipsum non elementum leo dapibus vitae curabitur neque quam facilisis sit amet tortor facilisis iaculis suscipit orci fusce a lorem elementum sem tempor ullamcorper sed sed est vitae turpis elementum fermentum aliquam ullamcorper erat tortor et suscipit enim fringilla ut nulla facilisi nam blandit hendrerit massa eu gravida nam metus tellus faucibus at lacinia non venenatis ac lorem curabitur a ultricies ante at sodales lectus sed odio metus eleifend et nunc et porta ullamcorper libero vivamus bibendum erat non euismod mattis tortor neque auctor nisl nec malesuada metus leo sed lectus in a bibendum dui nec feugiat urna wedding ',0),(49,'node',' etsy weddings handmade object of the week since etsycom launched in 2005 the online marketplace featuring over 80000 vendors selling their handmade wares has become a goto resource for couples looking to elevate their nuptials with oneofkind diy touches there s even a dedicated section of the site just for weddings below we present a curated selection of our favorite wedding objects from etsy sellers we ll be bringing you a new object and its unique story every week so check back frequently donec suscipit mi ut nisi malesuada aliquam morbi ullamcorper interdum laoreet vivamus a metus nibh morbi ac facilisis quam aenean eget est tincidunt sapien dapibus dignissim fusce sagittis commodo mollis mauris eget augue vitae diam ullamcorper dictum eget sit amet nisl mauris sit amet sodales ante vel fringilla justo cras ullamcorper sollicitudin lectus sagittis pellentesque aliquam a nisl nec est ultricies convallis maecenas id laoreet libero vel adipiscing magna ut nisl libero scelerisque ac rhoncus eleifend consequat nec erat ut bibendum felis sit amet lectus auctor dapibus nunc at posuere sem eu ullamcorper enim quisque vestibulum tellus id magna ornare vehicula ut id lorem etiam felis erat accumsan at adipiscing id pulvinar mollis enim cras non lorem non est ullamcorper consequat ac quis magna fusce euismod mauris ut mattis pellentesque mi orci ullamcorper enim id condimentum nibh felis sed dolor nam euismod metus ipsum non elementum leo dapibus vitae curabitur neque quam facilisis sit amet tortor facilisis iaculis suscipit orci fusce a lorem elementum sem tempor ullamcorper sed sed est vitae turpis elementum fermentum aliquam ullamcorper erat tortor et suscipit enim fringilla ut nulla facilisi nam blandit hendrerit massa eu gravida nam metus tellus faucibus at lacinia non venenatis ac lorem curabitur a ultricies ante at sodales lectus sed odio metus eleifend et nunc et porta ullamcorper libero vivamus bibendum erat non euismod mattis tortor neque auctor nisl nec malesuada metus leo sed lectus in a bibendum dui nec feugiat urna wedding photos donec suscipit mi ut nisi malesuada aliquam permalink submitted by admin on tue 7012014 1601 etiam felis erat accumsan at adipiscing id pulvinar mollis enim cras non lorem non est ullamcorper consequat ac quis magna fusce euismod mauris ut mattis pellentesque mi orci ullamcorper enim id condimentum nibh felis sed dolor nam euismod metus ipsum non elementum leo dapibus vitae curabitur neque quam facilisis sit amet tortor facilisis iaculis suscipit orci log in or register to post comments nam euismod metus ipsum permalink submitted by admin on wed 7022014 1202 fusce euismod mauris ut mattis pellentesque mi orci ullamcorper enim id condimentum nibh felis sed dolor nam euismod metus ipsum non elementum leo dapibus vitae curabitur neque quam facilisis sit amet tortor facilisis iaculis suscipit orci log in or register to post comments etiam felis erat accumsan at adipiscing id permalink submitted by admin on wed 7022014 1159 fusce euismod mauris ut mattis pellentesque mi orci ullamcorper enim id condimentum nibh felis sed dolor nam euismod metus ipsum non elementum leo dapibus vitae curabitur neque quam facilisis sit amet tortor facilisis iaculis suscipit orci log in or register to post comments  ',0),(50,'node',' magazine click to visit ',0),(51,'node',' real estate click to visit ',0),(52,'node',' hotel click to visit ',0),(53,'node',' education click to visit ',0),(54,'node',' news click to visit ',0),(55,'node',' garnet click to visit ',0),(56,'node',' business click to visit ',0),(57,'node',' onepage click to visit ',0),(58,'node',' shopping click to visit ',0),(59,'node',' zircon ii click to visit ',0),(60,'node',' personal blog for drupal 8 click to visit ',0),(62,'node',' zircon drupal 8 click to visit ',0),(63,'node',' autox click to visit ',0),(64,'node',' pages aliquam aliquam tristique aliquam quisque eleifend eget turpis blandit commodo donec quis ante lacinia dapibus diam at auctor risus vestibulum porta interdum suscipit ut neque nunc tincidunt nec nisl ut elementum ultricies orci nam sit amet auctor enim suspendisse congue nulla sed sagittis auctor ut venenatis nulla turpis vel fringilla lacus elementum sit amet nunc eu nunc gravida dictum orci vel cursus velit nam tincidunt nunc quis nunc congue at sagittis nisi ultricies nam vitae consectetur ante phasellus at sapien metus proin leo purus imperdiet et enim quis faucibus rutrum nisi aliquam venenatis urna nec tellus commodo vel auctor purus semper nullam ultricies dignissim nulla vitae fermentum lectus faucibus nec nulla facilisi in hac habitasse platea dictumst mauris orci arcu imperdiet sed accumsan porttitor vulputate sit amet augue sed ultricies est vitae libero semper quis sagittis ligula fringilla maecenas a risus sed diam consequat aliquam vivamus molestie tempus luctus etiam condimentum nunc a purus accumsan bibendum stet clita kasd gubergren no sea takimata sanctus est lorem ipsum dolor sit amet stet clita kasd gubergren no sea takimata sanctus est lorem ipsum dolor sit amet excepteur sint obcaecat cupiditat non proident sunt in culpa qui officia deserunt mollit anim id est laborum stet clita kasd gubergren no sea takimata sanctus est lorem ipsum dolor sit amet lorem ipsum dolor sit amet consectetuer adipiscing elit sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat excepteur sint obcaecat cupiditat non proident sunt in culpa qui officia deserunt mollit anim id est laborum excepteur sint obcaecat cupiditat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sanctus sea sed takimata ut vero voluptua lorem ipsum dolor sit amet at vero eos et accusam et justo duo dolores et ea rebum consetetur sadipscing elitr sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat sed diam voluptua ut wisi enim ad minim veniam quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat ut wisi enim ad minim veniam quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat lorem ipsum dolor sit amet consectetur adipisici elit sed eiusmod tempor incidunt ut labore et dolore magna aliqua ut wisi enim ad minim veniam quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat lorem ipsum dolor sit amet consectetuer adipiscing elit aenean commodo ligula eget dolor aenean massa cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus donec quam felis ultricies nec pellentesque eu pretium quis sem nulla consequat massa quis enim donec pede justo fringilla vel aliquet nec vulputate eget arcu in enim justo rhoncus ut imperdiet a venenatis vitae justo nullam dictum felis eu pede mollis pretium integer tincidunt cras dapibus vivamus elementum semper nisi aenean vulputate eleifend tellus aenean leo ligula porttitor eu consequat vitae eleifend ac enim aliquam lorem ante dapibus in viverra quis feugiat a tellus phasellus viverra nulla ut metus varius laoreet quisque rutrum aenean imperdiet etiam ultricies nisi vel augue curabitur ullamcorper ultricies nisi nam eget dui etiam rhoncus maecenas tempus tellus eget condimentum rhoncus sem quam semper libero sit amet adipiscing sem neque sed ipsum nam quam nunc blandit vel luctus pulvinar hendrerit id lorem maecenas nec odio et ante tincidunt tempus donec vitae sapien ut libero venenatis faucibus nullam quis ante etiam sit amet orci eget eros faucibus tincidunt duis leo sed fringilla mauris sit amet nibh donec sodales sagittis magna sed consequat leo eget bibendum sodales augue velit cursus nunc quis gravida magna mi a libero fusce vulputate eleifend sapien vestibulum purus quam scelerisque ut mollis sed nonummy id metus nullam accumsan lorem in dui cras ultricies mi eu turpis hendrerit fringilla vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae in ac dui quis mi consectetuer lacinia nam pretium turpis et arcu duis arcu tortor suscipit eget imperdiet nec imperdiet iaculis ipsum sed aliquam ultrices mauris integer ante arcu accumsan a consectetuer eget posuere ut mauris praesent adipiscing phasellus ullamcorper ipsum rutrum nunc nunc nonummy metus vestibulum volutpat pretium libero cras id dui aenean ut eros et nisl sagittis vestibulum nullam nulla eros ultricies sit amet nonummy id imperdiet feugiat pede sed lectus donec mollis hendrerit risus phasellus nec sem in justo pellentesque facilisis etiam imperdiet imperdiet orci nunc nec neque phasellus leo dolor tempus non auctor et hendrerit quis nisi curabitur ligula sapien tincidunt non euismod vitae posuere imperdiet leo maecenas malesuada praesent congue erat at massa sed cursus turpis vitae tortor donec posuere vulputate arcu phasellus accumsan cursus velit vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae sed aliquam nisi quis porttitor congue elit erat euismod orci ac placerat dolor lectus quis orci phasellus consectetuer vestibulum elit aenean tellus metus bibendum sed posuere ac mattis non nunc vestibulum fringilla pede sit amet augue in turpis pellentesque posuere praesent turpis aenean posuere tortor sed cursus feugiat nunc augue blandit nunc eu sollicitudin urna dolor sagittis lacus donec elit libero sodales nec volutpat a suscipit non turpis nullam sagittis suspendisse pulvinar augue ac venenatis condimentum sem libero volutpat nibh nec pellentesque velit pede quis nunc vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae fusce id purus ut varius tincidunt libero phasellus dolor maecenas vestibulum mollis  ',0),(65,'node',' wanted content writer editor  integer tincidunt felis ut pretium viverra 8 20 votes fusce suscipit rutrum libero ac aliquet orci iaculis tempor 61 150 votes nunc placerat ligula vel sollicitudin molestie 29 70 votes sed vestibulum magna quam 2 5 votes total votes 245  ',0),(66,'node',' testing the intended bluecheese public repo  curabitur a quam in mauris cursus porta eu sit amet ante 26 34 votes suspendisse scelerisque erat a lacus 47 60 votes morbi a sapien tincidunt sollicitudin justo semper feugiat elit 27 35 votes total votes 129  ',0),(67,'node',' join the first association board meeting of 2014  nunc eu feugiat urna morbi sit amet tortor scelerisque 42 55 votes nunc laoreet enim vel porttitor pellentesque 35 45 votes maecenas iaculis est et purus blandit sit amet accumsan ante tristique 8 10 votes quisque in elementum ligula sed ullamcorper nisl 15 20 votes total votes 130  ',0),(68,'node',' why olympus gives back to drupal  drupal community enjoys huge turnout in global training days 27 40 votes the drupal association s biggest takeaways from drupalcamp london 20 30 votes drupalorg user research announcing a request for quote 40 60 votes announcing the newest addition to the association staff cto josh mitchell 13 20 votes total votes 150  ',0),(69,'node',' debuting a drupal camp uniting a community drupal training taking the developer fast track 51 100 votes and the drupal job board will be built by 26 52 votes drupalcon latin america 2015 site is selected 9 17 votes working group writeup january february 2014 14 28 votes total votes 197  ',0),(70,'node',' duis pala torqueo ullamcorper general discussion euismod macto occuro commodo eligo enim incassum jugis mauris tum eligo lenis loquor os quidem rusticus quae qui typicus valde vulputate commodo iaceo iriure sagaciter sit distineo dolore exerci inhibeo lobortis tincidunt ulciscor comis ea loquor neque tamen vereor vindico virtus capto dignissim incassum quis si typicus amet causa esse gemino hos iusto letalis nunc exputo facilisi humo metuo pecus plaga sagaciter verto abigo blandit letalis molior vindico cogo commoveo te venio vindico augue bene conventio diam iriure magna neque si singularis abluo aliquam cui esca ymo ad feugiat melior pneum ratis scisco suscipit vero wisi esca exputo ibidem inhibeo luptatum odio paulatim quibus tamen torqueo ad dolor hos imputo in neo quidne ulciscor virtus brevitas melior quidne velit abico fere mos os plaga sudo tum vulputate iustum quis refero saepius ulciscor adipiscing damnum decet nimis nostrud occuro sagaciter vindico commoveo dignissim ea esse exputo pecus venio voco erat hendrerit valetudo acsi dolor duis importunus melior persto quae causa et gravis iusto melior quis ratis scisco valetudo virtus et sagaciter sed antehabeo diam quis cui nimis pneum praesent refero utrum amet et ex laoreet magna minim plaga quidem sed euismod ibidem incassum saluto appellatio molior saepius consequat imputo lucidus obruo virtus aptent dignissim distineo esca ibidem imputo modo paratus patria quis abluo adipiscing aliquam eligo letalis luctus populus proprius rusticus validus commoveo duis jus meus valde dolus importunus te ullamcorper volutpat dolore quia usitas vel eum illum vero vindico facilisis tincidunt uxor cui decet imputo macto mos nostrud pertineo quadrum ratis sagaciter accumsan appellatio eu macto sudo veniam accumsan blandit consectetuer ea hendrerit refoveo tum usitas facilisis humo lobortis luptatum magna ullamcorper elit eros olim saluto sit turpis validus esse gravis jumentum lucidus meus nibh suscipit tego elit jus persto sudo venio vereor abico ludus torqueo abdo dignissim hendrerit os quae quidne sed usitas uxor venio euismod secundum tamen caecus dolus gravis natu tum virtus ad aliquam consectetuer diam macto minim ulciscor velit vulputate camur illum in tamen autem cui refoveo utinam abico eros facilisis fere iustum neque quidem suscipit tation te inhibeo nisl sino verto esse iaceo ibidem incassum nulla dolus et importunus ludus molior suscipit utinam abluo enim sit tum volutpat dolus huic in meus saepius scisco usitas aliquam esca volutpat bene brevitas hendrerit importunus jus metuo quidne ratis tation ad causa distineo incassum lobortis macto nimis probo sed abico conventio interdico melior obruo quis vicis abdo amet euismod jumentum quibus tation vel decet esse probo quis refoveo abico autem consectetuer decet euismod fere luptatum molior scisco sed camur causa eros iaceo luptatum nobis qui ulciscor validus autem capto comis commodo defui letalis neque nobis blandit conventio premo probo tamen valetudo augue distineo dolus enim exerci jumentum singularis vereor vero ymo aptent defui dolore gravis magna tum vicis accumsan bene blandit eu facilisi gemino loquor ludus si abigo duis iriure luptatum nimis probo veniam et minim obruo pagus probo saluto tum vindico appellatio comis diam iaceo neque sit torqueo typicus  ',0),(71,'node',' nutus singularis vindico comis commodo hendrerit metuo quia refoveo eligo gemino huic metuo proprius refero roto aliquip eros tego ullamcorper commodo dignissim enim incassum olim premo damnum iaceo interdico magna pagus usitas abbas caecus commoveo diam enim obruo proprius uxor velit vulpes capto commoveo lobortis roto decet loquor metuo sudo huic immitto pala tamen tation valde exerci rusticus vel vero dignissim gilvus gravis nostrud nulla quidem valetudo nibh oppeto ratis ut vindico volutpat consectetuer paratus proprius tincidunt ullamcorper venio vero diam dolus iusto jus populus premo quibus quidem volutpat wisi consequat distineo humo paulatim refero tation tincidunt acsi dolus feugiat haero interdico jus si ille obruo paulatim populus ratis consectetuer decet nimis nunc validus cui haero nimis oppeto secundum refoveo veniam vulpes antehabeo meus natu tum at autem caecus elit lucidus modo sino velit venio accumsan laoreet praesent camur gemino hendrerit luptatum praemitto proprius singularis abigo ad capto duis nulla abdo caecus commoveo sed te abbas iaceo minim te verto consectetuer et eu macto dolor gilvus humo iusto neo paratus odio paratus pecus praemitto saluto suscipere typicus virtus causa ea et facilisi nulla pala uxor validus vicis luptatum nostrud occuro pala premo volutpat caecus nibh paratus vel ymo at exputo iaceo illum lucidus persto tation tego bene incassum pala commodo damnum dolus quidem augue exputo pertineo quidne tation tincidunt valetudo cui metuo quidne ulciscor utrum validus ideo iusto qui saluto utrum veniam vindico vulpes damnum gravis modo secundum augue ibidem olim virtus elit iaceo modo abigo immitto minim paulatim pecus quadrum valde luptatum quibus ratis sino aptent humo ideo mos paratus sino velit abigo consequat dolor haero humo iaceo natu velit accumsan blandit et gilvus plaga scisco sino wisi ex imputo letalis praesent augue autem causa interdico mauris os proprius tamen antehabeo macto utrum consequat facilisi turpis feugiat natu nunc os aliquip fere gemino luctus at augue metuo qui vulputate abico hendrerit humo lucidus abbas dolus in incassum macto meus scisco torqueo module development ',0),(72,'node',' abdo amet quidem vicis blandit imputo iriure laoreet modo te ullamcorper consequat facilisis inhibeo si typicus veniam virtus damnum exerci meus saepius uxor velit ymo zelus abico adipiscing damnum et lenis letalis nostrud vereor virtus volutpat appellatio caecus camur commoveo iriure minim proprius valde brevitas erat facilisis feugiat nobis quadrum te vulpes accumsan aliquam exputo ibidem luctus ulciscor ut aptent gemino importunus nostrud olim sudo ymo abluo antehabeo dolore humo mauris metuo oppeto sagaciter scisco utinam camur eu verto acsi ad damnum immitto olim os quadrum ratis utrum vereor autem decet dolore fere haero loquor quidem saluto sudo utinam consequat paulatim pertineo ratis tum antehabeo erat imputo refero mos oppeto pertineo qui suscipere validus abigo ex refoveo illum plaga suscipere antehabeo aptent commodo facilisi pecus secundum singularis te validus augue capto dolore ex ibidem mauris natu quibus similis augue ex gilvus hendrerit iriure neo refoveo sed cui dolore gemino hos pecus refero tum ut valetudo consequat enim exerci importunus pala te antehabeo distineo euismod ille metuo sudo nunc pala typicus at exerci gilvus iriure luptatum nutus similis cogo meus patria pneum saepius causa defui eum huic jugis refoveo scisco tamen ulciscor abigo dolus eligo jus magna occuro pecus singularis tego turpis antehabeo facilisis iaceo ille neque quidne verto vulpes zelus abbas antehabeo erat esca esse haero nibh praemitto quia dolus genitus humo loquor os secundum ulciscor valetudo venio vicis abbas commodo gravis magna rusticus gravis lucidus neo paulatim voco abbas bene hos ille iusto lucidus pertineo refoveo comis et exerci iaceo importunus oppeto proprius secundum sed causa diam et ex quae quia roto rusticus vero duis jumentum occuro persto quia singularis validus velit appellatio blandit caecus consequat damnum pecus roto tum utinam erat lucidus nobis pneum torqueo turpis vindico antehabeo duis loquor adipiscing appellatio et feugiat illum lucidus quadrum saluto uxor vel aliquip damnum elit sino veniam blandit imputo mauris nimis premo quidne distineo dolor esca gemino importunus metuo paratus tincidunt wisi ad augue blandit euismod exerci sit abdo augue consequat ibidem iusto refoveo vulputate cogo esca hendrerit humo immitto imputo quidne tincidunt meus nutus quae sino utrum velit vindico iusto magna meus nulla capto dolus euismod gemino scisco sed dignissim eros eum persto sit utrum commoveo nutus uxor at iaceo ideo jus ludus rusticus sagaciter sed torqueo vindico post installation ',0),(73,'node',' accumsan jumentum dolore duis gemino humo jumentum melior dolus euismod facilisis ideo mauris neque nostrud occuro oppeto ymo abbas abico blandit dignissim haero nimis nobis os suscipere virtus abigo feugiat iustum minim premo saepius utrum fere huic ibidem illum lenis pala te adipiscing facilisis feugiat iusto neque plaga ymo abico elit genitus huic ibidem ideo inhibeo praesent saluto si blandit conventio premo tamen valetudo augue distineo dolus enim exerci jumentum singularis vereor vero ymo defui dolore magna vicis accumsan bene blandit eu facilisi gemino loquor ludus praemitto si abigo iriure luptatum nimis probo veniam et minim obruo pagus probo saluto secundum suscipere tum vindico appellatio comis diam dolore iaceo neque sit torqueo typicus occuro sit voco cui damnum ideo natu refero scisco eligo huic metuo refero roto aliquip eros jumentum obruo olim ratis tego ullamcorper commodo enim incassum olim at esca jumentum quadrum uxor antehabeo damnum dolore persto roto vulputate decet dolor eligo esca meus similis sino velit volutpat abigo facilisi hendrerit importunus nutus paratus pecus sudo voco abico facilisis metuo nunc si suscipere tum bene ludus luptatum pecus torqueo volutpat vulputate abbas esse et euismod inhibeo jugis ludus occuro turpis volutpat damnum elit iaceo nunc quidne refero tamen utinam volutpat refoveo saluto valde vulpes fere feugiat quidne sagaciter vel vereor illum lucidus luptatum minim probo sit at caecus commoveo lobortis loquor quidne tamen wisi caecus commodo dolus immitto interdico refoveo ulciscor abbas acsi caecus dolore jugis luptatum pertineo utinam abbas caecus commoveo inhibeo metuo proprius refero rusticus sino venio fere genitus hos pneum refero saluto capto suscipere tum bene dolore erat euismod humo iriure persto saepius veniam vicis decet ideo importunus meus mos at decet enim laoreet natu neque pecus acsi nobis praesent probo quis ratis venio consectetuer exerci gemino immitto metuo patria refoveo ulciscor utinam caecus camur hos laoreet natu plaga probo ullamcorper abluo probo saepius dolor facilisis iusto meus nibh typicus ullamcorper validus ratis sudo uxor abluo adipiscing camur minim ulciscor ut vicis voco wisi adipiscing magna nobis populus quadrum sagaciter sed ullamcorper virtus exerci facilisi fere importunus probo elit in jumentum accumsan blandit minim singularis vulputate diam et laoreet olim tego usitas vero ille in iriure scisco tamen validus wisi inhibeo nostrud typicus aliquip defui diam genitus incassum praemitto validus aliquip capto obruo quadrum quibus quis amet aptent brevitas caecus commoveo consequat populus si abbas amet euismod eum loquor ludus proprius ratis roto vulputate abigo autem jus letalis pagus quibus utinam vulpes aliquip dignissim importunus imputo valde theme development ',0),(74,'node',' inhibeo sudo camur causa eu incassum refero tation feugiat natu nunc os aliquip gemino luctus at augue haero metuo modo neo qui valde vulputate abico gemino genitus hendrerit humo lucidus praemitto tum turpis autem camur consequat immitto lenis lobortis macto natu typicus haero probo volutpat abluo aliquip comis letalis magna pecus sed utinam lucidus quis tego enim luptatum ratis sagaciter ut volutpat distineo dolor genitus quia quidem si tamen abbas feugiat interdico singularis brevitas facilisis feugiat te vulpes accumsan ibidem ut aptent gemino importunus nostrud olim sudo ymo abluo antehabeo dolore humo metuo sagaciter scisco ad capto enim erat immitto nostrud patria plaga saluto vulpes causa cogo quae suscipit voco amet eu secundum aliquam decet gravis sit valde abigo causa dignissim ibidem meus quis refoveo turpis euismod mos oppeto pertineo qui similis sudo suscipere tamen validus abigo ex refoveo eligo illum plaga suscipere usitas abdo aptent nunc quibus torqueo augue dolore ex augue eu laoreet modo similis amet commodo euismod luctus meus praemitto ad quadrum uxor adipiscing at cogo enim luctus probo roto cogo laoreet roto nunc pala typicus exerci gilvus iriure luptatum nutus similis meus pneum saepius causa defui eum huic jugis scisco ulciscor abigo dolus eligo jus magna occuro pecus singularis tego turpis verto vulpes zelus abbas antehabeo erat esca esse haero nibh praemitto quia genitus humo loquor os secundum valetudo vicis abbas causa commodo gravis iaceo magna pala rusticus secundum verto cogo eum huic laoreet typicus esca ex gravis illum nisl pertineo sed valde abluo blandit iaceo jus vulpes esse eu fere feugiat mauris populus qui velit verto distineo huic neo nostrud nunc pala paulatim voco commoveo esse ibidem in paratus paulatim tum ut velit cogo gilvus haero magna meus paulatim populus tamen amet genitus ideo rusticus vindico aptent dignissim suscipit cogo elit hos minim pala premo sit torqueo voco at meus quis diam elit eros interdico iustum verto abdo augue iusto vulputate cogo esca hendrerit humo immitto imputo quidne tincidunt meus nutus quae sino utrum velit vindico dignissim iusto luctus magna meus nulla proprius secundum amet brevitas nostrud nunc suscipere accumsan interdico nostrud plaga sed before you start ',0),(75,'node',' uxor valetudo camur conventio exerci exputo feugiat populus premo qui ullamcorper abbas hos importunus iriure lenis luptatum te ymo commodo interdico jus metuo nutus populus praesent valde valetudo vicis cogo cui gravis hos paratus tamen et melior scisco virtus et interdico mauris nostrud sagaciter sed tincidunt bene blandit capto elit eu iaceo modo nibh populus cui defui ibidem nimis pneum praesent refero utrum amet laoreet magna plaga sed euismod ibidem incassum saluto appellatio iusto molior saepius consequat decet imputo in lucidus obruo quis ratis tamen virtus aptent distineo esca ibidem imputo comis eros esca huic nobis similis sudo dolor eligo exputo nostrud obruo plaga usitas vicis incassum nibh secundum vulputate facilisi imputo natu obruo premo tego tincidunt veniam zelus blandit eum mos nunc praesent premo venio illum inhibeo paratus proprius quidne suscipere virtus ea eum jumentum laoreet plaga rusticus singularis te augue dolor lobortis accumsan duis elit neo nimis quae saluto suscipere appellatio dignissim odio quia ratis refoveo vero augue esca eum exerci populus utinam immitto nutus vereor diam fere occuro elit jus persto sudo vereor abico damnum ludus torqueo turpis virtus aptent eligo melior obruo os si suscipit valetudo vindico virtus causa nibh paulatim probo similis blandit ea eros jugis roto tum utrum caecus commoveo lenis tation ut vulputate aptent commodo esca ex hendrerit iaceo imputo melior si ullamcorper aptent et ex in melior plaga scisco singularis zelus adipiscing blandit brevitas elit molior pecus velit capto ex modo validus brevitas caecus consectetuer cui damnum gravis mos aliquam defui duis eum gilvus iaceo probo quia validus causa humo incassum nunc paratus refoveo si tincidunt torqueo verto nimis quidne refoveo defui dignissim ideo magna quia sudo valde vulpes abigo accumsan eu gemino ideo jumentum pertineo pneum saepius singularis augue consequat ibidem iusto lenis refoveo abico interdico melior obruo vicis abdo euismod jumentum quibus tation vel abbas decet esse jumentum probo quis refoveo tation amet defui in jus probo quadrum eros qui ulciscor validus autem capto letalis neque nobis ad blandit conventio nobis premo probo tamen valetudo vulpes causa quis ulciscor enim et neque ille lucidus mauris nisl nobis quidne rusticus installing drupal ',0),(76,'node',' ad sudo tego valetudo blandit cogo dolor exerci ille lenis luptatum neque rusticus saluto augue autem brevitas causa interdico mauris os proprius tamen utinam commodo eum iustum tation vereor acsi adipiscing amet diam gilvus pneum rusticus verto voco autem gilvus ideo incassum letalis quadrum qui typicus at augue metuo modo qui valde vulputate abico gemino hendrerit humo lucidus praemitto tum turpis autem camur consequat immitto lenis lobortis macto natu typicus conventio haero iaceo in nobis probo usitas volutpat abluo aliquip comis letalis magna pecus refoveo sed utinam lucidus quis sed suscipit tego typicus ullamcorper ut vulputate autem hos occuro pala refoveo tation vulputate wisi acsi ad conventio nimis patria praesent fere inhibeo mauris nunc similis brevitas facilisis feugiat quadrum te vulpes accumsan aliquam exputo facilisis ibidem lobortis luctus ulciscor ut aptent gemino nostrud olim sudo ymo abluo antehabeo dolore sagaciter scisco capto enim immitto saluto abico hendrerit hos lucidus uxor valetudo exputo haero melior mos plaga si vindico autem commodo eu iriure utrum valetudo dolus eum occuro vero mos oppeto pertineo aliquip exputo neo virtus adipiscing euismod haero iusto quae turpis antehabeo aptent pecus secundum validus augue dolore ex ibidem defui ibidem quia saluto at dolus iriure letalis os pertineo venio illum jugis meus nunc pala plaga qui huic nisl roto aptent caecus defui genitus pala rusticus usitas vero cui et fere neque sino suscipit ad comis minim abico cogo feugiat meus oppeto patria pneum saepius causa defui eum huic jugis scisco ulciscor upgrading drupal ',0),(77,'node',' new companies office status check features the new zealand companies office nzco has recently released three new features to the nzco website these new features allow businesses in new zealand to determine if the organisations they are intending to engage with are registered as a limited liability company on the register of companies the new features include the introduction of a qr code which has been added to all certificates of incorporation company extracts and annual return extracts the qr code can be scanned and will direct the client to the company details page for that particular company suspendisse facilisis sollicitudin libero in pretium nulla consectetur ut cras ut tortor nisi cras quis luctus nisi fusce non sodales ipsum integer tincidunt mauris tellus eget pellentesque eros commodo in ut auctor turpis sit amet sem pellentesque scelerisque sit amet sit amet quam donec pretium justo non leo dignissim luctus sed aliquam dui non massa eleifend nec iaculis lacus consequat suspendisse vulputate tortor dolor nam pellentesque sed risus vel ultricies morbi vel volutpat mauris maecenas in tortor sit amet sapien sodales consequat donec vitae est eget nunc fringilla vulputate at et arcu aenean imperdiet a eros a mattis nunc aliquet mauris non accumsan hendrerit ipsum velit laoreet odio id sagittis enim felis in neque donec quis pretium purus duis pulvinar metus in vehicula tincidunt diam lorem laoreet tellus gravida fermentum leo tellus id nisi donec quis sapien risus vestibulum massa enim ornare ut condimentum et auctor sed nisl maecenas ullamcorper lacus dui quis faucibus dolor rutrum vitae sed nec tortor lobortis tristique diam nec feugiat urna phasellus quis vestibulum mauris nam ullamcorper risus eget pretium scelerisque turpis tortor ultrices diam tristique aliquet enim ante at enim mauris arcu ante viverra sed tristique at iaculis a nisl nulla eu erat dolor nulla justo enim sollicitudin imperdiet dui sit amet ullamcorper rhoncus felis mauris elementum ante vitae ante laoreet mattis nam hendrerit nunc sed facilisis tempus odio magna pretium dolor et malesuada tortor odio eu diam vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae donec sagittis urna eget laoreet venenatis phasellus accumsan dui vitae auctor eleifend sem augue molestie elit id euismod augue augue in felis business company ',0),(78,'node',' companies amendment bill passes into law the companies and limited partnerships amendment bill received royal assent on 2 july 2014 the bill will create the companies amendment act 2014 and the limited partnerships amendment act 2014 this legislation assists with the prevention of misuse of new zealand companies shell companies and limited partnerships by overseas criminal organisations and provides the registrar with additional powers nam pellentesque sed risus vel ultricies morbi vel volutpat mauris maecenas in tortor sit amet sapien sodales consequat donec vitae est eget nunc fringilla vulputate at et arcu aenean imperdiet a eros a mattis nunc aliquet mauris non accumsan hendrerit ipsum velit laoreet odio id sagittis enim felis in neque donec quis pretium purus duis pulvinar metus in vehicula tincidunt diam lorem laoreet tellus gravida fermentum leo tellus id nisi donec quis sapien risus vestibulum massa enim ornare ut condimentum et auctor sed nisl maecenas ullamcorper lacus dui quis faucibus dolor rutrum vitae sed nec tortor lobortis tristique diam nec feugiat urna phasellus quis vestibulum mauris nam ullamcorper risus eget pretium scelerisque turpis tortor ultrices diam tristique aliquet enim ante at enim mauris arcu ante viverra sed tristique at iaculis a nisl nulla eu erat dolor nulla justo enim sollicitudin imperdiet dui sit amet ullamcorper rhoncus felis mauris elementum ante vitae ante laoreet mattis nam hendrerit nunc sed facilisis tempus odio magna pretium dolor et malesuada tortor odio eu diam vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae donec sagittis urna eget laoreet venenatis phasellus accumsan dui vitae auctor eleifend sem augue molestie elit id euismod augue augue in felis etiam non nibh interdum laoreet mauris sed viverra quam cras nec enim magna nunc enim nulla elementum id gravida suscipit hendrerit vitae neque interdum et malesuada fames ac ante ipsum primis in faucibus quisque quis metus ac lacus suscipit commodo nec ut est praesent id pellentesque ligula sit amet vestibulum velit aenean venenatis nibh vel orci auctor at dignissim nisi euismod cras vel elit quis lacus semper ultricies eget quis diam aliquam porttitor eros interdum molestie rutrum cras laoreet neque in nulla rhoncus ultrices lobortis erat viverra morbi mollis tortor consequat felis pharetra a consequat libero fermentum company ',0),(79,'node',' branding and company extract changes as of today we have simplified what is provided to you during the process of incorporating a company on the companies office register during the current process we deliver a company extract to your registered email address once the incorporation fee has been submitted and once the registrar confirms the incorporation of your company sed nec tortor lobortis tristique diam nec feugiat urna phasellus quis vestibulum mauris nam ullamcorper risus eget pretium scelerisque turpis tortor ultrices diam tristique aliquet enim ante at enim mauris arcu ante viverra sed tristique at iaculis a nisl nulla eu erat dolor nulla justo enim sollicitudin imperdiet dui sit amet ullamcorper rhoncus felis mauris elementum ante vitae ante laoreet mattis nam hendrerit nunc sed facilisis tempus odio magna pretium dolor et malesuada tortor odio eu diam vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae donec sagittis urna eget laoreet venenatis phasellus accumsan dui vitae auctor eleifend sem augue molestie elit id euismod augue augue in felis etiam non nibh interdum laoreet mauris sed viverra quam cras nec enim magna nunc enim nulla elementum id gravida suscipit hendrerit vitae neque interdum et malesuada fames ac ante ipsum primis in faucibus quisque quis metus ac lacus suscipit commodo nec ut est praesent id pellentesque ligula sit amet vestibulum velit aenean venenatis nibh vel orci auctor at dignissim nisi euismod cras vel elit quis lacus semper ultricies eget quis diam aliquam porttitor eros interdum molestie rutrum cras laoreet neque in nulla rhoncus ultrices lobortis erat viverra morbi mollis tortor consequat felis pharetra a consequat libero fermentum suspendisse ipsum ligula consequat ut suscipit dapibus pellentesque at nibh vestibulum elementum arcu eu pretium pellentesque integer eget sapien pellentesque auctor ipsum sit amet accumsan lectus vestibulum odio quam egestas eu erat vitae rutrum porta sem sed nulla neque vestibulum in congue ut dictum vitae tellus cras tincidunt orci in ipsum elementum tempus vulputate tellus molestie nulla aliquet quis justo in imperdiet donec in eros massa proin porta nibh convallis dictum egestas suspendisse ac mauris mi donec volutpat tortor non velit adipiscing quis sodales quam viverra vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae  ',0),(80,'node',' don t get taken for a ride when buying a car did you know you can search the personal property securities register ppsr to find out if the secondhand car you are considering buying privately may have money owing on it for less than the price of a cup of coffee the search is worth it for the peace of mind it gives you imagine this scenario jack spends weeks finding the car of his dreams he settles on a tidy red holden it s a little over his price bracket and even though jack negotiates a deal with the seller he still needs to sell his existing car and take out a small loan once the finances are sorted jack takes possession of the car and registers it with nz transport in his name nam pellentesque sed risus vel ultricies morbi vel volutpat mauris maecenas in tortor sit amet sapien sodales consequat donec vitae est eget nunc fringilla vulputate at et arcu aenean imperdiet a eros a mattis nunc aliquet mauris non accumsan hendrerit ipsum velit laoreet odio id sagittis enim felis in neque donec quis pretium purus duis pulvinar metus in vehicula tincidunt diam lorem laoreet tellus gravida fermentum leo tellus id nisi donec quis sapien risus vestibulum massa enim ornare ut condimentum et auctor sed nisl maecenas ullamcorper lacus dui quis faucibus dolor rutrum vitae sed nec tortor lobortis tristique diam nec feugiat urna phasellus quis vestibulum mauris nam ullamcorper risus eget pretium scelerisque turpis tortor ultrices diam tristique aliquet enim ante at enim mauris arcu ante viverra sed tristique at iaculis a nisl nulla eu erat dolor nulla justo enim sollicitudin imperdiet dui sit amet ullamcorper rhoncus felis mauris elementum ante vitae ante laoreet mattis nam hendrerit nunc sed facilisis tempus odio magna pretium dolor et malesuada tortor odio eu diam vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae donec sagittis urna eget laoreet venenatis phasellus accumsan dui vitae auctor eleifend sem augue molestie elit id euismod augue augue in felis etiam non nibh interdum laoreet mauris sed viverra quam cras nec enim magna nunc enim nulla elementum id gravida suscipit hendrerit vitae neque interdum et malesuada fames ac ante ipsum primis in faucibus quisque quis metus ac lacus suscipit commodo nec ut est praesent id pellentesque ligula sit amet vestibulum velit aenean venenatis nibh vel orci auctor at dignissim nisi euismod cras vel elit quis lacus semper ultricies eget quis diam aliquam porttitor eros interdum molestie rutrum cras laoreet neque in nulla rhoncus ultrices lobortis erat viverra morbi mollis tortor consequat felis pharetra a consequat libero fermentum company ',0),(81,'node',' how to become a science adviser for films and tv shows this week nature careers ran a great feature about scientists who act as advisers for hollywood blockbusters and hit tv shows media consulting entertaining science the article touches on the experience several scientists have had with some big names david saltzberg and the big bang theory james kakalios and the amazing spiderman and donna nelson and breaking bad i decided to dig a little deeper into donna s story and that of dr david kirby a science communication professor at the university of manchester to find out a little more about the cultural differences between the lab and the media sed nec tortor lobortis tristique diam nec feugiat urna phasellus quis vestibulum mauris nam ullamcorper risus eget pretium scelerisque turpis tortor ultrices diam tristique aliquet enim ante at enim mauris arcu ante viverra sed tristique at iaculis a nisl nulla eu erat dolor nulla justo enim sollicitudin imperdiet dui sit amet ullamcorper rhoncus felis mauris elementum ante vitae ante laoreet mattis nam hendrerit nunc sed facilisis tempus odio magna pretium dolor et malesuada tortor odio eu diam vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae donec sagittis urna eget laoreet venenatis phasellus accumsan dui vitae auctor eleifend sem augue molestie elit id euismod augue augue in felis etiam non nibh interdum laoreet mauris sed viverra quam cras nec enim magna nunc enim nulla elementum id gravida suscipit hendrerit vitae neque interdum et malesuada fames ac ante ipsum primis in faucibus quisque quis metus ac lacus suscipit commodo nec ut est praesent id pellentesque ligula sit amet vestibulum velit aenean venenatis nibh vel orci auctor at dignissim nisi euismod cras vel elit quis lacus semper ultricies eget quis diam aliquam porttitor eros interdum molestie rutrum cras laoreet neque in nulla rhoncus ultrices lobortis erat viverra morbi mollis tortor consequat felis pharetra a consequat libero fermentum nature ',0),(82,'node',' love for nature genetics in a previous blog post i asked what makes a nature genetics paper i have been slow to follow up on the post with my own answers to that question but in the meantime i would like to share this email that brightened my day edited for clarity i work on the field of genomewide association studies gwas in complex diseases and i note that of recent months the criteria and standard of nature genetics ng for accepting gwas papers is getting higher and higher proin a pharetra est quisque nulla nisi lacinia vitae luctus ut euismod sit amet nibh sed et cursus quam lorem ipsum dolor sit amet consectetur adipiscing elit donec mollis molestie feugiat nullam eleifend leo ornare elementum tempus aliquam quis leo sit amet lacus molestie egestas suspendisse quis ante rhoncus mattis ligula quis adipiscing eros etiam sit amet elit diam donec malesuada magna sed eros posuere in malesuada orci vulputate in eu laoreet tellus nullam nec scelerisque dui eu accumsan ante pellentesque ultricies ligula vitae nunc eleifend ut viverra sem rutrum aliquam dictum rhoncus velit quis bibendum sed nibh diam dictum et semper nec porta vitae sapien ut non congue odio etiam quam libero auctor sit amet mollis et tristique sit amet dolor curabitur eu molestie purus integer interdum mi id auctor faucibus nisi urna elementum eros a dictum nisl risus in erat fusce orci lectus congue et fermentum a vehicula vitae justo nulla sed lacus nec diam euismod pretium donec vel faucibus sem praesent sit amet lacus non nisl luctus accumsan phasellus felis velit iaculis nec nibh ac tincidunt laoreet nibh pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas pellentesque at dui commodo nibh placerat posuere nec sed nisl pellentesque malesuada lacus quis diam aliquam a tristique est condimentum donec eget justo ultrices commodo nisi sit amet dapibus nisi morbi in leo quis turpis laoreet convallis sed vel felis mountain forest donec vel faucibus sem permalink submitted by admin on mon 7072014 1603 pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas pellentesque at dui commodo nibh placerat posuere nec sed nisl pellentesque malesuada lacus quis diam aliquam a tristique est condimentum donec eget justo ultrices commodo nisi sit amet dapibus nisi morbi in leo quis turpis laoreet convallis sed vel felis log in or register to post comments lorem ipsum dolor sit amet permalink submitted by admin on mon 7072014 1744 suspendisse in lorem ipsum ut magna pharera aliquet non sodales lorem ipsum belit donec sed odio rera aliquet lorem ipsum dolor sit amet nsect etur adipiscing elit log in or register to post comments  ',0),(83,'node',' biosecurity laws under scanner another criticism for the bill has been in the area of domestic quarantine while the bill does forbid individuals to possess move grow raise culture breed or produce any plant animal and plant product it does not clarify how states should act to contain the spread of disease india s past record in imposing domestic quarantine has not been worth mention numerous diseases that made a localized appearance earlier have now spread all over the country the new bill hopes to establish an agricultural biosecurity authority of india with headquarters in the national capital region and regional centres all over the country the authority is expected to be responsible for regulation of the import and export of plants animals and related products prevention of entry of quarantine pests and implementation of postentry quarantine measures curabitur eu molestie purus integer interdum mi id auctor faucibus nisi urna elementum eros a dictum nisl risus in erat fusce orci lectus congue et fermentum a vehicula vitae justo nulla sed lacus nec diam euismod pretium donec vel faucibus sem praesent sit amet lacus non nisl luctus accumsan phasellus felis velit iaculis nec nibh ac tincidunt laoreet nibh pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas pellentesque at dui commodo nibh placerat posuere nec sed nisl pellentesque malesuada lacus quis diam aliquam a tristique est condimentum donec eget justo ultrices commodo nisi sit amet dapibus nisi morbi in leo quis turpis laoreet convallis sed vel felis phasellus sed commodo quam a cursus ipsum quisque facilisis mollis tortor vel scelerisque sed eu semper nibh donec lobortis venenatis orci nec vulputate duis eu nisl non sapien aliquam fringilla duis id lorem at libero hendrerit consectetur proin malesuada dolor ac felis consequat luctus tristique sapien egestas sed vitae lorem arcu vestibulum blandit volutpat ligula ac interdum sed et imperdiet ipsum vivamus sagittis justo nibh et dignissim orci tempor nec in egestas eget erat vel ultrices quisque sit amet consequat massa sed sed purus at nisl pulvinar laoreet ut pellentesque ultricies lectus id luctus dolor luctus ac donec urna leo porta ut dignissim et accumsan eget arcu nulla facilisi proin lorem ante luctus ac mollis eu commodo at tellus nullam posuere nunc in est ullamcorper cursus aliquam ut dignissim nulla praesent dignissim justo ante sed viverra metus eleifend eu etiam ornare auctor felis ultricies dictum mauris ullamcorper malesuada lectus non tempus vestibulum bibendum justo a nisi varius eu tempor ante dapibus donec ut nisi sit amet nunc sodales porttitor nulla tincidunt faucibus viverra forest ',0),(84,'node',' art worth 45m found hidden in brazilian shipping container brazilian authorities discovered 20 contemporary works of art hidden in a shipping container coming from florida the associated press reports the works valued at 45m were hidden among the belongings of a 75yearold brazilian woman and authorities suspect a company used her move to evade taxes the brazilian ministry of finance guido mantega said the art is believed to have been acquired at auctions abroad works by contemporary artists such as the brazilian beatriz milhazes and the twin graffiti artists known as os gêmeos otavio and gustavo pandolfo were found among the stash a sculpture by sérgio de camargo valued at 900000 was found in a second container according to the brazilian federal agency phasellus sed commodo quam a cursus ipsum quisque facilisis mollis tortor vel scelerisque sed eu semper nibh donec lobortis venenatis orci nec vulputate duis eu nisl non sapien aliquam fringilla duis id lorem at libero hendrerit consectetur proin malesuada dolor ac felis consequat luctus tristique sapien egestas sed vitae lorem arcu vestibulum blandit volutpat ligula ac interdum sed et imperdiet ipsum vivamus sagittis justo nibh et dignissim orci tempor nec in egestas eget erat vel ultrices quisque sit amet consequat massa sed sed purus at nisl pulvinar laoreet ut pellentesque ultricies lectus id luctus dolor luctus ac donec urna leo porta ut dignissim et accumsan eget arcu nulla facilisi proin lorem ante luctus ac mollis eu commodo at tellus nullam posuere nunc in est ullamcorper cursus aliquam ut dignissim nulla praesent dignissim justo ante sed viverra metus eleifend eu etiam ornare auctor felis ultricies dictum mauris ullamcorper malesuada lectus non tempus vestibulum bibendum justo a nisi varius eu tempor ante dapibus donec ut nisi sit amet nunc sodales porttitor nulla tincidunt faucibus viverra phasellus vulputate risus vel turpis tempor sed vehicula justo hendrerit vivamus sed aliquam lacus praesent euismod vehicula urna id adipiscing aenean posuere pharetra felis ac ultrices arcu volutpat et aliquam id purus vitae lacus porta congue duis aliquet arcu sed ligula pulvinar faucibus maecenas porta ligula sem sit amet pretium erat feugiat in integer mollis rutrum felis vel lobortis massa cursus nec fusce posuere lobortis arcu quis dapibus sapien ornare auctor donec lacinia quam et arcu cursus vitae euismod felis tempor pellentesque egestas tempor sagittis interdum et malesuada fames ac ante ipsum primis in faucibus nulla lobortis orci vitae velit faucibus id blandit felis dapibus proin vestibulum ante eu condimentum ullamcorper vivamus fringilla nunc orci quis vulputate sem consequat in quisque quis dui a purus vestibulum gravida art ',0),(85,'node',' british library returns painted renaissance book panel the british library has agreed to return a spoliated sienese oil painting made for the binding of a 1488 set of accounts following the recommendation of the uk s spoliation advisory panel the biccherna panel named after the city s treasury is attributed to guidoccio cozzarelli although not named in the spoliation panel s june report the art newspaper has identified the prewar owner as the shareholders of the munichbased as drey gallery the painting was part of a forced sale in 1936 fetching the equivalent of 228 in 1942 it was sold by arthur bendir at sotheby s in london henry david bought the picture and donated it to the british library in 1968 it was formally accessioned on his death in 1977 with other bookbindings phasellus vulputate risus vel turpis tempor sed vehicula justo hendrerit vivamus sed aliquam lacus praesent euismod vehicula urna id adipiscing aenean posuere pharetra felis ac ultrices arcu volutpat et aliquam id purus vitae lacus porta congue duis aliquet arcu sed ligula pulvinar faucibus maecenas porta ligula sem sit amet pretium erat feugiat in integer mollis rutrum felis vel lobortis massa cursus nec fusce posuere lobortis arcu quis dapibus sapien ornare auctor donec lacinia quam et arcu cursus vitae euismod felis tempor pellentesque egestas tempor sagittis interdum et malesuada fames ac ante ipsum primis in faucibus nulla lobortis orci vitae velit faucibus id blandit felis dapibus proin vestibulum ante eu condimentum ullamcorper vivamus fringilla nunc orci quis vulputate sem consequat in quisque quis dui a purus vestibulum gravida praesent ut velit a neque vehicula luctus nulla purus ipsum dapibus ac quam convallis fringilla euismod turpis class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos curabitur pharetra ut risus in hendrerit nam aliquam dolor eu fringilla semper aliquam erat volutpat lorem ipsum dolor sit amet consectetur adipiscing elit integer pulvinar ornare metus et malesuada leo maecenas vel nunc quis nisi rutrum pretium aliquam laoreet purus lacus aliquam volutpat massa ornare vitae sed aliquam varius tristique proin feugiat velit in dolor aliquet venenatis phasellus leo lorem pellentesque a convallis a tincidunt quis arcu nunc eu ultricies nisi ut mollis tellus vitae nisl bibendum eleifend proin molestie commodo rhoncus etiam commodo urna vitae tincidunt viverra in ultrices eros nec nibh fermentum sit amet convallis libero sagittis etiam pharetra at nunc in porta maecenas condimentum ligula elit ac tempor lacus fringilla eget etiam viverra blandit mauris eu elementum lectus dictum in suspendisse porta nulla non molestie sodales photograph art ',0),(86,'node',' russia s other art biennial the fourth moscow international biennale for young art opened on thursday 26 june just two days before manifesta 10 in st petersburg making russia a focus of the international contemporary art world while it remains at the center of a political controversy over its actions in ukraine the biennial s title a time for dreams was inspired by dr martin luther king s march on washington speech says its british curator david elliott however the show which runs until 10 august is deeply rooted in reality he adds it s not a dream of an escape it s a dream of criticism a dream made by young people who have no reason whatsoever to feel guilty for the world into which they ve been born elliott says quisque sit amet consequat massa sed sed purus at nisl pulvinar laoreet ut pellentesque ultricies lectus id luctus dolor luctus ac donec urna leo porta ut dignissim et accumsan eget arcu nulla facilisi proin lorem ante luctus ac mollis eu commodo at tellus nullam posuere nunc in est ullamcorper cursus aliquam ut dignissim nulla praesent dignissim justo ante sed viverra metus eleifend eu etiam ornare auctor felis ultricies dictum mauris ullamcorper malesuada lectus non tempus vestibulum bibendum justo a nisi varius eu tempor ante dapibus donec ut nisi sit amet nunc sodales porttitor nulla tincidunt faucibus viverra phasellus vulputate risus vel turpis tempor sed vehicula justo hendrerit vivamus sed aliquam lacus praesent euismod vehicula urna id adipiscing aenean posuere pharetra felis ac ultrices arcu volutpat et aliquam id purus vitae lacus porta congue duis aliquet arcu sed ligula pulvinar faucibus maecenas porta ligula sem sit amet pretium erat feugiat in integer mollis rutrum felis vel lobortis massa cursus nec fusce posuere lobortis arcu quis dapibus sapien ornare auctor donec lacinia quam et arcu cursus vitae euismod felis tempor pellentesque egestas tempor sagittis interdum et malesuada fames ac ante ipsum primis in faucibus nulla lobortis orci vitae velit faucibus id blandit felis dapibus proin vestibulum ante eu condimentum ullamcorper vivamus fringilla nunc orci quis vulputate sem consequat in quisque quis dui a purus vestibulum gravida praesent ut velit a neque vehicula luctus nulla purus ipsum dapibus ac quam convallis fringilla euismod turpis class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos curabitur pharetra ut risus in hendrerit nam aliquam dolor eu fringilla semper aliquam erat volutpat lorem ipsum dolor sit amet consectetur adipiscing elit integer pulvinar ornare metus et malesuada leo maecenas vel nunc quis nisi rutrum pretium aliquam laoreet purus lacus aliquam volutpat massa ornare vitae sed aliquam varius tristique proin feugiat velit in dolor aliquet venenatis phasellus leo lorem pellentesque a convallis a tincidunt quis arcu nunc eu ultricies nisi art photograph ',0),(87,'node',' spain returns small museum of artefacts to colombia spain returned 691 artefacts spanning nearly 3000 years of history to colombia on tuesday the pieces were recovered by spanish police during a drug trafficking and money laundering investigation in 2003 since then the works have been kept for conservation in madrid s museum of the americas where 885 recovered pieces were studied at an official handover ceremony in madrid the culture ministry s directorgeneral of fine arts archives and libraries jesús prieto referred to the treasure as a small colombian museum of archaeology today is a very special day for colombia said fernando carrillo the colombian ambassador in spain after accepting the works the arrival of nearly 700 artefacts is one of the most important cultural events of recent history the hoard includes ceramics with animal and human figures vases with geometric designs necklaces with precious stones idols and stamps from as early as 1400 bc to as late as the 16th century praesent ut velit a neque vehicula luctus nulla purus ipsum dapibus ac quam convallis fringilla euismod turpis class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos curabitur pharetra ut risus in hendrerit nam aliquam dolor eu fringilla semper aliquam erat volutpat lorem ipsum dolor sit amet consectetur adipiscing elit integer pulvinar ornare metus et malesuada leo maecenas vel nunc quis nisi rutrum pretium aliquam laoreet purus lacus aliquam volutpat massa ornare vitae sed aliquam varius tristique proin feugiat velit in dolor aliquet venenatis phasellus leo lorem pellentesque a convallis a tincidunt quis arcu nunc eu ultricies nisi ut mollis tellus vitae nisl bibendum eleifend proin molestie commodo rhoncus etiam commodo urna vitae tincidunt viverra in ultrices eros nec nibh fermentum sit amet convallis libero sagittis etiam pharetra at nunc in porta maecenas condimentum ligula elit ac tempor lacus fringilla eget etiam viverra blandit mauris eu elementum lectus dictum in suspendisse porta nulla non molestie sodales art photograph ',0),(88,'node',' beautiful light music easy smooth inspirational long playlist by relaxdaily ocean breeze praesent sit amet enim tempus lobortis eros adipiscing consequat nisl nam eget euismod justo aenean non elit eleifend feugiat augue vitae sagittis nibh vivamus a ante dolor integer pharetra euismod est vitae volutpat enim viverra a vivamus velit augue facilisis vel tortor eu dignissim suscipit urna maecenas pellentesque facilisis sapien non hendrerit aliquam sodales turpis dui sit amet blandit nunc fringilla eget fusce congue massa eu elit molestie tempor id vitae justo maecenas rhoncus egestas felis a ornare magna laoreet vel sed id tincidunt enim aenean vulputate ut felis et consectetur nullam quis viverra augue ut imperdiet orci morbi in vulputate dui eget tempus mi nunc ac convallis justo adipiscing sodales erat nullam venenatis bibendum condimentum aliquam egestas eget mauris sollicitudin egestas curabitur ullamcorper massa est ut faucibus tellus aliquet quis proin eu porta augue aenean eu ligula elementum arcu sagittis iaculis aliquam dapibus pulvinar faucibus cras vel orci suscipit consequat metus gravida convallis eros pellentesque congue tellus non felis sollicitudin bibendum maecenas risus risus accumsan eu lectus a congue massa nunc videos ',0),(89,'node',' margaret thank you very much in pharetra et augue ut auctor nunc leo nunc fermentum id mauris id vestibulum interdum nibh cras tincidunt elit ac porta faucibus donec metus est fringilla sit amet elit id facilisis rutrum libero donec at nunc sed nibh pulvinar accumsan et at ante integer adipiscing bibendum velit nec aliquet ipsum congue iaculis praesent est arcu interdum vitae dictum vitae gravida vel dui donec in dictum mauris nulla a enim purus vivamus elementum orci a tristique feugiat quisque mollis libero enim vitae rhoncus lacus volutpat vitae nulla volutpat consectetur gravida pellentesque velit lorem rutrum quis porta a tempus eu arcu nam nec cursus odio nec commodo purus nullam pharetra lorem lorem vel tempus leo consectetur id vivamus in feugiat felis curabitur sed tellus in ipsum egestas aliquam suspendisse magna sapien semper ut commodo et mollis id libero proin porttitor orci quis justo rutrum vulputate quis vel lectus ut eget tortor erat in in laoreet metus nullam id tristique arcu sit amet tempus elit integer turpis nisl placerat at justo ut faucibus tempor risus aenean est risus imperdiet vestibulum sodales ut fringilla quis ipsum pellentesque cras amet videos ',0),(90,'node',' move over kuta this is the real bali for many australians a trip to bali equates to slurping cheap cocktails by the beach in kuta dodging bananacrazy monkeys in ubud and shopping in seminyak but there s so much more to bali after spending time in the more remote mountainous areas of the island the tourist capitals are a bizarre sight most of the people pounding the pavement are tourists rather than locals there s a lot of tacky wares for sale and the bars feel like they ve been cloned from australia mauris elementum nunc ac massa pellentesque sit amet faucibus ipsum mollis nunc porttitor quis odio a fermentum fusce dignissim ante et enim congue id lobortis quam sodales in rhoncus sodales ante a accumsan arcu volutpat ac nunc porta libero at scelerisque ullamcorper nisi eros sollicitudin nunc vitae porta elit risus vitae purus aliquam auctor rutrum ligula aenean a scelerisque felis vel malesuada mi curabitur vel lorem quis libero auctor hendrerit donec rutrum congue nibh sed consectetur fusce vel porttitor velit nec vestibulum nunc curabitur ornare fringilla tortor ut vestibulum tortor malesuada eget pellentesque orci lorem consectetur ac adipiscing vel dictum quis justo suspendisse ante diam tempus et lectus et tincidunt vestibulum magna etiam sed justo egestas ultrices erat eget aliquam odio in vitae elit eget urna feugiat porttitor ut adipiscing tortor eu feugiat malesuada mauris purus bibendum leo vel mollis nunc quam eu ipsum suspendisse molestie turpis at nisi sodales eget tincidunt nisl lobortis nunc facilisis lacinia libero id faucibus arcu egestas sed vestibulum a elit non mauris imperdiet molestie vitae et nunc sed lorem nisl semper nec pulvinar ut ultrices ut lacus quisque nisi libero ullamcorper a viverra in adipiscing sit amet urna in porttitor ipsum a leo dapibus sed imperdiet lacus porta sed elementum dui non viverra gravida sed eu ultricies felis aliquam mollis tellus justo volutpat rutrum arcu ullamcorper a  ',0),(91,'node',' 15 places we d rather be right now as australian ski fields experience the best ski season in years not everyone is happy about the plunging temperatures the freak frosts and cold days have many aussies dreaming of tropical paradises far away so as you pull on your beanie and gloves and brave the cold dark night check out these 15 amazing sunny holiday spots and feel the warmth even just for a moment curabitur vel lorem quis libero auctor hendrerit donec rutrum congue nibh sed consectetur fusce vel porttitor velit nec vestibulum nunc curabitur ornare fringilla tortor ut vestibulum tortor malesuada eget pellentesque orci lorem consectetur ac adipiscing vel dictum quis justo suspendisse ante diam tempus et lectus et tincidunt vestibulum magna etiam sed justo egestas ultrices erat eget aliquam odio in vitae elit eget urna feugiat porttitor ut adipiscing tortor eu feugiat malesuada mauris purus bibendum leo vel mollis nunc quam eu ipsum suspendisse molestie turpis at nisi sodales eget tincidunt nisl lobortis nunc facilisis lacinia libero id faucibus arcu egestas sed vestibulum a elit non mauris imperdiet molestie vitae et nunc sed lorem nisl semper nec pulvinar ut ultrices ut lacus quisque nisi libero ullamcorper a viverra in adipiscing sit amet urna in porttitor ipsum a leo dapibus sed imperdiet lacus porta sed elementum dui non viverra gravida sed eu ultricies felis aliquam mollis tellus justo volutpat rutrum arcu ullamcorper a integer felis neque mattis eleifend faucibus ut dignissim sed ipsum suspendisse dictum metus ultrices rhoncus dictum donec luctus nulla eu aliquam auctor magna massa pellentesque sapien sed bibendum tortor metus quis arcu fusce quis odio ac nunc porttitor consectetur et a sem nam eu risus non sem ultrices pharetra cursus sit amet enim fusce rhoncus tincidunt sem quis rhoncus massa sed sit amet elit at est tristique aliquam integer ultrices porta gravida integer luctus enim enim non dapibus sapien tristique a morbi ligula augue fringilla non sem a venenatis convallis mi quisque varius vulputate velit ut blandit fusce libero tortor euismod in ultrices eu hendrerit at purus travel city ',0),(92,'node',' left menu lorem ipsum dolor sit amet consectetur adipiscing elit duis lacinia leo ut tincidunt euismod lectus dui lacinia eros a facilisis metus mi eget eros nulla euismod eleifend accumsan duis hendrerit nisi dui nec tristique quam tincidunt ut phasellus magna purus suscipit id ligula a cursus dapibus diam cras eu mi eu ligula aliquet vulputate curabitur euismod vitae felis non posuere nam vel iaculis magna fusce vulputate enim metus eget sagittis nibh aliquet eget donec leo arcu scelerisque in varius ut bibendum vitae urna cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus ut in justo a mi consequat hendrerit ornare sed nulla etiam ac ipsum luctus semper arcu vel tempus neque nunc ornare nisi fringilla libero posuere a viverra felis viverra cras egestas volutpat purus in feugiat in hac habitasse platea dictumst morbi ullamcorper auctor sapien sed pretium sem lorem eget egestas velit commodo eget pellentesque lacinia quis neque vitae lacinia ut sit amet arcu at felis elementum dictum quisque viverra sollicitudin vestibulum proin nec sapien sollicitudin elementum magna vel congue massa curabitur tempus tellus in suscipit scelerisque diam massa malesuada leo in pellentesque nisi mi porttitor lectus praesent eu pulvinar urna morbi purus dolor aliquet non urna at mattis porta diam suspendisse sed nunc in tellus commodo varius nulla lacinia suscipit tristique aenean id molestie enim ut ac lacus est sed ut iaculis neque scelerisque tempus eros aenean rhoncus sapien nibh ac ultricies sem bibendum ut ut id faucibus ligula suspendisse potenti mauris feugiat nunc vel risus elementum non commodo justo laoreet curabitur feugiat arcu in libero elementum condimentum proin malesuada eleifend diam sit amet fringilla nam nec enim bibendum lectus euismod suscipit sed eget iaculis ligula phasellus ornare pharetra dolor in fringilla proin semper eget enim nec rhoncus pellentesque et tellus justo nunc a mi malesuada tristique lorem nec porta justo phasellus consectetur laoreet sapien sit amet malesuada praesent odio dui gravida at tellus et egestas sodales risus donec ullamcorper tincidunt malesuada cras laoreet dui quis ante tempus id tincidunt arcu scelerisque nam sed enim a eros sollicitudin scelerisque proin dapibus nibh et ullamcorper ornare nisl risus fermentum lorem id ultricies urna orci sed enim morbi in eros orci cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus cras pharetra magna erat eu facilisis dolor hendrerit sed fusce fermentum vulputate massa at tempor curabitur nec massa tellus nullam ac ornare leo pellentesque id ante ut sapien vulputate ornare tempus ac tellus aenean adipiscing ullamcorper quam a lobortis ipsum dictum ac ut et fringilla purus maecenas non elementum magna aenean euismod erat non leo lacinia egestas eget ac mi mauris mi risus laoreet at molestie vel aliquet nec lacus integer congue nunc mattis nisi sodales bibendum a id lectus pellentesque sed ante eget tellus vehicula bibendum et quis diam nunc pulvinar condimentum convallis  ',0),(93,'node',' layout bootstrap default display layout bootstrap default display  ',0),(94,'node',' layout pinteros fullwidth display layout pinteros fullwidth display  ',0),(95,'node',' skin blue skin blue  ',0),(96,'node',' skin dark blue skin dark blue  ',0),(97,'node',' skin orange skin orange  ',0),(98,'node',' skin default skin default  ',0),(99,'node',' presets nunc vitae laoreet est sed adipiscing auctor commodo donec vehicula lectus neque a consectetur neque bibendum ut ut congue dolor quis vulputate adipiscing phasellus ac turpis dolor integer ultricies odio pulvinar massa congue aliquet cras rhoncus sapien vel fringilla tincidunt quisque ac mattis nisl cras ullamcorper sem et consequat egestas suspendisse tincidunt porttitor ipsum sit amet semper maecenas id accumsan sem phasellus interdum viverra dolor sed egestas nulla semper urna purus proin nec congue urna curabitur et massa mollis laoreet ligula at consequat arcu maecenas scelerisque pellentesque vehicula pellentesque posuere gravida interdum mauris facilisis semper velit in auctor morbi vitae arcu egestas lobortis diam sit amet lacinia orci ut non turpis nisl proin lacinia risus ut felis venenatis quis iaculis nulla sodales fusce velit elit consequat vitae molestie vitae consectetur eu elit aliquam facilisis felis eget enim egestas sed placerat dui lobortis morbi vitae euismod nisi curabitur quis rutrum eros proin venenatis massa a enim ultricies pulvinar phasellus laoreet purus ipsum quis ullamcorper mauris tristique faucibus donec at volutpat risus etiam laoreet erat nisi quis lobortis lorem ultrices quis sed nulla magna iaculis in leo ut tincidunt convallis magna etiam cursus urna lorem a egestas odio ornare at duis ac metus enim vestibulum vehicula egestas vehicula nunc porttitor lectus sed placerat mollis pellentesque vel mollis turpis vel sodales diam vivamus sodales urna vel pharetra convallis phasellus facilisis vitae erat ut vulputate ut elementum mollis tellus eget ornare mauris faucibus commodo sem eu facilisis mi iaculis a mauris sed nunc in dolor porttitor posuere maecenas mollis tellus sit amet sollicitudin consequat aliquam erat volutpat mauris sollicitudin nisi sed ultrices consectetur nisi ipsum porttitor augue et vehicula elit lectus at enim in vestibulum purus at condimentum semper maecenas quis diam hendrerit vehicula ligula at ultricies dolor pellentesque lorem est semper in leo a imperdiet porta elit vivamus blandit enim sed egestas viverra neque sapien mattis tellus quis dapibus metus purus et ligula in hac habitasse platea dictumst nulla at porta est nulla quis vestibulum nisi eget molestie odio vestibulum id porttitor enim quisque libero justo molestie suscipit diam id bibendum pellentesque nunc duis massa purus aliquet sed congue a venenatis ut erat  ',0),(100,'node',' mega menus ',0),(101,'node',' margaret in pharetra et augue ut auctor nunc leo nunc fermentum id mauris id vestibulum interdum nibh cras tincidunt elit ac porta faucibus donec metus est fringilla sit amet elit id facilisis rutrum libero donec at nunc sed nibh pulvinar accumsan et at ante integer adipiscing bibendum velit nec aliquet ipsum congue iaculis praesent est arcu interdum vitae dictum vitae gravida vel dui donec in dictum mauris nulla a enim purus vivamus elementum orci a tristique feugiat quisque mollis libero enim vitae rhoncus lacus volutpat vitae nulla volutpat consectetur gravida pellentesque velit lorem rutrum quis porta a tempus eu arcu nam nec cursus odio nec commodo purus nullam pharetra lorem lorem vel tempus leo consectetur id vivamus in feugiat felis curabitur sed tellus in ipsum egestas aliquam suspendisse magna sapien semper ut commodo et mollis id libero proin porttitor orci quis justo rutrum vulputate quis vel lectus ut eget tortor erat in in laoreet metus nullam id tristique arcu sit amet tempus elit integer turpis nisl placerat at justo ut faucibus tempor risus aenean est risus imperdiet vestibulum sodales ut fringilla quis ipsum pellentesque cras amet videos ',0);
/*!40000 ALTER TABLE `search_dataset` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_index`
--

DROP TABLE IF EXISTS `search_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_index` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'The search_total.word that is associated with the search item.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The search_dataset.sid of the searchable item to which the word belongs.',
  `type` varchar(16) NOT NULL COMMENT 'The search_dataset.type of the searchable item to which the word belongs.',
  `score` float DEFAULT NULL COMMENT 'The numeric score of the word, higher being more important.',
  PRIMARY KEY (`word`,`sid`,`type`),
  KEY `sid_type` (`sid`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the search index, associating words, items and...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_index`
--

LOCK TABLES `search_index` WRITE;
/*!40000 ALTER TABLE `search_index` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_index` VALUES ('1',10,'node',3),('1',13,'node',1),('1',24,'node',26),('10',14,'node',1),('10',19,'node',28),('10',67,'node',1),('10',86,'node',2),('100',69,'node',1),('1000',8,'node',27),('1000',19,'node',1),('100000',17,'node',1),('100000',21,'node',1),('101',25,'node',26),('10am',45,'node',1),('1100',8,'node',1),('1102',34,'node',1),('1159',49,'node',0.76431),('12',39,'node',1),('12',46,'node',1),('120',31,'node',1),('1202',49,'node',0.766757),('129',66,'node',1),('13',68,'node',1),('130',67,'node',1),('131',8,'node',1),('135000',20,'node',0.980874),('14',69,'node',1),('1400',87,'node',1),('141000',20,'node',0.972861),('142',42,'node',1),('144',27,'node',1),('1488',85,'node',1),('149',25,'node',26),('15',67,'node',1),('15',91,'node',27),('150',65,'node',1),('150',68,'node',1),('15000',27,'node',1),('150000',42,'node',1),('158',18,'node',1),('16',26,'node',27),('1601',49,'node',0.784336),('1602',47,'node',0.792123),('1603',82,'node',0.794753),('16th',87,'node',1),('17',10,'node',1),('17',33,'node',1),('17',69,'node',1),('1744',82,'node',0.784336),('1800',35,'node',1),('18plus',10,'node',1),('1936',85,'node',1),('1942',85,'node',1),('1968',85,'node',1),('197',69,'node',1),('1977',85,'node',1),('1995',13,'node',1),('2',13,'node',3.89193),('2',39,'node',1),('2',65,'node',1),('2',78,'node',1),('20',13,'node',1),('20',20,'node',1),('20',31,'node',1),('20',65,'node',1),('20',67,'node',1),('20',68,'node',2),('20',84,'node',1),('2002',39,'node',1),('2003',87,'node',1),('2005',13,'node',1),('2005',49,'node',1),('2008',17,'node',1),('2008',21,'node',1),('2009',20,'node',1),('2010',20,'node',0.968904),('2013',35,'node',1),('201314',9,'node',1),('2014',2,'node',27),('2014',37,'node',26),('2014',67,'node',26),('2014',69,'node',1),('2014',78,'node',3),('2015',26,'node',1),('2015',69,'node',1),('20yearold',10,'node',1),('228',85,'node',1),('24',8,'node',1),('24',19,'node',1),('245',65,'node',1),('25',40,'node',26),('26',66,'node',1),('26',69,'node',1),('26',86,'node',1),('27',66,'node',1),('27',68,'node',1),('28',10,'node',1),('28',22,'node',1),('28',31,'node',1),('28',69,'node',1),('285',16,'node',1),('29',65,'node',1),('3',31,'node',1),('30',68,'node',1),('3000',87,'node',1),('30s',38,'node',1),('34',17,'node',1),('34',21,'node',1),('34',66,'node',1),('35',66,'node',1),('35',67,'node',1),('36',31,'node',1),('370mile',28,'node',1),('4',9,'node',1),('40',14,'node',1),('40',31,'node',1),('40',37,'node',1),('40',68,'node',2),('400',39,'node',1),('42',67,'node',1),('437',39,'node',1),('45',67,'node',1),('45m',84,'node',27),('47',66,'node',1),('473',39,'node',1),('49',21,'node',1),('5',21,'node',1),('5',39,'node',1),('5',44,'node',26),('5',65,'node',1),('50',13,'node',0.949597),('51',69,'node',1),('5157',20,'node',1),('52',69,'node',1),('52year',16,'node',1),('55',67,'node',1),('56',16,'node',1),('586',21,'node',1),('6',42,'node',26),('6',45,'node',26),('6',48,'node',26),('60',29,'node',1),('60',31,'node',1),('60',41,'node',1),('60',66,'node',1),('60',68,'node',1),('600',31,'node',1),('61',9,'node',1),('61',65,'node',1),('63',9,'node',1),('6500',17,'node',1),('6500',21,'node',1),('66',11,'node',1),('665',21,'node',1),('676',21,'node',1),('68',13,'node',1),('691',87,'node',1),('7',14,'node',1),('70',30,'node',1),('70',65,'node',1),('700',87,'node',1),('7012014',4,'node',0.774192),('7012014',47,'node',0.794753),('7012014',49,'node',0.786915),('7017',20,'node',1),('7022014',49,'node',1.53353),('7072014',82,'node',1.58174),('75',8,'node',1),('75yearold',84,'node',1),('79',25,'node',26),('8',8,'node',1),('8',47,'node',26),('8',60,'node',26),('8',62,'node',26),('8',65,'node',1),('8',67,'node',1),('80000',49,'node',1),('81yearold',12,'node',1),('838',21,'node',1),('885',87,'node',1),('9',69,'node',1),('90',8,'node',1),('900000',84,'node',1),('901',4,'node',0.771698),('99p',11,'node',1),('abbas',71,'node',2.83136),('abbas',72,'node',2.6044),('abbas',73,'node',4.48207),('abbas',74,'node',2.79238),('abbas',75,'node',1.82206),('abdo',70,'node',1.57221),('abdo',71,'node',0.997306),('abdo',72,'node',26.7869),('abdo',74,'node',1.8249),('abdo',75,'node',0.830633),('abico',70,'node',4.13354),('abico',71,'node',0.845322),('abico',72,'node',1),('abico',73,'node',2.94209),('abico',74,'node',1),('abico',75,'node',1.76534),('abico',76,'node',2.85488),('abigo',70,'node',1.75946),('abigo',71,'node',2.76243),('abigo',72,'node',1.92384),('abigo',73,'node',3.75973),('abigo',74,'node',2.92384),('abigo',75,'node',0.839384),('abluo',70,'node',2.66943),('abluo',72,'node',1),('abluo',73,'node',1.6527),('abluo',74,'node',2.87634),('abluo',76,'node',2),('aboard',29,'node',1),('about',17,'node',1),('about',18,'node',1),('about',19,'node',1),('about',21,'node',1),('about',25,'node',1),('about',27,'node',1),('about',28,'node',2),('about',32,'node',1),('about',38,'node',1),('about',40,'node',1),('about',81,'node',2),('about',91,'node',1),('above',26,'node',1),('above',29,'node',1),('abroad',5,'node',1),('abroad',84,'node',1),('absolutely',9,'node',26),('abu',21,'node',1),('abundance',20,'node',1),('academic',14,'node',1),('accelerating',7,'node',1),('accepting',82,'node',1),('accepting',87,'node',1),('accessioned',85,'node',1),('according',17,'node',1),('according',20,'node',1),('according',21,'node',1),('according',84,'node',1),('accounts',85,'node',1),('accumsan',1,'node',4),('accumsan',2,'node',1.75605),('accumsan',4,'node',1.85866),('accumsan',5,'node',0.945829),('accumsan',6,'node',1.94209),('accumsan',7,'node',2.81092),('accumsan',8,'node',0.839384),('accumsan',9,'node',0.725015),('accumsan',10,'node',0.997306),('accumsan',11,'node',1.81645),('accumsan',13,'node',0.681785),('accumsan',14,'node',1.65753),('accumsan',15,'node',0.96498),('accumsan',16,'node',0.819249),('accumsan',17,'node',0.866793),('accumsan',18,'node',0.742984),('accumsan',19,'node',0.729424),('accumsan',20,'node',0.794753),('accumsan',21,'node',0.913226),('accumsan',22,'node',0.824901),('accumsan',23,'node',1.83353),('accumsan',24,'node',0.800068),('accumsan',25,'node',0.845322),('accumsan',26,'node',2.21527),('accumsan',27,'node',0.707906),('accumsan',28,'node',1.73165),('accumsan',29,'node',0.707906),('accumsan',30,'node',0.742984),('accumsan',32,'node',0.879565),('accumsan',33,'node',2.72688),('accumsan',34,'node',2.6192),('accumsan',35,'node',2.43784),('accumsan',36,'node',2.85642),('accumsan',37,'node',2.47773),('accumsan',38,'node',2.45089),('accumsan',39,'node',2.89945),('accumsan',40,'node',1),('accumsan',41,'node',1.53053),('accumsan',42,'node',2.42503),('accumsan',43,'node',0.842342),('accumsan',44,'node',1.67541),('accumsan',45,'node',0.776703),('accumsan',47,'node',2.6568),('accumsan',48,'node',2.78884),('accumsan',49,'node',21.5601),('accumsan',64,'node',4.15801),('accumsan',67,'node',1),('accumsan',70,'node',2.43238),('accumsan',71,'node',1.87634),('accumsan',72,'node',1),('accumsan',73,'node',27.8165),('accumsan',74,'node',1.80275),('accumsan',75,'node',1.83375),('accumsan',76,'node',1),('accumsan',77,'node',1.75505),('accumsan',78,'node',1.89272),('accumsan',79,'node',1.86679),('accumsan',80,'node',1.75912),('accumsan',81,'node',0.902857),('accumsan',82,'node',1.8568),('accumsan',83,'node',1.65773),('accumsan',84,'node',0.889397),('accumsan',86,'node',1),('accumsan',88,'node',0.993146),('accumsan',89,'node',1),('accumsan',90,'node',1),('accumsan',92,'node',1),('accumsan',99,'node',1),('accumsan',101,'node',1),('accumulated',36,'node',1),('accusam',64,'node',0.909743),('achieve',16,'node',26),('acquired',84,'node',1),('across',29,'node',1),('acsi',70,'node',0.961087),('acsi',71,'node',1),('acsi',72,'node',1),('acsi',73,'node',1.71868),('acsi',76,'node',2),('act',78,'node',2),('act',81,'node',1),('act',83,'node',1),('action',5,'node',1),('actions',86,'node',1),('activation',41,'node',1),('activities',27,'node',1),('actress',24,'node',1),('actually',38,'node',1),('added',77,'node',1),('adding',10,'node',1),('addition',6,'node',1),('addition',35,'node',1),('addition',68,'node',1),('additional',6,'node',1),('additional',78,'node',1),('address',79,'node',1),('adds',86,'node',1),('adept',45,'node',1),('adipiscing',1,'node',2.98902),('adipiscing',5,'node',1.74676),('adipiscing',6,'node',1.90286),('adipiscing',7,'node',2.5929),('adipiscing',9,'node',0.672252),('adipiscing',11,'node',0.863659),('adipiscing',12,'node',0.909743),('adipiscing',13,'node',0.655756),('adipiscing',14,'node',1.41881),('adipiscing',16,'node',0.752312),('adipiscing',17,'node',0.938382),('adipiscing',18,'node',1),('adipiscing',19,'node',2.21259),('adipiscing',20,'node',1.53923),('adipiscing',21,'node',2.55621),('adipiscing',22,'node',1.55447),('adipiscing',23,'node',2.622),('adipiscing',24,'node',2.81925),('adipiscing',25,'node',0.776703),('adipiscing',26,'node',2.3596),('adipiscing',27,'node',2.32216),('adipiscing',28,'node',2.63744),('adipiscing',29,'node',1.44013),('adipiscing',30,'node',2.49166),('adipiscing',31,'node',1),('adipiscing',33,'node',1),('adipiscing',34,'node',0.857458),('adipiscing',41,'node',0.7017),('adipiscing',43,'node',1.74913),('adipiscing',44,'node',0.76188),('adipiscing',45,'node',1.60772),('adipiscing',48,'node',1.69455),('adipiscing',49,'node',22.5416),('adipiscing',64,'node',3.24631),('adipiscing',70,'node',1.89003),('adipiscing',72,'node',1.81645),('adipiscing',73,'node',2.64413),('adipiscing',74,'node',0.976851),('adipiscing',75,'node',0.876337),('adipiscing',76,'node',1.9347),('adipiscing',79,'node',0.830633),('adipiscing',82,'node',2.76431),('adipiscing',84,'node',0.792123),('adipiscing',85,'node',1.76922),('adipiscing',86,'node',1.5402),('adipiscing',87,'node',0.879565),('adipiscing',88,'node',2),('adipiscing',89,'node',1),('adipiscing',90,'node',2.6569),('adipiscing',91,'node',2.91674),('adipiscing',92,'node',1.86995),('adipiscing',99,'node',2),('adipiscing',101,'node',1),('adipisici',64,'node',0.836446),('admin',4,'node',0.779231),('admin',7,'node',11),('admin',9,'node',11),('admin',10,'node',11),('admin',14,'node',11),('admin',15,'node',11),('admin',18,'node',11),('admin',21,'node',11),('admin',22,'node',11),('admin',27,'node',11),('admin',28,'node',11),('admin',29,'node',11),('admin',30,'node',11),('admin',32,'node',11),('admin',47,'node',0.800068),('admin',49,'node',2.32813),('admin',82,'node',1.58709),('administration',19,'node',1),('admission',8,'node',1),('admit',43,'node',1),('adopted',14,'node',1),('advance',8,'node',1),('advantage',5,'node',1),('advantage',11,'node',1),('adventure',29,'node',26),('adventurous',29,'node',1),('advice',4,'node',1),('adviser',81,'node',26),('advisers',81,'node',1),('advisory',85,'node',1),('advocacy',33,'node',1),('advocates',18,'node',26),('aenean',3,'node',2.86408),('aenean',4,'node',0.78951),('aenean',6,'node',1.90974),('aenean',8,'node',1.82138),('aenean',10,'node',0.857458),('aenean',12,'node',1.84779),('aenean',13,'node',1.98928),('aenean',15,'node',1.96109),('aenean',17,'node',0.810915),('aenean',18,'node',2.75468),('aenean',19,'node',0.78951),('aenean',20,'node',0.729424),('aenean',21,'node',1.61692),('aenean',22,'node',1),('aenean',23,'node',0.98493),('aenean',25,'node',0.869951),('aenean',26,'node',2.1417),('aenean',29,'node',0.659351),('aenean',30,'node',0.703756),('aenean',31,'node',3.17861),('aenean',32,'node',3.88261),('aenean',33,'node',1.9534),('aenean',34,'node',1.70207),('aenean',36,'node',1),('aenean',39,'node',1),('aenean',40,'node',0.813674),('aenean',41,'node',0.72066),('aenean',42,'node',0.687638),('aenean',43,'node',1),('aenean',44,'node',0.784336),('aenean',45,'node',0.942091),('aenean',48,'node',0.920273),('aenean',49,'node',1),('aenean',64,'node',6.05336),('aenean',77,'node',0.96498),('aenean',78,'node',1.83938),('aenean',79,'node',0.934703),('aenean',80,'node',1.73389),('aenean',81,'node',0.819249),('aenean',84,'node',0.78951),('aenean',85,'node',1),('aenean',86,'node',0.833529),('aenean',88,'node',3),('aenean',89,'node',1),('aenean',90,'node',1),('aenean',92,'node',3.61791),('aenean',101,'node',1),('aesthetics',25,'node',1),('affecting',35,'node',1),('affects',13,'node',1),('african',37,'node',1),('after',16,'node',1),('after',85,'node',1),('after',87,'node',1),('after',90,'node',1),('afternoon',26,'node',1),('again',48,'node',1),('against',16,'node',1),('against',35,'node',1),('against',39,'node',1),('age',20,'node',1),('age',38,'node',1),('aged',10,'node',1),('aged',29,'node',1.94209),('agency',10,'node',1),('agency',84,'node',1),('ages',14,'node',1),('ago',14,'node',1),('agreed',85,'node',1),('agricultural',83,'node',1),('air',43,'node',1),('airlines',31,'node',1),('airport',31,'node',4),('aisle',22,'node',1),('aka',43,'node',1),('alaska',38,'node',27),('alberta',12,'node',1),('alex',37,'node',1),('alike',30,'node',1),('aliqua',64,'node',0.827757),('aliquam',1,'node',2),('aliquam',2,'node',1.70898),('aliquam',3,'node',2.89608),('aliquam',4,'node',1.80595),('aliquam',5,'node',0.889397),('aliquam',6,'node',6.66374),('aliquam',7,'node',1.63058),('aliquam',8,'node',6.23124),('aliquam',9,'node',2.09765),('aliquam',10,'node',1.84234),('aliquam',11,'node',3.64961),('aliquam',12,'node',0.851346),('aliquam',13,'node',3.06167),('aliquam',14,'node',1.45591),('aliquam',15,'node',6.74695),('aliquam',16,'node',2.35919),('aliquam',17,'node',4.67787),('aliquam',18,'node',3.34213),('aliquam',20,'node',2.25563),('aliquam',21,'node',3.03827),('aliquam',22,'node',3.49496),('aliquam',23,'node',2.71615),('aliquam',24,'node',1.73073),('aliquam',25,'node',1.4723),('aliquam',26,'node',2.32429),('aliquam',27,'node',2.41161),('aliquam',28,'node',2.64214),('aliquam',29,'node',0.648686),('aliquam',30,'node',2.4971),('aliquam',31,'node',3.48348),('aliquam',32,'node',2.93105),('aliquam',40,'node',0.822065),('aliquam',41,'node',1.43784),('aliquam',42,'node',0.693594),('aliquam',43,'node',2.71177),('aliquam',44,'node',1.56463),('aliquam',45,'node',2.55641),('aliquam',46,'node',1.58244),('aliquam',48,'node',2.62142),('aliquam',49,'node',23.5718),('aliquam',64,'node',8.11567),('aliquam',70,'node',3.46167),('aliquam',72,'node',1),('aliquam',74,'node',1),('aliquam',75,'node',0.857458),('aliquam',76,'node',1),('aliquam',77,'node',1),('aliquam',78,'node',0.833529),('aliquam',79,'node',0.913226),('aliquam',80,'node',0.729424),('aliquam',81,'node',0.802752),('aliquam',82,'node',3.58486),('aliquam',83,'node',2.3559),('aliquam',84,'node',3.4392),('aliquam',85,'node',5.82702),('aliquam',86,'node',6.13663),('aliquam',87,'node',4.28973),('aliquam',88,'node',3),('aliquam',89,'node',1),('aliquam',90,'node',2.71715),('aliquam',91,'node',3.55951),('aliquam',99,'node',1.97286),('aliquam',101,'node',1),('aliquet',1,'node',3),('aliquet',2,'node',0.916736),('aliquet',4,'node',0.972861),('aliquet',5,'node',1.86366),('aliquet',6,'node',0.822065),('aliquet',8,'node',1.77492),('aliquet',9,'node',0.697623),('aliquet',10,'node',2.46239),('aliquet',11,'node',0.942091),('aliquet',12,'node',2),('aliquet',13,'node',0.641769),('aliquet',15,'node',1.8894),('aliquet',16,'node',0.784336),('aliquet',17,'node',1.83063),('aliquet',19,'node',1.54707),('aliquet',21,'node',4.46019),('aliquet',24,'node',0.774192),('aliquet',25,'node',0.989021),('aliquet',26,'node',1.41107),('aliquet',27,'node',2.19579),('aliquet',28,'node',0.902857),('aliquet',35,'node',0.716357),('aliquet',37,'node',0.736141),('aliquet',38,'node',0.722831),('aliquet',41,'node',0.76188),('aliquet',42,'node',0.71),('aliquet',44,'node',0.833529),('aliquet',45,'node',0.674137),('aliquet',46,'node',1.87634),('aliquet',47,'node',0.824901),('aliquet',48,'node',1),('aliquet',64,'node',0.774192),('aliquet',65,'node',1),('aliquet',77,'node',1.79872),('aliquet',78,'node',1.96498),('aliquet',79,'node',1.84234),('aliquet',80,'node',1.8209),('aliquet',81,'node',1),('aliquet',82,'node',1.54845),('aliquet',84,'node',0.781775),('aliquet',85,'node',1.74546),('aliquet',86,'node',1.51333),('aliquet',87,'node',0.808176),('aliquet',88,'node',1),('aliquet',89,'node',1),('aliquet',92,'node',3.82475),('aliquet',99,'node',1.92027),('aliquet',101,'node',1),('aliquip',64,'node',2.50073),('aliquip',71,'node',1.85439),('aliquip',72,'node',0.813674),('aliquip',73,'node',3.40875),('aliquip',74,'node',2),('aliquip',76,'node',1.94209),('aliquyam',64,'node',0.866793),('alive',44,'node',1),('all',2,'node',1),('all',5,'node',1),('all',7,'node',2),('all',11,'node',1),('all',22,'node',1),('all',25,'node',3),('all',26,'node',1),('all',27,'node',1),('all',35,'node',1),('all',36,'node',1),('all',37,'node',1),('all',38,'node',2),('all',41,'node',1),('all',46,'node',26),('all',47,'node',1),('all',48,'node',1),('all',77,'node',1),('all',83,'node',2),('allegations',37,'node',2),('allow',77,'node',1),('almost',30,'node',1),('alone',13,'node',1),('alone',48,'node',1),('along',2,'node',1),('along',28,'node',1),('als',16,'node',1),('also',3,'node',1),('also',6,'node',1),('also',31,'node',1),('altamonte',2,'node',1),('although',85,'node',1),('always',13,'node',1),('always',24,'node',1),('amazing',28,'node',1),('amazing',44,'node',26),('amazing',81,'node',1),('amazing',91,'node',1),('ambassador',87,'node',1),('ambition',36,'node',1),('amendment',78,'node',29),('america',69,'node',1),('americas',87,'node',1),('amet',1,'node',2),('amet',2,'node',1.7672),('amet',3,'node',1),('amet',4,'node',1.87127),('amet',5,'node',4.4498),('amet',6,'node',8.07031),('amet',7,'node',1.63617),('amet',8,'node',1.77419),('amet',9,'node',2.53904),('amet',10,'node',3.03601),('amet',12,'node',1),('amet',13,'node',1.32916),('amet',14,'node',1.46438),('amet',15,'node',1.87957),('amet',16,'node',2.86282),('amet',18,'node',0.747619),('amet',19,'node',1.62799),('amet',20,'node',2.90778),('amet',21,'node',4.45252),('amet',22,'node',0.759465),('amet',23,'node',1.80275),('amet',24,'node',1),('amet',25,'node',0.923838),('amet',26,'node',2.30218),('amet',27,'node',4.58042),('amet',28,'node',4.30086),('amet',29,'node',2.12992),('amet',30,'node',3.12731),('amet',31,'node',4.35313),('amet',32,'node',2.90929),('amet',33,'node',5.58858),('amet',34,'node',3.44978),('amet',35,'node',3.45242),('amet',36,'node',4.18884),('amet',37,'node',3.5304),('amet',38,'node',3.47787),('amet',39,'node',4.27943),('amet',40,'node',5.23029),('amet',41,'node',3.94605),('amet',42,'node',4.79495),('amet',43,'node',3.60696),('amet',44,'node',4.29066),('amet',45,'node',3.30574),('amet',46,'node',0.800068),('amet',47,'node',3.86967),('amet',48,'node',3.43199),('amet',49,'node',6.11195),('amet',64,'node',13.1481),('amet',66,'node',1),('amet',67,'node',2),('amet',70,'node',2.69781),('amet',72,'node',26),('amet',73,'node',1.60558),('amet',74,'node',3.64312),('amet',75,'node',1.81925),('amet',76,'node',1),('amet',77,'node',4.82547),('amet',78,'node',2.77777),('amet',79,'node',2.80518),('amet',80,'node',2.54206),('amet',81,'node',1.81937),('amet',82,'node',29.4811),('amet',83,'node',3.21292),('amet',84,'node',2.51807),('amet',85,'node',2.45518),('amet',86,'node',3.38814),('amet',87,'node',1.63605),('amet',88,'node',2),('amet',89,'node',3),('amet',90,'node',1.83938),('amet',91,'node',2.57162),('amet',92,'node',3.80914),('amet',99,'node',2.97685),('amet',101,'node',3),('among',19,'node',1),('among',21,'node',1),('among',27,'node',1),('among',33,'node',1),('among',38,'node',1),('among',84,'node',2),('amount',47,'node',21.9418),('amway',2,'node',1),('ancient',20,'node',1),('and',2,'node',7),('and',3,'node',2),('and',4,'node',3),('and',5,'node',2),('and',6,'node',2),('and',7,'node',2),('and',8,'node',3),('and',9,'node',1),('and',10,'node',4),('and',11,'node',2),('and',12,'node',1),('and',13,'node',5.99731),('and',14,'node',2),('and',16,'node',2),('and',17,'node',3),('and',18,'node',3),('and',19,'node',1),('and',20,'node',8),('and',21,'node',6),('and',22,'node',1),('and',23,'node',1),('and',24,'node',3),('and',25,'node',6),('and',26,'node',2.97685),('and',27,'node',7.98493),('and',28,'node',4),('and',29,'node',11.7002),('and',30,'node',8),('and',31,'node',6),('and',32,'node',4),('and',33,'node',3),('and',34,'node',3),('and',35,'node',27),('and',36,'node',1),('and',37,'node',1),('and',40,'node',2),('and',41,'node',5),('and',42,'node',4),('and',43,'node',2),('and',44,'node',2),('and',45,'node',3),('and',46,'node',1),('and',47,'node',2),('and',48,'node',2),('and',49,'node',1),('and',69,'node',1),('and',77,'node',2),('and',78,'node',4),('and',79,'node',27),('and',80,'node',3),('and',81,'node',33),('and',82,'node',3),('and',83,'node',5),('and',84,'node',3),('and',85,'node',1),('and',87,'node',4),('and',90,'node',2),('and',91,'node',4),('andre',39,'node',1),('ange',24,'node',1),('angele',23,'node',1),('angeles',23,'node',1),('anim',64,'node',2.80945),('animal',83,'node',1),('animal',87,'node',1),('animals',83,'node',1),('anime',20,'node',1),('announced',19,'node',1),('announcing',68,'node',2),('annual',77,'node',1),('anonymously',46,'node',1),('another',18,'node',1),('another',24,'node',1),('another',83,'node',1),('answers',82,'node',1),('ante',1,'node',1.98087),('ante',3,'node',1.9534),('ante',4,'node',1.61209),('ante',5,'node',0.972861),('ante',6,'node',2.7495),('ante',7,'node',0.997306),('ante',8,'node',3.29418),('ante',9,'node',2.96707),('ante',10,'node',2),('ante',11,'node',4.52782),('ante',12,'node',3.79776),('ante',13,'node',3.01906),('ante',14,'node',0.916736),('ante',15,'node',3.74603),('ante',16,'node',3.36586),('ante',17,'node',3.71387),('ante',18,'node',3.28202),('ante',19,'node',3.35412),('ante',20,'node',0.714225),('ante',21,'node',1.49577),('ante',22,'node',1.56084),('ante',23,'node',0.845322),('ante',24,'node',2.51908),('ante',25,'node',0.759465),('ante',27,'node',0.699655),('ante',28,'node',1.75677),('ante',29,'node',0.776703),('ante',30,'node',0.792123),('ante',31,'node',3.30149),('ante',32,'node',2.8775),('ante',33,'node',0.860547),('ante',35,'node',1.72721),('ante',36,'node',0.879565),('ante',37,'node',1.74762),('ante',38,'node',1.73389),('ante',39,'node',0.899454),('ante',40,'node',1.79475),('ante',41,'node',1.48923),('ante',42,'node',2.40438),('ante',43,'node',1.71911),('ante',44,'node',1.62609),('ante',45,'node',2.25329),('ante',46,'node',1.92384),('ante',47,'node',1.83938),('ante',48,'node',2.66533),('ante',49,'node',1.81367),('ante',64,'node',7.10961),('ante',66,'node',1),('ante',67,'node',1),('ante',77,'node',4.171),('ante',78,'node',5.55625),('ante',79,'node',6.79381),('ante',80,'node',4.79327),('ante',81,'node',5.74514),('ante',82,'node',1.98902),('ante',83,'node',2.15401),('ante',84,'node',4.05784),('ante',85,'node',1.71845),('ante',86,'node',4.32989),('ante',88,'node',1),('ante',89,'node',1),('ante',90,'node',2.92027),('ante',91,'node',1),('ante',92,'node',2.62322),('ante',101,'node',1),('antehabeo',70,'node',0.942091),('antehabeo',71,'node',1.85746),('antehabeo',72,'node',6.58287),('antehabeo',73,'node',1),('antehabeo',74,'node',1.90629),('antehabeo',76,'node',1.92384),('antioxidant',43,'node',1),('any',18,'node',1),('any',30,'node',3),('any',39,'node',1),('any',83,'node',1),('anyway',45,'node',1),('app',46,'node',1),('appearance',83,'node',1),('appears',29,'node',1),('appellatio',70,'node',2.51378),('appellatio',72,'node',2.63852),('appellatio',73,'node',1),('appellatio',75,'node',1.98087),('apples',37,'node',1),('applicants',9,'node',1),('apply',44,'node',1),('applying',36,'node',1),('appoint',45,'node',1),('appointment',45,'node',1),('appreciated',21,'node',1),('approach',19,'node',3),('approaches',14,'node',1),('approaches',33,'node',1),('aptent',8,'node',0.766757),('aptent',15,'node',0.869951),('aptent',23,'node',1),('aptent',35,'node',0.766757),('aptent',37,'node',0.78951),('aptent',38,'node',0.774192),('aptent',41,'node',0.842342),('aptent',42,'node',0.759465),('aptent',44,'node',0.931053),('aptent',46,'node',0.786915),('aptent',47,'node',0.892724),('aptent',48,'node',1),('aptent',70,'node',1.66575),('aptent',71,'node',0.882818),('aptent',72,'node',2),('aptent',73,'node',0.805455),('aptent',74,'node',2.84532),('aptent',75,'node',3.67264),('aptent',76,'node',2.80993),('aptent',85,'node',0.810915),('aptent',86,'node',0.733888),('aptent',87,'node',0.96498),('arabia',39,'node',1),('arboretum',34,'node',27),('archaeology',87,'node',1),('architecture',32,'node',1),('archives',87,'node',1),('arcu',1,'node',1.98902),('arcu',2,'node',1.86679),('arcu',4,'node',1.91674),('arcu',5,'node',0.854391),('arcu',7,'node',1.88282),('arcu',8,'node',0.827757),('arcu',10,'node',1),('arcu',11,'node',0.842342),('arcu',13,'node',1.56128),('arcu',14,'node',0.805455),('arcu',15,'node',0.949597),('arcu',17,'node',0.906287),('arcu',18,'node',1.58482),('arcu',19,'node',1.63628),('arcu',20,'node',0.697623),('arcu',21,'node',0.733888),('arcu',22,'node',2.69569),('arcu',23,'node',3.86718),('arcu',24,'node',0.902857),('arcu',26,'node',3.14095),('arcu',27,'node',2.23773),('arcu',28,'node',1.79648),('arcu',30,'node',0.96498),('arcu',31,'node',0.876337),('arcu',32,'node',1),('arcu',33,'node',1.84234),('arcu',34,'node',0.863659),('arcu',35,'node',1.72034),('arcu',36,'node',1.61276),('arcu',37,'node',1.7783),('arcu',38,'node',1.73923),('arcu',39,'node',1.6461),('arcu',40,'node',1.85476),('arcu',41,'node',0.923838),('arcu',42,'node',1.70187),('arcu',44,'node',1),('arcu',46,'node',1.55687),('arcu',47,'node',1.93838),('arcu',64,'node',4.63937),('arcu',77,'node',1.81125),('arcu',78,'node',1.96109),('arcu',79,'node',1.87313),('arcu',80,'node',1.8249),('arcu',81,'node',1),('arcu',83,'node',1.50065),('arcu',84,'node',4.95763),('arcu',85,'node',4.54964),('arcu',86,'node',4.88691),('arcu',87,'node',0.794753),('arcu',88,'node',1),('arcu',89,'node',3),('arcu',90,'node',2.68545),('arcu',91,'node',2.67448),('arcu',92,'node',4.79914),('arcu',99,'node',2),('arcu',101,'node',3),('are',2,'node',3),('are',13,'node',3),('are',14,'node',1),('are',17,'node',1),('are',19,'node',3),('are',20,'node',1),('are',21,'node',1),('are',24,'node',1),('are',25,'node',1),('are',26,'node',1),('are',27,'node',1),('are',30,'node',1),('are',31,'node',1),('are',32,'node',1),('are',37,'node',1),('are',41,'node',2),('are',42,'node',1),('are',43,'node',1),('are',44,'node',2),('are',47,'node',2),('are',77,'node',2),('are',80,'node',2),('are',90,'node',2),('area',17,'node',26),('area',83,'node',1),('areas',90,'node',1),('aren',13,'node',0.96498),('aren',28,'node',1),('armed',35,'node',2),('around',8,'node',1),('around',16,'node',1),('around',17,'node',1),('around',21,'node',1),('around',27,'node',2),('around',30,'node',1),('around',31,'node',26),('around',43,'node',1),('arrhythmia',16,'node',1),('arrival',87,'node',1),('art',20,'node',2),('art',84,'node',36.1728),('art',85,'node',8.67385),('art',86,'node',35.6739),('art',87,'node',7.87993),('artefacts',87,'node',28),('artery',12,'node',1),('arthur',85,'node',1),('article',81,'node',1),('artist',44,'node',1),('artists',84,'node',2),('arts',87,'node',1),('asked',14,'node',1),('asked',82,'node',1),('asks',45,'node',1),('asos',10,'node',1),('assent',78,'node',1),('assists',39,'node',1),('assists',78,'node',1),('associated',84,'node',1),('association',33,'node',1),('association',67,'node',26),('association',68,'node',2),('association',82,'node',1),('assouekotto',37,'node',1),('assuaging',10,'node',1),('assume',18,'node',1),('astar',38,'node',1),('astrology',25,'node',1),('attached',29,'node',1),('attack',12,'node',27),('attacks',35,'node',27),('attention',3,'node',1),('attention',29,'node',0.889397),('attract',20,'node',26),('attributed',85,'node',1),('auctions',84,'node',1),('auctor',1,'node',1),('auctor',2,'node',0.976851),('auctor',3,'node',1),('auctor',4,'node',1.84532),('auctor',5,'node',0.879565),('auctor',6,'node',2.63861),('auctor',7,'node',0.934703),('auctor',8,'node',0.830633),('auctor',9,'node',0.670377),('auctor',10,'node',1),('auctor',11,'node',1.68488),('auctor',12,'node',1.81965),('auctor',14,'node',0.857458),('auctor',15,'node',0.953396),('auctor',16,'node',0.749958),('auctor',17,'node',1.81281),('auctor',18,'node',0.886095),('auctor',19,'node',1.68954),('auctor',20,'node',2.94734),('auctor',21,'node',1.68324),('auctor',25,'node',0.805455),('auctor',29,'node',0.636679),('auctor',30,'node',0.687638),('auctor',31,'node',2.80575),('auctor',32,'node',2.6791),('auctor',34,'node',1.95723),('auctor',35,'node',0.771698),('auctor',37,'node',0.794753),('auctor',38,'node',0.779231),('auctor',41,'node',1.54294),('auctor',42,'node',0.76431),('auctor',43,'node',1.63663),('auctor',44,'node',1.69205),('auctor',45,'node',1.51193),('auctor',46,'node',0.909743),('auctor',47,'node',0.899454),('auctor',48,'node',2.62503),('auctor',49,'node',1.75777),('auctor',64,'node',4.71211),('auctor',77,'node',2.68179),('auctor',78,'node',2.73211),('auctor',79,'node',2.79422),('auctor',80,'node',2.38765),('auctor',81,'node',1.71313),('auctor',82,'node',1.83372),('auctor',83,'node',1.71),('auctor',84,'node',1.59885),('auctor',85,'node',0.906287),('auctor',86,'node',1.70054),('auctor',89,'node',1),('auctor',90,'node',1.98493),('auctor',91,'node',1.85135),('auctor',92,'node',1),('auctor',99,'node',2),('auctor',101,'node',1),('audience',10,'node',1),('audrey',22,'node',1),('augue',1,'node',1),('augue',3,'node',1),('augue',4,'node',22.0103),('augue',5,'node',1),('augue',6,'node',2),('augue',7,'node',1.79225),('augue',8,'node',2.63377),('augue',9,'node',2.53808),('augue',10,'node',1.69306),('augue',11,'node',1.73561),('augue',12,'node',5.64727),('augue',13,'node',1.47793),('augue',14,'node',1.63298),('augue',15,'node',2.89579),('augue',16,'node',2.77419),('augue',17,'node',1.85135),('augue',18,'node',4.44025),('augue',19,'node',1.80006),('augue',20,'node',0.76431),('augue',21,'node',3.48587),('augue',22,'node',2.6307),('augue',23,'node',3.61664),('augue',24,'node',1.85439),('augue',29,'node',1.27173),('augue',30,'node',1.37532),('augue',31,'node',1.80548),('augue',32,'node',1.82776),('augue',33,'node',2.66014),('augue',34,'node',1.76707),('augue',35,'node',2.69087),('augue',36,'node',2.74028),('augue',37,'node',2.72942),('augue',38,'node',2.7095),('augue',39,'node',2.77919),('augue',40,'node',2.80545),('augue',41,'node',1.46231),('augue',42,'node',3.35638),('augue',43,'node',0.989021),('augue',44,'node',1.59376),('augue',45,'node',0.899454),('augue',46,'node',2.46377),('augue',47,'node',2.81645),('augue',48,'node',1.89608),('augue',49,'node',1),('augue',64,'node',4.60623),('augue',70,'node',1.75946),('augue',71,'node',3.51149),('augue',72,'node',3.57642),('augue',73,'node',1),('augue',74,'node',3.81119),('augue',75,'node',2.79172),('augue',76,'node',2.91674),('augue',77,'node',2.39496),('augue',78,'node',2.63236),('augue',79,'node',3),('augue',80,'node',2.28815),('augue',81,'node',2.64207),('augue',88,'node',4),('augue',89,'node',1),('augue',91,'node',0.816452),('augue',99,'node',0.972861),('augue',101,'node',1),('august',86,'node',1),('aussies',91,'node',1),('australia',90,'node',1),('australian',91,'node',1),('australians',90,'node',1),('autem',70,'node',2.32319),('autem',71,'node',1.86055),('autem',72,'node',1),('autem',73,'node',0.794753),('autem',74,'node',1),('autem',75,'node',0.813674),('autem',76,'node',4.96498),('authorities',84,'node',2),('authority',83,'node',2),('autox',63,'node',26),('awake',44,'node',1),('award',23,'node',1),('award',33,'node',28),('away',36,'node',1),('away',91,'node',1),('babies',2,'node',3),('babies',34,'node',1),('baby',2,'node',1),('back',9,'node',26),('back',38,'node',1),('back',49,'node',1),('back',68,'node',26),('backgrounds',9,'node',0.997306),('bad',37,'node',1),('bad',81,'node',1),('bag',40,'node',1),('bagged',9,'node',1),('balanced',18,'node',26),('balanced',19,'node',1),('bali',90,'node',28),('bananacrazy',90,'node',1),('band',3,'node',1),('bang',81,'node',1),('banish',40,'node',26),('barrington',16,'node',28),('bars',90,'node',1),('base',7,'node',2),('basement',36,'node',1),('baton',14,'node',1),('bauer',18,'node',2),('bay',27,'node',1),('bay',29,'node',52),('bays',27,'node',0.997306),('beach',27,'node',1.95723),('beach',30,'node',3),('beach',90,'node',1),('beaches',27,'node',31),('beaches',30,'node',38.4996),('beanie',91,'node',1),('beatriz',84,'node',1),('beautiful',9,'node',1),('beautiful',36,'node',1),('beautiful',88,'node',26),('beautifully',46,'node',1),('beauty',1,'node',10.7454),('beauty',10,'node',1),('beauty',26,'node',1),('beauty',40,'node',8.65606),('beauty',43,'node',8.2238),('beauty',44,'node',1),('became',18,'node',1),('became',39,'node',1),('because',2,'node',1),('because',14,'node',1),('because',25,'node',1),('because',27,'node',1),('because',41,'node',1),('because',42,'node',2),('beckoning',24,'node',1),('become',27,'node',1),('become',48,'node',1),('become',49,'node',1),('become',81,'node',26),('been',13,'node',2),('been',37,'node',1),('been',38,'node',1),('been',39,'node',1),('been',77,'node',1),('been',79,'node',1),('been',82,'node',1),('been',83,'node',2),('been',84,'node',1),('been',86,'node',1),('been',87,'node',1),('been',90,'node',1),('before',14,'node',1),('before',41,'node',1),('before',45,'node',1),('before',48,'node',1),('before',74,'node',8.83027),('before',86,'node',1),('began',18,'node',2),('began',29,'node',1),('beginning',18,'node',1),('beginning',34,'node',1),('behind',19,'node',1),('behind',25,'node',1),('behind',28,'node',1),('behind',45,'node',1),('being',2,'node',1),('being',8,'node',1),('being',13,'node',2),('being',14,'node',2),('being',19,'node',1),('being',26,'node',1),('being',27,'node',1),('being',38,'node',1),('being',40,'node',1),('belgium',15,'node',26),('believe',10,'node',1),('believe',38,'node',1),('believed',84,'node',1),('belit',82,'node',0.774192),('bell',32,'node',1),('belong',25,'node',2),('belongings',84,'node',1),('below',46,'node',1),('below',49,'node',1),('bendir',85,'node',1),('bene',70,'node',2.53366),('bene',71,'node',0.916736),('bene',72,'node',0.851346),('bene',73,'node',2.78973),('bene',75,'node',1),('benefits',43,'node',1),('benjamin',37,'node',1),('benoit',37,'node',1),('best',3,'node',1),('best',17,'node',26),('best',24,'node',1),('best',26,'node',2),('best',41,'node',26),('best',91,'node',1),('bestdressed',23,'node',1),('bet',23,'node',1),('between',10,'node',1),('between',13,'node',1),('between',30,'node',1),('between',38,'node',1),('between',41,'node',1),('between',47,'node',21.9418),('between',81,'node',1),('beyond',45,'node',1),('bibendum',1,'node',1.98902),('bibendum',2,'node',1.76906),('bibendum',3,'node',0.889397),('bibendum',4,'node',1.87326),('bibendum',5,'node',1.73546),('bibendum',6,'node',1.85746),('bibendum',7,'node',1),('bibendum',8,'node',1.5276),('bibendum',9,'node',1.63907),('bibendum',11,'node',0.906287),('bibendum',12,'node',1.86366),('bibendum',13,'node',2.90351),('bibendum',15,'node',1.73252),('bibendum',16,'node',1.76922),('bibendum',17,'node',1),('bibendum',18,'node',3.27393),('bibendum',20,'node',1.60817),('bibendum',22,'node',2.36033),('bibendum',23,'node',3.65624),('bibendum',24,'node',1.93838),('bibendum',26,'node',1.67879),('bibendum',27,'node',2.31179),('bibendum',28,'node',2.41783),('bibendum',29,'node',1.47412),('bibendum',30,'node',3.32947),('bibendum',31,'node',1.85243),('bibendum',32,'node',1),('bibendum',33,'node',0.851346),('bibendum',35,'node',0.953396),('bibendum',36,'node',0.848323),('bibendum',37,'node',0.989021),('bibendum',38,'node',0.96498),('bibendum',39,'node',0.866793),('bibendum',40,'node',1),('bibendum',41,'node',0.695602),('bibendum',42,'node',0.942091),('bibendum',43,'node',2.40023),('bibendum',44,'node',0.754681),('bibendum',45,'node',2.22119),('bibendum',47,'node',1),('bibendum',48,'node',2.4078),('bibendum',49,'node',2.57358),('bibendum',64,'node',2.44405),('bibendum',82,'node',0.957226),('bibendum',83,'node',0.705825),('bibendum',84,'node',0.827757),('bibendum',85,'node',0.740689),('bibendum',86,'node',0.896076),('bibendum',87,'node',0.781775),('bibendum',88,'node',1.99731),('bibendum',89,'node',1),('bibendum',90,'node',0.882818),('bibendum',91,'node',1.84532),('bibendum',92,'node',4.55172),('bibendum',99,'node',1.92027),('bibendum',101,'node',1),('biccherna',85,'node',1),('bicycle',28,'node',1),('bid',19,'node',1),('biennale',86,'node',1),('biennial',86,'node',27),('big',42,'node',1),('big',45,'node',1),('big',81,'node',2),('biggest',22,'node',1),('biggest',42,'node',1),('biggest',68,'node',1),('bike',7,'node',32),('bikes',7,'node',1),('bill',78,'node',28),('bill',83,'node',3),('billboard',2,'node',1),('binding',85,'node',1),('biosecurity',83,'node',27),('bizarre',42,'node',1),('bizarre',90,'node',1),('black',27,'node',1),('blahnik',22,'node',1),('blame',48,'node',1),('blandit',1,'node',2),('blandit',3,'node',0.989021),('blandit',4,'node',0.800068),('blandit',6,'node',2),('blandit',7,'node',1),('blandit',9,'node',0.961087),('blandit',10,'node',0.909743),('blandit',13,'node',0.736141),('blandit',16,'node',1),('blandit',17,'node',0.839384),('blandit',18,'node',0.786915),('blandit',20,'node',0.733888),('blandit',21,'node',2.24312),('blandit',25,'node',1),('blandit',27,'node',0.879565),('blandit',29,'node',0.652202),('blandit',30,'node',0.699655),('blandit',32,'node',0.848323),('blandit',33,'node',3.88466),('blandit',34,'node',4.38676),('blandit',35,'node',0.718502),('blandit',36,'node',2),('blandit',37,'node',0.738408),('blandit',38,'node',0.725015),('blandit',39,'node',2),('blandit',41,'node',0.76431),('blandit',42,'node',0.712106),('blandit',43,'node',0.779231),('blandit',44,'node',0.836446),('blandit',45,'node',0.722831),('blandit',46,'node',1.70904),('blandit',47,'node',0.827757),('blandit',48,'node',1.79212),('blandit',49,'node',0.833529),('blandit',64,'node',2.45578),('blandit',67,'node',1),('blandit',70,'node',3.35487),('blandit',71,'node',0.876337),('blandit',72,'node',3.41703),('blandit',73,'node',3.81645),('blandit',74,'node',0.876337),('blandit',75,'node',4.57804),('blandit',76,'node',1),('blandit',83,'node',0.76188),('blandit',84,'node',1.73083),('blandit',85,'node',1.56862),('blandit',86,'node',0.752312),('blandit',87,'node',0.733888),('blandit',88,'node',1),('blandit',91,'node',0.802752),('blandit',99,'node',0.953396),('blast',41,'node',1),('blissfilled',27,'node',1),('block',10,'node',26),('blockbusters',81,'node',1),('blocked',12,'node',1),('blog',7,'node',11),('blog',9,'node',11),('blog',10,'node',11),('blog',14,'node',11),('blog',15,'node',11),('blog',18,'node',11),('blog',21,'node',11),('blog',22,'node',11),('blog',27,'node',11),('blog',28,'node',11),('blog',29,'node',11),('blog',30,'node',11),('blog',32,'node',11),('blog',60,'node',26),('blog',82,'node',1),('blood',13,'node',2.96498),('bloomberg',19,'node',1),('blue',22,'node',1),('blue',28,'node',1),('blue',29,'node',1.97416),('blue',95,'node',27),('blue',96,'node',27),('bluecheese',66,'node',26),('board',27,'node',0.980874),('board',67,'node',26),('board',69,'node',1),('boat',29,'node',1),('boats',27,'node',26),('body',13,'node',1.97685),('body',20,'node',1),('body',27,'node',0.98493),('body',42,'node',2),('bodyweight',41,'node',1),('bomber',26,'node',1),('bombs',45,'node',1),('bonfire',27,'node',1),('book',18,'node',2),('book',85,'node',26),('bookbindings',85,'node',1),('bookers',10,'node',1),('books',19,'node',2),('boosting',44,'node',1),('bootstrap',93,'node',27),('border',28,'node',1),('born',2,'node',2),('born',86,'node',1),('both',29,'node',1),('bought',85,'node',1),('bracket',80,'node',1),('brain',40,'node',1),('branding',79,'node',26),('brave',91,'node',1),('brazil',37,'node',1),('brazilian',84,'node',31),('breaking',81,'node',1),('breathing',29,'node',1),('breathtaking',47,'node',1),('breed',83,'node',1),('breeze',31,'node',1),('breeze',88,'node',26),('brevitas',70,'node',1.77419),('brevitas',72,'node',1),('brevitas',73,'node',0.802752),('brevitas',74,'node',1.80275),('brevitas',75,'node',1.73368),('brevitas',76,'node',2),('brick',14,'node',1),('bridal',22,'node',1),('bride',45,'node',1),('brides',22,'node',27),('brides',46,'node',1),('bridesmaid',45,'node',1),('bridesmaids',45,'node',1),('brightened',82,'node',1),('bring',9,'node',26),('bring',34,'node',1),('bring',36,'node',1),('bringing',49,'node',1),('british',85,'node',28),('british',86,'node',1),('brotherly',5,'node',1),('brought',13,'node',1),('brought',15,'node',1),('bucketlist',38,'node',1),('buddy',16,'node',1),('build',41,'node',1),('built',30,'node',1),('built',69,'node',1),('bullstomping',5,'node',1),('buoyant',18,'node',1),('buses',31,'node',1),('business',56,'node',26),('business',77,'node',8.74229),('businesses',77,'node',1),('busts',45,'node',1),('but',9,'node',1),('but',13,'node',1),('but',14,'node',1),('but',16,'node',1),('but',17,'node',2),('but',18,'node',1),('but',20,'node',1),('but',21,'node',2),('but',26,'node',1),('but',38,'node',1),('but',41,'node',1),('but',42,'node',1),('but',44,'node',1),('but',46,'node',1),('but',47,'node',2),('but',48,'node',1),('but',82,'node',1),('but',90,'node',1),('butt',41,'node',27),('buy',11,'node',1),('buy',20,'node',1),('buying',43,'node',1),('buying',80,'node',27),('buzz',38,'node',1),('cabs',31,'node',1),('caecus',70,'node',0.800068),('caecus',71,'node',3.9242),('caecus',72,'node',1.82206),('caecus',73,'node',5.16223),('caecus',75,'node',1.74994),('caecus',76,'node',0.886095),('california',30,'node',1),('called',19,'node',2),('calm',38,'node',1),('camargo',84,'node',1),('cambridge',9,'node',2.99315),('came',22,'node',1),('came',46,'node',1),('cameras',29,'node',1),('cameroon',37,'node',28),('camp',69,'node',26),('camur',70,'node',1.56151),('camur',71,'node',1),('camur',72,'node',2),('camur',73,'node',1.65559),('camur',74,'node',2),('camur',75,'node',1),('camur',76,'node',1),('can',2,'node',1),('can',4,'node',1),('can',8,'node',1),('can',10,'node',1),('can',11,'node',1),('can',13,'node',1),('can',25,'node',1),('can',26,'node',1),('can',28,'node',1),('can',30,'node',1),('can',36,'node',1),('can',38,'node',1),('can',40,'node',1),('can',42,'node',1),('can',44,'node',1),('can',45,'node',2),('can',48,'node',1),('can',77,'node',1),('can',80,'node',1),('canada',28,'node',1),('canadian',24,'node',1),('canadians',13,'node',1),('cancer',25,'node',1),('cannot',13,'node',2),('cantab',9,'node',1),('capital',20,'node',2),('capital',83,'node',1),('capitals',90,'node',1),('capricorns',25,'node',1),('capto',70,'node',1.76431),('capto',71,'node',2),('capto',72,'node',1.78178),('capto',73,'node',1.66531),('capto',74,'node',1),('capto',75,'node',2.67457),('capto',76,'node',0.993146),('car',31,'node',1),('car',80,'node',30),('card',7,'node',1),('cardiac',16,'node',1),('care',13,'node',1),('care',34,'node',27),('care',35,'node',2),('careers',81,'node',1),('carolina',25,'node',1),('carriers',31,'node',1),('carrillo',87,'node',1),('carsten',39,'node',1),('casa',26,'node',1),('case',26,'node',1),('cases',13,'node',1),('cashmere',22,'node',1),('catagory',7,'node',1),('cathedral',27,'node',0.938382),('caught',44,'node',1),('causa',70,'node',3.49055),('causa',71,'node',1.80638),('causa',72,'node',1.78817),('causa',74,'node',4.82819),('causa',75,'node',2.56654),('causa',76,'node',1.86679),('cbs',28,'node',1),('celebrate',5,'node',1),('celebrate',26,'node',26),('celebrates',2,'node',26),('celebration',2,'node',1),('celebration',26,'node',1),('celebration',43,'node',1),('cent',9,'node',2),('cent',11,'node',1),('cent',13,'node',1.94583),('center',2,'node',1),('center',31,'node',1),('center',86,'node',1),('centering',34,'node',1),('centeringpregnancy',34,'node',1),('centers',34,'node',26),('central',41,'node',1),('centres',83,'node',1),('century',87,'node',1),('ceramics',87,'node',1),('ceremony',87,'node',1),('certain',47,'node',21.9418),('certificates',77,'node',1),('challenge',41,'node',1),('champlain',28,'node',1),('chance',15,'node',26),('chance',46,'node',1),('chancellor',19,'node',1),('chances',13,'node',1),('changes',79,'node',26),('channel',15,'node',1),('channel',16,'node',1),('charms',20,'node',26),('chart',45,'node',1),('cheap',90,'node',1),('check',49,'node',1),('check',77,'node',26),('check',91,'node',1),('cheers',29,'node',0.931053),('chief',18,'node',26),('children',14,'node',2),('children',18,'node',1),('children',19,'node',5),('chilled',27,'node',1),('chips',40,'node',1),('chloë',24,'node',27),('choice',6,'node',1),('choice',20,'node',1),('choice',27,'node',1),('choose',3,'node',26),('choosing',4,'node',26),('chose',10,'node',1),('chose',20,'node',1),('chose',22,'node',1),('chronic',13,'node',1),('chugach',38,'node',1),('cities',27,'node',1),('cities',31,'node',1),('city',2,'node',1),('city',5,'node',1),('city',8,'node',2),('city',19,'node',29),('city',20,'node',1),('city',28,'node',1),('city',31,'node',2),('city',85,'node',1),('city',91,'node',8.74229),('claims',37,'node',27),('clarify',83,'node',1),('clarity',82,'node',1),('clashed',37,'node',1),('class',8,'node',0.769219),('class',15,'node',0.873132),('class',18,'node',1),('class',23,'node',1),('class',35,'node',0.769219),('class',37,'node',0.792123),('class',38,'node',0.776703),('class',41,'node',0.845322),('class',42,'node',0.76188),('class',44,'node',0.934703),('class',46,'node',0.78951),('class',47,'node',0.896076),('class',48,'node',1),('class',85,'node',0.813674),('class',86,'node',0.736141),('class',87,'node',0.968904),('classes',9,'node',1),('classic',29,'node',1),('classroom',19,'node',1),('clean',36,'node',26),('cleaning',36,'node',2),('clever',9,'node',1),('click',38,'node',1),('click',50,'node',11),('click',51,'node',11),('click',52,'node',11),('click',53,'node',11),('click',54,'node',11),('click',55,'node',11),('click',56,'node',11),('click',57,'node',11),('click',58,'node',11),('click',59,'node',11),('click',60,'node',11),('click',62,'node',11),('click',63,'node',11),('client',77,'node',1),('cliffs',30,'node',1),('climbed',29,'node',1),('climes',23,'node',1),('clinic',34,'node',27),('clinics',33,'node',1),('clita',64,'node',2.96109),('cloned',90,'node',1),('close',20,'node',1),('closer',27,'node',1),('closer',45,'node',1),('clutching',9,'node',1),('coast',27,'node',3),('coastline',29,'node',1),('coastline',30,'node',1),('cocktails',90,'node',1),('code',77,'node',2),('coffee',80,'node',1),('cog',7,'node',2),('cogo',70,'node',1),('cogo',72,'node',1.74156),('cogo',74,'node',6.34006),('cogo',75,'node',1),('cogo',76,'node',1.86995),('cold',91,'node',2),('collab',24,'node',1),('collaboration',10,'node',1),('collections',11,'node',1),('collections',24,'node',1),('colombia',87,'node',28),('colombian',87,'node',2),('come',9,'node',1),('come',38,'node',1),('come',45,'node',1),('come',46,'node',1),('comes',10,'node',1),('comes',26,'node',1),('comes',27,'node',1),('comfort',7,'node',1),('coming',42,'node',1),('coming',84,'node',1),('comis',70,'node',2.52138),('comis',71,'node',1),('comis',72,'node',0.845322),('comis',73,'node',1),('comis',74,'node',1),('comis',75,'node',1),('comis',76,'node',1.87313),('commemorative',2,'node',1),('comments',4,'node',0.76188),('comments',47,'node',0.781775),('comments',49,'node',2.30038),('comments',82,'node',1.55122),('committee',37,'node',1),('commodo',1,'node',4),('commodo',2,'node',1.83104),('commodo',3,'node',0.892724),('commodo',4,'node',1.92027),('commodo',5,'node',1.76068),('commodo',6,'node',1.84832),('commodo',7,'node',0.949597),('commodo',8,'node',2.59486),('commodo',9,'node',0.714225),('commodo',10,'node',0.771698),('commodo',11,'node',0.976851),('commodo',13,'node',0.899454),('commodo',14,'node',0.869951),('commodo',15,'node',2.92384),('commodo',16,'node',0.805455),('commodo',17,'node',1),('commodo',18,'node',0.848323),('commodo',19,'node',0.824901),('commodo',22,'node',0.800068),('commodo',23,'node',0.822065),('commodo',24,'node',1),('commodo',25,'node',0.879565),('commodo',26,'node',0.771698),('commodo',27,'node',0.742984),('commodo',28,'node',0.766757),('commodo',29,'node',1.46102),('commodo',30,'node',1.50177),('commodo',31,'node',0.810915),('commodo',32,'node',3.57864),('commodo',33,'node',1),('commodo',34,'node',3.88282),('commodo',35,'node',1.6013),('commodo',36,'node',1.56621),('commodo',37,'node',1.65108),('commodo',38,'node',1.61755),('commodo',39,'node',1.59758),('commodo',40,'node',2.5218),('commodo',41,'node',2.57576),('commodo',42,'node',2.2691),('commodo',43,'node',1),('commodo',44,'node',2.73142),('commodo',45,'node',1.5764),('commodo',46,'node',3.52175),('commodo',47,'node',2.66816),('commodo',48,'node',0.902857),('commodo',49,'node',1),('commodo',64,'node',5.31986),('commodo',70,'node',2.76431),('commodo',71,'node',2.91323),('commodo',72,'node',1.86366),('commodo',73,'node',1.8861),('commodo',74,'node',1.87512),('commodo',75,'node',1.87957),('commodo',76,'node',1.96498),('commodo',77,'node',1),('commodo',78,'node',0.848323),('commodo',79,'node',0.957226),('commodo',80,'node',0.740689),('commodo',81,'node',0.836446),('commodo',82,'node',3.23702),('commodo',83,'node',3.2484),('commodo',84,'node',1.87634),('commodo',85,'node',1.4611),('commodo',86,'node',0.98493),('commodo',87,'node',1.54095),('commodo',89,'node',2),('commodo',92,'node',2.86282),('commodo',99,'node',1.97685),('commodo',101,'node',2),('common',4,'node',2),('common',14,'node',27),('common',42,'node',1),('commoveo',70,'node',2.85642),('commoveo',71,'node',2.99315),('commoveo',72,'node',1.7767),('commoveo',73,'node',2.56609),('commoveo',74,'node',0.857458),('commoveo',75,'node',0.886095),('communication',81,'node',1),('community',13,'node',1),('community',35,'node',1),('community',68,'node',1),('community',69,'node',26),('companies',77,'node',28),('companies',78,'node',30),('companies',79,'node',1),('companions',29,'node',1),('company',77,'node',12.7134),('company',78,'node',9.01173),('company',79,'node',29),('company',80,'node',7.90352),('company',84,'node',1),('compared',21,'node',1),('competition',10,'node',2),('compiled',4,'node',1),('compiles',20,'node',1),('completed',16,'node',1),('complex',82,'node',1),('complications',13,'node',0.989021),('comprehensive',20,'node',1),('condimentum',1,'node',2.96989),('condimentum',5,'node',1.94209),('condimentum',6,'node',2.75741),('condimentum',7,'node',0.816452),('condimentum',8,'node',0.902857),('condimentum',10,'node',0.923838),('condimentum',11,'node',0.805455),('condimentum',12,'node',1.7745),('condimentum',13,'node',0.648686),('condimentum',14,'node',0.729424),('condimentum',15,'node',1),('condimentum',17,'node',0.845322),('condimentum',18,'node',1.87634),('condimentum',19,'node',1.43),('condimentum',20,'node',0.742984),('condimentum',21,'node',3.83755),('condimentum',22,'node',0.854391),('condimentum',23,'node',0.848323),('condimentum',25,'node',0.854391),('condimentum',26,'node',3.02989),('condimentum',28,'node',1.65753),('condimentum',30,'node',1.83256),('condimentum',31,'node',1.85746),('condimentum',32,'node',1),('condimentum',33,'node',0.882818),('condimentum',34,'node',0.792123),('condimentum',35,'node',1.51674),('condimentum',36,'node',1.69408),('condimentum',37,'node',1.56146),('condimentum',38,'node',1.53135),('condimentum',39,'node',1.73112),('condimentum',40,'node',0.869951),('condimentum',41,'node',1.69489),('condimentum',42,'node',1.50241),('condimentum',43,'node',0.822065),('condimentum',44,'node',1.81367),('condimentum',45,'node',1.42428),('condimentum',46,'node',1.84154),('condimentum',47,'node',2.55382),('condimentum',48,'node',1.80418),('condimentum',49,'node',3.19078),('condimentum',64,'node',2.45371),('condimentum',77,'node',0.879565),('condimentum',78,'node',1),('condimentum',80,'node',0.882818),('condimentum',82,'node',1.61988),('condimentum',83,'node',0.842342),('condimentum',84,'node',0.749958),('condimentum',85,'node',1.56168),('condimentum',86,'node',0.749958),('condimentum',87,'node',0.742984),('condimentum',88,'node',1),('condimentum',92,'node',1.7672),('condimentum',99,'node',0.968904),('confessions',46,'node',26),('confirms',79,'node',1),('conflictstricken',35,'node',1),('congue',1,'node',2),('congue',2,'node',0.854391),('congue',3,'node',2.89313),('congue',4,'node',1.69761),('congue',5,'node',1),('congue',6,'node',0.851346),('congue',7,'node',0.961087),('congue',9,'node',0.691597),('congue',10,'node',1.92027),('congue',11,'node',2.56733),('congue',12,'node',1),('congue',14,'node',0.879565),('congue',16,'node',0.776703),('congue',17,'node',2.73174),('congue',19,'node',0.703756),('congue',21,'node',0.707906),('congue',24,'node',0.779231),('congue',25,'node',0.786915),('congue',29,'node',1.31402),('congue',30,'node',1.40995),('congue',32,'node',1.69455),('congue',33,'node',2),('congue',34,'node',3.6855),('congue',45,'node',0.66666),('congue',46,'node',4.24919),('congue',64,'node',3.42),('congue',79,'node',0.857458),('congue',82,'node',1.8212),('congue',83,'node',1),('congue',84,'node',0.784336),('congue',85,'node',1),('congue',86,'node',0.819249),('congue',88,'node',2.98224),('congue',89,'node',1),('congue',90,'node',1.97685),('congue',91,'node',1),('congue',92,'node',1.84957),('congue',99,'node',3.92027),('congue',101,'node',1),('conical',29,'node',1),('connected',42,'node',1),('consectetuer',64,'node',3.93091),('consectetuer',70,'node',2.39504),('consectetuer',71,'node',2.98087),('consectetuer',73,'node',0.839384),('consectetuer',75,'node',0.860547),('consectetur',1,'node',1),('consectetur',5,'node',1.91323),('consectetur',6,'node',1.90286),('consectetur',7,'node',0.779231),('consectetur',8,'node',1.58432),('consectetur',10,'node',0.769219),('consectetur',12,'node',0.822065),('consectetur',14,'node',0.691597),('consectetur',15,'node',1.80582),('consectetur',18,'node',0.869951),('consectetur',20,'node',2.54646),('consectetur',21,'node',0.725015),('consectetur',22,'node',1.68812),('consectetur',23,'node',2.69883),('consectetur',24,'node',1),('consectetur',26,'node',2.37084),('consectetur',27,'node',1.61338),('consectetur',31,'node',1.86662),('consectetur',35,'node',0.833529),('consectetur',36,'node',0.797402),('consectetur',37,'node',0.860547),('consectetur',38,'node',0.842342),('consectetur',39,'node',0.813674),('consectetur',40,'node',0.896076),('consectetur',41,'node',1),('consectetur',42,'node',0.824901),('consectetur',44,'node',1),('consectetur',45,'node',0.681785),('consectetur',46,'node',2.67588),('consectetur',47,'node',1.77444),('consectetur',64,'node',1.83645),('consectetur',77,'node',1),('consectetur',82,'node',1),('consectetur',83,'node',0.776703),('consectetur',84,'node',1),('consectetur',85,'node',0.771698),('consectetur',86,'node',0.705825),('consectetur',87,'node',0.882818),('consectetur',88,'node',1),('consectetur',89,'node',2),('consectetur',90,'node',1.90361),('consectetur',91,'node',2.84532),('consectetur',92,'node',1.90286),('consectetur',99,'node',2.97286),('consectetur',101,'node',2),('consequat',6,'node',0.866793),('consequat',7,'node',2.71345),('consequat',9,'node',1.63571),('consequat',11,'node',1),('consequat',13,'node',3.13729),('consequat',14,'node',2.48553),('consequat',16,'node',1.84234),('consequat',18,'node',3.19604),('consequat',19,'node',0.714225),('consequat',20,'node',0.802752),('consequat',21,'node',0.882818),('consequat',22,'node',1.69569),('consequat',23,'node',0.920273),('consequat',24,'node',0.909743),('consequat',25,'node',1.7891),('consequat',31,'node',1.72619),('consequat',32,'node',1.86055),('consequat',33,'node',2.53226),('consequat',34,'node',1.78951),('consequat',35,'node',1.73073),('consequat',36,'node',2.52542),('consequat',37,'node',1.7891),('consequat',38,'node',1.74975),('consequat',39,'node',2.58013),('consequat',40,'node',1.8661),('consequat',41,'node',0.697623),('consequat',42,'node',1.71212),('consequat',43,'node',1.72625),('consequat',44,'node',0.757065),('consequat',45,'node',1.58847),('consequat',47,'node',2),('consequat',48,'node',1.68236),('consequat',49,'node',2.64283),('consequat',64,'node',5.77252),('consequat',70,'node',0.916736),('consequat',71,'node',2.73379),('consequat',72,'node',4.598),('consequat',73,'node',0.800068),('consequat',74,'node',1),('consequat',75,'node',1.83063),('consequat',76,'node',1),('consequat',77,'node',1.98493),('consequat',78,'node',2.64697),('consequat',79,'node',2.65516),('consequat',80,'node',2.44349),('consequat',81,'node',1.56869),('consequat',83,'node',1.5122),('consequat',84,'node',2.67146),('consequat',85,'node',0.833529),('consequat',86,'node',1.74529),('consequat',88,'node',2),('consequat',92,'node',1),('consequat',99,'node',3.97286),('conservation',87,'node',1),('consetetur',64,'node',0.892724),('consider',36,'node',1),('considering',80,'node',1),('consistently',42,'node',1),('consulting',81,'node',1),('contain',83,'node',1),('container',84,'node',28),('contemporary',84,'node',2),('contemporary',86,'node',1),('content',11,'node',1),('content',19,'node',26),('content',65,'node',26),('contestant',28,'node',1),('continue',35,'node',26),('controversy',86,'node',1),('conubia',8,'node',0.752312),('conubia',15,'node',0.851346),('conubia',23,'node',1),('conubia',35,'node',0.752312),('conubia',37,'node',0.774192),('conubia',38,'node',0.759465),('conubia',41,'node',0.824901),('conubia',42,'node',0.745294),('conubia',44,'node',0.909743),('conubia',46,'node',0.771698),('conubia',47,'node',0.873132),('conubia',48,'node',1),('conubia',85,'node',0.794753),('conubia',86,'node',0.72066),('conubia',87,'node',0.942091),('convallis',5,'node',1.84234),('convallis',6,'node',0.860547),('convallis',7,'node',2.62307),('convallis',8,'node',0.742984),('convallis',9,'node',0.805455),('convallis',10,'node',1.72683),('convallis',11,'node',0.808176),('convallis',12,'node',1.72425),('convallis',13,'node',0.779231),('convallis',14,'node',2.37262),('convallis',15,'node',0.839384),('convallis',16,'node',0.923838),('convallis',17,'node',0.851346),('convallis',18,'node',2.69836),('convallis',19,'node',0.722831),('convallis',20,'node',2.27788),('convallis',21,'node',1.6681),('convallis',22,'node',2.79893),('convallis',23,'node',2.70609),('convallis',26,'node',0.76188),('convallis',31,'node',2.78682),('convallis',32,'node',2.70428),('convallis',33,'node',1.80666),('convallis',34,'node',3.59488),('convallis',35,'node',1.50003),('convallis',36,'node',2.67959),('convallis',37,'node',1.54366),('convallis',38,'node',1.51429),('convallis',39,'node',2.72318),('convallis',40,'node',0.848323),('convallis',41,'node',2.35218),('convallis',42,'node',1.48604),('convallis',43,'node',0.920273),('convallis',44,'node',2.57833),('convallis',45,'node',0.842342),('convallis',47,'node',1.74111),('convallis',48,'node',1.8641),('convallis',49,'node',0.997306),('convallis',79,'node',0.836446),('convallis',82,'node',1.60857),('convallis',83,'node',0.827757),('convallis',85,'node',2.28491),('convallis',86,'node',1.43603),('convallis',87,'node',2.53229),('convallis',88,'node',1.99731),('convallis',91,'node',0.810915),('convallis',92,'node',0.857458),('convallis',99,'node',1.98493),('conventio',70,'node',2.53358),('conventio',73,'node',1),('conventio',75,'node',1.80545),('conventio',76,'node',2),('conversations',18,'node',1),('converse',29,'node',1),('convicted',37,'node',1),('cooperation',17,'node',1),('cooperation',21,'node',1),('cop',46,'node',1),('core',14,'node',27),('core',19,'node',2),('coromandel',27,'node',0.931053),('correct',19,'node',1),('corridor',31,'node',1),('could',9,'node',1),('could',12,'node',26),('could',13,'node',1),('could',14,'node',1),('could',28,'node',1),('couldn',2,'node',1),('countries',17,'node',1),('countries',21,'node',1),('countries',35,'node',2),('countries',42,'node',1),('country',31,'node',1),('country',37,'node',1),('country',83,'node',2),('couple',14,'node',1),('couple',29,'node',1.94209),('couples',49,'node',1),('course',8,'node',1),('course',16,'node',1),('course',18,'node',1),('cove',27,'node',0.934703),('cover',11,'node',1),('coveted',30,'node',1),('coworker',13,'node',1),('coworkers',40,'node',1),('cozzarelli',85,'node',1),('crafted',46,'node',1),('crafts',20,'node',1),('crank',7,'node',2),('cras',1,'node',1),('cras',5,'node',1),('cras',6,'node',0.833529),('cras',13,'node',1.52711),('cras',18,'node',1.56505),('cras',20,'node',0.845322),('cras',21,'node',0.822065),('cras',22,'node',2.4327),('cras',23,'node',0.916736),('cras',24,'node',2.74711),('cras',25,'node',1.76676),('cras',26,'node',0.672252),('cras',28,'node',2.33936),('cras',29,'node',1.48635),('cras',30,'node',2.48837),('cras',31,'node',3.24155),('cras',32,'node',3.90629),('cras',33,'node',2.98493),('cras',34,'node',2.52747),('cras',36,'node',1),('cras',39,'node',1),('cras',41,'node',0.705825),('cras',43,'node',1.77854),('cras',44,'node',0.766757),('cras',45,'node',1.63224),('cras',46,'node',0.876337),('cras',48,'node',1.70447),('cras',49,'node',2.68123),('cras',64,'node',2.21019),('cras',77,'node',2),('cras',78,'node',2.52475),('cras',79,'node',3.65707),('cras',80,'node',2.20662),('cras',81,'node',2.46085),('cras',88,'node',1),('cras',89,'node',2),('cras',92,'node',3.77229),('cras',99,'node',2),('cras',101,'node',2),('crater',29,'node',1),('cream',22,'node',2),('cream',43,'node',2),('create',41,'node',1),('create',78,'node',1),('creatures',30,'node',1),('credit',7,'node',1),('creeping',42,'node',1),('criminal',78,'node',1),('cringeworthy',46,'node',1),('criteria',82,'node',1),('criticism',83,'node',1),('criticism',86,'node',1),('croatia',37,'node',1),('crossing',28,'node',1),('cry',46,'node',26),('cto',68,'node',1),('cubilia',7,'node',0.968904),('cubilia',14,'node',0.889397),('cubilia',19,'node',0.892724),('cubilia',64,'node',2.13877),('cubilia',77,'node',0.813674),('cubilia',78,'node',0.902857),('cubilia',79,'node',1.8249),('cubilia',80,'node',0.781775),('cubilia',81,'node',0.920273),('cui',70,'node',3.57321),('cui',71,'node',1.90286),('cui',72,'node',1),('cui',73,'node',1),('cui',75,'node',2.85746),('cui',76,'node',0.879565),('culpa',64,'node',2.82957),('cultural',20,'node',1),('cultural',32,'node',1),('cultural',81,'node',1),('cultural',87,'node',1),('culture',20,'node',3),('culture',83,'node',1),('culture',87,'node',1),('cum',8,'node',1),('cum',15,'node',1),('cum',28,'node',0.794753),('cum',29,'node',0.869951),('cum',30,'node',0.851346),('cum',64,'node',0.819249),('cum',92,'node',1.87957),('cup',15,'node',26),('cup',37,'node',27),('cup',39,'node',29),('cup',80,'node',1),('cupiditat',64,'node',2.84055),('curabitur',1,'node',1.98493),('curabitur',3,'node',0.980874),('curabitur',4,'node',0.797402),('curabitur',7,'node',1),('curabitur',9,'node',1.46228),('curabitur',10,'node',2.81937),('curabitur',11,'node',2.53318),('curabitur',12,'node',0.938382),('curabitur',13,'node',3.50692),('curabitur',16,'node',1.65554),('curabitur',17,'node',3.50738),('curabitur',18,'node',3.34194),('curabitur',20,'node',0.738408),('curabitur',21,'node',1.54411),('curabitur',22,'node',1.65026),('curabitur',23,'node',0.896076),('curabitur',24,'node',1.77068),('curabitur',28,'node',0.869951),('curabitur',30,'node',0.993146),('curabitur',31,'node',1.73923),('curabitur',32,'node',1.87957),('curabitur',33,'node',3.81655),('curabitur',34,'node',3.62513),('curabitur',35,'node',0.842342),('curabitur',36,'node',1.80007),('curabitur',37,'node',0.869951),('curabitur',38,'node',0.851346),('curabitur',39,'node',1.81645),('curabitur',40,'node',0.906287),('curabitur',42,'node',0.833529),('curabitur',43,'node',1.56463),('curabitur',45,'node',2.13657),('curabitur',46,'node',1),('curabitur',47,'node',0.997306),('curabitur',48,'node',1.59015),('curabitur',49,'node',3.98219),('curabitur',64,'node',1.46679),('curabitur',66,'node',1),('curabitur',82,'node',0.920273),('curabitur',83,'node',1),('curabitur',85,'node',0.784336),('curabitur',86,'node',0.712106),('curabitur',87,'node',0.927431),('curabitur',88,'node',1),('curabitur',89,'node',1),('curabitur',90,'node',1.94654),('curabitur',91,'node',2),('curabitur',92,'node',3.76375),('curabitur',99,'node',2),('curabitur',101,'node',1),('curae',7,'node',0.96498),('curae',14,'node',0.886095),('curae',19,'node',0.889397),('curae',64,'node',2.13659),('curae',77,'node',0.810915),('curae',78,'node',0.899454),('curae',79,'node',1.8249),('curae',80,'node',0.779231),('curae',81,'node',0.916736),('curated',49,'node',1),('curator',86,'node',1),('current',79,'node',1),('cursus',1,'node',1),('cursus',6,'node',2),('cursus',7,'node',0.819249),('cursus',8,'node',4.32825),('cursus',9,'node',0.683725),('cursus',11,'node',0.896076),('cursus',13,'node',0.705825),('cursus',14,'node',0.731649),('cursus',15,'node',4.93643),('cursus',16,'node',0.766757),('cursus',17,'node',0.993146),('cursus',18,'node',0.76431),('cursus',19,'node',1.79038),('cursus',21,'node',1.45672),('cursus',22,'node',1.53375),('cursus',23,'node',0.827757),('cursus',24,'node',2.73404),('cursus',26,'node',0.7017),('cursus',28,'node',0.752312),('cursus',29,'node',0.754681),('cursus',30,'node',0.776703),('cursus',31,'node',0.76188),('cursus',32,'node',1.79568),('cursus',33,'node',1),('cursus',34,'node',1.84832),('cursus',45,'node',0.679856),('cursus',46,'node',1),('cursus',64,'node',3.86197),('cursus',66,'node',1),('cursus',82,'node',1),('cursus',83,'node',1.54272),('cursus',84,'node',3.37883),('cursus',85,'node',1.82378),('cursus',86,'node',2.51584),('cursus',89,'node',1),('cursus',91,'node',0.833529),('cursus',92,'node',1),('cursus',99,'node',1),('cursus',101,'node',1),('curve',10,'node',1),('cute',2,'node',1),('dad',29,'node',0.916736),('daily',31,'node',2),('damage',13,'node',1),('damnum',70,'node',0.993146),('damnum',71,'node',2.80262),('damnum',72,'node',4.63298),('damnum',73,'node',2.92743),('damnum',75,'node',1.78851),('danger',35,'node',1),('dangerous',35,'node',1),('dangers',35,'node',1),('dapibus',1,'node',1),('dapibus',5,'node',2.79063),('dapibus',6,'node',2.65875),('dapibus',7,'node',3.44523),('dapibus',9,'node',0.752312),('dapibus',10,'node',2.8102),('dapibus',11,'node',2.62737),('dapibus',13,'node',0.876337),('dapibus',14,'node',3.1171),('dapibus',16,'node',0.854391),('dapibus',17,'node',2.53172),('dapibus',18,'node',0.836446),('dapibus',19,'node',0.800068),('dapibus',20,'node',0.727213),('dapibus',21,'node',1.46335),('dapibus',24,'node',0.781775),('dapibus',26,'node',0.747619),('dapibus',27,'node',0.72066),('dapibus',29,'node',1.9447),('dapibus',30,'node',2.09301),('dapibus',31,'node',1.78951),('dapibus',32,'node',0.976851),('dapibus',35,'node',0.712106),('dapibus',37,'node',0.731649),('dapibus',38,'node',0.718502),('dapibus',40,'node',0.808176),('dapibus',41,'node',2.1605),('dapibus',42,'node',1.38955),('dapibus',43,'node',2.67909),('dapibus',44,'node',2.35156),('dapibus',45,'node',2.47228),('dapibus',46,'node',0.913226),('dapibus',47,'node',0.819249),('dapibus',48,'node',3.56553),('dapibus',49,'node',5.11434),('dapibus',64,'node',2.52376),('dapibus',79,'node',0.876337),('dapibus',82,'node',1.61137),('dapibus',83,'node',1.53523),('dapibus',84,'node',2.32867),('dapibus',85,'node',2.58453),('dapibus',86,'node',3.15041),('dapibus',87,'node',0.993146),('dapibus',88,'node',1),('dapibus',90,'node',0.839384),('dapibus',91,'node',1.73181),('dapibus',92,'node',1.8894),('dapibus',99,'node',0.949597),('daria',11,'node',1),('dark',25,'node',1),('dark',91,'node',1),('dark',96,'node',27),('date',22,'node',1),('dating',48,'node',2),('daughter',45,'node',1),('daunting',10,'node',1),('dave',28,'node',1),('david',81,'node',2),('david',85,'node',1),('david',86,'node',1),('day',9,'node',1),('day',13,'node',1),('day',20,'node',1),('day',23,'node',26),('day',30,'node',2),('day',31,'node',1),('day',35,'node',26),('day',45,'node',28),('day',82,'node',1),('day',87,'node',1),('days',26,'node',1),('days',27,'node',1),('days',30,'node',1),('days',36,'node',1),('days',68,'node',1),('days',86,'node',1),('days',91,'node',1),('daytoday',3,'node',1),('dead',24,'node',1),('deal',42,'node',1),('deal',80,'node',1),('dealing',40,'node',1),('death',85,'node',1),('debilitating',13,'node',1),('debuting',69,'node',26),('decet',70,'node',3.36786),('decet',71,'node',2),('decet',72,'node',1),('decet',73,'node',2.68679),('decet',74,'node',1),('decet',75,'node',1.82206),('decided',81,'node',1),('dedicated',49,'node',1),('deeper',81,'node',1),('deeply',86,'node',1),('default',93,'node',27),('default',98,'node',27),('defeat',37,'node',1),('deficit',19,'node',1),('define',18,'node',1),('defui',70,'node',1.52377),('defui',72,'node',0.942091),('defui',73,'node',1.81092),('defui',74,'node',0.942091),('defui',75,'node',3.51896),('defui',76,'node',2.66635),('degree',9,'node',1),('deliver',79,'node',1),('delivery',35,'node',1),('demonstrated',33,'node',1),('department',33,'node',28),('departments',33,'node',1),('deprived',9,'node',1),('der',37,'node',1),('descents',30,'node',1),('descents',38,'node',1),('deserunt',64,'node',2.8174),('designed',41,'node',1),('designer',11,'node',1),('designer',14,'node',1),('designers',25,'node',29),('designs',25,'node',1),('designs',87,'node',1),('despite',9,'node',1),('destination',29,'node',1),('destinations',31,'node',1),('detail',22,'node',1),('details',77,'node',1),('determine',77,'node',1),('develop',13,'node',0.938382),('developed',20,'node',1),('developer',69,'node',1),('development',17,'node',1),('development',21,'node',1),('development',71,'node',9.20091),('development',73,'node',8.59953),('devised',19,'node',1),('dhabi',21,'node',1),('diabetes',13,'node',33.8919),('diagnosed',12,'node',1),('diagnosed',13,'node',1.95723),('diam',1,'node',1),('diam',2,'node',2.81268),('diam',3,'node',0.976851),('diam',4,'node',3.71705),('diam',6,'node',2.70807),('diam',7,'node',1.69365),('diam',8,'node',1.87957),('diam',9,'node',1.43791),('diam',10,'node',0.76431),('diam',11,'node',0.879565),('diam',12,'node',1.77688),('diam',13,'node',4.52333),('diam',14,'node',1.51894),('diam',15,'node',2),('diam',16,'node',1.62386),('diam',17,'node',0.957226),('diam',18,'node',5.19643),('diam',20,'node',1.47636),('diam',21,'node',0.747619),('diam',22,'node',1.94583),('diam',23,'node',1.87176),('diam',24,'node',0.845322),('diam',25,'node',0.889397),('diam',26,'node',0.749958),('diam',27,'node',0.833529),('diam',28,'node',0.759465),('diam',29,'node',0.769219),('diam',30,'node',0.786915),('diam',31,'node',3.54858),('diam',32,'node',1.92027),('diam',33,'node',0.916736),('diam',34,'node',0.802752),('diam',35,'node',0.727213),('diam',36,'node',0.972861),('diam',37,'node',0.747619),('diam',38,'node',0.733888),('diam',39,'node',0.997306),('diam',40,'node',0.805455),('diam',41,'node',1.48419),('diam',42,'node',1.40438),('diam',43,'node',0.980874),('diam',44,'node',1.62002),('diam',45,'node',0.892724),('diam',46,'node',0.805455),('diam',47,'node',0.839384),('diam',48,'node',1.89272),('diam',49,'node',1),('diam',64,'node',4.69607),('diam',70,'node',3.4902),('diam',71,'node',2),('diam',72,'node',0.842342),('diam',73,'node',2.62737),('diam',74,'node',0.833529),('diam',75,'node',0.949597),('diam',76,'node',1),('diam',77,'node',3.4243),('diam',78,'node',4.70427),('diam',79,'node',3.91323),('diam',80,'node',4.11136),('diam',81,'node',3.74484),('diam',82,'node',4.44641),('diam',83,'node',1.8133),('diam',90,'node',0.920273),('diam',91,'node',1),('diam',92,'node',4.69399),('diam',99,'node',3.8784),('diane',25,'node',1),('dictate',4,'node',1),('dictate',19,'node',1),('dictionary',20,'node',1),('dictum',3,'node',0.927431),('dictum',5,'node',2),('dictum',6,'node',1.85746),('dictum',7,'node',1.84532),('dictum',8,'node',0.78951),('dictum',9,'node',0.771698),('dictum',10,'node',0.827757),('dictum',12,'node',1),('dictum',13,'node',0.657549),('dictum',14,'node',0.757065),('dictum',15,'node',0.899454),('dictum',16,'node',0.879565),('dictum',17,'node',0.794753),('dictum',19,'node',0.786915),('dictum',21,'node',0.740689),('dictum',22,'node',0.920273),('dictum',23,'node',0.889397),('dictum',25,'node',0.896076),('dictum',31,'node',3.37657),('dictum',32,'node',3.98902),('dictum',33,'node',1),('dictum',34,'node',0.869951),('dictum',35,'node',1.47589),('dictum',37,'node',1.51806),('dictum',38,'node',1.48968),('dictum',40,'node',0.802752),('dictum',41,'node',2.3028),('dictum',42,'node',2.14608),('dictum',43,'node',0.976851),('dictum',44,'node',2.52298),('dictum',45,'node',0.889397),('dictum',47,'node',1.70831),('dictum',48,'node',2.85381),('dictum',49,'node',1),('dictum',64,'node',1.76922),('dictum',79,'node',1.68792),('dictum',82,'node',2.81783),('dictum',83,'node',1.71),('dictum',84,'node',0.836446),('dictum',85,'node',0.707906),('dictum',86,'node',0.916736),('dictum',87,'node',0.725015),('dictum',89,'node',2),('dictum',90,'node',0.931053),('dictum',91,'node',2.72112),('dictum',92,'node',1.86679),('dictum',101,'node',2),('dictumst',6,'node',0.839384),('dictumst',22,'node',0.993146),('dictumst',23,'node',0.927431),('dictumst',24,'node',0.830633),('dictumst',28,'node',0.722831),('dictumst',29,'node',0.693594),('dictumst',30,'node',0.729424),('dictumst',32,'node',0.836446),('dictumst',34,'node',0.976851),('dictumst',64,'node',1),('dictumst',92,'node',1),('dictumst',99,'node',0.934703),('did',9,'node',1),('did',14,'node',1),('did',20,'node',1),('did',80,'node',1),('diego',30,'node',29),('differences',81,'node',1),('different',4,'node',1),('different',10,'node',1),('different',25,'node',1),('dig',81,'node',1),('digital',2,'node',1),('dignissim',1,'node',1),('dignissim',2,'node',0.830633),('dignissim',3,'node',1.9534),('dignissim',4,'node',1.66067),('dignissim',5,'node',2.79381),('dignissim',6,'node',1),('dignissim',7,'node',0.896076),('dignissim',8,'node',2.55706),('dignissim',9,'node',0.740689),('dignissim',10,'node',1),('dignissim',11,'node',1.83353),('dignissim',14,'node',0.816452),('dignissim',15,'node',2.84612),('dignissim',16,'node',0.839384),('dignissim',17,'node',0.892724),('dignissim',19,'node',0.747619),('dignissim',21,'node',0.718502),('dignissim',22,'node',0.913226),('dignissim',23,'node',0.886095),('dignissim',27,'node',0.676032),('dignissim',28,'node',1.67998),('dignissim',29,'node',0.833529),('dignissim',30,'node',0.816452),('dignissim',31,'node',0.769219),('dignissim',32,'node',0.916736),('dignissim',33,'node',1.78909),('dignissim',34,'node',0.810915),('dignissim',35,'node',1.72971),('dignissim',36,'node',1.85746),('dignissim',37,'node',1.76188),('dignissim',38,'node',1.74762),('dignissim',39,'node',1.87634),('dignissim',40,'node',1.80545),('dignissim',41,'node',1.51698),('dignissim',42,'node',2.39446),('dignissim',43,'node',1),('dignissim',44,'node',1.65952),('dignissim',45,'node',0.920273),('dignissim',46,'node',0.920273),('dignissim',47,'node',1.85746),('dignissim',48,'node',1.90629),('dignissim',49,'node',1),('dignissim',64,'node',1),('dignissim',70,'node',3.68246),('dignissim',71,'node',2),('dignissim',72,'node',0.781775),('dignissim',73,'node',1.78691),('dignissim',74,'node',2.6535),('dignissim',75,'node',1.8262),('dignissim',77,'node',1),('dignissim',78,'node',0.839384),('dignissim',79,'node',0.927431),('dignissim',80,'node',0.733888),('dignissim',81,'node',0.813674),('dignissim',83,'node',2.92283),('dignissim',84,'node',3.55084),('dignissim',86,'node',2.89543),('dignissim',88,'node',1),('dignissim',90,'node',1),('dignissim',91,'node',0.866793),('dimes',34,'node',1),('direct',77,'node',1),('directed',24,'node',1),('directly',39,'node',1),('directorgeneral',87,'node',1),('dis',8,'node',1),('dis',15,'node',1),('dis',28,'node',0.781775),('dis',29,'node',0.854391),('dis',30,'node',0.836446),('dis',64,'node',0.805455),('dis',92,'node',1.87957),('discover',30,'node',1),('discovered',28,'node',1),('discovered',84,'node',1),('discussion',70,'node',11),('disease',13,'node',2),('disease',83,'node',1),('diseases',82,'node',1),('diseases',83,'node',1),('display',30,'node',1),('display',93,'node',27),('display',94,'node',27),('disrupting',35,'node',1),('distance',8,'node',1),('distance',45,'node',1),('distances',7,'node',1),('distineo',70,'node',3.43651),('distineo',71,'node',1),('distineo',72,'node',1.78094),('distineo',73,'node',1),('distineo',74,'node',1.86055),('distineo',75,'node',1),('districts',14,'node',1),('diving',27,'node',0.942091),('division',14,'node',0.976851),('diy',49,'node',1),('doctor',13,'node',7.04069),('doctors',33,'node',9.01173),('dodging',90,'node',1),('does',83,'node',2),('doesn',12,'node',1),('dogs',30,'node',1),('doing',36,'node',1),('doing',38,'node',1),('doing',48,'node',1),('dolor',1,'node',1),('dolor',3,'node',0.896076),('dolor',5,'node',3.59208),('dolor',6,'node',0.906287),('dolor',9,'node',0.668514),('dolor',10,'node',2.79212),('dolor',11,'node',2.51538),('dolor',13,'node',2.28895),('dolor',16,'node',0.747619),('dolor',17,'node',2.70538),('dolor',18,'node',1.63568),('dolor',19,'node',1.42236),('dolor',20,'node',2.27861),('dolor',21,'node',2.23943),('dolor',22,'node',2.44603),('dolor',23,'node',3.49195),('dolor',24,'node',2),('dolor',25,'node',1.71984),('dolor',26,'node',1.60334),('dolor',27,'node',3.73722),('dolor',28,'node',3.32495),('dolor',29,'node',2.73677),('dolor',30,'node',2.89635),('dolor',31,'node',1.7972),('dolor',32,'node',1.84532),('dolor',33,'node',1.83833),('dolor',34,'node',1.82776),('dolor',35,'node',1.71423),('dolor',36,'node',1.87634),('dolor',37,'node',1.73389),('dolor',38,'node',1.72066),('dolor',39,'node',1.89608),('dolor',40,'node',1),('dolor',41,'node',0.759465),('dolor',42,'node',1.70791),('dolor',43,'node',0.816452),('dolor',44,'node',0.830633),('dolor',45,'node',0.754681),('dolor',46,'node',1.74711),('dolor',47,'node',1.82206),('dolor',48,'node',1.81925),('dolor',49,'node',3.1843),('dolor',64,'node',10.1463),('dolor',70,'node',1.95723),('dolor',71,'node',1.85319),('dolor',72,'node',0.800068),('dolor',73,'node',1.81678),('dolor',74,'node',1),('dolor',75,'node',2),('dolor',76,'node',1),('dolor',77,'node',3.52814),('dolor',78,'node',2.8661),('dolor',79,'node',2),('dolor',80,'node',2.46897),('dolor',81,'node',1.94583),('dolor',82,'node',23.0822),('dolor',83,'node',1.50784),('dolor',84,'node',1.89945),('dolor',85,'node',2.30324),('dolor',86,'node',3.11339),('dolor',87,'node',2.60386),('dolor',88,'node',1),('dolor',92,'node',3.74028),('dolor',99,'node',4.93794),('dolore',64,'node',2.62925),('dolore',70,'node',2.62626),('dolore',72,'node',3.99731),('dolore',73,'node',5.72448),('dolore',74,'node',1.99315),('dolore',76,'node',1.91674),('dolores',64,'node',0.899454),('dolphins',27,'node',1),('dolphins',29,'node',0.98493),('dolus',70,'node',3.9834),('dolus',71,'node',3.75557),('dolus',72,'node',2.57556),('dolus',73,'node',2.8861),('dolus',74,'node',0.923838),('dolus',76,'node',1.86697),('domestic',83,'node',2),('don',16,'node',1),('don',43,'node',1),('don',48,'node',1),('don',80,'node',26),('donated',85,'node',1),('donations',19,'node',1),('done',45,'node',1),('donec',1,'node',3),('donec',2,'node',5.42034),('donec',3,'node',2.8894),('donec',4,'node',5.64091),('donec',5,'node',1.82378),('donec',6,'node',1.86995),('donec',7,'node',1),('donec',8,'node',2.50798),('donec',9,'node',0.72066),('donec',10,'node',0.794753),('donec',11,'node',1),('donec',12,'node',0.879565),('donec',13,'node',1.56621),('donec',15,'node',2.88176),('donec',16,'node',0.813674),('donec',17,'node',1),('donec',18,'node',2.58638),('donec',19,'node',4.13273),('donec',20,'node',2.40319),('donec',21,'node',1.7767),('donec',22,'node',0.989021),('donec',23,'node',2.92384),('donec',25,'node',2.49552),('donec',26,'node',2.40888),('donec',28,'node',1.4861),('donec',29,'node',2.12916),('donec',30,'node',2.2322),('donec',32,'node',1.69429),('donec',33,'node',1.9347),('donec',34,'node',3.68912),('donec',35,'node',0.731649),('donec',36,'node',1),('donec',37,'node',0.752312),('donec',38,'node',0.738408),('donec',39,'node',1),('donec',40,'node',0.830633),('donec',41,'node',1.52274),('donec',42,'node',1.42062),('donec',43,'node',1),('donec',44,'node',1.666),('donec',45,'node',0.997306),('donec',47,'node',0.845322),('donec',48,'node',1.96109),('donec',49,'node',21.7324),('donec',64,'node',6.17559),('donec',77,'node',4.59594),('donec',78,'node',3.89608),('donec',79,'node',2.67587),('donec',80,'node',3.61526),('donec',81,'node',0.913226),('donec',82,'node',26.2712),('donec',83,'node',4.03069),('donec',84,'node',3.47537),('donec',85,'node',0.902857),('donec',86,'node',2.65627),('donec',89,'node',3),('donec',90,'node',0.980874),('donec',91,'node',1.85746),('donec',92,'node',1.89272),('donec',99,'node',2),('donec',101,'node',3),('donna',81,'node',2),('doodled',29,'node',1),('door',45,'node',1),('doors',10,'node',1),('doshisha',20,'node',1),('dots',14,'node',1),('doug',16,'node',1),('down',9,'node',2),('down',22,'node',1),('down',26,'node',1),('down',27,'node',1.97685),('down',29,'node',1),('down',38,'node',1),('down',43,'node',26),('downpour',9,'node',1),('draft',2,'node',28),('drama',24,'node',1),('dream',86,'node',3),('dreaming',38,'node',1),('dreaming',91,'node',1),('dreams',16,'node',26),('dreams',80,'node',1),('dreams',86,'node',1),('drenched',9,'node',1),('dress',10,'node',1),('dress',24,'node',8.48867),('dressed',24,'node',26),('drey',85,'node',1),('drifted',29,'node',1),('drink',43,'node',27),('drive',31,'node',1),('driving',2,'node',1),('drug',87,'node',1),('drupal',60,'node',26),('drupal',62,'node',26),('drupal',68,'node',28),('drupal',69,'node',28),('drupal',75,'node',8.74229),('drupal',76,'node',9.50024),('drupalcamp',68,'node',1),('drupalcon',69,'node',1),('drupalorg',68,'node',1),('dui',2,'node',2.61303),('dui',4,'node',2.76438),('dui',5,'node',1.86055),('dui',6,'node',2),('dui',7,'node',1.86995),('dui',8,'node',1),('dui',9,'node',1.56382),('dui',10,'node',1.72132),('dui',11,'node',1.80818),('dui',12,'node',1.80047),('dui',13,'node',0.646943),('dui',14,'node',0.78951),('dui',15,'node',1),('dui',16,'node',1.78777),('dui',17,'node',1.85135),('dui',18,'node',1.90286),('dui',20,'node',0.747619),('dui',22,'node',0.733888),('dui',24,'node',1.74156),('dui',26,'node',1.60562),('dui',28,'node',1.63501),('dui',29,'node',2.12173),('dui',30,'node',3.21083),('dui',31,'node',1.64708),('dui',32,'node',3.74308),('dui',33,'node',2),('dui',34,'node',3.7305),('dui',35,'node',1.56789),('dui',36,'node',0.792123),('dui',37,'node',1.61566),('dui',38,'node',1.58349),('dui',39,'node',0.808176),('dui',40,'node',0.886095),('dui',41,'node',1.80818),('dui',42,'node',1.55259),('dui',43,'node',0.757065),('dui',44,'node',1.8894),('dui',45,'node',1.39535),('dui',46,'node',1.84234),('dui',47,'node',2.62292),('dui',48,'node',1.7767),('dui',49,'node',0.808176),('dui',64,'node',2.91885),('dui',77,'node',3.51185),('dui',78,'node',2.83111),('dui',79,'node',2),('dui',80,'node',2.44916),('dui',81,'node',1.89945),('dui',82,'node',2.62296),('dui',83,'node',0.863659),('dui',84,'node',0.747619),('dui',85,'node',0.827757),('dui',86,'node',0.745294),('dui',88,'node',2),('dui',89,'node',1),('dui',90,'node',0.836446),('dui',91,'node',0.899454),('dui',92,'node',3.79218),('dui',99,'node',1),('dui',101,'node',1),('duis',2,'node',1),('duis',4,'node',1),('duis',5,'node',0.876337),('duis',6,'node',0.863659),('duis',7,'node',1),('duis',8,'node',0.776703),('duis',10,'node',1.91674),('duis',11,'node',1.63628),('duis',13,'node',0.672252),('duis',15,'node',0.882818),('duis',17,'node',1.73174),('duis',21,'node',0.869951),('duis',23,'node',0.997306),('duis',26,'node',2.45115),('duis',35,'node',0.703756),('duis',37,'node',0.722831),('duis',38,'node',0.71),('duis',41,'node',0.740689),('duis',42,'node',0.697623),('duis',44,'node',0.808176),('duis',47,'node',0.808176),('duis',48,'node',0.968904),('duis',64,'node',1.46135),('duis',70,'node',28.5963),('duis',71,'node',1),('duis',72,'node',1.64708),('duis',73,'node',1),('duis',75,'node',1.84754),('duis',77,'node',0.913226),('duis',78,'node',1),('duis',80,'node',0.934703),('duis',83,'node',1.57646),('duis',84,'node',2.78177),('duis',85,'node',0.997306),('duis',86,'node',0.816452),('duis',92,'node',2),('duis',99,'node',1.92027),('dulled',38,'node',1),('dunes',27,'node',0.968904),('duo',64,'node',0.902857),('during',8,'node',1),('during',35,'node',1),('during',79,'node',2),('during',87,'node',1),('each',11,'node',1),('each',41,'node',2),('earlier',83,'node',1),('early',19,'node',1),('early',29,'node',1),('early',38,'node',1),('early',87,'node',1),('east',18,'node',1),('east',27,'node',1),('easy',16,'node',1),('easy',31,'node',1),('easy',44,'node',1),('easy',88,'node',26),('easybreezy',45,'node',1),('eaux',24,'node',1),('economic',17,'node',1),('economic',21,'node',1),('edited',82,'node',1),('editor',65,'node',26),('editoratlarge',11,'node',1),('edmontonian',12,'node',1),('education',9,'node',7.33326),('education',14,'node',7.54243),('education',18,'node',8.14758),('education',20,'node',7.65163),('education',21,'node',7.67385),('education',33,'node',1),('education',34,'node',1),('education',53,'node',26),('effects',40,'node',1),('effortlessly',3,'node',1),('efforts',35,'node',1),('egcg',43,'node',1),('egestas',1,'node',1),('egestas',3,'node',1.80309),('egestas',5,'node',0.997306),('egestas',6,'node',1.85746),('egestas',7,'node',1.74038),('egestas',8,'node',0.892724),('egestas',9,'node',0.736141),('egestas',10,'node',2.51358),('egestas',11,'node',1),('egestas',12,'node',0.889397),('egestas',13,'node',1.5361),('egestas',14,'node',1.56845),('egestas',15,'node',1),('egestas',16,'node',0.833529),('egestas',17,'node',1.6247),('egestas',18,'node',2.57602),('egestas',20,'node',0.851346),('egestas',21,'node',0.699655),('egestas',22,'node',2.24219),('egestas',23,'node',1.79448),('egestas',24,'node',2.89608),('egestas',26,'node',2.08921),('egestas',33,'node',3.67298),('egestas',34,'node',1.71547),('egestas',35,'node',1.78987),('egestas',36,'node',1.64431),('egestas',37,'node',1.85245),('egestas',38,'node',1.81025),('egestas',39,'node',1.67896),('egestas',40,'node',1.93524),('egestas',42,'node',1.76995),('egestas',45,'node',0.677939),('egestas',46,'node',1.78951),('egestas',47,'node',2),('egestas',79,'node',1.69719),('egestas',82,'node',2.62565),('egestas',83,'node',2.37653),('egestas',84,'node',2.69646),('egestas',85,'node',0.889397),('egestas',86,'node',0.771698),('egestas',88,'node',3),('egestas',89,'node',1),('egestas',90,'node',1.76),('egestas',91,'node',1.94583),('egestas',92,'node',3.75973),('egestas',99,'node',6.94274),('egestas',101,'node',1),('eget',1,'node',4.98087),('eget',2,'node',1.92007),('eget',3,'node',0.938382),('eget',4,'node',1.98902),('eget',5,'node',0.976851),('eget',6,'node',4.85135),('eget',7,'node',4.60043),('eget',8,'node',6.21992),('eget',9,'node',3.05011),('eget',10,'node',5.50768),('eget',11,'node',5.38412),('eget',12,'node',2.77549),('eget',13,'node',1.57305),('eget',14,'node',2.35249),('eget',15,'node',6.6793),('eget',16,'node',3.39105),('eget',17,'node',7.27301),('eget',18,'node',3.59482),('eget',20,'node',3.86655),('eget',22,'node',0.876337),('eget',23,'node',1.86055),('eget',24,'node',2.41428),('eget',25,'node',0.740689),('eget',26,'node',4.71415),('eget',27,'node',0.7017),('eget',28,'node',1.73614),('eget',29,'node',1.3646),('eget',30,'node',1.44591),('eget',31,'node',1.62185),('eget',32,'node',2),('eget',33,'node',3.58433),('eget',34,'node',1.72946),('eget',35,'node',2.63875),('eget',36,'node',3.37898),('eget',37,'node',2.72987),('eget',38,'node',2.66843),('eget',39,'node',3.45259),('eget',40,'node',5.22585),('eget',41,'node',3.04479),('eget',42,'node',4.66286),('eget',43,'node',2.96188),('eget',44,'node',3.32517),('eget',45,'node',3.41553),('eget',46,'node',2.63447),('eget',47,'node',2.92743),('eget',48,'node',2.70554),('eget',49,'node',3),('eget',64,'node',7.01002),('eget',77,'node',3.63335),('eget',78,'node',3.70646),('eget',79,'node',3.78318),('eget',80,'node',3.34257),('eget',81,'node',2.70904),('eget',82,'node',1.61702),('eget',83,'node',2.31626),('eget',84,'node',1.82819),('eget',85,'node',0.716357),('eget',86,'node',1),('eget',87,'node',0.736141),('eget',88,'node',4),('eget',89,'node',1),('eget',90,'node',3.59084),('eget',91,'node',3.9689),('eget',92,'node',8.53335),('eget',99,'node',2.9079),('eget',101,'node',1),('eirmod',64,'node',0.879565),('either',13,'node',1),('eiusmod',64,'node',0.833529),('elegant',25,'node',1),('eleifend',1,'node',4),('eleifend',5,'node',1),('eleifend',6,'node',2),('eleifend',7,'node',0.776703),('eleifend',8,'node',0.792123),('eleifend',10,'node',1.62482),('eleifend',12,'node',0.833529),('eleifend',14,'node',0.689612),('eleifend',15,'node',0.902857),('eleifend',17,'node',0.78951),('eleifend',18,'node',0.889397),('eleifend',19,'node',0.920273),('eleifend',21,'node',0.722831),('eleifend',22,'node',2.3742),('eleifend',23,'node',1.67587),('eleifend',24,'node',1.67422),('eleifend',26,'node',1.54033),('eleifend',27,'node',0.695602),('eleifend',28,'node',0.98493),('eleifend',31,'node',0.873132),('eleifend',32,'node',1.84832),('eleifend',33,'node',1),('eleifend',34,'node',1.85135),('eleifend',35,'node',0.742984),('eleifend',37,'node',0.76431),('eleifend',38,'node',0.749958),('eleifend',41,'node',1.5058),('eleifend',42,'node',0.736141),('eleifend',43,'node',1.65554),('eleifend',44,'node',1.64646),('eleifend',45,'node',2.21553),('eleifend',46,'node',1.92384),('eleifend',47,'node',0.860547),('eleifend',48,'node',2.63416),('eleifend',49,'node',1.77982),('eleifend',64,'node',3.25765),('eleifend',77,'node',1.80545),('eleifend',78,'node',0.892724),('eleifend',79,'node',1),('eleifend',80,'node',0.774192),('eleifend',81,'node',0.896076),('eleifend',82,'node',1.97685),('eleifend',83,'node',0.716357),('eleifend',84,'node',0.848323),('eleifend',85,'node',0.738408),('eleifend',86,'node',0.934703),('eleifend',87,'node',0.779231),('eleifend',88,'node',1),('eleifend',91,'node',0.869951),('eleifend',92,'node',1.90629),('elementaryage',14,'node',1),('elementum',2,'node',1.71229),('elementum',3,'node',1.89272),('elementum',4,'node',1.80967),('elementum',5,'node',0.842342),('elementum',6,'node',1.81925),('elementum',7,'node',1.77923),('elementum',8,'node',0.945829),('elementum',13,'node',1.42524),('elementum',14,'node',0.693594),('elementum',15,'node',1),('elementum',18,'node',1.53646),('elementum',19,'node',2.44851),('elementum',20,'node',0.833529),('elementum',22,'node',3.4168),('elementum',23,'node',3.62957),('elementum',24,'node',2.50642),('elementum',25,'node',2.55496),('elementum',27,'node',0.687638),('elementum',28,'node',0.953396),('elementum',29,'node',0.66666),('elementum',30,'node',0.712106),('elementum',31,'node',0.781775),('elementum',32,'node',1.79115),('elementum',34,'node',0.997306),('elementum',43,'node',2.38721),('elementum',45,'node',2.21093),('elementum',46,'node',1.72752),('elementum',48,'node',2.4192),('elementum',49,'node',4.86542),('elementum',64,'node',2.76188),('elementum',67,'node',1),('elementum',77,'node',0.833529),('elementum',78,'node',1.79216),('elementum',79,'node',3.70338),('elementum',80,'node',1.55307),('elementum',81,'node',1.84239),('elementum',82,'node',1.89945),('elementum',83,'node',1),('elementum',85,'node',0.712106),('elementum',87,'node',0.729424),('elementum',88,'node',1),('elementum',89,'node',1),('elementum',90,'node',1.83645),('elementum',91,'node',0.902857),('elementum',92,'node',4.67565),('elementum',99,'node',0.98493),('elementum',101,'node',1),('elevate',49,'node',1),('elie',25,'node',1),('eligo',70,'node',2.89272),('eligo',71,'node',1),('eligo',72,'node',0.920273),('eligo',73,'node',1.98493),('eligo',74,'node',1.92027),('eligo',75,'node',1.91674),('elit',1,'node',1),('elit',2,'node',1.80255),('elit',3,'node',2.9534),('elit',4,'node',23.9),('elit',5,'node',1.90974),('elit',6,'node',3.67006),('elit',7,'node',3.51697),('elit',8,'node',0.860547),('elit',9,'node',2.50542),('elit',10,'node',1.60779),('elit',11,'node',1),('elit',12,'node',1),('elit',14,'node',3.18245),('elit',15,'node',0.993146),('elit',16,'node',2.84234),('elit',17,'node',0.805455),('elit',19,'node',0.781775),('elit',20,'node',0.752312),('elit',21,'node',1.43721),('elit',22,'node',2.52907),('elit',23,'node',2.54373),('elit',24,'node',1),('elit',25,'node',0.779231),('elit',26,'node',2.31133),('elit',27,'node',2.47355),('elit',29,'node',1.94947),('elit',30,'node',2.09582),('elit',31,'node',0.76431),('elit',32,'node',1.75807),('elit',33,'node',4.57723),('elit',34,'node',3.47835),('elit',35,'node',2.5469),('elit',36,'node',5.39799),('elit',37,'node',2.63114),('elit',38,'node',2.57437),('elit',39,'node',5.44987),('elit',40,'node',2.74209),('elit',41,'node',0.989021),('elit',42,'node',2.52002),('elit',44,'node',1),('elit',46,'node',1.603),('elit',47,'node',3.7506),('elit',64,'node',4.73349),('elit',66,'node',1),('elit',70,'node',1.63593),('elit',71,'node',1.8861),('elit',72,'node',0.810915),('elit',73,'node',2.74388),('elit',74,'node',1.67596),('elit',75,'node',3.79735),('elit',77,'node',0.800068),('elit',78,'node',1.71601),('elit',79,'node',1.92027),('elit',80,'node',1.49596),('elit',81,'node',1.69099),('elit',82,'node',2.76431),('elit',85,'node',1.48558),('elit',86,'node',0.703756),('elit',87,'node',1.61474),('elit',88,'node',2),('elit',89,'node',3),('elit',90,'node',2.74994),('elit',91,'node',2.77359),('elit',92,'node',1),('elit',99,'node',3.9223),('elit',101,'node',3),('elite',25,'node',1),('elitr',64,'node',0.886095),('elizabeth',22,'node',1),('ellie',1,'node',26),('elliott',86,'node',2),('email',79,'node',1),('email',82,'node',1),('emergency',33,'node',30),('emerging',9,'node',1),('emotional',42,'node',1),('emotions',42,'node',1),('emotions',45,'node',1),('ena',33,'node',1),('encountering',32,'node',1),('encourage',41,'node',1),('encouraged',19,'node',1),('encouraged',29,'node',0.923838),('end',8,'node',1),('endless',38,'node',1),('energy',13,'node',0.98493),('engage',77,'node',1),('engaged',19,'node',1),('engineering',14,'node',1),('english',9,'node',1),('english',16,'node',1),('enim',1,'node',1),('enim',5,'node',2.81656),('enim',6,'node',1.75691),('enim',7,'node',0.786915),('enim',8,'node',2.82547),('enim',9,'node',0.913226),('enim',10,'node',0.792123),('enim',12,'node',1.85135),('enim',13,'node',0.645209),('enim',14,'node',0.7017),('enim',15,'node',2.96109),('enim',16,'node',1),('enim',18,'node',0.927431),('enim',19,'node',1.43273),('enim',20,'node',3.17527),('enim',21,'node',3.04482),('enim',22,'node',0.886095),('enim',23,'node',0.869951),('enim',24,'node',2.35386),('enim',25,'node',0.747619),('enim',27,'node',2.8177),('enim',28,'node',2.66509),('enim',29,'node',1.31872),('enim',30,'node',2.40418),('enim',31,'node',2.39306),('enim',32,'node',2.86662),('enim',33,'node',0.869951),('enim',34,'node',0.786915),('enim',36,'node',0.889397),('enim',39,'node',0.909743),('enim',41,'node',0.691597),('enim',43,'node',3.30964),('enim',44,'node',0.749958),('enim',45,'node',3.74341),('enim',46,'node',1),('enim',48,'node',3.28389),('enim',49,'node',6.6461),('enim',64,'node',6.83217),('enim',67,'node',1),('enim',70,'node',2.53617),('enim',71,'node',2),('enim',72,'node',0.989021),('enim',73,'node',2.84532),('enim',74,'node',2.97286),('enim',75,'node',0.805455),('enim',76,'node',0.989021),('enim',77,'node',4.33436),('enim',78,'node',6.58307),('enim',79,'node',4.96986),('enim',80,'node',5.80213),('enim',81,'node',4.71492),('enim',88,'node',3),('enim',89,'node',2),('enim',90,'node',1),('enim',91,'node',2.47476),('enim',92,'node',5.5202),('enim',99,'node',5.84686),('enim',101,'node',2),('enjoy',30,'node',2),('enjoy',47,'node',1),('enjoys',68,'node',1),('enough',13,'node',0.961087),('ensure',13,'node',1),('ensure',19,'node',1),('entered',8,'node',1),('entertaining',81,'node',1),('entire',30,'node',1),('entrance',29,'node',1),('entry',83,'node',1),('eos',64,'node',0.913226),('epic',28,'node',1),('epidemic',13,'node',26),('epigallocatechin',43,'node',1),('episode',16,'node',1),('equates',90,'node',1),('equivalent',85,'node',1),('erat',1,'node',2),('erat',2,'node',3.68089),('erat',3,'node',3.85036),('erat',4,'node',5.45742),('erat',5,'node',0.873132),('erat',6,'node',4.61981),('erat',7,'node',0.797402),('erat',8,'node',1),('erat',9,'node',3.72243),('erat',10,'node',3.28946),('erat',11,'node',3.81085),('erat',12,'node',1.89272),('erat',13,'node',4.5628),('erat',14,'node',0.712106),('erat',15,'node',1),('erat',16,'node',4.22104),('erat',17,'node',3.53482),('erat',18,'node',3.49038),('erat',20,'node',2.41688),('erat',21,'node',0.836446),('erat',22,'node',1.81925),('erat',23,'node',1.79076),('erat',24,'node',0.813674),('erat',25,'node',2.32975),('erat',26,'node',0.830633),('erat',28,'node',1.58468),('erat',29,'node',0.738408),('erat',30,'node',1.69781),('erat',31,'node',4.3296),('erat',32,'node',4.51854),('erat',33,'node',2.73416),('erat',34,'node',3.58197),('erat',35,'node',1.70731),('erat',36,'node',2.76109),('erat',37,'node',1.75946),('erat',38,'node',1.72617),('erat',39,'node',2.801),('erat',40,'node',1),('erat',41,'node',1.493),('erat',42,'node',1.68888),('erat',43,'node',3.27314),('erat',44,'node',1.63102),('erat',45,'node',3.02412),('erat',46,'node',1.66441),('erat',47,'node',1.85439),('erat',48,'node',4.25625),('erat',49,'node',24.1688),('erat',64,'node',3.21109),('erat',66,'node',1),('erat',70,'node',0.972861),('erat',72,'node',3.70816),('erat',73,'node',0.851346),('erat',74,'node',1.90629),('erat',77,'node',0.839384),('erat',78,'node',1.77735),('erat',79,'node',2.76),('erat',80,'node',1.54147),('erat',81,'node',1.79212),('erat',82,'node',0.892724),('erat',83,'node',1.74298),('erat',84,'node',1.71008),('erat',85,'node',1.73142),('erat',86,'node',1.50589),('erat',87,'node',0.899454),('erat',88,'node',1),('erat',89,'node',1),('erat',90,'node',0.892724),('erat',91,'node',1),('erat',92,'node',1.74322),('erat',99,'node',3.87806),('erat',101,'node',1),('eros',1,'node',2.98902),('eros',5,'node',1.97685),('eros',6,'node',2.86995),('eros',7,'node',3.64984),('eros',8,'node',1),('eros',9,'node',0.71),('eros',10,'node',1.67258),('eros',11,'node',1.77166),('eros',13,'node',1.3817),('eros',14,'node',3.37997),('eros',15,'node',1),('eros',16,'node',0.800068),('eros',17,'node',1.84234),('eros',18,'node',1.50257),('eros',19,'node',0.7017),('eros',20,'node',1.49618),('eros',21,'node',0.957226),('eros',23,'node',1),('eros',25,'node',0.781775),('eros',27,'node',0.822065),('eros',29,'node',0.664818),('eros',30,'node',0.71),('eros',31,'node',0.784336),('eros',32,'node',0.949597),('eros',33,'node',0.848323),('eros',35,'node',0.945829),('eros',36,'node',0.845322),('eros',37,'node',0.980874),('eros',38,'node',0.957226),('eros',39,'node',0.863659),('eros',40,'node',1),('eros',42,'node',0.934703),('eros',46,'node',0.851346),('eros',47,'node',1),('eros',64,'node',2.17143),('eros',70,'node',2.37857),('eros',71,'node',1),('eros',72,'node',0.779231),('eros',73,'node',1),('eros',74,'node',0.830633),('eros',75,'node',2.71591),('eros',77,'node',1.95723),('eros',78,'node',1.82776),('eros',79,'node',1.74863),('eros',80,'node',1.72502),('eros',81,'node',0.797402),('eros',82,'node',2.89945),('eros',83,'node',1),('eros',85,'node',0.725015),('eros',87,'node',0.759465),('eros',88,'node',1.99731),('eros',90,'node',1),('eros',92,'node',4.70366),('eros',99,'node',1),('esca',70,'node',3.67705),('esca',72,'node',2.46783),('esca',73,'node',1.98493),('esca',74,'node',2.60792),('esca',75,'node',3.84065),('escape',86,'node',1),('especially',26,'node',1),('especially',45,'node',1),('esse',70,'node',4.33929),('esse',72,'node',0.882818),('esse',73,'node',0.938382),('esse',74,'node',2.63038),('esse',75,'node',0.822065),('est',1,'node',3),('est',2,'node',2.81042),('est',3,'node',0.923838),('est',4,'node',2.95037),('est',6,'node',2.80705),('est',7,'node',1),('est',8,'node',4.31823),('est',9,'node',2.78111),('est',10,'node',0.808176),('est',11,'node',3.62429),('est',12,'node',0.845322),('est',13,'node',2.04301),('est',15,'node',4.75108),('est',16,'node',3.12659),('est',17,'node',2.85489),('est',18,'node',1.7045),('est',19,'node',1.75468),('est',20,'node',1.65688),('est',21,'node',0.851346),('est',22,'node',2.47313),('est',23,'node',2.72899),('est',24,'node',3.46373),('est',26,'node',4.79233),('est',27,'node',3.73642),('est',28,'node',6.06662),('est',29,'node',0.76188),('est',30,'node',3.48712),('est',31,'node',2.52012),('est',32,'node',1.98087),('est',33,'node',2.67087),('est',34,'node',1.60558),('est',35,'node',2.43477),('est',36,'node',3.55698),('est',37,'node',2.51211),('est',38,'node',2.46),('est',39,'node',3.61336),('est',40,'node',2.65295),('est',41,'node',3.17277),('est',42,'node',3.09573),('est',43,'node',3.54688),('est',44,'node',3.38898),('est',45,'node',3.94571),('est',46,'node',1.75483),('est',47,'node',3.58318),('est',48,'node',4.40767),('est',49,'node',4.52317),('est',64,'node',6.76661),('est',67,'node',1),('est',77,'node',0.980874),('est',78,'node',1.84532),('est',79,'node',0.953396),('est',80,'node',1.73841),('est',81,'node',0.833529),('est',82,'node',2.61988),('est',83,'node',1.56815),('est',84,'node',0.863659),('est',86,'node',0.96498),('est',88,'node',2),('est',89,'node',3),('est',91,'node',0.827757),('est',92,'node',0.938382),('est',99,'node',2.89214),('est',101,'node',3),('establish',83,'node',1),('estate',51,'node',26),('etailer',24,'node',1),('etc',43,'node',1),('ethics',37,'node',1),('etiam',1,'node',1),('etiam',5,'node',0.869951),('etiam',6,'node',1),('etiam',7,'node',1.6529),('etiam',9,'node',0.813674),('etiam',10,'node',0.830633),('etiam',13,'node',0.664818),('etiam',14,'node',1.47704),('etiam',16,'node',0.934703),('etiam',17,'node',0.797402),('etiam',19,'node',3.26451),('etiam',21,'node',2.32679),('etiam',22,'node',0.729424),('etiam',23,'node',1),('etiam',24,'node',1.79041),('etiam',25,'node',0.797402),('etiam',27,'node',2.30354),('etiam',28,'node',0.757065),('etiam',29,'node',0.759465),('etiam',30,'node',0.781775),('etiam',33,'node',1),('etiam',34,'node',0.938382),('etiam',35,'node',0.71),('etiam',37,'node',0.729424),('etiam',38,'node',0.716357),('etiam',41,'node',0.749958),('etiam',42,'node',0.703756),('etiam',43,'node',0.845322),('etiam',44,'node',0.819249),('etiam',45,'node',0.779231),('etiam',46,'node',0.931053),('etiam',47,'node',0.816452),('etiam',48,'node',1.82776),('etiam',49,'node',21.5636),('etiam',64,'node',3.95973),('etiam',78,'node',0.873132),('etiam',79,'node',1),('etiam',80,'node',0.759465),('etiam',81,'node',0.876337),('etiam',82,'node',1.93105),('etiam',83,'node',0.714225),('etiam',84,'node',0.845322),('etiam',85,'node',2.16001),('etiam',86,'node',0.931053),('etiam',87,'node',2.2484),('etiam',90,'node',0.902857),('etiam',91,'node',1),('etiam',92,'node',1),('etiam',99,'node',2),('etsy',49,'node',27),('etsycom',49,'node',1),('etur',82,'node',0.766757),('euismod',1,'node',1),('euismod',2,'node',1.67291),('euismod',3,'node',2.99315),('euismod',4,'node',2.56841),('euismod',6,'node',2.64125),('euismod',7,'node',1.77259),('euismod',8,'node',1.86995),('euismod',9,'node',0.687638),('euismod',11,'node',0.909743),('euismod',12,'node',1.9689),('euismod',13,'node',2.84647),('euismod',14,'node',1.614),('euismod',15,'node',2),('euismod',16,'node',0.771698),('euismod',17,'node',1),('euismod',18,'node',2.6055),('euismod',19,'node',0.699655),('euismod',20,'node',1.63867),('euismod',22,'node',0.896076),('euismod',23,'node',3.87313),('euismod',25,'node',2.3862),('euismod',26,'node',0.681785),('euismod',31,'node',1.50699),('euismod',32,'node',1.7888),('euismod',43,'node',2.39861),('euismod',45,'node',2.22047),('euismod',46,'node',0.792123),('euismod',48,'node',2.41806),('euismod',49,'node',27.2509),('euismod',64,'node',2.3642),('euismod',70,'node',4.2601),('euismod',72,'node',2.54814),('euismod',73,'node',3.58043),('euismod',74,'node',1.98493),('euismod',75,'node',1.82776),('euismod',76,'node',0.934703),('euismod',77,'node',0.797402),('euismod',78,'node',1.71278),('euismod',79,'node',1.92027),('euismod',80,'node',1.49353),('euismod',81,'node',1.68774),('euismod',82,'node',1.87313),('euismod',83,'node',0.961087),('euismod',84,'node',1.55182),('euismod',85,'node',2.7064),('euismod',86,'node',2.34722),('euismod',87,'node',0.976851),('euismod',88,'node',2),('euismod',91,'node',0.800068),('euismod',92,'node',4.76995),('euismod',99,'node',1),('eum',70,'node',0.857458),('eum',72,'node',1.71509),('eum',73,'node',0.797402),('eum',74,'node',1.81795),('eum',75,'node',3.81548),('eum',76,'node',2.82019),('europe',21,'node',1),('evade',84,'node',1),('even',4,'node',1),('even',14,'node',26),('even',20,'node',0.993146),('even',44,'node',26),('even',46,'node',1),('even',49,'node',1),('even',80,'node',1),('even',91,'node',1),('event',4,'node',1),('events',87,'node',1),('ever',25,'node',1),('ever',29,'node',0.953396),('ever',35,'node',1),('every',11,'node',1),('every',13,'node',2),('every',32,'node',27),('every',34,'node',1),('every',41,'node',1),('every',49,'node',1),('everyone',19,'node',1),('everyone',32,'node',1),('everyone',42,'node',1),('everyone',91,'node',1),('everything',30,'node',1),('everything',43,'node',1),('evidencebased',34,'node',1),('evolving',48,'node',1),('example',25,'node',1),('excepteur',64,'node',2.84055),('exceptional',33,'node',1),('excitement',29,'node',1.92743),('exciting',5,'node',1),('exclusive',11,'node',1),('exerci',64,'node',2.51269),('exerci',70,'node',1.75946),('exerci',71,'node',1),('exerci',72,'node',4.58176),('exerci',73,'node',2.6529),('exerci',74,'node',0.96498),('exerci',75,'node',1.96109),('exerci',76,'node',1),('exercise',41,'node',2),('exercisers',43,'node',1),('exercises',41,'node',2),('exhaling',40,'node',1),('exhaustion',42,'node',1),('existing',80,'node',1),('expansive',30,'node',1),('expected',83,'node',1),('experience',6,'node',1),('experience',81,'node',1),('experience',91,'node',1),('explore',25,'node',1),('export',83,'node',1),('express',46,'node',1),('exputo',70,'node',2.97685),('exputo',71,'node',1.83717),('exputo',72,'node',1),('exputo',75,'node',2),('exputo',76,'node',2.92296),('extends',43,'node',1),('extinguish',9,'node',1),('extract',43,'node',1),('extract',79,'node',27),('extracts',77,'node',2),('eye',2,'node',1),('eye',44,'node',1),('eyelets',7,'node',1),('eyes',29,'node',0.892724),('eyes',44,'node',26),('faceplanting',40,'node',1),('facilisi',6,'node',0.889397),('facilisi',8,'node',1),('facilisi',15,'node',1),('facilisi',19,'node',0.776703),('facilisi',43,'node',0.781775),('facilisi',45,'node',0.725015),('facilisi',48,'node',0.794753),('facilisi',49,'node',0.836446),('facilisi',64,'node',1),('facilisi',70,'node',1.75946),('facilisi',71,'node',1.79955),('facilisi',72,'node',1),('facilisi',73,'node',2.78143),('facilisi',75,'node',1),('facilisi',83,'node',0.733888),('facilisi',84,'node',0.882818),('facilisi',86,'node',1),('facilisis',1,'node',2.98087),('facilisis',5,'node',1.77115),('facilisis',6,'node',1.89062),('facilisis',7,'node',1),('facilisis',9,'node',1.56524),('facilisis',10,'node',1),('facilisis',11,'node',1.73061),('facilisis',13,'node',0.661163),('facilisis',16,'node',1.76922),('facilisis',17,'node',1.88282),('facilisis',19,'node',0.695602),('facilisis',22,'node',0.934703),('facilisis',23,'node',0.899454),('facilisis',24,'node',0.786915),('facilisis',26,'node',2.2484),('facilisis',27,'node',0.76188),('facilisis',28,'node',0.742984),('facilisis',29,'node',0.731649),('facilisis',30,'node',0.76188),('facilisis',31,'node',1.64958),('facilisis',32,'node',1.98493),('facilisis',33,'node',0.857458),('facilisis',35,'node',2.61374),('facilisis',36,'node',2.4399),('facilisis',37,'node',2.66428),('facilisis',38,'node',2.63024),('facilisis',39,'node',2.4909),('facilisis',40,'node',3.54426),('facilisis',41,'node',2.62352),('facilisis',42,'node',3.28522),('facilisis',43,'node',2.59215),('facilisis',44,'node',2.78691),('facilisis',45,'node',2.42415),('facilisis',46,'node',0.813674),('facilisis',47,'node',3.68512),('facilisis',48,'node',2.54106),('facilisis',49,'node',7.32167),('facilisis',64,'node',0.714225),('facilisis',70,'node',2.46602),('facilisis',72,'node',2.89945),('facilisis',73,'node',3.76985),('facilisis',74,'node',1),('facilisis',76,'node',2),('facilisis',77,'node',1.83063),('facilisis',78,'node',0.931053),('facilisis',79,'node',1),('facilisis',80,'node',0.802752),('facilisis',81,'node',0.961087),('facilisis',83,'node',0.813674),('facilisis',84,'node',1),('facilisis',88,'node',2),('facilisis',89,'node',1),('facilisis',90,'node',0.866793),('facilisis',91,'node',0.961087),('facilisis',92,'node',1.87634),('facilisis',99,'node',3.96178),('facilisis',101,'node',1),('facing',35,'node',1),('fact',27,'node',1),('fact',42,'node',1),('fall',14,'node',1),('fall',24,'node',1),('fames',3,'node',1.9534),('fames',4,'node',1.61497),('fames',12,'node',2),('fames',19,'node',0.745294),('fames',26,'node',0.71),('fames',78,'node',0.854391),('fames',79,'node',0.972861),('fames',80,'node',0.745294),('fames',81,'node',0.848323),('fames',82,'node',1.63151),('fames',83,'node',0.873132),('fames',84,'node',0.757065),('fames',85,'node',0.876337),('fames',86,'node',0.76431),('families',30,'node',1),('family',3,'node',1),('family',29,'node',1),('family',30,'node',1),('fan',2,'node',1),('fans',2,'node',1),('far',4,'node',2),('far',39,'node',1),('far',46,'node',2),('far',91,'node',1),('fare',31,'node',1),('fashion',10,'node',8.2238),('fashion',11,'node',8.80075),('fashion',22,'node',8.90352),('fashion',23,'node',8.83027),('fashion',24,'node',28),('fashion',25,'node',63.0481),('fashion',26,'node',27),('fast',7,'node',1),('fast',43,'node',1),('fast',48,'node',1),('fast',69,'node',1),('fat',38,'node',1),('fat',41,'node',1),('fatal',13,'node',1),('fatfighting',43,'node',1),('father',20,'node',1),('fatherinlaw',28,'node',1),('faucibus',1,'node',3.99315),('faucibus',2,'node',1.98087),('faucibus',3,'node',2.91448),('faucibus',4,'node',4.39591),('faucibus',5,'node',1.9534),('faucibus',7,'node',1.98493),('faucibus',9,'node',0.766757),('faucibus',10,'node',1.79212),('faucibus',11,'node',0.839384),('faucibus',12,'node',3),('faucibus',13,'node',0.668514),('faucibus',14,'node',0.906287),('faucibus',16,'node',0.873132),('faucibus',17,'node',0.902857),('faucibus',19,'node',2.38215),('faucibus',20,'node',2.26023),('faucibus',21,'node',1.76431),('faucibus',22,'node',1.98493),('faucibus',23,'node',1.86593),('faucibus',24,'node',1.57445),('faucibus',25,'node',0.916736),('faucibus',26,'node',2.23686),('faucibus',28,'node',0.72066),('faucibus',29,'node',1.36011),('faucibus',30,'node',1.43932),('faucibus',31,'node',1.77923),('faucibus',32,'node',1.79955),('faucibus',33,'node',0.873132),('faucibus',34,'node',1.78691),('faucibus',36,'node',0.892724),('faucibus',39,'node',0.913226),('faucibus',43,'node',0.769219),('faucibus',45,'node',0.714225),('faucibus',46,'node',0.824901),('faucibus',48,'node',0.786915),('faucibus',49,'node',0.822065),('faucibus',64,'node',5.62685),('faucibus',77,'node',1.6892),('faucibus',78,'node',2.76457),('faucibus',79,'node',2.79381),('faucibus',80,'node',2.39615),('faucibus',81,'node',1.78003),('faucibus',82,'node',22.7856),('faucibus',83,'node',2.64345),('faucibus',84,'node',3.08968),('faucibus',85,'node',2.69892),('faucibus',86,'node',3.1875),('faucibus',88,'node',2),('faucibus',89,'node',2),('faucibus',90,'node',1.86055),('faucibus',91,'node',1.82019),('faucibus',92,'node',0.927431),('faucibus',99,'node',1.97685),('faucibus',101,'node',2),('favorite',49,'node',1),('favourite',22,'node',1),('favourite',25,'node',1),('favourite',26,'node',1),('favourite',27,'node',1),('feature',81,'node',1),('features',77,'node',29),('featuring',49,'node',1),('february',69,'node',1),('federal',84,'node',1),('federation',37,'node',1),('fee',79,'node',1),('feel',20,'node',1),('feel',21,'node',26),('feel',40,'node',1),('feel',47,'node',1),('feel',48,'node',1),('feel',86,'node',1),('feel',90,'node',1),('feel',91,'node',1),('feeling',48,'node',1),('feelings',24,'node',1),('feinberg',42,'node',1),('felis',1,'node',2),('felis',2,'node',0.833529),('felis',3,'node',1.96498),('felis',4,'node',1.67169),('felis',5,'node',1.79278),('felis',6,'node',3.89945),('felis',8,'node',1.78023),('felis',9,'node',0.685676),('felis',10,'node',2.31424),('felis',11,'node',0.899454),('felis',12,'node',1),('felis',13,'node',2.19098),('felis',15,'node',1.9534),('felis',16,'node',0.769219),('felis',17,'node',0.997306),('felis',18,'node',0.842342),('felis',19,'node',0.813674),('felis',21,'node',2.25276),('felis',22,'node',0.72066),('felis',24,'node',1.69883),('felis',25,'node',1.84905),('felis',26,'node',0.727213),('felis',27,'node',1.55666),('felis',31,'node',1.70798),('felis',32,'node',1.82506),('felis',34,'node',0.949597),('felis',41,'node',0.693594),('felis',43,'node',2.54441),('felis',44,'node',0.752312),('felis',45,'node',2.34468),('felis',48,'node',2.49835),('felis',49,'node',25.7011),('felis',64,'node',1.55613),('felis',65,'node',1),('felis',77,'node',2.55212),('felis',78,'node',3.63274),('felis',79,'node',2.8894),('felis',80,'node',3.24115),('felis',81,'node',2.64969),('felis',82,'node',2.46634),('felis',83,'node',3.22086),('felis',84,'node',4.89212),('felis',85,'node',3.68245),('felis',86,'node',4.0592),('felis',88,'node',2.99731),('felis',89,'node',1),('felis',90,'node',1.82776),('felis',91,'node',1.76573),('felis',92,'node',3),('felis',99,'node',2),('felis',101,'node',1),('fellow',16,'node',1),('felt',21,'node',1),('fere',70,'node',2.55367),('fere',71,'node',0.854391),('fere',72,'node',1),('fere',73,'node',3.58674),('fere',74,'node',0.873132),('fere',75,'node',0.945829),('fere',76,'node',1.87634),('fermentum',1,'node',3),('fermentum',2,'node',2.59579),('fermentum',3,'node',2),('fermentum',4,'node',2.74518),('fermentum',6,'node',1.86366),('fermentum',7,'node',1.70772),('fermentum',9,'node',2.26316),('fermentum',10,'node',1.72122),('fermentum',11,'node',2.72342),('fermentum',12,'node',1),('fermentum',13,'node',1.51485),('fermentum',14,'node',1.53889),('fermentum',16,'node',2.57413),('fermentum',17,'node',1.85746),('fermentum',18,'node',1.57074),('fermentum',19,'node',1.53068),('fermentum',20,'node',0.938382),('fermentum',21,'node',2.20496),('fermentum',22,'node',0.727213),('fermentum',23,'node',1),('fermentum',24,'node',2.58707),('fermentum',26,'node',0.697623),('fermentum',28,'node',0.860547),('fermentum',30,'node',0.972861),('fermentum',43,'node',0.786915),('fermentum',45,'node',0.729424),('fermentum',46,'node',1.67457),('fermentum',48,'node',0.800068),('fermentum',49,'node',0.842342),('fermentum',64,'node',1),('fermentum',77,'node',0.889397),('fermentum',78,'node',1.81925),('fermentum',79,'node',0.882818),('fermentum',80,'node',1.62136),('fermentum',81,'node',0.779231),('fermentum',82,'node',0.882818),('fermentum',83,'node',0.997306),('fermentum',85,'node',0.72066),('fermentum',87,'node',0.752312),('fermentum',89,'node',1),('fermentum',90,'node',1),('fermentum',92,'node',1.76243),('fermentum',101,'node',1),('fernando',87,'node',1),('festival',26,'node',1),('festivities',26,'node',1),('fetching',85,'node',1),('feugiat',1,'node',4),('feugiat',2,'node',0.848323),('feugiat',3,'node',1.91674),('feugiat',4,'node',0.896076),('feugiat',5,'node',1.87313),('feugiat',9,'node',0.76431),('feugiat',10,'node',0.879565),('feugiat',12,'node',1.83938),('feugiat',13,'node',2.97382),('feugiat',16,'node',0.869951),('feugiat',17,'node',0.824901),('feugiat',18,'node',3.28674),('feugiat',19,'node',1.56793),('feugiat',22,'node',1.62136),('feugiat',23,'node',0.879565),('feugiat',24,'node',0.882818),('feugiat',25,'node',1.59594),('feugiat',26,'node',3.03125),('feugiat',28,'node',1.43486),('feugiat',29,'node',1.37331),('feugiat',30,'node',1.44349),('feugiat',31,'node',1),('feugiat',32,'node',1.71057),('feugiat',33,'node',1.73298),('feugiat',34,'node',2.74815),('feugiat',35,'node',2.41015),('feugiat',36,'node',2.53464),('feugiat',37,'node',2.48605),('feugiat',38,'node',2.43492),('feugiat',39,'node',2.58991),('feugiat',40,'node',1.83811),('feugiat',41,'node',1.70021),('feugiat',42,'node',2.3859),('feugiat',43,'node',0.754681),('feugiat',44,'node',1.81092),('feugiat',45,'node',0.7017),('feugiat',46,'node',1.68261),('feugiat',47,'node',3.55491),('feugiat',48,'node',1.75355),('feugiat',49,'node',0.805455),('feugiat',64,'node',2.17952),('feugiat',66,'node',1),('feugiat',67,'node',1),('feugiat',70,'node',1),('feugiat',71,'node',1.85439),('feugiat',72,'node',1.81645),('feugiat',73,'node',2.90974),('feugiat',74,'node',3.86995),('feugiat',75,'node',1),('feugiat',76,'node',1.86995),('feugiat',77,'node',0.857458),('feugiat',78,'node',0.989021),('feugiat',79,'node',1),('feugiat',80,'node',0.845322),('feugiat',81,'node',1),('feugiat',82,'node',1),('feugiat',84,'node',0.771698),('feugiat',85,'node',1.70571),('feugiat',86,'node',1.49706),('feugiat',87,'node',0.810915),('feugiat',88,'node',1),('feugiat',89,'node',2),('feugiat',90,'node',1.76891),('feugiat',91,'node',2),('feugiat',92,'node',2.82648),('feugiat',101,'node',2),('few',4,'node',1),('few',18,'node',1),('few',21,'node',1),('few',26,'node',1),('few',35,'node',1),('few',36,'node',1),('few',47,'node',1),('fiance',22,'node',1),('field',82,'node',1),('fields',23,'node',1),('fields',91,'node',1),('fiercely',9,'node',1),('fifthgrade',14,'node',0.993146),('fight',16,'node',1),('figure',20,'node',0.997306),('figures',9,'node',1),('figures',87,'node',1),('figuring',4,'node',1),('filled',29,'node',1),('film',24,'node',1),('films',81,'node',26),('final',26,'node',1),('finals',39,'node',1),('finance',84,'node',1),('finances',80,'node',1),('find',17,'node',26),('find',22,'node',1),('find',25,'node',26),('find',27,'node',1),('find',30,'node',1),('find',43,'node',1),('find',80,'node',1),('find',81,'node',1),('finding',80,'node',1),('findings',21,'node',1),('finds',21,'node',26),('fine',42,'node',1),('fine',87,'node',1),('finland',21,'node',1),('fiona',11,'node',1),('fire',30,'node',1),('firm',14,'node',1),('firmly',29,'node',0.886095),('first',19,'node',1),('first',36,'node',1),('first',39,'node',1),('first',40,'node',1),('first',41,'node',1),('first',67,'node',26),('fishing',27,'node',1),('fit',3,'node',1),('fitness',28,'node',1),('fits',4,'node',1),('fitting',25,'node',1),('five',6,'node',1),('five',29,'node',1.92384),('fixer',37,'node',1),('flatform',26,'node',1),('flatrate',31,'node',1),('flavor',43,'node',1),('flavored',43,'node',1),('flexibility',28,'node',1),('flights',31,'node',2),('floor',6,'node',1),('floor',42,'node',1),('floral',22,'node',1),('floral',23,'node',1),('florida',2,'node',30),('florida',84,'node',1),('fly',5,'node',1),('focus',13,'node',1),('focus',19,'node',26),('focus',86,'node',1),('focused',40,'node',1),('follow',41,'node',1),('follow',82,'node',1),('followed',17,'node',1),('followed',21,'node',1),('following',19,'node',1),('following',85,'node',1),('fooling',43,'node',1),('football',37,'node',8.92726),('football',39,'node',8.68461),('for',2,'node',1),('for',4,'node',1),('for',6,'node',2),('for',7,'node',3),('for',8,'node',27),('for',10,'node',1),('for',11,'node',1),('for',12,'node',1),('for',13,'node',1),('for',14,'node',2),('for',16,'node',2),('for',17,'node',1),('for',19,'node',3),('for',20,'node',1.98902),('for',21,'node',1),('for',23,'node',1),('for',25,'node',2),('for',26,'node',29.9378),('for',27,'node',2),('for',28,'node',1),('for',30,'node',5),('for',32,'node',27),('for',34,'node',27),('for',36,'node',1),('for',37,'node',1),('for',38,'node',2),('for',40,'node',1),('for',41,'node',28),('for',43,'node',26),('for',45,'node',1),('for',46,'node',26),('for',48,'node',1),('for',49,'node',2),('for',60,'node',26),('for',68,'node',1),('for',77,'node',1),('for',80,'node',28),('for',81,'node',27),('for',82,'node',28),('for',83,'node',2),('for',85,'node',1),('for',86,'node',3),('for',87,'node',2),('for',90,'node',2),('for',91,'node',1),('forbid',83,'node',1),('forced',85,'node',1),('forces',35,'node',1),('forcing',35,'node',1),('foreign',20,'node',27.9931),('forest',82,'node',8.92007),('forest',83,'node',7.67385),('forever',48,'node',1),('form',22,'node',1),('form',41,'node',1),('formal',4,'node',1),('formally',85,'node',1),('former',28,'node',1),('forward',43,'node',1),('found',12,'node',1),('found',42,'node',1),('found',43,'node',2),('found',84,'node',28),('foundation',19,'node',1),('founder',44,'node',1),('four',6,'node',1),('four',14,'node',1),('fourth',5,'node',1),('fourth',18,'node',1),('fourth',34,'node',1),('fourth',86,'node',1),('framed',2,'node',1),('france',21,'node',1),('fraud',37,'node',1),('freak',91,'node',1),('free',46,'node',1),('frequently',49,'node',1),('fret',11,'node',1),('friday',8,'node',1),('friday',26,'node',1),('friend',13,'node',1),('friend',24,'node',1),('friendofaghost',24,'node',26),('friends',3,'node',1),('friends',27,'node',1),('friends',29,'node',1),('friends',30,'node',1),('fringilla',1,'node',0.993146),('fringilla',2,'node',1.75277),('fringilla',4,'node',1.85498),('fringilla',5,'node',2.73674),('fringilla',6,'node',0.957226),('fringilla',7,'node',1),('fringilla',8,'node',1.81645),('fringilla',9,'node',0.677939),('fringilla',10,'node',0.839384),('fringilla',11,'node',0.882818),('fringilla',13,'node',2.75537),('fringilla',15,'node',1.9347),('fringilla',16,'node',0.759465),('fringilla',17,'node',1.76115),('fringilla',18,'node',2.28106),('fringilla',19,'node',2.40634),('fringilla',20,'node',0.902857),('fringilla',21,'node',0.923838),('fringilla',23,'node',2),('fringilla',24,'node',0.824901),('fringilla',25,'node',1.77828),('fringilla',29,'node',0.662985),('fringilla',30,'node',0.707906),('fringilla',31,'node',0.851346),('fringilla',32,'node',1),('fringilla',33,'node',1),('fringilla',34,'node',0.839384),('fringilla',36,'node',1),('fringilla',39,'node',1),('fringilla',40,'node',0.792123),('fringilla',41,'node',0.707906),('fringilla',42,'node',0.681785),('fringilla',43,'node',1.73393),('fringilla',44,'node',0.769219),('fringilla',45,'node',1.59401),('fringilla',48,'node',1.68022),('fringilla',49,'node',1.83938),('fringilla',64,'node',4.95007),('fringilla',77,'node',0.972861),('fringilla',78,'node',1),('fringilla',80,'node',1),('fringilla',83,'node',0.786915),('fringilla',84,'node',1.74762),('fringilla',85,'node',3.14612),('fringilla',86,'node',2.19167),('fringilla',87,'node',2.61987),('fringilla',88,'node',1),('fringilla',89,'node',2),('fringilla',90,'node',0.949597),('fringilla',91,'node',1.81367),('fringilla',92,'node',3.67594),('fringilla',99,'node',1),('fringilla',101,'node',2),('from',2,'node',1),('from',5,'node',1),('from',9,'node',5),('from',11,'node',1),('from',16,'node',1),('from',17,'node',1),('from',19,'node',2),('from',20,'node',1.97685),('from',21,'node',1),('from',22,'node',1),('from',23,'node',2),('from',25,'node',1),('from',26,'node',3),('from',28,'node',1),('from',29,'node',2.92384),('from',30,'node',1),('from',31,'node',6),('from',32,'node',1),('from',33,'node',1),('from',37,'node',1),('from',38,'node',1),('from',40,'node',1),('from',41,'node',1),('from',42,'node',1),('from',46,'node',1),('from',49,'node',1),('from',68,'node',1),('from',84,'node',1),('from',87,'node',1),('from',90,'node',1),('front',7,'node',1),('front',18,'node',1),('front',30,'node',1),('fronted',11,'node',1),('frosts',91,'node',1),('frustrated',14,'node',1),('full',5,'node',1),('full',8,'node',1),('full',22,'node',1),('fullwidth',94,'node',27),('fun',26,'node',1),('functions',6,'node',1),('fund',19,'node',1),('furstenburg',25,'node',1),('fusce',5,'node',1.75507),('fusce',6,'node',0.882818),('fusce',7,'node',1.7388),('fusce',8,'node',2.56115),('fusce',9,'node',1.48144),('fusce',11,'node',2),('fusce',12,'node',1.81394),('fusce',13,'node',0.7017),('fusce',14,'node',1.56742),('fusce',15,'node',2.86625),('fusce',16,'node',1.67885),('fusce',18,'node',2.70156),('fusce',21,'node',3.32879),('fusce',22,'node',0.781775),('fusce',23,'node',0.810915),('fusce',24,'node',1),('fusce',26,'node',0.792123),('fusce',27,'node',0.718502),('fusce',28,'node',1.81645),('fusce',29,'node',1.30097),('fusce',30,'node',2.28135),('fusce',33,'node',0.902857),('fusce',34,'node',0.797402),('fusce',35,'node',1.52777),('fusce',36,'node',1.71761),('fusce',37,'node',1.57305),('fusce',38,'node',1.54256),('fusce',39,'node',1.75584),('fusce',40,'node',1.666),('fusce',41,'node',2.41335),('fusce',42,'node',2.19698),('fusce',43,'node',2.62276),('fusce',44,'node',2.62203),('fusce',45,'node',3.10502),('fusce',46,'node',1),('fusce',47,'node',1.77854),('fusce',48,'node',3.53664),('fusce',49,'node',5.04901),('fusce',64,'node',1.4399),('fusce',65,'node',1),('fusce',77,'node',1),('fusce',82,'node',0.889397),('fusce',83,'node',1),('fusce',84,'node',0.76431),('fusce',85,'node',0.923838),('fusce',86,'node',0.784336),('fusce',88,'node',1),('fusce',90,'node',1.96498),('fusce',91,'node',3.47315),('fusce',92,'node',1.87634),('fusce',99,'node',1),('future',45,'node',1),('fuzzy',47,'node',1),('gallate',43,'node',1),('gallery',85,'node',1),('game',37,'node',2),('games',29,'node',0.876337),('games',37,'node',2),('garage',36,'node',1),('garnet',55,'node',26),('gases',29,'node',1),('gear',43,'node',1),('gearing',2,'node',1),('gearing',16,'node',1),('gêmeos',84,'node',1),('gemino',70,'node',1.75946),('gemino',71,'node',2.85135),('gemino',72,'node',3.57648),('gemino',73,'node',2.83645),('gemino',74,'node',3),('gemino',75,'node',0.836446),('gemino',76,'node',2),('gems',32,'node',1),('general',70,'node',11),('generally',27,'node',1),('generation',2,'node',1),('genetics',82,'node',28),('genitus',72,'node',0.869951),('genitus',73,'node',2.67146),('genitus',74,'node',3.74742),('genitus',76,'node',0.882818),('genomewide',82,'node',1),('gentile',35,'node',1),('gently',45,'node',1),('geometric',87,'node',1),('geometry',7,'node',1),('german',37,'node',1),('german',39,'node',1),('germany',39,'node',1),('get',3,'node',1),('get',27,'node',1),('get',41,'node',1),('get',45,'node',1),('get',46,'node',1),('get',80,'node',26),('getting',31,'node',27),('getting',45,'node',1),('getting',82,'node',1),('gilvus',71,'node',2.84599),('gilvus',72,'node',1.96498),('gilvus',74,'node',1.81243),('gilvus',75,'node',0.854391),('gilvus',76,'node',2),('girl',10,'node',26),('girls',24,'node',1),('give',3,'node',1),('give',46,'node',1),('give',48,'node',1),('given',4,'node',1),('given',30,'node',1),('gives',68,'node',26),('gives',80,'node',1),('glastonbury',23,'node',1),('glitter',26,'node',0.997306),('glittering',9,'node',1),('global',20,'node',1),('global',68,'node',1),('gloves',91,'node',1),('glucose',13,'node',1),('glued',29,'node',0.882818),('glute',41,'node',1),('gluteactivation',41,'node',1),('glutes',41,'node',2),('goal',39,'node',1),('goals',39,'node',2),('god',38,'node',1),('goes',27,'node',1),('going',27,'node',1),('golf',9,'node',1),('golfar',11,'node',1),('good',28,'node',1),('google',28,'node',26),('gorgeous',30,'node',1),('got',40,'node',1),('got',48,'node',1),('goto',49,'node',1),('goulding',1,'node',26),('governments',35,'node',1),('gowns',9,'node',1),('grace',22,'node',1),('graders',18,'node',1),('grades',19,'node',1),('graduates',9,'node',1),('graduation',9,'node',1),('graffiti',84,'node',1),('grammar',9,'node',26),('grand',26,'node',1),('gravida',1,'node',1),('gravida',5,'node',1.86995),('gravida',6,'node',2.91323),('gravida',7,'node',2.81394),('gravida',8,'node',0.805455),('gravida',9,'node',0.797402),('gravida',10,'node',1.66474),('gravida',12,'node',0.854391),('gravida',14,'node',2.57226),('gravida',15,'node',0.920273),('gravida',16,'node',0.913226),('gravida',17,'node',0.836446),('gravida',18,'node',0.934703),('gravida',19,'node',0.774192),('gravida',20,'node',1.58905),('gravida',21,'node',2.55634),('gravida',22,'node',2.45464),('gravida',23,'node',0.945829),('gravida',24,'node',2.60115),('gravida',26,'node',0.725015),('gravida',27,'node',1.55129),('gravida',28,'node',2.28878),('gravida',29,'node',1.47222),('gravida',30,'node',2.38531),('gravida',31,'node',1.54879),('gravida',32,'node',1.85968),('gravida',33,'node',1.67929),('gravida',35,'node',1.84051),('gravida',36,'node',1.66257),('gravida',37,'node',1.89272),('gravida',38,'node',1.86215),('gravida',39,'node',1.69803),('gravida',40,'node',1.93105),('gravida',42,'node',1.81937),('gravida',43,'node',0.771698),('gravida',45,'node',1.39049),('gravida',46,'node',2.55743),('gravida',47,'node',2),('gravida',48,'node',0.78951),('gravida',49,'node',0.824901),('gravida',64,'node',1.73614),('gravida',77,'node',0.892724),('gravida',78,'node',1.85746),('gravida',79,'node',0.98493),('gravida',80,'node',1.65391),('gravida',81,'node',0.857458),('gravida',84,'node',0.745294),('gravida',85,'node',0.824901),('gravida',86,'node',0.742984),('gravida',88,'node',1),('gravida',89,'node',2),('gravida',90,'node',0.833529),('gravida',91,'node',1.71814),('gravida',92,'node',0.899454),('gravida',99,'node',1),('gravida',101,'node',2),('gravis',70,'node',3.32292),('gravis',71,'node',1.8894),('gravis',72,'node',1.72112),('gravis',74,'node',2.76566),('gravis',75,'node',1.85746),('great',13,'node',1),('great',27,'node',1),('great',81,'node',1),('green',43,'node',33),('greenwell',14,'node',1),('grocery',43,'node',1),('grooms',46,'node',1),('ground',28,'node',1),('grounded',25,'node',1),('group',32,'node',1),('group',37,'node',2),('group',41,'node',1),('group',69,'node',1),('grow',83,'node',1),('growing',20,'node',2),('growth',13,'node',1),('growth',41,'node',1),('grueling',16,'node',1),('guaranteed',47,'node',1),('gubergren',64,'node',2.96109),('guide',18,'node',1),('guide',25,'node',1),('guide',26,'node',0.972861),('guide',28,'node',26),('guided',32,'node',26),('guido',84,'node',1),('guidoccio',85,'node',1),('guilty',86,'node',1),('gustavo',84,'node',1),('gwas',82,'node',2),('gynecology',34,'node',1),('habitant',26,'node',0.72066),('habitant',82,'node',1.64347),('habitant',83,'node',0.892724),('habitasse',6,'node',0.845322),('habitasse',22,'node',1),('habitasse',23,'node',0.934703),('habitasse',24,'node',0.836446),('habitasse',28,'node',0.727213),('habitasse',29,'node',0.697623),('habitasse',30,'node',0.733888),('habitasse',32,'node',0.842342),('habitasse',34,'node',0.98493),('habitasse',64,'node',1),('habitasse',92,'node',1),('habitasse',99,'node',0.942091),('hac',6,'node',0.848323),('hac',22,'node',1),('hac',23,'node',0.938382),('hac',24,'node',0.839384),('hac',28,'node',0.729424),('hac',29,'node',0.699655),('hac',30,'node',0.736141),('hac',32,'node',0.845322),('hac',34,'node',0.989021),('hac',64,'node',1),('hac',92,'node',1),('hac',99,'node',0.945829),('had',8,'node',1),('had',9,'node',1),('had',14,'node',1),('had',20,'node',1),('had',37,'node',1),('had',38,'node',1),('had',39,'node',1),('had',43,'node',1),('had',81,'node',1),('haero',71,'node',2.87634),('haero',72,'node',1.87957),('haero',73,'node',1),('haero',74,'node',3.7508),('haero',76,'node',2.91193),('hair',45,'node',1),('half',8,'node',27),('half',40,'node',1),('hand',25,'node',1),('handle',10,'node',1),('handling',45,'node',1),('handmade',49,'node',27),('handover',87,'node',1),('hang',45,'node',1),('happening',26,'node',1),('happiness',5,'node',1),('happy',91,'node',1),('harbour',29,'node',1),('has',6,'node',1),('has',7,'node',2),('has',10,'node',1),('has',13,'node',2),('has',14,'node',27),('has',15,'node',26),('has',35,'node',1),('has',39,'node',2),('has',42,'node',1),('has',43,'node',1),('has',47,'node',21.9418),('has',49,'node',1),('has',77,'node',2),('has',79,'node',1),('has',83,'node',2),('has',85,'node',2),('haunted',24,'node',1),('have',6,'node',2),('have',7,'node',1),('have',11,'node',1),('have',13,'node',0.972861),('have',16,'node',1),('have',26,'node',1),('have',28,'node',1),('have',29,'node',1.9534),('have',33,'node',1),('have',37,'node',1),('have',39,'node',1),('have',79,'node',1),('have',80,'node',1),('have',81,'node',1),('have',82,'node',1),('have',83,'node',1),('have',84,'node',1),('have',86,'node',1),('have',87,'node',1),('have',91,'node',1),('having',38,'node',1),('head',17,'node',1),('head',21,'node',1),('head',27,'node',0.993146),('head',35,'node',1),('headphones',38,'node',1),('headquarters',83,'node',1),('health',1,'node',10.7896),('health',34,'node',29),('health',35,'node',57),('health',36,'node',2),('health',40,'node',8.68461),('health',42,'node',1),('healthboosting',43,'node',1),('healthcare',34,'node',1),('healthcare',35,'node',3),('healthier',40,'node',1),('heart',12,'node',29),('heart',16,'node',1),('heart',20,'node',1),('heart',31,'node',1),('heart',46,'node',1),('heartattack',12,'node',1),('heartpumping',5,'node',1),('hearts',46,'node',1),('heavy',45,'node',1),('heed',4,'node',1),('heels',22,'node',1),('heels',23,'node',1),('heels',43,'node',1),('helicopter',38,'node',1),('help',14,'node',0.997306),('helping',18,'node',1),('helps',16,'node',26),('hendrerit',2,'node',0.949597),('hendrerit',4,'node',1),('hendrerit',5,'node',1.87634),('hendrerit',6,'node',0.857458),('hendrerit',7,'node',1.92384),('hendrerit',8,'node',2.45471),('hendrerit',9,'node',0.695602),('hendrerit',10,'node',7.1209),('hendrerit',11,'node',2.59398),('hendrerit',14,'node',0.845322),('hendrerit',15,'node',2.81165),('hendrerit',16,'node',0.781775),('hendrerit',17,'node',7.61769),('hendrerit',19,'node',0.802752),('hendrerit',21,'node',2.63978),('hendrerit',22,'node',0.792123),('hendrerit',23,'node',0.816452),('hendrerit',24,'node',1),('hendrerit',25,'node',0.931053),('hendrerit',27,'node',0.689612),('hendrerit',28,'node',0.957226),('hendrerit',32,'node',0.873132),('hendrerit',33,'node',2.81925),('hendrerit',34,'node',2.7064),('hendrerit',35,'node',0.839384),('hendrerit',36,'node',1.80007),('hendrerit',37,'node',0.866793),('hendrerit',38,'node',0.848323),('hendrerit',39,'node',1.81645),('hendrerit',40,'node',0.902857),('hendrerit',42,'node',0.830633),('hendrerit',43,'node',0.776703),('hendrerit',45,'node',1.39104),('hendrerit',46,'node',1.84865),('hendrerit',47,'node',0.993146),('hendrerit',48,'node',0.792123),('hendrerit',49,'node',0.830633),('hendrerit',64,'node',2.9056),('hendrerit',70,'node',3.37648),('hendrerit',71,'node',2.84234),('hendrerit',72,'node',1.78434),('hendrerit',73,'node',0.96498),('hendrerit',74,'node',1.82206),('hendrerit',75,'node',0.879565),('hendrerit',76,'node',1.98493),('hendrerit',77,'node',1.77646),('hendrerit',78,'node',2.78544),('hendrerit',79,'node',1.97685),('hendrerit',80,'node',2.52892),('hendrerit',81,'node',1.82025),('hendrerit',83,'node',0.779231),('hendrerit',84,'node',1.7974),('hendrerit',85,'node',1.78178),('hendrerit',86,'node',1.55832),('hendrerit',87,'node',0.916736),('hendrerit',88,'node',1),('hendrerit',90,'node',0.98493),('hendrerit',91,'node',1.7974),('hendrerit',92,'node',2.87634),('hendrerit',99,'node',0.96498),('henry',85,'node',1),('hepburn',22,'node',1),('her',14,'node',2),('her',18,'node',2),('her',20,'node',1),('her',22,'node',2),('her',24,'node',3),('her',45,'node',2),('her',84,'node',1),('here',12,'node',1),('here',31,'node',27),('heroine',24,'node',1),('herrera',25,'node',1),('hidden',84,'node',28),('high',13,'node',1.96109),('high',29,'node',1),('high',43,'node',1),('higher',82,'node',2),('higherthannormal',13,'node',0.968904),('highest',21,'node',1),('highlight',35,'node',1),('highlights',35,'node',1),('highs',21,'node',1),('him',16,'node',1),('himenaeos',8,'node',0.745294),('himenaeos',15,'node',0.842342),('himenaeos',23,'node',1),('himenaeos',35,'node',0.745294),('himenaeos',37,'node',0.766757),('himenaeos',38,'node',0.752312),('himenaeos',41,'node',0.816452),('himenaeos',42,'node',0.738408),('himenaeos',44,'node',0.899454),('himenaeos',46,'node',0.76431),('himenaeos',47,'node',0.863659),('himenaeos',48,'node',1),('himenaeos',85,'node',0.786915),('himenaeos',86,'node',0.714225),('himenaeos',87,'node',0.931053),('himself',12,'node',1),('himself',29,'node',0.968904),('hipsters',29,'node',0.909743),('hirsch',19,'node',1),('his',12,'node',1),('his',14,'node',0.980874),('his',16,'node',2),('his',80,'node',4),('his',85,'node',1),('historic',20,'node',1),('historic',32,'node',1),('historical',20,'node',1),('history',20,'node',1),('history',22,'node',26),('history',87,'node',2),('hit',81,'node',1),('hoard',87,'node',1),('holden',80,'node',1),('holiday',91,'node',1),('hollywood',81,'node',1),('home',5,'node',1),('home',14,'node',1),('homes',32,'node',1),('homeschool',14,'node',1),('homework',14,'node',0.972861),('hop',31,'node',1),('hopes',83,'node',1),('horizon',29,'node',1),('hormone',13,'node',1),('hos',70,'node',2),('hos',72,'node',1.84563),('hos',73,'node',1.69118),('hos',74,'node',0.842342),('hos',75,'node',2),('hos',76,'node',1.98493),('hospital',2,'node',30),('hospital',12,'node',9.01173),('hospital',33,'node',36.0117),('hospital',35,'node',8.7187),('host',45,'node',1),('hotel',45,'node',1),('hotel',52,'node',26),('hour',13,'node',1),('hour',40,'node',1),('hours',31,'node',2),('house',44,'node',1),('how',3,'node',26),('how',4,'node',1),('how',6,'node',26),('how',9,'node',1),('how',16,'node',1),('how',40,'node',26),('how',81,'node',26),('how',83,'node',1),('however',28,'node',1),('however',35,'node',1),('however',86,'node',1),('hudson',28,'node',1),('huebl',22,'node',1),('huge',26,'node',1),('huge',68,'node',1),('huic',70,'node',0.776703),('huic',71,'node',2),('huic',72,'node',0.934703),('huic',73,'node',3),('huic',74,'node',2.67481),('huic',75,'node',1),('huic',76,'node',1.76287),('human',87,'node',1),('humo',70,'node',1.82776),('humo',71,'node',4.57111),('humo',72,'node',2.65113),('humo',73,'node',1.84832),('humo',74,'node',3.71814),('humo',75,'node',0.851346),('humo',76,'node',1),('hunt',4,'node',1),('husband',14,'node',1),('iaceo',70,'node',3.30305),('iaceo',71,'node',4.67529),('iaceo',72,'node',2.5185),('iaceo',73,'node',1.92743),('iaceo',74,'node',1.75923),('iaceo',75,'node',2.72768),('iaceo',76,'node',1),('iaculis',2,'node',2.94583),('iaculis',3,'node',1),('iaculis',4,'node',25.0103),('iaculis',6,'node',1.81925),('iaculis',7,'node',1),('iaculis',12,'node',0.886095),('iaculis',13,'node',0.697623),('iaculis',18,'node',1.74609),('iaculis',19,'node',0.71),('iaculis',21,'node',1.50087),('iaculis',24,'node',0.819249),('iaculis',26,'node',0.693594),('iaculis',28,'node',0.745294),('iaculis',29,'node',0.736141),('iaculis',30,'node',0.766757),('iaculis',33,'node',1.78704),('iaculis',34,'node',0.822065),('iaculis',35,'node',2.41147),('iaculis',36,'node',2.58216),('iaculis',37,'node',2.4869),('iaculis',38,'node',2.4361),('iaculis',39,'node',2.61419),('iaculis',40,'node',1.76096),('iaculis',41,'node',1.71814),('iaculis',42,'node',2.38735),('iaculis',43,'node',0.794753),('iaculis',44,'node',1.90318),('iaculis',45,'node',1.40652),('iaculis',46,'node',2.74112),('iaculis',47,'node',2.8092),('iaculis',48,'node',1.80545),('iaculis',49,'node',3.15931),('iaculis',64,'node',0.718502),('iaculis',65,'node',1),('iaculis',67,'node',1),('iaculis',77,'node',1.83938),('iaculis',78,'node',0.957226),('iaculis',79,'node',1),('iaculis',80,'node',0.822065),('iaculis',81,'node',1),('iaculis',82,'node',0.857458),('iaculis',83,'node',0.909743),('iaculis',88,'node',1),('iaculis',89,'node',1),('iaculis',92,'node',2.84099),('iaculis',99,'node',2.97685),('iaculis',101,'node',1),('ibidem',70,'node',3.60593),('ibidem',71,'node',0.889397),('ibidem',72,'node',2.78691),('ibidem',73,'node',2),('ibidem',74,'node',2.85439),('ibidem',75,'node',3.83063),('ibidem',76,'node',2.82996),('ice',43,'node',2),('iced',43,'node',1),('icrc',35,'node',1),('icrcled',35,'node',1),('idea',40,'node',1),('ideas',27,'node',1),('identified',85,'node',1),('identify',9,'node',1),('identify',18,'node',1),('ideo',71,'node',1.77564),('ideo',72,'node',0.776703),('ideo',73,'node',3.84832),('ideo',74,'node',0.851346),('ideo',75,'node',1.67885),('ideo',76,'node',1),('idols',87,'node',1),('ille',71,'node',1),('ille',72,'node',2.71726),('ille',73,'node',0.813674),('ille',75,'node',0.802752),('ille',76,'node',1),('illum',70,'node',1.64651),('illum',71,'node',0.923838),('illum',72,'node',1.81645),('illum',73,'node',1.90286),('illum',74,'node',1.87957),('illum',75,'node',1),('illum',76,'node',0.906287),('image',10,'node',1),('imagine',80,'node',1),('immitto',71,'node',1.8861),('immitto',72,'node',1.78434),('immitto',73,'node',1.72254),('immitto',74,'node',2.82206),('immitto',75,'node',0.957226),('immitto',76,'node',1.98493),('impact',42,'node',1),('imperdiet',3,'node',2.91179),('imperdiet',4,'node',1.59496),('imperdiet',5,'node',1.86581),('imperdiet',6,'node',1.85268),('imperdiet',8,'node',2.50225),('imperdiet',9,'node',1.41374),('imperdiet',11,'node',1.8894),('imperdiet',12,'node',0.957226),('imperdiet',13,'node',1.54658),('imperdiet',15,'node',2.81656),('imperdiet',16,'node',1.59251),('imperdiet',17,'node',0.972861),('imperdiet',18,'node',2.59769),('imperdiet',20,'node',2.32877),('imperdiet',21,'node',1.66863),('imperdiet',22,'node',0.745294),('imperdiet',24,'node',1.85476),('imperdiet',27,'node',2.48093),('imperdiet',32,'node',1.71494),('imperdiet',34,'node',2),('imperdiet',35,'node',0.729424),('imperdiet',37,'node',0.749958),('imperdiet',38,'node',0.736141),('imperdiet',41,'node',0.781775),('imperdiet',42,'node',0.722831),('imperdiet',44,'node',0.857458),('imperdiet',45,'node',0.695602),('imperdiet',46,'node',1),('imperdiet',47,'node',0.842342),('imperdiet',48,'node',1),('imperdiet',64,'node',7.81145),('imperdiet',77,'node',1.79753),('imperdiet',78,'node',1.93838),('imperdiet',79,'node',1.84234),('imperdiet',80,'node',1.80818),('imperdiet',81,'node',1),('imperdiet',83,'node',0.754681),('imperdiet',84,'node',0.96498),('imperdiet',88,'node',1),('imperdiet',89,'node',1),('imperdiet',90,'node',1.6939),('imperdiet',91,'node',1.84838),('imperdiet',99,'node',0.961087),('imperdiet',101,'node',1),('implementation',83,'node',1),('implied',28,'node',1),('import',83,'node',1),('important',19,'node',1),('important',87,'node',1),('importunus',70,'node',3.37807),('importunus',72,'node',3.62467),('importunus',73,'node',3.41278),('importunus',74,'node',1),('importunus',75,'node',1),('imposing',83,'node',1),('impossible',48,'node',1),('improve',34,'node',1),('imputo',70,'node',3.66141),('imputo',71,'node',0.866793),('imputo',72,'node',3.58979),('imputo',73,'node',0.786915),('imputo',74,'node',0.822065),('imputo',75,'node',3.87634),('incassum',70,'node',4.47726),('incassum',71,'node',2.75557),('incassum',73,'node',1.81092),('incassum',74,'node',1),('incassum',75,'node',2.84832),('incassum',76,'node',1),('inceptos',8,'node',0.747619),('inceptos',15,'node',0.845322),('inceptos',23,'node',1),('inceptos',35,'node',0.747619),('inceptos',37,'node',0.769219),('inceptos',38,'node',0.754681),('inceptos',41,'node',0.819249),('inceptos',42,'node',0.740689),('inceptos',44,'node',0.902857),('inceptos',46,'node',0.766757),('inceptos',47,'node',0.866793),('inceptos',48,'node',1),('inceptos',85,'node',0.78951),('inceptos',86,'node',0.716357),('inceptos',87,'node',0.934703),('inches',28,'node',1),('incident',35,'node',1),('incidents',35,'node',1),('incidunt',64,'node',0.830633),('include',77,'node',1),('includes',87,'node',1),('including',31,'node',1),('including',37,'node',1),('incorporating',79,'node',1),('incorporation',77,'node',1),('incorporation',79,'node',2),('increase',13,'node',1),('increase',41,'node',1),('increasingly',40,'node',1),('incredible',43,'node',1),('independence',5,'node',1),('india',83,'node',2),('individuals',83,'node',1),('indomitable',37,'node',1),('industrial',38,'node',1),('industries',20,'node',1),('industrious',36,'node',1),('inhaling',40,'node',1),('inhibeo',70,'node',2.78434),('inhibeo',72,'node',1),('inhibeo',73,'node',3.61557),('inhibeo',74,'node',26),('inhibeo',75,'node',1),('inhibeo',76,'node',1),('initial',10,'node',1),('initiative',34,'node',1),('innovative',33,'node',1),('insidious',42,'node',1),('inspiration',26,'node',0.976851),('inspirational',88,'node',26),('inspired',3,'node',1),('inspired',86,'node',1),('instagram',10,'node',1),('installation',72,'node',8.46141),('installing',75,'node',8.77142),('instantly',44,'node',1),('institute',12,'node',1),('institute',34,'node',1),('insulin',13,'node',2.97286),('integer',1,'node',1),('integer',2,'node',0.879565),('integer',3,'node',1),('integer',4,'node',1.75312),('integer',5,'node',1.8861),('integer',7,'node',0.842342),('integer',8,'node',1.78555),('integer',9,'node',1.37601),('integer',10,'node',0.810915),('integer',11,'node',1.81705),('integer',12,'node',1),('integer',13,'node',0.76188),('integer',14,'node',0.752312),('integer',15,'node',2),('integer',16,'node',1.54443),('integer',17,'node',1.93838),('integer',18,'node',0.797402),('integer',19,'node',1.81818),('integer',21,'node',0.705825),('integer',23,'node',1),('integer',25,'node',0.802752),('integer',33,'node',1.91674),('integer',34,'node',1.69215),('integer',36,'node',0.976851),('integer',39,'node',1),('integer',46,'node',0.819249),('integer',64,'node',1.48311),('integer',65,'node',1),('integer',77,'node',1),('integer',79,'node',0.873132),('integer',82,'node',0.913226),('integer',83,'node',1),('integer',84,'node',0.769219),('integer',85,'node',1.71635),('integer',86,'node',1.49645),('integer',87,'node',0.873132),('integer',88,'node',1),('integer',89,'node',2),('integer',91,'node',2.5237),('integer',92,'node',0.863659),('integer',99,'node',1),('integer',101,'node',2),('intended',66,'node',26),('intending',77,'node',1),('interdico',70,'node',0.771698),('interdico',71,'node',2.86055),('interdico',73,'node',0.882818),('interdico',74,'node',2.63051),('interdico',75,'node',2.83063),('interdico',76,'node',1),('interdum',1,'node',2),('interdum',2,'node',0.906287),('interdum',3,'node',1.9534),('interdum',4,'node',2.57895),('interdum',5,'node',1),('interdum',7,'node',2.55846),('interdum',8,'node',0.833529),('interdum',9,'node',2.39867),('interdum',10,'node',1.61822),('interdum',11,'node',2),('interdum',12,'node',2),('interdum',13,'node',0.699655),('interdum',14,'node',1.3872),('interdum',15,'node',0.957226),('interdum',16,'node',2.67039),('interdum',17,'node',0.800068),('interdum',18,'node',0.759465),('interdum',19,'node',2.33642),('interdum',20,'node',1.50783),('interdum',21,'node',0.7017),('interdum',22,'node',1),('interdum',23,'node',1.9689),('interdum',24,'node',1.63109),('interdum',26,'node',1.53107),('interdum',27,'node',0.860547),('interdum',28,'node',0.863659),('interdum',30,'node',0.980874),('interdum',31,'node',0.794753),('interdum',32,'node',0.993146),('interdum',33,'node',2.67404),('interdum',34,'node',0.827757),('interdum',35,'node',1.89608),('interdum',36,'node',2.70207),('interdum',37,'node',1.92743),('interdum',38,'node',1.90629),('interdum',39,'node',2.7393),('interdum',40,'node',2.78815),('interdum',41,'node',0.729424),('interdum',42,'node',2.57769),('interdum',43,'node',1),('interdum',44,'node',0.794753),('interdum',45,'node',0.968904),('interdum',46,'node',0.854391),('interdum',47,'node',2),('interdum',48,'node',0.945829),('interdum',49,'node',1),('interdum',64,'node',1),('interdum',78,'node',2.54894),('interdum',79,'node',2.87302),('interdum',80,'node',2.22499),('interdum',81,'node',2.50987),('interdum',82,'node',0.909743),('interdum',83,'node',1.75468),('interdum',84,'node',1.72597),('interdum',85,'node',0.882818),('interdum',86,'node',0.766757),('interdum',89,'node',2),('interdum',99,'node',2),('interdum',101,'node',2),('interest',19,'node',1),('interest',20,'node',1),('interference',45,'node',1),('international',11,'node',1),('international',17,'node',2),('international',20,'node',1),('international',21,'node',2),('international',28,'node',1),('international',31,'node',2),('international',86,'node',2),('internet',48,'node',1),('interuniversity',20,'node',1),('intervention',13,'node',0.953396),('inthepresent',40,'node',1),('into',2,'node',1),('into',3,'node',1),('into',10,'node',1),('into',13,'node',1),('into',25,'node',1),('into',28,'node',1),('into',29,'node',1),('into',30,'node',1),('into',31,'node',1),('into',38,'node',2),('into',43,'node',1),('into',47,'node',1),('into',78,'node',26),('into',81,'node',1),('into',86,'node',1),('intrigued',29,'node',1),('intrinsically',42,'node',1),('introduction',77,'node',1),('investigate',37,'node',1),('investigates',37,'node',26),('investigation',87,'node',1),('invidunt',64,'node',0.873132),('involve',19,'node',1),('involved',37,'node',1),('involved',39,'node',1),('involves',40,'node',1),('inwardly',38,'node',1),('ipad',11,'node',1),('iphones',29,'node',1),('ipsum',2,'node',2.62205),('ipsum',3,'node',3.83621),('ipsum',4,'node',4.38431),('ipsum',5,'node',2.71964),('ipsum',6,'node',2.90629),('ipsum',7,'node',0.993146),('ipsum',9,'node',0.781775),('ipsum',10,'node',1.61757),('ipsum',12,'node',2),('ipsum',13,'node',1.99581),('ipsum',14,'node',0.913226),('ipsum',16,'node',0.892724),('ipsum',17,'node',0.816452),('ipsum',18,'node',0.752312),('ipsum',19,'node',3.04093),('ipsum',20,'node',3.23155),('ipsum',21,'node',3.24948),('ipsum',22,'node',0.76431),('ipsum',23,'node',1.80275),('ipsum',24,'node',1),('ipsum',25,'node',0.784336),('ipsum',26,'node',3.0339),('ipsum',27,'node',3.68313),('ipsum',28,'node',2.81603),('ipsum',31,'node',0.759465),('ipsum',32,'node',0.902857),('ipsum',33,'node',2.87184),('ipsum',34,'node',2.50885),('ipsum',36,'node',1.90974),('ipsum',39,'node',1.93105),('ipsum',43,'node',0.810915),('ipsum',45,'node',2.10797),('ipsum',46,'node',4.563),('ipsum',48,'node',0.816452),('ipsum',49,'node',23.2421),('ipsum',64,'node',10.8227),('ipsum',77,'node',2.76416),('ipsum',78,'node',2.76808),('ipsum',79,'node',5.38226),('ipsum',80,'node',2.51196),('ipsum',81,'node',1.78741),('ipsum',82,'node',23.7179),('ipsum',83,'node',1.57156),('ipsum',84,'node',2.71577),('ipsum',85,'node',2.4581),('ipsum',86,'node',2.20611),('ipsum',87,'node',1.8867),('ipsum',89,'node',3),('ipsum',90,'node',2.71572),('ipsum',91,'node',2.76242),('ipsum',92,'node',2.86679),('ipsum',99,'node',2.97286),('ipsum',101,'node',3),('iriure',70,'node',2.75946),('iriure',72,'node',3.96498),('iriure',73,'node',2.65924),('iriure',74,'node',0.957226),('iriure',75,'node',1),('iriure',76,'node',1.87472),('island',16,'node',2),('island',27,'node',1),('island',29,'node',2),('island',90,'node',1),('islands',27,'node',2),('isn',4,'node',1),('issue',11,'node',3),('issue',42,'node',1),('issues',17,'node',1),('issues',21,'node',1),('items',26,'node',1),('its',8,'node',1),('its',11,'node',1),('its',20,'node',26),('its',27,'node',1),('its',29,'node',1),('its',49,'node',1),('its',86,'node',2),('iusto',70,'node',1.94583),('iusto',71,'node',2.86558),('iusto',72,'node',2.41957),('iusto',73,'node',1.82776),('iusto',74,'node',1.63308),('iusto',75,'node',1.83063),('iusto',76,'node',0.931053),('iustum',70,'node',1.78691),('iustum',73,'node',1),('iustum',74,'node',0.827757),('iustum',76,'node',1),('jack',80,'node',3),('jackets',26,'node',1),('james',81,'node',1),('jancker',39,'node',1),('january',69,'node',1),('japan',20,'node',3.98902),('japanese',20,'node',5),('jaunt',28,'node',1),('jeans',26,'node',7.37415),('jeans',29,'node',1),('jersey',2,'node',1),('jerseys',2,'node',1),('jesús',87,'node',1),('job',17,'node',1),('job',21,'node',1),('job',69,'node',1),('joel',19,'node',1),('johannes',22,'node',1),('join',26,'node',1),('join',67,'node',26),('josh',68,'node',1),('jour',25,'node',1),('journal',40,'node',1),('journey',28,'node',1),('joy',36,'node',1),('joyous',4,'node',1),('judging',26,'node',1),('jugis',70,'node',1),('jugis',72,'node',0.931053),('jugis',73,'node',1.80783),('jugis',74,'node',0.931053),('jugis',75,'node',0.899454),('jugis',76,'node',1.76965),('july',5,'node',28),('july',78,'node',1),('jumentum',70,'node',2.34267),('jumentum',72,'node',0.827757),('jumentum',73,'node',30.8165),('jumentum',75,'node',3.48054),('jumper',22,'node',1),('june',12,'node',1),('june',22,'node',1),('june',85,'node',1),('june',86,'node',1),('jus',70,'node',2.46193),('jus',71,'node',2),('jus',72,'node',1.69093),('jus',73,'node',0.792123),('jus',74,'node',1.79341),('jus',75,'node',2.75763),('just',5,'node',1),('just',9,'node',1),('just',35,'node',1),('just',42,'node',1),('just',44,'node',1),('just',49,'node',1),('just',86,'node',1),('just',91,'node',1),('justifiable',9,'node',1),('justo',1,'node',0.997306),('justo',3,'node',0.993146),('justo',4,'node',0.802752),('justo',5,'node',2.53638),('justo',6,'node',1.85135),('justo',7,'node',1.66416),('justo',8,'node',2.57135),('justo',9,'node',0.830633),('justo',10,'node',1.56876),('justo',12,'node',2.87821),('justo',13,'node',2.15683),('justo',14,'node',1.48598),('justo',15,'node',2.78895),('justo',16,'node',0.957226),('justo',17,'node',0.786915),('justo',18,'node',3.56524),('justo',19,'node',0.749958),('justo',20,'node',1.52172),('justo',21,'node',0.848323),('justo',22,'node',1.51234),('justo',23,'node',1.81367),('justo',24,'node',1.90974),('justo',27,'node',0.781775),('justo',31,'node',0.896076),('justo',32,'node',1.87634),('justo',33,'node',1.74074),('justo',34,'node',1.79212),('justo',35,'node',3.28919),('justo',36,'node',3.33266),('justo',37,'node',3.38585),('justo',38,'node',3.32397),('justo',39,'node',3.40423),('justo',40,'node',3.51399),('justo',41,'node',3.33605),('justo',42,'node',3.93501),('justo',43,'node',0.945829),('justo',44,'node',3.58321),('justo',45,'node',0.863659),('justo',47,'node',4.49146),('justo',48,'node',1.87271),('justo',49,'node',1),('justo',64,'node',3.93562),('justo',66,'node',1),('justo',77,'node',1.83645),('justo',78,'node',0.945829),('justo',79,'node',1.84234),('justo',80,'node',0.813674),('justo',81,'node',1),('justo',82,'node',2.49052),('justo',83,'node',3.99341),('justo',84,'node',3.43009),('justo',85,'node',1),('justo',86,'node',2.68688),('justo',88,'node',3),('justo',89,'node',2),('justo',90,'node',2.65179),('justo',91,'node',2.88282),('justo',92,'node',3.71894),('justo',99,'node',0.927431),('justo',101,'node',2),('kakalios',81,'node',1),('kasd',64,'node',2.96109),('kashuk',44,'node',2),('kate',11,'node',1),('kate',25,'node',1),('kayak',16,'node',1),('kayaked',16,'node',1),('kayaking',27,'node',1),('keep',2,'node',1),('keep',45,'node',1),('keep',48,'node',1),('keeping',29,'node',0.896076),('kelly',22,'node',1),('kept',87,'node',1),('kerry',23,'node',1),('kevin',14,'node',1),('key',4,'node',1),('kicked',26,'node',1),('kicked',43,'node',1),('kid',29,'node',1),('kill',28,'node',1),('killed',16,'node',1),('kind',3,'node',2),('kind',29,'node',1),('kindergartners',19,'node',1),('king',86,'node',1),('kirby',81,'node',1),('kiss',47,'node',21.9418),('kisses',47,'node',28),('kiwi',27,'node',2),('klein',19,'node',1),('knees',47,'node',26),('knew',20,'node',1),('knockout',41,'node',1),('know',13,'node',1),('know',20,'node',1),('know',44,'node',1),('know',45,'node',1),('know',80,'node',1),('knowledge',19,'node',3),('known',19,'node',1),('known',25,'node',1),('known',27,'node',1),('known',30,'node',1),('known',84,'node',1),('knows',16,'node',1),('korea',21,'node',1),('kroos',39,'node',1),('kuala',20,'node',1),('kuta',90,'node',27),('kyoto',20,'node',29.9931),('lab',81,'node',1),('labels',25,'node',1),('labore',64,'node',1.69771),('laborum',64,'node',2.80553),('lacinia',3,'node',1),('lacinia',4,'node',0.822065),('lacinia',5,'node',2.81965),('lacinia',7,'node',0.810915),('lacinia',8,'node',1.55597),('lacinia',12,'node',1),('lacinia',13,'node',2.23298),('lacinia',14,'node',0.722831),('lacinia',15,'node',1.76896),('lacinia',18,'node',2.36404),('lacinia',21,'node',2.20116),('lacinia',22,'node',0.779231),('lacinia',23,'node',1.80818),('lacinia',24,'node',1),('lacinia',25,'node',2.51845),('lacinia',26,'node',0.752312),('lacinia',29,'node',0.638366),('lacinia',30,'node',0.689612),('lacinia',31,'node',0.957226),('lacinia',33,'node',2),('lacinia',34,'node',1.77637),('lacinia',43,'node',0.766757),('lacinia',45,'node',1.40172),('lacinia',46,'node',1),('lacinia',48,'node',0.784336),('lacinia',49,'node',0.819249),('lacinia',64,'node',1.72066),('lacinia',82,'node',1),('lacinia',84,'node',0.759465),('lacinia',85,'node',0.899454),('lacinia',86,'node',0.776703),('lacinia',90,'node',0.863659),('lacinia',91,'node',0.957226),('lacinia',92,'node',5.81326),('lacinia',99,'node',2),('lacus',1,'node',3),('lacus',2,'node',2.89272),('lacus',4,'node',2.94583),('lacus',5,'node',3.88174),('lacus',6,'node',1),('lacus',7,'node',2.86995),('lacus',8,'node',0.863659),('lacus',12,'node',0.993146),('lacus',13,'node',1.36551),('lacus',14,'node',0.786915),('lacus',15,'node',0.997306),('lacus',18,'node',1.48828),('lacus',19,'node',0.705825),('lacus',20,'node',1.78034),('lacus',21,'node',2.23835),('lacus',22,'node',2.19364),('lacus',24,'node',3.63408),('lacus',25,'node',0.736141),('lacus',26,'node',1.56951),('lacus',27,'node',0.703756),('lacus',28,'node',1),('lacus',33,'node',0.836446),('lacus',35,'node',0.902857),('lacus',36,'node',0.822065),('lacus',37,'node',0.934703),('lacus',38,'node',0.913226),('lacus',39,'node',0.839384),('lacus',40,'node',0.976851),('lacus',42,'node',0.892724),('lacus',45,'node',0.691597),('lacus',46,'node',2.70816),('lacus',47,'node',1),('lacus',64,'node',1.70376),('lacus',66,'node',1),('lacus',77,'node',1.86995),('lacus',78,'node',2.68477),('lacus',79,'node',1.88136),('lacus',80,'node',2.34229),('lacus',81,'node',1.64756),('lacus',82,'node',4.35667),('lacus',83,'node',2.75526),('lacus',84,'node',1.58174),('lacus',85,'node',3.47342),('lacus',86,'node',2.36329),('lacus',87,'node',1.56677),('lacus',89,'node',1),('lacus',90,'node',1.68477),('lacus',91,'node',1.83734),('lacus',92,'node',1.80575),('lacus',101,'node',1),('lahm',39,'node',1),('laidback',27,'node',1),('lake',28,'node',1),('lakes',27,'node',1),('lancaster',12,'node',1),('landscape',48,'node',1),('lantern',33,'node',27),('laoreet',2,'node',1),('laoreet',4,'node',1),('laoreet',6,'node',1.94209),('laoreet',7,'node',0.827757),('laoreet',8,'node',1.61951),('laoreet',9,'node',1.49269),('laoreet',11,'node',1),('laoreet',12,'node',0.899454),('laoreet',13,'node',1.50385),('laoreet',14,'node',0.738408),('laoreet',15,'node',1.85243),('laoreet',16,'node',1.69373),('laoreet',17,'node',1),('laoreet',18,'node',2.55666),('laoreet',19,'node',2.1778),('laoreet',20,'node',1.44587),('laoreet',21,'node',1.42218),('laoreet',23,'node',1),('laoreet',27,'node',0.759465),('laoreet',28,'node',0.842342),('laoreet',30,'node',0.942091),('laoreet',31,'node',0.808176),('laoreet',32,'node',1),('laoreet',33,'node',0.989021),('laoreet',34,'node',0.830633),('laoreet',36,'node',1),('laoreet',39,'node',1),('laoreet',40,'node',0.819249),('laoreet',41,'node',1.42891),('laoreet',42,'node',0.691597),('laoreet',43,'node',1.91323),('laoreet',44,'node',1.554),('laoreet',45,'node',2.48515),('laoreet',46,'node',1.88282),('laoreet',48,'node',1.80888),('laoreet',49,'node',1.98902),('laoreet',64,'node',1.69306),('laoreet',67,'node',1),('laoreet',70,'node',0.931053),('laoreet',71,'node',1),('laoreet',72,'node',1),('laoreet',73,'node',2.49241),('laoreet',74,'node',2.84162),('laoreet',75,'node',2),('laoreet',77,'node',3.46991),('laoreet',78,'node',5.51854),('laoreet',79,'node',3.8926),('laoreet',80,'node',4.93543),('laoreet',81,'node',3.53892),('laoreet',82,'node',3.45992),('laoreet',83,'node',2.46562),('laoreet',84,'node',0.913226),('laoreet',85,'node',0.759465),('laoreet',86,'node',1.7017),('laoreet',87,'node',0.833529),('laoreet',88,'node',1),('laoreet',89,'node',1),('laoreet',92,'node',3.57247),('laoreet',99,'node',4),('laoreet',101,'node',1),('lash',44,'node',1),('lashing',37,'node',1),('last',12,'node',1),('last',17,'node',1),('last',20,'node',1),('last',21,'node',1),('last',26,'node',1),('last',35,'node',1),('last',36,'node',1),('last',39,'node',1),('last',41,'node',1),('late',26,'node',1),('late',37,'node',1),('late',87,'node',1),('latest',9,'node',1),('latest',15,'node',1),('latest',24,'node',1),('latin',69,'node',1),('laugh',46,'node',26),('launched',49,'node',1),('laundering',87,'node',1),('lauren',10,'node',1),('law',78,'node',26),('laws',83,'node',26),('lawson',11,'node',1),('layered',22,'node',1),('layout',93,'node',27),('layout',94,'node',27),('lead',12,'node',26),('leadership',33,'node',1),('leading',2,'node',1),('leading',15,'node',1),('leads',13,'node',1),('learn',25,'node',1),('learn',44,'node',1),('learned',43,'node',1),('learning',16,'node',1),('learning',17,'node',1),('learning',21,'node',1),('learning',32,'node',1),('leary',28,'node',1),('least',4,'node',1),('leave',44,'node',1),('lectus',1,'node',4),('lectus',2,'node',1.89945),('lectus',3,'node',0.886095),('lectus',4,'node',1.9534),('lectus',5,'node',1.83938),('lectus',6,'node',2.74761),('lectus',7,'node',2.48457),('lectus',9,'node',2.42076),('lectus',10,'node',0.749958),('lectus',13,'node',2.18287),('lectus',14,'node',2.23142),('lectus',16,'node',2.77766),('lectus',18,'node',2.33829),('lectus',19,'node',0.863659),('lectus',20,'node',0.771698),('lectus',21,'node',1.78082),('lectus',22,'node',0.725015),('lectus',23,'node',1),('lectus',24,'node',0.927431),('lectus',25,'node',1.68604),('lectus',26,'node',0.827757),('lectus',27,'node',0.731649),('lectus',28,'node',0.822065),('lectus',30,'node',0.902857),('lectus',31,'node',0.78951),('lectus',32,'node',1.8357),('lectus',34,'node',1),('lectus',41,'node',1.39535),('lectus',43,'node',3.33321),('lectus',44,'node',1.51427),('lectus',45,'node',3.07423),('lectus',46,'node',5.02152),('lectus',48,'node',3.27739),('lectus',49,'node',3.57145),('lectus',64,'node',2.42213),('lectus',79,'node',0.866793),('lectus',82,'node',0.886095),('lectus',83,'node',2.44405),('lectus',84,'node',1.73349),('lectus',85,'node',0.71),('lectus',86,'node',1.90629),('lectus',87,'node',0.727213),('lectus',88,'node',0.989021),('lectus',89,'node',1),('lectus',90,'node',0.913226),('lectus',91,'node',1),('lectus',92,'node',3.73574),('lectus',99,'node',2.96205),('lectus',101,'node',1),('left',26,'node',1),('left',28,'node',1),('left',29,'node',1),('left',92,'node',26),('legislation',78,'node',1),('leisurely',5,'node',1),('lenis',70,'node',1),('lenis',72,'node',1),('lenis',73,'node',1),('lenis',74,'node',1),('lenis',75,'node',2.71345),('lenis',76,'node',2),('leo',3,'node',2.88798),('leo',4,'node',0.819249),('leo',5,'node',1),('leo',6,'node',2.75443),('leo',7,'node',2.46248),('leo',9,'node',0.776703),('leo',10,'node',1.80545),('leo',11,'node',0.824901),('leo',12,'node',1),('leo',13,'node',2.07128),('leo',14,'node',2.20025),('leo',16,'node',0.886095),('leo',17,'node',0.876337),('leo',18,'node',1.51718),('leo',19,'node',0.707906),('leo',20,'node',0.740689),('leo',21,'node',1.5481),('leo',22,'node',3.43304),('leo',23,'node',2.63635),('leo',24,'node',0.869951),('leo',25,'node',1.47687),('leo',26,'node',0.687638),('leo',27,'node',0.854391),('leo',28,'node',0.830633),('leo',29,'node',0.674137),('leo',30,'node',1.62958),('leo',31,'node',3.40252),('leo',32,'node',3.75131),('leo',33,'node',0.824901),('leo',34,'node',1),('leo',35,'node',1.60435),('leo',36,'node',0.808176),('leo',37,'node',1.6546),('leo',38,'node',1.62075),('leo',39,'node',0.824901),('leo',40,'node',0.931053),('leo',41,'node',0.805455),('leo',42,'node',1.58828),('leo',43,'node',1.56252),('leo',44,'node',0.886095),('leo',45,'node',1.44905),('leo',46,'node',0.882818),('leo',47,'node',1.85746),('leo',48,'node',2.58762),('leo',49,'node',3.9798),('leo',64,'node',4.66064),('leo',77,'node',1.8861),('leo',78,'node',1),('leo',80,'node',0.899454),('leo',82,'node',3.60857),('leo',83,'node',1.56677),('leo',84,'node',0.896076),('leo',85,'node',1.51427),('leo',86,'node',2.39932),('leo',87,'node',1.65753),('leo',89,'node',2),('leo',90,'node',1.71895),('leo',91,'node',1.90974),('leo',92,'node',4.70647),('leo',99,'node',1.96109),('leo',101,'node',2),('leonnie',20,'node',1),('less',31,'node',2),('less',40,'node',1),('less',46,'node',1),('less',80,'node',1),('lesserknown',35,'node',1),('lesson',18,'node',1),('letalis',70,'node',3.6546),('letalis',71,'node',0.863659),('letalis',72,'node',1),('letalis',73,'node',0.78951),('letalis',74,'node',1),('letalis',75,'node',0.810915),('letalis',76,'node',2.90974),('levelheaded',25,'node',1),('levels',13,'node',1.96498),('levels',19,'node',1),('liability',77,'node',1),('libero',5,'node',1),('libero',6,'node',2.85746),('libero',7,'node',1.78951),('libero',8,'node',2.54038),('libero',9,'node',1.46295),('libero',10,'node',1.7064),('libero',11,'node',0.876337),('libero',12,'node',0.824901),('libero',13,'node',1.40172),('libero',14,'node',0.705825),('libero',15,'node',2.8093),('libero',16,'node',1.65652),('libero',17,'node',2.56837),('libero',18,'node',2.39466),('libero',19,'node',2.54377),('libero',20,'node',0.813674),('libero',21,'node',1.42648),('libero',22,'node',3.05857),('libero',23,'node',3.85135),('libero',24,'node',4.38003),('libero',25,'node',1.78951),('libero',27,'node',1.56557),('libero',28,'node',3.31382),('libero',29,'node',1.57675),('libero',30,'node',2.43927),('libero',31,'node',1.6478),('libero',32,'node',3.74952),('libero',33,'node',1.85439),('libero',34,'node',2.86995),('libero',35,'node',2.56121),('libero',36,'node',1.64665),('libero',37,'node',2.60843),('libero',38,'node',2.57663),('libero',39,'node',1.68152),('libero',40,'node',1.84532),('libero',41,'node',3.15215),('libero',42,'node',2.54609),('libero',43,'node',2.57315),('libero',44,'node',3.46343),('libero',45,'node',2.36796),('libero',46,'node',0.810915),('libero',47,'node',2.82329),('libero',48,'node',3.50715),('libero',49,'node',2.77405),('libero',64,'node',6.05458),('libero',65,'node',1),('libero',77,'node',1),('libero',78,'node',0.822065),('libero',79,'node',0.886095),('libero',80,'node',0.72066),('libero',81,'node',0.781775),('libero',82,'node',0.931053),('libero',83,'node',0.781775),('libero',84,'node',1),('libero',85,'node',0.718502),('libero',87,'node',0.749958),('libero',89,'node',3),('libero',90,'node',3.68782),('libero',91,'node',3.6773),('libero',92,'node',1.90974),('libero',99,'node',0.931053),('libero',101,'node',3),('liberty',32,'node',1),('libraries',19,'node',1),('libraries',87,'node',1),('library',85,'node',28),('libras',25,'node',1),('life',3,'node',1),('life',4,'node',1),('life',36,'node',27),('lifestyle',3,'node',1),('lifestyle',27,'node',2),('light',7,'node',2),('light',28,'node',1),('light',41,'node',2),('light',88,'node',26),('ligula',1,'node',1),('ligula',2,'node',3.61194),('ligula',3,'node',1.9534),('ligula',4,'node',3.76329),('ligula',7,'node',0.923838),('ligula',8,'node',1.6864),('ligula',12,'node',0.863659),('ligula',13,'node',1.31886),('ligula',14,'node',0.842342),('ligula',15,'node',1.9347),('ligula',18,'node',0.945829),('ligula',19,'node',0.740689),('ligula',20,'node',1.60181),('ligula',21,'node',0.792123),('ligula',22,'node',1.66682),('ligula',23,'node',0.892724),('ligula',24,'node',2.62097),('ligula',25,'node',3.43986),('ligula',26,'node',2.14575),('ligula',27,'node',0.824901),('ligula',28,'node',0.754681),('ligula',29,'node',0.757065),('ligula',30,'node',0.779231),('ligula',31,'node',1.78691),('ligula',32,'node',1.84332),('ligula',33,'node',1.80349),('ligula',34,'node',1.8249),('ligula',35,'node',3.1751),('ligula',36,'node',3.36708),('ligula',37,'node',3.27333),('ligula',38,'node',3.20717),('ligula',39,'node',3.41488),('ligula',40,'node',2.62543),('ligula',41,'node',2.53129),('ligula',42,'node',3.14368),('ligula',44,'node',2.79929),('ligula',46,'node',1.69202),('ligula',47,'node',3.6723),('ligula',48,'node',1),('ligula',64,'node',3.29605),('ligula',65,'node',1),('ligula',67,'node',1),('ligula',78,'node',0.842342),('ligula',79,'node',1.81843),('ligula',80,'node',0.736141),('ligula',81,'node',0.824901),('ligula',82,'node',1.98087),('ligula',83,'node',0.757065),('ligula',84,'node',2.5288),('ligula',85,'node',2.67824),('ligula',86,'node',1.61637),('ligula',87,'node',0.740689),('ligula',88,'node',1),('ligula',90,'node',1),('ligula',91,'node',0.819249),('ligula',92,'node',3.83012),('ligula',99,'node',2.90692),('like',3,'node',1),('like',7,'node',26),('like',9,'node',1),('like',18,'node',2),('like',25,'node',1),('like',27,'node',1),('like',28,'node',2),('like',82,'node',1),('like',90,'node',1),('lim',20,'node',2),('limited',77,'node',1),('limited',78,'node',3),('limits',8,'node',1),('line',27,'node',1),('line',28,'node',1),('line',31,'node',1),('linked',42,'node',1),('lions',37,'node',1),('list',4,'node',1),('literacy',18,'node',26),('literacy',19,'node',2),('literally',27,'node',1),('litora',8,'node',0.759465),('litora',15,'node',0.860547),('litora',23,'node',1),('litora',35,'node',0.759465),('litora',37,'node',0.781775),('litora',38,'node',0.766757),('litora',41,'node',0.833529),('litora',42,'node',0.752312),('litora',44,'node',0.920273),('litora',46,'node',0.779231),('litora',47,'node',0.882818),('litora',48,'node',1),('litora',85,'node',0.802752),('litora',86,'node',0.727213),('litora',87,'node',0.953396),('little',2,'node',27),('little',7,'node',2),('little',29,'node',1),('little',36,'node',1),('little',45,'node',1),('little',80,'node',1),('little',81,'node',2),('live',20,'node',1),('live',27,'node',1),('lives',12,'node',26),('lives',36,'node',1),('living',13,'node',2),('loan',80,'node',1),('lobortis',1,'node',1),('lobortis',2,'node',0.819249),('lobortis',3,'node',1),('lobortis',4,'node',0.863659),('lobortis',6,'node',0.869951),('lobortis',8,'node',3.84234),('lobortis',9,'node',3.18557),('lobortis',10,'node',2.45632),('lobortis',11,'node',0.920273),('lobortis',12,'node',1),('lobortis',13,'node',2.93688),('lobortis',15,'node',3.9689),('lobortis',16,'node',3.65152),('lobortis',17,'node',1.81367),('lobortis',18,'node',2.36527),('lobortis',21,'node',1.44423),('lobortis',22,'node',1.55994),('lobortis',23,'node',0.833529),('lobortis',24,'node',0.98493),('lobortis',25,'node',0.771698),('lobortis',26,'node',0.689612),('lobortis',27,'node',0.693594),('lobortis',28,'node',1.80012),('lobortis',30,'node',0.892724),('lobortis',31,'node',0.771698),('lobortis',32,'node',0.920273),('lobortis',33,'node',2.84234),('lobortis',34,'node',1.78987),('lobortis',35,'node',2.53504),('lobortis',36,'node',2.39749),('lobortis',37,'node',2.61882),('lobortis',38,'node',2.56236),('lobortis',39,'node',2.44658),('lobortis',40,'node',2.72768),('lobortis',41,'node',1.90974),('lobortis',42,'node',2.50832),('lobortis',44,'node',2),('lobortis',46,'node',0.808176),('lobortis',47,'node',3.68165),('lobortis',64,'node',2.50369),('lobortis',70,'node',2.60195),('lobortis',71,'node',1),('lobortis',73,'node',0.892724),('lobortis',74,'node',1),('lobortis',75,'node',1),('lobortis',76,'node',2),('lobortis',77,'node',0.863659),('lobortis',78,'node',1.82506),('lobortis',79,'node',1.89945),('lobortis',80,'node',1.57636),('lobortis',81,'node',1.79212),('lobortis',83,'node',0.800068),('lobortis',84,'node',3.2785),('lobortis',85,'node',2.7192),('lobortis',86,'node',2.32835),('lobortis',88,'node',1),('lobortis',90,'node',1.86679),('lobortis',91,'node',0.96498),('lobortis',92,'node',0.869951),('lobortis',99,'node',3),('local',43,'node',1),('localized',83,'node',1),('locals',30,'node',1),('locals',90,'node',1),('located',6,'node',1),('location',4,'node',26),('log',4,'node',1.69228),('log',47,'node',1.73692),('log',49,'node',5.07752),('log',82,'node',3.42415),('loma',26,'node',1),('london',68,'node',1),('london',85,'node',1),('long',5,'node',1),('long',7,'node',1),('long',45,'node',1),('long',88,'node',26),('longer',7,'node',1),('longer',12,'node',26),('longstanding',19,'node',1),('look',3,'node',1),('look',4,'node',1),('look',22,'node',1),('look',37,'node',1),('look',44,'node',28),('looked',9,'node',1),('looked',10,'node',1),('looking',2,'node',1),('looking',25,'node',1),('looking',27,'node',1),('looking',47,'node',1),('looking',49,'node',1),('looks',23,'node',26),('loquor',70,'node',2.75946),('loquor',71,'node',1),('loquor',72,'node',2.68324),('loquor',73,'node',2.68415),('loquor',74,'node',0.896076),('lorem',1,'node',1),('lorem',5,'node',0.916736),('lorem',6,'node',0.909743),('lorem',7,'node',0.957226),('lorem',8,'node',0.810915),('lorem',9,'node',1.38144),('lorem',10,'node',0.906287),('lorem',11,'node',1.83855),('lorem',12,'node',1.79381),('lorem',13,'node',1.49278),('lorem',14,'node',0.876337),('lorem',15,'node',0.927431),('lorem',16,'node',1.55122),('lorem',17,'node',2.82547),('lorem',18,'node',2.69238),('lorem',20,'node',2.16492),('lorem',21,'node',0.916736),('lorem',22,'node',2.51344),('lorem',23,'node',2.52791),('lorem',24,'node',1.78691),('lorem',26,'node',2.54839),('lorem',27,'node',1.6304),('lorem',31,'node',3.54625),('lorem',32,'node',1.97685),('lorem',33,'node',0.845322),('lorem',35,'node',1.71797),('lorem',36,'node',1.61609),('lorem',37,'node',1.77589),('lorem',38,'node',1.73684),('lorem',39,'node',1.64958),('lorem',40,'node',1.84234),('lorem',41,'node',1.57177),('lorem',42,'node',1.6995),('lorem',43,'node',3.23586),('lorem',44,'node',1.72791),('lorem',45,'node',2.99279),('lorem',47,'node',1.92027),('lorem',48,'node',3.24022),('lorem',49,'node',4.25307),('lorem',64,'node',8.73557),('lorem',77,'node',0.896076),('lorem',78,'node',1),('lorem',80,'node',0.913226),('lorem',82,'node',23.7179),('lorem',83,'node',2.28274),('lorem',84,'node',2.86859),('lorem',85,'node',1.52415),('lorem',86,'node',2.40075),('lorem',87,'node',1.69279),('lorem',89,'node',3),('lorem',90,'node',2.77811),('lorem',91,'node',2.93838),('lorem',92,'node',3.78568),('lorem',99,'node',2.96109),('lorem',101,'node',3),('los',23,'node',2),('lose',43,'node',1),('loss',43,'node',26),('lost',37,'node',1),('lot',25,'node',1),('lot',28,'node',1),('lot',90,'node',1),('loud',38,'node',1),('love',5,'node',1),('love',17,'node',1),('love',21,'node',1),('love',24,'node',1),('love',26,'node',1),('love',27,'node',2),('love',82,'node',26),('lower',17,'node',1),('lower',21,'node',1),('lowfare',31,'node',1),('lucidus',70,'node',1.7269),('lucidus',71,'node',2.76262),('lucidus',72,'node',3.3413),('lucidus',73,'node',0.902857),('lucidus',74,'node',2),('lucidus',75,'node',1.80007),('lucidus',76,'node',2.98493),('luckily',26,'node',1),('luctus',1,'node',0.989021),('luctus',3,'node',0.942091),('luctus',5,'node',2.7559),('luctus',6,'node',2.78851),('luctus',7,'node',1.773),('luctus',8,'node',2),('luctus',12,'node',1.84832),('luctus',13,'node',0.727213),('luctus',14,'node',1.60736),('luctus',15,'node',2),('luctus',18,'node',1.69344),('luctus',19,'node',1.7542),('luctus',20,'node',0.699655),('luctus',21,'node',2.43421),('luctus',22,'node',0.784336),('luctus',23,'node',1.81092),('luctus',24,'node',1),('luctus',25,'node',0.842342),('luctus',27,'node',0.683725),('luctus',28,'node',1.66413),('luctus',29,'node',1.33876),('luctus',30,'node',1.42408),('luctus',31,'node',3.31456),('luctus',32,'node',3.81705),('luctus',33,'node',0.98493),('luctus',34,'node',1.82776),('luctus',36,'node',1),('luctus',39,'node',1),('luctus',64,'node',3.89314),('luctus',70,'node',0.892724),('luctus',71,'node',0.851346),('luctus',72,'node',1),('luctus',74,'node',3.76597),('luctus',76,'node',1),('luctus',77,'node',2.81645),('luctus',78,'node',0.909743),('luctus',79,'node',1.8249),('luctus',80,'node',0.786915),('luctus',81,'node',0.927431),('luctus',82,'node',1.86366),('luctus',83,'node',3.89589),('luctus',84,'node',3.67524),('luctus',85,'node',0.819249),('luctus',86,'node',3.72743),('luctus',87,'node',1),('luctus',91,'node',1.67952),('luctus',92,'node',1),('ludus',70,'node',2.34434),('ludus',72,'node',0.774192),('ludus',73,'node',3.66419),('ludus',75,'node',0.927431),('lumpur',20,'node',1),('luptatum',70,'node',4.12074),('luptatum',71,'node',2.81752),('luptatum',72,'node',0.96498),('luptatum',73,'node',3.71097),('luptatum',74,'node',1.9534),('luptatum',75,'node',1),('luptatum',76,'node',1),('luther',86,'node',1),('luxurious',6,'node',1),('lying',42,'node',1),('macdonald',16,'node',3),('macto',70,'node',4.25071),('macto',71,'node',2.68067),('macto',74,'node',1),('macto',76,'node',1),('made',22,'node',1),('made',37,'node',1),('made',83,'node',1),('made',85,'node',1),('made',86,'node',1),('madison',33,'node',1),('madison',34,'node',1),('madison',36,'node',1),('madrid',87,'node',2),('maecenas',5,'node',0.968904),('maecenas',6,'node',2.76625),('maecenas',7,'node',0.813674),('maecenas',8,'node',0.957226),('maecenas',10,'node',0.876337),('maecenas',12,'node',1.84453),('maecenas',13,'node',1.51723),('maecenas',14,'node',0.725015),('maecenas',15,'node',1),('maecenas',17,'node',0.822065),('maecenas',18,'node',1.78115),('maecenas',19,'node',1.62482),('maecenas',20,'node',1.60702),('maecenas',21,'node',0.800068),('maecenas',22,'node',1.80949),('maecenas',23,'node',1.75725),('maecenas',25,'node',0.819249),('maecenas',26,'node',0.824901),('maecenas',27,'node',0.882818),('maecenas',29,'node',0.650439),('maecenas',30,'node',0.697623),('maecenas',32,'node',0.851346),('maecenas',34,'node',1),('maecenas',35,'node',0.714225),('maecenas',37,'node',0.733888),('maecenas',38,'node',0.72066),('maecenas',41,'node',1.45876),('maecenas',42,'node',0.707906),('maecenas',43,'node',0.916736),('maecenas',44,'node',1.58964),('maecenas',45,'node',0.839384),('maecenas',46,'node',2.68614),('maecenas',47,'node',0.822065),('maecenas',48,'node',1.86679),('maecenas',49,'node',0.993146),('maecenas',64,'node',3.91111),('maecenas',67,'node',1),('maecenas',77,'node',1.86628),('maecenas',78,'node',2),('maecenas',80,'node',1.87313),('maecenas',84,'node',0.779231),('maecenas',85,'node',2.45509),('maecenas',86,'node',1.50988),('maecenas',87,'node',1.59738),('maecenas',88,'node',2.99731),('maecenas',92,'node',0.866793),('maecenas',99,'node',3.94183),('magazine',37,'node',1),('magazine',50,'node',26),('magic',2,'node',33),('magic',47,'node',21.9418),('magna',1,'node',2),('magna',2,'node',0.993146),('magna',3,'node',0.916736),('magna',4,'node',1),('magna',5,'node',0.899454),('magna',6,'node',2.86366),('magna',7,'node',1.56101),('magna',8,'node',0.822065),('magna',10,'node',1.84832),('magna',11,'node',0.827757),('magna',12,'node',1.91323),('magna',13,'node',1.43859),('magna',14,'node',1.39122),('magna',15,'node',0.942091),('magna',17,'node',1.68827),('magna',18,'node',2.54658),('magna',19,'node',3.12784),('magna',21,'node',2.29725),('magna',22,'node',1.56677),('magna',23,'node',2.83645),('magna',24,'node',0.96498),('magna',26,'node',0.677939),('magna',28,'node',0.740689),('magna',29,'node',1.36109),('magna',30,'node',1.44319),('magna',31,'node',2.80264),('magna',32,'node',1.87634),('magna',33,'node',4.59595),('magna',34,'node',5.11289),('magna',35,'node',0.72066),('magna',36,'node',3.7614),('magna',37,'node',0.740689),('magna',38,'node',0.727213),('magna',39,'node',3.82689),('magna',41,'node',2.15602),('magna',42,'node',0.714225),('magna',43,'node',2.59131),('magna',44,'node',2.34647),('magna',45,'node',3.07194),('magna',46,'node',2.77259),('magna',47,'node',0.830633),('magna',48,'node',3.52501),('magna',49,'node',3.57565),('magna',64,'node',4.09789),('magna',65,'node',1),('magna',70,'node',3.51465),('magna',71,'node',1),('magna',72,'node',2.55811),('magna',73,'node',1.82206),('magna',74,'node',4.45908),('magna',75,'node',1.84234),('magna',76,'node',1),('magna',77,'node',0.827757),('magna',78,'node',1.7813),('magna',79,'node',1.98493),('magna',80,'node',1.54502),('magna',81,'node',1.80705),('magna',82,'node',1.78178),('magna',88,'node',1),('magna',89,'node',1),('magna',90,'node',0.906287),('magna',91,'node',1.85135),('magna',92,'node',4.73224),('magna',99,'node',2),('magna',101,'node',1),('magnificent',30,'node',1),('magnis',8,'node',1),('magnis',15,'node',1),('magnis',28,'node',0.784336),('magnis',29,'node',0.857458),('magnis',30,'node',0.839384),('magnis',64,'node',0.808176),('magnis',92,'node',1.87957),('magnitude',13,'node',1),('main',14,'node',1),('major',12,'node',1),('major',27,'node',1),('majoring',20,'node',1),('majority',13,'node',1),('make',26,'node',1),('make',31,'node',1),('make',35,'node',1),('make',36,'node',1),('make',44,'node',26),('make',46,'node',26),('make',47,'node',27),('makemeacurvemodel',10,'node',1),('makes',44,'node',1),('makes',82,'node',1),('makeup',44,'node',1),('makeup',45,'node',1),('making',44,'node',1),('making',86,'node',1),('malaysia',20,'node',1),('malaysia',21,'node',1),('malesuada',3,'node',1.9534),('malesuada',4,'node',1.61787),('malesuada',8,'node',0.779231),('malesuada',9,'node',1.36164),('malesuada',10,'node',0.757065),('malesuada',11,'node',1.78212),('malesuada',12,'node',3.98087),('malesuada',13,'node',1.3711),('malesuada',15,'node',0.886095),('malesuada',16,'node',1.52619),('malesuada',17,'node',1.97395),('malesuada',18,'node',0.771698),('malesuada',19,'node',2.4638),('malesuada',22,'node',0.863659),('malesuada',23,'node',0.854391),('malesuada',25,'node',0.836446),('malesuada',26,'node',1.38248),('malesuada',27,'node',0.672252),('malesuada',28,'node',1.64316),('malesuada',29,'node',0.766757),('malesuada',30,'node',0.784336),('malesuada',31,'node',1.77184),('malesuada',32,'node',1.81633),('malesuada',33,'node',0.842342),('malesuada',34,'node',1),('malesuada',35,'node',1.63696),('malesuada',36,'node',0.827757),('malesuada',37,'node',1.68971),('malesuada',38,'node',1.65416),('malesuada',39,'node',0.845322),('malesuada',40,'node',1.807),('malesuada',41,'node',1.51284),('malesuada',42,'node',2.31371),('malesuada',43,'node',1.75707),('malesuada',44,'node',1.6541),('malesuada',45,'node',2.35906),('malesuada',46,'node',1.84051),('malesuada',47,'node',1.83938),('malesuada',48,'node',2.73393),('malesuada',49,'node',22.5406),('malesuada',64,'node',0.712106),('malesuada',77,'node',0.824901),('malesuada',78,'node',1.77466),('malesuada',79,'node',1.97286),('malesuada',80,'node',1.54005),('malesuada',81,'node',1.79415),('malesuada',82,'node',5.25139),('malesuada',83,'node',3.20729),('malesuada',84,'node',2.5877),('malesuada',85,'node',1.64388),('malesuada',86,'node',2.37575),('malesuada',87,'node',0.860547),('malesuada',90,'node',2.82221),('malesuada',91,'node',2),('malesuada',92,'node',4.58158),('mama',45,'node',1),('man',16,'node',1),('managed',46,'node',1),('manchester',81,'node',1),('mandzukic',37,'node',1),('manga',20,'node',1),('manhattan',16,'node',2),('manhattan',18,'node',1),('manic',45,'node',1),('manifesta',86,'node',1),('manolo',22,'node',1),('mantega',84,'node',1),('many',9,'node',1),('many',17,'node',1),('many',20,'node',26),('many',21,'node',27),('many',25,'node',1),('many',32,'node',2),('many',90,'node',1),('many',91,'node',1),('map',28,'node',2),('map',31,'node',1),('marathon',8,'node',27),('marathon',16,'node',2),('march',8,'node',1),('march',34,'node',1),('march',86,'node',1),('margaret',89,'node',26),('margaret',101,'node',26),('mario',37,'node',1),('marketplace',49,'node',1),('marry',22,'node',1),('martin',86,'node',1),('maryam',24,'node',1),('mascara',44,'node',30),('massa',1,'node',2),('massa',2,'node',0.822065),('massa',3,'node',1),('massa',4,'node',0.866793),('massa',6,'node',3.79955),('massa',7,'node',0.794753),('massa',8,'node',0.771698),('massa',9,'node',1.68896),('massa',10,'node',1.63371),('massa',12,'node',0.945829),('massa',13,'node',1.40983),('massa',14,'node',0.71),('massa',15,'node',0.876337),('massa',16,'node',1.90286),('massa',17,'node',0.830633),('massa',18,'node',2.52628),('massa',19,'node',1.53029),('massa',20,'node',1.62797),('massa',22,'node',1.58289),('massa',23,'node',2.63321),('massa',24,'node',1),('massa',26,'node',1.46554),('massa',27,'node',0.681785),('massa',28,'node',1.69293),('massa',29,'node',1.44369),('massa',30,'node',1.50116),('massa',31,'node',4.55449),('massa',32,'node',1.90576),('massa',33,'node',1.83063),('massa',34,'node',0.927431),('massa',35,'node',1.6258),('massa',36,'node',0.816452),('massa',37,'node',1.67754),('massa',38,'node',1.64268),('massa',39,'node',0.833529),('massa',40,'node',0.953396),('massa',41,'node',0.810915),('massa',42,'node',1.60927),('massa',43,'node',0.774192),('massa',44,'node',0.892724),('massa',45,'node',1.38888),('massa',46,'node',2.5978),('massa',47,'node',1.86055),('massa',48,'node',1.78951),('massa',49,'node',0.827757),('massa',64,'node',2.30877),('massa',77,'node',1.88282),('massa',78,'node',1),('massa',79,'node',0.842342),('massa',80,'node',0.889397),('massa',83,'node',0.742984),('massa',84,'node',1.68815),('massa',85,'node',1.69177),('massa',86,'node',2.48861),('massa',87,'node',0.827757),('massa',88,'node',2.98493),('massa',90,'node',1),('massa',91,'node',1.6791),('massa',92,'node',3.71125),('massa',99,'node',3.92027),('massive',27,'node',0.976851),('master',16,'node',1),('match',37,'node',1),('matchfixing',37,'node',27),('math',14,'node',28),('matter',4,'node',1),('mattis',1,'node',3),('mattis',2,'node',1),('mattis',3,'node',1.86576),('mattis',4,'node',1),('mattis',5,'node',1),('mattis',6,'node',0.873132),('mattis',7,'node',0.808176),('mattis',8,'node',1),('mattis',9,'node',0.729424),('mattis',10,'node',0.759465),('mattis',11,'node',1),('mattis',12,'node',0.860547),('mattis',13,'node',0.653974),('mattis',14,'node',0.72066),('mattis',15,'node',1),('mattis',16,'node',0.824901),('mattis',18,'node',0.942091),('mattis',20,'node',0.781775),('mattis',21,'node',1.68719),('mattis',22,'node',0.786915),('mattis',23,'node',0.813674),('mattis',24,'node',1),('mattis',25,'node',1.55663),('mattis',26,'node',0.776703),('mattis',27,'node',0.725015),('mattis',28,'node',1.58921),('mattis',29,'node',0.802752),('mattis',30,'node',1.70635),('mattis',31,'node',2.71446),('mattis',32,'node',1),('mattis',43,'node',1.58482),('mattis',45,'node',1.46807),('mattis',48,'node',1.59877),('mattis',49,'node',4.00554),('mattis',64,'node',0.707906),('mattis',77,'node',1.78786),('mattis',78,'node',1.93105),('mattis',79,'node',1),('mattis',80,'node',1.80006),('mattis',81,'node',0.972861),('mattis',82,'node',1),('mattis',91,'node',0.873132),('mattis',92,'node',1.82163),('mattis',99,'node',1.9496),('mauris',1,'node',3.98087),('mauris',2,'node',2.61637),('mauris',3,'node',2),('mauris',4,'node',2.70271),('mauris',5,'node',1.9534),('mauris',6,'node',1.76031),('mauris',7,'node',1.87957),('mauris',8,'node',3.52821),('mauris',9,'node',0.833529),('mauris',10,'node',1.71577),('mauris',11,'node',0.813674),('mauris',12,'node',2.85135),('mauris',13,'node',2.26682),('mauris',14,'node',1.76897),('mauris',15,'node',3.88609),('mauris',16,'node',0.961087),('mauris',17,'node',0.857458),('mauris',18,'node',3.29179),('mauris',19,'node',0.725015),('mauris',20,'node',1.50511),('mauris',21,'node',3.87162),('mauris',22,'node',1),('mauris',23,'node',5.93504),('mauris',25,'node',0.833529),('mauris',26,'node',0.968904),('mauris',27,'node',2.31445),('mauris',28,'node',0.802752),('mauris',29,'node',1.28871),('mauris',30,'node',2.25599),('mauris',31,'node',3.33265),('mauris',32,'node',3.64462),('mauris',33,'node',1),('mauris',34,'node',1.83938),('mauris',35,'node',1.5234),('mauris',36,'node',1.7767),('mauris',37,'node',1.56835),('mauris',38,'node',1.53809),('mauris',39,'node',1.79212),('mauris',40,'node',2.44818),('mauris',41,'node',3.09964),('mauris',42,'node',2.87644),('mauris',43,'node',2.78199),('mauris',44,'node',3.4002),('mauris',45,'node',2.5435),('mauris',46,'node',0.830633),('mauris',47,'node',1.77216),('mauris',48,'node',3.60424),('mauris',49,'node',5.19736),('mauris',64,'node',3.17112),('mauris',66,'node',1),('mauris',70,'node',1),('mauris',71,'node',0.860547),('mauris',72,'node',2.80545),('mauris',73,'node',1),('mauris',74,'node',0.869951),('mauris',75,'node',1.80007),('mauris',76,'node',2),('mauris',77,'node',5.46694),('mauris',78,'node',5.7363),('mauris',79,'node',4.82668),('mauris',80,'node',5.20813),('mauris',81,'node',3.84859),('mauris',83,'node',0.71),('mauris',84,'node',0.833529),('mauris',85,'node',0.714225),('mauris',86,'node',0.913226),('mauris',87,'node',0.731649),('mauris',88,'node',1),('mauris',89,'node',2),('mauris',90,'node',2.74028),('mauris',91,'node',1.94209),('mauris',92,'node',1.78393),('mauris',99,'node',4.92656),('mauris',101,'node',2),('may',26,'node',2),('may',29,'node',1),('may',80,'node',1),('mazankowski',12,'node',1),('mcconnell',16,'node',2),('meantime',82,'node',1),('measured',28,'node',1),('measures',83,'node',1),('media',2,'node',1),('media',10,'node',1),('media',35,'node',1),('media',81,'node',2),('mediator',18,'node',1),('medicine',42,'node',1),('meditate',40,'node',1),('meditation',40,'node',2),('meet',34,'node',1),('meeting',67,'node',26),('mega',100,'node',26),('melior',70,'node',4.66844),('melior',73,'node',1),('melior',75,'node',4.50004),('melior',76,'node',0.980874),('meltdown',45,'node',1),('memes',48,'node',1),('memories',24,'node',1),('mental',42,'node',1),('mention',83,'node',1),('menu',92,'node',26),('menus',100,'node',26),('merely',16,'node',1),('metabolism',41,'node',1),('metabolism',43,'node',1),('methods',14,'node',1),('metuo',70,'node',1.77419),('metuo',71,'node',4.75118),('metuo',72,'node',2.76631),('metuo',73,'node',3.64849),('metuo',74,'node',2),('metuo',75,'node',1),('metuo',76,'node',1),('metus',1,'node',4),('metus',2,'node',0.860547),('metus',3,'node',1.9496),('metus',4,'node',0.909743),('metus',5,'node',1),('metus',6,'node',1),('metus',7,'node',2.62455),('metus',8,'node',2.47093),('metus',10,'node',1.77419),('metus',11,'node',0.822065),('metus',12,'node',1),('metus',13,'node',2.70615),('metus',14,'node',1.45106),('metus',15,'node',2.8334),('metus',17,'node',0.873132),('metus',18,'node',1.52382),('metus',19,'node',0.827757),('metus',20,'node',1.51163),('metus',21,'node',1.74529),('metus',24,'node',0.822065),('metus',25,'node',0.827757),('metus',26,'node',0.854391),('metus',27,'node',1.58567),('metus',28,'node',0.851346),('metus',29,'node',0.63333),('metus',30,'node',1.64095),('metus',33,'node',1.88282),('metus',34,'node',1.62857),('metus',35,'node',0.781775),('metus',36,'node',2.68645),('metus',37,'node',0.805455),('metus',38,'node',0.78951),('metus',39,'node',2.72318),('metus',40,'node',1.65012),('metus',41,'node',1.59278),('metus',42,'node',1.46183),('metus',43,'node',4.09666),('metus',44,'node',1.75189),('metus',45,'node',3.83099),('metus',46,'node',1.62147),('metus',47,'node',0.913226),('metus',48,'node',4.09148),('metus',49,'node',26.6832),('metus',64,'node',3.91085),('metus',77,'node',0.906287),('metus',78,'node',1.84832),('metus',79,'node',0.96498),('metus',80,'node',1.66812),('metus',81,'node',0.842342),('metus',83,'node',0.718502),('metus',84,'node',0.851346),('metus',85,'node',0.766757),('metus',86,'node',1.64008),('metus',87,'node',0.863659),('metus',88,'node',1),('metus',89,'node',2),('metus',91,'node',1.70898),('metus',92,'node',2),('metus',99,'node',1.94583),('metus',101,'node',2),('meus',70,'node',2.4642),('meus',71,'node',1.84234),('meus',72,'node',3.52207),('meus',73,'node',2.66101),('meus',74,'node',6.24125),('meus',76,'node',1.7694),('mid40s',38,'node',1),('middle',9,'node',1),('middle',29,'node',1.94209),('might',36,'node',1),('might',42,'node',1),('might',45,'node',4),('mil',45,'node',1),('mild',30,'node',1),('mile',27,'node',0.961087),('miles',8,'node',1),('miles',16,'node',1),('miles',30,'node',1),('milhazes',84,'node',1),('million',9,'node',1),('million',13,'node',1),('million',19,'node',1),('mince',12,'node',1),('mind',4,'node',1),('mind',42,'node',1),('mind',80,'node',1),('mindful',40,'node',1),('mini',43,'node',1),('minidress',23,'node',1),('minim',64,'node',2.52189),('minim',70,'node',2.48165),('minim',71,'node',1.87512),('minim',72,'node',1),('minim',73,'node',4.53797),('minim',74,'node',0.839384),('minim',76,'node',0.873132),('ministry',84,'node',1),('ministry',87,'node',1),('minutes',31,'node',1),('minutes',40,'node',26),('mirgain',36,'node',1),('miss',11,'node',1),('missed',11,'node',1),('misuse',78,'node',1),('mitchell',68,'node',1),('mix',9,'node',0.989021),('model',10,'node',2),('model',22,'node',1),('models',10,'node',3),('modest',14,'node',1),('modo',70,'node',0.902857),('modo',71,'node',2.77549),('modo',72,'node',1),('modo',74,'node',1.98902),('modo',75,'node',1.86366),('modo',76,'node',1),('module',71,'node',9.23322),('molestie',1,'node',1.98087),('molestie',2,'node',0.845322),('molestie',3,'node',1),('molestie',4,'node',0.892724),('molestie',6,'node',0.913226),('molestie',8,'node',2.56199),('molestie',9,'node',0.794753),('molestie',10,'node',0.784336),('molestie',12,'node',1),('molestie',13,'node',1.33567),('molestie',15,'node',2.85806),('molestie',16,'node',0.909743),('molestie',18,'node',0.757065),('molestie',19,'node',3.88377),('molestie',21,'node',2.38271),('molestie',23,'node',1),('molestie',24,'node',0.792123),('molestie',26,'node',0.685676),('molestie',27,'node',1.51857),('molestie',31,'node',0.848323),('molestie',32,'node',1.82776),('molestie',33,'node',1.75763),('molestie',34,'node',1.73949),('molestie',35,'node',1.77476),('molestie',36,'node',2.58606),('molestie',37,'node',1.83669),('molestie',38,'node',1.79493),('molestie',39,'node',2.64371),('molestie',40,'node',1.87313),('molestie',41,'node',0.96498),('molestie',42,'node',1.75505),('molestie',44,'node',1),('molestie',45,'node',0.689612),('molestie',46,'node',3.56047),('molestie',47,'node',2.74674),('molestie',64,'node',1),('molestie',65,'node',1),('molestie',77,'node',0.802752),('molestie',78,'node',1.71057),('molestie',79,'node',2.7452),('molestie',80,'node',1.49177),('molestie',81,'node',1.68085),('molestie',82,'node',2.91674),('molestie',83,'node',1),('molestie',85,'node',1.43784),('molestie',87,'node',1.49521),('molestie',88,'node',1),('molestie',90,'node',1.73073),('molestie',91,'node',1.92331),('molestie',92,'node',1.80949),('molestie',99,'node',2.85489),('molior',70,'node',3.4602),('molior',75,'node',1.86995),('molitor',42,'node',1),('mollis',3,'node',0.899454),('mollis',5,'node',1.84004),('mollis',6,'node',0.927431),('mollis',8,'node',2.63524),('mollis',9,'node',0.792123),('mollis',10,'node',0.949597),('mollis',11,'node',0.810915),('mollis',12,'node',0.976851),('mollis',15,'node',2.87293),('mollis',16,'node',0.906287),('mollis',17,'node',0.854391),('mollis',19,'node',0.736141),('mollis',21,'node',0.714225),('mollis',22,'node',1.52401),('mollis',23,'node',1.80545),('mollis',24,'node',2.78691),('mollis',25,'node',1.60596),('mollis',26,'node',1.44457),('mollis',28,'node',2.25784),('mollis',29,'node',2.28437),('mollis',30,'node',2.34045),('mollis',32,'node',0.869951),('mollis',33,'node',1.73442),('mollis',34,'node',1.79212),('mollis',35,'node',0.949597),('mollis',36,'node',1.76206),('mollis',37,'node',0.98493),('mollis',38,'node',0.961087),('mollis',39,'node',1.80204),('mollis',40,'node',1.80545),('mollis',41,'node',0.712106),('mollis',42,'node',1.62211),('mollis',43,'node',1.83375),('mollis',44,'node',0.774192),('mollis',45,'node',2.36562),('mollis',46,'node',3.63268),('mollis',47,'node',1),('mollis',48,'node',1.72435),('mollis',49,'node',2.68123),('mollis',64,'node',2.91885),('mollis',78,'node',0.827757),('mollis',79,'node',0.896076),('mollis',80,'node',0.725015),('mollis',81,'node',0.78951),('mollis',82,'node',1.92384),('mollis',83,'node',1.54034),('mollis',84,'node',2.64309),('mollis',85,'node',1.69112),('mollis',86,'node',1.78114),('mollis',87,'node',0.78951),('mollis',89,'node',2),('mollis',90,'node',2.70409),('mollis',91,'node',1.8834),('mollis',99,'node',4.94402),('mollis',101,'node',2),('mollit',64,'node',2.81341),('mom',45,'node',1),('moment',38,'node',1),('moment',91,'node',1),('moms',45,'node',1),('mon',82,'node',1.5844),('monday',19,'node',1),('money',16,'node',1),('money',80,'node',1),('money',87,'node',1),('monkeys',90,'node',1),('montes',8,'node',1),('montes',15,'node',1),('montes',28,'node',0.776703),('montes',29,'node',0.848323),('montes',30,'node',0.830633),('montes',64,'node',0.800068),('montes',92,'node',1.87957),('month',5,'node',1),('month',34,'node',2),('monthly',34,'node',1),('months',82,'node',1),('montreal',28,'node',27),('morbi',1,'node',1),('morbi',2,'node',0.938382),('morbi',4,'node',0.997306),('morbi',5,'node',0.857458),('morbi',8,'node',0.802752),('morbi',9,'node',1.4376),('morbi',10,'node',1),('morbi',11,'node',2.74676),('morbi',12,'node',1.88609),('morbi',15,'node',0.916736),('morbi',16,'node',1.62304),('morbi',17,'node',1.89608),('morbi',18,'node',2),('morbi',21,'node',1.46468),('morbi',22,'node',0.738408),('morbi',23,'node',1),('morbi',24,'node',0.976851),('morbi',25,'node',1.72466),('morbi',26,'node',2.10383),('morbi',32,'node',0.892724),('morbi',33,'node',1.75507),('morbi',34,'node',1.7974),('morbi',35,'node',0.942091),('morbi',36,'node',1.79957),('morbi',37,'node',0.976851),('morbi',38,'node',0.953396),('morbi',39,'node',1.84142),('morbi',40,'node',2.63292),('morbi',41,'node',1.45672),('morbi',42,'node',2.31029),('morbi',43,'node',2),('morbi',44,'node',1.58698),('morbi',45,'node',1.92645),('morbi',46,'node',0.902857),('morbi',47,'node',1),('morbi',48,'node',1.88083),('morbi',49,'node',2),('morbi',66,'node',1),('morbi',67,'node',1),('morbi',77,'node',1),('morbi',78,'node',1.82776),('morbi',79,'node',0.899454),('morbi',80,'node',1.72502),('morbi',81,'node',0.792123),('morbi',82,'node',3.24902),('morbi',83,'node',1.72003),('morbi',88,'node',1),('morbi',91,'node',0.822065),('morbi',92,'node',2.84065),('morbi',99,'node',2),('more',8,'node',28),('more',9,'node',2),('more',13,'node',2),('more',14,'node',1),('more',17,'node',1),('more',18,'node',26),('more',19,'node',1),('more',21,'node',1),('more',26,'node',1),('more',27,'node',2),('more',28,'node',2),('more',36,'node',1),('more',39,'node',2),('more',40,'node',1),('more',42,'node',1),('more',44,'node',29),('more',81,'node',1),('more',90,'node',2),('morning',8,'node',1),('mos',70,'node',1.84532),('mos',71,'node',0.879565),('mos',72,'node',1),('mos',73,'node',0.848323),('mos',74,'node',1),('mos',75,'node',1.85746),('mos',76,'node',1.92645),('moscow',86,'node',1),('moss',11,'node',1),('most',4,'node',2),('most',13,'node',1),('most',22,'node',1),('most',25,'node',2),('most',44,'node',2),('most',87,'node',1),('most',90,'node',1),('mostly',17,'node',1),('mostly',21,'node',1),('moukandjo',37,'node',1),('mountain',7,'node',1),('mountain',82,'node',8.95041),('mountainous',90,'node',1),('mountains',38,'node',1),('move',83,'node',1),('move',84,'node',1),('move',90,'node',26),('moved',14,'node',1),('moves',41,'node',2),('moving',41,'node',1),('much',11,'node',1),('much',30,'node',26),('much',43,'node',1),('much',89,'node',26),('much',90,'node',1),('muddy',23,'node',1),('muller',39,'node',1),('multiple',42,'node',1),('mum',29,'node',0.920273),('munichbased',85,'node',1),('mus',8,'node',1),('mus',15,'node',1),('mus',28,'node',0.769219),('mus',29,'node',0.839384),('mus',30,'node',0.822065),('mus',64,'node',0.792123),('mus',92,'node',1.87957),('muscle',41,'node',2),('muscles',40,'node',1),('museum',87,'node',28),('music',88,'node',26),('mysterious',25,'node',1),('nail',26,'node',0.993146),('nail',44,'node',8.17283),('nam',1,'node',1),('nam',2,'node',0.927431),('nam',4,'node',0.98493),('nam',5,'node',2),('nam',6,'node',2.68518),('nam',8,'node',1.66715),('nam',9,'node',2.61701),('nam',10,'node',1.89608),('nam',11,'node',0.830633),('nam',12,'node',1.74407),('nam',13,'node',1.95339),('nam',15,'node',1.89272),('nam',16,'node',2.89169),('nam',17,'node',1.71673),('nam',18,'node',1.92743),('nam',21,'node',3.10003),('nam',22,'node',1.83938),('nam',23,'node',1.8152),('nam',32,'node',0.857458),('nam',33,'node',1.68886),('nam',34,'node',1),('nam',35,'node',1.85746),('nam',36,'node',1.69155),('nam',37,'node',1.8861),('nam',38,'node',1.86679),('nam',39,'node',1.72835),('nam',40,'node',1.92384),('nam',42,'node',1.84832),('nam',43,'node',2.36212),('nam',45,'node',2.18937),('nam',47,'node',2),('nam',48,'node',2.39829),('nam',49,'node',24.9008),('nam',64,'node',5.22293),('nam',77,'node',2.67896),('nam',78,'node',2.9079),('nam',79,'node',2),('nam',80,'node',2.6392),('nam',81,'node',1.9689),('nam',85,'node',0.781775),('nam',86,'node',0.71),('nam',87,'node',0.913226),('nam',88,'node',1),('nam',89,'node',1),('nam',91,'node',0.842342),('nam',92,'node',2.79568),('nam',101,'node',1),('name',80,'node',1),('named',10,'node',1),('named',85,'node',2),('names',81,'node',1),('nancy',42,'node',1),('narrow',28,'node',1),('narrowed',12,'node',1),('nascetur',8,'node',1),('nascetur',15,'node',1),('nascetur',28,'node',0.774192),('nascetur',29,'node',0.845322),('nascetur',30,'node',0.827757),('nascetur',64,'node',0.797402),('nascetur',92,'node',1.87957),('nation',27,'node',1),('national',34,'node',1),('national',83,'node',1),('natoque',8,'node',1),('natoque',15,'node',1),('natoque',28,'node',0.78951),('natoque',29,'node',0.863659),('natoque',30,'node',0.845322),('natoque',64,'node',0.813674),('natoque',92,'node',1.87957),('natu',70,'node',0.797402),('natu',71,'node',2.73073),('natu',72,'node',1),('natu',73,'node',2.67298),('natu',74,'node',2),('natu',75,'node',1),('natu',76,'node',1),('natural',29,'node',1),('nature',20,'node',1),('nature',81,'node',9.54373),('nature',82,'node',28),('navigate',45,'node',1),('nba',2,'node',27),('nearfatal',16,'node',1),('nearly',16,'node',1),('nearly',31,'node',1),('nearly',48,'node',1),('nearly',87,'node',2),('nec',1,'node',2),('nec',2,'node',4.51913),('nec',3,'node',3.85133),('nec',4,'node',4.69444),('nec',5,'node',3.78817),('nec',6,'node',4.22991),('nec',7,'node',4.34504),('nec',8,'node',2.70862),('nec',9,'node',3.76646),('nec',10,'node',3.27028),('nec',11,'node',3.85439),('nec',12,'node',0.873132),('nec',13,'node',2.83249),('nec',14,'node',3.00315),('nec',15,'node',2.87313),('nec',16,'node',4.23983),('nec',17,'node',3.55097),('nec',18,'node',3.30525),('nec',19,'node',5.72062),('nec',20,'node',2.42816),('nec',21,'node',3.08507),('nec',22,'node',1.57909),('nec',23,'node',1.63016),('nec',24,'node',2.78691),('nec',25,'node',1.58995),('nec',26,'node',0.738408),('nec',27,'node',1.368),('nec',28,'node',2.61211),('nec',29,'node',2.00889),('nec',30,'node',2.13806),('nec',31,'node',3.20574),('nec',32,'node',3.8701),('nec',33,'node',1.74),('nec',34,'node',0.78951),('nec',35,'node',6.24175),('nec',36,'node',3.34331),('nec',37,'node',6.3938),('nec',38,'node',6.29146),('nec',39,'node',3.41532),('nec',40,'node',2.70987),('nec',41,'node',7.1755),('nec',42,'node',6.19298),('nec',43,'node',3.32857),('nec',44,'node',7.76827),('nec',45,'node',3.73874),('nec',46,'node',3.54075),('nec',47,'node',7.87088),('nec',48,'node',8.25952),('nec',49,'node',3.57472),('nec',64,'node',8.85367),('nec',77,'node',2.72112),('nec',78,'node',3.6918),('nec',79,'node',3.93833),('nec',80,'node',3.18574),('nec',81,'node',3.69099),('nec',82,'node',5.297),('nec',83,'node',4.26427),('nec',84,'node',2.7064),('nec',85,'node',1.65026),('nec',86,'node',0.786915),('nec',87,'node',0.757065),('nec',89,'node',3),('nec',90,'node',1.81243),('nec',91,'node',1.9347),('nec',92,'node',6.43781),('nec',99,'node',1),('nec',101,'node',3),('necklaces',87,'node',1),('need',13,'node',1),('needed',14,'node',1),('needs',13,'node',0.976851),('needs',80,'node',1),('negative',42,'node',1),('negotiates',80,'node',1),('neighbour',13,'node',1),('nelams',14,'node',3),('nelson',81,'node',1),('neo',70,'node',1),('neo',71,'node',0.972861),('neo',72,'node',1.85439),('neo',74,'node',1.86055),('neo',75,'node',0.989021),('neo',76,'node',0.942091),('neque',1,'node',1),('neque',2,'node',0.851346),('neque',3,'node',1),('neque',4,'node',0.899454),('neque',5,'node',2.75806),('neque',6,'node',0.827757),('neque',8,'node',1.69447),('neque',9,'node',0.863659),('neque',12,'node',0.869951),('neque',13,'node',2.77794),('neque',15,'node',1.87957),('neque',16,'node',1),('neque',18,'node',3.25978),('neque',19,'node',2.56836),('neque',21,'node',1.72066),('neque',26,'node',2.35143),('neque',27,'node',0.685676),('neque',28,'node',1.81639),('neque',30,'node',0.989021),('neque',31,'node',2.45464),('neque',32,'node',4.6663),('neque',33,'node',1),('neque',34,'node',2.83938),('neque',35,'node',0.705825),('neque',37,'node',0.725015),('neque',38,'node',0.712106),('neque',41,'node',0.745294),('neque',42,'node',0.699655),('neque',43,'node',1.55713),('neque',44,'node',0.813674),('neque',45,'node',1.44445),('neque',46,'node',0.879565),('neque',47,'node',0.810915),('neque',48,'node',2.56575),('neque',49,'node',3.9736),('neque',64,'node',2.46206),('neque',70,'node',4.30586),('neque',72,'node',0.896076),('neque',73,'node',3.84234),('neque',75,'node',1.61093),('neque',76,'node',1.87634),('neque',77,'node',0.920273),('neque',78,'node',2.68215),('neque',79,'node',2.73376),('neque',80,'node',2.41991),('neque',81,'node',1.64347),('neque',85,'node',0.822065),('neque',86,'node',0.740689),('neque',87,'node',1),('neque',91,'node',0.876337),('neque',92,'node',2.9347),('neque',99,'node',2.9496),('nerves',10,'node',1),('nerves',13,'node',1),('nervous',41,'node',1),('netus',26,'node',0.714225),('netus',82,'node',1.63447),('netus',83,'node',0.879565),('never',2,'node',1),('never',29,'node',0.906287),('new',2,'node',1),('new',10,'node',26),('new',18,'node',26),('new',19,'node',2),('new',22,'node',1),('new',27,'node',2),('new',28,'node',1),('new',31,'node',1),('new',40,'node',1),('new',42,'node',1),('new',49,'node',1),('new',77,'node',31),('new',78,'node',1),('new',83,'node',1),('newest',2,'node',1),('newest',68,'node',1),('newly',13,'node',1),('newlyweds',47,'node',21.9418),('news',15,'node',2),('news',28,'node',1),('news',37,'node',1),('news',54,'node',26),('newspaper',85,'node',1),('next',41,'node',1),('nibh',1,'node',1),('nibh',2,'node',1.81204),('nibh',3,'node',2),('nibh',4,'node',3.60204),('nibh',5,'node',0.839384),('nibh',6,'node',2.64325),('nibh',7,'node',2.56263),('nibh',8,'node',2.40459),('nibh',9,'node',0.674137),('nibh',10,'node',2.68011),('nibh',11,'node',1.70058),('nibh',12,'node',0.830633),('nibh',13,'node',2.14564),('nibh',14,'node',2.30893),('nibh',15,'node',2.72917),('nibh',16,'node',0.754681),('nibh',17,'node',3.43251),('nibh',18,'node',2.45479),('nibh',19,'node',3.34491),('nibh',20,'node',1.6693),('nibh',21,'node',1.40341),('nibh',22,'node',0.747619),('nibh',23,'node',2),('nibh',24,'node',1),('nibh',25,'node',0.769219),('nibh',26,'node',1.58584),('nibh',27,'node',2.34627),('nibh',28,'node',1),('nibh',31,'node',2.69847),('nibh',32,'node',3.67596),('nibh',33,'node',1.85439),('nibh',34,'node',2.84422),('nibh',35,'node',1.81645),('nibh',36,'node',1.64799),('nibh',37,'node',1.84234),('nibh',38,'node',1.8249),('nibh',39,'node',1.68289),('nibh',40,'node',2.69001),('nibh',41,'node',1.72283),('nibh',42,'node',2.48896),('nibh',43,'node',1.81925),('nibh',44,'node',1.78691),('nibh',45,'node',1.71046),('nibh',47,'node',2.7506),('nibh',48,'node',1.7503),('nibh',49,'node',4.18753),('nibh',64,'node',2.38799),('nibh',70,'node',0.813674),('nibh',71,'node',1.93105),('nibh',72,'node',0.879565),('nibh',73,'node',0.827757),('nibh',74,'node',0.899454),('nibh',75,'node',2.90629),('nibh',78,'node',1.70933),('nibh',79,'node',3.64063),('nibh',80,'node',1.49095),('nibh',81,'node',1.6864),('nibh',82,'node',5.28189),('nibh',83,'node',4.20751),('nibh',84,'node',1.9496),('nibh',85,'node',0.722831),('nibh',87,'node',0.754681),('nibh',88,'node',1),('nibh',89,'node',2),('nibh',90,'node',0.976851),('nibh',91,'node',1),('nibh',92,'node',2.82045),('nibh',101,'node',2),('nigella',11,'node',1),('night',91,'node',1),('nimis',70,'node',3.45697),('nimis',71,'node',2),('nimis',72,'node',0.805455),('nimis',73,'node',2),('nimis',75,'node',2.83025),('nimis',76,'node',1),('nine',8,'node',1),('nine',13,'node',1),('nine',38,'node',1),('nine',39,'node',1),('ninety',27,'node',0.96498),('nisi',1,'node',1.98902),('nisi',2,'node',1.76707),('nisi',3,'node',1.89608),('nisi',4,'node',1.85746),('nisi',5,'node',1.94625),('nisi',6,'node',3.70207),('nisi',7,'node',2.51775),('nisi',8,'node',2.76631),('nisi',9,'node',1.39131),('nisi',10,'node',0.754681),('nisi',11,'node',1.86633),('nisi',13,'node',0.662985),('nisi',14,'node',2.26303),('nisi',15,'node',2.90974),('nisi',16,'node',1.5637),('nisi',17,'node',2),('nisi',19,'node',1.58601),('nisi',20,'node',0.707906),('nisi',21,'node',1.56951),('nisi',22,'node',1.90115),('nisi',23,'node',3.80967),('nisi',24,'node',0.797402),('nisi',25,'node',0.968904),('nisi',26,'node',0.886095),('nisi',27,'node',1.59269),('nisi',28,'node',1.61098),('nisi',29,'node',1.32427),('nisi',30,'node',3.14864),('nisi',31,'node',3.20892),('nisi',32,'node',3.81281),('nisi',33,'node',2.90974),('nisi',34,'node',2.55247),('nisi',35,'node',0.725015),('nisi',36,'node',0.961087),('nisi',37,'node',0.745294),('nisi',38,'node',0.731649),('nisi',39,'node',0.98493),('nisi',40,'node',0.824901),('nisi',41,'node',1.50784),('nisi',42,'node',1.4121),('nisi',43,'node',1),('nisi',44,'node',1.64807),('nisi',45,'node',1.66888),('nisi',46,'node',1.81367),('nisi',47,'node',0.836446),('nisi',48,'node',1.95723),('nisi',49,'node',21.7324),('nisi',64,'node',5.69098),('nisi',77,'node',2.8861),('nisi',78,'node',1.83645),('nisi',79,'node',0.923838),('nisi',80,'node',1.62773),('nisi',81,'node',0.810915),('nisi',82,'node',5.1228),('nisi',83,'node',4.06962),('nisi',84,'node',1.64135),('nisi',85,'node',1.50717),('nisi',86,'node',3.17161),('nisi',87,'node',1.63185),('nisi',90,'node',2.71229),('nisi',91,'node',1.90069),('nisi',92,'node',3.83341),('nisi',99,'node',4.87677),('nisl',1,'node',2),('nisl',2,'node',1.85135),('nisl',3,'node',1),('nisl',4,'node',1.89945),('nisl',5,'node',1.87957),('nisl',6,'node',3.61023),('nisl',7,'node',1.58469),('nisl',9,'node',3.79541),('nisl',10,'node',3.21132),('nisl',11,'node',2.74685),('nisl',12,'node',0.902857),('nisl',13,'node',2.30524),('nisl',14,'node',1.4101),('nisl',16,'node',4.22381),('nisl',17,'node',3.49262),('nisl',18,'node',3.39784),('nisl',19,'node',0.697623),('nisl',20,'node',3.67153),('nisl',21,'node',1.59815),('nisl',27,'node',2.1107),('nisl',28,'node',3.33353),('nisl',29,'node',1.63867),('nisl',30,'node',1.61913),('nisl',31,'node',0.802752),('nisl',32,'node',1.85135),('nisl',34,'node',1),('nisl',35,'node',0.707906),('nisl',37,'node',0.727213),('nisl',38,'node',0.714225),('nisl',40,'node',0.800068),('nisl',41,'node',2.85897),('nisl',42,'node',1.38542),('nisl',43,'node',3.55233),('nisl',44,'node',3.10949),('nisl',45,'node',3.92792),('nisl',46,'node',0.96498),('nisl',47,'node',0.813674),('nisl',48,'node',4.38227),('nisl',49,'node',3.78503),('nisl',64,'node',4.21496),('nisl',67,'node',1),('nisl',70,'node',0.784336),('nisl',74,'node',0.879565),('nisl',75,'node',0.800068),('nisl',76,'node',0.892724),('nisl',77,'node',1.71572),('nisl',78,'node',1.9534),('nisl',79,'node',1),('nisl',80,'node',1.69559),('nisl',81,'node',1),('nisl',82,'node',3.38299),('nisl',83,'node',4.30898),('nisl',84,'node',1.91674),('nisl',85,'node',0.742984),('nisl',86,'node',1),('nisl',87,'node',0.784336),('nisl',88,'node',1),('nisl',89,'node',1),('nisl',90,'node',1.72434),('nisl',91,'node',1.90729),('nisl',92,'node',0.889397),('nisl',99,'node',2),('nisl',101,'node',1),('nobis',70,'node',1.52864),('nobis',72,'node',1.82206),('nobis',73,'node',2.66441),('nobis',75,'node',3.40831),('nobis',76,'node',1),('non',1,'node',4.96304),('non',2,'node',2.84154),('non',3,'node',2.7885),('non',4,'node',3.74552),('non',5,'node',6.57041),('non',6,'node',0.916736),('non',7,'node',1.60384),('non',8,'node',1.61108),('non',9,'node',2.96578),('non',10,'node',1.67505),('non',11,'node',3.54532),('non',12,'node',4.52172),('non',13,'node',3.84254),('non',14,'node',1.43151),('non',15,'node',1.8408),('non',16,'node',3.31511),('non',17,'node',3.84532),('non',18,'node',7.04346),('non',19,'node',3.8828),('non',20,'node',1.5853),('non',21,'node',3.98668),('non',22,'node',2.40984),('non',23,'node',1.67341),('non',24,'node',4.43385),('non',25,'node',1.709),('non',26,'node',2.11539),('non',27,'node',0.691597),('non',28,'node',2.4677),('non',29,'node',2.16706),('non',30,'node',2.24354),('non',31,'node',4.81557),('non',32,'node',7.63628),('non',33,'node',5.43736),('non',34,'node',4.52711),('non',35,'node',3.44698),('non',36,'node',3.4918),('non',37,'node',3.5253),('non',38,'node',3.47253),('non',39,'node',3.54493),('non',40,'node',2.88065),('non',41,'node',0.742984),('non',42,'node',3.42196),('non',43,'node',3.99953),('non',44,'node',0.810915),('non',45,'node',4.37267),('non',46,'node',2.66456),('non',47,'node',3.80818),('non',48,'node',4.99482),('non',49,'node',8.15847),('non',64,'node',5.67434),('non',77,'node',3.9496),('non',78,'node',1.86995),('non',79,'node',1.83063),('non',80,'node',1.74609),('non',81,'node',0.873132),('non',82,'node',2.58245),('non',83,'node',2.42847),('non',84,'node',1.83063),('non',85,'node',0.703756),('non',86,'node',0.906287),('non',87,'node',0.72066),('non',88,'node',2.99731),('non',90,'node',1.69408),('non',91,'node',4.31409),('non',92,'node',4.60163),('non',99,'node',1),('nonstop',31,'node',1),('nonummy',64,'node',3.1097),('nonumy',64,'node',0.882818),('noodles',43,'node',1),('noon',8,'node',1),('noon',45,'node',1),('north',8,'node',1),('north',27,'node',0.989021),('northeast',31,'node',1),('northland',27,'node',0.957226),('northwestern',42,'node',1),('nostra',8,'node',0.749958),('nostra',15,'node',0.848323),('nostra',23,'node',1),('nostra',35,'node',0.749958),('nostra',37,'node',0.771698),('nostra',38,'node',0.757065),('nostra',41,'node',0.822065),('nostra',42,'node',0.742984),('nostra',44,'node',0.906287),('nostra',46,'node',0.769219),('nostra',47,'node',0.869951),('nostra',48,'node',1),('nostra',85,'node',0.792123),('nostra',86,'node',0.718502),('nostra',87,'node',0.938382),('nostrud',64,'node',2.51574),('nostrud',70,'node',1.8262),('nostrud',71,'node',1.9347),('nostrud',72,'node',2),('nostrud',73,'node',1.81092),('nostrud',74,'node',4.46605),('nostrud',75,'node',2),('nostrud',76,'node',1),('not',4,'node',2),('not',5,'node',1),('not',7,'node',2),('not',9,'node',1),('not',11,'node',2),('not',14,'node',1),('not',16,'node',1),('not',17,'node',1),('not',20,'node',1),('not',21,'node',1),('not',41,'node',1),('not',42,'node',2),('not',43,'node',1),('not',83,'node',2),('not',85,'node',1),('not',86,'node',1),('not',91,'node',1),('note',82,'node',1),('now',11,'node',1),('now',12,'node',1),('now',13,'node',1),('now',20,'node',1),('now',26,'node',2),('now',83,'node',1),('now',91,'node',26),('nsect',82,'node',0.769219),('nulla',1,'node',7.98087),('nulla',3,'node',2.88445),('nulla',4,'node',1.59801),('nulla',5,'node',3.73208),('nulla',6,'node',5.62567),('nulla',7,'node',6.46606),('nulla',8,'node',3.54546),('nulla',9,'node',2.29026),('nulla',10,'node',1.90428),('nulla',11,'node',2.47659),('nulla',12,'node',0.839384),('nulla',14,'node',5.02975),('nulla',15,'node',3.86894),('nulla',16,'node',2.60964),('nulla',17,'node',2.62662),('nulla',18,'node',0.899454),('nulla',19,'node',2.25512),('nulla',20,'node',2.39429),('nulla',21,'node',4.85716),('nulla',22,'node',0.805455),('nulla',23,'node',1.82206),('nulla',24,'node',3.38054),('nulla',25,'node',0.902857),('nulla',26,'node',3.62517),('nulla',27,'node',2.16125),('nulla',28,'node',2.60129),('nulla',29,'node',1.36722),('nulla',30,'node',1.44804),('nulla',31,'node',6.30176),('nulla',32,'node',4.88254),('nulla',33,'node',3.60107),('nulla',34,'node',2.6419),('nulla',35,'node',3.39581),('nulla',36,'node',5.20842),('nulla',37,'node',3.4774),('nulla',38,'node',3.42706),('nulla',39,'node',5.27442),('nulla',40,'node',3.57541),('nulla',41,'node',1.75662),('nulla',42,'node',3.35962),('nulla',43,'node',0.784336),('nulla',44,'node',1.9507),('nulla',45,'node',1.41094),('nulla',46,'node',3.54267),('nulla',47,'node',3.81915),('nulla',48,'node',0.797402),('nulla',49,'node',0.839384),('nulla',64,'node',6.24799),('nulla',70,'node',0.779231),('nulla',71,'node',2.93569),('nulla',72,'node',0.784336),('nulla',74,'node',0.808176),('nulla',77,'node',2.67583),('nulla',78,'node',3.58444),('nulla',79,'node',5.58418),('nulla',80,'node',3.10556),('nulla',81,'node',3.64958),('nulla',82,'node',1.87313),('nulla',83,'node',3.13304),('nulla',84,'node',3.30678),('nulla',85,'node',2.38387),('nulla',86,'node',4.3182),('nulla',87,'node',1.72066),('nulla',89,'node',2),('nulla',91,'node',0.854391),('nulla',92,'node',2.9496),('nulla',99,'node',4.86211),('nulla',101,'node',2),('nullam',2,'node',1.89676),('nullam',4,'node',1.9534),('nullam',5,'node',0.866793),('nullam',6,'node',2.85746),('nullam',7,'node',1),('nullam',9,'node',0.731649),('nullam',10,'node',3.40288),('nullam',11,'node',1.83353),('nullam',12,'node',3.6124),('nullam',13,'node',2.13004),('nullam',14,'node',0.945829),('nullam',16,'node',0.827757),('nullam',17,'node',1.70975),('nullam',18,'node',4.39167),('nullam',21,'node',0.731649),('nullam',22,'node',0.754681),('nullam',24,'node',3.42835),('nullam',25,'node',0.749958),('nullam',26,'node',0.938382),('nullam',27,'node',0.736141),('nullam',31,'node',0.854391),('nullam',32,'node',3.55517),('nullam',33,'node',2.59846),('nullam',34,'node',3.74552),('nullam',35,'node',2.7301),('nullam',36,'node',2.64211),('nullam',37,'node',2.78909),('nullam',38,'node',2.74932),('nullam',39,'node',2.70202),('nullam',40,'node',2),('nullam',41,'node',0.860547),('nullam',42,'node',2.71131),('nullam',44,'node',0.953396),('nullam',46,'node',1.67952),('nullam',47,'node',2.90629),('nullam',48,'node',1),('nullam',64,'node',4.66183),('nullam',82,'node',2),('nullam',83,'node',0.727213),('nullam',84,'node',0.873132),('nullam',86,'node',0.976851),('nullam',88,'node',2),('nullam',89,'node',2),('nullam',92,'node',0.873132),('nullam',101,'node',2),('number',9,'node',1),('number',14,'node',1),('number',20,'node',2.98902),('number',39,'node',1),('number',41,'node',1),('numerous',83,'node',1),('nunc',1,'node',5),('nunc',2,'node',3.66169),('nunc',3,'node',1),('nunc',4,'node',3.801),('nunc',6,'node',2.9689),('nunc',7,'node',1),('nunc',8,'node',3.49019),('nunc',9,'node',2.27947),('nunc',10,'node',1.94209),('nunc',11,'node',3.61566),('nunc',12,'node',1),('nunc',13,'node',2.35986),('nunc',15,'node',3.7888),('nunc',16,'node',2.59343),('nunc',17,'node',2.73744),('nunc',18,'node',1.65714),('nunc',19,'node',2.19399),('nunc',20,'node',1.42453),('nunc',21,'node',4.95725),('nunc',22,'node',2.54913),('nunc',23,'node',2.8133),('nunc',24,'node',0.873132),('nunc',26,'node',2.02061),('nunc',27,'node',2.14431),('nunc',28,'node',3.89906),('nunc',29,'node',4.29221),('nunc',30,'node',4.46105),('nunc',31,'node',2.55305),('nunc',32,'node',1.9534),('nunc',33,'node',2.85135),('nunc',34,'node',1.74818),('nunc',35,'node',1.75189),('nunc',36,'node',1.62805),('nunc',37,'node',1.81092),('nunc',38,'node',1.7716),('nunc',39,'node',1.66207),('nunc',40,'node',1.84234),('nunc',41,'node',1.58099),('nunc',42,'node',1.73263),('nunc',43,'node',1.6358),('nunc',44,'node',1.73898),('nunc',45,'node',2.86336),('nunc',46,'node',3.68232),('nunc',47,'node',1.92027),('nunc',48,'node',1.62503),('nunc',49,'node',1.75674),('nunc',64,'node',12.4479),('nunc',65,'node',1),('nunc',67,'node',2),('nunc',70,'node',1),('nunc',71,'node',1.85439),('nunc',72,'node',0.968904),('nunc',73,'node',1.86952),('nunc',74,'node',4.6322),('nunc',75,'node',1.84832),('nunc',76,'node',1.89608),('nunc',77,'node',2.76088),('nunc',78,'node',3.78851),('nunc',79,'node',1.98493),('nunc',80,'node',3.54352),('nunc',81,'node',1.82244),('nunc',82,'node',0.980874),('nunc',83,'node',1.42671),('nunc',84,'node',2.43086),('nunc',85,'node',3.0623),('nunc',86,'node',3.99309),('nunc',87,'node',2.38574),('nunc',88,'node',2.98493),('nunc',89,'node',3),('nunc',90,'node',7.55092),('nunc',91,'node',4.73794),('nunc',92,'node',5.48719),('nunc',99,'node',3.89027),('nunc',101,'node',3),('nuptials',49,'node',1),('nurses',33,'node',27),('nutus',71,'node',26),('nutus',72,'node',2.52213),('nutus',73,'node',0.957226),('nutus',74,'node',1.76707),('nutus',75,'node',1.9534),('nzco',77,'node',2),('obcaecat',64,'node',2.84055),('object',49,'node',27),('objects',49,'node',1),('obruo',70,'node',2.43843),('obruo',71,'node',2),('obruo',73,'node',2.81092),('obruo',75,'node',4.74737),('obsessed',20,'node',1),('obstetrics',34,'node',1),('obviously',24,'node',1),('occasion',4,'node',1),('occuro',70,'node',1.97685),('occuro',71,'node',0.934703),('occuro',72,'node',1.73464),('occuro',73,'node',2.93105),('occuro',74,'node',0.916736),('occuro',75,'node',0.942091),('occuro',76,'node',1.9534),('occurs',35,'node',1),('ocean',29,'node',1),('ocean',88,'node',26),('odio',1,'node',3),('odio',7,'node',1.84532),('odio',8,'node',3.66177),('odio',9,'node',1.39358),('odio',11,'node',1.86394),('odio',12,'node',2.67289),('odio',13,'node',0.674137),('odio',14,'node',1.69545),('odio',15,'node',3.90756),('odio',16,'node',1.56662),('odio',17,'node',2),('odio',18,'node',1.7888),('odio',19,'node',0.797402),('odio',20,'node',0.916736),('odio',21,'node',3.99066),('odio',22,'node',4.07749),('odio',23,'node',2.56698),('odio',24,'node',3.60181),('odio',26,'node',1.5917),('odio',27,'node',1.43494),('odio',28,'node',1),('odio',29,'node',0.641769),('odio',30,'node',0.693594),('odio',31,'node',3.36242),('odio',32,'node',3.80283),('odio',33,'node',3.84066),('odio',34,'node',4.36214),('odio',35,'node',1.60318),('odio',36,'node',3.52994),('odio',37,'node',1.65306),('odio',38,'node',1.61947),('odio',39,'node',3.58534),('odio',40,'node',1.71845),('odio',41,'node',1.85285),('odio',42,'node',1.58723),('odio',43,'node',0.76188),('odio',44,'node',2),('odio',45,'node',1.38204),('odio',46,'node',1.83353),('odio',47,'node',2.67057),('odio',48,'node',0.779231),('odio',49,'node',0.813674),('odio',64,'node',0.745294),('odio',70,'node',1),('odio',71,'node',0.968904),('odio',75,'node',0.976851),('odio',77,'node',2.58452),('odio',78,'node',2.84057),('odio',79,'node',2.86366),('odio',80,'node',2.5545),('odio',81,'node',1.89549),('odio',82,'node',1.7064),('odio',89,'node',1),('odio',90,'node',1.8894),('odio',91,'node',1.84532),('odio',92,'node',0.902857),('odio',99,'node',2.93105),('odio',101,'node',1),('off',15,'node',26),('off',26,'node',2),('off',27,'node',2),('off',37,'node',1),('offer',11,'node',1),('offered',16,'node',1),('office',77,'node',27),('office',79,'node',1),('officia',64,'node',2.82142),('official',87,'node',1),('officials',37,'node',1),('often',9,'node',1),('often',13,'node',1),('oftreferenced',24,'node',1),('oil',85,'node',1),('okay',24,'node',1),('old',29,'node',1.92384),('olim',70,'node',0.822065),('olim',71,'node',1.8861),('olim',72,'node',2),('olim',73,'node',2.81645),('olim',74,'node',1),('olim',76,'node',1),('olivia',22,'node',2),('olympus',68,'node',26),('once',14,'node',1),('once',79,'node',2),('once',80,'node',1),('oncenter',8,'node',1),('one',4,'node',2),('one',9,'node',1),('one',14,'node',1),('one',18,'node',1),('one',20,'node',1),('one',29,'node',1.96109),('one',30,'node',2),('one',33,'node',1),('one',42,'node',1),('one',44,'node',1),('one',47,'node',1),('one',48,'node',1),('one',87,'node',1),('oneofkind',49,'node',1),('onepage',57,'node',26),('onestop',26,'node',0.980874),('online',8,'node',1),('online',26,'node',1),('online',49,'node',1),('only',4,'node',1),('only',11,'node',1),('only',25,'node',1),('only',26,'node',1),('only',33,'node',1),('only',35,'node',1),('only',39,'node',1),('only',45,'node',1),('ontario',13,'node',1),('open',10,'node',1),('opened',86,'node',1),('operate',31,'node',1),('oppeto',71,'node',2),('oppeto',72,'node',2.84234),('oppeto',73,'node',1),('oppeto',74,'node',1),('oppeto',76,'node',1.81955),('optimal',13,'node',1),('opting',20,'node',1),('options',4,'node',1),('options',26,'node',26),('orange',97,'node',27),('orci',1,'node',5),('orci',3,'node',1.92221),('orci',4,'node',1.57904),('orci',5,'node',1.86369),('orci',6,'node',2.84767),('orci',7,'node',1.79585),('orci',9,'node',2.28405),('orci',10,'node',1.89945),('orci',11,'node',2.76262),('orci',12,'node',2.72383),('orci',13,'node',2.95758),('orci',14,'node',1.62569),('orci',16,'node',2.60213),('orci',17,'node',2.73982),('orci',18,'node',4.25505),('orci',19,'node',1.59788),('orci',20,'node',3.9136),('orci',21,'node',3.49698),('orci',22,'node',0.808176),('orci',23,'node',0.824901),('orci',24,'node',1),('orci',25,'node',0.754681),('orci',27,'node',0.78951),('orci',28,'node',0.731649),('orci',29,'node',0.705825),('orci',30,'node',0.740689),('orci',31,'node',0.822065),('orci',32,'node',1),('orci',33,'node',2.89122),('orci',34,'node',2.4765),('orci',35,'node',2.30011),('orci',36,'node',2.7301),('orci',37,'node',2.36844),('orci',38,'node',2.32244),('orci',39,'node',2.76897),('orci',40,'node',0.851346),('orci',41,'node',2.54458),('orci',42,'node',2.27822),('orci',43,'node',1.61702),('orci',44,'node',2.8015),('orci',45,'node',1.49577),('orci',47,'node',2.67847),('orci',48,'node',3.6247),('orci',49,'node',6.35035),('orci',64,'node',8.01618),('orci',65,'node',1),('orci',77,'node',0.819249),('orci',78,'node',1.75261),('orci',79,'node',3.59765),('orci',80,'node',1.5234),('orci',81,'node',1.74473),('orci',82,'node',1.8861),('orci',83,'node',2.54005),('orci',84,'node',3.44576),('orci',85,'node',1.69408),('orci',86,'node',1.50236),('orci',88,'node',2),('orci',89,'node',2),('orci',90,'node',0.938382),('orci',91,'node',1),('orci',92,'node',1.76238),('orci',99,'node',1),('orci',101,'node',2),('organisations',77,'node',1),('organisations',78,'node',1),('organization',17,'node',1),('organization',21,'node',1),('organs',13,'node',1),('orlando',2,'node',4),('ornare',1,'node',2),('ornare',2,'node',0.934703),('ornare',3,'node',0.931053),('ornare',4,'node',0.993146),('ornare',6,'node',3.67289),('ornare',7,'node',1),('ornare',8,'node',1),('ornare',9,'node',3.2064),('ornare',11,'node',1.85746),('ornare',13,'node',0.729424),('ornare',15,'node',1),('ornare',16,'node',3.56087),('ornare',17,'node',1.92384),('ornare',18,'node',0.779231),('ornare',19,'node',0.989021),('ornare',20,'node',1.47092),('ornare',21,'node',0.745294),('ornare',23,'node',1.98493),('ornare',24,'node',0.848323),('ornare',25,'node',2.5961),('ornare',27,'node',0.869951),('ornare',33,'node',1.90974),('ornare',34,'node',1.69348),('ornare',36,'node',0.96498),('ornare',39,'node',0.989021),('ornare',41,'node',0.689612),('ornare',43,'node',0.854391),('ornare',44,'node',0.747619),('ornare',45,'node',0.786915),('ornare',46,'node',0.759465),('ornare',48,'node',0.836446),('ornare',49,'node',0.920273),('ornare',77,'node',0.882818),('ornare',78,'node',1),('ornare',80,'node',0.886095),('ornare',82,'node',1),('ornare',83,'node',0.712106),('ornare',84,'node',1.60181),('ornare',85,'node',2.43356),('ornare',86,'node',3.10753),('ornare',87,'node',1.69169),('ornare',88,'node',1),('ornare',90,'node',0.953396),('ornare',91,'node',1),('ornare',92,'node',5.53559),('ornare',99,'node',1.97685),('oscar',25,'node',1),('otavio',84,'node',1),('other',18,'node',1),('other',25,'node',2),('other',34,'node',1),('other',35,'node',1),('other',36,'node',1),('other',39,'node',2),('other',42,'node',1),('other',85,'node',1),('other',86,'node',26),('others',16,'node',26),('others',45,'node',1),('our',2,'node',2),('our',5,'node',1),('our',11,'node',1),('our',22,'node',1),('our',25,'node',1),('our',26,'node',1.98087),('our',28,'node',2),('our',29,'node',3),('our',30,'node',1),('our',36,'node',1),('our',49,'node',1),('out',2,'node',1),('out',4,'node',1),('out',22,'node',1),('out',23,'node',1),('out',25,'node',26),('out',27,'node',1),('out',36,'node',1),('out',37,'node',1),('out',42,'node',26),('out',43,'node',1),('out',44,'node',1),('out',45,'node',26),('out',80,'node',2),('out',81,'node',1),('out',91,'node',1),('outcomes',13,'node',1),('outfit',26,'node',27),('outreach',9,'node',1),('outwardly',38,'node',1),('over',7,'node',1),('over',9,'node',1),('over',22,'node',1),('over',23,'node',1),('over',27,'node',1),('over',35,'node',3),('over',36,'node',1),('over',49,'node',1),('over',80,'node',1),('over',83,'node',2),('over',86,'node',1),('over',90,'node',26),('overall',36,'node',1),('overhaul',19,'node',1),('overseas',78,'node',1),('owing',80,'node',1),('own',19,'node',1),('own',36,'node',1),('own',82,'node',1),('owner',85,'node',1),('pacific',29,'node',1),('pacific',30,'node',1),('page',77,'node',1),('pages',64,'node',26),('pagus',70,'node',0.759465),('pagus',71,'node',1),('pagus',73,'node',1.78691),('paid',19,'node',1),('paihia',27,'node',1),('painted',85,'node',26),('painting',85,'node',2),('pair',22,'node',1),('paki',27,'node',0.972861),('pala',70,'node',26),('pala',71,'node',3.78266),('pala',72,'node',1.94991),('pala',73,'node',1),('pala',74,'node',3.54872),('pala',76,'node',2.77564),('palermo',22,'node',2),('pamplona',5,'node',1),('pandolfo',84,'node',1),('panel',85,'node',29),('paper',82,'node',1),('papers',82,'node',1),('paradises',91,'node',1),('paratus',70,'node',0.899454),('paratus',71,'node',4.74127),('paratus',72,'node',0.797402),('paratus',73,'node',0.953396),('paratus',74,'node',0.854391),('paratus',75,'node',2.84832),('parents',9,'node',1),('parents',14,'node',26),('park',2,'node',1),('park',34,'node',1),('part',13,'node',1),('part',85,'node',1),('parted',22,'node',1),('particular',77,'node',1),('particularly',41,'node',1),('parties',6,'node',1),('partnerships',78,'node',3),('parts',36,'node',1),('parturient',8,'node',1),('parturient',15,'node',1),('parturient',28,'node',0.779231),('parturient',29,'node',0.851346),('parturient',30,'node',0.833529),('parturient',64,'node',0.802752),('parturient',92,'node',1.87957),('party',26,'node',1),('party',46,'node',8.30149),('partying',27,'node',1),('passed',29,'node',1),('passes',78,'node',26),('past',11,'node',1),('past',83,'node',1),('patient',34,'node',26),('patients',35,'node',26),('patria',70,'node',0.896076),('patria',72,'node',0.953396),('patria',73,'node',0.836446),('patria',74,'node',1),('patria',76,'node',1.86995),('paulatim',70,'node',1),('paulatim',71,'node',2.8861),('paulatim',72,'node',1.85439),('paulatim',74,'node',2.56324),('paulatim',75,'node',0.906287),('pavement',90,'node',1),('pay',3,'node',1),('peace',80,'node',1),('peak',20,'node',0.976851),('peaks',38,'node',1),('pecus',70,'node',1.97685),('pecus',71,'node',1.85107),('pecus',72,'node',3.7215),('pecus',73,'node',2.73032),('pecus',74,'node',1.91323),('pecus',75,'node',0.869951),('pecus',76,'node',1.92384),('pede',64,'node',3.66973),('peejay5',29,'node',1),('peek',47,'node',1),('pellentesque',1,'node',1.99315),('pellentesque',2,'node',4.47172),('pellentesque',3,'node',3),('pellentesque',4,'node',5.51746),('pellentesque',5,'node',4.7888),('pellentesque',7,'node',0.802752),('pellentesque',9,'node',1.49335),('pellentesque',10,'node',2.38418),('pellentesque',11,'node',2),('pellentesque',12,'node',1.7596),('pellentesque',13,'node',3.179),('pellentesque',14,'node',0.716357),('pellentesque',16,'node',1.69429),('pellentesque',17,'node',0.792123),('pellentesque',18,'node',5.08156),('pellentesque',19,'node',3.93894),('pellentesque',20,'node',1.60115),('pellentesque',21,'node',2.45239),('pellentesque',22,'node',2.19839),('pellentesque',23,'node',2),('pellentesque',24,'node',4.37913),('pellentesque',25,'node',0.938382),('pellentesque',26,'node',1.39321),('pellentesque',27,'node',0.839384),('pellentesque',31,'node',3.26797),('pellentesque',32,'node',5.57781),('pellentesque',33,'node',3.56603),('pellentesque',34,'node',4.31805),('pellentesque',35,'node',1.67391),('pellentesque',36,'node',4.44695),('pellentesque',37,'node',1.72844),('pellentesque',38,'node',1.69169),('pellentesque',39,'node',4.5238),('pellentesque',40,'node',1.80017),('pellentesque',41,'node',1.69901),('pellentesque',42,'node',1.6565),('pellentesque',43,'node',1.75595),('pellentesque',44,'node',1.76188),('pellentesque',45,'node',2.28174),('pellentesque',46,'node',1.84847),('pellentesque',47,'node',2.7506),('pellentesque',48,'node',1.6892),('pellentesque',49,'node',4.19406),('pellentesque',64,'node',2.90814),('pellentesque',67,'node',1),('pellentesque',77,'node',3),('pellentesque',78,'node',1.84234),('pellentesque',79,'node',3.55889),('pellentesque',80,'node',1.73614),('pellentesque',81,'node',0.827757),('pellentesque',82,'node',5.87802),('pellentesque',83,'node',3.34949),('pellentesque',84,'node',1.66681),('pellentesque',85,'node',1.64268),('pellentesque',86,'node',2.46932),('pellentesque',87,'node',0.800068),('pellentesque',88,'node',1.99731),('pellentesque',89,'node',2),('pellentesque',90,'node',1.93838),('pellentesque',91,'node',1.84832),('pellentesque',92,'node',4.60622),('pellentesque',99,'node',4.87451),('pellentesque',101,'node',2),('penatibus',8,'node',1),('penatibus',15,'node',1),('penatibus',28,'node',0.786915),('penatibus',29,'node',0.860547),('penatibus',30,'node',0.842342),('penatibus',64,'node',0.810915),('penatibus',92,'node',1.87957),('penguins',9,'node',1),('penguins',29,'node',0.993146),('peninsula',27,'node',0.927431),('penthouse',6,'node',1),('people',13,'node',3.91495),('people',30,'node',1),('people',42,'node',1),('people',45,'node',26),('people',46,'node',1),('people',48,'node',1),('people',86,'node',1),('people',90,'node',1),('per',8,'node',1.5023),('per',9,'node',2),('per',11,'node',1),('per',13,'node',1.94583),('per',15,'node',1.69971),('per',23,'node',2),('per',35,'node',1.5023),('per',37,'node',1.54592),('per',38,'node',1.51656),('per',41,'node',1.64701),('per',42,'node',1.48831),('per',44,'node',1.81608),('per',46,'node',1.54095),('per',47,'node',1.74313),('per',48,'node',2),('per',85,'node',1.58691),('per',86,'node',1.43919),('per',87,'node',1.88053),('percent',21,'node',6),('perch',18,'node',1),('perfect',3,'node',1),('perfect',6,'node',1),('perfect',30,'node',1),('perfectly',23,'node',1),('perform',41,'node',1),('performing',41,'node',1),('perkins',41,'node',2),('permalink',4,'node',8.6277),('permalink',47,'node',8.86),('permalink',49,'node',25.6675),('permalink',82,'node',17.5176),('persistence',28,'node',1),('personal',13,'node',1),('personal',60,'node',26),('personal',80,'node',1),('personnel',35,'node',29),('persto',70,'node',1.76157),('persto',71,'node',0.920273),('persto',72,'node',1.6016),('persto',73,'node',1.84832),('persto',75,'node',0.938382),('pertineo',70,'node',0.845322),('pertineo',71,'node',0.909743),('pertineo',72,'node',2.84532),('pertineo',73,'node',0.873132),('pertineo',74,'node',1.87634),('pertineo',75,'node',0.833529),('pertineo',76,'node',1.85557),('pests',83,'node',1),('petersburg',86,'node',1),('petroleum',14,'node',1),('pharera',82,'node',0.781775),('pharetra',2,'node',0.808176),('pharetra',3,'node',3),('pharetra',4,'node',2.50424),('pharetra',6,'node',0.854391),('pharetra',7,'node',2.58221),('pharetra',8,'node',1.78691),('pharetra',9,'node',0.676032),('pharetra',10,'node',0.972861),('pharetra',11,'node',1.68681),('pharetra',12,'node',1),('pharetra',13,'node',1.67023),('pharetra',14,'node',2.32866),('pharetra',15,'node',1.89608),('pharetra',16,'node',0.757065),('pharetra',17,'node',1.80705),('pharetra',18,'node',1.6553),('pharetra',22,'node',0.839384),('pharetra',23,'node',1.84234),('pharetra',25,'node',0.752312),('pharetra',26,'node',2.37201),('pharetra',28,'node',0.797402),('pharetra',30,'node',0.857458),('pharetra',31,'node',0.920273),('pharetra',32,'node',0.854391),('pharetra',34,'node',1),('pharetra',35,'node',0.733888),('pharetra',37,'node',0.754681),('pharetra',38,'node',0.740689),('pharetra',41,'node',0.786915),('pharetra',42,'node',0.727213),('pharetra',44,'node',0.863659),('pharetra',45,'node',0.668514),('pharetra',46,'node',1.88828),('pharetra',47,'node',0.848323),('pharetra',48,'node',1),('pharetra',78,'node',0.824901),('pharetra',79,'node',0.889397),('pharetra',80,'node',0.722831),('pharetra',81,'node',0.784336),('pharetra',82,'node',1),('pharetra',84,'node',0.786915),('pharetra',85,'node',2.49813),('pharetra',86,'node',1.54063),('pharetra',87,'node',1.66913),('pharetra',88,'node',1),('pharetra',89,'node',2),('pharetra',91,'node',0.836446),('pharetra',92,'node',1.78585),('pharetra',99,'node',0.989021),('pharetra',101,'node',2),('phasellus',1,'node',2),('phasellus',2,'node',1.72584),('phasellus',3,'node',1),('phasellus',4,'node',1.82491),('phasellus',6,'node',2.83645),('phasellus',7,'node',0.78951),('phasellus',8,'node',1.83353),('phasellus',9,'node',0.942091),('phasellus',10,'node',1.7717),('phasellus',11,'node',0.845322),('phasellus',12,'node',1),('phasellus',13,'node',1.59116),('phasellus',14,'node',0.703756),('phasellus',15,'node',1.95723),('phasellus',16,'node',1),('phasellus',17,'node',0.909743),('phasellus',18,'node',0.857458),('phasellus',19,'node',0.727213),('phasellus',22,'node',2.42222),('phasellus',23,'node',3.47484),('phasellus',24,'node',2),('phasellus',25,'node',0.839384),('phasellus',26,'node',2.20195),('phasellus',28,'node',0.833529),('phasellus',29,'node',0.679856),('phasellus',30,'node',1.64234),('phasellus',32,'node',0.833529),('phasellus',33,'node',1.71805),('phasellus',34,'node',0.972861),('phasellus',35,'node',2.74607),('phasellus',36,'node',1.73721),('phasellus',37,'node',2.79212),('phasellus',38,'node',2.76572),('phasellus',39,'node',1.77599),('phasellus',40,'node',2),('phasellus',41,'node',0.848323),('phasellus',42,'node',2.72686),('phasellus',44,'node',0.938382),('phasellus',47,'node',2.89608),('phasellus',48,'node',1),('phasellus',64,'node',6.01928),('phasellus',77,'node',1.6568),('phasellus',78,'node',1.8736),('phasellus',79,'node',2),('phasellus',80,'node',1.61358),('phasellus',81,'node',1.90286),('phasellus',82,'node',0.863659),('phasellus',83,'node',1.74517),('phasellus',84,'node',1.80545),('phasellus',85,'node',1.74996),('phasellus',86,'node',1.56442),('phasellus',87,'node',0.802752),('phasellus',92,'node',2.80914),('phasellus',99,'node',3.98493),('phd',36,'node',1),('phd',42,'node',1),('philadelphia',31,'node',3),('philipp',39,'node',1),('philly',32,'node',1),('phones',29,'node',0.873132),('photograph',2,'node',1),('photograph',85,'node',7.69621),('photograph',86,'node',7.67385),('photograph',87,'node',7.85648),('photographer',47,'node',1),('photos',2,'node',1),('photos',31,'node',8.27543),('photos',49,'node',8.80075),('physical',42,'node',2),('picks',2,'node',1),('picture',85,'node',1),('pictures',14,'node',1),('pieces',87,'node',2),('pierre',35,'node',1),('pilot',19,'node',2),('pinterest',3,'node',1),('pinteros',94,'node',27),('pipe',14,'node',1),('place',4,'node',1),('place',9,'node',1),('place',26,'node',1),('place',27,'node',1),('place',30,'node',1),('placerat',1,'node',1),('placerat',3,'node',2.90299),('placerat',4,'node',1.62078),('placerat',6,'node',1),('placerat',7,'node',1.6864),('placerat',8,'node',1.80732),('placerat',10,'node',1.79733),('placerat',11,'node',0.816452),('placerat',12,'node',1),('placerat',13,'node',1.57719),('placerat',14,'node',1.51376),('placerat',15,'node',1.9689),('placerat',17,'node',1.64746),('placerat',18,'node',1.59645),('placerat',19,'node',0.693594),('placerat',20,'node',0.800068),('placerat',21,'node',0.794753),('placerat',22,'node',1.66492),('placerat',23,'node',1.89945),('placerat',24,'node',0.923838),('placerat',26,'node',0.731649),('placerat',27,'node',1.53902),('placerat',32,'node',0.876337),('placerat',33,'node',2.75806),('placerat',34,'node',2.67541),('placerat',35,'node',0.886095),('placerat',36,'node',1.81645),('placerat',37,'node',0.916736),('placerat',38,'node',0.896076),('placerat',39,'node',1.83353),('placerat',40,'node',0.957226),('placerat',42,'node',0.876337),('placerat',46,'node',1.68471),('placerat',47,'node',1),('placerat',64,'node',0.71),('placerat',65,'node',1),('placerat',82,'node',1.62276),('placerat',83,'node',0.857458),('placerat',89,'node',1),('placerat',99,'node',1.99315),('placerat',101,'node',1),('places',9,'node',1),('places',46,'node',1),('places',91,'node',26),('plaga',70,'node',2.92384),('plaga',71,'node',0.873132),('plaga',72,'node',1),('plaga',73,'node',1.83063),('plaga',74,'node',2.80275),('plaga',75,'node',3.87634),('plaga',76,'node',1.86894),('plan',45,'node',1),('planned',28,'node',1),('planned',47,'node',21.9418),('planning',45,'node',1),('plans',14,'node',1),('plant',83,'node',2),('plants',83,'node',1),('platea',6,'node',0.842342),('platea',22,'node',0.997306),('platea',23,'node',0.931053),('platea',24,'node',0.833529),('platea',28,'node',0.725015),('platea',29,'node',0.695602),('platea',30,'node',0.731649),('platea',32,'node',0.839384),('platea',34,'node',0.980874),('platea',64,'node',1),('platea',92,'node',1),('platea',99,'node',0.938382),('play',30,'node',1),('play',44,'node',1),('player',39,'node',2),('players',37,'node',1),('playing',29,'node',0.879565),('playlist',88,'node',26),('plays',24,'node',1),('plentiful',29,'node',26),('plenty',29,'node',26),('plume',29,'node',1),('plunging',91,'node',1),('pneum',70,'node',1.93838),('pneum',72,'node',1.77166),('pneum',73,'node',0.857458),('pneum',74,'node',0.949597),('pneum',75,'node',1.83063),('pneum',76,'node',1.86995),('pod',29,'node',0.989021),('point',26,'node',1),('point',45,'node',1),('pointers',48,'node',1),('police',87,'node',1),('polish',26,'node',0.989021),('political',86,'node',1),('pools',30,'node',1),('poor',42,'node',1),('pop',20,'node',1),('popular',40,'node',1),('population',31,'node',1),('populus',70,'node',0.889397),('populus',71,'node',2),('populus',73,'node',1.61947),('populus',74,'node',1.71814),('populus',75,'node',3.96109),('porta',1,'node',1),('porta',2,'node',0.836446),('porta',3,'node',1),('porta',4,'node',0.882818),('porta',6,'node',0.931053),('porta',9,'node',1.40269),('porta',11,'node',1.8894),('porta',13,'node',0.745294),('porta',16,'node',1.57833),('porta',17,'node',0.976851),('porta',18,'node',0.792123),('porta',21,'node',1),('porta',22,'node',2.60692),('porta',23,'node',2.79984),('porta',24,'node',0.934703),('porta',27,'node',0.727213),('porta',28,'node',1.57833),('porta',29,'node',0.786915),('porta',30,'node',1.68022),('porta',31,'node',1.7064),('porta',32,'node',2),('porta',33,'node',2),('porta',34,'node',1.68177),('porta',35,'node',3.11874),('porta',36,'node',3.34538),('porta',37,'node',3.2133),('porta',38,'node',3.14963),('porta',39,'node',3.39226),('porta',40,'node',2.59181),('porta',41,'node',3.58301),('porta',42,'node',3.08846),('porta',43,'node',0.759465),('porta',44,'node',3.78633),('porta',45,'node',1.38568),('porta',46,'node',1),('porta',47,'node',5.22306),('porta',48,'node',1.74168),('porta',49,'node',0.810915),('porta',64,'node',1),('porta',66,'node',1),('porta',79,'node',1.69699),('porta',82,'node',0.949597),('porta',83,'node',0.736141),('porta',84,'node',2.45376),('porta',85,'node',3.39297),('porta',86,'node',2.6247),('porta',87,'node',1.46595),('porta',88,'node',1),('porta',89,'node',2),('porta',90,'node',2.83645),('porta',91,'node',1.72835),('porta',92,'node',1.86008),('porta',99,'node',1.88828),('porta',101,'node',2),('porttitor',1,'node',1),('porttitor',2,'node',0.813674),('porttitor',3,'node',1),('porttitor',4,'node',0.857458),('porttitor',5,'node',1),('porttitor',6,'node',1),('porttitor',7,'node',0.774192),('porttitor',8,'node',2.46218),('porttitor',9,'node',2.22428),('porttitor',10,'node',1.49993),('porttitor',11,'node',1.86055),('porttitor',14,'node',0.687638),('porttitor',15,'node',2.8213),('porttitor',16,'node',2.52335),('porttitor',17,'node',0.934703),('porttitor',19,'node',1.49671),('porttitor',21,'node',2.32368),('porttitor',25,'node',0.766757),('porttitor',26,'node',0.683725),('porttitor',27,'node',0.802752),('porttitor',28,'node',1.61248),('porttitor',29,'node',0.716357),('porttitor',30,'node',1.74762),('porttitor',32,'node',1.74975),('porttitor',33,'node',2.77113),('porttitor',34,'node',3.68557),('porttitor',35,'node',0.997306),('porttitor',36,'node',1.83833),('porttitor',37,'node',1),('porttitor',38,'node',1),('porttitor',39,'node',1.87634),('porttitor',40,'node',1),('porttitor',42,'node',0.98493),('porttitor',45,'node',0.685676),('porttitor',46,'node',1.92743),('porttitor',47,'node',1),('porttitor',64,'node',2.47188),('porttitor',67,'node',1),('porttitor',78,'node',0.830633),('porttitor',79,'node',0.909743),('porttitor',80,'node',0.727213),('porttitor',81,'node',0.800068),('porttitor',83,'node',0.699655),('porttitor',84,'node',0.813674),('porttitor',86,'node',0.876337),('porttitor',89,'node',1),('porttitor',90,'node',3.68718),('porttitor',91,'node',3.75507),('porttitor',92,'node',0.972861),('porttitor',99,'node',4.87391),('porttitor',101,'node',1),('positive',40,'node',1),('possess',83,'node',1),('possession',80,'node',1),('possibly',22,'node',1),('post',4,'node',0.76431),('post',47,'node',0.784336),('post',48,'node',1),('post',49,'node',2.30289),('post',72,'node',8.48867),('post',82,'node',3.55122),('postentry',83,'node',1),('posuere',2,'node',0.866793),('posuere',3,'node',0.902857),('posuere',4,'node',0.916736),('posuere',5,'node',1.86995),('posuere',6,'node',2.87313),('posuere',7,'node',1.78104),('posuere',9,'node',0.747619),('posuere',11,'node',1),('posuere',12,'node',1),('posuere',13,'node',0.676032),('posuere',14,'node',1.61338),('posuere',16,'node',0.848323),('posuere',19,'node',2.53585),('posuere',21,'node',0.752312),('posuere',22,'node',1.60132),('posuere',23,'node',0.866793),('posuere',24,'node',0.892724),('posuere',25,'node',0.824901),('posuere',26,'node',2.97124),('posuere',27,'node',1.46595),('posuere',28,'node',0.738408),('posuere',29,'node',0.727213),('posuere',30,'node',0.757065),('posuere',31,'node',0.792123),('posuere',32,'node',0.98493),('posuere',33,'node',1),('posuere',34,'node',0.913226),('posuere',35,'node',1.54867),('posuere',36,'node',0.786915),('posuere',37,'node',1.59528),('posuere',38,'node',1.5639),('posuere',39,'node',0.802752),('posuere',40,'node',0.879565),('posuere',41,'node',2.47337),('posuere',42,'node',1.53375),('posuere',43,'node',0.873132),('posuere',44,'node',2.60742),('posuere',45,'node',0.802752),('posuere',46,'node',0.816452),('posuere',47,'node',2.59683),('posuere',48,'node',1.84532),('posuere',49,'node',0.942091),('posuere',64,'node',6.39899),('posuere',77,'node',0.816452),('posuere',78,'node',0.906287),('posuere',79,'node',1.8249),('posuere',80,'node',0.784336),('posuere',81,'node',0.923838),('posuere',82,'node',2.61988),('posuere',83,'node',1.57941),('posuere',84,'node',2.41875),('posuere',85,'node',1.92027),('posuere',86,'node',2.58527),('posuere',92,'node',2),('posuere',99,'node',1.97685),('potenti',1,'node',1),('potenti',3,'node',0.913226),('potenti',6,'node',1),('potenti',8,'node',0.989021),('potenti',10,'node',0.800068),('potenti',15,'node',1),('potenti',22,'node',1.72283),('potenti',23,'node',0.949597),('potenti',24,'node',1.77113),('potenti',26,'node',0.794753),('potenti',27,'node',0.738408),('potenti',31,'node',0.96498),('potenti',92,'node',0.923838),('potential',45,'node',1),('pounding',90,'node',1),('powder',38,'node',1),('power',10,'node',1),('power',43,'node',2),('powers',44,'node',1),('powers',78,'node',1),('ppsr',80,'node',1),('practical',25,'node',1),('practice',33,'node',1),('practice',42,'node',1),('practicing',40,'node',1),('praemitto',71,'node',1.96109),('praemitto',72,'node',0.876337),('praemitto',73,'node',1.81092),('praemitto',74,'node',2.88101),('praemitto',76,'node',1),('praesent',1,'node',2),('praesent',6,'node',1),('praesent',8,'node',1.81645),('praesent',9,'node',2.12453),('praesent',10,'node',0.781775),('praesent',11,'node',2.79901),('praesent',12,'node',2),('praesent',13,'node',1.67706),('praesent',15,'node',1.9347),('praesent',16,'node',2.39408),('praesent',17,'node',1.98902),('praesent',18,'node',1.64807),('praesent',19,'node',0.759465),('praesent',20,'node',1.44961),('praesent',26,'node',1.48299),('praesent',27,'node',0.923838),('praesent',33,'node',0.830633),('praesent',35,'node',1.70089),('praesent',36,'node',1.6058),('praesent',37,'node',1.75725),('praesent',38,'node',1.71926),('praesent',39,'node',1.63881),('praesent',40,'node',1.83149),('praesent',41,'node',1),('praesent',42,'node',1.68291),('praesent',44,'node',1),('praesent',46,'node',0.76188),('praesent',47,'node',2.76636),('praesent',64,'node',2.13218),('praesent',70,'node',0.938382),('praesent',71,'node',1.86055),('praesent',73,'node',1.84234),('praesent',75,'node',3),('praesent',76,'node',1),('praesent',78,'node',0.845322),('praesent',79,'node',0.949597),('praesent',80,'node',0.738408),('praesent',81,'node',0.830633),('praesent',82,'node',0.866793),('praesent',83,'node',1.66275),('praesent',84,'node',1.65221),('praesent',85,'node',1.82206),('praesent',86,'node',2.52967),('praesent',87,'node',1),('praesent',88,'node',1),('praesent',89,'node',1),('praesent',92,'node',1.87176),('praesent',101,'node',1),('precious',87,'node',1),('prediabetes',13,'node',1.97286),('pregnancy',34,'node',27),('pregnant',34,'node',1),('premo',70,'node',0.76188),('premo',71,'node',2.93105),('premo',72,'node',0.802752),('premo',73,'node',2),('premo',74,'node',0.836446),('premo',75,'node',3.80545),('prenatal',34,'node',1),('prescribed',41,'node',1),('present',25,'node',1),('present',26,'node',0.98493),('present',49,'node',1),('presets',99,'node',26),('press',84,'node',1),('prestigious',33,'node',1),('pretium',2,'node',1.85107),('pretium',4,'node',1.93838),('pretium',5,'node',0.848323),('pretium',9,'node',0.689612),('pretium',10,'node',1.76188),('pretium',11,'node',1.75027),('pretium',16,'node',0.774192),('pretium',17,'node',1.89272),('pretium',19,'node',2.31549),('pretium',21,'node',2.5678),('pretium',23,'node',2),('pretium',24,'node',1.65602),('pretium',25,'node',1.55595),('pretium',26,'node',0.691597),('pretium',27,'node',0.805455),('pretium',31,'node',0.980874),('pretium',33,'node',0.945829),('pretium',34,'node',0.816452),('pretium',36,'node',1),('pretium',39,'node',1),('pretium',46,'node',2.47424),('pretium',64,'node',2.98342),('pretium',65,'node',1),('pretium',77,'node',4.58996),('pretium',78,'node',2.89712),('pretium',79,'node',2.87313),('pretium',80,'node',2.57329),('pretium',81,'node',1.94583),('pretium',82,'node',0.873132),('pretium',83,'node',0.957226),('pretium',84,'node',0.774192),('pretium',85,'node',1.72055),('pretium',86,'node',1.50445),('pretium',87,'node',0.836446),('pretium',92,'node',1),('pretty',27,'node',1),('prevention',78,'node',1),('prevention',83,'node',1),('preview',24,'node',1),('previous',82,'node',1),('prewar',85,'node',1),('price',80,'node',2),('pride',9,'node',1),('pride',26,'node',31.9689),('prieto',87,'node',1),('primed',41,'node',1),('primis',3,'node',1.9534),('primis',4,'node',1.60924),('primis',7,'node',0.989021),('primis',12,'node',2),('primis',14,'node',0.909743),('primis',19,'node',1.65621),('primis',64,'node',2.14541),('primis',77,'node',0.822065),('primis',78,'node',1.76808),('primis',79,'node',2.79381),('primis',80,'node',1.53511),('primis',81,'node',1.7837),('primis',84,'node',0.754681),('primis',85,'node',0.866793),('primis',86,'node',0.759465),('prince',9,'node',26),('prints',26,'node',1),('prior',41,'node',1),('pristine',30,'node',1),('private',6,'node',1),('private',19,'node',1),('privately',80,'node',1),('prize',9,'node',1),('probably',42,'node',1),('problems',14,'node',1),('problems',42,'node',1),('probo',70,'node',3.81694),('probo',73,'node',6.21664),('probo',74,'node',1.97286),('probo',75,'node',4.19815),('probo',76,'node',1),('process',79,'node',2),('produce',13,'node',1),('produce',83,'node',1),('produces',13,'node',1),('product',44,'node',1),('product',83,'node',1),('products',14,'node',1),('products',43,'node',1),('products',83,'node',1),('professional',10,'node',1),('professional',13,'node',1),('professor',42,'node',1),('professor',81,'node',1),('program',2,'node',1),('program',19,'node',3),('program',34,'node',1),('program',41,'node',1),('proident',64,'node',2.83785),('proin',3,'node',1.87688),('proin',5,'node',0.942091),('proin',6,'node',0.886095),('proin',7,'node',2.43803),('proin',8,'node',3.22272),('proin',9,'node',0.716357),('proin',10,'node',1.7571),('proin',11,'node',1.81098),('proin',14,'node',2.18727),('proin',15,'node',3.68203),('proin',16,'node',0.808176),('proin',17,'node',1.85746),('proin',19,'node',1.48098),('proin',20,'node',0.934703),('proin',21,'node',0.771698),('proin',22,'node',0.722831),('proin',23,'node',1),('proin',24,'node',1.69952),('proin',25,'node',0.892724),('proin',26,'node',0.816452),('proin',29,'node',0.670377),('proin',30,'node',0.714225),('proin',31,'node',2.41162),('proin',32,'node',2.9534),('proin',33,'node',1.76262),('proin',34,'node',0.805455),('proin',35,'node',1.695),('proin',36,'node',2.59348),('proin',37,'node',1.75128),('proin',38,'node',1.71335),('proin',39,'node',2.63745),('proin',40,'node',1.82547),('proin',41,'node',0.873132),('proin',42,'node',1.67705),('proin',44,'node',0.968904),('proin',45,'node',0.683725),('proin',46,'node',1.8894),('proin',47,'node',1.91323),('proin',64,'node',1),('proin',79,'node',0.839384),('proin',82,'node',1),('proin',83,'node',1.50584),('proin',84,'node',2.62952),('proin',85,'node',2.3398),('proin',86,'node',2.44961),('proin',87,'node',1.59038),('proin',88,'node',1),('proin',89,'node',1),('proin',92,'node',3.69169),('proin',99,'node',3),('proin',101,'node',1),('project',19,'node',1),('project',35,'node',1),('promoted',34,'node',1),('properly',13,'node',1),('properly',21,'node',1),('property',80,'node',1),('proprius',70,'node',0.886095),('proprius',71,'node',4.85746),('proprius',72,'node',1.84234),('proprius',73,'node',1.6647),('proprius',74,'node',0.805455),('proprius',75,'node',1),('proprius',76,'node',1),('prospect',10,'node',1),('provided',79,'node',1),('provides',78,'node',1),('providing',35,'node',1),('psychiatry',42,'node',1),('psychologist',36,'node',1),('psychoneuroendocrinology',40,'node',1),('public',14,'node',1),('public',18,'node',1),('public',19,'node',2),('public',66,'node',26),('published',17,'node',1),('published',21,'node',1),('published',40,'node',1),('pull',15,'node',26),('pull',91,'node',1),('pulvinar',3,'node',0.957226),('pulvinar',4,'node',0.786915),('pulvinar',5,'node',0.863659),('pulvinar',6,'node',0.830633),('pulvinar',7,'node',2.64857),('pulvinar',12,'node',0.916736),('pulvinar',14,'node',1.4794),('pulvinar',18,'node',1),('pulvinar',20,'node',1.63071),('pulvinar',21,'node',3.25407),('pulvinar',22,'node',0.742984),('pulvinar',24,'node',2.62775),('pulvinar',25,'node',0.792123),('pulvinar',26,'node',1.67304),('pulvinar',27,'node',1.4953),('pulvinar',31,'node',2.4988),('pulvinar',32,'node',1.9496),('pulvinar',33,'node',1.88282),('pulvinar',34,'node',1.67169),('pulvinar',36,'node',0.913226),('pulvinar',39,'node',0.934703),('pulvinar',43,'node',0.839384),('pulvinar',45,'node',0.774192),('pulvinar',48,'node',0.827757),('pulvinar',49,'node',1.68463),('pulvinar',64,'node',1.45371),('pulvinar',77,'node',0.909743),('pulvinar',78,'node',1),('pulvinar',80,'node',0.931053),('pulvinar',83,'node',0.740689),('pulvinar',84,'node',1.69597),('pulvinar',85,'node',1.75169),('pulvinar',86,'node',2.50988),('pulvinar',87,'node',0.869951),('pulvinar',88,'node',1),('pulvinar',89,'node',1),('pulvinar',90,'node',0.851346),('pulvinar',91,'node',0.934703),('pulvinar',92,'node',1.82244),('pulvinar',99,'node',2),('pulvinar',101,'node',1),('punter',10,'node',1),('pupils',9,'node',1),('purr',38,'node',1),('pursue',5,'node',1),('purus',1,'node',3),('purus',2,'node',0.876337),('purus',3,'node',1),('purus',4,'node',1.76388),('purus',6,'node',1.74105),('purus',7,'node',1.62455),('purus',8,'node',2.55346),('purus',10,'node',1.59465),('purus',13,'node',0.643484),('purus',14,'node',1.44827),('purus',15,'node',2.81635),('purus',17,'node',0.802752),('purus',19,'node',2.36384),('purus',20,'node',0.703756),('purus',21,'node',1.72048),('purus',22,'node',0.774192),('purus',23,'node',1.80545),('purus',24,'node',1.78691),('purus',27,'node',0.827757),('purus',28,'node',1.6311),('purus',29,'node',2.09137),('purus',30,'node',3.17825),('purus',35,'node',0.805455),('purus',36,'node',0.781775),('purus',37,'node',0.830633),('purus',38,'node',0.813674),('purus',39,'node',0.797402),('purus',40,'node',0.863659),('purus',41,'node',0.931053),('purus',42,'node',0.797402),('purus',44,'node',1),('purus',47,'node',0.945829),('purus',64,'node',4.43764),('purus',67,'node',1),('purus',77,'node',0.916736),('purus',78,'node',1),('purus',80,'node',0.938382),('purus',82,'node',0.916736),('purus',83,'node',1.74069),('purus',84,'node',2.4499),('purus',85,'node',3.39842),('purus',86,'node',4.00516),('purus',87,'node',1.83063),('purus',89,'node',2),('purus',90,'node',1.88282),('purus',91,'node',1.7974),('purus',92,'node',3.82788),('purus',99,'node',4.83501),('purus',101,'node',2),('pushed',18,'node',1),('pushing',43,'node',1),('put',44,'node',1),('quadrum',70,'node',0.842342),('quadrum',71,'node',0.886095),('quadrum',72,'node',2.81645),('quadrum',73,'node',2.63016),('quadrum',74,'node',0.98493),('quadrum',75,'node',0.819249),('quadrum',76,'node',2),('quae',70,'node',2.75235),('quae',72,'node',1.62372),('quae',74,'node',1.81367),('quae',75,'node',0.98493),('quae',76,'node',0.927431),('quam',1,'node',0.98493),('quam',2,'node',0.899454),('quam',4,'node',0.953396),('quam',5,'node',0.851346),('quam',6,'node',1.85746),('quam',8,'node',1.57909),('quam',9,'node',2.31347),('quam',10,'node',0.76188),('quam',11,'node',2),('quam',12,'node',0.876337),('quam',13,'node',1.40597),('quam',15,'node',1.79901),('quam',16,'node',2.63016),('quam',17,'node',1),('quam',18,'node',2.49439),('quam',19,'node',3.14026),('quam',20,'node',0.718502),('quam',21,'node',1.69723),('quam',22,'node',1.65113),('quam',23,'node',2.66531),('quam',24,'node',1.80007),('quam',25,'node',2.44572),('quam',26,'node',1.4358),('quam',28,'node',0.733888),('quam',29,'node',0.71),('quam',30,'node',0.745294),('quam',31,'node',0.805455),('quam',32,'node',1.82776),('quam',33,'node',2.76311),('quam',34,'node',2.57703),('quam',35,'node',1),('quam',36,'node',2.81387),('quam',37,'node',1),('quam',38,'node',1),('quam',39,'node',2.85625),('quam',40,'node',1.81367),('quam',41,'node',0.722831),('quam',42,'node',1.68764),('quam',43,'node',1.7974),('quam',44,'node',0.786915),('quam',45,'node',1.68424),('quam',47,'node',1),('quam',48,'node',1.73201),('quam',49,'node',4.16236),('quam',64,'node',3.02331),('quam',65,'node',1),('quam',66,'node',1),('quam',77,'node',1),('quam',78,'node',0.863659),('quam',79,'node',2.68171),('quam',80,'node',0.752312),('quam',81,'node',0.863659),('quam',82,'node',1.93105),('quam',83,'node',0.824901),('quam',84,'node',1.75707),('quam',85,'node',1.71253),('quam',86,'node',1.5126),('quam',87,'node',0.989021),('quam',90,'node',1.87634),('quam',91,'node',0.993146),('quam',92,'node',1.86995),('quarantine',83,'node',4),('question',82,'node',1),('questioned',17,'node',1),('questioned',21,'node',1),('qui',64,'node',2.82548),('qui',70,'node',1.76431),('qui',71,'node',1.74105),('qui',72,'node',1),('qui',74,'node',2.86366),('qui',75,'node',1.81645),('qui',76,'node',2.89608),('quia',70,'node',0.866793),('quia',71,'node',1),('quia',72,'node',2.53164),('quia',74,'node',1.89608),('quia',75,'node',2.66655),('quia',76,'node',0.913226),('quibus',70,'node',1.76676),('quibus',71,'node',1.88282),('quibus',72,'node',1),('quibus',73,'node',1.59783),('quibus',74,'node',1),('quibus',75,'node',0.827757),('quick',7,'node',2),('quick',31,'node',1),('quickly',45,'node',1),('quidem',70,'node',2.71075),('quidem',71,'node',2.91323),('quidem',72,'node',27),('quidem',74,'node',1),('quidne',70,'node',3.57694),('quidne',71,'node',1.80914),('quidne',72,'node',2.47713),('quidne',73,'node',2.72657),('quidne',74,'node',0.819249),('quidne',75,'node',2.64272),('quis',1,'node',5),('quis',3,'node',1.9534),('quis',4,'node',1.59525),('quis',5,'node',0.927431),('quis',6,'node',3.801),('quis',7,'node',3.5343),('quis',8,'node',7.13294),('quis',9,'node',4.60771),('quis',11,'node',3.67666),('quis',12,'node',1.73982),('quis',13,'node',2.85878),('quis',14,'node',3.2414),('quis',15,'node',7.68181),('quis',16,'node',5.11857),('quis',17,'node',2.9274),('quis',18,'node',4.20978),('quis',20,'node',0.784336),('quis',21,'node',2.59169),('quis',22,'node',3.54626),('quis',23,'node',4.77571),('quis',24,'node',2.56944),('quis',25,'node',0.830633),('quis',26,'node',3.17195),('quis',27,'node',3.68119),('quis',28,'node',3.64096),('quis',29,'node',0.689612),('quis',30,'node',0.725015),('quis',31,'node',3.31028),('quis',32,'node',3.80613),('quis',33,'node',4.59269),('quis',34,'node',4.24478),('quis',35,'node',3.99378),('quis',36,'node',6.29477),('quis',37,'node',4.11823),('quis',38,'node',4.0344),('quis',39,'node',6.39042),('quis',40,'node',2.68273),('quis',41,'node',3.4839),('quis',42,'node',3.95398),('quis',43,'node',0.833529),('quis',44,'node',3.74939),('quis',45,'node',1.44147),('quis',46,'node',2.68261),('quis',47,'node',5.39876),('quis',48,'node',2.8249),('quis',49,'node',1.67785),('quis',64,'node',13.8647),('quis',70,'node',6.31291),('quis',73,'node',1.65052),('quis',74,'node',2.83353),('quis',75,'node',2.6247),('quis',76,'node',1),('quis',77,'node',4.52111),('quis',78,'node',6.49515),('quis',79,'node',5.46858),('quis',80,'node',5.74042),('quis',81,'node',3.45327),('quis',82,'node',7.18568),('quis',83,'node',1.6791),('quis',84,'node',2.25712),('quis',85,'node',4.09106),('quis',86,'node',3.67169),('quis',87,'node',1.64008),('quis',88,'node',2),('quis',89,'node',4),('quis',90,'node',2.91236),('quis',91,'node',4.5184),('quis',92,'node',2.75018),('quis',99,'node',8.84563),('quis',101,'node',4),('quisque',1,'node',1),('quisque',2,'node',0.842342),('quisque',3,'node',2.91674),('quisque',4,'node',22.8997),('quisque',6,'node',0.824901),('quisque',7,'node',2.57038),('quisque',9,'node',3.03264),('quisque',11,'node',1.85746),('quisque',13,'node',1.43354),('quisque',14,'node',2.31546),('quisque',16,'node',3.4516),('quisque',17,'node',0.927431),('quisque',18,'node',1.5438),('quisque',19,'node',1.43354),('quisque',20,'node',0.96498),('quisque',22,'node',1.74407),('quisque',23,'node',1.71845),('quisque',26,'node',0.729424),('quisque',27,'node',0.674137),('quisque',28,'node',2.51503),('quisque',29,'node',0.714225),('quisque',30,'node',1.74762),('quisque',31,'node',1.8861),('quisque',32,'node',1.8861),('quisque',33,'node',1.82206),('quisque',34,'node',1.84234),('quisque',35,'node',1.59433),('quisque',36,'node',0.805455),('quisque',37,'node',1.64388),('quisque',38,'node',1.6105),('quisque',39,'node',0.822065),('quisque',40,'node',0.916736),('quisque',41,'node',1.50329),('quisque',42,'node',1.57848),('quisque',43,'node',0.863659),('quisque',44,'node',1.64369),('quisque',45,'node',0.794753),('quisque',47,'node',1.86055),('quisque',48,'node',1.83938),('quisque',49,'node',0.931053),('quisque',64,'node',1.75468),('quisque',67,'node',1),('quisque',78,'node',0.851346),('quisque',79,'node',0.968904),('quisque',80,'node',0.742984),('quisque',81,'node',0.845322),('quisque',82,'node',1),('quisque',83,'node',1.55944),('quisque',84,'node',2.67867),('quisque',85,'node',0.830633),('quisque',86,'node',1.74529),('quisque',89,'node',1),('quisque',90,'node',0.845322),('quisque',91,'node',1.73561),('quisque',92,'node',1),('quisque',99,'node',1.93105),('quisque',101,'node',1),('quite',22,'node',1),('quote',68,'node',1),('race',8,'node',3),('race',28,'node',1),('racing',7,'node',4),('rack',7,'node',1),('rail',31,'node',1),('rain',9,'node',1),('rainbow',26,'node',1.99731),('rainbowbright',26,'node',1),('rainbowhued',26,'node',26),('raise',16,'node',1),('raise',83,'node',1),('raised',19,'node',1),('ran',81,'node',1),('range',7,'node',1),('range',17,'node',1),('range',21,'node',1),('ranging',38,'node',1),('ranked',9,'node',1),('ranting',40,'node',1),('rare',29,'node',0.980874),('rarest',29,'node',0.961087),('rate',8,'node',1),('rather',90,'node',1),('rather',91,'node',26),('ratis',70,'node',3.5594),('ratis',71,'node',2.88282),('ratis',72,'node',2),('ratis',73,'node',3.4562),('ratis',74,'node',1),('ratis',75,'node',1.9689),('read',19,'node',3),('reading',18,'node',1),('reading',19,'node',27),('reads',45,'node',1),('ready',20,'node',1),('ready',29,'node',1),('ready',41,'node',1),('real',47,'node',1),('real',51,'node',26),('real',90,'node',26),('reality',86,'node',1),('really',24,'node',26),('really',26,'node',1),('rear',7,'node',2),('rearrange',45,'node',1),('reason',14,'node',1),('reason',86,'node',1),('reasons',46,'node',26),('rebekah',14,'node',1),('rebum',64,'node',0.896076),('receive',33,'node',26),('received',78,'node',1),('receiving',2,'node',1),('receiving',33,'node',1),('recent',82,'node',1),('recent',87,'node',1),('recently',77,'node',1),('recipients',33,'node',1),('reciting',18,'node',1),('recognize',14,'node',1),('recognizes',33,'node',1),('recommendation',85,'node',1),('recommendations',5,'node',1),('record',83,'node',1),('recovered',87,'node',2),('red',80,'node',1),('reefs',30,'node',1),('refero',70,'node',1.9347),('refero',71,'node',2),('refero',72,'node',1.99315),('refero',73,'node',4.64502),('refero',74,'node',1),('refero',75,'node',1),('referred',87,'node',1),('refined',25,'node',1),('refoveo',70,'node',2.3869),('refoveo',71,'node',2),('refoveo',72,'node',4.55967),('refoveo',73,'node',2.63337),('refoveo',74,'node',2),('refoveo',75,'node',4.31243),('refoveo',76,'node',2),('region',83,'node',1),('regional',31,'node',1),('regional',83,'node',1),('register',4,'node',1.68686),('register',47,'node',1.73121),('register',49,'node',5.07193),('register',77,'node',1),('register',79,'node',1),('register',80,'node',1),('register',82,'node',3.4184),('registered',77,'node',1),('registered',79,'node',1),('registers',80,'node',1),('registrar',78,'node',1),('registrar',79,'node',1),('regulation',83,'node',1),('related',83,'node',1),('relative',13,'node',1),('relax',30,'node',1),('relax',40,'node',1),('relaxdaily',88,'node',26),('relaxed',7,'node',1),('released',77,'node',1),('remained',35,'node',1),('remains',9,'node',0.98493),('remains',86,'node',1),('remember',41,'node',1),('remote',38,'node',1),('remote',90,'node',1),('renaissance',85,'node',26),('renta',25,'node',1),('reorganizing',36,'node',1),('repo',66,'node',26),('report',35,'node',2),('report',85,'node',1),('reporting',35,'node',1),('reports',35,'node',1),('reports',84,'node',1),('represents',19,'node',1),('reps',41,'node',2),('request',68,'node',1),('requested',20,'node',1),('rera',82,'node',0.771698),('research',12,'node',2),('research',33,'node',1),('research',43,'node',1),('research',68,'node',1),('resident',16,'node',1),('resist',2,'node',1),('resonates',20,'node',1),('resort',26,'node',1),('resource',49,'node',1),('responsible',83,'node',1),('resting',41,'node',1),('restless',18,'node',1),('result',13,'node',0.997306),('return',77,'node',1),('return',85,'node',1),('returned',87,'node',1),('returns',85,'node',26),('returns',87,'node',26),('rev',41,'node',1),('reveal',9,'node',1),('revealing',11,'node',1),('rhoncus',2,'node',0.816452),('rhoncus',3,'node',1),('rhoncus',4,'node',0.860547),('rhoncus',6,'node',1.91342),('rhoncus',7,'node',0.792123),('rhoncus',8,'node',1.5793),('rhoncus',10,'node',1.63513),('rhoncus',13,'node',1.4172),('rhoncus',14,'node',0.707906),('rhoncus',15,'node',1.79932),('rhoncus',17,'node',0.827757),('rhoncus',18,'node',0.802752),('rhoncus',21,'node',4.25072),('rhoncus',22,'node',1.47011),('rhoncus',24,'node',1.9267),('rhoncus',26,'node',0.676032),('rhoncus',27,'node',1.38624),('rhoncus',28,'node',1.90629),('rhoncus',31,'node',0.776703),('rhoncus',32,'node',0.927431),('rhoncus',33,'node',1.79872),('rhoncus',34,'node',0.819249),('rhoncus',35,'node',0.938382),('rhoncus',36,'node',1.84234),('rhoncus',37,'node',0.972861),('rhoncus',38,'node',0.949597),('rhoncus',39,'node',1.86055),('rhoncus',40,'node',1),('rhoncus',41,'node',0.699655),('rhoncus',42,'node',0.927431),('rhoncus',43,'node',0.899454),('rhoncus',44,'node',0.759465),('rhoncus',45,'node',0.824901),('rhoncus',46,'node',1.69883),('rhoncus',47,'node',1),('rhoncus',48,'node',0.860547),('rhoncus',49,'node',0.972861),('rhoncus',64,'node',2.27161),('rhoncus',77,'node',0.836446),('rhoncus',78,'node',1.76614),('rhoncus',79,'node',1.89945),('rhoncus',80,'node',1.53319),('rhoncus',81,'node',1.78527),('rhoncus',82,'node',1.96109),('rhoncus',85,'node',0.731649),('rhoncus',87,'node',0.771698),('rhoncus',88,'node',1),('rhoncus',89,'node',1),('rhoncus',90,'node',1),('rhoncus',91,'node',2.51606),('rhoncus',92,'node',1.83756),('rhoncus',99,'node',1),('rhoncus',101,'node',1),('ride',80,'node',26),('ridiculus',8,'node',1),('ridiculus',15,'node',1),('ridiculus',28,'node',0.771698),('ridiculus',29,'node',0.842342),('ridiculus',30,'node',0.824901),('ridiculus',64,'node',0.794753),('ridiculus',92,'node',1.87957),('right',5,'node',1),('right',9,'node',26),('right',12,'node',1),('right',26,'node',2),('right',29,'node',1),('right',42,'node',1),('right',43,'node',26),('right',91,'node',26),('rim',29,'node',1),('ring',3,'node',1),('rings',3,'node',27),('rising',29,'node',1),('risus',1,'node',1),('risus',5,'node',1),('risus',6,'node',1.83063),('risus',7,'node',0.938382),('risus',8,'node',3.76618),('risus',9,'node',0.679856),('risus',10,'node',0.786915),('risus',11,'node',0.889397),('risus',13,'node',0.869951),('risus',14,'node',0.860547),('risus',15,'node',3.9689),('risus',16,'node',0.76188),('risus',17,'node',0.968904),('risus',18,'node',0.830633),('risus',19,'node',0.792123),('risus',21,'node',0.824901),('risus',22,'node',3.43664),('risus',23,'node',4.68102),('risus',24,'node',2.68299),('risus',25,'node',3.17149),('risus',26,'node',1.63334),('risus',27,'node',0.716357),('risus',28,'node',1),('risus',29,'node',0.643484),('risus',30,'node',0.695602),('risus',31,'node',1.84832),('risus',32,'node',1.83063),('risus',33,'node',3.80056),('risus',34,'node',4.36866),('risus',35,'node',0.797402),('risus',36,'node',2.67278),('risus',37,'node',0.822065),('risus',38,'node',0.805455),('risus',39,'node',2.70886),('risus',40,'node',0.854391),('risus',41,'node',0.913226),('risus',42,'node',0.78951),('risus',44,'node',1),('risus',46,'node',0.757065),('risus',47,'node',0.934703),('risus',64,'node',2.71423),('risus',77,'node',2.73442),('risus',78,'node',2.97685),('risus',79,'node',1),('risus',80,'node',2.72917),('risus',81,'node',1),('risus',82,'node',0.896076),('risus',83,'node',1),('risus',84,'node',0.805455),('risus',85,'node',1.78178),('risus',86,'node',1.57055),('risus',87,'node',0.920273),('risus',88,'node',1.99045),('risus',89,'node',2),('risus',90,'node',1),('risus',91,'node',0.839384),('risus',92,'node',3.55921),('risus',99,'node',2),('risus',101,'node',2),('river',28,'node',1),('river',29,'node',1),('rivers',27,'node',1),('road',7,'node',2),('road',28,'node',1),('roared',29,'node',0.927431),('rocky',30,'node',1),('role',18,'node',1),('romantics',25,'node',1),('room',36,'node',1),('rooted',86,'node',1),('rose',20,'node',1.99315),('roto',71,'node',2),('roto',72,'node',1.65851),('roto',73,'node',2.79206),('roto',74,'node',1.94177),('roto',75,'node',0.896076),('roto',76,'node',0.889397),('rouge',14,'node',1),('rounded',22,'node',1),('rounded',26,'node',1),('row',30,'node',1),('royal',78,'node',1),('run',10,'node',1),('run',19,'node',1),('run',45,'node',1),('runners',8,'node',30),('running',8,'node',8.14758),('runs',86,'node',1),('russia',86,'node',27),('rusticus',70,'node',1.88282),('rusticus',71,'node',1),('rusticus',72,'node',2.46577),('rusticus',73,'node',0.866793),('rusticus',74,'node',1.73114),('rusticus',75,'node',1.7974),('rusticus',76,'node',2.87957),('rutrum',3,'node',1),('rutrum',4,'node',0.816452),('rutrum',5,'node',1.9347),('rutrum',6,'node',1.89272),('rutrum',7,'node',0.920273),('rutrum',8,'node',0.972861),('rutrum',9,'node',1.50374),('rutrum',10,'node',1.70571),('rutrum',11,'node',1.79585),('rutrum',12,'node',1.82016),('rutrum',13,'node',2.27068),('rutrum',14,'node',0.839384),('rutrum',15,'node',1),('rutrum',16,'node',1.70831),('rutrum',17,'node',1.85439),('rutrum',18,'node',3.62372),('rutrum',19,'node',1.47092),('rutrum',20,'node',0.72066),('rutrum',21,'node',1.71879),('rutrum',22,'node',2.63878),('rutrum',23,'node',1.85048),('rutrum',24,'node',1.72118),('rutrum',25,'node',1.50729),('rutrum',26,'node',2.93761),('rutrum',27,'node',1.45148),('rutrum',28,'node',3.15376),('rutrum',29,'node',3.00171),('rutrum',30,'node',3.07288),('rutrum',31,'node',1.68415),('rutrum',32,'node',2.85994),('rutrum',33,'node',1),('rutrum',34,'node',1.87634),('rutrum',35,'node',1.59509),('rutrum',36,'node',1.56104),('rutrum',37,'node',1.64444),('rutrum',38,'node',1.6112),('rutrum',39,'node',1.59219),('rutrum',40,'node',1.70914),('rutrum',41,'node',1.83523),('rutrum',42,'node',1.5793),('rutrum',44,'node',1.98902),('rutrum',46,'node',0.794753),('rutrum',47,'node',1.86987),('rutrum',64,'node',2.46891),('rutrum',65,'node',1),('rutrum',77,'node',0.866793),('rutrum',78,'node',1.82776),('rutrum',79,'node',1.7634),('rutrum',80,'node',1.58247),('rutrum',81,'node',0.794753),('rutrum',82,'node',0.968904),('rutrum',84,'node',0.766757),('rutrum',85,'node',1.70156),('rutrum',86,'node',1.49382),('rutrum',87,'node',0.839384),('rutrum',89,'node',3),('rutrum',90,'node',2.80175),('rutrum',91,'node',1.87957),('rutrum',99,'node',1),('rutrum',101,'node',3),('saab',25,'node',1),('sadcore',24,'node',1),('sadipscing',64,'node',0.889397),('saepius',70,'node',2.69093),('saepius',72,'node',1.94583),('saepius',73,'node',2.67608),('saepius',74,'node',0.945829),('saepius',75,'node',1.83063),('saepius',76,'node',0.869951),('safer',35,'node',1),('sagaciter',70,'node',4.76206),('sagaciter',72,'node',1.7717),('sagaciter',73,'node',1.72899),('sagaciter',74,'node',2),('sagaciter',75,'node',1),('sagaciter',76,'node',1),('sagittis',1,'node',1),('sagittis',2,'node',2.68985),('sagittis',3,'node',1),('sagittis',4,'node',2.80595),('sagittis',5,'node',0.833529),('sagittis',7,'node',1.6745),('sagittis',9,'node',1.6792),('sagittis',10,'node',1.86055),('sagittis',11,'node',1.81151),('sagittis',12,'node',0.923838),('sagittis',13,'node',1.42698),('sagittis',14,'node',1.5113),('sagittis',16,'node',1.80545),('sagittis',17,'node',2.69701),('sagittis',18,'node',1.80275),('sagittis',20,'node',0.7017),('sagittis',21,'node',2.66056),('sagittis',25,'node',0.953396),('sagittis',26,'node',1.38554),('sagittis',27,'node',1.76457),('sagittis',31,'node',0.833529),('sagittis',32,'node',3.56154),('sagittis',33,'node',1.85439),('sagittis',34,'node',3.8103),('sagittis',35,'node',1),('sagittis',36,'node',0.873132),('sagittis',37,'node',1),('sagittis',38,'node',1),('sagittis',39,'node',0.892724),('sagittis',40,'node',1.80545),('sagittis',41,'node',1.41592),('sagittis',42,'node',1.68372),('sagittis',43,'node',1.93105),('sagittis',44,'node',1.53858),('sagittis',45,'node',2.42939),('sagittis',46,'node',2.66018),('sagittis',47,'node',1),('sagittis',48,'node',1.77624),('sagittis',49,'node',2),('sagittis',64,'node',5.85788),('sagittis',77,'node',1.73923),('sagittis',78,'node',1.89608),('sagittis',79,'node',1),('sagittis',80,'node',1.73779),('sagittis',81,'node',0.909743),('sagittis',83,'node',0.749958),('sagittis',84,'node',1.71429),('sagittis',85,'node',1.60245),('sagittis',86,'node',0.769219),('sagittis',87,'node',0.747619),('sagittis',88,'node',2),('sagittis',92,'node',1),('said',10,'node',1),('said',14,'node',1),('said',20,'node',2),('said',21,'node',1),('said',28,'node',1),('said',35,'node',1),('said',84,'node',1),('said',87,'node',1),('sailing',27,'node',1),('sale',11,'node',26),('sale',85,'node',1),('sale',90,'node',1),('saltzberg',81,'node',1),('saluto',70,'node',2.50015),('saluto',71,'node',1.85048),('saluto',72,'node',1.81645),('saluto',73,'node',3.77113),('saluto',74,'node',1),('saluto',75,'node',1.98087),('saluto',76,'node',2.89467),('same',19,'node',1),('same',36,'node',1),('san',30,'node',29),('sanctus',64,'node',3.88136),('sand',27,'node',2.9689),('sand',30,'node',1),('sandals',26,'node',1),('sandy',30,'node',1),('sapien',2,'node',1),('sapien',4,'node',1),('sapien',5,'node',1),('sapien',6,'node',1),('sapien',7,'node',0.839384),('sapien',8,'node',1.74562),('sapien',9,'node',0.822065),('sapien',13,'node',1.45691),('sapien',14,'node',0.749958),('sapien',15,'node',1.92743),('sapien',16,'node',0.945829),('sapien',18,'node',1.55873),('sapien',19,'node',2.42067),('sapien',20,'node',0.779231),('sapien',21,'node',1.6273),('sapien',22,'node',0.802752),('sapien',23,'node',1.82206),('sapien',24,'node',1),('sapien',26,'node',0.674137),('sapien',27,'node',1.41761),('sapien',28,'node',3.31517),('sapien',29,'node',1.5365),('sapien',30,'node',2.55777),('sapien',31,'node',1.75737),('sapien',32,'node',1),('sapien',40,'node',0.810915),('sapien',41,'node',0.716357),('sapien',42,'node',0.685676),('sapien',43,'node',1),('sapien',44,'node',0.779231),('sapien',45,'node',1.60157),('sapien',46,'node',1.78951),('sapien',48,'node',0.909743),('sapien',49,'node',1),('sapien',64,'node',3.18898),('sapien',66,'node',1),('sapien',77,'node',1.87512),('sapien',78,'node',2),('sapien',79,'node',0.869951),('sapien',80,'node',1.89272),('sapien',82,'node',0.945829),('sapien',83,'node',1.55627),('sapien',84,'node',2.75677),('sapien',85,'node',0.913226),('sapien',86,'node',0.779231),('sapien',88,'node',1),('sapien',89,'node',1),('sapien',91,'node',1.67039),('sapien',92,'node',4.69288),('sapien',99,'node',1.9496),('sapien',101,'node',1),('saturday',9,'node',1),('saturday',16,'node',1),('saudi',39,'node',1),('saving',11,'node',1),('saw',29,'node',0.902857),('say',17,'node',1),('say',21,'node',1),('saying',21,'node',1),('says',7,'node',1),('says',24,'node',1),('says',35,'node',1),('says',36,'node',1),('says',41,'node',1),('says',42,'node',1),('says',86,'node',2),('scanned',77,'node',1),('scanner',83,'node',26),('scelerisque',2,'node',1.63321),('scelerisque',3,'node',2),('scelerisque',4,'node',1.72146),('scelerisque',5,'node',0.836446),('scelerisque',6,'node',2.6892),('scelerisque',7,'node',1.81843),('scelerisque',9,'node',0.931053),('scelerisque',12,'node',1.91674),('scelerisque',13,'node',0.854391),('scelerisque',14,'node',1.66106),('scelerisque',16,'node',1),('scelerisque',18,'node',1.82206),('scelerisque',19,'node',0.882818),('scelerisque',21,'node',1.76498),('scelerisque',22,'node',1.67243),('scelerisque',23,'node',0.906287),('scelerisque',24,'node',0.920273),('scelerisque',26,'node',1.72303),('scelerisque',27,'node',0.776703),('scelerisque',31,'node',2.30799),('scelerisque',32,'node',2.75078),('scelerisque',33,'node',0.993146),('scelerisque',34,'node',0.833529),('scelerisque',35,'node',0.784336),('scelerisque',36,'node',1.7767),('scelerisque',37,'node',0.808176),('scelerisque',38,'node',0.792123),('scelerisque',39,'node',1.79212),('scelerisque',40,'node',0.839384),('scelerisque',41,'node',1.57599),('scelerisque',42,'node',0.776703),('scelerisque',43,'node',0.902857),('scelerisque',44,'node',1.73233),('scelerisque',45,'node',1.51935),('scelerisque',46,'node',2.66998),('scelerisque',47,'node',0.916736),('scelerisque',48,'node',0.863659),('scelerisque',49,'node',0.976851),('scelerisque',64,'node',0.733888),('scelerisque',66,'node',1),('scelerisque',67,'node',1),('scelerisque',77,'node',1.84832),('scelerisque',78,'node',0.976851),('scelerisque',79,'node',1),('scelerisque',80,'node',0.836446),('scelerisque',81,'node',1),('scelerisque',82,'node',1),('scelerisque',83,'node',0.805455),('scelerisque',84,'node',1),('scelerisque',90,'node',2),('scelerisque',92,'node',4.69035),('scelerisque',99,'node',1),('scenario',80,'node',1),('schedule',45,'node',1),('school',9,'node',1),('school',14,'node',1),('school',17,'node',9.6277),('school',18,'node',1),('school',19,'node',8.58573),('school',21,'node',1),('school',42,'node',1),('schoolbooks',29,'node',1),('schools',9,'node',26),('schools',17,'node',26),('schools',18,'node',26),('schools',19,'node',30),('schoolteachers',17,'node',1),('schoolteachers',21,'node',1),('schürrle',39,'node',1),('science',81,'node',28),('scientists',81,'node',2),('scisco',70,'node',3.48678),('scisco',71,'node',1.71229),('scisco',72,'node',2.70921),('scisco',73,'node',1.81092),('scisco',74,'node',1.92743),('scisco',75,'node',1.87634),('scisco',76,'node',1.8641),('score',39,'node',1),('scored',21,'node',1),('scorpios',25,'node',1),('scuba',27,'node',0.945829),('sculpture',84,'node',1),('sea',9,'node',1),('sea',30,'node',1),('sea',64,'node',3.88136),('search',80,'node',2),('season',91,'node',1),('seasonal',31,'node',1),('seat',30,'node',1),('seating',45,'node',1),('seatmates',38,'node',1),('secluded',27,'node',1),('second',11,'node',1),('second',19,'node',1),('second',84,'node',1),('secondary',17,'node',2),('secondary',21,'node',2),('secondhand',80,'node',1),('seconds',41,'node',1),('secrets',1,'node',26),('secrets',46,'node',1),('section',49,'node',1),('secundum',70,'node',0.802752),('secundum',71,'node',1.8894),('secundum',72,'node',2.70914),('secundum',73,'node',1),('secundum',74,'node',3.57504),('secundum',75,'node',1),('secundum',76,'node',0.923838),('securities',80,'node',1),('sed',1,'node',8.98902),('sed',2,'node',2.9347),('sed',3,'node',0.909743),('sed',4,'node',2.99315),('sed',5,'node',1),('sed',6,'node',10.5191),('sed',7,'node',5.25442),('sed',8,'node',3.4716),('sed',9,'node',3.36354),('sed',10,'node',0.931053),('sed',11,'node',1.80545),('sed',12,'node',4.55388),('sed',13,'node',2.76252),('sed',14,'node',3.83782),('sed',15,'node',3.83388),('sed',16,'node',3.78815),('sed',17,'node',0.848323),('sed',18,'node',6.09743),('sed',19,'node',3.06003),('sed',20,'node',6.12127),('sed',21,'node',6.94537),('sed',22,'node',4.85256),('sed',23,'node',8.17687),('sed',24,'node',6.15412),('sed',25,'node',5.92888),('sed',26,'node',5.20376),('sed',27,'node',5.84522),('sed',28,'node',7.68917),('sed',29,'node',4.27498),('sed',30,'node',5.38913),('sed',31,'node',6.88405),('sed',32,'node',9.21472),('sed',33,'node',4.66738),('sed',34,'node',8.30006),('sed',35,'node',4.10095),('sed',36,'node',6.18472),('sed',37,'node',4.23264),('sed',38,'node',4.14391),('sed',39,'node',6.27377),('sed',40,'node',3.64301),('sed',41,'node',3.67495),('sed',42,'node',4.05889),('sed',43,'node',3.91721),('sed',44,'node',3.8249),('sed',45,'node',4.96906),('sed',46,'node',6.04345),('sed',47,'node',6.29853),('sed',48,'node',4.98069),('sed',49,'node',6.50002),('sed',64,'node',15.6703),('sed',65,'node',1),('sed',67,'node',1),('sed',70,'node',4.21087),('sed',71,'node',0.993146),('sed',72,'node',3.39582),('sed',73,'node',0.819249),('sed',74,'node',2.67909),('sed',75,'node',2),('sed',76,'node',2),('sed',77,'node',5.41001),('sed',78,'node',5.75194),('sed',79,'node',4.8506),('sed',80,'node',5.10786),('sed',81,'node',3.82475),('sed',82,'node',7.8239),('sed',83,'node',8.00423),('sed',84,'node',9.02976),('sed',85,'node',3.74609),('sed',86,'node',6.14839),('sed',87,'node',0.822065),('sed',88,'node',1),('sed',89,'node',2),('sed',90,'node',6.09078),('sed',91,'node',9.12282),('sed',92,'node',8.29643),('sed',99,'node',8.81273),('sed',101,'node',2),('see',2,'node',1),('see',4,'node',1),('see',23,'node',1),('see',32,'node',1),('see',42,'node',1),('see',44,'node',1),('seemingly',38,'node',1),('seems',25,'node',1),('seems',29,'node',1),('seen',13,'node',1),('seen',29,'node',0.949597),('select',19,'node',1),('selected',69,'node',1),('selection',49,'node',1),('selflearned',20,'node',1),('sell',80,'node',1),('seller',80,'node',1),('sellers',49,'node',1),('selling',49,'node',1),('sem',1,'node',1),('sem',3,'node',1.93838),('sem',4,'node',0.839384),('sem',5,'node',2.72293),('sem',6,'node',4),('sem',7,'node',2),('sem',8,'node',1),('sem',9,'node',3.76502),('sem',10,'node',1.74156),('sem',11,'node',3.61338),('sem',12,'node',3.57751),('sem',13,'node',0.769219),('sem',15,'node',1),('sem',16,'node',4.25597),('sem',17,'node',2.84341),('sem',18,'node',3.62129),('sem',19,'node',2.27863),('sem',20,'node',0.876337),('sem',21,'node',0.759465),('sem',22,'node',1.69306),('sem',23,'node',1.89945),('sem',24,'node',1.85439),('sem',25,'node',1.54932),('sem',26,'node',2.99651),('sem',27,'node',1.53794),('sem',28,'node',1.8284),('sem',29,'node',1.29404),('sem',30,'node',2.32963),('sem',31,'node',2.62185),('sem',32,'node',2.8894),('sem',33,'node',1.87634),('sem',34,'node',2.67891),('sem',35,'node',0.827757),('sem',36,'node',1.69498),('sem',37,'node',0.854391),('sem',38,'node',0.836446),('sem',39,'node',1.73201),('sem',40,'node',0.889397),('sem',41,'node',1.6916),('sem',42,'node',0.819249),('sem',43,'node',1.66207),('sem',44,'node',1.74996),('sem',45,'node',1.53396),('sem',46,'node',0.889397),('sem',47,'node',1.76636),('sem',48,'node',1.65078),('sem',49,'node',1.78671),('sem',64,'node',3.69713),('sem',77,'node',1.80545),('sem',78,'node',0.889397),('sem',79,'node',1.85746),('sem',80,'node',0.771698),('sem',81,'node',0.892724),('sem',82,'node',22.8522),('sem',83,'node',0.945829),('sem',84,'node',1.52432),('sem',85,'node',1.80639),('sem',86,'node',1.55075),('sem',91,'node',3.3232),('sem',92,'node',1.92743),('sem',99,'node',2.97685),('seminyak',90,'node',1),('semper',2,'node',0.920273),('semper',4,'node',0.976851),('semper',5,'node',0.949597),('semper',10,'node',1),('semper',11,'node',0.836446),('semper',12,'node',1),('semper',13,'node',1.44352),('semper',17,'node',0.899454),('semper',18,'node',1.54592),('semper',19,'node',2.5272),('semper',20,'node',0.705825),('semper',21,'node',2.21171),('semper',22,'node',0.879565),('semper',23,'node',0.863659),('semper',26,'node',1.49095),('semper',27,'node',0.916736),('semper',28,'node',0.813674),('semper',29,'node',0.681785),('semper',30,'node',1.59807),('semper',31,'node',1.60337),('semper',32,'node',1.9534),('semper',35,'node',0.836446),('semper',36,'node',0.800068),('semper',37,'node',0.863659),('semper',38,'node',0.845322),('semper',39,'node',0.816452),('semper',40,'node',0.899454),('semper',41,'node',1),('semper',42,'node',0.827757),('semper',44,'node',1),('semper',46,'node',1.61947),('semper',47,'node',1.77853),('semper',64,'node',3.51184),('semper',66,'node',1),('semper',78,'node',0.836446),('semper',79,'node',0.920273),('semper',80,'node',0.731649),('semper',81,'node',0.808176),('semper',82,'node',0.953396),('semper',83,'node',0.802752),('semper',84,'node',1),('semper',85,'node',0.776703),('semper',86,'node',0.707906),('semper',87,'node',0.902857),('semper',89,'node',1),('semper',90,'node',0.854391),('semper',91,'node',0.938382),('semper',92,'node',1.90286),('semper',99,'node',4.92607),('semper',101,'node',1),('senectus',26,'node',0.716357),('senectus',82,'node',1.63745),('senectus',83,'node',0.882818),('sense',40,'node',1),('sent',37,'node',1),('sentences',18,'node',1),('sentences',46,'node',1),('sentimental',25,'node',1),('sérgio',84,'node',1),('serves',24,'node',1),('services',35,'node',3),('set',8,'node',1),('set',14,'node',1),('set',26,'node',1),('set',41,'node',1),('set',85,'node',1),('sets',41,'node',3),('settles',80,'node',1),('seven',14,'node',1),('seven',20,'node',1),('seven',37,'node',2),('seven',39,'node',1),('several',12,'node',1),('several',16,'node',1),('several',81,'node',1),('sevigny',24,'node',28),('sexual',35,'node',1),('shake',48,'node',1),('shape',29,'node',1),('shape',44,'node',1),('share',25,'node',27),('share',46,'node',1),('share',82,'node',1),('shareholders',85,'node',1),('sharing',2,'node',1),('shark',29,'node',0.976851),('sharks',18,'node',1),('sharper',13,'node',1),('she',14,'node',1),('she',18,'node',2),('she',20,'node',8),('she',45,'node',2),('sheer',14,'node',1),('sheets',14,'node',1),('shell',78,'node',1),('shield',9,'node',1),('shift',19,'node',1),('shift',43,'node',1),('shifted',18,'node',1),('shilagh',36,'node',1),('shipping',84,'node',27),('shirt',39,'node',1),('shoes',29,'node',1),('shopping',26,'node',26.9769),('shopping',58,'node',26),('shopping',90,'node',1),('shoppingcartfull',43,'node',1),('shops',26,'node',1),('short',28,'node',1),('short',31,'node',1),('shorter',7,'node',1),('shorts',22,'node',1),('shot',28,'node',1),('should',41,'node',1),('should',45,'node',1),('should',83,'node',1),('shouldn',25,'node',1),('show',26,'node',1),('show',28,'node',1),('show',40,'node',1),('show',45,'node',1),('show',86,'node',1),('shows',26,'node',1),('shows',35,'node',1),('shows',81,'node',27),('shrines',20,'node',1),('shuttled',38,'node',1),('side',18,'node',1),('sides',8,'node',1),('sienese',85,'node',1),('sight',90,'node',1),('sign',25,'node',27),('sign',45,'node',1),('signature',25,'node',1),('signed',8,'node',26),('signs',25,'node',3),('signs',26,'node',1),('signs',42,'node',27),('signup',8,'node',1),('silky',26,'node',1),('similar',16,'node',1),('similar',17,'node',1),('similar',21,'node',1),('similar',25,'node',1),('similis',72,'node',1.95723),('similis',73,'node',0.980874),('similis',74,'node',2.93862),('similis',75,'node',1.89945),('similis',76,'node',1),('simple',22,'node',1),('simple',44,'node',1),('simpler',40,'node',1),('simplified',79,'node',1),('simply',30,'node',1),('simply',36,'node',1),('since',25,'node',1),('since',39,'node',1),('since',49,'node',1),('since',87,'node',1),('sincere',46,'node',1),('singapore',21,'node',1),('singapore',37,'node',1),('singularis',70,'node',1.75946),('singularis',71,'node',27),('singularis',72,'node',2.72835),('singularis',73,'node',1.81645),('singularis',74,'node',1.91323),('singularis',75,'node',2.70697),('sino',70,'node',0.781775),('sino',71,'node',3.62595),('sino',72,'node',1.59251),('sino',73,'node',1.84051),('sino',74,'node',0.813674),('sino',76,'node',0.876337),('sint',64,'node',2.84055),('sip',43,'node',26),('sisterhood',38,'node',26),('sit',1,'node',2),('sit',2,'node',1.77068),('sit',3,'node',1),('sit',4,'node',1.87519),('sit',5,'node',4.4498),('sit',6,'node',8.07031),('sit',7,'node',1.63923),('sit',8,'node',1.77419),('sit',9,'node',2.54258),('sit',10,'node',3.03854),('sit',12,'node',1),('sit',13,'node',1.33112),('sit',14,'node',1.46684),('sit',15,'node',1.87957),('sit',16,'node',2.86282),('sit',18,'node',0.749958),('sit',19,'node',1.6317),('sit',20,'node',2.91016),('sit',21,'node',4.4555),('sit',22,'node',0.76188),('sit',23,'node',1.80275),('sit',24,'node',1),('sit',25,'node',0.927431),('sit',26,'node',2.30561),('sit',27,'node',4.58379),('sit',28,'node',4.30086),('sit',29,'node',2.13227),('sit',30,'node',3.13069),('sit',31,'node',4.35313),('sit',32,'node',2.90929),('sit',33,'node',5.58858),('sit',34,'node',3.45335),('sit',35,'node',3.45242),('sit',36,'node',4.19258),('sit',37,'node',3.5304),('sit',38,'node',3.47787),('sit',39,'node',4.28335),('sit',40,'node',5.23029),('sit',41,'node',3.94976),('sit',42,'node',4.79495),('sit',43,'node',3.61091),('sit',44,'node',4.29066),('sit',45,'node',3.30902),('sit',46,'node',0.802752),('sit',47,'node',3.86967),('sit',48,'node',3.43532),('sit',49,'node',6.11195),('sit',64,'node',13.1481),('sit',66,'node',1),('sit',67,'node',2),('sit',70,'node',3.35302),('sit',72,'node',1.56621),('sit',73,'node',2.89945),('sit',74,'node',1.83353),('sit',77,'node',4.82547),('sit',78,'node',2.77777),('sit',79,'node',2.80518),('sit',80,'node',2.54206),('sit',81,'node',1.82206),('sit',82,'node',29.4811),('sit',83,'node',3.2166),('sit',84,'node',2.5217),('sit',85,'node',2.4591),('sit',86,'node',3.38814),('sit',87,'node',1.63935),('sit',88,'node',2),('sit',89,'node',2),('sit',90,'node',1.83938),('sit',91,'node',2.57513),('sit',92,'node',3.80914),('sit',99,'node',2.97685),('sit',101,'node',2),('site',49,'node',1),('site',69,'node',1),('sites',2,'node',1),('sites',29,'node',0.957226),('sits',31,'node',1),('situated',27,'node',1),('situation',13,'node',1),('six',45,'node',1),('size',10,'node',1),('sizes',10,'node',1),('ski',38,'node',1),('ski',91,'node',2),('skills',19,'node',26),('skin',95,'node',27),('skin',96,'node',27),('skin',97,'node',27),('skin',98,'node',27),('skinny',29,'node',1),('skirt',22,'node',1),('skis',38,'node',1),('sky',15,'node',1),('sky',30,'node',1),('sleepy',41,'node',1),('slim',43,'node',26),('slipped',20,'node',0.98493),('slow',82,'node',1),('slowing',26,'node',1),('slowly',40,'node',1),('slurping',90,'node',1),('small',4,'node',1),('small',80,'node',1),('small',87,'node',27),('smallerscale',17,'node',1),('smallerscale',21,'node',1),('smart',24,'node',1),('smooth',88,'node',26),('snapping',29,'node',0.938382),('snow',38,'node',26),('snowboards',38,'node',1),('social',2,'node',1),('social',9,'node',0.993146),('social',10,'node',1),('society',17,'node',1),('society',21,'node',2),('sociis',8,'node',1),('sociis',15,'node',1),('sociis',28,'node',0.792123),('sociis',29,'node',0.866793),('sociis',30,'node',0.848323),('sociis',64,'node',0.816452),('sociis',92,'node',1.87957),('sociosqu',8,'node',0.76188),('sociosqu',15,'node',0.863659),('sociosqu',23,'node',1),('sociosqu',35,'node',0.76188),('sociosqu',37,'node',0.784336),('sociosqu',38,'node',0.769219),('sociosqu',41,'node',0.836446),('sociosqu',42,'node',0.754681),('sociosqu',44,'node',0.923838),('sociosqu',46,'node',0.781775),('sociosqu',47,'node',0.886095),('sociosqu',48,'node',1),('sociosqu',85,'node',0.805455),('sociosqu',86,'node',0.729424),('sociosqu',87,'node',0.957226),('sodales',3,'node',0.972861),('sodales',4,'node',0.794753),('sodales',5,'node',1.92027),('sodales',6,'node',2.74309),('sodales',8,'node',1),('sodales',15,'node',1),('sodales',19,'node',0.810915),('sodales',20,'node',3.2483),('sodales',22,'node',2.40265),('sodales',23,'node',2.67885),('sodales',24,'node',0.949597),('sodales',25,'node',0.733888),('sodales',26,'node',0.836446),('sodales',27,'node',2.36199),('sodales',28,'node',0.972861),('sodales',33,'node',0.896076),('sodales',34,'node',0.794753),('sodales',35,'node',0.740689),('sodales',36,'node',0.927431),('sodales',37,'node',0.76188),('sodales',38,'node',0.747619),('sodales',39,'node',0.949597),('sodales',40,'node',0.797402),('sodales',41,'node',1.51007),('sodales',42,'node',1.41761),('sodales',43,'node',1.72297),('sodales',44,'node',1.65126),('sodales',45,'node',2.25649),('sodales',46,'node',1),('sodales',47,'node',0.857458),('sodales',48,'node',2.66533),('sodales',49,'node',1.81367),('sodales',64,'node',2.17831),('sodales',77,'node',1.98493),('sodales',78,'node',1),('sodales',79,'node',0.827757),('sodales',80,'node',1),('sodales',82,'node',0.776703),('sodales',83,'node',0.7017),('sodales',84,'node',0.816452),('sodales',85,'node',0.7017),('sodales',86,'node',0.879565),('sodales',87,'node',0.718502),('sodales',88,'node',2),('sodales',89,'node',1),('sodales',90,'node',2.86995),('sodales',91,'node',0.972861),('sodales',92,'node',1.75662),('sodales',99,'node',2.98217),('sodales',101,'node',1),('sold',85,'node',1),('sollicitudin',6,'node',3),('sollicitudin',7,'node',2.77923),('sollicitudin',8,'node',0.808176),('sollicitudin',10,'node',1.78691),('sollicitudin',11,'node',0.819249),('sollicitudin',12,'node',0.842342),('sollicitudin',13,'node',1.42134),('sollicitudin',14,'node',1.65468),('sollicitudin',15,'node',0.923838),('sollicitudin',17,'node',0.869951),('sollicitudin',18,'node',1.70104),('sollicitudin',19,'node',0.754681),('sollicitudin',21,'node',1.50808),('sollicitudin',22,'node',1.7974),('sollicitudin',23,'node',1.80012),('sollicitudin',24,'node',1.85439),('sollicitudin',25,'node',0.800068),('sollicitudin',26,'node',2.3333),('sollicitudin',27,'node',0.729424),('sollicitudin',28,'node',0.736141),('sollicitudin',29,'node',0.712106),('sollicitudin',30,'node',0.747619),('sollicitudin',35,'node',0.800068),('sollicitudin',36,'node',0.779231),('sollicitudin',37,'node',0.824901),('sollicitudin',38,'node',0.808176),('sollicitudin',39,'node',0.794753),('sollicitudin',40,'node',0.857458),('sollicitudin',41,'node',1.62403),('sollicitudin',42,'node',0.792123),('sollicitudin',43,'node',0.938382),('sollicitudin',44,'node',1.76431),('sollicitudin',45,'node',1.54118),('sollicitudin',46,'node',1),('sollicitudin',47,'node',0.938382),('sollicitudin',48,'node',0.876337),('sollicitudin',49,'node',1),('sollicitudin',64,'node',0.705825),('sollicitudin',65,'node',1),('sollicitudin',66,'node',1),('sollicitudin',77,'node',1.83645),('sollicitudin',78,'node',0.942091),('sollicitudin',79,'node',1),('sollicitudin',80,'node',0.810915),('sollicitudin',81,'node',1),('sollicitudin',88,'node',1.99731),('sollicitudin',90,'node',1),('sollicitudin',92,'node',2.87842),('sollicitudin',99,'node',1.94971),('solve',14,'node',1),('some',3,'node',1),('some',14,'node',1),('some',22,'node',1),('some',42,'node',1),('some',45,'node',2),('some',47,'node',1),('some',48,'node',1),('some',81,'node',1),('someone',13,'node',2),('something',22,'node',1),('sometimes',13,'node',1),('sometimes',46,'node',1),('son',14,'node',0.989021),('son',45,'node',1),('song',37,'node',1),('sonia',44,'node',2),('soon',12,'node',1),('sorted',80,'node',1),('sotheby',85,'node',1),('soundtracked',24,'node',1),('source',13,'node',0.980874),('south',8,'node',1),('south',21,'node',1),('southeast',38,'node',1),('spa',6,'node',38.0117),('spade',25,'node',1),('spain',5,'node',1),('spain',87,'node',28),('spanish',87,'node',1),('spanning',87,'node',1),('spark',5,'node',1),('sparkling',27,'node',1),('special',11,'node',27),('special',87,'node',1),('speciality',6,'node',1),('specific',44,'node',1),('spectacular',27,'node',1),('speech',86,'node',1),('speeds',27,'node',0.949597),('spend',30,'node',1),('spend',40,'node',1),('spending',9,'node',1),('spending',90,'node',1),('spends',80,'node',1),('spiderman',81,'node',1),('spiegel',37,'node',1),('splashed',9,'node',1),('spoiled',27,'node',1),('spoliated',85,'node',1),('spoliation',85,'node',2),('spooky',24,'node',3),('sport',7,'node',27),('sports',2,'node',1),('sports',7,'node',9.48867),('sports',15,'node',11.2009),('sportsday',39,'node',26),('spot',2,'node',1),('spot',30,'node',1),('spot',38,'node',1),('spots',91,'node',1),('spread',83,'node',2),('spring',36,'node',28),('springs',14,'node',1),('ssense',24,'node',1),('staff',68,'node',1),('stamps',87,'node',1),('standard',82,'node',1),('standards',14,'node',1),('standout',26,'node',1),('star',45,'node',1),('stars',25,'node',1),('start',8,'node',1),('start',74,'node',8.77142),('starting',14,'node',1),('stash',84,'node',1),('state',9,'node',1),('state',14,'node',1),('stateeducated',9,'node',1),('statement',22,'node',1),('states',14,'node',1),('states',83,'node',1),('static',9,'node',0.976851),('statistics',20,'node',1),('status',77,'node',26),('stayhappy',1,'node',26),('steady',38,'node',1),('steering',45,'node',1),('step',35,'node',1),('steps',14,'node',1),('stereotypical',29,'node',1),('stet',64,'node',2.96109),('sticks',29,'node',1),('still',9,'node',1),('still',29,'node',1),('still',80,'node',1),('stimulate',41,'node',1),('stolen',47,'node',27),('stones',87,'node',1),('store',43,'node',1),('stormy',9,'node',1),('story',49,'node',1),('story',81,'node',1),('stouter',7,'node',1),('straight',28,'node',1),('strap',38,'node',1),('strategic',44,'node',1),('street',9,'node',1),('street',34,'node',1),('streets',5,'node',1),('streets',8,'node',1),('stress',40,'node',27),('stress',42,'node',4),('stress',43,'node',8.24953),('stress',45,'node',29),('stressed',42,'node',29),('stressfree',45,'node',1),('stroll',5,'node',1),('stroll',32,'node',1),('structure',18,'node',1),('stubbornly',9,'node',0.980874),('students',9,'node',1),('students',18,'node',1),('students',19,'node',1),('students',20,'node',28.9931),('studied',87,'node',1),('studies',20,'node',1),('studies',82,'node',1),('study',12,'node',26),('study',20,'node',2),('study',35,'node',1),('study',40,'node',1),('study',42,'node',1),('studying',25,'node',1),('stuff',36,'node',1),('stuff',43,'node',1),('stumbling',14,'node',26),('style',26,'node',2),('styles',25,'node',1),('stylish',22,'node',27),('stylish',24,'node',1),('stylista',22,'node',1),('submitted',4,'node',0.781775),('submitted',47,'node',0.802752),('submitted',49,'node',2.33076),('submitted',79,'node',1),('submitted',82,'node',1.58979),('subsequent',41,'node',1),('suburb',14,'node',1),('such',26,'node',1),('such',35,'node',2),('such',84,'node',1),('sudo',70,'node',2.64462),('sudo',71,'node',1),('sudo',72,'node',2.9689),('sudo',73,'node',1.76789),('sudo',74,'node',28),('sudo',75,'node',2.77705),('sudo',76,'node',27),('suffered',12,'node',1),('suffered',35,'node',1),('suffers',41,'node',1),('sugar',13,'node',2.94991),('suggesting',43,'node',1),('suite',45,'node',1),('suites',6,'node',2),('summer',23,'node',1),('summing',12,'node',1),('sun',27,'node',1),('sun',30,'node',1),('sunning',29,'node',0.972861),('sunny',23,'node',1),('sunny',91,'node',1),('sunshine',30,'node',1),('sunt',64,'node',2.83369),('superfluous',36,'node',1),('supermodel',10,'node',1),('support',16,'node',1),('support',34,'node',1),('supporters',2,'node',1),('sure',26,'node',1),('sure',30,'node',1),('surf',30,'node',1),('surface',29,'node',0.96498),('surfers',30,'node',1),('surfing',27,'node',1),('surprise',25,'node',1),('surprised',29,'node',1),('surprising',42,'node',26),('surrounded',20,'node',1),('surrounded',27,'node',1),('survey',17,'node',3),('survey',21,'node',29),('survivor',12,'node',1),('suscipere',71,'node',0.957226),('suscipere',72,'node',2),('suscipere',73,'node',3.78973),('suscipere',74,'node',2.80275),('suscipere',75,'node',1.98087),('suscipit',2,'node',1),('suscipit',3,'node',0.949597),('suscipit',4,'node',1),('suscipit',5,'node',1.75605),('suscipit',6,'node',4.45704),('suscipit',8,'node',2.60918),('suscipit',9,'node',1.57854),('suscipit',10,'node',0.805455),('suscipit',11,'node',0.866793),('suscipit',12,'node',1.67608),('suscipit',13,'node',1.51033),('suscipit',15,'node',2.96205),('suscipit',16,'node',1.75231),('suscipit',17,'node',0.942091),('suscipit',18,'node',3.38246),('suscipit',20,'node',0.71),('suscipit',21,'node',2.70099),('suscipit',22,'node',1.7172),('suscipit',23,'node',3.70732),('suscipit',24,'node',1.61467),('suscipit',25,'node',1.65413),('suscipit',27,'node',0.794753),('suscipit',28,'node',0.808176),('suscipit',30,'node',0.873132),('suscipit',31,'node',3.53388),('suscipit',32,'node',3.60296),('suscipit',33,'node',1),('suscipit',34,'node',2.83434),('suscipit',40,'node',0.827757),('suscipit',41,'node',0.738408),('suscipit',42,'node',0.695602),('suscipit',43,'node',2.57646),('suscipit',44,'node',0.805455),('suscipit',45,'node',2.45425),('suscipit',46,'node',0.836446),('suscipit',48,'node',2.56394),('suscipit',49,'node',25.7281),('suscipit',64,'node',4.92595),('suscipit',65,'node',1),('suscipit',70,'node',3.37453),('suscipit',74,'node',1.84532),('suscipit',75,'node',0.916736),('suscipit',76,'node',1.87313),('suscipit',78,'node',1.70578),('suscipit',79,'node',2.81444),('suscipit',80,'node',1.48831),('suscipit',81,'node',1.69084),('suscipit',88,'node',2),('suscipit',92,'node',3.83274),('suscipit',99,'node',0.923838),('suspect',84,'node',1),('suspendisse',1,'node',1),('suspendisse',2,'node',1.73061),('suspendisse',3,'node',1.91323),('suspendisse',4,'node',1.83036),('suspendisse',5,'node',2.78984),('suspendisse',6,'node',1),('suspendisse',7,'node',2.85716),('suspendisse',8,'node',2.8284),('suspendisse',9,'node',0.802752),('suspendisse',10,'node',0.802752),('suspendisse',12,'node',0.896076),('suspendisse',14,'node',1.69927),('suspendisse',15,'node',2.96498),('suspendisse',16,'node',0.920273),('suspendisse',18,'node',1),('suspendisse',19,'node',0.742984),('suspendisse',20,'node',0.745294),('suspendisse',22,'node',3.4126),('suspendisse',23,'node',3.64284),('suspendisse',24,'node',2.77113),('suspendisse',25,'node',1.68144),('suspendisse',26,'node',1.48701),('suspendisse',27,'node',0.740689),('suspendisse',28,'node',1.59207),('suspendisse',29,'node',0.816452),('suspendisse',30,'node',1.7152),('suspendisse',31,'node',1.77708),('suspendisse',32,'node',1),('suspendisse',33,'node',0.833529),('suspendisse',35,'node',1.70307),('suspendisse',36,'node',1.60358),('suspendisse',37,'node',1.75966),('suspendisse',38,'node',1.72152),('suspendisse',39,'node',1.63651),('suspendisse',40,'node',1.83422),('suspendisse',41,'node',0.968904),('suspendisse',42,'node',1.68502),('suspendisse',44,'node',1),('suspendisse',45,'node',0.697623),('suspendisse',46,'node',1.80275),('suspendisse',47,'node',2.74674),('suspendisse',64,'node',1.70376),('suspendisse',66,'node',1),('suspendisse',77,'node',2),('suspendisse',79,'node',1.71309),('suspendisse',82,'node',1.78178),('suspendisse',85,'node',0.705825),('suspendisse',87,'node',0.722831),('suspendisse',89,'node',1),('suspendisse',90,'node',1.80017),('suspendisse',91,'node',2.84859),('suspendisse',92,'node',1.87723),('suspendisse',99,'node',1),('suspendisse',101,'node',1),('swam',16,'node',1),('sweden',21,'node',1),('sweet',27,'node',1),('sweet',47,'node',1),('swept',40,'node',1),('swim',16,'node',2),('swim',27,'node',1),('swimmer',16,'node',27),('swimming',16,'node',9.19824),('swims',16,'node',1),('swipe',44,'node',1),('sword',9,'node',1),('symptoms',42,'node',1),('syracuse',8,'node',29),('syria',35,'node',1),('system',41,'node',1),('tables',45,'node',1),('taciti',8,'node',0.76431),('taciti',15,'node',0.866793),('taciti',23,'node',1),('taciti',35,'node',0.76431),('taciti',37,'node',0.786915),('taciti',38,'node',0.771698),('taciti',41,'node',0.839384),('taciti',42,'node',0.757065),('taciti',44,'node',0.927431),('taciti',46,'node',0.784336),('taciti',47,'node',0.889397),('taciti',48,'node',1),('taciti',85,'node',0.808176),('taciti',86,'node',0.731649),('taciti',87,'node',0.961087),('tacky',90,'node',1),('take',3,'node',1),('take',4,'node',1),('take',5,'node',1),('take',8,'node',2),('take',11,'node',1),('take',16,'node',1),('take',80,'node',1),('takeaways',68,'node',1),('taken',80,'node',26),('takes',31,'node',1),('takes',80,'node',1),('takimata',64,'node',3.88136),('taking',26,'node',1),('taking',32,'node',1),('taking',69,'node',1),('talented',9,'node',1),('tamen',70,'node',4.35166),('tamen',71,'node',1.85746),('tamen',72,'node',0.927431),('tamen',73,'node',3.62415),('tamen',74,'node',2.85135),('tamen',75,'node',2.80545),('tamen',76,'node',1),('tara',18,'node',1),('taste',32,'node',26),('tation',64,'node',2.50967),('tation',70,'node',2.32786),('tation',71,'node',3.81959),('tation',74,'node',1),('tation',75,'node',2.52697),('tation',76,'node',2),('taught',19,'node',1),('taxes',84,'node',1),('taylor',22,'node',1),('tea',43,'node',33),('teacher',18,'node',2),('teachers',17,'node',2),('teachers',21,'node',30),('teaching',14,'node',1),('teaching',17,'node',1),('teaching',19,'node',1),('teaching',21,'node',1),('teammates',37,'node',1),('technically',26,'node',1),('teeter',45,'node',1),('tego',70,'node',0.810915),('tego',71,'node',1.91674),('tego',72,'node',0.906287),('tego',73,'node',1.81645),('tego',74,'node',1.91323),('tego',75,'node',1),('tego',76,'node',27),('tellus',1,'node',3),('tellus',2,'node',0.98493),('tellus',3,'node',1.85625),('tellus',4,'node',1),('tellus',5,'node',1),('tellus',6,'node',1.85746),('tellus',7,'node',1.677),('tellus',8,'node',1.64732),('tellus',9,'node',1.56077),('tellus',10,'node',0.813674),('tellus',11,'node',0.913226),('tellus',12,'node',0.857458),('tellus',14,'node',1.50112),('tellus',15,'node',1.87957),('tellus',16,'node',1.7717),('tellus',17,'node',1.78434),('tellus',18,'node',0.938382),('tellus',20,'node',1.5666),('tellus',21,'node',2.89436),('tellus',22,'node',1.90286),('tellus',23,'node',2.82166),('tellus',25,'node',0.882818),('tellus',26,'node',1.63957),('tellus',28,'node',2.36563),('tellus',29,'node',1.49507),('tellus',30,'node',2.52508),('tellus',31,'node',3.35031),('tellus',32,'node',2.96601),('tellus',33,'node',1),('tellus',34,'node',0.876337),('tellus',35,'node',2.44976),('tellus',36,'node',2.36086),('tellus',37,'node',2.52747),('tellus',38,'node',2.47512),('tellus',39,'node',2.40838),('tellus',40,'node',2.62951),('tellus',41,'node',3.59279),('tellus',42,'node',2.42492),('tellus',43,'node',1.62668),('tellus',44,'node',3.74762),('tellus',45,'node',2.85989),('tellus',46,'node',1.95723),('tellus',47,'node',4.46295),('tellus',48,'node',1.6263),('tellus',49,'node',1.7459),('tellus',64,'node',3.97681),('tellus',77,'node',2.77882),('tellus',78,'node',2),('tellus',79,'node',1.69369),('tellus',80,'node',1.80582),('tellus',82,'node',1),('tellus',83,'node',0.729424),('tellus',84,'node',0.876337),('tellus',85,'node',0.745294),('tellus',86,'node',0.980874),('tellus',87,'node',0.786915),('tellus',88,'node',1.99731),('tellus',89,'node',1),('tellus',90,'node',0.827757),('tellus',91,'node',0.886095),('tellus',92,'node',6.33303),('tellus',99,'node',2.90732),('tellus',101,'node',1),('temperatures',30,'node',1),('temperatures',91,'node',1),('temples',20,'node',1),('tempor',5,'node',0.845322),('tempor',6,'node',0.972861),('tempor',7,'node',0.863659),('tempor',8,'node',0.886095),('tempor',9,'node',0.738408),('tempor',10,'node',2.41846),('tempor',11,'node',1),('tempor',12,'node',1),('tempor',13,'node',2.22184),('tempor',14,'node',0.776703),('tempor',15,'node',1),('tempor',16,'node',0.836446),('tempor',17,'node',1.59509),('tempor',18,'node',2.33058),('tempor',19,'node',0.949597),('tempor',21,'node',1.7301),('tempor',22,'node',1.92027),('tempor',23,'node',1.85438),('tempor',25,'node',0.873132),('tempor',27,'node',0.705825),('tempor',28,'node',1.76431),('tempor',29,'node',1.44425),('tempor',30,'node',1.48918),('tempor',31,'node',0.766757),('tempor',32,'node',1.77068),('tempor',33,'node',1.85439),('tempor',34,'node',1.85135),('tempor',35,'node',1),('tempor',36,'node',0.860547),('tempor',37,'node',1),('tempor',38,'node',1),('tempor',39,'node',0.879565),('tempor',40,'node',1),('tempor',42,'node',0.989021),('tempor',43,'node',0.792123),('tempor',45,'node',1.40802),('tempor',46,'node',1),('tempor',47,'node',1),('tempor',48,'node',0.805455),('tempor',49,'node',0.848323),('tempor',64,'node',1.70697),('tempor',65,'node',1),('tempor',83,'node',1.44699),('tempor',84,'node',4.07928),('tempor',85,'node',3.49518),('tempor',86,'node',3.27836),('tempor',87,'node',0.738408),('tempor',88,'node',1),('tempor',89,'node',1),('tempor',92,'node',0.876337),('tempor',101,'node',1),('tempus',1,'node',3),('tempus',2,'node',1.88053),('tempus',4,'node',1.99315),('tempus',5,'node',0.892724),('tempus',6,'node',2.86995),('tempus',7,'node',0.824901),('tempus',9,'node',1.58077),('tempus',11,'node',1),('tempus',13,'node',0.691597),('tempus',14,'node',0.736141),('tempus',16,'node',1.80983),('tempus',18,'node',0.754681),('tempus',19,'node',1.60603),('tempus',20,'node',1.56121),('tempus',24,'node',1.6568),('tempus',25,'node',2.33595),('tempus',29,'node',0.635),('tempus',30,'node',0.685676),('tempus',31,'node',1.64008),('tempus',32,'node',1.99731),('tempus',33,'node',2.98087),('tempus',34,'node',2.52475),('tempus',35,'node',0.722831),('tempus',36,'node',2),('tempus',37,'node',0.742984),('tempus',38,'node',0.729424),('tempus',39,'node',2),('tempus',41,'node',0.769219),('tempus',42,'node',0.716357),('tempus',44,'node',0.842342),('tempus',45,'node',0.670377),('tempus',46,'node',3.6154),('tempus',47,'node',0.833529),('tempus',48,'node',1),('tempus',64,'node',3.20505),('tempus',77,'node',0.830633),('tempus',78,'node',0.927431),('tempus',79,'node',1.84532),('tempus',80,'node',0.800068),('tempus',81,'node',0.957226),('tempus',82,'node',1),('tempus',83,'node',0.707906),('tempus',84,'node',0.830633),('tempus',86,'node',0.902857),('tempus',88,'node',2),('tempus',89,'node',3),('tempus',90,'node',0.916736),('tempus',91,'node',1),('tempus',92,'node',4.67492),('tempus',101,'node',3),('tennis',37,'node',7.92726),('tension',40,'node',1),('terminal',31,'node',1),('territory',45,'node',1),('testing',66,'node',26),('testy',45,'node',1),('than',7,'node',3),('than',8,'node',28),('than',9,'node',2),('than',13,'node',2),('than',14,'node',1),('than',17,'node',1),('than',19,'node',1),('than',21,'node',1),('than',28,'node',2),('than',31,'node',2),('than',39,'node',2),('than',40,'node',1),('than',42,'node',1),('than',80,'node',1),('than',90,'node',1),('thank',89,'node',26),('that',4,'node',2),('that',9,'node',1),('that',10,'node',1),('that',11,'node',1),('that',13,'node',2.96498),('that',14,'node',1),('that',16,'node',2),('that',19,'node',6),('that',20,'node',1),('that',21,'node',1),('that',25,'node',1),('that',27,'node',2),('that',28,'node',1),('that',30,'node',1),('that',33,'node',2),('that',35,'node',2),('that',36,'node',4),('that',37,'node',2),('that',40,'node',1),('that',41,'node',1),('that',42,'node',3),('that',43,'node',1),('that',44,'node',2),('that',45,'node',1),('that',46,'node',1),('that',47,'node',27),('that',48,'node',1),('that',77,'node',1),('that',81,'node',1),('that',82,'node',3),('that',83,'node',1),('the',2,'node',12),('the',4,'node',6),('the',5,'node',3),('the',6,'node',2),('the',7,'node',6),('the',8,'node',9),('the',9,'node',35),('the',10,'node',57),('the',11,'node',4),('the',12,'node',3),('the',13,'node',36.9769),('the',14,'node',8),('the',15,'node',2),('the',16,'node',7),('the',17,'node',29),('the',18,'node',6),('the',19,'node',11),('the',20,'node',7.98633),('the',21,'node',4),('the',22,'node',5),('the',23,'node',31),('the',24,'node',2),('the',25,'node',12),('the',26,'node',7),('the',27,'node',14.9079),('the',28,'node',7),('the',29,'node',42.6511),('the',30,'node',36),('the',31,'node',8),('the',32,'node',1),('the',33,'node',4),('the',34,'node',4),('the',35,'node',9),('the',36,'node',3),('the',37,'node',6),('the',38,'node',32),('the',39,'node',4),('the',40,'node',3),('the',41,'node',31),('the',42,'node',4),('the',43,'node',32),('the',44,'node',5),('the',45,'node',5),('the',46,'node',28),('the',47,'node',28),('the',48,'node',3),('the',49,'node',28),('the',66,'node',26),('the',67,'node',26),('the',68,'node',3),('the',69,'node',2),('the',77,'node',9),('the',78,'node',6),('the',79,'node',6),('the',80,'node',9),('the',81,'node',8),('the',82,'node',4),('the',83,'node',10),('the',84,'node',9),('the',85,'node',15),('the',86,'node',6),('the',87,'node',11),('the',90,'node',33),('the',91,'node',5),('their',2,'node',2),('their',9,'node',3),('their',10,'node',3),('their',14,'node',1.99315),('their',17,'node',1),('their',19,'node',1),('their',21,'node',2),('their',25,'node',1),('their',29,'node',4.76586),('their',34,'node',2),('their',35,'node',2),('their',37,'node',3),('their',46,'node',3),('their',49,'node',2),('them',19,'node',1),('them',25,'node',1),('them',27,'node',2),('them',30,'node',1),('theme',73,'node',8.6277),('themselves',10,'node',1),('then',10,'node',1),('then',27,'node',1),('then',34,'node',1),('then',87,'node',1),('theory',19,'node',1),('theory',81,'node',1),('there',8,'node',1),('there',11,'node',1),('there',13,'node',1),('there',24,'node',1),('there',26,'node',2),('there',32,'node',2),('there',44,'node',1),('there',49,'node',1),('there',90,'node',2),('therefore',24,'node',1),('therefore',35,'node',1),('these',5,'node',1),('these',24,'node',1),('these',45,'node',1),('these',46,'node',26),('these',48,'node',26),('these',77,'node',1),('these',91,'node',1),('they',14,'node',1),('they',17,'node',1),('they',21,'node',2),('they',22,'node',1),('they',25,'node',1),('they',28,'node',1),('they',41,'node',1),('they',46,'node',2),('they',77,'node',1),('they',86,'node',1),('they',90,'node',1),('thick',38,'node',1),('thing',19,'node',1),('thing',26,'node',1),('thing',27,'node',1),('thing',29,'node',0.899454),('thing',30,'node',2),('thing',48,'node',1),('things',5,'node',1),('things',27,'node',1),('things',32,'node',1),('things',36,'node',1),('think',4,'node',1),('think',7,'node',2),('think',42,'node',1),('think',45,'node',1),('this',6,'node',1),('this',9,'node',1),('this',11,'node',1),('this',13,'node',1),('this',14,'node',2),('this',20,'node',1),('this',24,'node',2),('this',26,'node',27),('this',28,'node',1),('this',29,'node',1),('this',33,'node',1),('this',34,'node',1),('this',38,'node',2),('this',39,'node',1),('this',40,'node',1),('this',41,'node',1),('this',45,'node',1),('this',78,'node',1),('this',80,'node',1),('this',81,'node',1),('this',82,'node',1),('this',90,'node',26),('thomas',39,'node',1),('thoroughly',3,'node',1),('those',3,'node',1),('those',10,'node',1),('those',13,'node',0.945829),('those',33,'node',1),('those',43,'node',1),('those',46,'node',1),('those',48,'node',1),('though',80,'node',1),('thought',3,'node',1),('three',19,'node',1),('three',29,'node',1),('three',31,'node',1),('three',37,'node',1),('three',38,'node',1),('three',41,'node',3),('three',77,'node',1),('thrilling',27,'node',0.953396),('through',5,'node',1),('through',8,'node',1),('through',19,'node',1),('through',22,'node',26),('through',29,'node',1),('through',32,'node',1),('through',38,'node',1),('thursday',86,'node',1),('thus',4,'node',1),('tide',30,'node',1),('tidy',80,'node',1),('tight',41,'node',26),('tightly',38,'node',1),('time',20,'node',1),('time',22,'node',1),('time',86,'node',1),('time',90,'node',1),('times',41,'node',1),('tincidunt',1,'node',4),('tincidunt',2,'node',0.810915),('tincidunt',3,'node',3.81634),('tincidunt',4,'node',1.64914),('tincidunt',5,'node',0.902857),('tincidunt',6,'node',1.7102),('tincidunt',7,'node',0.889397),('tincidunt',8,'node',3.35988),('tincidunt',9,'node',1.50797),('tincidunt',10,'node',2.81847),('tincidunt',11,'node',2.59511),('tincidunt',12,'node',2.97286),('tincidunt',13,'node',3.12087),('tincidunt',14,'node',0.810915),('tincidunt',15,'node',3.75261),('tincidunt',16,'node',1.71414),('tincidunt',17,'node',3.52892),('tincidunt',18,'node',3.19332),('tincidunt',19,'node',3.42627),('tincidunt',20,'node',0.716357),('tincidunt',21,'node',6.61244),('tincidunt',22,'node',0.736141),('tincidunt',23,'node',2.98224),('tincidunt',24,'node',0.961087),('tincidunt',25,'node',2.51452),('tincidunt',26,'node',1.43491),('tincidunt',28,'node',1.57475),('tincidunt',29,'node',1.36836),('tincidunt',30,'node',2.39784),('tincidunt',31,'node',3.47589),('tincidunt',32,'node',2.76258),('tincidunt',33,'node',3.52499),('tincidunt',34,'node',1.86055),('tincidunt',35,'node',2.80143),('tincidunt',36,'node',2.51821),('tincidunt',37,'node',2.86366),('tincidunt',38,'node',2.82217),('tincidunt',39,'node',2.5725),('tincidunt',40,'node',3.71037),('tincidunt',41,'node',0.718502),('tincidunt',42,'node',3.46413),('tincidunt',43,'node',1),('tincidunt',44,'node',0.781775),('tincidunt',45,'node',2.28535),('tincidunt',46,'node',3.50498),('tincidunt',47,'node',2.98902),('tincidunt',48,'node',0.913226),('tincidunt',49,'node',1),('tincidunt',64,'node',6.60223),('tincidunt',65,'node',1),('tincidunt',66,'node',1),('tincidunt',70,'node',1.84832),('tincidunt',71,'node',2.90286),('tincidunt',72,'node',1.57909),('tincidunt',74,'node',0.816452),('tincidunt',75,'node',2.84832),('tincidunt',77,'node',1.89945),('tincidunt',78,'node',1),('tincidunt',79,'node',0.848323),('tincidunt',80,'node',0.920273),('tincidunt',82,'node',0.854391),('tincidunt',83,'node',1.60048),('tincidunt',84,'node',0.810915),('tincidunt',85,'node',1.47717),('tincidunt',86,'node',1.57075),('tincidunt',87,'node',1.56171),('tincidunt',88,'node',1),('tincidunt',89,'node',1),('tincidunt',90,'node',1.77969),('tincidunt',91,'node',2.79666),('tincidunt',92,'node',3.78212),('tincidunt',99,'node',3),('tincidunt',101,'node',1),('title',86,'node',1),('today',48,'node',1),('today',79,'node',1),('today',87,'node',1),('together',34,'node',1),('together',38,'node',1),('together',44,'node',1),('toiling',36,'node',1),('tom',12,'node',1),('toned',41,'node',26),('toni',39,'node',1),('too',2,'node',1),('too',11,'node',1),('too',26,'node',1),('too',35,'node',1),('took',18,'node',1),('took',28,'node',1),('top',6,'node',1),('top',22,'node',1),('top',27,'node',1),('top',30,'node',1),('topperforming',14,'node',1),('toronto',26,'node',1),('torquent',8,'node',0.757065),('torquent',15,'node',0.857458),('torquent',23,'node',1),('torquent',35,'node',0.757065),('torquent',37,'node',0.779231),('torquent',38,'node',0.76431),('torquent',41,'node',0.830633),('torquent',42,'node',0.749958),('torquent',44,'node',0.916736),('torquent',46,'node',0.776703),('torquent',47,'node',0.879565),('torquent',48,'node',1),('torquent',85,'node',0.800068),('torquent',86,'node',0.725015),('torquent',87,'node',0.949597),('torqueo',70,'node',28.5625),('torqueo',71,'node',0.842342),('torqueo',72,'node',1.59376),('torqueo',73,'node',1.93838),('torqueo',74,'node',1.83084),('torqueo',75,'node',1.77216),('tortor',1,'node',2),('tortor',2,'node',0.857458),('tortor',3,'node',1.8894),('tortor',4,'node',0.906287),('tortor',5,'node',1.77466),('tortor',6,'node',4.50241),('tortor',7,'node',2.83063),('tortor',8,'node',1.8894),('tortor',10,'node',0.863659),('tortor',12,'node',0.882818),('tortor',13,'node',0.650439),('tortor',14,'node',0.742984),('tortor',15,'node',2),('tortor',17,'node',0.813674),('tortor',18,'node',0.98493),('tortor',21,'node',2.33479),('tortor',22,'node',1.75612),('tortor',23,'node',2.72844),('tortor',24,'node',0.784336),('tortor',25,'node',0.886095),('tortor',26,'node',2.15405),('tortor',27,'node',1.68766),('tortor',32,'node',0.830633),('tortor',33,'node',0.839384),('tortor',34,'node',0.96498),('tortor',35,'node',0.906287),('tortor',36,'node',0.824901),('tortor',37,'node',0.938382),('tortor',38,'node',0.916736),('tortor',39,'node',0.842342),('tortor',40,'node',0.980874),('tortor',42,'node',0.896076),('tortor',43,'node',2.3388),('tortor',45,'node',2.16938),('tortor',47,'node',1),('tortor',48,'node',2.38228),('tortor',49,'node',4.80992),('tortor',64,'node',2.13648),('tortor',67,'node',1),('tortor',77,'node',5.52307),('tortor',78,'node',4.70785),('tortor',79,'node',4.72336),('tortor',80,'node',4.19693),('tortor',81,'node',3.72901),('tortor',83,'node',0.808176),('tortor',84,'node',1),('tortor',88,'node',1),('tortor',89,'node',1),('tortor',90,'node',2.77074),('tortor',91,'node',4.64539),('tortor',101,'node',1),('tossing',36,'node',1),('total',65,'node',1),('total',66,'node',1),('total',67,'node',1),('total',68,'node',1),('total',69,'node',1),('touches',39,'node',1),('touches',49,'node',1),('touches',81,'node',1),('tough',41,'node',2),('tour',32,'node',1),('touring',7,'node',31),('tourist',90,'node',1),('tourists',90,'node',1),('tours',32,'node',26),('toward',45,'node',1),('towns',30,'node',1),('track',69,'node',1),('tradition',22,'node',1),('traditional',20,'node',1),('trafficking',87,'node',1),('train',31,'node',1),('training',68,'node',1),('training',69,'node',1),('tramping',29,'node',1),('transform',44,'node',1),('transport',80,'node',1),('travel',5,'node',35.137),('travel',27,'node',7.37415),('travel',28,'node',7.87993),('travel',29,'node',6.94837),('travel',30,'node',15.0206),('travel',31,'node',9.24953),('travel',32,'node',9.10533),('travel',91,'node',8.77142),('travelling',28,'node',1),('travelling',29,'node',1.98493),('treasure',87,'node',1),('treasury',85,'node',1),('trek',31,'node',1),('trend',25,'node',1),('trend',26,'node',1),('tricks',44,'node',27),('trinity',9,'node',1),('trip',27,'node',1),('trip',28,'node',1),('trip',29,'node',1),('trip',38,'node',1),('trip',90,'node',1),('triple',7,'node',1),('trips',5,'node',1),('trips',28,'node',1),('tristique',1,'node',4),('tristique',5,'node',2.74407),('tristique',6,'node',3.58579),('tristique',7,'node',1.75161),('tristique',8,'node',1.79097),('tristique',10,'node',0.766757),('tristique',12,'node',0.827757),('tristique',13,'node',0.896076),('tristique',14,'node',1.57958),('tristique',15,'node',1.94209),('tristique',18,'node',1.72489),('tristique',19,'node',0.869951),('tristique',20,'node',0.848323),('tristique',21,'node',0.712106),('tristique',22,'node',0.873132),('tristique',23,'node',0.860547),('tristique',24,'node',0.794753),('tristique',25,'node',1.55897),('tristique',26,'node',1.50327),('tristique',27,'node',0.679856),('tristique',28,'node',1.6869),('tristique',29,'node',1.4239),('tristique',30,'node',1.48917),('tristique',31,'node',0.797402),('tristique',32,'node',1),('tristique',33,'node',1.64131),('tristique',35,'node',2.48511),('tristique',36,'node',2.37952),('tristique',37,'node',2.56519),('tristique',38,'node',2.51124),('tristique',39,'node',2.42782),('tristique',40,'node',2.67047),('tristique',41,'node',0.916736),('tristique',42,'node',2.45953),('tristique',44,'node',1),('tristique',45,'node',0.687638),('tristique',46,'node',1.89945),('tristique',47,'node',2.92785),('tristique',64,'node',1),('tristique',67,'node',1),('tristique',77,'node',2.54525),('tristique',78,'node',2.91535),('tristique',79,'node',3),('tristique',80,'node',2.49815),('tristique',81,'node',3),('tristique',82,'node',4.18116),('tristique',83,'node',2.49817),('tristique',84,'node',1),('tristique',85,'node',0.754681),('tristique',86,'node',0.7017),('tristique',87,'node',0.816452),('tristique',89,'node',2),('tristique',91,'node',1.64697),('tristique',92,'node',2.85245),('tristique',99,'node',1),('tristique',101,'node',2),('tropical',91,'node',1),('truly',6,'node',1),('truly',19,'node',1),('try',4,'node',1),('tshirt',26,'node',7.35365),('tue',4,'node',0.776703),('tue',47,'node',0.797402),('tue',49,'node',0.78951),('tuesday',87,'node',1),('tulle',22,'node',1),('tum',70,'node',5.91574),('tum',71,'node',1),('tum',72,'node',2.81521),('tum',73,'node',2.78973),('tum',74,'node',1.85135),('tum',75,'node',0.892724),('tum',76,'node',1),('turf',28,'node',1),('turned',23,'node',1),('turnout',68,'node',1),('turns',28,'node',1),('turns',44,'node',1),('turpis',1,'node',1),('turpis',2,'node',1),('turpis',4,'node',1),('turpis',5,'node',1.93524),('turpis',6,'node',2.83452),('turpis',7,'node',1),('turpis',8,'node',0.836446),('turpis',9,'node',1.48344),('turpis',10,'node',0.819249),('turpis',11,'node',0.989021),('turpis',12,'node',2.78082),('turpis',13,'node',4.50379),('turpis',14,'node',0.931053),('turpis',15,'node',0.961087),('turpis',16,'node',1.68179),('turpis',17,'node',1.78691),('turpis',18,'node',5.17512),('turpis',19,'node',0.752312),('turpis',20,'node',0.712106),('turpis',21,'node',0.729424),('turpis',24,'node',0.776703),('turpis',25,'node',0.934703),('turpis',26,'node',0.707906),('turpis',31,'node',1.77923),('turpis',32,'node',0.934703),('turpis',33,'node',2.66457),('turpis',34,'node',0.899454),('turpis',35,'node',1.77115),('turpis',36,'node',1.64241),('turpis',37,'node',1.83256),('turpis',38,'node',1.79115),('turpis',39,'node',1.677),('turpis',40,'node',1.89945),('turpis',42,'node',1.7516),('turpis',43,'node',0.78951),('turpis',45,'node',0.731649),('turpis',47,'node',1.98902),('turpis',48,'node',0.802752),('turpis',49,'node',0.845322),('turpis',64,'node',6.27772),('turpis',70,'node',0.819249),('turpis',71,'node',0.857458),('turpis',72,'node',1.72211),('turpis',73,'node',0.931053),('turpis',74,'node',2.91323),('turpis',75,'node',0.920273),('turpis',76,'node',1.92384),('turpis',77,'node',1.84832),('turpis',78,'node',0.972861),('turpis',79,'node',1),('turpis',80,'node',0.833529),('turpis',81,'node',1),('turpis',82,'node',3.23714),('turpis',83,'node',1.69771),('turpis',84,'node',0.802752),('turpis',85,'node',1.81367),('turpis',86,'node',1.59053),('turpis',87,'node',0.972861),('turpis',88,'node',1),('turpis',89,'node',1),('turpis',90,'node',0.873132),('turpis',91,'node',0.980874),('turpis',99,'node',2.99315),('turpis',101,'node',1),('twelve',25,'node',1),('twenties',29,'node',1),('twice',43,'node',1),('twin',84,'node',1),('twists',28,'node',1),('two',29,'node',1),('two',31,'node',1),('two',35,'node',1),('two',41,'node',2),('two',86,'node',1),('twophase',41,'node',1),('type',13,'node',4.89193),('type',40,'node',1),('types',35,'node',1),('typical',7,'node',1),('typically',4,'node',1),('typicus',70,'node',2.75707),('typicus',71,'node',0.953396),('typicus',72,'node',1.96498),('typicus',73,'node',2.63582),('typicus',74,'node',2.84454),('typicus',76,'node',3),('ubud',90,'node',1),('ukraine',86,'node',1),('ulciscor',70,'node',4.55637),('ulciscor',71,'node',0.902857),('ulciscor',72,'node',2.79063),('ulciscor',73,'node',2.53516),('ulciscor',74,'node',0.927431),('ulciscor',75,'node',1.62191),('ulciscor',76,'node',1.86679),('ullamcorper',1,'node',3),('ullamcorper',5,'node',1),('ullamcorper',8,'node',0.774192),('ullamcorper',9,'node',0.824901),('ullamcorper',13,'node',1.56397),('ullamcorper',15,'node',0.879565),('ullamcorper',16,'node',0.949597),('ullamcorper',18,'node',1.61093),('ullamcorper',19,'node',1.46601),('ullamcorper',22,'node',1.58845),('ullamcorper',23,'node',0.857458),('ullamcorper',24,'node',0.889397),('ullamcorper',26,'node',1.54092),('ullamcorper',27,'node',0.749958),('ullamcorper',28,'node',1.61571),('ullamcorper',29,'node',0.718502),('ullamcorper',30,'node',1.74762),('ullamcorper',33,'node',3.7388),('ullamcorper',34,'node',2.51189),('ullamcorper',35,'node',0.854391),('ullamcorper',36,'node',1.79038),('ullamcorper',37,'node',0.882818),('ullamcorper',38,'node',0.863659),('ullamcorper',39,'node',1.82206),('ullamcorper',40,'node',2.54227),('ullamcorper',41,'node',2.837),('ullamcorper',42,'node',2.22064),('ullamcorper',43,'node',7.76853),('ullamcorper',44,'node',3.08337),('ullamcorper',45,'node',7.88256),('ullamcorper',46,'node',1),('ullamcorper',47,'node',1),('ullamcorper',48,'node',7.58201),('ullamcorper',49,'node',11.2962),('ullamcorper',64,'node',3.97321),('ullamcorper',67,'node',1),('ullamcorper',70,'node',27.6977),('ullamcorper',71,'node',2),('ullamcorper',72,'node',1),('ullamcorper',73,'node',3.47199),('ullamcorper',75,'node',1.87634),('ullamcorper',76,'node',1),('ullamcorper',77,'node',2.5579),('ullamcorper',78,'node',2.91523),('ullamcorper',79,'node',2),('ullamcorper',80,'node',2.51775),('ullamcorper',81,'node',1.99315),('ullamcorper',83,'node',1.43074),('ullamcorper',84,'node',2.4388),('ullamcorper',85,'node',0.842342),('ullamcorper',86,'node',2.61845),('ullamcorper',88,'node',1),('ullamcorper',90,'node',2.66724),('ullamcorper',91,'node',1.8034),('ullamcorper',92,'node',3.65207),('ullamcorper',99,'node',2),('ultimate',38,'node',1),('ultimately',38,'node',1),('ultrices',1,'node',1),('ultrices',3,'node',1),('ultrices',4,'node',0.842342),('ultrices',6,'node',0.836446),('ultrices',7,'node',1.75608),('ultrices',8,'node',0.824901),('ultrices',9,'node',1.54671),('ultrices',10,'node',1),('ultrices',11,'node',1.68261),('ultrices',12,'node',3.67818),('ultrices',13,'node',0.652202),('ultrices',14,'node',1.58767),('ultrices',15,'node',0.945829),('ultrices',16,'node',1.74996),('ultrices',17,'node',1.80418),('ultrices',18,'node',2.92743),('ultrices',19,'node',0.899454),('ultrices',21,'node',0.749958),('ultrices',23,'node',2),('ultrices',24,'node',0.857458),('ultrices',26,'node',1.86987),('ultrices',27,'node',2.13421),('ultrices',28,'node',1.88053),('ultrices',31,'node',1.52887),('ultrices',32,'node',2.68357),('ultrices',33,'node',2.79225),('ultrices',34,'node',3.46909),('ultrices',35,'node',0.786915),('ultrices',36,'node',2.64657),('ultrices',37,'node',0.810915),('ultrices',38,'node',0.794753),('ultrices',39,'node',2.70707),('ultrices',40,'node',0.842342),('ultrices',41,'node',0.882818),('ultrices',42,'node',0.779231),('ultrices',44,'node',0.980874),('ultrices',47,'node',0.920273),('ultrices',64,'node',2.85954),('ultrices',77,'node',1.66478),('ultrices',78,'node',2.70295),('ultrices',79,'node',3.72435),('ultrices',80,'node',2.33998),('ultrices',81,'node',2.71596),('ultrices',82,'node',1.61419),('ultrices',83,'node',1.57943),('ultrices',84,'node',1.71904),('ultrices',85,'node',1.72502),('ultrices',86,'node',0.827757),('ultrices',87,'node',0.76188),('ultrices',90,'node',1.7444),('ultrices',91,'node',5.24751),('ultrices',99,'node',1.97286),('ultricies',1,'node',2),('ultricies',2,'node',1),('ultricies',4,'node',1),('ultricies',5,'node',0.882818),('ultricies',6,'node',1.79277),('ultricies',8,'node',1.90974),('ultricies',9,'node',0.705825),('ultricies',10,'node',2.52887),('ultricies',11,'node',1.75998),('ultricies',12,'node',1.85135),('ultricies',13,'node',2.14117),('ultricies',15,'node',2),('ultricies',16,'node',0.794753),('ultricies',17,'node',2.65326),('ultricies',18,'node',3.23034),('ultricies',21,'node',3.32997),('ultricies',22,'node',1),('ultricies',23,'node',1.96498),('ultricies',27,'node',1.44525),('ultricies',28,'node',1.66669),('ultricies',29,'node',2.03149),('ultricies',30,'node',2.15757),('ultricies',32,'node',1.71715),('ultricies',34,'node',1.94583),('ultricies',35,'node',0.736141),('ultricies',37,'node',0.757065),('ultricies',38,'node',0.742984),('ultricies',41,'node',1.49121),('ultricies',42,'node',0.729424),('ultricies',43,'node',1.68572),('ultricies',44,'node',1.62867),('ultricies',45,'node',2.24087),('ultricies',46,'node',1),('ultricies',47,'node',0.851346),('ultricies',48,'node',2.64602),('ultricies',49,'node',1.81367),('ultricies',64,'node',7.7372),('ultricies',77,'node',1),('ultricies',78,'node',1.83353),('ultricies',79,'node',0.916736),('ultricies',80,'node',1.72942),('ultricies',81,'node',0.805455),('ultricies',82,'node',0.98493),('ultricies',83,'node',1.44841),('ultricies',84,'node',1.74273),('ultricies',85,'node',0.747619),('ultricies',86,'node',2.61436),('ultricies',87,'node',0.792123),('ultricies',90,'node',0.830633),('ultricies',91,'node',0.892724),('ultricies',92,'node',1.81387),('ultricies',99,'node',2.96109),('umbrellas',9,'node',1),('unable',48,'node',1),('unconventional',48,'node',26),('under',14,'node',27),('under',19,'node',1),('under',83,'node',26),('undercurrent',24,'node',1),('undervalued',21,'node',26),('unique',49,'node',1),('uniting',69,'node',26),('university',9,'node',2),('university',20,'node',2),('university',33,'node',1),('university',42,'node',1),('university',81,'node',1),('unmissable',11,'node',1),('until',86,'node',1),('unusual',29,'node',1),('unwanted',41,'node',1),('upcoming',2,'node',1),('upgrading',76,'node',9.53472),('upper',18,'node',1),('upset',15,'node',26),('urgent',35,'node',1),('urna',1,'node',1.98902),('urna',2,'node',1),('urna',3,'node',0.98493),('urna',4,'node',1.7974),('urna',5,'node',2.75638),('urna',6,'node',0.876337),('urna',7,'node',3.63978),('urna',8,'node',0.784336),('urna',10,'node',2.60601),('urna',11,'node',0.802752),('urna',12,'node',3.74517),('urna',14,'node',1.46579),('urna',15,'node',0.892724),('urna',17,'node',2.45132),('urna',18,'node',1.87634),('urna',19,'node',0.716357),('urna',21,'node',2.30941),('urna',22,'node',1.55497),('urna',23,'node',0.836446),('urna',24,'node',0.938382),('urna',25,'node',0.76188),('urna',26,'node',1.39526),('urna',28,'node',1.51184),('urna',29,'node',1.52222),('urna',30,'node',1.56645),('urna',31,'node',3.39688),('urna',32,'node',2.91323),('urna',33,'node',1),('urna',34,'node',0.848323),('urna',43,'node',0.752312),('urna',45,'node',1.36447),('urna',46,'node',4.21025),('urna',48,'node',0.776703),('urna',49,'node',0.802752),('urna',64,'node',1.70376),('urna',67,'node',1),('urna',77,'node',1.66257),('urna',78,'node',1.88101),('urna',79,'node',2),('urna',80,'node',1.61905),('urna',81,'node',1.90629),('urna',82,'node',0.902857),('urna',83,'node',1.73614),('urna',84,'node',1.69158),('urna',85,'node',1.72721),('urna',86,'node',1.83645),('urna',87,'node',0.766757),('urna',88,'node',1),('urna',90,'node',1.72878),('urna',91,'node',1.90974),('urna',92,'node',3.80499),('urna',99,'node',3.98902),('use',13,'node',1.98493),('use',14,'node',1),('used',7,'node',1),('used',14,'node',1),('used',84,'node',1),('user',68,'node',1),('users',46,'node',1),('uses',20,'node',26),('usitas',70,'node',3.26836),('usitas',71,'node',1),('usitas',73,'node',0.816452),('usitas',74,'node',1),('usitas',75,'node',1),('usitas',76,'node',1.87957),('utilizing',10,'node',1),('utinam',70,'node',1.56621),('utinam',72,'node',2.82206),('utinam',73,'node',3.41423),('utinam',74,'node',1),('utinam',75,'node',0.961087),('utinam',76,'node',2),('utrum',70,'node',0.934703),('utrum',71,'node',2.64631),('utrum',72,'node',2.56104),('utrum',73,'node',1),('utrum',74,'node',0.810915),('utrum',75,'node',1.8894),('utrum',76,'node',0.961087),('uxor',70,'node',1.65108),('uxor',71,'node',1.93838),('uxor',72,'node',2.59315),('uxor',73,'node',1.82206),('uxor',74,'node',0.980874),('uxor',75,'node',26),('uxor',76,'node',0.98493),('valde',70,'node',1.87313),('valde',71,'node',1.88282),('valde',72,'node',1),('valde',73,'node',1.70107),('valde',74,'node',2.87634),('valde',75,'node',1.84234),('valde',76,'node',1),('valdez',38,'node',1),('valentino',26,'node',1),('valetudo',70,'node',2.67027),('valetudo',71,'node',1.90286),('valetudo',72,'node',1.85994),('valetudo',73,'node',1),('valetudo',74,'node',0.892724),('valetudo',75,'node',28.7187),('valetudo',76,'node',27.9381),('validus',70,'node',2.46358),('validus',71,'node',2.83446),('validus',72,'node',2.82206),('validus',73,'node',2.44673),('validus',74,'node',1),('validus',75,'node',2.52868),('validus',76,'node',0.920273),('value',12,'node',1),('valued',17,'node',1),('valued',21,'node',2),('valued',84,'node',2),('varied',30,'node',1),('variety',13,'node',0.993146),('varius',1,'node',3),('varius',5,'node',1.84832),('varius',6,'node',2.98087),('varius',7,'node',0.800068),('varius',8,'node',2.54838),('varius',9,'node',0.718502),('varius',10,'node',3.53059),('varius',11,'node',2.63338),('varius',13,'node',1.32488),('varius',14,'node',0.714225),('varius',15,'node',2.75913),('varius',16,'node',0.810915),('varius',17,'node',3.51535),('varius',19,'node',1.4037),('varius',20,'node',0.920273),('varius',21,'node',2.64982),('varius',22,'node',1.56295),('varius',23,'node',0.839384),('varius',24,'node',1.80022),('varius',25,'node',0.997306),('varius',26,'node',0.78951),('varius',27,'node',0.819249),('varius',33,'node',1),('varius',34,'node',0.892724),('varius',35,'node',0.779231),('varius',36,'node',0.776703),('varius',37,'node',0.802752),('varius',38,'node',0.786915),('varius',39,'node',0.792123),('varius',40,'node',0.833529),('varius',41,'node',0.863659),('varius',42,'node',0.771698),('varius',44,'node',0.957226),('varius',46,'node',0.899454),('varius',47,'node',0.909743),('varius',64,'node',1.46082),('varius',83,'node',0.703756),('varius',84,'node',0.822065),('varius',85,'node',0.757065),('varius',86,'node',1.5911),('varius',87,'node',0.819249),('varius',91,'node',0.808176),('varius',92,'node',1.9496),('vases',87,'node',1),('vehicula',5,'node',1),('vehicula',6,'node',1.84832),('vehicula',8,'node',2.43018),('vehicula',9,'node',1.72003),('vehicula',10,'node',0.899454),('vehicula',12,'node',4.34394),('vehicula',13,'node',0.718502),('vehicula',15,'node',2.77896),('vehicula',16,'node',1.95723),('vehicula',17,'node',0.833529),('vehicula',18,'node',5.50042),('vehicula',20,'node',1.47385),('vehicula',21,'node',0.781775),('vehicula',24,'node',0.78951),('vehicula',25,'node',0.745294),('vehicula',26,'node',0.695602),('vehicula',27,'node',1.40582),('vehicula',28,'node',3.56936),('vehicula',29,'node',2.10024),('vehicula',30,'node',3.11763),('vehicula',31,'node',1.7595),('vehicula',32,'node',1.8861),('vehicula',33,'node',0.927431),('vehicula',34,'node',1.80545),('vehicula',36,'node',0.997306),('vehicula',39,'node',1),('vehicula',41,'node',0.687638),('vehicula',43,'node',0.851346),('vehicula',44,'node',0.745294),('vehicula',45,'node',0.784336),('vehicula',48,'node',0.833529),('vehicula',49,'node',0.916736),('vehicula',77,'node',0.902857),('vehicula',78,'node',1),('vehicula',80,'node',0.923838),('vehicula',82,'node',0.879565),('vehicula',83,'node',0.993146),('vehicula',84,'node',1.59219),('vehicula',85,'node',2.81925),('vehicula',86,'node',2.4262),('vehicula',87,'node',1),('vehicula',92,'node',0.860547),('vehicula',99,'node',5.91628),('vel',1,'node',2.98902),('vel',2,'node',3.70058),('vel',3,'node',1.9534),('vel',4,'node',3.79661),('vel',5,'node',5.70454),('vel',6,'node',2.71198),('vel',7,'node',1.62539),('vel',8,'node',4.12366),('vel',9,'node',3.27148),('vel',10,'node',1.80545),('vel',11,'node',1.8249),('vel',13,'node',5.09186),('vel',14,'node',1.45069),('vel',15,'node',4.65274),('vel',16,'node',3.76267),('vel',17,'node',0.879565),('vel',18,'node',4.66529),('vel',20,'node',2.6572),('vel',21,'node',4.2033),('vel',22,'node',1.48959),('vel',23,'node',0.805455),('vel',24,'node',3.57781),('vel',25,'node',0.757065),('vel',26,'node',3.03636),('vel',27,'node',1.44644),('vel',28,'node',1.69279),('vel',29,'node',0.645209),('vel',30,'node',1.55926),('vel',31,'node',4.11171),('vel',32,'node',4.91674),('vel',33,'node',1.87313),('vel',34,'node',1.62926),('vel',36,'node',0.896076),('vel',39,'node',0.916736),('vel',40,'node',0.794753),('vel',41,'node',1.4117),('vel',42,'node',0.683725),('vel',43,'node',1.86314),('vel',44,'node',1.53358),('vel',45,'node',2.38334),('vel',46,'node',4.30252),('vel',48,'node',1.75289),('vel',49,'node',1.98493),('vel',64,'node',5.27883),('vel',65,'node',1),('vel',67,'node',1),('vel',70,'node',1.6273),('vel',71,'node',1.93105),('vel',72,'node',0.816452),('vel',73,'node',0.906287),('vel',75,'node',0.824901),('vel',77,'node',1.99731),('vel',78,'node',3.67583),('vel',79,'node',1.85133),('vel',80,'node',3.46554),('vel',81,'node',1.62463),('vel',82,'node',23.4883),('vel',83,'node',3.32294),('vel',84,'node',3.50177),('vel',85,'node',2.70026),('vel',86,'node',2.34867),('vel',87,'node',0.851346),('vel',88,'node',3),('vel',89,'node',3),('vel',90,'node',4.76139),('vel',91,'node',3.99731),('vel',92,'node',4.76942),('vel',99,'node',3.97531),('vel',101,'node',3),('velit',1,'node',2),('velit',3,'node',1),('velit',4,'node',0.808176),('velit',6,'node',1),('velit',7,'node',1),('velit',9,'node',3.07584),('velit',10,'node',4.14992),('velit',11,'node',4.50032),('velit',12,'node',1),('velit',13,'node',1.56845),('velit',14,'node',0.949597),('velit',16,'node',3.40055),('velit',17,'node',3.67456),('velit',18,'node',1.59166),('velit',20,'node',0.725015),('velit',21,'node',1.40966),('velit',22,'node',1.53495),('velit',23,'node',0.830633),('velit',24,'node',1.73702),('velit',25,'node',1.7767),('velit',26,'node',1.59251),('velit',28,'node',0.805455),('velit',30,'node',0.869951),('velit',31,'node',2.37649),('velit',32,'node',3.75006),('velit',33,'node',2.7223),('velit',34,'node',2.59293),('velit',35,'node',2.42822),('velit',36,'node',3.5844),('velit',37,'node',2.50464),('velit',38,'node',2.45316),('velit',39,'node',3.61652),('velit',40,'node',1.78287),('velit',41,'node',1.80641),('velit',42,'node',2.40378),('velit',44,'node',1.9347),('velit',45,'node',0.672252),('velit',46,'node',3.53681),('velit',47,'node',3.64281),('velit',48,'node',1),('velit',64,'node',3.1499),('velit',70,'node',1.79475),('velit',71,'node',3.75267),('velit',72,'node',2.6064),('velit',73,'node',0.972861),('velit',74,'node',2.52318),('velit',75,'node',0.866793),('velit',77,'node',0.942091),('velit',78,'node',1.83938),('velit',79,'node',1.76902),('velit',80,'node',1.70675),('velit',81,'node',0.822065),('velit',82,'node',1.81854),('velit',83,'node',0.913226),('velit',84,'node',0.752312),('velit',85,'node',2.43183),('velit',86,'node',2.19502),('velit',87,'node',1.80818),('velit',88,'node',1),('velit',89,'node',2),('velit',90,'node',0.96498),('velit',91,'node',1.80275),('velit',92,'node',1),('velit',99,'node',2),('velit',101,'node',2),('vendors',49,'node',1),('venenatis',1,'node',1),('venenatis',2,'node',1.94209),('venenatis',4,'node',2),('venenatis',5,'node',0.923838),('venenatis',9,'node',1.46149),('venenatis',10,'node',0.851346),('venenatis',11,'node',2),('venenatis',12,'node',0.96498),('venenatis',16,'node',1.65326),('venenatis',17,'node',1.80545),('venenatis',18,'node',1),('venenatis',19,'node',0.993146),('venenatis',20,'node',0.816452),('venenatis',21,'node',3.02411),('venenatis',22,'node',0.749958),('venenatis',24,'node',1.81092),('venenatis',26,'node',2.12019),('venenatis',28,'node',0.747619),('venenatis',29,'node',1.41294),('venenatis',30,'node',1.48558),('venenatis',33,'node',1.85439),('venenatis',34,'node',0.906287),('venenatis',35,'node',0.980874),('venenatis',36,'node',0.857458),('venenatis',37,'node',1),('venenatis',38,'node',0.993146),('venenatis',39,'node',0.876337),('venenatis',40,'node',1),('venenatis',42,'node',0.968904),('venenatis',43,'node',0.76431),('venenatis',45,'node',0.71),('venenatis',46,'node',1.64078),('venenatis',47,'node',1),('venenatis',48,'node',0.781775),('venenatis',49,'node',0.816452),('venenatis',64,'node',4.21596),('venenatis',77,'node',0.808176),('venenatis',78,'node',1.73546),('venenatis',79,'node',1.93105),('venenatis',80,'node',1.51059),('venenatis',81,'node',1.72274),('venenatis',83,'node',0.797402),('venenatis',84,'node',1),('venenatis',85,'node',0.752312),('venenatis',86,'node',0.699655),('venenatis',87,'node',0.805455),('venenatis',88,'node',1),('venenatis',91,'node',0.813674),('venenatis',99,'node',2.92027),('veniam',64,'node',2.51881),('veniam',70,'node',1.59591),('veniam',71,'node',1.8894),('veniam',72,'node',1.80545),('veniam',73,'node',1.84832),('veniam',75,'node',1),('venio',70,'node',3.58778),('venio',71,'node',2),('venio',72,'node',0.866793),('venio',73,'node',1.70304),('venio',75,'node',1),('venio',76,'node',0.909743),('venues',4,'node',1),('vera',25,'node',1),('vereor',70,'node',2.56764),('vereor',72,'node',2),('vereor',73,'node',1.90286),('vereor',75,'node',1.8881),('vereor',76,'node',1),('veritable',30,'node',1),('vero',64,'node',1.8335),('vero',70,'node',2.61081),('vero',71,'node',2),('vero',72,'node',0.833529),('vero',73,'node',1.81367),('vero',75,'node',0.96498),('vero',76,'node',1.83296),('verto',70,'node',1.77923),('verto',71,'node',0.98493),('verto',72,'node',1.8894),('verto',74,'node',3.47824),('verto',75,'node',0.848323),('verto',76,'node',1),('very',15,'node',1),('very',16,'node',1),('very',42,'node',1),('very',87,'node',1),('very',89,'node',26),('vessel',29,'node',1),('vessels',12,'node',1),('vessels',13,'node',1),('vestibulum',1,'node',6),('vestibulum',2,'node',0.824901),('vestibulum',3,'node',1.9689),('vestibulum',4,'node',1.66207),('vestibulum',5,'node',3.61006),('vestibulum',6,'node',0.976851),('vestibulum',7,'node',2.88136),('vestibulum',8,'node',1.60337),('vestibulum',9,'node',1.40707),('vestibulum',10,'node',2.743),('vestibulum',11,'node',2.70585),('vestibulum',12,'node',3.69743),('vestibulum',13,'node',3.46558),('vestibulum',14,'node',2.63922),('vestibulum',15,'node',1.83078),('vestibulum',16,'node',1.58394),('vestibulum',17,'node',3.49032),('vestibulum',18,'node',3.41155),('vestibulum',19,'node',3.26849),('vestibulum',20,'node',2.48521),('vestibulum',21,'node',0.808176),('vestibulum',22,'node',0.731649),('vestibulum',24,'node',0.953396),('vestibulum',26,'node',2.43034),('vestibulum',27,'node',0.677939),('vestibulum',28,'node',0.923838),('vestibulum',29,'node',0.657549),('vestibulum',30,'node',0.7017),('vestibulum',31,'node',5.3313),('vestibulum',32,'node',2.83701),('vestibulum',35,'node',0.738408),('vestibulum',37,'node',0.759465),('vestibulum',38,'node',0.745294),('vestibulum',41,'node',1.48436),('vestibulum',42,'node',0.731649),('vestibulum',43,'node',0.860547),('vestibulum',44,'node',1.62075),('vestibulum',45,'node',0.792123),('vestibulum',46,'node',0.839384),('vestibulum',47,'node',0.854391),('vestibulum',48,'node',1.83938),('vestibulum',49,'node',0.927431),('vestibulum',64,'node',7.42523),('vestibulum',65,'node',1),('vestibulum',77,'node',2.55648),('vestibulum',78,'node',3.73297),('vestibulum',79,'node',6.35753),('vestibulum',80,'node',3.25518),('vestibulum',81,'node',2.76416),('vestibulum',83,'node',1.47014),('vestibulum',84,'node',3.30794),('vestibulum',85,'node',1.67322),('vestibulum',86,'node',2.3924),('vestibulum',89,'node',2),('vestibulum',90,'node',3.66615),('vestibulum',91,'node',3.94583),('vestibulum',92,'node',0.997306),('vestibulum',99,'node',3.82832),('vestibulum',101,'node',2),('vibrant',22,'node',1),('vicis',70,'node',1.52868),('vicis',71,'node',0.938382),('vicis',72,'node',26.8637),('vicis',73,'node',2.67039),('vicis',74,'node',0.889397),('vicis',75,'node',2.83063),('video',14,'node',1),('video',24,'node',2),('videos',88,'node',10.8342),('videos',89,'node',11),('videos',101,'node',11),('view',12,'node',1),('view',31,'node',1),('vindico',70,'node',5.58526),('vindico',71,'node',27.8894),('vindico',72,'node',2.37528),('vindico',73,'node',1),('vindico',74,'node',1.6565),('vindico',75,'node',0.913226),('vindico',76,'node',0.968904),('violence',35,'node',3),('violent',35,'node',1),('virtus',70,'node',4.64687),('virtus',71,'node',1.83569),('virtus',72,'node',2),('virtus',73,'node',1.81645),('virtus',75,'node',4.82648),('virtus',76,'node',0.938382),('visible',42,'node',1),('visit',27,'node',1),('visit',50,'node',11),('visit',51,'node',11),('visit',52,'node',11),('visit',53,'node',11),('visit',54,'node',11),('visit',55,'node',11),('visit',56,'node',11),('visit',57,'node',11),('visit',58,'node',11),('visit',59,'node',11),('visit',60,'node',11),('visit',62,'node',11),('visit',63,'node',11),('visitors',30,'node',1),('vitae',2,'node',2.61448),('vitae',3,'node',2.88282),('vitae',4,'node',2.76632),('vitae',5,'node',1.8478),('vitae',6,'node',1.9689),('vitae',8,'node',3.3563),('vitae',9,'node',2.24535),('vitae',10,'node',4.31718),('vitae',11,'node',2.82206),('vitae',12,'node',4.67695),('vitae',15,'node',3.80946),('vitae',16,'node',2.54864),('vitae',17,'node',3.52049),('vitae',18,'node',1.85642),('vitae',19,'node',2.38963),('vitae',20,'node',3.89838),('vitae',21,'node',3.8063),('vitae',22,'node',4.19103),('vitae',23,'node',3.66104),('vitae',24,'node',3.42245),('vitae',25,'node',1.53947),('vitae',26,'node',3.44139),('vitae',27,'node',1.4312),('vitae',28,'node',3.25293),('vitae',29,'node',2.13919),('vitae',30,'node',3.21467),('vitae',31,'node',6.94199),('vitae',32,'node',4.90929),('vitae',33,'node',4.58488),('vitae',34,'node',3.23602),('vitae',35,'node',1.81269),('vitae',36,'node',5.58428),('vitae',37,'node',1.85439),('vitae',38,'node',1.83375),('vitae',39,'node',5.64174),('vitae',40,'node',2.69485),('vitae',41,'node',1.71),('vitae',42,'node',2.47583),('vitae',43,'node',2.57719),('vitae',44,'node',1.7717),('vitae',45,'node',3.04485),('vitae',46,'node',2.64556),('vitae',47,'node',2.76636),('vitae',48,'node',2.50974),('vitae',49,'node',5.01383),('vitae',64,'node',6.69619),('vitae',77,'node',3.48468),('vitae',78,'node',4.67817),('vitae',79,'node',4.68874),('vitae',80,'node',4.17663),('vitae',81,'node',2.73167),('vitae',82,'node',3.80304),('vitae',83,'node',1.75578),('vitae',84,'node',3.28686),('vitae',85,'node',4.97744),('vitae',86,'node',3.05014),('vitae',87,'node',2.37355),('vitae',88,'node',3),('vitae',89,'node',4),('vitae',90,'node',3.74379),('vitae',91,'node',1.93838),('vitae',92,'node',3),('vitae',99,'node',5.98493),('vitae',101,'node',4),('vivamus',3,'node',1),('vivamus',4,'node',0.845322),('vivamus',5,'node',1.88282),('vivamus',6,'node',2.81326),('vivamus',7,'node',1),('vivamus',9,'node',0.693594),('vivamus',11,'node',0.934703),('vivamus',12,'node',3),('vivamus',13,'node',1.73751),('vivamus',16,'node',0.779231),('vivamus',17,'node',1),('vivamus',18,'node',1.67183),('vivamus',20,'node',1.72835),('vivamus',21,'node',1.74298),('vivamus',24,'node',0.808176),('vivamus',29,'node',0.685676),('vivamus',30,'node',0.72066),('vivamus',31,'node',0.757065),('vivamus',32,'node',0.899454),('vivamus',40,'node',0.816452),('vivamus',41,'node',0.725015),('vivamus',42,'node',0.689612),('vivamus',43,'node',1.75707),('vivamus',44,'node',0.78951),('vivamus',45,'node',2.35445),('vivamus',46,'node',1),('vivamus',48,'node',1.71509),('vivamus',49,'node',1.80818),('vivamus',64,'node',1.76188),('vivamus',83,'node',0.752312),('vivamus',84,'node',2.50611),('vivamus',85,'node',1.83938),('vivamus',86,'node',1.59294),('vivamus',88,'node',2),('vivamus',89,'node',2),('vivamus',99,'node',1.94654),('vivamus',101,'node',2),('viverra',1,'node',1),('viverra',2,'node',2),('viverra',3,'node',0.906287),('viverra',4,'node',2),('viverra',6,'node',2.87313),('viverra',7,'node',1.91674),('viverra',9,'node',2.51042),('viverra',10,'node',0.845322),('viverra',11,'node',0.854391),('viverra',12,'node',2.6571),('viverra',13,'node',0.670377),('viverra',14,'node',0.836446),('viverra',16,'node',2.74996),('viverra',17,'node',1.72303),('viverra',18,'node',2.87326),('viverra',19,'node',0.945829),('viverra',20,'node',0.736141),('viverra',21,'node',1.58828),('viverra',23,'node',1.98493),('viverra',24,'node',1.58762),('viverra',25,'node',3.53392),('viverra',28,'node',0.819249),('viverra',30,'node',0.889397),('viverra',31,'node',0.836446),('viverra',32,'node',1.87957),('viverra',33,'node',1.64701),('viverra',34,'node',1),('viverra',35,'node',1.7064),('viverra',36,'node',1.61098),('viverra',37,'node',1.76311),('viverra',38,'node',1.72489),('viverra',39,'node',1.64421),('viverra',40,'node',1.83784),('viverra',42,'node',1.6883),('viverra',47,'node',1.98902),('viverra',64,'node',1.51894),('viverra',65,'node',1),('viverra',77,'node',0.842342),('viverra',78,'node',2.6525),('viverra',79,'node',3.7175),('viverra',80,'node',2.30223),('viverra',81,'node',2.65578),('viverra',82,'node',0.976851),('viverra',83,'node',1.41828),('viverra',84,'node',1.65985),('viverra',85,'node',1.44144),('viverra',86,'node',1.80888),('viverra',87,'node',1.4982),('viverra',88,'node',2),('viverra',90,'node',1.67587),('viverra',91,'node',1.81635),('viverra',92,'node',3),('viverra',99,'node',1.9496),('voco',70,'node',0.976851),('voco',72,'node',0.854391),('voco',73,'node',2.76416),('voco',74,'node',2.69099),('voco',76,'node',1),('vogue',11,'node',28),('voilà',28,'node',1),('volcano',29,'node',1),('volleyball',30,'node',1),('voluptua',64,'node',1.78039),('volutpat',1,'node',2),('volutpat',2,'node',2.86055),('volutpat',3,'node',1.9496),('volutpat',4,'node',2.90974),('volutpat',6,'node',2),('volutpat',8,'node',0.842342),('volutpat',9,'node',2.2663),('volutpat',10,'node',1.54182),('volutpat',11,'node',1.94654),('volutpat',12,'node',0.836446),('volutpat',13,'node',2.62971),('volutpat',15,'node',0.968904),('volutpat',16,'node',2.57845),('volutpat',17,'node',2),('volutpat',18,'node',1.63341),('volutpat',19,'node',0.691597),('volutpat',20,'node',2.33338),('volutpat',22,'node',1.80474),('volutpat',23,'node',1.75507),('volutpat',25,'node',1.50808),('volutpat',26,'node',0.805455),('volutpat',28,'node',0.836446),('volutpat',29,'node',0.677939),('volutpat',30,'node',1.64593),('volutpat',31,'node',2.46819),('volutpat',32,'node',1.91193),('volutpat',33,'node',0.938382),('volutpat',34,'node',0.813674),('volutpat',35,'node',0.776703),('volutpat',36,'node',1),('volutpat',37,'node',0.800068),('volutpat',38,'node',0.784336),('volutpat',39,'node',1),('volutpat',41,'node',0.857458),('volutpat',42,'node',0.769219),('volutpat',44,'node',0.949597),('volutpat',45,'node',0.693594),('volutpat',46,'node',1),('volutpat',47,'node',0.906287),('volutpat',48,'node',1),('volutpat',64,'node',3.04558),('volutpat',70,'node',2.42085),('volutpat',71,'node',2.93105),('volutpat',72,'node',1),('volutpat',73,'node',3.75499),('volutpat',74,'node',2),('volutpat',76,'node',1),('volutpat',77,'node',0.997306),('volutpat',78,'node',1),('volutpat',79,'node',0.833529),('volutpat',80,'node',1),('volutpat',83,'node',0.759465),('volutpat',84,'node',1.76119),('volutpat',85,'node',2.53126),('volutpat',86,'node',2.23243),('volutpat',87,'node',1.72383),('volutpat',88,'node',1),('volutpat',89,'node',2),('volutpat',90,'node',1.8249),('volutpat',91,'node',0.882818),('volutpat',92,'node',1),('volutpat',99,'node',1.97286),('volutpat',101,'node',2),('von',25,'node',1),('votes',65,'node',5),('votes',66,'node',4),('votes',67,'node',5),('votes',68,'node',5),('votes',69,'node',5),('vow',46,'node',26),('vows',46,'node',2),('vulpes',71,'node',2.8894),('vulpes',72,'node',1.8894),('vulpes',73,'node',1.70014),('vulpes',74,'node',3.78287),('vulpes',75,'node',1.6478),('vulpes',76,'node',1),('vulputate',1,'node',2),('vulputate',5,'node',2.83645),('vulputate',6,'node',1),('vulputate',7,'node',0.784336),('vulputate',8,'node',0.876337),('vulputate',9,'node',2.26074),('vulputate',10,'node',0.774192),('vulputate',11,'node',1.92027),('vulputate',13,'node',1.51662),('vulputate',14,'node',0.699655),('vulputate',15,'node',1),('vulputate',16,'node',2.57003),('vulputate',17,'node',1),('vulputate',18,'node',0.833529),('vulputate',19,'node',0.731649),('vulputate',22,'node',0.776703),('vulputate',23,'node',0.808176),('vulputate',24,'node',1.78434),('vulputate',27,'node',0.71),('vulputate',28,'node',1),('vulputate',31,'node',1),('vulputate',33,'node',1.77688),('vulputate',34,'node',0.800068),('vulputate',35,'node',1.80545),('vulputate',36,'node',2.6335),('vulputate',37,'node',1.83063),('vulputate',38,'node',1.81367),('vulputate',39,'node',2.6934),('vulputate',40,'node',1.86366),('vulputate',41,'node',0.934703),('vulputate',42,'node',1.7974),('vulputate',44,'node',1),('vulputate',45,'node',0.676032),('vulputate',46,'node',1),('vulputate',47,'node',1.94583),('vulputate',64,'node',3.97747),('vulputate',70,'node',2.79475),('vulputate',71,'node',0.848323),('vulputate',72,'node',0.786915),('vulputate',73,'node',3.54689),('vulputate',74,'node',1.82206),('vulputate',75,'node',1.87957),('vulputate',76,'node',3),('vulputate',77,'node',1.9689),('vulputate',78,'node',1),('vulputate',79,'node',0.845322),('vulputate',80,'node',1),('vulputate',82,'node',1),('vulputate',83,'node',0.794753),('vulputate',84,'node',2.55307),('vulputate',85,'node',1.83353),('vulputate',86,'node',1.60895),('vulputate',88,'node',2),('vulputate',89,'node',1),('vulputate',91,'node',0.805455),('vulputate',92,'node',3.74629),('vulputate',99,'node',1.98493),('vulputate',101,'node',1),('wake',41,'node',1),('walked',22,'node',1),('walking',10,'node',1),('walking',29,'node',1),('wand',44,'node',1),('wang',25,'node',1),('want',4,'node',1),('want',36,'node',1),('wanted',10,'node',1),('wanted',20,'node',1),('wanted',65,'node',26),('wares',49,'node',1),('wares',90,'node',1),('warm',47,'node',1),('warmth',91,'node',1),('warn',29,'node',1),('was',9,'node',1),('was',12,'node',1),('was',20,'node',2),('was',23,'node',1),('was',29,'node',2),('was',38,'node',2),('was',43,'node',2),('was',84,'node',1),('was',85,'node',3),('was',86,'node',1),('washington',23,'node',1),('washington',31,'node',1),('washington',86,'node',1),('watch',14,'node',1),('watch',24,'node',27),('watch',30,'node',1),('watching',20,'node',1),('water',27,'node',3),('water',29,'node',0.945829),('waterford',7,'node',1),('way',19,'node',1),('way',29,'node',1),('way',35,'node',1),('way',40,'node',2),('way',42,'node',1),('way',43,'node',26),('ways',42,'node',1),('ways',44,'node',1),('ways',46,'node',1),('weak',47,'node',26),('wear',4,'node',1),('wear',22,'node',1),('wear',26,'node',27.9689),('wear',48,'node',26),('wearable',25,'node',1),('wearing',29,'node',1),('wearing',39,'node',1),('website',77,'node',1),('wed',4,'node',2),('wed',49,'node',1.53601),('wedding',3,'node',37.711),('wedding',4,'node',34.6277),('wedding',26,'node',1),('wedding',45,'node',34.313),('wedding',46,'node',36.2754),('wedding',47,'node',34.86),('wedding',48,'node',8.51611),('wedding',49,'node',9.80075),('weddingdress',4,'node',1),('weddings',45,'node',1),('weddings',47,'node',1),('weddings',48,'node',26),('weddings',49,'node',27),('wedged',38,'node',1),('week',2,'node',1),('week',17,'node',1),('week',21,'node',1),('week',26,'node',30.9689),('week',34,'node',1),('week',41,'node',1),('week',49,'node',27),('week',81,'node',1),('weekend',8,'node',1),('weekend',23,'node',1),('weekend',26,'node',2),('weeks',80,'node',1),('weight',7,'node',1),('weight',43,'node',27),('weighted',41,'node',1),('weightloss',43,'node',2),('welcome',2,'node',1),('welcome',45,'node',1),('welcoming',2,'node',1),('well',24,'node',26),('well',25,'node',1),('well',27,'node',1),('well',36,'node',1),('wellbeing',36,'node',1),('werbowy',11,'node',1),('were',10,'node',1),('were',14,'node',2),('were',29,'node',0.942091),('were',30,'node',1),('were',37,'node',1),('were',38,'node',1),('were',42,'node',1),('were',84,'node',2),('were',87,'node',2),('weren',12,'node',1),('west',8,'node',1),('west',27,'node',1),('western',30,'node',1),('whakatane',29,'node',2),('what',3,'node',2),('what',4,'node',1),('what',7,'node',26),('what',19,'node',1),('what',26,'node',27.9689),('what',46,'node',1),('what',48,'node',26),('what',79,'node',1),('what',82,'node',1),('whatsoever',86,'node',1),('wheel',7,'node',2),('when',4,'node',1),('when',7,'node',1),('when',12,'node',1),('when',26,'node',1),('when',27,'node',1),('when',43,'node',2),('when',45,'node',1),('when',47,'node',1),('when',80,'node',26),('where',4,'node',2),('where',5,'node',26),('where',12,'node',1),('where',13,'node',1),('where',20,'node',2),('where',38,'node',1),('where',46,'node',1),('where',87,'node',1),('whether',27,'node',1),('which',13,'node',1),('which',19,'node',1),('which',25,'node',26),('which',31,'node',1),('which',41,'node',1),('which',77,'node',1),('which',86,'node',2),('while',26,'node',1),('while',36,'node',1),('while',37,'node',1),('while',39,'node',1),('while',45,'node',1),('while',83,'node',1),('while',86,'node',1),('whisper',46,'node',1),('white',23,'node',1),('white',27,'node',1),('white',29,'node',1),('who',10,'node',1),('who',13,'node',1),('who',14,'node',1),('who',20,'node',1),('who',22,'node',1),('who',43,'node',3),('who',45,'node',26),('who',48,'node',1),('who',81,'node',1),('who',86,'node',1),('whole',20,'node',0.989021),('whole',48,'node',1),('why',20,'node',1),('why',25,'node',1),('why',44,'node',1),('why',68,'node',26),('wide',4,'node',1),('wider',7,'node',1),('wider',10,'node',1),('wielded',9,'node',1),('wild',27,'node',1),('wildly',29,'node',0.934703),('will',3,'node',1),('will',4,'node',1),('will',7,'node',1),('will',8,'node',4),('will',13,'node',0.942091),('will',19,'node',2),('will',34,'node',1),('will',37,'node',1),('will',41,'node',2),('will',45,'node',27),('will',46,'node',26),('will',69,'node',1),('will',77,'node',1),('will',78,'node',1),('winner',10,'node',2),('winter',2,'node',1),('winter',38,'node',1),('wisconsin',33,'node',2),('wisconsin',34,'node',1),('wisconsin',36,'node',1),('wisi',64,'node',2.52501),('wisi',70,'node',1),('wisi',71,'node',1.86679),('wisi',72,'node',0.792123),('wisi',73,'node',2.52238),('wisi',76,'node',1),('with',2,'node',26),('with',3,'node',1),('with',4,'node',1),('with',5,'node',2),('with',7,'node',1),('with',8,'node',2),('with',9,'node',1),('with',10,'node',2),('with',11,'node',1),('with',12,'node',1),('with',13,'node',4.93009),('with',14,'node',0.98493),('with',18,'node',1),('with',19,'node',1),('with',20,'node',1),('with',21,'node',2),('with',22,'node',3),('with',26,'node',1.98087),('with',27,'node',4),('with',28,'node',26),('with',29,'node',4),('with',30,'node',2),('with',40,'node',1),('with',41,'node',2),('with',42,'node',1),('with',44,'node',2),('with',45,'node',2),('with',46,'node',1),('with',49,'node',1),('with',77,'node',1),('with',78,'node',2),('with',80,'node',2),('with',81,'node',1),('with',82,'node',1),('with',83,'node',1),('with',85,'node',1),('with',87,'node',3),('within',8,'node',1),('within',31,'node',1),('without',13,'node',0.957226),('without',44,'node',1),('woman',84,'node',1),('women',10,'node',1),('women',34,'node',2),('women',38,'node',1),('women',42,'node',1),('women',44,'node',1),('won',44,'node',1),('wondered',9,'node',1),('wondered',25,'node',1),('wonderland',30,'node',1),('words',12,'node',1),('words',18,'node',1),('words',25,'node',1),('work',3,'node',1),('work',9,'node',1),('work',14,'node',1),('work',21,'node',1),('work',82,'node',1),('worked',18,'node',1),('working',69,'node',1),('workout',41,'node',26),('works',84,'node',3),('works',87,'node',2),('world',9,'node',1),('world',15,'node',26),('world',17,'node',1),('world',21,'node',1),('world',25,'node',1),('world',26,'node',1),('world',27,'node',1),('world',30,'node',1),('world',35,'node',27),('world',37,'node',27),('world',39,'node',29),('world',86,'node',2),('worn',3,'node',1),('worth',80,'node',1),('worth',83,'node',1),('worth',84,'node',26),('would',3,'node',1),('would',7,'node',26),('would',16,'node',1),('would',19,'node',1),('would',28,'node',1),('would',30,'node',1),('would',38,'node',1),('would',82,'node',1),('wouldn',12,'node',1),('writer',65,'node',26),('writeup',69,'node',1),('written',25,'node',1),('wrong',46,'node',26),('wrong',48,'node',1),('year',9,'node',1),('year',11,'node',1),('year',20,'node',1),('year',29,'node',1.92384),('year',30,'node',1),('year',33,'node',1),('year',36,'node',1),('yeararound',30,'node',1),('years',14,'node',1),('years',19,'node',1),('years',35,'node',1),('years',87,'node',1),('years',91,'node',1),('yes',43,'node',1),('yet',24,'node',1),('ymo',70,'node',1.75946),('ymo',71,'node',0.931053),('ymo',72,'node',2),('ymo',73,'node',3),('ymo',74,'node',1),('ymo',75,'node',1),('ymo',76,'node',1),('york',18,'node',26),('york',19,'node',2),('york',22,'node',1),('york',28,'node',1),('york',31,'node',1),('you',2,'node',3),('you',3,'node',1),('you',4,'node',5),('you',11,'node',2),('you',13,'node',1),('you',15,'node',1),('you',25,'node',2),('you',26,'node',2.98087),('you',27,'node',4),('you',29,'node',1),('you',30,'node',2),('you',36,'node',3),('you',40,'node',2),('you',42,'node',31),('you',44,'node',2),('you',45,'node',31),('you',46,'node',26),('you',47,'node',27),('you',48,'node',4),('you',49,'node',1),('you',74,'node',8.80075),('you',79,'node',1),('you',80,'node',4),('you',89,'node',26),('you',91,'node',1),('young',2,'node',1),('young',19,'node',1),('young',29,'node',0.913226),('young',86,'node',2),('youngest',2,'node',1),('your',3,'node',30),('your',4,'node',27),('your',5,'node',1),('your',13,'node',1),('your',17,'node',26),('your',25,'node',26),('your',26,'node',1),('your',27,'node',2),('your',36,'node',29),('your',40,'node',3),('your',41,'node',5),('your',43,'node',1),('your',44,'node',30),('your',45,'node',33),('your',79,'node',2),('your',91,'node',1),('youtube',14,'node',1),('zealand',27,'node',1),('zealand',77,'node',2),('zealand',78,'node',1),('zelus',72,'node',1.8894),('zelus',74,'node',0.909743),('zelus',75,'node',1.87634),('zircon',59,'node',26),('zircon',62,'node',26),('zodiac',25,'node',29),('zone',45,'node',1);
/*!40000 ALTER TABLE `search_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_node_links`
--

DROP TABLE IF EXISTS `search_node_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_node_links` (
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The search_dataset.sid of the searchable item containing the link to the node.',
  `type` varchar(16) NOT NULL DEFAULT '' COMMENT 'The search_dataset.type of the searchable item containing the link to the node.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid that this item links to.',
  `caption` longtext COMMENT 'The text used to link to the node.nid.',
  PRIMARY KEY (`sid`,`type`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores items (like nodes) that link to other nodes, used...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_node_links`
--

LOCK TABLES `search_node_links` WRITE;
/*!40000 ALTER TABLE `search_node_links` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `search_node_links` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_total`
--

DROP TABLE IF EXISTS `search_total`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_total` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique word in the search index.',
  `count` float DEFAULT NULL COMMENT 'The count of the word in the index using Zipf’s law to equalize the probability distribution.',
  PRIMARY KEY (`word`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores search totals for words.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_total`
--

LOCK TABLES `search_total` WRITE;
/*!40000 ALTER TABLE `search_total` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_total` VALUES ('1',0.0142404),('10',0.013364),('100',0.30103),('1000',0.01524),('100000',0.176091),('101',0.0163904),('10am',0.30103),('1100',0.30103),('1102',0.30103),('1159',0.30103),('12',0.176091),('120',0.30103),('1202',0.30103),('129',0.30103),('13',0.30103),('130',0.30103),('131',0.30103),('135000',0.30103),('14',0.30103),('1400',0.30103),('141000',0.30103),('142',0.30103),('144',0.30103),('1488',0.30103),('149',0.0163904),('15',0.01524),('150',0.176091),('15000',0.30103),('150000',0.30103),('158',0.30103),('16',0.0157943),('1601',0.30103),('1602',0.30103),('1603',0.30103),('16th',0.30103),('17',0.124939),('1744',0.30103),('1800',0.30103),('18plus',0.30103),('1936',0.30103),('1942',0.30103),('1968',0.30103),('197',0.30103),('1977',0.30103),('1995',0.30103),('2',0.0588424),('20',0.0511525),('2002',0.30103),('2003',0.30103),('2005',0.176091),('2008',0.176091),('2009',0.30103),('2010',0.30103),('2013',0.30103),('201314',0.30103),('2014',0.00520119),('2015',0.176091),('20yearold',0.30103),('228',0.30103),('24',0.176091),('245',0.30103),('25',0.0163904),('26',0.124939),('27',0.176091),('28',0.09691),('285',0.30103),('29',0.30103),('3',0.30103),('30',0.30103),('3000',0.30103),('30s',0.30103),('34',0.124939),('35',0.176091),('36',0.30103),('370mile',0.30103),('4',0.30103),('40',0.0791812),('400',0.30103),('42',0.30103),('437',0.30103),('45',0.30103),('45m',0.0157943),('47',0.30103),('473',0.30103),('49',0.30103),('5',0.0147233),('50',0.30103),('51',0.30103),('5157',0.30103),('52',0.30103),('52year',0.30103),('55',0.30103),('56',0.30103),('586',0.30103),('6',0.00553249),('60',0.0791812),('600',0.30103),('61',0.176091),('63',0.30103),('6500',0.176091),('66',0.30103),('665',0.30103),('676',0.30103),('68',0.30103),('691',0.30103),('7',0.30103),('70',0.176091),('700',0.30103),('7012014',0.153654),('7017',0.30103),('7022014',0.218034),('7072014',0.212778),('75',0.30103),('75yearold',0.30103),('79',0.0163904),('8',0.00532883),('80000',0.30103),('81yearold',0.30103),('838',0.30103),('885',0.30103),('9',0.30103),('90',0.30103),('900000',0.30103),('901',0.30103),('99p',0.30103),('abbas',0.0289014),('abdo',0.013359),('abico',0.0288844),('abigo',0.0300281),('abluo',0.0406237),('aboard',0.30103),('about',0.0299632),('above',0.176091),('abroad',0.176091),('absolutely',0.0163904),('abu',0.30103),('abundance',0.30103),('academic',0.30103),('accelerating',0.30103),('accepting',0.176091),('accessioned',0.30103),('according',0.09691),('accounts',0.30103),('accumsan',0.0028225),('accumulated',0.30103),('accusam',0.30103),('achieve',0.0163904),('acquired',0.30103),('across',0.30103),('acsi',0.0605867),('act',0.09691),('action',0.30103),('actions',0.30103),('activation',0.30103),('activities',0.30103),('actress',0.30103),('actually',0.30103),('added',0.30103),('adding',0.30103),('addition',0.124939),('additional',0.176091),('address',0.30103),('adds',0.30103),('adept',0.30103),('adipiscing',0.00396284),('adipisici',0.30103),('admin',0.00291485),('administration',0.30103),('admission',0.30103),('admit',0.30103),('adopted',0.30103),('advance',0.30103),('advantage',0.176091),('adventure',0.0163904),('adventurous',0.30103),('advice',0.30103),('adviser',0.0163904),('advisers',0.30103),('advisory',0.30103),('advocacy',0.30103),('advocates',0.0163904),('aenean',0.00605101),('aesthetics',0.30103),('affecting',0.30103),('affects',0.30103),('african',0.30103),('after',0.09691),('afternoon',0.30103),('again',0.30103),('against',0.124939),('age',0.176091),('aged',0.127071),('agency',0.176091),('ages',0.30103),('ago',0.30103),('agreed',0.30103),('agricultural',0.30103),('air',0.30103),('airlines',0.30103),('airport',0.09691),('aisle',0.30103),('aka',0.30103),('alaska',0.0157943),('alberta',0.30103),('alex',0.30103),('alike',0.30103),('aliqua',0.30103),('aliquam',0.00238342),('aliquet',0.00642667),('aliquip',0.0333733),('aliquyam',0.30103),('alive',0.30103),('all',0.00895484),('allegations',0.176091),('allow',0.30103),('almost',0.30103),('alone',0.176091),('along',0.176091),('als',0.30103),('also',0.124939),('altamonte',0.30103),('although',0.30103),('always',0.176091),('amazing',0.0147233),('ambassador',0.30103),('ambition',0.30103),('amendment',0.0147233),('america',0.30103),('americas',0.30103),('amet',0.00159648),('among',0.0579919),('amount',0.0193552),('amway',0.30103),('ancient',0.30103),('and',0.0016256),('andre',0.30103),('ange',0.30103),('angele',0.30103),('angeles',0.30103),('anim',0.132241),('animal',0.176091),('animals',0.30103),('anime',0.30103),('announced',0.30103),('announcing',0.176091),('annual',0.30103),('anonymously',0.30103),('another',0.124939),('answers',0.30103),('ante',0.00281665),('antehabeo',0.02953),('antioxidant',0.30103),('any',0.0669468),('anyway',0.30103),('app',0.30103),('appearance',0.30103),('appears',0.30103),('appellatio',0.0503617),('apples',0.30103),('applicants',0.30103),('apply',0.30103),('applying',0.30103),('appoint',0.30103),('appointment',0.30103),('appreciated',0.30103),('approach',0.124939),('approaches',0.176091),('aptent',0.0155838),('arabia',0.30103),('arboretum',0.0157943),('archaeology',0.30103),('architecture',0.30103),('archives',0.30103),('arcu',0.00405226),('are',0.0122345),('area',0.0157943),('areas',0.30103),('aren',0.178664),('armed',0.176091),('around',0.0125891),('arrhythmia',0.30103),('arrival',0.30103),('art',0.00477774),('artefacts',0.01524),('artery',0.30103),('arthur',0.30103),('article',0.30103),('artist',0.30103),('artists',0.176091),('arts',0.30103),('asked',0.176091),('asks',0.30103),('asos',0.30103),('assent',0.30103),('assists',0.176091),('associated',0.30103),('association',0.0142404),('assouekotto',0.30103),('assuaging',0.30103),('assume',0.30103),('astar',0.30103),('astrology',0.30103),('attached',0.30103),('attack',0.0157943),('attacks',0.0157943),('attention',0.184484),('attract',0.0163904),('attributed',0.30103),('auctions',0.30103),('auctor',0.00503684),('audience',0.30103),('audrey',0.30103),('augue',0.00269524),('august',0.30103),('aussies',0.30103),('australia',0.30103),('australian',0.30103),('australians',0.30103),('autem',0.0327748),('authorities',0.176091),('authority',0.176091),('autox',0.0163904),('awake',0.30103),('award',0.0147233),('away',0.176091),('babies',0.09691),('baby',0.30103),('back',0.00796893),('backgrounds',0.30103),('bad',0.176091),('bag',0.30103),('bagged',0.30103),('balanced',0.0157943),('bali',0.01524),('bananacrazy',0.30103),('band',0.30103),('bang',0.30103),('banish',0.0163904),('barrington',0.01524),('bars',0.30103),('base',0.176091),('basement',0.30103),('baton',0.30103),('bauer',0.176091),('bay',0.00811789),('bays',0.30103),('beach',0.067392),('beaches',0.00620434),('beanie',0.30103),('beatriz',0.30103),('beautiful',0.01524),('beautifully',0.30103),('beauty',0.0139543),('became',0.176091),('because',0.0579919),('beckoning',0.30103),('become',0.0147233),('been',0.0299632),('before',0.0303184),('began',0.124939),('beginning',0.176091),('behind',0.09691),('being',0.0377886),('belgium',0.0163904),('believe',0.176091),('believed',0.30103),('belit',0.30103),('bell',0.30103),('belong',0.176091),('belongings',0.30103),('below',0.176091),('bendir',0.30103),('bene',0.0506067),('benefits',0.30103),('benjamin',0.30103),('benoit',0.30103),('best',0.00755314),('bestdressed',0.30103),('bet',0.30103),('between',0.0152711),('beyond',0.30103),('bibendum',0.00472696),('biccherna',0.30103),('bicycle',0.30103),('bid',0.30103),('biennale',0.30103),('biennial',0.0157943),('big',0.09691),('biggest',0.124939),('bike',0.013364),('bikes',0.30103),('bill',0.0137883),('billboard',0.30103),('binding',0.30103),('biosecurity',0.0157943),('bizarre',0.176091),('black',0.30103),('blahnik',0.30103),('blame',0.30103),('blandit',0.00597484),('blast',0.30103),('blissfilled',0.30103),('block',0.0163904),('blockbusters',0.30103),('blocked',0.30103),('blog',0.00254719),('blood',0.126219),('bloomberg',0.30103),('blue',0.0074273),('bluecheese',0.0163904),('board',0.0152502),('boat',0.30103),('boats',0.0163904),('body',0.0673443),('bodyweight',0.30103),('bomber',0.30103),('bombs',0.30103),('bonfire',0.30103),('book',0.01524),('bookbindings',0.30103),('bookers',0.30103),('books',0.176091),('boosting',0.30103),('bootstrap',0.0157943),('border',0.30103),('born',0.124939),('both',0.30103),('bought',0.30103),('bracket',0.30103),('brain',0.30103),('branding',0.0163904),('brave',0.30103),('brazil',0.30103),('brazilian',0.0137883),('breaking',0.30103),('breathing',0.30103),('breathtaking',0.30103),('breed',0.30103),('breeze',0.0157943),('brevitas',0.0452169),('brick',0.30103),('bridal',0.30103),('bride',0.30103),('brides',0.01524),('bridesmaid',0.30103),('bridesmaids',0.30103),('brightened',0.30103),('bring',0.01524),('bringing',0.30103),('british',0.0147233),('brotherly',0.30103),('brought',0.176091),('bucketlist',0.30103),('buddy',0.30103),('build',0.30103),('built',0.176091),('bullstomping',0.30103),('buoyant',0.30103),('buses',0.30103),('business',0.0123239),('businesses',0.30103),('busts',0.30103),('but',0.0202034),('butt',0.0157943),('buy',0.176091),('buying',0.01524),('buzz',0.30103),('cabs',0.30103),('caecus',0.0292671),('california',0.30103),('called',0.176091),('calm',0.30103),('camargo',0.30103),('cambridge',0.125187),('came',0.176091),('cameras',0.30103),('cameroon',0.01524),('camp',0.0163904),('camur',0.0405529),('can',0.0211893),('canada',0.30103),('canadian',0.30103),('canadians',0.30103),('cancer',0.30103),('cannot',0.176091),('cantab',0.30103),('capital',0.124939),('capitals',0.30103),('capricorns',0.30103),('capto',0.0351019),('car',0.0137883),('card',0.30103),('cardiac',0.30103),('care',0.0142404),('careers',0.30103),('carolina',0.30103),('carriers',0.30103),('carrillo',0.30103),('carsten',0.30103),('casa',0.30103),('case',0.30103),('cases',0.30103),('cashmere',0.30103),('catagory',0.30103),('cathedral',0.30103),('caught',0.30103),('causa',0.0257869),('cbs',0.30103),('celebrate',0.0157943),('celebrates',0.0163904),('celebration',0.124939),('cent',0.0799733),('center',0.124939),('centering',0.30103),('centeringpregnancy',0.30103),('centers',0.0163904),('central',0.30103),('centres',0.30103),('century',0.30103),('ceramics',0.30103),('ceremony',0.30103),('certain',0.0193552),('certificates',0.30103),('challenge',0.30103),('champlain',0.30103),('chance',0.0157943),('chancellor',0.30103),('chances',0.30103),('changes',0.0163904),('channel',0.176091),('charms',0.0163904),('chart',0.30103),('cheap',0.30103),('check',0.01524),('cheers',0.30103),('chief',0.0163904),('children',0.0511525),('chilled',0.30103),('chips',0.30103),('chloë',0.0157943),('choice',0.124939),('choose',0.0163904),('choosing',0.0163904),('chose',0.124939),('chronic',0.30103),('chugach',0.30103),('cities',0.176091),('city',0.00919326),('claims',0.0157943),('clarify',0.30103),('clarity',0.30103),('clashed',0.30103),('class',0.0305395),('classes',0.30103),('classic',0.30103),('classroom',0.30103),('clean',0.0163904),('cleaning',0.176091),('clever',0.30103),('click',0.00300551),('client',0.30103),('cliffs',0.30103),('climbed',0.30103),('climes',0.30103),('clinic',0.0157943),('clinics',0.30103),('clita',0.126363),('cloned',0.30103),('close',0.30103),('closer',0.176091),('clutching',0.30103),('coast',0.124939),('coastline',0.176091),('cocktails',0.30103),('code',0.176091),('coffee',0.30103),('cog',0.176091),('cogo',0.0348974),('cold',0.176091),('collab',0.30103),('collaboration',0.30103),('collections',0.176091),('colombia',0.01524),('colombian',0.176091),('come',0.09691),('comes',0.124939),('comfort',0.30103),('coming',0.176091),('comis',0.0446288),('commemorative',0.30103),('comments',0.0738458),('committee',0.30103),('commodo',0.0036255),('common',0.0142404),('commoveo',0.0349414),('communication',0.30103),('community',0.0147233),('companies',0.00729924),('companions',0.30103),('company',0.00722293),('compared',0.30103),('competition',0.176091),('compiled',0.30103),('compiles',0.30103),('completed',0.30103),('complex',0.30103),('complications',0.30103),('comprehensive',0.30103),('condimentum',0.00550558),('confessions',0.0163904),('confirms',0.30103),('conflictstricken',0.30103),('congue',0.00692077),('conical',0.30103),('connected',0.30103),('consectetuer',0.0377663),('consectetur',0.00692158),('consequat',0.00426893),('conservation',0.30103),('consetetur',0.30103),('consider',0.30103),('considering',0.30103),('consistently',0.30103),('consulting',0.30103),('contain',0.30103),('container',0.01524),('contemporary',0.124939),('content',0.00811789),('contestant',0.30103),('continue',0.0163904),('controversy',0.30103),('conubia',0.0334962),('convallis',0.00538205),('conventio',0.0554769),('conversations',0.30103),('converse',0.30103),('convicted',0.30103),('cooperation',0.176091),('cop',0.30103),('core',0.0147233),('coromandel',0.30103),('correct',0.30103),('corridor',0.30103),('could',0.0142404),('couldn',0.30103),('countries',0.0791812),('country',0.09691),('couple',0.127071),('couples',0.30103),('course',0.124939),('cove',0.30103),('cover',0.30103),('coveted',0.30103),('coworker',0.30103),('coworkers',0.30103),('cozzarelli',0.30103),('crafted',0.30103),('crafts',0.30103),('crank',0.176091),('cras',0.00590242),('crater',0.30103),('cream',0.09691),('create',0.176091),('creatures',0.30103),('credit',0.30103),('creeping',0.30103),('criminal',0.30103),('cringeworthy',0.30103),('criteria',0.30103),('criticism',0.176091),('croatia',0.30103),('crossing',0.30103),('cry',0.0163904),('cto',0.30103),('cubilia',0.0408731),('cui',0.0371002),('culpa',0.13143),('cultural',0.09691),('culture',0.0791812),('cum',0.0563722),('cup',0.00520119),('cupiditat',0.130991),('curabitur',0.00521598),('curae',0.0409695),('curated',0.30103),('curator',0.30103),('current',0.30103),('cursus',0.00755368),('curve',0.30103),('cute',0.30103),('dad',0.30103),('daily',0.176091),('damage',0.30103),('damnum',0.0318431),('danger',0.30103),('dangerous',0.30103),('dangers',0.30103),('dapibus',0.00521402),('daria',0.30103),('dark',0.0147233),('date',0.30103),('dating',0.176091),('daughter',0.30103),('daunting',0.30103),('dave',0.30103),('david',0.09691),('day',0.00490733),('days',0.0579919),('daytoday',0.30103),('dead',0.30103),('deal',0.176091),('dealing',0.30103),('death',0.30103),('debilitating',0.30103),('debuting',0.0163904),('decet',0.0351088),('decided',0.30103),('dedicated',0.30103),('deeper',0.30103),('deeply',0.30103),('default',0.00796893),('defeat',0.30103),('deficit',0.30103),('define',0.30103),('defui',0.036504),('degree',0.30103),('deliver',0.30103),('delivery',0.30103),('demonstrated',0.30103),('department',0.01524),('departments',0.30103),('deprived',0.30103),('der',0.30103),('descents',0.176091),('deserunt',0.131919),('designed',0.30103),('designer',0.176091),('designers',0.0147233),('designs',0.176091),('despite',0.30103),('destination',0.30103),('destinations',0.30103),('detail',0.30103),('details',0.30103),('determine',0.30103),('develop',0.30103),('developed',0.30103),('developer',0.30103),('development',0.0213977),('devised',0.30103),('dhabi',0.30103),('diabetes',0.0126287),('diagnosed',0.126506),('diam',0.00350738),('diane',0.30103),('dictate',0.176091),('dictionary',0.30103),('dictum',0.0063538),('dictumst',0.0395646),('did',0.09691),('diego',0.0147233),('differences',0.30103),('different',0.124939),('dig',0.30103),('digital',0.30103),('dignissim',0.00493787),('dimes',0.30103),('direct',0.30103),('directed',0.30103),('directly',0.30103),('directorgeneral',0.30103),('dis',0.0567947),('discover',0.30103),('discovered',0.176091),('discussion',0.0377886),('disease',0.124939),('diseases',0.176091),('display',0.00782534),('disrupting',0.30103),('distance',0.176091),('distances',0.30103),('distineo',0.041087),('districts',0.30103),('diving',0.30103),('division',0.30103),('diy',0.30103),('doctor',0.0576781),('doctors',0.0457009),('dodging',0.30103),('does',0.176091),('doesn',0.30103),('dogs',0.30103),('doing',0.124939),('dolor',0.00274164),('dolore',0.0224061),('dolores',0.30103),('dolphins',0.177189),('dolus',0.0263426),('domestic',0.176091),('don',0.0147233),('donated',0.30103),('donations',0.30103),('done',0.30103),('donec',0.00247704),('donna',0.176091),('doodled',0.30103),('door',0.30103),('doors',0.30103),('doshisha',0.30103),('dots',0.30103),('doug',0.30103),('down',0.0125976),('downpour',0.30103),('draft',0.01524),('drama',0.30103),('dream',0.124939),('dreaming',0.176091),('dreams',0.01524),('drenched',0.30103),('dress',0.0435151),('dressed',0.0163904),('drey',0.30103),('drifted',0.30103),('drink',0.0157943),('drive',0.30103),('driving',0.30103),('drug',0.30103),('drupal',0.00342661),('drupalcamp',0.30103),('drupalcon',0.30103),('drupalorg',0.30103),('dui',0.00417397),('duis',0.00604645),('dulled',0.30103),('dunes',0.30103),('duo',0.30103),('during',0.0791812),('each',0.124939),('earlier',0.30103),('early',0.09691),('east',0.176091),('easy',0.0147233),('easybreezy',0.30103),('eaux',0.30103),('economic',0.176091),('edited',0.30103),('editor',0.0163904),('editoratlarge',0.30103),('edmontonian',0.30103),('education',0.00649679),('effects',0.30103),('effortlessly',0.30103),('efforts',0.30103),('egcg',0.30103),('egestas',0.00502405),('eget',0.00213532),('eirmod',0.30103),('either',0.30103),('eiusmod',0.30103),('elegant',0.30103),('eleifend',0.00652391),('elementaryage',0.30103),('elementum',0.00537673),('elevate',0.30103),('elie',0.30103),('eligo',0.0390291),('elit',0.00262561),('elite',0.30103),('elitr',0.30103),('elizabeth',0.30103),('ellie',0.0163904),('elliott',0.176091),('email',0.176091),('emergency',0.0142404),('emerging',0.30103),('emotional',0.30103),('emotions',0.176091),('ena',0.30103),('encountering',0.30103),('encourage',0.30103),('encouraged',0.181785),('end',0.30103),('endless',0.30103),('energy',0.30103),('engage',0.30103),('engaged',0.30103),('engineering',0.30103),('english',0.176091),('enim',0.00313457),('enjoy',0.124939),('enjoys',0.30103),('enough',0.30103),('ensure',0.176091),('entered',0.30103),('entertaining',0.30103),('entire',0.30103),('entrance',0.30103),('entry',0.30103),('eos',0.30103),('epic',0.30103),('epidemic',0.0163904),('epigallocatechin',0.30103),('episode',0.30103),('equates',0.30103),('equivalent',0.30103),('erat',0.00245083),('eros',0.00555668),('esca',0.028813),('escape',0.30103),('especially',0.176091),('esse',0.0429795),('est',0.00266698),('establish',0.30103),('estate',0.0163904),('etailer',0.30103),('etc',0.30103),('ethics',0.30103),('etiam',0.0054709),('etsy',0.0157943),('etsycom',0.30103),('etur',0.30103),('euismod',0.00355771),('eum',0.0352604),('europe',0.30103),('evade',0.30103),('even',0.00742489),('event',0.30103),('events',0.30103),('ever',0.126649),('every',0.012965),('everyone',0.09691),('everything',0.176091),('evidencebased',0.30103),('evolving',0.30103),('example',0.30103),('excepteur',0.130991),('exceptional',0.30103),('excitement',0.181508),('exciting',0.30103),('exclusive',0.30103),('exerci',0.0256555),('exercise',0.176091),('exercisers',0.30103),('exercises',0.176091),('exhaling',0.30103),('exhaustion',0.30103),('existing',0.30103),('expansive',0.30103),('expected',0.30103),('experience',0.124939),('explore',0.30103),('export',0.30103),('express',0.30103),('exputo',0.0386742),('extends',0.30103),('extinguish',0.30103),('extract',0.01524),('extracts',0.176091),('eye',0.176091),('eyelets',0.30103),('eyes',0.0158561),('faceplanting',0.30103),('facilisi',0.0225527),('facilisis',0.00409257),('facing',0.30103),('fact',0.176091),('fall',0.176091),('fames',0.0274148),('families',0.30103),('family',0.124939),('fan',0.30103),('fans',0.30103),('far',0.0669468),('fare',0.30103),('fashion',0.00283286),('fast',0.09691),('fat',0.176091),('fatal',0.30103),('fatfighting',0.30103),('father',0.30103),('fatherinlaw',0.30103),('faucibus',0.00356038),('favorite',0.30103),('favourite',0.09691),('feature',0.30103),('features',0.0147233),('featuring',0.30103),('february',0.30103),('federal',0.30103),('federation',0.30103),('fee',0.30103),('feel',0.012965),('feeling',0.30103),('feelings',0.30103),('feinberg',0.30103),('felis',0.00349776),('fellow',0.30103),('felt',0.30103),('fere',0.0356468),('fermentum',0.00693372),('fernando',0.30103),('festival',0.30103),('festivities',0.30103),('fetching',0.30103),('feugiat',0.00386003),('few',0.0579919),('fiance',0.30103),('field',0.30103),('fields',0.176091),('fiercely',0.30103),('fifthgrade',0.30103),('fight',0.30103),('figure',0.30103),('figures',0.176091),('figuring',0.30103),('filled',0.30103),('film',0.30103),('films',0.0163904),('final',0.30103),('finals',0.30103),('finance',0.30103),('finances',0.30103),('find',0.00742402),('finding',0.30103),('findings',0.30103),('finds',0.0163904),('fine',0.176091),('finland',0.30103),('fiona',0.30103),('fire',0.30103),('firm',0.30103),('firmly',0.30103),('first',0.0137883),('fishing',0.30103),('fit',0.30103),('fitness',0.30103),('fits',0.30103),('fitting',0.30103),('five',0.127758),('fixer',0.30103),('flatform',0.30103),('flatrate',0.30103),('flavor',0.30103),('flavored',0.30103),('flexibility',0.30103),('flights',0.176091),('floor',0.176091),('floral',0.176091),('florida',0.0137883),('fly',0.30103),('focus',0.01524),('focused',0.30103),('follow',0.176091),('followed',0.176091),('following',0.176091),('fooling',0.30103),('football',0.0239845),('for',0.0012219),('forbid',0.30103),('forced',0.30103),('forces',0.30103),('forcing',0.30103),('foreign',0.0152436),('forest',0.0254136),('forever',0.30103),('form',0.176091),('formal',0.30103),('formally',0.30103),('former',0.30103),('forward',0.30103),('found',0.013364),('foundation',0.30103),('founder',0.30103),('four',0.176091),('fourth',0.09691),('framed',0.30103),('france',0.30103),('fraud',0.30103),('freak',0.30103),('free',0.30103),('frequently',0.30103),('fret',0.30103),('friday',0.176091),('friend',0.176091),('friendofaghost',0.0163904),('friends',0.09691),('fringilla',0.00542509),('from',0.00936002),('front',0.124939),('fronted',0.30103),('frosts',0.30103),('frustrated',0.30103),('full',0.124939),('fullwidth',0.0157943),('fun',0.30103),('functions',0.30103),('fund',0.30103),('furstenburg',0.30103),('fusce',0.00493502),('future',0.30103),('fuzzy',0.30103),('gallate',0.30103),('gallery',0.30103),('game',0.176091),('games',0.129582),('garage',0.30103),('garnet',0.0163904),('gases',0.30103),('gear',0.30103),('gearing',0.176091),('gêmeos',0.30103),('gemino',0.0250236),('gems',0.30103),('general',0.0377886),('generally',0.30103),('generation',0.30103),('genetics',0.01524),('genitus',0.0501377),('genomewide',0.30103),('gentile',0.30103),('gently',0.30103),('geometric',0.30103),('geometry',0.30103),('german',0.176091),('germany',0.30103),('get',0.0137883),('getting',0.0147233),('gilvus',0.0435626),('girl',0.0163904),('girls',0.30103),('give',0.124939),('given',0.176091),('gives',0.0157943),('glastonbury',0.30103),('glitter',0.30103),('glittering',0.30103),('global',0.176091),('gloves',0.30103),('glucose',0.30103),('glued',0.30103),('glute',0.30103),('gluteactivation',0.30103),('glutes',0.176091),('goal',0.30103),('goals',0.176091),('god',0.30103),('goes',0.30103),('going',0.30103),('golf',0.30103),('golfar',0.30103),('good',0.30103),('google',0.0163904),('gorgeous',0.30103),('got',0.176091),('goto',0.30103),('goulding',0.0163904),('governments',0.30103),('gowns',0.30103),('grace',0.30103),('graders',0.30103),('grades',0.30103),('graduates',0.30103),('graduation',0.30103),('graffiti',0.30103),('grammar',0.0163904),('grand',0.30103),('gravida',0.00513266),('gravis',0.0360421),('great',0.124939),('green',0.012965),('greenwell',0.30103),('grocery',0.30103),('grooms',0.30103),('ground',0.30103),('grounded',0.30103),('group',0.0791812),('grow',0.30103),('growing',0.176091),('growth',0.176091),('grueling',0.30103),('guaranteed',0.30103),('gubergren',0.126363),('guide',0.0147368),('guided',0.0163904),('guido',0.30103),('guidoccio',0.30103),('guilty',0.30103),('gustavo',0.30103),('gwas',0.176091),('gynecology',0.30103),('habitant',0.116291),('habitasse',0.0393489),('hac',0.0392531),('had',0.0457575),('haero',0.0336345),('hair',0.30103),('half',0.01524),('hand',0.30103),('handle',0.30103),('handling',0.30103),('handmade',0.0157943),('handover',0.30103),('hang',0.30103),('happening',0.30103),('happiness',0.30103),('happy',0.30103),('harbour',0.30103),('has',0.00459858),('haunted',0.30103),('have',0.0193687),('having',0.30103),('head',0.0970591),('headphones',0.30103),('headquarters',0.30103),('health',0.00398532),('healthboosting',0.30103),('healthcare',0.09691),('healthier',0.30103),('heart',0.012965),('heartattack',0.30103),('heartpumping',0.30103),('hearts',0.30103),('heavy',0.30103),('heed',0.30103),('heels',0.124939),('helicopter',0.30103),('help',0.30103),('helping',0.30103),('helps',0.0163904),('hendrerit',0.00419616),('henry',0.30103),('hepburn',0.30103),('her',0.0321847),('here',0.01524),('heroine',0.30103),('herrera',0.30103),('hidden',0.01524),('high',0.0977625),('higher',0.176091),('higherthannormal',0.30103),('highest',0.30103),('highlight',0.30103),('highlights',0.30103),('highs',0.30103),('him',0.30103),('himenaeos',0.033771),('himself',0.178372),('hipsters',0.30103),('hirsch',0.30103),('his',0.04585),('historic',0.176091),('historical',0.30103),('history',0.0147233),('hit',0.30103),('hoard',0.30103),('holden',0.30103),('holiday',0.30103),('hollywood',0.30103),('home',0.176091),('homes',0.30103),('homeschool',0.30103),('homework',0.30103),('hop',0.30103),('hopes',0.30103),('horizon',0.30103),('hormone',0.30103),('hos',0.0400035),('hospital',0.00515537),('host',0.30103),('hotel',0.0157943),('hour',0.176091),('hours',0.176091),('house',0.30103),('how',0.00400274),('however',0.124939),('hudson',0.30103),('huebl',0.30103),('huge',0.176091),('huic',0.0343519),('human',0.30103),('humo',0.0256026),('hunt',0.30103),('husband',0.30103),('iaceo',0.0235944),('iaculis',0.00451805),('ibidem',0.0225106),('ice',0.176091),('iced',0.30103),('icrc',0.30103),('icrcled',0.30103),('idea',0.30103),('ideas',0.30103),('identified',0.30103),('identify',0.176091),('ideo',0.0416675),('idols',0.30103),('ille',0.0636658),('illum',0.0410967),('image',0.30103),('imagine',0.30103),('immitto',0.0372784),('impact',0.30103),('imperdiet',0.00608745),('implementation',0.30103),('implied',0.30103),('import',0.30103),('important',0.176091),('importunus',0.0336426),('imposing',0.30103),('impossible',0.30103),('improve',0.30103),('imputo',0.0308067),('incassum',0.0301881),('inceptos',0.0336795),('inches',0.30103),('incident',0.30103),('incidents',0.30103),('incidunt',0.30103),('include',0.30103),('includes',0.30103),('including',0.176091),('incorporating',0.30103),('incorporation',0.124939),('increase',0.176091),('increasingly',0.30103),('incredible',0.30103),('independence',0.30103),('india',0.176091),('individuals',0.30103),('indomitable',0.30103),('industrial',0.30103),('industries',0.30103),('industrious',0.30103),('inhaling',0.30103),('inhibeo',0.0120982),('initial',0.30103),('initiative',0.30103),('innovative',0.30103),('insidious',0.30103),('inspiration',0.30103),('inspirational',0.0163904),('inspired',0.176091),('instagram',0.30103),('installation',0.0485131),('installing',0.0468878),('instantly',0.30103),('institute',0.176091),('insulin',0.125929),('integer',0.00808934),('intended',0.0163904),('intending',0.30103),('interdico',0.037867),('interdum',0.0046045),('interest',0.176091),('interference',0.30103),('international',0.0377886),('internet',0.30103),('interuniversity',0.30103),('intervention',0.30103),('inthepresent',0.30103),('into',0.0104654),('intrigued',0.30103),('intrinsically',0.30103),('introduction',0.30103),('investigate',0.30103),('investigates',0.0163904),('investigation',0.30103),('invidunt',0.30103),('involve',0.30103),('involved',0.176091),('involves',0.30103),('inwardly',0.30103),('ipad',0.30103),('iphones',0.30103),('ipsum',0.00253274),('iriure',0.0316782),('island',0.0669468),('islands',0.176091),('isn',0.30103),('issue',0.09691),('issues',0.176091),('items',0.30103),('its',0.012965),('iusto',0.0311377),('iustum',0.0851836),('jack',0.124939),('jackets',0.30103),('james',0.30103),('jancker',0.30103),('january',0.30103),('japan',0.097149),('japanese',0.0791812),('jaunt',0.30103),('jeans',0.0489912),('jersey',0.30103),('jerseys',0.30103),('jesús',0.30103),('job',0.124939),('joel',0.30103),('johannes',0.30103),('join',0.0157943),('josh',0.30103),('jour',0.30103),('journal',0.30103),('journey',0.30103),('joy',0.30103),('joyous',0.30103),('judging',0.30103),('jugis',0.0554768),('july',0.0147233),('jumentum',0.0114393),('jumper',0.30103),('june',0.09691),('jus',0.0362242),('just',0.0511525),('justifiable',0.30103),('justo',0.00342474),('kakalios',0.30103),('kasd',0.126363),('kashuk',0.176091),('kate',0.176091),('kayak',0.30103),('kayaked',0.30103),('kayaking',0.30103),('keep',0.124939),('keeping',0.30103),('kelly',0.30103),('kept',0.30103),('kerry',0.30103),('kevin',0.30103),('key',0.30103),('kicked',0.176091),('kid',0.30103),('kill',0.30103),('killed',0.30103),('kind',0.124939),('kindergartners',0.30103),('king',0.30103),('kirby',0.30103),('kiss',0.0193552),('kisses',0.01524),('kiwi',0.176091),('klein',0.30103),('knees',0.0163904),('knew',0.30103),('knockout',0.30103),('know',0.0791812),('knowledge',0.124939),('known',0.0791812),('knows',0.30103),('korea',0.30103),('kroos',0.30103),('kuala',0.30103),('kuta',0.0157943),('kyoto',0.0142436),('lab',0.30103),('labels',0.30103),('labore',0.201132),('laborum',0.1324),('lacinia',0.00863767),('lacus',0.00503714),('lahm',0.30103),('laidback',0.30103),('lake',0.30103),('lakes',0.30103),('lancaster',0.30103),('landscape',0.30103),('lantern',0.0157943),('laoreet',0.00419869),('lash',0.30103),('lashing',0.30103),('last',0.0457575),('late',0.124939),('latest',0.124939),('latin',0.30103),('laugh',0.0163904),('launched',0.30103),('laundering',0.30103),('lauren',0.30103),('law',0.0163904),('laws',0.0163904),('lawson',0.30103),('layered',0.30103),('layout',0.00796893),('lead',0.0163904),('leadership',0.30103),('leading',0.176091),('leads',0.30103),('learn',0.176091),('learned',0.30103),('learning',0.09691),('leary',0.30103),('least',0.30103),('leave',0.30103),('lectus',0.00492631),('left',0.0147233),('legislation',0.30103),('leisurely',0.30103),('lenis',0.0471834),('leo',0.00414097),('leonnie',0.30103),('less',0.0791812),('lesserknown',0.30103),('lesson',0.30103),('letalis',0.0376953),('levelheaded',0.30103),('levels',0.126219),('liability',0.30103),('libero',0.00332628),('liberty',0.30103),('libraries',0.176091),('library',0.01524),('libras',0.30103),('life',0.0147233),('lifestyle',0.124939),('light',0.0137883),('ligula',0.00406276),('like',0.0118992),('lim',0.176091),('limited',0.09691),('limits',0.30103),('line',0.124939),('linked',0.30103),('lions',0.30103),('list',0.30103),('literacy',0.01524),('literally',0.30103),('litora',0.0332203),('little',0.0122345),('live',0.176091),('lives',0.0157943),('living',0.176091),('loan',0.30103),('lobortis',0.00397829),('local',0.30103),('localized',0.30103),('locals',0.176091),('located',0.30103),('location',0.0163904),('log',0.0349556),('loma',0.30103),('london',0.176091),('long',0.0147233),('longer',0.0157943),('longstanding',0.30103),('look',0.013364),('looked',0.176091),('looking',0.0791812),('looks',0.0163904),('loquor',0.0413023),('lorem',0.00316283),('los',0.176091),('lose',0.30103),('loss',0.0163904),('lost',0.30103),('lot',0.124939),('loud',0.30103),('love',0.012965),('lower',0.176091),('lowfare',0.30103),('lucidus',0.0271206),('luckily',0.30103),('luctus',0.00527478),('ludus',0.0529628),('lumpur',0.30103),('luptatum',0.0270379),('luther',0.30103),('luxurious',0.30103),('lying',0.30103),('macdonald',0.124939),('macto',0.046091),('made',0.0791812),('madison',0.124939),('madrid',0.176091),('maecenas',0.00650692),('magazine',0.0157943),('magic',0.00783355),('magna',0.00338162),('magnificent',0.30103),('magnis',0.0567109),('magnitude',0.30103),('main',0.30103),('major',0.176091),('majoring',0.30103),('majority',0.30103),('make',0.00520119),('makemeacurvemodel',0.30103),('makes',0.176091),('makeup',0.176091),('making',0.176091),('malaysia',0.176091),('malesuada',0.00374652),('mama',0.30103),('man',0.30103),('managed',0.30103),('manchester',0.30103),('mandzukic',0.30103),('manga',0.30103),('manhattan',0.124939),('manic',0.30103),('manifesta',0.30103),('manolo',0.30103),('mantega',0.30103),('many',0.00717858),('map',0.124939),('marathon',0.0147233),('march',0.124939),('margaret',0.00827253),('mario',0.30103),('marketplace',0.30103),('marry',0.30103),('martin',0.30103),('maryam',0.30103),('mascara',0.0142404),('massa',0.00456118),('massive',0.30103),('master',0.30103),('match',0.30103),('matchfixing',0.0157943),('math',0.01524),('matter',0.30103),('mattis',0.00762206),('mauris',0.00258313),('may',0.09691),('mazankowski',0.30103),('mcconnell',0.176091),('meantime',0.30103),('measured',0.30103),('measures',0.30103),('media',0.0791812),('mediator',0.30103),('medicine',0.30103),('meditate',0.30103),('meditation',0.176091),('meet',0.30103),('meeting',0.0163904),('mega',0.0163904),('melior',0.0373035),('meltdown',0.30103),('memes',0.30103),('memories',0.30103),('mental',0.30103),('mention',0.30103),('menu',0.0163904),('menus',0.0163904),('merely',0.30103),('metabolism',0.176091),('methods',0.30103),('metuo',0.0249088),('metus',0.003496),('meus',0.0228625),('mid40s',0.30103),('middle',0.127071),('might',0.0669468),('mil',0.30103),('mild',0.30103),('mile',0.30103),('miles',0.124939),('milhazes',0.30103),('million',0.124939),('mince',0.30103),('mind',0.124939),('mindful',0.30103),('mini',0.30103),('minidress',0.30103),('minim',0.0296985),('ministry',0.176091),('minutes',0.0157943),('mirgain',0.30103),('miss',0.30103),('missed',0.30103),('misuse',0.30103),('mitchell',0.30103),('mix',0.30103),('model',0.124939),('models',0.124939),('modest',0.30103),('modo',0.043331),('module',0.0446591),('molestie',0.00520772),('molior',0.0746746),('molitor',0.30103),('mollis',0.00474485),('mollit',0.132081),('mom',0.30103),('moment',0.176091),('moms',0.30103),('mon',0.212494),('monday',0.30103),('money',0.124939),('monkeys',0.30103),('montes',0.0569614),('month',0.124939),('monthly',0.30103),('months',0.30103),('montreal',0.0157943),('morbi',0.00577971),('more',0.00415596),('morning',0.30103),('mos',0.0440968),('moscow',0.30103),('moss',0.30103),('most',0.0413927),('mostly',0.176091),('moukandjo',0.30103),('mountain',0.0415894),('mountainous',0.30103),('mountains',0.30103),('move',0.01524),('moved',0.30103),('moves',0.176091),('moving',0.30103),('much',0.00782534),('muddy',0.30103),('muller',0.30103),('multiple',0.30103),('mum',0.30103),('munichbased',0.30103),('mus',0.0572088),('muscle',0.176091),('muscles',0.30103),('museum',0.01524),('music',0.0163904),('mysterious',0.30103),('nail',0.0449704),('nam',0.00392499),('name',0.30103),('named',0.124939),('names',0.30103),('nancy',0.30103),('narrow',0.30103),('narrowed',0.30103),('nascetur',0.0570442),('nation',0.30103),('national',0.176091),('natoque',0.0565422),('natu',0.0371383),('natural',0.30103),('nature',0.0111239),('navigate',0.30103),('nba',0.0157943),('nearfatal',0.30103),('nearly',0.0791812),('nec',0.00182423),('necklaces',0.30103),('need',0.30103),('needed',0.30103),('needs',0.177783),('negative',0.30103),('negotiates',0.30103),('neighbour',0.30103),('nelams',0.124939),('nelson',0.30103),('neo',0.0535595),('neque',0.00474004),('nerves',0.176091),('nervous',0.30103),('netus',0.117193),('never',0.18315),('new',0.0045005),('newest',0.176091),('newly',0.30103),('newlyweds',0.0193552),('news',0.0142404),('newspaper',0.30103),('next',0.30103),('nibh',0.00320223),('nigella',0.30103),('night',0.30103),('nimis',0.034506),('nine',0.09691),('ninety',0.30103),('nisi',0.0029437),('nisl',0.00351778),('nobis',0.0397859),('non',0.00212464),('nonstop',0.30103),('nonummy',0.121092),('nonumy',0.30103),('noodles',0.30103),('noon',0.176091),('north',0.17689),('northeast',0.30103),('northland',0.30103),('northwestern',0.30103),('nostra',0.0335879),('nostrud',0.024062),('not',0.0193052),('note',0.30103),('now',0.012965),('nsect',0.30103),('nulla',0.0021489),('nullam',0.00490243),('number',0.0580772),('numerous',0.30103),('nunc',0.00215551),('nuptials',0.30103),('nurses',0.0157943),('nutus',0.0128881),('nzco',0.176091),('obcaecat',0.130991),('object',0.0157943),('objects',0.30103),('obruo',0.0347713),('obsessed',0.30103),('obstetrics',0.30103),('obviously',0.30103),('occasion',0.30103),('occuro',0.0365492),('occurs',0.30103),('ocean',0.0157943),('odio',0.00366971),('off',0.0137883),('offer',0.30103),('offered',0.30103),('office',0.01524),('officia',0.131757),('official',0.30103),('officials',0.30103),('often',0.176091),('oftreferenced',0.30103),('oil',0.30103),('okay',0.30103),('old',0.181785),('olim',0.0433588),('olivia',0.176091),('olympus',0.0163904),('once',0.09691),('oncenter',0.30103),('one',0.0263912),('oneofkind',0.30103),('onepage',0.0163904),('onestop',0.30103),('online',0.124939),('only',0.0511525),('ontario',0.30103),('open',0.30103),('opened',0.30103),('operate',0.30103),('oppeto',0.0474494),('optimal',0.30103),('opting',0.30103),('options',0.0157943),('orange',0.0157943),('orci',0.00312742),('organisations',0.176091),('organization',0.176091),('organs',0.30103),('orlando',0.09691),('ornare',0.00633769),('oscar',0.30103),('otavio',0.30103),('other',0.0118992),('others',0.0157943),('our',0.0263595),('out',0.00474644),('outcomes',0.30103),('outfit',0.0157943),('outreach',0.30103),('outwardly',0.30103),('over',0.0107239),('overall',0.30103),('overhaul',0.30103),('overseas',0.30103),('owing',0.30103),('own',0.124939),('owner',0.30103),('pacific',0.176091),('page',0.30103),('pages',0.0163904),('pagus',0.10788),('paid',0.30103),('paihia',0.30103),('painted',0.0163904),('painting',0.176091),('pair',0.30103),('paki',0.30103),('pala',0.0109796),('palermo',0.176091),('pamplona',0.30103),('pandolfo',0.30103),('panel',0.0147233),('paper',0.30103),('papers',0.30103),('paradises',0.30103),('paratus',0.037481),('parents',0.0157943),('park',0.176091),('part',0.176091),('parted',0.30103),('particular',0.30103),('particularly',0.30103),('parties',0.30103),('partnerships',0.124939),('parts',0.30103),('parturient',0.0568782),('party',0.0443475),('partying',0.30103),('passed',0.30103),('passes',0.0163904),('past',0.176091),('patient',0.0163904),('patients',0.0163904),('patria',0.0718783),('paulatim',0.0447661),('pavement',0.30103),('pay',0.30103),('peace',0.30103),('peak',0.30103),('peaks',0.30103),('pecus',0.0280527),('pede',0.104658),('peejay5',0.30103),('peek',0.30103),('pellentesque',0.00267932),('penatibus',0.0566267),('penguins',0.176589),('peninsula',0.30103),('penthouse',0.30103),('people',0.011927),('per',0.0143086),('percent',0.0669468),('perch',0.30103),('perfect',0.124939),('perfectly',0.30103),('perform',0.30103),('performing',0.30103),('perkins',0.176091),('permalink',0.00709962),('persistence',0.30103),('personal',0.01524),('personnel',0.0147233),('persto',0.0574529),('pertineo',0.0412394),('pests',0.30103),('petersburg',0.30103),('petroleum',0.30103),('pharera',0.30103),('pharetra',0.00667529),('phasellus',0.00456902),('phd',0.176091),('philadelphia',0.124939),('philipp',0.30103),('philly',0.30103),('phones',0.30103),('photograph',0.0175663),('photographer',0.30103),('photos',0.0233848),('physical',0.176091),('picks',0.30103),('picture',0.30103),('pictures',0.30103),('pieces',0.176091),('pierre',0.30103),('pilot',0.176091),('pinterest',0.30103),('pinteros',0.0157943),('pipe',0.30103),('place',0.0791812),('placerat',0.00764049),('places',0.01524),('plaga',0.0277145),('plan',0.30103),('planned',0.0185293),('planning',0.30103),('plans',0.30103),('plant',0.176091),('plants',0.30103),('platea',0.0394542),('play',0.176091),('player',0.176091),('players',0.30103),('playing',0.30103),('playlist',0.0163904),('plays',0.30103),('plentiful',0.0163904),('plenty',0.0163904),('plume',0.30103),('plunging',0.30103),('pneum',0.0447307),('pod',0.30103),('point',0.176091),('pointers',0.30103),('police',0.30103),('polish',0.30103),('political',0.30103),('pools',0.30103),('poor',0.30103),('pop',0.30103),('popular',0.30103),('population',0.30103),('populus',0.0406632),('porta',0.00430594),('porttitor',0.00563704),('positive',0.30103),('possess',0.30103),('possession',0.30103),('possibly',0.30103),('post',0.0249786),('postentry',0.30103),('posuere',0.00530648),('potenti',0.0308844),('potential',0.30103),('pounding',0.30103),('powder',0.30103),('power',0.124939),('powers',0.176091),('ppsr',0.30103),('practical',0.30103),('practice',0.176091),('practicing',0.30103),('praemitto',0.0481474),('praesent',0.00585955),('precious',0.30103),('prediabetes',0.178078),('pregnancy',0.0157943),('pregnant',0.30103),('premo',0.0373413),('prenatal',0.30103),('prescribed',0.30103),('present',0.125487),('presets',0.0163904),('press',0.30103),('prestigious',0.30103),('pretium',0.00757357),('pretty',0.30103),('prevention',0.176091),('preview',0.30103),('previous',0.30103),('prewar',0.30103),('price',0.176091),('pride',0.012977),('prieto',0.30103),('primed',0.30103),('primis',0.0190121),('prince',0.0163904),('prints',0.30103),('prior',0.30103),('pristine',0.30103),('private',0.176091),('privately',0.30103),('prize',0.30103),('probably',0.30103),('problems',0.176091),('probo',0.0245366),('process',0.176091),('produce',0.176091),('produces',0.30103),('product',0.176091),('products',0.124939),('professional',0.176091),('professor',0.176091),('program',0.0669468),('proident',0.131098),('proin',0.00519563),('project',0.176091),('promoted',0.30103),('properly',0.176091),('property',0.30103),('proprius',0.0346068),('prospect',0.30103),('provided',0.30103),('provides',0.30103),('providing',0.30103),('psychiatry',0.30103),('psychologist',0.30103),('psychoneuroendocrinology',0.30103),('public',0.0142404),('published',0.124939),('pull',0.0157943),('pulvinar',0.00766687),('punter',0.30103),('pupils',0.30103),('purr',0.30103),('pursue',0.30103),('purus',0.00512193),('pushed',0.30103),('pushing',0.30103),('put',0.30103),('quadrum',0.037857),('quae',0.050544),('quam',0.00446203),('quarantine',0.09691),('question',0.30103),('questioned',0.176091),('qui',0.028198),('quia',0.041895),('quibus',0.0507031),('quick',0.124939),('quickly',0.30103),('quidem',0.0127279),('quidne',0.0298566),('quis',0.00166688),('quisque',0.00410912),('quite',0.30103),('quote',0.30103),('race',0.09691),('racing',0.09691),('rack',0.30103),('rail',0.30103),('rain',0.30103),('rainbow',0.176286),('rainbowbright',0.30103),('rainbowhued',0.0163904),('raise',0.176091),('raised',0.30103),('ran',0.30103),('range',0.124939),('ranging',0.30103),('ranked',0.30103),('ranting',0.30103),('rare',0.30103),('rarest',0.30103),('rate',0.30103),('rather',0.0157943),('ratis',0.0282709),('read',0.124939),('reading',0.01524),('reads',0.30103),('ready',0.124939),('real',0.00811789),('reality',0.30103),('really',0.0157943),('rear',0.176091),('rearrange',0.30103),('reason',0.176091),('reasons',0.0163904),('rebekah',0.30103),('rebum',0.30103),('receive',0.0163904),('received',0.30103),('receiving',0.176091),('recent',0.176091),('recently',0.30103),('recipients',0.30103),('reciting',0.30103),('recognize',0.30103),('recognizes',0.30103),('recommendation',0.30103),('recommendations',0.30103),('record',0.30103),('recovered',0.176091),('red',0.30103),('reefs',0.30103),('refero',0.0332373),('referred',0.30103),('refined',0.30103),('refoveo',0.0213012),('region',0.30103),('regional',0.176091),('register',0.0281955),('registered',0.176091),('registers',0.30103),('registrar',0.176091),('regulation',0.30103),('related',0.30103),('relative',0.30103),('relax',0.176091),('relaxdaily',0.0163904),('relaxed',0.30103),('released',0.30103),('remained',0.30103),('remains',0.177189),('remember',0.30103),('remote',0.176091),('renaissance',0.0163904),('renta',0.30103),('reorganizing',0.30103),('repo',0.0163904),('report',0.124939),('reporting',0.30103),('reports',0.176091),('represents',0.30103),('reps',0.176091),('request',0.30103),('requested',0.30103),('rera',0.30103),('research',0.0791812),('resident',0.30103),('resist',0.30103),('resonates',0.30103),('resort',0.30103),('resource',0.30103),('responsible',0.30103),('resting',0.30103),('restless',0.30103),('result',0.30103),('return',0.176091),('returned',0.30103),('returns',0.00827253),('rev',0.30103),('reveal',0.30103),('revealing',0.30103),('rhoncus',0.00623038),('ride',0.0163904),('ridiculus',0.0571267),('right',0.00513964),('rim',0.30103),('ring',0.30103),('rings',0.0157943),('rising',0.30103),('risus',0.00441577),('river',0.176091),('rivers',0.30103),('road',0.124939),('roared',0.30103),('rocky',0.30103),('role',0.30103),('romantics',0.30103),('room',0.30103),('rooted',0.30103),('rose',0.176589),('roto',0.0407024),('rouge',0.30103),('rounded',0.176091),('row',0.30103),('royal',0.30103),('run',0.124939),('runners',0.0142404),('running',0.0502776),('runs',0.30103),('russia',0.0157943),('rusticus',0.0331089),('rutrum',0.00416145),('saab',0.30103),('sadcore',0.30103),('sadipscing',0.30103),('saepius',0.0379231),('safer',0.30103),('sagaciter',0.0340457),('sagittis',0.00491964),('said',0.0457575),('sailing',0.30103),('sale',0.01524),('saltzberg',0.30103),('saluto',0.0266297),('same',0.176091),('san',0.0147233),('sanctus',0.0995569),('sand',0.09759),('sandals',0.30103),('sandy',0.30103),('sapien',0.00589759),('saturday',0.176091),('saudi',0.30103),('saving',0.30103),('saw',0.30103),('say',0.176091),('saying',0.30103),('says',0.0511525),('scanned',0.30103),('scanner',0.0163904),('scelerisque',0.0059875),('scenario',0.30103),('schedule',0.30103),('school',0.018317),('schoolbooks',0.30103),('schools',0.00400274),('schoolteachers',0.176091),('schürrle',0.30103),('science',0.01524),('scientists',0.176091),('scisco',0.0273454),('score',0.30103),('scored',0.30103),('scorpios',0.30103),('scuba',0.30103),('sculpture',0.30103),('sea',0.0681965),('search',0.176091),('season',0.30103),('seasonal',0.30103),('seat',0.30103),('seating',0.30103),('seatmates',0.30103),('secluded',0.30103),('second',0.124939),('secondary',0.09691),('secondhand',0.30103),('seconds',0.30103),('secrets',0.0157943),('section',0.30103),('secundum',0.0350423),('securities',0.30103),('sed',0.00116884),('see',0.0669468),('seemingly',0.30103),('seems',0.176091),('seen',0.179818),('select',0.30103),('selected',0.30103),('selection',0.30103),('selflearned',0.30103),('sell',0.30103),('seller',0.30103),('sellers',0.30103),('selling',0.30103),('sem',0.00316179),('seminyak',0.30103),('semper',0.00709892),('senectus',0.116928),('sense',0.30103),('sent',0.30103),('sentences',0.176091),('sentimental',0.30103),('sérgio',0.30103),('serves',0.30103),('services',0.124939),('set',0.0791812),('sets',0.124939),('settles',0.30103),('seven',0.0791812),('several',0.124939),('sevigny',0.01524),('sexual',0.30103),('shake',0.30103),('shape',0.176091),('share',0.0147233),('shareholders',0.30103),('sharing',0.30103),('shark',0.30103),('sharks',0.30103),('sharper',0.30103),('she',0.0321847),('sheer',0.30103),('sheets',0.30103),('shell',0.30103),('shield',0.30103),('shift',0.176091),('shifted',0.30103),('shilagh',0.30103),('shipping',0.0157943),('shirt',0.30103),('shoes',0.30103),('shopping',0.00797232),('shoppingcartfull',0.30103),('shops',0.30103),('short',0.176091),('shorter',0.30103),('shorts',0.30103),('shot',0.30103),('should',0.124939),('shouldn',0.30103),('show',0.0791812),('shows',0.0147233),('shrines',0.30103),('shuttled',0.30103),('side',0.30103),('sides',0.30103),('sienese',0.30103),('sight',0.30103),('sign',0.01524),('signature',0.30103),('signed',0.0163904),('signs',0.0137883),('signup',0.30103),('silky',0.30103),('similar',0.09691),('similis',0.0468637),('simple',0.176091),('simpler',0.30103),('simplified',0.30103),('simply',0.176091),('since',0.09691),('sincere',0.30103),('singapore',0.176091),('singularis',0.0113032),('sino',0.0433322),('sint',0.130991),('sip',0.0163904),('sisterhood',0.0163904),('sit',0.00178708),('site',0.176091),('sites',0.179244),('sits',0.30103),('situated',0.30103),('situation',0.30103),('six',0.30103),('size',0.30103),('sizes',0.30103),('ski',0.124939),('skills',0.0163904),('skin',0.00400274),('skinny',0.30103),('skirt',0.30103),('skis',0.30103),('sky',0.176091),('sleepy',0.30103),('slim',0.0163904),('slipped',0.30103),('slow',0.30103),('slowing',0.30103),('slowly',0.30103),('slurping',0.30103),('small',0.0147233),('smallerscale',0.176091),('smart',0.30103),('smooth',0.0163904),('snapping',0.30103),('snow',0.0163904),('snowboards',0.30103),('social',0.125187),('society',0.124939),('sociis',0.0564574),('sociosqu',0.0331281),('sodales',0.00623961),('sold',0.30103),('sollicitudin',0.00696668),('solve',0.30103),('some',0.0457575),('someone',0.176091),('something',0.30103),('sometimes',0.176091),('son',0.17689),('song',0.30103),('sonia',0.176091),('soon',0.30103),('sorted',0.30103),('sotheby',0.30103),('soundtracked',0.30103),('source',0.30103),('south',0.176091),('southeast',0.30103),('spa',0.0112776),('spade',0.30103),('spain',0.0147233),('spanish',0.30103),('spanning',0.30103),('spark',0.30103),('sparkling',0.30103),('special',0.01524),('speciality',0.30103),('specific',0.30103),('spectacular',0.30103),('speech',0.30103),('speeds',0.30103),('spend',0.176091),('spending',0.176091),('spends',0.30103),('spiderman',0.30103),('spiegel',0.30103),('splashed',0.30103),('spoiled',0.30103),('spoliated',0.30103),('spoliation',0.176091),('spooky',0.124939),('sport',0.0157943),('sports',0.0195753),('sportsday',0.0163904),('spot',0.124939),('spots',0.30103),('spread',0.176091),('spring',0.01524),('springs',0.30103),('ssense',0.30103),('staff',0.30103),('stamps',0.30103),('standard',0.30103),('standards',0.30103),('standout',0.30103),('star',0.30103),('stars',0.30103),('start',0.0423153),('starting',0.30103),('stash',0.30103),('state',0.176091),('stateeducated',0.30103),('statement',0.30103),('states',0.176091),('static',0.30103),('statistics',0.30103),('status',0.0163904),('stayhappy',0.0163904),('steady',0.30103),('steering',0.30103),('step',0.30103),('steps',0.30103),('stereotypical',0.30103),('stet',0.126363),('sticks',0.30103),('still',0.124939),('stimulate',0.30103),('stolen',0.0157943),('stones',0.30103),('store',0.30103),('stormy',0.30103),('story',0.176091),('stouter',0.30103),('straight',0.30103),('strap',0.30103),('strategic',0.30103),('street',0.176091),('streets',0.176091),('stress',0.00631716),('stressed',0.0147233),('stressfree',0.30103),('stroll',0.176091),('structure',0.30103),('stubbornly',0.30103),('students',0.0133668),('studied',0.30103),('studies',0.176091),('study',0.0137883),('studying',0.30103),('stuff',0.176091),('stumbling',0.0163904),('style',0.176091),('styles',0.30103),('stylish',0.01524),('stylista',0.30103),('submitted',0.0621027),('subsequent',0.30103),('suburb',0.30103),('such',0.09691),('sudo',0.00651534),('suffered',0.176091),('suffers',0.30103),('sugar',0.126778),('suggesting',0.30103),('suite',0.30103),('suites',0.176091),('summer',0.30103),('summing',0.30103),('sun',0.176091),('sunning',0.30103),('sunny',0.176091),('sunshine',0.30103),('sunt',0.131265),('superfluous',0.30103),('supermodel',0.30103),('support',0.176091),('supporters',0.30103),('sure',0.176091),('surf',0.30103),('surface',0.30103),('surfers',0.30103),('surfing',0.30103),('surprise',0.30103),('surprised',0.30103),('surprising',0.0163904),('surrounded',0.176091),('survey',0.013364),('survivor',0.30103),('suscipere',0.03612),('suscipit',0.00365208),('suspect',0.30103),('suspendisse',0.00500305),('swam',0.30103),('sweden',0.30103),('sweet',0.176091),('swept',0.30103),('swim',0.124939),('swimmer',0.0157943),('swimming',0.0448205),('swims',0.30103),('swipe',0.30103),('sword',0.30103),('symptoms',0.30103),('syracuse',0.0147233),('syria',0.30103),('system',0.30103),('tables',0.30103),('taciti',0.0330357),('tacky',0.30103),('take',0.0511525),('takeaways',0.30103),('taken',0.0163904),('takes',0.176091),('takimata',0.0995569),('taking',0.124939),('talented',0.30103),('tamen',0.0242449),('tara',0.30103),('taste',0.0163904),('tation',0.0295873),('taught',0.30103),('taxes',0.30103),('taylor',0.30103),('tea',0.012965),('teacher',0.176091),('teachers',0.013364),('teaching',0.09691),('teammates',0.30103),('technically',0.30103),('teeter',0.30103),('tego',0.0121104),('tellus',0.00352942),('temperatures',0.176091),('temples',0.30103),('tempor',0.00627928),('tempus',0.00561118),('tennis',0.0515951),('tension',0.30103),('terminal',0.30103),('territory',0.30103),('testing',0.0163904),('testy',0.30103),('than',0.00877392),('thank',0.0163904),('that',0.00553496),('the',0.000521348),('their',0.0134638),('them',0.0791812),('theme',0.0476275),('themselves',0.30103),('then',0.09691),('theory',0.176091),('there',0.0347621),('therefore',0.176091),('these',0.00755314),('they',0.0321847),('thick',0.30103),('thing',0.0587824),('things',0.09691),('think',0.0791812),('this',0.00567713),('thomas',0.30103),('thoroughly',0.30103),('those',0.0584151),('though',0.30103),('thought',0.30103),('three',0.0457575),('thrilling',0.30103),('through',0.013364),('thursday',0.30103),('thus',0.30103),('tide',0.30103),('tidy',0.30103),('tight',0.0163904),('tightly',0.30103),('time',0.09691),('times',0.30103),('tincidunt',0.00272376),('title',0.30103),('today',0.124939),('together',0.124939),('toiling',0.30103),('tom',0.30103),('toned',0.0163904),('toni',0.30103),('too',0.09691),('took',0.176091),('top',0.09691),('topperforming',0.30103),('toronto',0.30103),('torquent',0.0333124),('torqueo',0.0117257),('tortor',0.00450974),('tossing',0.30103),('total',0.0791812),('touches',0.124939),('tough',0.176091),('tour',0.30103),('touring',0.0137883),('tourist',0.30103),('tourists',0.30103),('tours',0.0163904),('toward',0.30103),('towns',0.30103),('track',0.30103),('tradition',0.30103),('traditional',0.30103),('trafficking',0.30103),('train',0.30103),('training',0.176091),('tramping',0.30103),('transform',0.30103),('transport',0.30103),('travel',0.00434357),('travelling',0.125487),('treasure',0.30103),('treasury',0.30103),('trek',0.30103),('trend',0.176091),('tricks',0.0157943),('trinity',0.30103),('trip',0.0791812),('triple',0.30103),('trips',0.176091),('tristique',0.00437844),('tropical',0.30103),('truly',0.176091),('try',0.30103),('tshirt',0.0553733),('tue',0.15323),('tuesday',0.30103),('tulle',0.30103),('tum',0.0259129),('turf',0.30103),('turned',0.30103),('turnout',0.30103),('turns',0.176091),('turpis',0.00435978),('twelve',0.30103),('twenties',0.30103),('twice',0.30103),('twin',0.30103),('twists',0.30103),('two',0.0669468),('twophase',0.30103),('type',0.0680833),('types',0.30103),('typical',0.30103),('typically',0.30103),('typicus',0.0296444),('ubud',0.30103),('ukraine',0.30103),('ulciscor',0.0276694),('ullamcorper',0.00281261),('ultimate',0.30103),('ultimately',0.30103),('ultrices',0.00479617),('ultricies',0.00486971),('umbrellas',0.30103),('unable',0.30103),('unconventional',0.0163904),('under',0.00796893),('undercurrent',0.30103),('undervalued',0.0163904),('unique',0.30103),('uniting',0.0163904),('university',0.0579919),('unmissable',0.30103),('until',0.30103),('unusual',0.30103),('unwanted',0.30103),('upcoming',0.30103),('upgrading',0.043315),('upper',0.30103),('upset',0.0163904),('urgent',0.30103),('urna',0.00481417),('use',0.125487),('used',0.124939),('user',0.30103),('users',0.30103),('uses',0.0163904),('usitas',0.04593),('utilizing',0.30103),('utinam',0.0354329),('utrum',0.0384465),('uxor',0.0119089),('valde',0.0342798),('valdez',0.30103),('valentino',0.30103),('valetudo',0.00663234),('validus',0.0280002),('value',0.30103),('valued',0.0791812),('varied',0.30103),('variety',0.30103),('varius',0.00730604),('vases',0.30103),('vehicula',0.00605567),('vel',0.00221409),('velit',0.0033998),('vendors',0.30103),('venenatis',0.00666857),('veniam',0.0389487),('venio',0.0411284),('venues',0.30103),('vera',0.30103),('vereor',0.0440902),('veritable',0.30103),('vero',0.0350726),('verto',0.0414713),('very',0.0142404),('vessel',0.30103),('vessels',0.176091),('vestibulum',0.00325621),('vibrant',0.30103),('vicis',0.0119908),('video',0.124939),('videos',0.0130295),('view',0.176091),('vindico',0.0106219),('violence',0.124939),('violent',0.30103),('virtus',0.0262273),('visible',0.30103),('visit',0.00300551),('visitors',0.30103),('vitae',0.00203799),('vivamus',0.00815521),('viverra',0.00470712),('voco',0.0494816),('vogue',0.01524),('voilà',0.30103),('volcano',0.30103),('volleyball',0.30103),('voluptua',0.19359),('volutpat',0.00443778),('von',0.30103),('votes',0.0177288),('vow',0.0163904),('vows',0.176091),('vulpes',0.0324018),('vulputate',0.00473343),('wake',0.30103),('walked',0.30103),('walking',0.176091),('wand',0.30103),('wang',0.30103),('want',0.176091),('wanted',0.01524),('wares',0.176091),('warm',0.30103),('warmth',0.30103),('warn',0.30103),('was',0.0263289),('washington',0.124939),('watch',0.0147233),('watching',0.30103),('water',0.0981008),('waterford',0.30103),('way',0.013364),('ways',0.124939),('weak',0.0163904),('wear',0.00769106),('wearable',0.30103),('wearing',0.176091),('website',0.30103),('wed',0.108161),('wedding',0.00219781),('weddingdress',0.30103),('weddings',0.00782534),('wedged',0.30103),('week',0.00673663),('weekend',0.09691),('weeks',0.30103),('weight',0.01524),('weighted',0.30103),('weightloss',0.176091),('welcome',0.176091),('welcoming',0.30103),('well',0.0147233),('wellbeing',0.30103),('werbowy',0.30103),('were',0.0349241),('weren',0.30103),('west',0.176091),('western',0.30103),('whakatane',0.176091),('what',0.00496518),('whatsoever',0.30103),('wheel',0.176091),('when',0.0122345),('where',0.0122345),('whether',0.30103),('which',0.012965),('while',0.0579919),('whisper',0.30103),('white',0.124939),('who',0.0115819),('whole',0.17689),('why',0.0147233),('wide',0.30103),('wider',0.176091),('wielded',0.30103),('wild',0.30103),('wildly',0.30103),('will',0.00616537),('winner',0.176091),('winter',0.176091),('wisconsin',0.09691),('wisi',0.0425857),('with',0.003864),('within',0.176091),('without',0.179244),('woman',0.30103),('women',0.0669468),('won',0.30103),('wondered',0.176091),('wonderland',0.30103),('words',0.124939),('work',0.0791812),('worked',0.30103),('working',0.30103),('workout',0.0163904),('works',0.0791812),('world',0.00366495),('worn',0.30103),('worth',0.01524),('would',0.012965),('wouldn',0.30103),('writer',0.0163904),('writeup',0.30103),('written',0.30103),('wrong',0.0157943),('year',0.0516161),('yeararound',0.30103),('years',0.0791812),('yes',0.30103),('yet',0.30103),('ymo',0.038835),('york',0.0137883),('you',0.00224696),('young',0.0804577),('youngest',0.30103),('your',0.00198762),('youtube',0.30103),('zealand',0.09691),('zelus',0.0841765),('zircon',0.00827253),('zodiac',0.0147233),('zone',0.30103);
/*!40000 ALTER TABLE `search_total` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `semaphore`
--

DROP TABLE IF EXISTS `semaphore`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `semaphore` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique name.',
  `value` varchar(255) NOT NULL DEFAULT '' COMMENT 'A value for the semaphore.',
  `expire` double NOT NULL COMMENT 'A Unix timestamp with microseconds indicating when the semaphore should expire.',
  PRIMARY KEY (`name`),
  KEY `value` (`value`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table for holding semaphores, locks, flags, etc. that...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `semaphore`
--

LOCK TABLES `semaphore` WRITE;
/*!40000 ALTER TABLE `semaphore` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `semaphore` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `sequences`
--

DROP TABLE IF EXISTS `sequences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sequences` (
  `value` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The value of the sequence.',
  PRIMARY KEY (`value`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8 COMMENT='Stores IDs.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sequences`
--

LOCK TABLES `sequences` WRITE;
/*!40000 ALTER TABLE `sequences` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `sequences` VALUES (13);
/*!40000 ALTER TABLE `sequences` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `sessions`
--

DROP TABLE IF EXISTS `sessions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sessions` (
  `uid` int(10) unsigned NOT NULL COMMENT 'The users.uid corresponding to a session, or 0 for anonymous user.',
  `sid` varchar(128) NOT NULL COMMENT 'A session ID. The value is generated by Drupal’s session handlers.',
  `ssid` varchar(128) NOT NULL DEFAULT '' COMMENT 'Secure session ID. The value is generated by Drupal’s session handlers.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The IP address that last used this session ID (sid).',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this session last requested a page. Old records are purged by PHP automatically.',
  `cache` int(11) NOT NULL DEFAULT '0' COMMENT 'The time of this user’s last post. This is used when the site has specified a minimum_cache_lifetime. See cache_get().',
  `session` longblob COMMENT 'The serialized contents of $_SESSION, an array of name/value pairs that persists across page requests by this session ID. Drupal loads $_SESSION from here at the start of each request and saves it at the end.',
  PRIMARY KEY (`sid`,`ssid`),
  KEY `timestamp` (`timestamp`),
  KEY `uid` (`uid`),
  KEY `ssid` (`ssid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Drupal’s session handlers read and write into the...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sessions`
--

LOCK TABLES `sessions` WRITE;
/*!40000 ALTER TABLE `sessions` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `sessions` VALUES (1,'JC5Zd0ZskGJ4u4yTuF-cNm4DIdNJzO_XYXysVbFsfiQ','','192.168.1.49',1500347922,0,'node_overview_filter|a:1:{i:0;a:2:{i:0;s:4:\"type\";i:1;s:11:\"local_video\";}}');
/*!40000 ALTER TABLE `sessions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `shortcut_set`
--

DROP TABLE IF EXISTS `shortcut_set`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shortcut_set` (
  `set_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Primary Key: The menu_links.menu_name under which the set’s links are stored.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of the set.',
  PRIMARY KEY (`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about sets of shortcuts links.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shortcut_set`
--

LOCK TABLES `shortcut_set` WRITE;
/*!40000 ALTER TABLE `shortcut_set` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `shortcut_set` VALUES ('shortcut-set-1','Default');
/*!40000 ALTER TABLE `shortcut_set` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `shortcut_set_users`
--

DROP TABLE IF EXISTS `shortcut_set_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shortcut_set_users` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid for this set.',
  `set_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The shortcut_set.set_name that will be displayed for this user.',
  PRIMARY KEY (`uid`),
  KEY `set_name` (`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps users to shortcut sets.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shortcut_set_users`
--

LOCK TABLES `shortcut_set_users` WRITE;
/*!40000 ALTER TABLE `shortcut_set_users` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `shortcut_set_users` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `system`
--

DROP TABLE IF EXISTS `system`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `system` (
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'The path of the primary file for this item, relative to the Drupal root; e.g. modules/node/node.module.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the item; e.g. node.',
  `type` varchar(12) NOT NULL DEFAULT '' COMMENT 'The type of the item, either module, theme, or theme_engine.',
  `owner` varchar(255) NOT NULL DEFAULT '' COMMENT 'A theme’s ’parent’ . Can be either a theme or an engine.',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not this item is enabled.',
  `bootstrap` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether this module is loaded during Drupal’s early bootstrapping phase (e.g. even before the page cache is consulted).',
  `schema_version` smallint(6) NOT NULL DEFAULT '-1' COMMENT 'The module’s database schema version number. -1 if the module is not installed (its tables do not exist); 0 or the largest N of the module’s hook_update_N() function that has either been run or existed when the module was first installed.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The order in which this module’s hooks should be invoked relative to other modules. Equal-weighted modules are ordered by name.',
  `info` blob COMMENT 'A serialized array containing information from the module’s .info file; keys can include name, description, package, version, core, dependencies, and php.',
  PRIMARY KEY (`filename`),
  KEY `system_list` (`status`,`bootstrap`,`type`,`weight`,`name`),
  KEY `type_name` (`type`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A list of all modules, themes, and theme engines that are...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `system`
--

LOCK TABLES `system` WRITE;
/*!40000 ALTER TABLE `system` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `system` VALUES ('modules/aggregator/aggregator.module','aggregator','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:10:\"Aggregator\";s:11:\"description\";s:57:\"Aggregates syndicated content (RSS, RDF, and Atom feeds).\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"aggregator.test\";}s:9:\"configure\";s:41:\"admin/config/services/aggregator/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:14:\"aggregator.css\";s:33:\"modules/aggregator/aggregator.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/aggregator/tests/aggregator_test.module','aggregator_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Aggregator module tests\";s:11:\"description\";s:46:\"Support module for aggregator related testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/block/block.module','block','module','',1,0,7009,-5,'a:13:{s:4:\"name\";s:5:\"Block\";s:11:\"description\";s:140:\"Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"block.test\";}s:9:\"configure\";s:21:\"admin/structure/block\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/block/tests/block_test.module','block_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Block test\";s:11:\"description\";s:21:\"Provides test blocks.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/blog/blog.module','blog','module','',1,0,0,0,'a:12:{s:4:\"name\";s:4:\"Blog\";s:11:\"description\";s:25:\"Enables multi-user blogs.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"blog.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/book/book.module','book','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:4:\"Book\";s:11:\"description\";s:66:\"Allows users to create and organize related content in an outline.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"book.test\";}s:9:\"configure\";s:27:\"admin/content/book/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"book.css\";s:21:\"modules/book/book.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/color/color.module','color','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:5:\"Color\";s:11:\"description\";s:70:\"Allows administrators to change the color scheme of compatible themes.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"color.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/comment/comment.module','comment','module','',1,0,7009,0,'a:14:{s:4:\"name\";s:7:\"Comment\";s:11:\"description\";s:57:\"Allows users to comment on and discuss published content.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"text\";}s:5:\"files\";a:2:{i:0;s:14:\"comment.module\";i:1;s:12:\"comment.test\";}s:9:\"configure\";s:21:\"admin/content/comment\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:11:\"comment.css\";s:27:\"modules/comment/comment.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/contact/contact.module','contact','module','',1,0,7003,0,'a:13:{s:4:\"name\";s:7:\"Contact\";s:11:\"description\";s:61:\"Enables the use of both personal and site-wide contact forms.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"contact.test\";}s:9:\"configure\";s:23:\"admin/structure/contact\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/contextual/contextual.module','contextual','module','',1,0,0,0,'a:12:{s:4:\"name\";s:16:\"Contextual links\";s:11:\"description\";s:75:\"Provides contextual links to perform actions related to elements on a page.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"contextual.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/dashboard/dashboard.module','dashboard','module','',1,0,0,0,'a:13:{s:4:\"name\";s:9:\"Dashboard\";s:11:\"description\";s:136:\"Provides a dashboard page in the administrative interface for organizing administrative tasks and tracking information within your site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:5:\"files\";a:1:{i:0;s:14:\"dashboard.test\";}s:12:\"dependencies\";a:1:{i:0;s:5:\"block\";}s:9:\"configure\";s:25:\"admin/dashboard/customize\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/dblog/dblog.module','dblog','module','',1,1,7003,0,'a:12:{s:4:\"name\";s:16:\"Database logging\";s:11:\"description\";s:47:\"Logs and records system events to the database.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"dblog.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/field.module','field','module','',1,0,7004,0,'a:14:{s:4:\"name\";s:5:\"Field\";s:11:\"description\";s:57:\"Field API to add fields to entities like nodes and users.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:12:\"field.module\";i:1;s:16:\"field.attach.inc\";i:2;s:20:\"field.info.class.inc\";i:3;s:16:\"tests/field.test\";}s:12:\"dependencies\";a:1:{i:0;s:17:\"field_sql_storage\";}s:8:\"required\";b:1;s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:15:\"theme/field.css\";s:29:\"modules/field/theme/field.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/field_sql_storage/field_sql_storage.module','field_sql_storage','module','',1,0,7002,0,'a:13:{s:4:\"name\";s:17:\"Field SQL storage\";s:11:\"description\";s:37:\"Stores field data in an SQL database.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:22:\"field_sql_storage.test\";}s:8:\"required\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/list/list.module','list','module','',1,0,7002,0,'a:12:{s:4:\"name\";s:4:\"List\";s:11:\"description\";s:69:\"Defines list field types. Use with Options to create selection lists.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:7:\"options\";}s:5:\"files\";a:1:{i:0;s:15:\"tests/list.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/list/tests/list_test.module','list_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"List test\";s:11:\"description\";s:41:\"Support module for the List module tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/field/modules/number/number.module','number','module','',1,0,0,0,'a:12:{s:4:\"name\";s:6:\"Number\";s:11:\"description\";s:28:\"Defines numeric field types.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:11:\"number.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/options/options.module','options','module','',1,0,0,0,'a:12:{s:4:\"name\";s:7:\"Options\";s:11:\"description\";s:82:\"Defines selection, check box and radio button widgets for text and numeric fields.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:12:\"options.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/text/text.module','text','module','',1,0,7000,0,'a:14:{s:4:\"name\";s:4:\"Text\";s:11:\"description\";s:32:\"Defines simple text field types.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:9:\"text.test\";}s:8:\"required\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('modules/field/tests/field_test.module','field_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Field API Test\";s:11:\"description\";s:39:\"Support module for the Field API tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:5:\"files\";a:1:{i:0;s:21:\"field_test.entity.inc\";}s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field_ui/field_ui.module','field_ui','module','',1,0,0,0,'a:12:{s:4:\"name\";s:8:\"Field UI\";s:11:\"description\";s:33:\"User interface for the Field API.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:13:\"field_ui.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/file/file.module','file','module','',1,0,0,0,'a:12:{s:4:\"name\";s:4:\"File\";s:11:\"description\";s:26:\"Defines a file field type.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:15:\"tests/file.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/file/tests/file_module_test.module','file_module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"File test\";s:11:\"description\";s:53:\"Provides hooks for testing File module functionality.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/filter/filter.module','filter','module','',1,0,7010,0,'a:14:{s:4:\"name\";s:6:\"Filter\";s:11:\"description\";s:43:\"Filters content in preparation for display.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"filter.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:28:\"admin/config/content/formats\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/forum/forum.module','forum','module','',1,0,7012,1,'a:14:{s:4:\"name\";s:5:\"Forum\";s:11:\"description\";s:27:\"Provides discussion forums.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"taxonomy\";i:1;s:7:\"comment\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"forum.test\";}s:9:\"configure\";s:21:\"admin/structure/forum\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:9:\"forum.css\";s:23:\"modules/forum/forum.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/help/help.module','help','module','',1,0,0,0,'a:12:{s:4:\"name\";s:4:\"Help\";s:11:\"description\";s:35:\"Manages the display of online help.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"help.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/image/image.module','image','module','',1,0,7005,0,'a:15:{s:4:\"name\";s:5:\"Image\";s:11:\"description\";s:34:\"Provides image manipulation tools.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"file\";}s:5:\"files\";a:1:{i:0;s:10:\"image.test\";}s:9:\"configure\";s:31:\"admin/config/media/image-styles\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('modules/image/tests/image_module_test.module','image_module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Image test\";s:11:\"description\";s:69:\"Provides hook implementations for testing Image module functionality.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:24:\"image_module_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/locale/locale.module','locale','module','',1,0,7005,0,'a:13:{s:4:\"name\";s:6:\"Locale\";s:11:\"description\";s:119:\"Adds language handling functionality and enables the translation of the user interface to languages other than English.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"locale.test\";}s:9:\"configure\";s:30:\"admin/config/regional/language\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/locale/tests/locale_test.module','locale_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Locale Test\";s:11:\"description\";s:42:\"Support module for the locale layer tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/menu/menu.module','menu','module','',1,0,7003,0,'a:13:{s:4:\"name\";s:4:\"Menu\";s:11:\"description\";s:60:\"Allows administrators to customize the site navigation menu.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"menu.test\";}s:9:\"configure\";s:20:\"admin/structure/menu\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/node/node.module','node','module','',1,0,7016,0,'a:15:{s:4:\"name\";s:4:\"Node\";s:11:\"description\";s:66:\"Allows content to be submitted to the site and displayed on pages.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:11:\"node.module\";i:1;s:9:\"node.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:21:\"admin/structure/types\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"node.css\";s:21:\"modules/node/node.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_access_test.module','node_access_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Node module access tests\";s:11:\"description\";s:43:\"Support module for node permission testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_test.module','node_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Node module tests\";s:11:\"description\";s:40:\"Support module for node related testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_test_exception.module','node_test_exception','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:27:\"Node module exception tests\";s:11:\"description\";s:50:\"Support module for node related exception testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/openid/openid.module','openid','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:6:\"OpenID\";s:11:\"description\";s:48:\"Allows users to log into your site using OpenID.\";s:7:\"version\";s:4:\"7.56\";s:7:\"package\";s:4:\"Core\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"openid.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/openid/tests/openid_test.module','openid_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"OpenID dummy provider\";s:11:\"description\";s:33:\"OpenID provider used for testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"openid\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/overlay/overlay.module','overlay','module','',1,1,0,0,'a:12:{s:4:\"name\";s:7:\"Overlay\";s:11:\"description\";s:59:\"Displays the Drupal administration interface in an overlay.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/path/path.module','path','module','',1,0,0,0,'a:13:{s:4:\"name\";s:4:\"Path\";s:11:\"description\";s:28:\"Allows users to rename URLs.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"path.test\";}s:9:\"configure\";s:24:\"admin/config/search/path\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/php/php.module','php','module','',1,0,0,0,'a:12:{s:4:\"name\";s:10:\"PHP filter\";s:11:\"description\";s:50:\"Allows embedded PHP code/snippets to be evaluated.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:8:\"php.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/poll/poll.module','poll','module','',1,0,7004,0,'a:13:{s:4:\"name\";s:4:\"Poll\";s:11:\"description\";s:95:\"Allows your site to capture votes on different topics in the form of multiple choice questions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"poll.test\";}s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"poll.css\";s:21:\"modules/poll/poll.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/profile/profile.module','profile','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:7:\"Profile\";s:11:\"description\";s:36:\"Supports configurable user profiles.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"profile.test\";}s:9:\"configure\";s:27:\"admin/config/people/profile\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/rdf/rdf.module','rdf','module','',0,0,0,0,'a:12:{s:4:\"name\";s:3:\"RDF\";s:11:\"description\";s:148:\"Enriches your content with metadata to let other applications (e.g. search engines, aggregators) better understand its relationships and attributes.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:8:\"rdf.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/rdf/tests/rdf_test.module','rdf_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"RDF module tests\";s:11:\"description\";s:38:\"Support module for RDF module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:4:\"blog\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/search.module','search','module','',1,0,7000,0,'a:14:{s:4:\"name\";s:6:\"Search\";s:11:\"description\";s:36:\"Enables site-wide keyword searching.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:19:\"search.extender.inc\";i:1;s:11:\"search.test\";}s:9:\"configure\";s:28:\"admin/config/search/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"search.css\";s:25:\"modules/search/search.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_embedded_form.module','search_embedded_form','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Search embedded form\";s:11:\"description\";s:59:\"Support module for search module testing of embedded forms.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_extra_type.module','search_extra_type','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"Test search type\";s:11:\"description\";s:41:\"Support module for search module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_node_tags.module','search_node_tags','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Test search node tags\";s:11:\"description\";s:44:\"Support module for Node search tags testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/shortcut/shortcut.module','shortcut','module','',1,0,0,0,'a:13:{s:4:\"name\";s:8:\"Shortcut\";s:11:\"description\";s:60:\"Allows users to manage customizable lists of shortcut links.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:13:\"shortcut.test\";}s:9:\"configure\";s:36:\"admin/config/user-interface/shortcut\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/simpletest.module','simpletest','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:7:\"Testing\";s:11:\"description\";s:53:\"Provides a framework for unit and functional testing.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:50:{i:0;s:15:\"simpletest.test\";i:1;s:24:\"drupal_web_test_case.php\";i:2;s:18:\"tests/actions.test\";i:3;s:15:\"tests/ajax.test\";i:4;s:16:\"tests/batch.test\";i:5;s:15:\"tests/boot.test\";i:6;s:20:\"tests/bootstrap.test\";i:7;s:16:\"tests/cache.test\";i:8;s:17:\"tests/common.test\";i:9;s:24:\"tests/database_test.test\";i:10;s:22:\"tests/entity_crud.test\";i:11;s:32:\"tests/entity_crud_hook_test.test\";i:12;s:23:\"tests/entity_query.test\";i:13;s:16:\"tests/error.test\";i:14;s:15:\"tests/file.test\";i:15;s:23:\"tests/filetransfer.test\";i:16;s:15:\"tests/form.test\";i:17;s:16:\"tests/graph.test\";i:18;s:16:\"tests/image.test\";i:19;s:15:\"tests/lock.test\";i:20;s:15:\"tests/mail.test\";i:21;s:15:\"tests/menu.test\";i:22;s:17:\"tests/module.test\";i:23;s:16:\"tests/pager.test\";i:24;s:19:\"tests/password.test\";i:25;s:15:\"tests/path.test\";i:26;s:19:\"tests/registry.test\";i:27;s:17:\"tests/schema.test\";i:28;s:18:\"tests/session.test\";i:29;s:20:\"tests/tablesort.test\";i:30;s:16:\"tests/theme.test\";i:31;s:18:\"tests/unicode.test\";i:32;s:17:\"tests/update.test\";i:33;s:17:\"tests/xmlrpc.test\";i:34;s:26:\"tests/upgrade/upgrade.test\";i:35;s:34:\"tests/upgrade/upgrade.comment.test\";i:36;s:33:\"tests/upgrade/upgrade.filter.test\";i:37;s:32:\"tests/upgrade/upgrade.forum.test\";i:38;s:33:\"tests/upgrade/upgrade.locale.test\";i:39;s:31:\"tests/upgrade/upgrade.menu.test\";i:40;s:31:\"tests/upgrade/upgrade.node.test\";i:41;s:35:\"tests/upgrade/upgrade.taxonomy.test\";i:42;s:34:\"tests/upgrade/upgrade.trigger.test\";i:43;s:39:\"tests/upgrade/upgrade.translatable.test\";i:44;s:33:\"tests/upgrade/upgrade.upload.test\";i:45;s:31:\"tests/upgrade/upgrade.user.test\";i:46;s:36:\"tests/upgrade/update.aggregator.test\";i:47;s:33:\"tests/upgrade/update.trigger.test\";i:48;s:31:\"tests/upgrade/update.field.test\";i:49;s:30:\"tests/upgrade/update.user.test\";}s:9:\"configure\";s:41:\"admin/config/development/testing/settings\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/actions_loop_test.module','actions_loop_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Actions loop test\";s:11:\"description\";s:39:\"Support module for action loop testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/ajax_forms_test.module','ajax_forms_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:26:\"AJAX form test mock module\";s:11:\"description\";s:25:\"Test for AJAX form calls.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/ajax_test.module','ajax_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"AJAX Test\";s:11:\"description\";s:40:\"Support module for AJAX framework tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/batch_test.module','batch_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Batch API test\";s:11:\"description\";s:35:\"Support module for Batch API tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/boot_test_1.module','boot_test_1','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Early bootstrap tests\";s:11:\"description\";s:39:\"A support module for hook_boot testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/boot_test_2.module','boot_test_2','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Early bootstrap tests\";s:11:\"description\";s:44:\"A support module for hook_boot hook testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/common_test.module','common_test','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:11:\"Common Test\";s:11:\"description\";s:32:\"Support module for Common tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:15:\"common_test.css\";s:40:\"modules/simpletest/tests/common_test.css\";}s:5:\"print\";a:1:{s:21:\"common_test.print.css\";s:46:\"modules/simpletest/tests/common_test.print.css\";}}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/common_test_cron_helper.module','common_test_cron_helper','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Common Test Cron Helper\";s:11:\"description\";s:56:\"Helper module for CronRunTestCase::testCronExceptions().\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/database_test.module','database_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Database Test\";s:11:\"description\";s:40:\"Support module for Database layer tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_autoload_test/drupal_autoload_test.module','drupal_autoload_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:25:\"Drupal code registry test\";s:11:\"description\";s:45:\"Support module for testing the code registry.\";s:5:\"files\";a:2:{i:0;s:34:\"drupal_autoload_test_interface.inc\";i:1;s:30:\"drupal_autoload_test_class.inc\";}s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.module','drupal_system_listing_compatible_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:37:\"Drupal system listing compatible test\";s:11:\"description\";s:62:\"Support module for testing the drupal_system_listing function.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.module','drupal_system_listing_incompatible_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:39:\"Drupal system listing incompatible test\";s:11:\"description\";s:62:\"Support module for testing the drupal_system_listing function.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_cache_test.module','entity_cache_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Entity cache test\";s:11:\"description\";s:40:\"Support module for testing entity cache.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:28:\"entity_cache_test_dependency\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_cache_test_dependency.module','entity_cache_test_dependency','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:28:\"Entity cache test dependency\";s:11:\"description\";s:51:\"Support dependency module for testing entity cache.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_crud_hook_test.module','entity_crud_hook_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"Entity CRUD Hooks Test\";s:11:\"description\";s:35:\"Support module for CRUD hook tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_query_access_test.module','entity_query_access_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Entity query access test\";s:11:\"description\";s:49:\"Support module for checking entity query results.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/error_test.module','error_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Error test\";s:11:\"description\";s:47:\"Support module for error and exception testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/file_test.module','file_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"File test\";s:11:\"description\";s:39:\"Support module for file handling tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:16:\"file_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/filter_test.module','filter_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"Filter test module\";s:11:\"description\";s:33:\"Tests filter hooks and functions.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/form_test.module','form_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"FormAPI Test\";s:11:\"description\";s:34:\"Support module for Form API tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/image_test.module','image_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Image test\";s:11:\"description\";s:39:\"Support module for image toolkit tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/menu_test.module','menu_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Hook menu tests\";s:11:\"description\";s:37:\"Support module for menu hook testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/module_test.module','module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Module test\";s:11:\"description\";s:41:\"Support module for module system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/path_test.module','path_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Hook path tests\";s:11:\"description\";s:37:\"Support module for path hook testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/psr_0_test/psr_0_test.module','psr_0_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"PSR-0 Test cases\";s:11:\"description\";s:44:\"Test classes to be discovered by simpletest.\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/psr_4_test/psr_4_test.module','psr_4_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"PSR-4 Test cases\";s:11:\"description\";s:44:\"Test classes to be discovered by simpletest.\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/requirements1_test.module','requirements1_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:19:\"Requirements 1 Test\";s:11:\"description\";s:80:\"Tests that a module is not installed when it fails hook_requirements(\'install\').\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/requirements2_test.module','requirements2_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:19:\"Requirements 2 Test\";s:11:\"description\";s:98:\"Tests that a module is not installed when the one it depends on fails hook_requirements(\'install).\";s:12:\"dependencies\";a:2:{i:0;s:18:\"requirements1_test\";i:1;s:7:\"comment\";}s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/session_test.module','session_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"Session test\";s:11:\"description\";s:40:\"Support module for session data testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_dependencies_test.module','system_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"System dependency test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:19:\"_missing_dependency\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_core_version_dependencies_test.module','system_incompatible_core_version_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:50:\"System incompatible core version dependencies test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:37:\"system_incompatible_core_version_test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_core_version_test.module','system_incompatible_core_version_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:37:\"System incompatible core version test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"5.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_module_version_dependencies_test.module','system_incompatible_module_version_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:52:\"System incompatible module version dependencies test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:46:\"system_incompatible_module_version_test (>2.0)\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_module_version_test.module','system_incompatible_module_version_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:39:\"System incompatible module version test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_project_namespace_test.module','system_project_namespace_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:29:\"System project namespace test\";s:11:\"description\";s:58:\"Support module for testing project namespace dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:13:\"drupal:filter\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_test.module','system_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"System test\";s:11:\"description\";s:34:\"Support module for system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:18:\"system_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/taxonomy_test.module','taxonomy_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Taxonomy test module\";s:11:\"description\";s:45:\"\"Tests functions and hooks not used in core\".\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:8:\"taxonomy\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/theme_test.module','theme_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Theme test\";s:11:\"description\";s:40:\"Support module for theme system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_script_test.module','update_script_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"Update script test\";s:11:\"description\";s:41:\"Support module for update script testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_1.module','update_test_1','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_2.module','update_test_2','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_3.module','update_test_3','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/url_alter_test.module','url_alter_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Url_alter tests\";s:11:\"description\";s:45:\"A support modules for url_alter hook testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/xmlrpc_test.module','xmlrpc_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"XML-RPC Test\";s:11:\"description\";s:75:\"Support module for XML-RPC tests according to the validator1 specification.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/statistics/statistics.module','statistics','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Statistics\";s:11:\"description\";s:37:\"Logs access statistics for your site.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"statistics.test\";}s:9:\"configure\";s:30:\"admin/config/system/statistics\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/syslog/syslog.module','syslog','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:6:\"Syslog\";s:11:\"description\";s:41:\"Logs and records system events to syslog.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"syslog.test\";}s:9:\"configure\";s:32:\"admin/config/development/logging\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/system/system.module','system','module','',1,1,7081,0,'a:14:{s:4:\"name\";s:6:\"System\";s:11:\"description\";s:54:\"Handles general site configuration for administrators.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:6:{i:0;s:19:\"system.archiver.inc\";i:1;s:15:\"system.mail.inc\";i:2;s:16:\"system.queue.inc\";i:3;s:14:\"system.tar.inc\";i:4;s:18:\"system.updater.inc\";i:5;s:11:\"system.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:19:\"admin/config/system\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/system/tests/cron_queue_test.module','cron_queue_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Cron Queue test\";s:11:\"description\";s:41:\"Support module for the cron queue runner.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/system/tests/system_cron_test.module','system_cron_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"System Cron Test\";s:11:\"description\";s:45:\"Support module for testing the system_cron().\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/taxonomy/taxonomy.module','taxonomy','module','',1,0,7011,0,'a:15:{s:4:\"name\";s:8:\"Taxonomy\";s:11:\"description\";s:38:\"Enables the categorization of content.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:7:\"options\";}s:5:\"files\";a:2:{i:0;s:15:\"taxonomy.module\";i:1;s:13:\"taxonomy.test\";}s:9:\"configure\";s:24:\"admin/structure/taxonomy\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('modules/toolbar/toolbar.module','toolbar','module','',0,0,0,0,'a:12:{s:4:\"name\";s:7:\"Toolbar\";s:11:\"description\";s:99:\"Provides a toolbar that shows the top-level administration menu items and links from other modules.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/tracker/tracker.module','tracker','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:7:\"Tracker\";s:11:\"description\";s:45:\"Enables tracking of recent content for users.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"comment\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"tracker.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/translation/tests/translation_test.module','translation_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Content Translation Test\";s:11:\"description\";s:49:\"Support module for the content translation tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/translation/translation.module','translation','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:19:\"Content translation\";s:11:\"description\";s:57:\"Allows content to be translated into different languages.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"locale\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:16:\"translation.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/trigger/tests/trigger_test.module','trigger_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"Trigger Test\";s:11:\"description\";s:33:\"Support module for Trigger tests.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/trigger/trigger.module','trigger','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:7:\"Trigger\";s:11:\"description\";s:90:\"Enables actions to be fired on certain system events, such as when new content is created.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"trigger.test\";}s:9:\"configure\";s:23:\"admin/structure/trigger\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/update/tests/aaa_update_test.module','aaa_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"AAA Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/bbb_update_test.module','bbb_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"BBB Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/ccc_update_test.module','ccc_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"CCC Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/update_test.module','update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/update.module','update','module','',1,0,7001,0,'a:13:{s:4:\"name\";s:14:\"Update manager\";s:11:\"description\";s:104:\"Checks for available updates, and can securely install or update modules and themes via a web interface.\";s:7:\"version\";s:4:\"7.56\";s:7:\"package\";s:4:\"Core\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"update.test\";}s:9:\"configure\";s:30:\"admin/reports/updates/settings\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/user/tests/user_form_test.module','user_form_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"User module form tests\";s:11:\"description\";s:37:\"Support module for user form testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/user/user.module','user','module','',1,0,7019,0,'a:15:{s:4:\"name\";s:4:\"User\";s:11:\"description\";s:47:\"Manages the user registration and login system.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:11:\"user.module\";i:1;s:9:\"user.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:19:\"admin/config/people\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"user.css\";s:21:\"modules/user/user.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('profiles/standard/standard.profile','standard','module','',1,0,0,1000,'a:15:{s:4:\"name\";s:8:\"Standard\";s:11:\"description\";s:51:\"Install with commonly used features pre-configured.\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:21:{i:0;s:5:\"block\";i:1;s:5:\"color\";i:2;s:7:\"comment\";i:3;s:10:\"contextual\";i:4;s:9:\"dashboard\";i:5;s:4:\"help\";i:6;s:5:\"image\";i:7;s:4:\"list\";i:8;s:4:\"menu\";i:9;s:6:\"number\";i:10;s:7:\"options\";i:11;s:4:\"path\";i:12;s:8:\"taxonomy\";i:13;s:5:\"dblog\";i:14;s:6:\"search\";i:15;s:8:\"shortcut\";i:16;s:7:\"toolbar\";i:17;s:7:\"overlay\";i:18;s:8:\"field_ui\";i:19;s:4:\"file\";i:20;s:3:\"rdf\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;s:6:\"hidden\";b:1;s:8:\"required\";b:1;s:17:\"distribution_name\";s:6:\"Drupal\";}'),('sites/all/modules/admin_menu/admin_devel/admin_devel.module','admin_devel','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:32:\"Administration Development tools\";s:11:\"description\";s:76:\"Administration and debugging functionality for developers and site builders.\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:7:\"scripts\";a:1:{s:14:\"admin_devel.js\";s:55:\"sites/all/modules/admin_menu/admin_devel/admin_devel.js\";}s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/admin_menu/admin_menu.module','admin_menu','module','',1,0,7304,100,'a:13:{s:4:\"name\";s:19:\"Administration menu\";s:11:\"description\";s:123:\"Provides a dropdown menu to most administrative tasks and other common destinations (to users with the proper permissions).\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:38:\"admin/config/administration/admin_menu\";s:12:\"dependencies\";a:1:{i:0;s:14:\"system (>7.10)\";}s:5:\"files\";a:1:{i:0;s:21:\"tests/admin_menu.test\";}s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/admin_menu/admin_menu_toolbar/admin_menu_toolbar.module','admin_menu_toolbar','module','',1,0,6300,101,'a:12:{s:4:\"name\";s:33:\"Administration menu Toolbar style\";s:11:\"description\";s:17:\"A better Toolbar.\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:10:\"admin_menu\";}s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean.module','bean','module','',1,0,7013,0,'a:12:{s:4:\"name\";s:4:\"Bean\";s:11:\"description\";s:28:\"Create Bean (Block Entities)\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:12:{i:0;s:22:\"includes/bean.core.inc\";i:1;s:22:\"includes/bean.info.inc\";i:2;s:28:\"plugins/BeanPlugin.class.php\";i:3;s:29:\"plugins/BeanDefault.class.php\";i:4;s:37:\"includes/translation.handler.bean.inc\";i:5;s:36:\"includes/bean.inline_entity_form.inc\";i:6;s:40:\"views/views_handler_filter_bean_type.inc\";i:7;s:39:\"views/views_handler_field_bean_type.inc\";i:8;s:44:\"views/views_handler_field_bean_edit_link.inc\";i:9;s:46:\"views/views_handler_field_bean_delete_link.inc\";i:10;s:45:\"views/views_handler_field_bean_operations.inc\";i:11;s:9:\"bean.test\";}s:12:\"dependencies\";a:2:{i:0;s:18:\"entity (>=7.x-1.0)\";i:1;s:6:\"ctools\";}s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_admin_ui/bean_admin_ui.module','bean_admin_ui','module','',1,0,7003,0,'a:13:{s:4:\"name\";s:13:\"Bean Admin UI\";s:11:\"description\";s:47:\"Add the ability to create Block Types in the UI\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"bean_admin_ui.module\";i:1;s:28:\"plugins/BeanCustom.class.php\";}s:12:\"dependencies\";a:1:{i:0;s:4:\"bean\";}s:9:\"configure\";s:27:\"admin/structure/block-types\";s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_all/bean_all.module','bean_all','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Bean All\";s:11:\"description\";s:32:\"Integrate all blocks with beans.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"plugins/all.inc\";}s:12:\"dependencies\";a:3:{i:0;s:4:\"bean\";i:1;s:5:\"block\";i:2;s:4:\"menu\";}s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1412260740\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_entitycache/bean_entitycache.module','bean_entitycache','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:18:\"Bean - Entitycache\";s:11:\"description\";s:54:\"Integrates the Bean module with the Entitycache module\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:27:\"Performance and scalability\";s:5:\"files\";a:1:{i:0;s:34:\"includes/bean_entitycache.core.inc\";}s:12:\"dependencies\";a:2:{i:0;s:4:\"bean\";i:1;s:11:\"entitycache\";}s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_usage/bean_usage.module','bean_usage','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:10:\"Bean Usage\";s:11:\"description\";s:32:\"View Bean (Block Entities) Usage\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"bean\";i:1;s:14:\"blockreference\";}s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_uuid/bean_uuid.module','bean_uuid','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:9:\"Bean UUID\";s:11:\"description\";s:60:\"Allow deploying bean blocks through Deploy and UUID modules.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"bean\";i:1;s:4:\"uuid\";}s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/tests/bean_test.module','bean_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"Bean Test\";s:11:\"description\";s:29:\"Creates test plugins for bean\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"bean\";}s:5:\"files\";a:1:{i:0;s:16:\"bean_test.module\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:5:\"mtime\";i:1499929802;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/better_exposed_filters/better_exposed_filters.module','better_exposed_filters','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:22:\"Better Exposed Filters\";s:11:\"description\";s:70:\"Allow the use of checkboxes or radio buttons for exposed Views filters\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:46:\"better_exposed_filters_exposed_form_plugin.inc\";i:1;s:33:\"tests/better_exposed_filters.test\";}s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:22:\"better_exposed_filters\";s:9:\"datestamp\";s:10:\"1427970378\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/better_exposed_filters/tests/bef_test_content/bef_test_content.module','bef_test_content','module','',0,0,-1,0,'a:15:{s:4:\"name\";s:16:\"BEF Test Content\";s:11:\"description\";s:53:\"Content and Views for testing Better Exposed Filters.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:9:\"BEF Tests\";s:3:\"php\";s:5:\"5.2.4\";s:12:\"dependencies\";a:9:{i:0;s:22:\"better_exposed_filters\";i:1;s:4:\"date\";i:2;s:8:\"features\";i:3;s:4:\"list\";i:4;s:6:\"number\";i:5;s:8:\"taxonomy\";i:6;s:4:\"text\";i:7;s:5:\"views\";i:8;s:13:\"views_content\";}s:8:\"features\";a:7:{s:6:\"ctools\";a:1:{i:0;s:23:\"views:views_default:3.0\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:1\";}s:10:\"field_base\";a:7:{i:0;s:19:\"field_bef_test_body\";i:1;s:19:\"field_bef_test_date\";i:2;s:22:\"field_bef_test_integer\";i:3;s:22:\"field_bef_test_letters\";i:4;s:23:\"field_bef_test_location\";i:5;s:22:\"field_bef_test_numbers\";i:6;s:20:\"field_bef_test_price\";}s:14:\"field_instance\";a:7:{i:0;s:33:\"node-bef_test-field_bef_test_body\";i:1;s:33:\"node-bef_test-field_bef_test_date\";i:2;s:36:\"node-bef_test-field_bef_test_integer\";i:3;s:36:\"node-bef_test-field_bef_test_letters\";i:4;s:37:\"node-bef_test-field_bef_test_location\";i:5;s:36:\"node-bef_test-field_bef_test_numbers\";i:6;s:34:\"node-bef_test-field_bef_test_price\";}s:4:\"node\";a:1:{i:0;s:8:\"bef_test\";}s:8:\"taxonomy\";a:1:{i:0;s:8:\"location\";}s:10:\"views_view\";a:1:{i:0;s:13:\"bef_test_view\";}}s:16:\"features_exclude\";a:2:{s:12:\"dependencies\";a:2:{s:6:\"ctools\";s:6:\"ctools\";s:7:\"options\";s:7:\"options\";}s:5:\"field\";a:7:{s:18:\"node-bef_test-body\";s:18:\"node-bef_test-body\";s:27:\"node-bef_test-field_letters\";s:27:\"node-bef_test-field_letters\";s:27:\"node-bef_test-field_numbers\";s:27:\"node-bef_test-field_numbers\";s:28:\"node-bef_test-field_location\";s:28:\"node-bef_test-field_location\";s:27:\"node-bef_test-field_integer\";s:27:\"node-bef_test-field_integer\";s:25:\"node-bef_test-field_price\";s:25:\"node-bef_test-field_price\";s:24:\"node-bef_test-field_date\";s:24:\"node-bef_test-field_date\";}}s:6:\"hidden\";s:1:\"1\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:22:\"better_exposed_filters\";s:9:\"datestamp\";s:10:\"1427970378\";s:5:\"mtime\";i:1499929802;s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/block_class/block_class.module','block_class','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Block Class\";s:11:\"description\";s:39:\"Allows assigning CSS classes to blocks.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"block\";}s:5:\"files\";a:1:{i:0;s:16:\"block_class.test\";}s:17:\"test_dependencies\";a:1:{i:0;s:7:\"context\";}s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1377197769\";s:5:\"mtime\";i:1499929802;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/clock/clock.module','clock','module','',1,0,7100,0,'a:12:{s:4:\"name\";s:5:\"Clock\";s:11:\"description\";s:45:\"Provides a block displaying the current time.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:9:\"Date/Time\";s:12:\"dependencies\";a:2:{i:0;s:5:\"block\";i:1;s:8:\"date_api\";}s:5:\"files\";a:4:{i:0;s:12:\"clock.module\";i:1;s:13:\"clock.install\";i:2;s:8:\"clock.js\";i:3;s:10:\"clock.test\";}s:7:\"version\";s:13:\"7.x-1.2+4-dev\";s:7:\"project\";s:5:\"clock\";s:9:\"datestamp\";s:10:\"1380559018\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/colorbox/colorbox.module','colorbox','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:8:\"Colorbox\";s:11:\"description\";s:63:\"A light-weight, customizable lightbox plugin for jQuery 1.4.3+.\";s:12:\"dependencies\";a:1:{i:0;s:15:\"libraries (2.x)\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:27:\"admin/config/media/colorbox\";s:5:\"files\";a:1:{i:0;s:41:\"views/colorbox_handler_field_colorbox.inc\";}s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:5:\"mtime\";i:1499929802;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/contact_forms/contact_forms.module','contact_forms','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Contact Forms\";s:11:\"description\";s:62:\"Creates individual contact pages from contact form categories.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"contact\";}s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:13:\"Contact Forms\";s:5:\"files\";a:2:{i:0;s:20:\"contact_forms.module\";i:1;s:21:\"contact_forms.install\";}s:9:\"configure\";s:32:\"admin/structure/contact/settings\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:13:\"contact_forms\";s:9:\"datestamp\";s:10:\"1360197114\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/contact_forms/contact_forms_int/contact_forms_int.module','contact_forms_int','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:25:\"Contact Forms Translation\";s:11:\"description\";s:56:\"Makes contact forms additions available for translation.\";s:12:\"dependencies\";a:7:{i:0;s:7:\"contact\";i:1;s:13:\"contact_forms\";i:2;s:6:\"locale\";i:3;s:4:\"i18n\";i:4;s:12:\"i18n_contact\";i:5;s:11:\"i18n_string\";i:6;s:8:\"variable\";}s:7:\"package\";s:13:\"Contact Forms\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:25:\"contact_forms_int.install\";i:1;s:24:\"contact_forms_int.module\";}s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:13:\"contact_forms\";s:9:\"datestamp\";s:10:\"1360197114\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/context/context.module','context','module','',1,0,7000,0,'a:12:{s:4:\"name\";s:7:\"Context\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:11:\"description\";s:66:\"Provide modules with a cache that lasts for a single page request.\";s:7:\"package\";s:7:\"Context\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:18:\"tests/context.test\";i:1;s:29:\"tests/context.conditions.test\";i:2;s:28:\"tests/context.reactions.test\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/context/context_layouts/context_layouts.module','context_layouts','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Context layouts\";s:11:\"description\";s:80:\"Allow theme layer to provide multiple region layouts and integrate with context.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"context\";}s:7:\"package\";s:7:\"Context\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:42:\"plugins/context_layouts_reaction_block.inc\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/context/context_ui/context_ui.module','context_ui','module','',1,0,6004,0,'a:13:{s:4:\"name\";s:10:\"Context UI\";s:11:\"description\";s:68:\"Provides a simple UI for settings up a site structure using Context.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"context\";}s:7:\"package\";s:7:\"Context\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:23:\"admin/structure/context\";s:5:\"files\";a:2:{i:0;s:14:\"context.module\";i:1;s:21:\"tests/context_ui.test\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/bulk_export/bulk_export.module','bulk_export','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:11:\"Bulk Export\";s:11:\"description\";s:67:\"Performs bulk exporting of data objects known about by Chaos tools.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools.module','ctools','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:11:\"Chaos tools\";s:11:\"description\";s:46:\"A library of helpful tools by Merlin of Chaos.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:5:\"files\";a:11:{i:0;s:20:\"includes/context.inc\";i:1;s:22:\"includes/css-cache.inc\";i:2;s:22:\"includes/math-expr.inc\";i:3;s:21:\"includes/stylizer.inc\";i:4;s:18:\"tests/context.test\";i:5;s:14:\"tests/css.test\";i:6;s:20:\"tests/css_cache.test\";i:7;s:25:\"tests/ctools.plugins.test\";i:8;s:26:\"tests/math_expression.test\";i:9;s:32:\"tests/math_expression_stack.test\";i:10;s:23:\"tests/object_cache.test\";}s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_access_ruleset/ctools_access_ruleset.module','ctools_access_ruleset','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Custom rulesets\";s:11:\"description\";s:81:\"Create custom, exportable, reusable access rulesets for applications like Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_ajax_sample/ctools_ajax_sample.module','ctools_ajax_sample','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:11:\"description\";s:41:\"Shows how to use the power of Chaos AJAX.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_custom_content/ctools_custom_content.module','ctools_custom_content','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:20:\"Custom content panes\";s:11:\"description\";s:79:\"Create custom, exportable, reusable content panes for applications like Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_plugin_example/ctools_plugin_example.module','ctools_plugin_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:35:\"Chaos Tools (CTools) Plugin Example\";s:11:\"description\";s:75:\"Shows how an external module can provide ctools plugins (for Panels, etc.).\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:4:{i:0;s:6:\"ctools\";i:1;s:6:\"panels\";i:2;s:12:\"page_manager\";i:3;s:13:\"advanced_help\";}s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/page_manager/page_manager.module','page_manager','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Page manager\";s:11:\"description\";s:54:\"Provides a UI and API to manage pages within the site.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/stylizer/stylizer.module','stylizer','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Stylizer\";s:11:\"description\";s:53:\"Create custom styles for applications such as Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"color\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/term_depth/term_depth.module','term_depth','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"Term Depth access\";s:11:\"description\";s:48:\"Controls access to context based upon term depth\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/tests/ctools_export_test/ctools_export_test.module','ctools_export_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"CTools export test\";s:11:\"description\";s:25:\"CTools export test module\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:6:\"hidden\";b:1;s:5:\"files\";a:1:{i:0;s:18:\"ctools_export.test\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/tests/ctools_plugin_test.module','ctools_plugin_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Chaos tools plugins test\";s:11:\"description\";s:42:\"Provides hooks for testing ctools plugins.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:6:{i:0;s:19:\"ctools.plugins.test\";i:1;s:17:\"object_cache.test\";i:2;s:8:\"css.test\";i:3;s:12:\"context.test\";i:4;s:20:\"math_expression.test\";i:5;s:26:\"math_expression_stack.test\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/views_content/views_content.module','views_content','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:19:\"Views content panes\";s:11:\"description\";s:104:\"Allows Views content to be used in Panels, Dashboard and other modules which use the CTools Content API.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-1.12\";s:5:\"files\";a:3:{i:0;s:61:\"plugins/views/views_content_plugin_display_ctools_context.inc\";i:1;s:57:\"plugins/views/views_content_plugin_display_panel_pane.inc\";i:2;s:59:\"plugins/views/views_content_plugin_style_ctools_context.inc\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date.module','date','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:4:\"Date\";s:11:\"description\";s:33:\"Makes date/time fields available.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"date_api\";}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.2\";s:5:\"files\";a:7:{i:0;s:16:\"date.migrate.inc\";i:1;s:19:\"tests/date_api.test\";i:2;s:15:\"tests/date.test\";i:3;s:21:\"tests/date_field.test\";i:4;s:23:\"tests/date_migrate.test\";i:5;s:26:\"tests/date_validation.test\";i:6;s:24:\"tests/date_timezone.test\";}s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499929802;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_all_day/date_all_day.module','date_all_day','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Date All Day\";s:11:\"description\";s:142:\"Adds \'All Day\' functionality to date fields, including an \'All Day\' theme and \'All Day\' checkboxes for the Date select and Date popup widgets.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"date_api\";i:1;s:4:\"date\";}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_api/date_api.module','date_api','module','',1,0,7001,0,'a:13:{s:4:\"name\";s:8:\"Date API\";s:11:\"description\";s:45:\"A Date API that can be used by other modules.\";s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.2\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"date.css\";s:40:\"sites/all/modules/date/date_api/date.css\";}}s:5:\"files\";a:2:{i:0;s:15:\"date_api.module\";i:1;s:16:\"date_api_sql.inc\";}s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_context/date_context.module','date_context','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Date Context\";s:11:\"description\";s:99:\"Adds an option to the Context module to set a context condition based on the value of a date field.\";s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"date\";i:1;s:7:\"context\";}s:5:\"files\";a:2:{i:0;s:19:\"date_context.module\";i:1;s:39:\"plugins/date_context_date_condition.inc\";}s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_migrate/date_migrate.module','date_migrate','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Date Migration\";s:11:\"description\";s:73:\"Obsolete data migration module. Disable if no other modules depend on it.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:9:\"Date/Time\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_migrate/date_migrate_example/date_migrate_example.module','date_migrate_example','module','',0,0,-1,0,'a:13:{s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:5:{i:0;s:4:\"date\";i:1;s:11:\"date_repeat\";i:2;s:17:\"date_repeat_field\";i:3;s:8:\"features\";i:4;s:7:\"migrate\";}s:11:\"description\";s:42:\"Examples of migrating with the Date module\";s:8:\"features\";a:2:{s:5:\"field\";a:8:{i:0;s:30:\"node-date_migrate_example-body\";i:1;s:36:\"node-date_migrate_example-field_date\";i:2;s:42:\"node-date_migrate_example-field_date_range\";i:3;s:43:\"node-date_migrate_example-field_date_repeat\";i:4;s:41:\"node-date_migrate_example-field_datestamp\";i:5;s:47:\"node-date_migrate_example-field_datestamp_range\";i:6;s:40:\"node-date_migrate_example-field_datetime\";i:7;s:46:\"node-date_migrate_example-field_datetime_range\";}s:4:\"node\";a:1:{i:0;s:20:\"date_migrate_example\";}}s:5:\"files\";a:1:{i:0;s:32:\"date_migrate_example.migrate.inc\";}s:4:\"name\";s:22:\"Date Migration Example\";s:7:\"package\";s:8:\"Features\";s:7:\"project\";s:4:\"date\";s:7:\"version\";s:7:\"7.x-2.8\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_popup/date_popup.module','date_popup','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:10:\"Date Popup\";s:11:\"description\";s:84:\"Enables jquery popup calendars and time entry widgets for selecting dates and times.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"date_api\";}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:28:\"admin/config/date/date_popup\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:25:\"themes/datepicker.1.7.css\";s:59:\"sites/all/modules/date/date_popup/themes/datepicker.1.7.css\";}}s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_repeat/date_repeat.module','date_repeat','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Date Repeat API\";s:11:\"description\";s:73:\"A Date Repeat API to calculate repeating dates and times from iCal rules.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"date_api\";}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.2\";s:5:\"files\";a:2:{i:0;s:22:\"tests/date_repeat.test\";i:1;s:27:\"tests/date_repeat_form.test\";}s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499929802;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_repeat_field/date_repeat_field.module','date_repeat_field','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Date Repeat Field\";s:11:\"description\";s:97:\"Creates the option of Repeating date fields and manages Date fields that use the Date Repeat API.\";s:12:\"dependencies\";a:3:{i:0;s:8:\"date_api\";i:1;s:4:\"date\";i:2;s:11:\"date_repeat\";}s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:21:\"date_repeat_field.css\";s:62:\"sites/all/modules/date/date_repeat_field/date_repeat_field.css\";}}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_tools/date_tools.module','date_tools','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Date Tools\";s:11:\"description\";s:52:\"Tools to import and auto-create dates and calendars.\";s:12:\"dependencies\";a:1:{i:0;s:4:\"date\";}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:23:\"admin/config/date/tools\";s:5:\"files\";a:1:{i:0;s:21:\"tests/date_tools.test\";}s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_views/date_views.module','date_views','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:10:\"Date Views\";s:11:\"description\";s:57:\"Views integration for date fields and date functionality.\";s:7:\"package\";s:9:\"Date/Time\";s:12:\"dependencies\";a:2:{i:0;s:8:\"date_api\";i:1;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.2\";s:5:\"files\";a:6:{i:0;s:40:\"includes/date_views_argument_handler.inc\";i:1;s:47:\"includes/date_views_argument_handler_simple.inc\";i:2;s:38:\"includes/date_views_filter_handler.inc\";i:3;s:45:\"includes/date_views_filter_handler_simple.inc\";i:4;s:29:\"includes/date_views.views.inc\";i:5;s:36:\"includes/date_views_plugin_pager.inc\";}s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499929802;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/devel/devel.module','devel','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:5:\"Devel\";s:11:\"description\";s:52:\"Various blocks, pages, and functions for developers.\";s:7:\"package\";s:11:\"Development\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:30:\"admin/config/development/devel\";s:4:\"tags\";a:1:{i:0;s:9:\"developer\";}s:5:\"files\";a:2:{i:0;s:10:\"devel.test\";i:1;s:14:\"devel.mail.inc\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"devel\";s:9:\"datestamp\";s:10:\"1398963366\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/devel/devel_generate/devel_generate.module','devel_generate','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:14:\"Devel generate\";s:11:\"description\";s:48:\"Generate dummy users, nodes, and taxonomy terms.\";s:7:\"package\";s:11:\"Development\";s:4:\"core\";s:3:\"7.x\";s:4:\"tags\";a:1:{i:0;s:9:\"developer\";}s:9:\"configure\";s:33:\"admin/config/development/generate\";s:5:\"files\";a:1:{i:0;s:19:\"devel_generate.test\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"devel\";s:9:\"datestamp\";s:10:\"1398963366\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/devel/devel_node_access.module','devel_node_access','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:17:\"Devel node access\";s:11:\"description\";s:68:\"Developer blocks and page illustrating relevant node_access records.\";s:7:\"package\";s:11:\"Development\";s:12:\"dependencies\";a:1:{i:0;s:4:\"menu\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:30:\"admin/config/development/devel\";s:4:\"tags\";a:1:{i:0;s:9:\"developer\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"devel\";s:9:\"datestamp\";s:10:\"1398963366\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/entity.module','entity','module','',1,0,7003,0,'a:12:{s:4:\"name\";s:10:\"Entity API\";s:11:\"description\";s:69:\"Enables modules to work with any entity type and to provide entities.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:24:{i:0;s:19:\"entity.features.inc\";i:1;s:15:\"entity.i18n.inc\";i:2;s:15:\"entity.info.inc\";i:3;s:16:\"entity.rules.inc\";i:4;s:11:\"entity.test\";i:5;s:19:\"includes/entity.inc\";i:6;s:30:\"includes/entity.controller.inc\";i:7;s:22:\"includes/entity.ui.inc\";i:8;s:27:\"includes/entity.wrapper.inc\";i:9;s:22:\"views/entity.views.inc\";i:10;s:52:\"views/handlers/entity_views_field_handler_helper.inc\";i:11;s:51:\"views/handlers/entity_views_handler_area_entity.inc\";i:12;s:53:\"views/handlers/entity_views_handler_field_boolean.inc\";i:13;s:50:\"views/handlers/entity_views_handler_field_date.inc\";i:14;s:54:\"views/handlers/entity_views_handler_field_duration.inc\";i:15;s:52:\"views/handlers/entity_views_handler_field_entity.inc\";i:16;s:51:\"views/handlers/entity_views_handler_field_field.inc\";i:17;s:53:\"views/handlers/entity_views_handler_field_numeric.inc\";i:18;s:53:\"views/handlers/entity_views_handler_field_options.inc\";i:19;s:50:\"views/handlers/entity_views_handler_field_text.inc\";i:20;s:49:\"views/handlers/entity_views_handler_field_uri.inc\";i:21;s:62:\"views/handlers/entity_views_handler_relationship_by_bundle.inc\";i:22;s:52:\"views/handlers/entity_views_handler_relationship.inc\";i:23;s:53:\"views/plugins/entity_views_plugin_row_entity_view.inc\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1424876582\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/entity_token.module','entity_token','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:13:\"Entity tokens\";s:11:\"description\";s:99:\"Provides token replacements for all properties that have no tokens and are known to the entity API.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:23:\"entity_token.tokens.inc\";i:1;s:19:\"entity_token.module\";}s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1424876582\";s:5:\"mtime\";i:1499929802;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/tests/entity_feature.module','entity_feature','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Entity feature module\";s:11:\"description\";s:31:\"Provides some entities in code.\";s:7:\"version\";s:7:\"7.x-1.6\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:21:\"entity_feature.module\";}s:12:\"dependencies\";a:1:{i:0;s:11:\"entity_test\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1424876582\";s:5:\"mtime\";i:1499929802;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/tests/entity_test.module','entity_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Entity CRUD test module\";s:11:\"description\";s:46:\"Provides entity types based upon the CRUD API.\";s:7:\"version\";s:7:\"7.x-1.6\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:18:\"entity_test.module\";i:1;s:19:\"entity_test.install\";}s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1424876582\";s:5:\"mtime\";i:1499929802;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/tests/entity_test_i18n.module','entity_test_i18n','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:28:\"Entity-test type translation\";s:11:\"description\";s:37:\"Allows translating entity-test types.\";s:12:\"dependencies\";a:2:{i:0;s:11:\"entity_test\";i:1;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1424876582\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entityreference/entityreference.module','entityreference','module','',1,0,7002,0,'a:14:{s:4:\"name\";s:16:\"Entity Reference\";s:11:\"description\";s:51:\"Provides a field that can reference other entities.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:6:\"entity\";i:1;s:6:\"ctools\";}s:5:\"files\";a:11:{i:0;s:27:\"entityreference.migrate.inc\";i:1;s:30:\"plugins/selection/abstract.inc\";i:2;s:27:\"plugins/selection/views.inc\";i:3;s:29:\"plugins/behavior/abstract.inc\";i:4;s:40:\"views/entityreference_plugin_display.inc\";i:5;s:38:\"views/entityreference_plugin_style.inc\";i:6;s:43:\"views/entityreference_plugin_row_fields.inc\";i:7;s:35:\"tests/entityreference.handlers.test\";i:8;s:35:\"tests/entityreference.taxonomy.test\";i:9;s:32:\"tests/entityreference.admin.test\";i:10;s:32:\"tests/entityreference.feeds.test\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/entityreference/examples/entityreference_behavior_example/entityreference_behavior_example.module','entityreference_behavior_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:33:\"Entity Reference Behavior Example\";s:11:\"description\";s:71:\"Provides some example code for implementing Entity Reference behaviors.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:1:{i:0;s:15:\"entityreference\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entityreference/tests/modules/entityreference_feeds_test/entityreference_feeds_test.module','entityreference_feeds_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:41:\"Entityreference - Feeds integration tests\";s:11:\"description\";s:65:\"Support module for the Entityreference - Feeds integration tests.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:3:{i:0;s:5:\"feeds\";i:1;s:8:\"feeds_ui\";i:2;s:15:\"entityreference\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/faq/faq.module','faq','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:26:\"Frequently Asked Questions\";s:11:\"description\";s:50:\"Manages configuration of questions for a FAQ page.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:18:{i:0;s:13:\"faq.admin.inc\";i:1;s:11:\"faq.install\";i:2;s:10:\"faq.module\";i:3;s:8:\"faq.test\";i:4;s:41:\"includes/faq-category-hide-answer.tpl.php\";i:5;s:38:\"includes/faq-category-new-page.tpl.php\";i:6;s:46:\"includes/faq-category-questions-inline.tpl.php\";i:7;s:51:\"includes/faq-category-questions-top-answers.tpl.php\";i:8;s:43:\"includes/faq-category-questions-top.tpl.php\";i:9;s:32:\"includes/faq-hide-answer.tpl.php\";i:10;s:29:\"includes/faq-new-page.tpl.php\";i:11;s:37:\"includes/faq-questions-inline.tpl.php\";i:12;s:34:\"includes/faq-questions-top.tpl.php\";i:13;s:28:\"includes/faq.hide_answer.inc\";i:14;s:25:\"includes/faq.new_page.inc\";i:15;s:33:\"includes/faq.questions_inline.inc\";i:16;s:30:\"includes/faq.questions_top.inc\";i:17;s:19:\"views/faq.views.inc\";}s:9:\"configure\";s:24:\"admin/config/content/faq\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:3:\"faq\";s:9:\"datestamp\";s:10:\"1415528891\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_group/field_group.module','field_group','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:11:\"Field Group\";s:11:\"description\";s:67:\"Provides the ability to group your fields on both form and display.\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:6:\"ctools\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:25:\"tests/field_group.ui.test\";i:1;s:30:\"tests/field_group.display.test\";}s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_group/tests/field_group_test.module','field_group_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"Field Group Test\";s:11:\"description\";s:27:\"Test module for Field Group\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1401918529\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_slideshow/field_slideshow.module','field_slideshow','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Field Slideshow\";s:11:\"description\";s:65:\"Provides a Slideshow format for displaying Image or Media fields.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:5:\"image\";i:1;s:9:\"libraries\";}s:5:\"files\";a:1:{i:0;s:22:\"field_slideshow.module\";}s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/fivestar/fivestar.module','fivestar','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:8:\"Fivestar\";s:11:\"description\";s:48:\"Enables fivestar ratings on content, users, etc.\";s:7:\"package\";s:6:\"Voting\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:9:\"votingapi\";}s:9:\"configure\";s:29:\"admin/config/content/fivestar\";s:5:\"files\";a:2:{i:0;s:23:\"test/fivestar.base.test\";i:1;s:24:\"test/fivestar.field.test\";}s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:8:\"fivestar\";s:9:\"datestamp\";s:10:\"1395087839\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/fontawesome/fontawesome.module','fontawesome','module','',1,0,0,0,'a:12:{s:4:\"name\";s:12:\"Font Awesome\";s:11:\"description\";s:52:\"Iconic font designed for use with Twitter Bootstrap.\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:1:\"5\";s:12:\"dependencies\";a:1:{i:0;s:21:\"libraries (>=7.x-2.0)\";}s:5:\"files\";a:2:{i:0;s:19:\"fontawesome.install\";i:1;s:18:\"fontawesome.module\";}s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420873983\";s:5:\"mtime\";i:1499929802;s:7:\"package\";s:5:\"Other\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/galleryformatter/galleryformatter.module','galleryformatter','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"Gallery Formatter\";s:11:\"description\";s:54:\"Provides a jquery gallery CCK formatter for imagefield\";s:12:\"dependencies\";a:2:{i:0;s:5:\"image\";i:1;s:4:\"file\";}s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:14:\"User interface\";s:5:\"files\";a:5:{i:0;s:24:\"galleryformatter.install\";i:1;s:23:\"galleryformatter.module\";i:2;s:35:\"includes/galleryformatter.theme.inc\";i:3;s:40:\"includes/galleryformatter_imagecache.inc\";i:4;s:30:\"theme/galleryformatter.tpl.php\";}s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:16:\"galleryformatter\";s:9:\"datestamp\";s:10:\"1355821655\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/google_analytics/googleanalytics.module','googleanalytics','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:16:\"Google Analytics\";s:11:\"description\";s:102:\"Allows your site to be tracked by Google Analytics by adding a Javascript tracking code to every page.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"Statistics\";s:9:\"configure\";s:35:\"admin/config/system/googleanalytics\";s:5:\"files\";a:1:{i:0;s:20:\"googleanalytics.test\";}s:17:\"test_dependencies\";a:1:{i:0;s:5:\"token\";}s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:16:\"google_analytics\";s:9:\"datestamp\";s:10:\"1417276982\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n.module','i18n','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Internationalization\";s:11:\"description\";s:49:\"Extends Drupal support for multilingual features.\";s:12:\"dependencies\";a:2:{i:0;s:6:\"locale\";i:1;s:8:\"variable\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:15:\"i18n_object.inc\";i:1;s:9:\"i18n.test\";}s:9:\"configure\";s:26:\"admin/config/regional/i18n\";s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_block/i18n_block.module','i18n_block','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Block languages\";s:11:\"description\";s:68:\"Enables language selector for blocks and optional block translation.\";s:12:\"dependencies\";a:2:{i:0;s:5:\"block\";i:1;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:14:\"i18n_block.inc\";i:1;s:15:\"i18n_block.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_contact/i18n_contact.module','i18n_contact','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:19:\"Contact translation\";s:11:\"description\";s:63:\"Makes contact categories and replies available for translation.\";s:12:\"dependencies\";a:2:{i:0;s:7:\"contact\";i:1;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_field/i18n_field.module','i18n_field','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"Field translation\";s:11:\"description\";s:26:\"Translate field properties\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:14:\"i18n_field.inc\";i:1;s:15:\"i18n_field.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_forum/i18n_forum.module','i18n_forum','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:18:\"Multilingual forum\";s:11:\"description\";s:60:\"Enables multilingual forum, translates names and containers.\";s:12:\"dependencies\";a:3:{i:0;s:5:\"forum\";i:1;s:13:\"i18n_taxonomy\";i:2;s:9:\"i18n_node\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"i18n_forum.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_menu/i18n_menu.module','i18n_menu','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:16:\"Menu translation\";s:11:\"description\";s:40:\"Supports translatable custom menu items.\";s:12:\"dependencies\";a:4:{i:0;s:4:\"i18n\";i:1;s:4:\"menu\";i:2;s:11:\"i18n_string\";i:3;s:16:\"i18n_translation\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:13:\"i18n_menu.inc\";i:1;s:14:\"i18n_menu.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_node/i18n_node.module','i18n_node','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Multilingual content\";s:11:\"description\";s:46:\"Extended node options for multilingual content\";s:12:\"dependencies\";a:3:{i:0;s:11:\"translation\";i:1;s:4:\"i18n\";i:2;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:31:\"admin/config/regional/i18n/node\";s:5:\"files\";a:2:{i:0;s:14:\"i18n_node.test\";i:1;s:22:\"i18n_node.variable.inc\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_path/i18n_path.module','i18n_path','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:16:\"Path translation\";s:11:\"description\";s:37:\"Define translations for generic paths\";s:12:\"dependencies\";a:1:{i:0;s:16:\"i18n_translation\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:13:\"i18n_path.inc\";i:1;s:14:\"i18n_path.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_redirect/i18n_redirect.module','i18n_redirect','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:20:\"Translation redirect\";s:11:\"description\";s:71:\"Redirect to translated page when available. SEO for multilingual sites.\";s:12:\"dependencies\";a:1:{i:0;s:4:\"i18n\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_select/i18n_select.module','i18n_select','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:19:\"Multilingual select\";s:11:\"description\";s:45:\"API module for multilingual content selection\";s:12:\"dependencies\";a:1:{i:0;s:4:\"i18n\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:33:\"admin/config/regional/i18n/select\";s:5:\"files\";a:1:{i:0;s:16:\"i18n_select.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_string/i18n_string.module','i18n_string','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"String translation\";s:11:\"description\";s:57:\"Provides support for translation of user defined strings.\";s:12:\"dependencies\";a:2:{i:0;s:6:\"locale\";i:1;s:4:\"i18n\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:21:\"i18n_string.admin.inc\";i:1;s:15:\"i18n_string.inc\";i:2;s:16:\"i18n_string.test\";}s:9:\"configure\";s:34:\"admin/config/regional/i18n/strings\";s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_sync/i18n_sync.module','i18n_sync','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:24:\"Synchronize translations\";s:11:\"description\";s:74:\"Synchronizes taxonomy and fields accross translations of the same content.\";s:12:\"dependencies\";a:2:{i:0;s:4:\"i18n\";i:1;s:11:\"translation\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:5:{i:0;s:16:\"i18n_sync.module\";i:1;s:17:\"i18n_sync.install\";i:2;s:20:\"i18n_sync.module.inc\";i:3;s:18:\"i18n_sync.node.inc\";i:4;s:14:\"i18n_sync.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_taxonomy/i18n_taxonomy.module','i18n_taxonomy','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:20:\"Taxonomy translation\";s:11:\"description\";s:30:\"Enables multilingual taxonomy.\";s:12:\"dependencies\";a:3:{i:0;s:8:\"taxonomy\";i:1;s:11:\"i18n_string\";i:2;s:16:\"i18n_translation\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:17:\"i18n_taxonomy.inc\";i:1;s:23:\"i18n_taxonomy.pages.inc\";i:2;s:23:\"i18n_taxonomy.admin.inc\";i:3;s:18:\"i18n_taxonomy.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_translation/i18n_translation.module','i18n_translation','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:16:\"Translation sets\";s:11:\"description\";s:47:\"Simple translation sets API for generic objects\";s:12:\"dependencies\";a:1:{i:0;s:4:\"i18n\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:20:\"i18n_translation.inc\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_user/i18n_user.module','i18n_user','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:21:\"User mail translation\";s:11:\"description\";s:43:\"Translate emails sent from the User module.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:12:\"dependencies\";a:1:{i:0;s:13:\"i18n_variable\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/i18n_variable/i18n_variable.module','i18n_variable','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Variable translation\";s:11:\"description\";s:71:\"Multilingual variables that switch language depending on page language.\";s:12:\"dependencies\";a:3:{i:0;s:4:\"i18n\";i:1;s:24:\"variable_store (7.x-2.x)\";i:2;s:24:\"variable_realm (7.x-2.x)\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:35:\"admin/config/regional/i18n/variable\";s:5:\"files\";a:2:{i:0;s:23:\"i18n_variable.class.inc\";i:1;s:18:\"i18n_variable.test\";}s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/i18n/tests/i18n_test.module','i18n_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:26:\"Internationalization tests\";s:11:\"description\";s:55:\"Helper module for testing i18n (do not enable manually)\";s:12:\"dependencies\";a:3:{i:0;s:6:\"locale\";i:1;s:11:\"translation\";i:2;s:4:\"i18n\";}s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-1.13\";s:7:\"project\";s:4:\"i18n\";s:9:\"datestamp\";s:10:\"1430999922\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/jcarousel/jcarousel.module','jcarousel','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:9:\"jCarousel\";s:11:\"description\";s:38:\"Create jQuery-based carousel rotators.\";s:7:\"package\";s:14:\"User interface\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:16:\"jcarousel.module\";i:1;s:28:\"includes/jcarousel.views.inc\";i:2;s:35:\"includes/jcarousel_style_plugin.inc\";}s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/jquery_update/jquery_update.module','jquery_update','module','',1,0,7000,0,'a:13:{s:4:\"name\";s:13:\"jQuery Update\";s:11:\"description\";s:53:\"Update jQuery and jQuery UI to a more recent version.\";s:7:\"package\";s:14:\"User interface\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"jquery_update.module\";i:1;s:21:\"jquery_update.install\";}s:9:\"configure\";s:38:\"admin/config/development/jquery_update\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:5:\"mtime\";i:1445379855;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/jstimer/jstimer.module','jstimer','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:20:\"Javascript timer api\";s:11:\"description\";s:72:\"Provides a timer api and several timer widgets for dynamic html thingys.\";s:7:\"package\";s:16:\"Javascript timer\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:7:\"jstimer\";s:9:\"datestamp\";s:10:\"1326808541\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/jstimer/widgets/jst_clock.module','jst_clock','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:13:\"Widget: clock\";s:11:\"description\";s:24:\"Embeddable clock widget.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"jstimer\";}s:7:\"package\";s:16:\"Javascript timer\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:7:\"jstimer\";s:9:\"datestamp\";s:10:\"1326808541\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/jstimer/widgets/jst_timer.module','jst_timer','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:13:\"Widget: timer\";s:11:\"description\";s:40:\"Embeddable countdown and countup timers.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"jstimer\";}s:7:\"package\";s:16:\"Javascript timer\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:7:\"jstimer\";s:9:\"datestamp\";s:10:\"1326808541\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/languageicons/languageicons.module','languageicons','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Language Icons\";s:11:\"description\";s:29:\"Adds icons to language links.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"locale\";}s:7:\"package\";s:12:\"Multilingual\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:36:\"admin/config/regional/language/icons\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:13:\"languageicons\";s:9:\"datestamp\";s:10:\"1399825730\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/libraries/libraries.module','libraries','module','',1,0,7200,0,'a:12:{s:4:\"name\";s:9:\"Libraries\";s:11:\"description\";s:64:\"Allows version-dependent and shared usage of external libraries.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:15:\"system (>=7.11)\";}s:5:\"files\";a:1:{i:0;s:20:\"tests/libraries.test\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:5:\"mtime\";i:1499929802;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/libraries/tests/libraries_test.module','libraries_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Libraries test module\";s:11:\"description\";s:36:\"Tests library detection and loading.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:9:\"libraries\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1362848412\";s:5:\"mtime\";i:1499929802;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/libraries/tests/modules/libraries_test_module/libraries_test_module.module','libraries_test_module','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Libraries test module\";s:11:\"description\";s:36:\"Tests library detection and loading.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:12:\"dependencies\";a:1:{i:0;s:9:\"libraries\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/link/link.module','link','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:4:\"Link\";s:11:\"description\";s:32:\"Defines simple link field types.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:5:\"files\";a:10:{i:0;s:11:\"link.module\";i:1;s:16:\"link.migrate.inc\";i:2;s:15:\"tests/link.test\";i:3;s:25:\"tests/link.attribute.test\";i:4;s:20:\"tests/link.crud.test\";i:5;s:28:\"tests/link.crud_browser.test\";i:6;s:21:\"tests/link.token.test\";i:7;s:24:\"tests/link.validate.test\";i:8;s:44:\"views/link_views_handler_argument_target.inc\";i:9;s:44:\"views/link_views_handler_filter_protocol.inc\";}s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/manage_multiple_terms/manage_multiple_terms.module','manage_multiple_terms','module','',0,0,-1,0,'a:11:{s:4:\"name\";s:21:\"Manage Multiple Terms\";s:11:\"description\";s:21:\"Manage Multiple Terms\";s:7:\"package\";s:8:\"Taxonomy\";s:9:\"configure\";s:30:\"admin/structure/taxonomy/terms\";s:4:\"core\";s:3:\"7.x\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:7:\"version\";N;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/megamenus/megamenus.module','megamenus','module','',1,0,0,0,'a:11:{s:4:\"name\";s:9:\"Megamenus\";s:11:\"description\";s:25:\"Menu solutions for Drupal\";s:7:\"package\";s:9:\"megamenus\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:5:{i:0;s:13:\"megamenus.inc\";i:1;s:20:\"megamenus.themes.inc\";i:2;s:18:\"megamenus.ajax.inc\";i:3;s:19:\"megamenus.admin.inc\";i:4;s:16:\"megamenus.module\";}s:9:\"configure\";s:25:\"admin/structure/megamenus\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/memcache/memcache.module','memcache','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Memcache\";s:11:\"description\";s:43:\"High performance integration with memcache.\";s:7:\"package\";s:27:\"Performance and scalability\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:12:\"memcache.inc\";i:1;s:19:\"tests/memcache.test\";i:2;s:27:\"tests/memcache-session.test\";i:3;s:24:\"tests/memcache-lock.test\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:8:\"memcache\";s:9:\"datestamp\";s:10:\"1422088394\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/memcache/memcache_admin/memcache_admin.module','memcache_admin','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Memcache Admin\";s:11:\"description\";s:60:\"Adds a User Interface to monitor the Memcache for this site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:27:\"Performance and scalability\";s:9:\"configure\";s:28:\"admin/config/system/memcache\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:8:\"memcache\";s:9:\"datestamp\";s:10:\"1422088394\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/memcache/tests/memcache_test.module','memcache_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Memcache test\";s:11:\"description\";s:36:\"Support module for memcache testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:8:\"memcache\";s:9:\"datestamp\";s:10:\"1422088394\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/menu_block/menu_block.module','menu_block','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Menu Block\";s:11:\"description\";s:43:\"Provides configurable blocks of menu items.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:12:\"menu (>7.11)\";}s:9:\"configure\";s:38:\"admin/config/user-interface/menu-block\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1423092482\";s:5:\"mtime\";i:1499929802;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/menu_block/menu_block_export.module','menu_block_export','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Menu Block Export\";s:11:\"description\";s:48:\"Provides export interface for Menu block module.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:10:\"menu_block\";}s:5:\"files\";a:2:{i:0;s:24:\"menu_block_export.module\";i:1;s:27:\"menu_block_export.admin.inc\";}s:9:\"configure\";s:45:\"admin/config/user-interface/menu-block/export\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:10:\"menu_block\";s:9:\"datestamp\";s:10:\"1423092482\";s:5:\"mtime\";i:1499929802;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/menu_breadcrumb/menu_breadcrumb.module','menu_breadcrumb','module','',1,0,6100,0,'a:13:{s:4:\"name\";s:15:\"Menu breadcrumb\";s:11:\"description\";s:74:\"Allows you to use the menu the current page belongs to for the breadcrumb.\";s:12:\"dependencies\";a:1:{i:0;s:4:\"menu\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:23:\"menu_breadcrumb.install\";}s:9:\"configure\";s:43:\"admin/config/user-interface/menu-breadcrumb\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:15:\"menu_breadcrumb\";s:9:\"datestamp\";s:10:\"1425993992\";s:5:\"mtime\";i:1499929802;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/metatags_quick/metatags_quick.module','metatags_quick','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Meta tags (quick)\";s:11:\"description\";s:48:\"Meta tags support build using FieldAPI/EntityAPI\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:17:\"Meta tags (quick)\";s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:5:\"files\";a:1:{i:0;s:26:\"metatags_quick.migrate.inc\";}s:9:\"configure\";s:34:\"admin/config/search/metatags_quick\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:14:\"metatags_quick\";s:9:\"datestamp\";s:10:\"1405184328\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/metatags_quick/metatags_quick_extra.module','metatags_quick_extra','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:19:\"Extra functionality\";s:11:\"description\";s:40:\"Automatic settings for meta tags (quick)\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:17:\"Meta tags (quick)\";s:12:\"dependencies\";a:2:{i:0;s:14:\"metatags_quick\";i:1;s:8:\"taxonomy\";}s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:14:\"metatags_quick\";s:9:\"datestamp\";s:10:\"1405184328\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/metatags_quick/metatags_quick_import.module','metatags_quick_import','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:22:\"Upgrade from nodewords\";s:11:\"description\";s:43:\"Transform nodewords data to Drupal 7 fields\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:17:\"Meta tags (quick)\";s:12:\"dependencies\";a:1:{i:0;s:14:\"metatags_quick\";}s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:14:\"metatags_quick\";s:9:\"datestamp\";s:10:\"1405184328\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/modal_forms/modal_forms.module','modal_forms','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Modal forms\";s:11:\"description\";s:81:\"This module use ctools modal feature to open some common forms in a modal window.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:36:\"admin/config/development/modal_forms\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"modal_forms\";s:9:\"datestamp\";s:10:\"1353326875\";s:5:\"mtime\";i:1499929802;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/module_filter/module_filter.module','module_filter','module','',1,0,7201,0,'a:13:{s:4:\"name\";s:13:\"Module filter\";s:11:\"description\";s:24:\"Filter the modules list.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:14:\"Administration\";s:5:\"files\";a:9:{i:0;s:21:\"module_filter.install\";i:1;s:16:\"module_filter.js\";i:2;s:20:\"module_filter.module\";i:3;s:23:\"module_filter.admin.inc\";i:4;s:23:\"module_filter.theme.inc\";i:5;s:21:\"css/module_filter.css\";i:6;s:25:\"css/module_filter_tab.css\";i:7;s:19:\"js/module_filter.js\";i:8;s:23:\"js/module_filter_tab.js\";}s:9:\"configure\";s:40:\"admin/config/user-interface/modulefilter\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1424631189\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/newsletter/newsletter.module','newsletter','module','',1,0,7104,0,'a:13:{s:4:\"name\";s:10:\"Newsletter\";s:11:\"description\";s:32:\"Send emails to subscribed users.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"Mail\";s:12:\"dependencies\";a:3:{i:0;s:15:\"entityreference\";i:1;s:8:\"taxonomy\";i:2;s:5:\"token\";}s:5:\"files\";a:10:{i:0;s:29:\"includes/newsletter.basic.inc\";i:1;s:33:\"includes/newsletter.automated.inc\";i:2;s:30:\"includes/newsletter.custom.inc\";i:3;s:28:\"includes/newsletter.mail.inc\";i:4;s:45:\"includes/newsletter.newsletter.controller.inc\";i:5;s:45:\"includes/newsletter.subscriber.controller.inc\";i:6;s:43:\"includes/newsletter.template.controller.inc\";i:7;s:39:\"includes/newsletter.list.controller.inc\";i:8;s:61:\"includes/views/handlers/newsletter_handler_field_datetime.inc\";i:9;s:15:\"newsletter.test\";}s:9:\"configure\";s:39:\"admin/config/media/newsletter/configure\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/node_class/node_class.module','node_class','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:10:\"Node Class\";s:11:\"description\";s:38:\"Allows assigning CSS classes to nodes.\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:10:\"node_class\";s:9:\"datestamp\";s:10:\"1388997876\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/page_title/page_title.module','page_title','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Page Title\";s:11:\"description\";s:60:\"Enhanced control over the page title (in the &lt;head> tag).\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:3:\"SEO\";s:12:\"dependencies\";a:1:{i:0;s:5:\"token\";}s:5:\"files\";a:6:{i:0;s:17:\"page_title.module\";i:1;s:20:\"page_title.admin.inc\";i:2;s:21:\"page_title.tokens.inc\";i:3;s:15:\"page_title.test\";i:4;s:64:\"views/plugins/page_title_plugin_display_page_with_page_title.inc\";i:5;s:39:\"views_handler_field_node_page_title.inc\";}s:9:\"configure\";s:30:\"admin/config/search/page-title\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:10:\"page_title\";s:9:\"datestamp\";s:10:\"1336556786\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/pathauto/pathauto.module','pathauto','module','',1,0,7005,1,'a:14:{s:4:\"name\";s:8:\"Pathauto\";s:11:\"description\";s:95:\"Provides a mechanism for modules to automatically generate aliases for the content they manage.\";s:12:\"dependencies\";a:2:{i:0;s:4:\"path\";i:1;s:5:\"token\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:13:\"pathauto.test\";}s:9:\"configure\";s:33:\"admin/config/search/path/patterns\";s:10:\"recommends\";a:1:{i:0;s:8:\"redirect\";}s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:5:\"mtime\";i:1499929802;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/pinteros_tools/pinteros_tools.module','pinteros_tools','module','',1,0,0,0,'a:11:{s:4:\"name\";s:14:\"Pinteros Tools\";s:11:\"description\";s:30:\"Module supports Pinteros theme\";s:7:\"package\";s:5:\"Feeds\";s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:14:\"pinteros_tools\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:7:\"version\";N;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quicktabs/quicktabs.module','quicktabs','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"Quicktabs\";s:11:\"description\";s:49:\"Render content with tabs and other display styles\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:16:\"quicktabs.module\";i:1;s:21:\"quicktabs.classes.inc\";i:2;s:35:\"includes/quicktabs_style_plugin.inc\";i:3;s:20:\"tests/quicktabs.test\";}s:9:\"configure\";s:25:\"admin/structure/quicktabs\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:5:\"mtime\";i:1499929802;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quicktabs/quicktabs_tabstyles/quicktabs_tabstyles.module','quicktabs_tabstyles','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"Quicktabs Styles\";s:11:\"description\";s:65:\"Adds predefined tab styles to choose from per Quicktabs instance.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:32:\"admin/structure/quicktabs/styles\";s:12:\"dependencies\";a:1:{i:0;s:9:\"quicktabs\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:5:\"mtime\";i:1499929802;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/sharethis/sharethis.module','sharethis','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"ShareThis\";s:11:\"description\";s:87:\"Add the <a href=\"http://www.sharethis.com/\">ShareThis</a> widget to nodes on your site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Sharing\";s:9:\"configure\";s:31:\"admin/config/services/sharethis\";s:5:\"files\";a:1:{i:0;s:38:\"views/sharethis_handler_field_link.inc\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1422441977\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/sitemap/site_map.module','site_map','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:8:\"Site map\";s:11:\"description\";s:19:\"Display a site map.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:27:\"admin/config/search/sitemap\";s:12:\"dependencies\";a:1:{i:0;s:4:\"menu\";}s:5:\"files\";a:1:{i:0;s:13:\"site_map.test\";}s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"site_map\";s:9:\"datestamp\";s:10:\"1393897705\";s:5:\"mtime\";i:1499929802;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/tagclouds/tagclouds.module','tagclouds','module','',1,0,0,0,'a:13:{s:4:\"name\";s:9:\"TagClouds\";s:11:\"description\";s:61:\"TagClouds makes weighted tag clouds from your taxonomy terms.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:8:\"taxonomy\";}s:7:\"package\";s:8:\"Taxonomy\";s:9:\"configure\";s:30:\"admin/config/content/tagclouds\";s:7:\"version\";s:8:\"7.x-1.10\";s:7:\"project\";s:9:\"tagclouds\";s:9:\"datestamp\";s:10:\"1404152332\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/taxonomy_menu/taxonomy_menu.module','taxonomy_menu','module','',1,0,7000,0,'a:12:{s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:8:\"taxonomy\";i:1;s:4:\"menu\";}s:11:\"description\";s:39:\"Adds links to taxonomy terms to a menu.\";s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:5:\"files\";a:5:{i:0;s:23:\"taxonomy_menu.batch.inc\";i:1;s:26:\"taxonomy_menu.database.inc\";i:2;s:20:\"taxonomy_menu.module\";i:3;s:18:\"taxonomy_menu.test\";i:4;s:21:\"taxonomy_menu.install\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/tb_megamenu/tb_megamenu.module','tb_megamenu','module','',1,0,0,0,'a:13:{s:4:\"name\";s:12:\"TB Mega Menu\";s:11:\"description\";s:29:\"Megamenu solutions for Drupal\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:5:{i:0;s:25:\"tb_megamenu.functions.inc\";i:1;s:22:\"tb_megamenu.themes.inc\";i:2;s:20:\"tb_megamenu.ajax.inc\";i:3;s:21:\"tb_megamenu.admin.inc\";i:4;s:18:\"tb_megamenu.module\";}s:9:\"configure\";s:27:\"admin/structure/tb-megamenu\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/token/tests/token_test.module','token_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Token Test\";s:11:\"description\";s:39:\"Testing module for token functionality.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:17:\"token_test.module\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1425149060\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/token/token.module','token','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:5:\"Token\";s:11:\"description\";s:73:\"Provides a user interface for the Token API and some missing core tokens.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"token.test\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1425149060\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable.module','variable','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Variable\";s:11:\"description\";s:43:\"Variable Information and basic variable API\";s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:9:{i:0;s:27:\"includes/forum.variable.inc\";i:1;s:28:\"includes/locale.variable.inc\";i:2;s:26:\"includes/menu.variable.inc\";i:3;s:26:\"includes/node.variable.inc\";i:4;s:28:\"includes/system.variable.inc\";i:5;s:30:\"includes/taxonomy.variable.inc\";i:6;s:33:\"includes/translation.variable.inc\";i:7;s:26:\"includes/user.variable.inc\";i:8;s:13:\"variable.test\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_admin/variable_admin.module','variable_admin','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Variable admin\";s:11:\"description\";s:26:\"Variable Administration UI\";s:12:\"dependencies\";a:1:{i:0;s:8:\"variable\";}s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_example/variable_example.module','variable_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:16:\"Variable example\";s:11:\"description\";s:83:\"An example module showing how to use the Variable API and providing some variables.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"variable\";i:1;s:14:\"variable_store\";}s:7:\"package\";s:15:\"Example modules\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:29:\"variable_example.variable.inc\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_realm/variable_realm.module','variable_realm','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Variable realm\";s:11:\"description\";s:49:\"API to use variable realms from different modules\";s:12:\"dependencies\";a:1:{i:0;s:8:\"variable\";}s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.5\";s:5:\"files\";a:2:{i:0;s:24:\"variable_realm.class.inc\";i:1;s:30:\"variable_realm_union.class.inc\";}s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_store/variable_store.module','variable_store','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Variable store\";s:11:\"description\";s:60:\"Database storage for variable realms. This is an API module.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"variable\";}s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.5\";s:5:\"files\";a:2:{i:0;s:24:\"variable_store.class.inc\";i:1;s:19:\"variable_store.test\";}s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_views/variable_views.module','variable_views','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Variable views\";s:11:\"description\";s:78:\"Provides views integration for variable, included a default variable argument.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"variable\";i:1;s:5:\"views\";}s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:51:\"includes/views_plugin_argument_default_variable.inc\";i:1;s:47:\"includes/views_handler_field_variable_title.inc\";i:2;s:47:\"includes/views_handler_field_variable_value.inc\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/video/modules/video_ui/video_ui.module','video_ui','module','',1,0,0,0,'a:13:{s:4:\"name\";s:8:\"Video UI\";s:11:\"description\";s:93:\"Administrative interface to Video. Without this module you cannot configure the video module.\";s:7:\"package\";s:5:\"Media\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:24:\"admin/config/media/video\";s:12:\"dependencies\";a:1:{i:0;s:5:\"video\";}s:7:\"version\";s:8:\"7.x-2.11\";s:7:\"project\";s:5:\"video\";s:9:\"datestamp\";s:10:\"1421234306\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/video/modules/zencoderapi/zencoderapi.module','zencoderapi','module','',1,0,0,0,'a:13:{s:4:\"name\";s:12:\"Zencoder API\";s:11:\"description\";s:113:\"Enable this module to use the Zencoder API instead of your own server for video transcoding (some setup required)\";s:7:\"package\";s:5:\"Media\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:36:\"admin/config/media/video/transcoders\";s:12:\"dependencies\";a:1:{i:0;s:15:\"libraries (2.x)\";}s:7:\"version\";s:8:\"7.x-2.11\";s:7:\"project\";s:5:\"video\";s:9:\"datestamp\";s:10:\"1421234306\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/video/video.module','video','module','',1,0,7210,0,'a:14:{s:4:\"name\";s:5:\"Video\";s:11:\"description\";s:43:\"Upload and manage video content with Drupal\";s:7:\"package\";s:5:\"Media\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"file\";i:1;s:5:\"image\";}s:5:\"files\";a:15:{i:0;s:17:\"video.utility.inc\";i:1;s:19:\"includes/Preset.inc\";i:2;s:23:\"includes/Transcoder.inc\";i:3;s:30:\"includes/TranscoderFactory.inc\";i:4;s:17:\"includes/jobs.inc\";i:5;s:50:\"transcoders/TranscoderAbstractionFactoryFfmpeg.inc\";i:6;s:52:\"transcoders/TranscoderAbstractionFactoryZencoder.inc\";i:7;s:44:\"views/video_handler_field_video_duration.inc\";i:8;s:45:\"tests/TranscoderAbstractionFactoryFfmpeg.test\";i:9;s:47:\"tests/TranscoderAbstractionFactoryZencoder.test\";i:10;s:50:\"libraries/phpvideotoolkit/phpvideotoolkit.php5.php\";i:11;s:23:\"tests/VideoUtility.test\";i:12;s:21:\"tests/VideoField.test\";i:13;s:26:\"tests/PHPVideoToolkit.test\";i:14;s:26:\"tests/VideoScheduling.test\";}s:7:\"version\";s:8:\"7.x-2.11\";s:7:\"project\";s:5:\"video\";s:9:\"datestamp\";s:10:\"1421234306\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/video_embed_field/video_embed_brightcove/video_embed_brightcove.module','video_embed_brightcove','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"Video Embed Brightcove\";s:11:\"description\";s:51:\"Provides Brightcove handler for Video Embed Fields.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Media\";s:9:\"configure\";s:35:\"admin/config/media/vef_video_styles\";s:12:\"dependencies\";a:1:{i:0;s:17:\"video_embed_field\";}s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";s:10:\"1441639440\";s:5:\"mtime\";i:1441639440;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/video_embed_field/video_embed_facebook/video_embed_facebook.module','video_embed_facebook','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Video Embed Facebook\";s:11:\"description\";s:133:\"Provides Facebook handler for Video Embed Fields.  This module also serves as an example of how to add handlers to video embed field.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Media\";s:9:\"configure\";s:35:\"admin/config/media/vef_video_styles\";s:12:\"dependencies\";a:1:{i:0;s:17:\"video_embed_field\";}s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";s:10:\"1441639440\";s:5:\"mtime\";i:1441639440;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/video_embed_field/video_embed_field.module','video_embed_field','module','',1,0,7010,0,'a:15:{s:4:\"name\";s:17:\"Video Embed Field\";s:11:\"description\";s:63:\"Expose a field type for embedding videos from youtube or vimeo.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Media\";s:9:\"configure\";s:22:\"admin/config/media/vef\";s:5:\"files\";a:2:{i:0;s:29:\"video_embed_field.migrate.inc\";i:1;s:71:\"views/handlers/views_embed_field_views_handler_field_thumbnail_path.inc\";}s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"image\";}s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";s:10:\"1441639440\";s:5:\"mtime\";i:1441639440;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/views/tests/views_test.module','views_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Views Test\";s:11:\"description\";s:22:\"Test module for Views.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:5:\"mtime\";i:1491158591;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views/views.module','views','module','',1,0,7302,10,'a:13:{s:4:\"name\";s:5:\"Views\";s:11:\"description\";s:55:\"Create customized lists and queries from your database.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:13:\"css/views.css\";s:37:\"sites/all/modules/views/css/views.css\";}}s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:313:{i:0;s:31:\"handlers/views_handler_area.inc\";i:1;s:40:\"handlers/views_handler_area_messages.inc\";i:2;s:38:\"handlers/views_handler_area_result.inc\";i:3;s:36:\"handlers/views_handler_area_text.inc\";i:4;s:43:\"handlers/views_handler_area_text_custom.inc\";i:5;s:36:\"handlers/views_handler_area_view.inc\";i:6;s:35:\"handlers/views_handler_argument.inc\";i:7;s:40:\"handlers/views_handler_argument_date.inc\";i:8;s:43:\"handlers/views_handler_argument_formula.inc\";i:9;s:47:\"handlers/views_handler_argument_many_to_one.inc\";i:10;s:40:\"handlers/views_handler_argument_null.inc\";i:11;s:43:\"handlers/views_handler_argument_numeric.inc\";i:12;s:42:\"handlers/views_handler_argument_string.inc\";i:13;s:52:\"handlers/views_handler_argument_group_by_numeric.inc\";i:14;s:32:\"handlers/views_handler_field.inc\";i:15;s:40:\"handlers/views_handler_field_counter.inc\";i:16;s:40:\"handlers/views_handler_field_boolean.inc\";i:17;s:49:\"handlers/views_handler_field_contextual_links.inc\";i:18;s:48:\"handlers/views_handler_field_ctools_dropdown.inc\";i:19;s:39:\"handlers/views_handler_field_custom.inc\";i:20;s:37:\"handlers/views_handler_field_date.inc\";i:21;s:39:\"handlers/views_handler_field_entity.inc\";i:22;s:38:\"handlers/views_handler_field_links.inc\";i:23;s:39:\"handlers/views_handler_field_markup.inc\";i:24;s:37:\"handlers/views_handler_field_math.inc\";i:25;s:40:\"handlers/views_handler_field_numeric.inc\";i:26;s:47:\"handlers/views_handler_field_prerender_list.inc\";i:27;s:46:\"handlers/views_handler_field_time_interval.inc\";i:28;s:43:\"handlers/views_handler_field_serialized.inc\";i:29;s:45:\"handlers/views_handler_field_machine_name.inc\";i:30;s:36:\"handlers/views_handler_field_url.inc\";i:31;s:33:\"handlers/views_handler_filter.inc\";i:32;s:50:\"handlers/views_handler_filter_boolean_operator.inc\";i:33;s:57:\"handlers/views_handler_filter_boolean_operator_string.inc\";i:34;s:41:\"handlers/views_handler_filter_combine.inc\";i:35;s:38:\"handlers/views_handler_filter_date.inc\";i:36;s:42:\"handlers/views_handler_filter_equality.inc\";i:37;s:47:\"handlers/views_handler_filter_entity_bundle.inc\";i:38;s:50:\"handlers/views_handler_filter_group_by_numeric.inc\";i:39;s:45:\"handlers/views_handler_filter_in_operator.inc\";i:40;s:45:\"handlers/views_handler_filter_many_to_one.inc\";i:41;s:41:\"handlers/views_handler_filter_numeric.inc\";i:42;s:40:\"handlers/views_handler_filter_string.inc\";i:43;s:48:\"handlers/views_handler_filter_fields_compare.inc\";i:44;s:39:\"handlers/views_handler_relationship.inc\";i:45;s:53:\"handlers/views_handler_relationship_groupwise_max.inc\";i:46;s:31:\"handlers/views_handler_sort.inc\";i:47;s:36:\"handlers/views_handler_sort_date.inc\";i:48;s:39:\"handlers/views_handler_sort_formula.inc\";i:49;s:48:\"handlers/views_handler_sort_group_by_numeric.inc\";i:50;s:46:\"handlers/views_handler_sort_menu_hierarchy.inc\";i:51;s:38:\"handlers/views_handler_sort_random.inc\";i:52;s:17:\"includes/base.inc\";i:53;s:21:\"includes/handlers.inc\";i:54;s:20:\"includes/plugins.inc\";i:55;s:17:\"includes/view.inc\";i:56;s:60:\"modules/aggregator/views_handler_argument_aggregator_fid.inc\";i:57;s:60:\"modules/aggregator/views_handler_argument_aggregator_iid.inc\";i:58;s:69:\"modules/aggregator/views_handler_argument_aggregator_category_cid.inc\";i:59;s:64:\"modules/aggregator/views_handler_field_aggregator_title_link.inc\";i:60;s:62:\"modules/aggregator/views_handler_field_aggregator_category.inc\";i:61;s:70:\"modules/aggregator/views_handler_field_aggregator_item_description.inc\";i:62;s:57:\"modules/aggregator/views_handler_field_aggregator_xss.inc\";i:63;s:67:\"modules/aggregator/views_handler_filter_aggregator_category_cid.inc\";i:64;s:54:\"modules/aggregator/views_plugin_row_aggregator_rss.inc\";i:65;s:56:\"modules/book/views_plugin_argument_default_book_root.inc\";i:66;s:59:\"modules/comment/views_handler_argument_comment_user_uid.inc\";i:67;s:47:\"modules/comment/views_handler_field_comment.inc\";i:68;s:53:\"modules/comment/views_handler_field_comment_depth.inc\";i:69;s:52:\"modules/comment/views_handler_field_comment_link.inc\";i:70;s:60:\"modules/comment/views_handler_field_comment_link_approve.inc\";i:71;s:59:\"modules/comment/views_handler_field_comment_link_delete.inc\";i:72;s:57:\"modules/comment/views_handler_field_comment_link_edit.inc\";i:73;s:58:\"modules/comment/views_handler_field_comment_link_reply.inc\";i:74;s:57:\"modules/comment/views_handler_field_comment_node_link.inc\";i:75;s:56:\"modules/comment/views_handler_field_comment_username.inc\";i:76;s:61:\"modules/comment/views_handler_field_ncs_last_comment_name.inc\";i:77;s:56:\"modules/comment/views_handler_field_ncs_last_updated.inc\";i:78;s:52:\"modules/comment/views_handler_field_node_comment.inc\";i:79;s:57:\"modules/comment/views_handler_field_node_new_comments.inc\";i:80;s:62:\"modules/comment/views_handler_field_last_comment_timestamp.inc\";i:81;s:57:\"modules/comment/views_handler_filter_comment_user_uid.inc\";i:82;s:57:\"modules/comment/views_handler_filter_ncs_last_updated.inc\";i:83;s:53:\"modules/comment/views_handler_filter_node_comment.inc\";i:84;s:53:\"modules/comment/views_handler_sort_comment_thread.inc\";i:85;s:60:\"modules/comment/views_handler_sort_ncs_last_comment_name.inc\";i:86;s:55:\"modules/comment/views_handler_sort_ncs_last_updated.inc\";i:87;s:48:\"modules/comment/views_plugin_row_comment_rss.inc\";i:88;s:49:\"modules/comment/views_plugin_row_comment_view.inc\";i:89;s:52:\"modules/contact/views_handler_field_contact_link.inc\";i:90;s:43:\"modules/field/views_handler_field_field.inc\";i:91;s:59:\"modules/field/views_handler_relationship_entity_reverse.inc\";i:92;s:51:\"modules/field/views_handler_argument_field_list.inc\";i:93;s:57:\"modules/field/views_handler_filter_field_list_boolean.inc\";i:94;s:58:\"modules/field/views_handler_argument_field_list_string.inc\";i:95;s:49:\"modules/field/views_handler_filter_field_list.inc\";i:96;s:57:\"modules/filter/views_handler_field_filter_format_name.inc\";i:97;s:52:\"modules/locale/views_handler_field_node_language.inc\";i:98;s:53:\"modules/locale/views_handler_filter_node_language.inc\";i:99;s:54:\"modules/locale/views_handler_argument_locale_group.inc\";i:100;s:57:\"modules/locale/views_handler_argument_locale_language.inc\";i:101;s:51:\"modules/locale/views_handler_field_locale_group.inc\";i:102;s:54:\"modules/locale/views_handler_field_locale_language.inc\";i:103;s:55:\"modules/locale/views_handler_field_locale_link_edit.inc\";i:104;s:52:\"modules/locale/views_handler_filter_locale_group.inc\";i:105;s:55:\"modules/locale/views_handler_filter_locale_language.inc\";i:106;s:54:\"modules/locale/views_handler_filter_locale_version.inc\";i:107;s:51:\"modules/locale/views_handler_sort_node_language.inc\";i:108;s:53:\"modules/node/views_handler_argument_dates_various.inc\";i:109;s:53:\"modules/node/views_handler_argument_node_language.inc\";i:110;s:48:\"modules/node/views_handler_argument_node_nid.inc\";i:111;s:49:\"modules/node/views_handler_argument_node_type.inc\";i:112;s:48:\"modules/node/views_handler_argument_node_vid.inc\";i:113;s:57:\"modules/node/views_handler_argument_node_uid_revision.inc\";i:114;s:59:\"modules/node/views_handler_field_history_user_timestamp.inc\";i:115;s:41:\"modules/node/views_handler_field_node.inc\";i:116;s:46:\"modules/node/views_handler_field_node_link.inc\";i:117;s:53:\"modules/node/views_handler_field_node_link_delete.inc\";i:118;s:51:\"modules/node/views_handler_field_node_link_edit.inc\";i:119;s:50:\"modules/node/views_handler_field_node_revision.inc\";i:120;s:55:\"modules/node/views_handler_field_node_revision_link.inc\";i:121;s:62:\"modules/node/views_handler_field_node_revision_link_delete.inc\";i:122;s:62:\"modules/node/views_handler_field_node_revision_link_revert.inc\";i:123;s:46:\"modules/node/views_handler_field_node_path.inc\";i:124;s:46:\"modules/node/views_handler_field_node_type.inc\";i:125;s:55:\"modules/node/views_handler_field_node_version_count.inc\";i:126;s:60:\"modules/node/views_handler_filter_history_user_timestamp.inc\";i:127;s:49:\"modules/node/views_handler_filter_node_access.inc\";i:128;s:49:\"modules/node/views_handler_filter_node_status.inc\";i:129;s:47:\"modules/node/views_handler_filter_node_type.inc\";i:130;s:55:\"modules/node/views_handler_filter_node_uid_revision.inc\";i:131;s:56:\"modules/node/views_handler_filter_node_version_count.inc\";i:132;s:54:\"modules/node/views_handler_sort_node_version_count.inc\";i:133;s:51:\"modules/node/views_plugin_argument_default_node.inc\";i:134;s:52:\"modules/node/views_plugin_argument_validate_node.inc\";i:135;s:42:\"modules/node/views_plugin_row_node_rss.inc\";i:136;s:43:\"modules/node/views_plugin_row_node_view.inc\";i:137;s:52:\"modules/profile/views_handler_field_profile_date.inc\";i:138;s:52:\"modules/profile/views_handler_field_profile_list.inc\";i:139;s:58:\"modules/profile/views_handler_filter_profile_selection.inc\";i:140;s:48:\"modules/search/views_handler_argument_search.inc\";i:141;s:51:\"modules/search/views_handler_field_search_score.inc\";i:142;s:46:\"modules/search/views_handler_filter_search.inc\";i:143;s:50:\"modules/search/views_handler_sort_search_score.inc\";i:144;s:47:\"modules/search/views_plugin_row_search_view.inc\";i:145;s:57:\"modules/statistics/views_handler_field_accesslog_path.inc\";i:146;s:65:\"modules/statistics/views_handler_field_node_counter_timestamp.inc\";i:147;s:61:\"modules/statistics/views_handler_field_statistics_numeric.inc\";i:148;s:50:\"modules/system/views_handler_argument_file_fid.inc\";i:149;s:43:\"modules/system/views_handler_field_file.inc\";i:150;s:53:\"modules/system/views_handler_field_file_extension.inc\";i:151;s:52:\"modules/system/views_handler_field_file_filemime.inc\";i:152;s:47:\"modules/system/views_handler_field_file_uri.inc\";i:153;s:50:\"modules/system/views_handler_field_file_status.inc\";i:154;s:51:\"modules/system/views_handler_filter_file_status.inc\";i:155;s:52:\"modules/taxonomy/views_handler_argument_taxonomy.inc\";i:156;s:57:\"modules/taxonomy/views_handler_argument_term_node_tid.inc\";i:157;s:63:\"modules/taxonomy/views_handler_argument_term_node_tid_depth.inc\";i:158;s:68:\"modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc\";i:159;s:72:\"modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc\";i:160;s:58:\"modules/taxonomy/views_handler_argument_vocabulary_vid.inc\";i:161;s:67:\"modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc\";i:162;s:49:\"modules/taxonomy/views_handler_field_taxonomy.inc\";i:163;s:54:\"modules/taxonomy/views_handler_field_term_node_tid.inc\";i:164;s:55:\"modules/taxonomy/views_handler_field_term_link_edit.inc\";i:165;s:55:\"modules/taxonomy/views_handler_filter_term_node_tid.inc\";i:166;s:61:\"modules/taxonomy/views_handler_filter_term_node_tid_depth.inc\";i:167;s:66:\"modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc\";i:168;s:56:\"modules/taxonomy/views_handler_filter_vocabulary_vid.inc\";i:169;s:65:\"modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc\";i:170;s:62:\"modules/taxonomy/views_handler_relationship_node_term_data.inc\";i:171;s:65:\"modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc\";i:172;s:63:\"modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc\";i:173;s:67:\"modules/tracker/views_handler_argument_tracker_comment_user_uid.inc\";i:174;s:65:\"modules/tracker/views_handler_filter_tracker_comment_user_uid.inc\";i:175;s:65:\"modules/tracker/views_handler_filter_tracker_boolean_operator.inc\";i:176;s:51:\"modules/system/views_handler_filter_system_type.inc\";i:177;s:56:\"modules/translation/views_handler_argument_node_tnid.inc\";i:178;s:63:\"modules/translation/views_handler_field_node_link_translate.inc\";i:179;s:65:\"modules/translation/views_handler_field_node_translation_link.inc\";i:180;s:54:\"modules/translation/views_handler_filter_node_tnid.inc\";i:181;s:60:\"modules/translation/views_handler_filter_node_tnid_child.inc\";i:182;s:62:\"modules/translation/views_handler_relationship_translation.inc\";i:183;s:48:\"modules/user/views_handler_argument_user_uid.inc\";i:184;s:55:\"modules/user/views_handler_argument_users_roles_rid.inc\";i:185;s:41:\"modules/user/views_handler_field_user.inc\";i:186;s:50:\"modules/user/views_handler_field_user_language.inc\";i:187;s:46:\"modules/user/views_handler_field_user_link.inc\";i:188;s:53:\"modules/user/views_handler_field_user_link_cancel.inc\";i:189;s:51:\"modules/user/views_handler_field_user_link_edit.inc\";i:190;s:46:\"modules/user/views_handler_field_user_mail.inc\";i:191;s:46:\"modules/user/views_handler_field_user_name.inc\";i:192;s:53:\"modules/user/views_handler_field_user_permissions.inc\";i:193;s:49:\"modules/user/views_handler_field_user_picture.inc\";i:194;s:47:\"modules/user/views_handler_field_user_roles.inc\";i:195;s:50:\"modules/user/views_handler_filter_user_current.inc\";i:196;s:47:\"modules/user/views_handler_filter_user_name.inc\";i:197;s:54:\"modules/user/views_handler_filter_user_permissions.inc\";i:198;s:48:\"modules/user/views_handler_filter_user_roles.inc\";i:199;s:59:\"modules/user/views_plugin_argument_default_current_user.inc\";i:200;s:51:\"modules/user/views_plugin_argument_default_user.inc\";i:201;s:52:\"modules/user/views_plugin_argument_validate_user.inc\";i:202;s:43:\"modules/user/views_plugin_row_user_view.inc\";i:203;s:31:\"plugins/views_plugin_access.inc\";i:204;s:36:\"plugins/views_plugin_access_none.inc\";i:205;s:36:\"plugins/views_plugin_access_perm.inc\";i:206;s:36:\"plugins/views_plugin_access_role.inc\";i:207;s:41:\"plugins/views_plugin_argument_default.inc\";i:208;s:45:\"plugins/views_plugin_argument_default_php.inc\";i:209;s:47:\"plugins/views_plugin_argument_default_fixed.inc\";i:210;s:45:\"plugins/views_plugin_argument_default_raw.inc\";i:211;s:42:\"plugins/views_plugin_argument_validate.inc\";i:212;s:50:\"plugins/views_plugin_argument_validate_numeric.inc\";i:213;s:46:\"plugins/views_plugin_argument_validate_php.inc\";i:214;s:30:\"plugins/views_plugin_cache.inc\";i:215;s:35:\"plugins/views_plugin_cache_none.inc\";i:216;s:35:\"plugins/views_plugin_cache_time.inc\";i:217;s:32:\"plugins/views_plugin_display.inc\";i:218;s:43:\"plugins/views_plugin_display_attachment.inc\";i:219;s:38:\"plugins/views_plugin_display_block.inc\";i:220;s:40:\"plugins/views_plugin_display_default.inc\";i:221;s:38:\"plugins/views_plugin_display_embed.inc\";i:222;s:41:\"plugins/views_plugin_display_extender.inc\";i:223;s:37:\"plugins/views_plugin_display_feed.inc\";i:224;s:37:\"plugins/views_plugin_display_page.inc\";i:225;s:43:\"plugins/views_plugin_exposed_form_basic.inc\";i:226;s:37:\"plugins/views_plugin_exposed_form.inc\";i:227;s:52:\"plugins/views_plugin_exposed_form_input_required.inc\";i:228;s:42:\"plugins/views_plugin_localization_core.inc\";i:229;s:37:\"plugins/views_plugin_localization.inc\";i:230;s:42:\"plugins/views_plugin_localization_none.inc\";i:231;s:30:\"plugins/views_plugin_pager.inc\";i:232;s:35:\"plugins/views_plugin_pager_full.inc\";i:233;s:35:\"plugins/views_plugin_pager_mini.inc\";i:234;s:35:\"plugins/views_plugin_pager_none.inc\";i:235;s:35:\"plugins/views_plugin_pager_some.inc\";i:236;s:30:\"plugins/views_plugin_query.inc\";i:237;s:38:\"plugins/views_plugin_query_default.inc\";i:238;s:28:\"plugins/views_plugin_row.inc\";i:239;s:35:\"plugins/views_plugin_row_fields.inc\";i:240;s:39:\"plugins/views_plugin_row_rss_fields.inc\";i:241;s:30:\"plugins/views_plugin_style.inc\";i:242;s:38:\"plugins/views_plugin_style_default.inc\";i:243;s:35:\"plugins/views_plugin_style_grid.inc\";i:244;s:35:\"plugins/views_plugin_style_list.inc\";i:245;s:40:\"plugins/views_plugin_style_jump_menu.inc\";i:246;s:38:\"plugins/views_plugin_style_mapping.inc\";i:247;s:34:\"plugins/views_plugin_style_rss.inc\";i:248;s:38:\"plugins/views_plugin_style_summary.inc\";i:249;s:48:\"plugins/views_plugin_style_summary_jump_menu.inc\";i:250;s:50:\"plugins/views_plugin_style_summary_unformatted.inc\";i:251;s:36:\"plugins/views_plugin_style_table.inc\";i:252;s:34:\"tests/handlers/views_handlers.test\";i:253;s:43:\"tests/handlers/views_handler_area_text.test\";i:254;s:47:\"tests/handlers/views_handler_argument_null.test\";i:255;s:49:\"tests/handlers/views_handler_argument_string.test\";i:256;s:39:\"tests/handlers/views_handler_field.test\";i:257;s:47:\"tests/handlers/views_handler_field_boolean.test\";i:258;s:46:\"tests/handlers/views_handler_field_custom.test\";i:259;s:47:\"tests/handlers/views_handler_field_counter.test\";i:260;s:44:\"tests/handlers/views_handler_field_date.test\";i:261;s:54:\"tests/handlers/views_handler_field_file_extension.test\";i:262;s:49:\"tests/handlers/views_handler_field_file_size.test\";i:263;s:44:\"tests/handlers/views_handler_field_math.test\";i:264;s:43:\"tests/handlers/views_handler_field_url.test\";i:265;s:43:\"tests/handlers/views_handler_field_xss.test\";i:266;s:48:\"tests/handlers/views_handler_filter_combine.test\";i:267;s:45:\"tests/handlers/views_handler_filter_date.test\";i:268;s:49:\"tests/handlers/views_handler_filter_equality.test\";i:269;s:52:\"tests/handlers/views_handler_filter_in_operator.test\";i:270;s:48:\"tests/handlers/views_handler_filter_numeric.test\";i:271;s:47:\"tests/handlers/views_handler_filter_string.test\";i:272;s:45:\"tests/handlers/views_handler_sort_random.test\";i:273;s:43:\"tests/handlers/views_handler_sort_date.test\";i:274;s:38:\"tests/handlers/views_handler_sort.test\";i:275;s:46:\"tests/test_handlers/views_test_area_access.inc\";i:276;s:60:\"tests/test_plugins/views_test_plugin_access_test_dynamic.inc\";i:277;s:59:\"tests/test_plugins/views_test_plugin_access_test_static.inc\";i:278;s:59:\"tests/test_plugins/views_test_plugin_style_test_mapping.inc\";i:279;s:39:\"tests/plugins/views_plugin_display.test\";i:280;s:46:\"tests/styles/views_plugin_style_jump_menu.test\";i:281;s:36:\"tests/styles/views_plugin_style.test\";i:282;s:41:\"tests/styles/views_plugin_style_base.test\";i:283;s:44:\"tests/styles/views_plugin_style_mapping.test\";i:284;s:48:\"tests/styles/views_plugin_style_unformatted.test\";i:285;s:23:\"tests/views_access.test\";i:286;s:24:\"tests/views_analyze.test\";i:287;s:22:\"tests/views_basic.test\";i:288;s:33:\"tests/views_argument_default.test\";i:289;s:35:\"tests/views_argument_validator.test\";i:290;s:29:\"tests/views_exposed_form.test\";i:291;s:31:\"tests/field/views_fieldapi.test\";i:292;s:25:\"tests/views_glossary.test\";i:293;s:24:\"tests/views_groupby.test\";i:294;s:25:\"tests/views_handlers.test\";i:295;s:23:\"tests/views_module.test\";i:296;s:22:\"tests/views_pager.test\";i:297;s:40:\"tests/views_plugin_localization_test.inc\";i:298;s:29:\"tests/views_translatable.test\";i:299;s:22:\"tests/views_query.test\";i:300;s:24:\"tests/views_upgrade.test\";i:301;s:34:\"tests/views_test.views_default.inc\";i:302;s:58:\"tests/comment/views_handler_argument_comment_user_uid.test\";i:303;s:56:\"tests/comment/views_handler_filter_comment_user_uid.test\";i:304;s:45:\"tests/node/views_node_revision_relations.test\";i:305;s:61:\"tests/taxonomy/views_handler_relationship_node_term_data.test\";i:306;s:45:\"tests/user/views_handler_field_user_name.test\";i:307;s:43:\"tests/user/views_user_argument_default.test\";i:308;s:44:\"tests/user/views_user_argument_validate.test\";i:309;s:26:\"tests/user/views_user.test\";i:310;s:22:\"tests/views_cache.test\";i:311;s:21:\"tests/views_view.test\";i:312;s:19:\"tests/views_ui.test\";}s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:5:\"mtime\";i:1491158591;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views/views_ui.module','views_ui','module','',1,0,0,0,'a:13:{s:4:\"name\";s:8:\"Views UI\";s:11:\"description\";s:93:\"Administrative interface to views. Without this module, you cannot create or edit your views.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:21:\"admin/structure/views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:15:\"views_ui.module\";i:1;s:57:\"plugins/views_wizard/views_ui_base_views_wizard.class.php\";}s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:5:\"mtime\";i:1491158591;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_bulk_operations/actions_permissions.module','actions_permissions','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:11:\"description\";s:84:\"Provides permission-based access control for actions. Used by Views Bulk Operations.\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_bulk_operations/views_bulk_operations.module','views_bulk_operations','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:21:\"Views Bulk Operations\";s:11:\"description\";s:74:\"Provides a way of selecting multiple rows and applying operations to them.\";s:12:\"dependencies\";a:2:{i:0;s:6:\"entity\";i:1;s:5:\"views\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:5:\"5.2.9\";s:5:\"files\";a:2:{i:0;s:38:\"plugins/operation_types/base.class.php\";i:1;s:56:\"views/views_bulk_operations_handler_field_operations.inc\";}s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:5:\"mtime\";i:1499929802;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_fieldsets/views_fieldsets.module','views_fieldsets','module','',1,0,0,0,'a:12:{s:4:\"name\";s:15:\"Views fieldsets\";s:11:\"description\";s:44:\"Output several Views fields into a fieldset.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:1:{i:0;s:48:\"views/views_fieldsets_fieldset_field_handler.inc\";}s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1425515886\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_field_view/views_field_view.module','views_field_view','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:16:\"Views Field View\";s:11:\"description\";s:36:\"Embeds a view inside a view as field\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:39:\"views_field_view_handler_field_view.inc\";i:1;s:27:\"tests/views_field_view.test\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1369511162\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_infinite_scroll/views_infinite_scroll.module','views_infinite_scroll','module','',1,0,0,0,'a:12:{s:4:\"name\";s:21:\"Views Infinite Scroll\";s:11:\"description\";s:46:\"Provides an Infinite Scrolling pager for Views\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:5:{i:0;s:28:\"views_infinite_scroll.module\";i:1;s:31:\"views_infinite_scroll.views.inc\";i:2;s:38:\"views_plugin_pager_infinite_scroll.inc\";i:3;s:37:\"drush/views_infinite_scroll.drush.inc\";i:4;s:37:\"theme/views_infinite_scroll_theme.inc\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"views_infinite_scroll\";s:9:\"datestamp\";s:10:\"1335182196\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.module','views_slideshow_cycle','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:22:\"Views Slideshow: Cycle\";s:11:\"description\";s:50:\"Adds a Rotating slideshow mode to Views Slideshow.\";s:12:\"dependencies\";a:2:{i:0;s:15:\"views_slideshow\";i:1;s:9:\"libraries\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:28:\"views_slideshow_cycle.module\";i:1;s:41:\"views_slideshow_cycle.views_slideshow.inc\";i:2;s:37:\"theme/views_slideshow_cycle.theme.inc\";}s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_slideshow/views_slideshow.module','views_slideshow','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Views Slideshow\";s:11:\"description\";s:155:\"Provides a View style that displays rows as a jQuery slideshow.  This is an API and requires Views Slideshow Cycle or another module that supports the API.\";s:12:\"dependencies\";a:1:{i:0;s:13:\"views (>=3.0)\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:22:\"views_slideshow.module\";i:1;s:31:\"theme/views_slideshow.theme.inc\";i:2;s:25:\"views_slideshow.views.inc\";i:3;s:42:\"views_slideshow_plugin_style_slideshow.inc\";}s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/votingapi/votingapi.module','votingapi','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Voting API\";s:11:\"description\";s:47:\"Provides a shared voting API for other modules.\";s:7:\"package\";s:6:\"Voting\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:29:\"admin/config/search/votingapi\";s:5:\"files\";a:4:{i:0;s:20:\"tests/votingapi.test\";i:1;s:45:\"views/votingapi_views_handler_field_value.inc\";i:2;s:47:\"views/votingapi_views_handler_sort_nullable.inc\";i:3;s:46:\"views/votingapi_views_handler_relationship.inc\";}s:7:\"version\";s:8:\"7.x-2.12\";s:7:\"project\";s:9:\"votingapi\";s:9:\"datestamp\";s:10:\"1407995929\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/webform/webform.module','webform','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:7:\"Webform\";s:11:\"description\";s:49:\"Enables the creation of forms and questionnaires.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Webform\";s:9:\"configure\";s:28:\"admin/config/content/webform\";s:3:\"php\";s:3:\"5.3\";s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"views\";}s:17:\"test_dependencies\";a:1:{i:0;s:5:\"token\";}s:5:\"files\";a:26:{i:0;s:40:\"includes/webform.webformconditionals.inc\";i:1;s:49:\"includes/exporters/webform_exporter_delimited.inc\";i:2;s:55:\"includes/exporters/webform_exporter_excel_delimited.inc\";i:3;s:50:\"includes/exporters/webform_exporter_excel_xlsx.inc\";i:4;s:39:\"includes/exporters/webform_exporter.inc\";i:5;s:43:\"views/webform_handler_area_result_pager.inc\";i:6;s:41:\"views/webform_handler_field_form_body.inc\";i:7;s:40:\"views/webform_handler_field_is_draft.inc\";i:8;s:46:\"views/webform_handler_field_node_link_edit.inc\";i:9;s:49:\"views/webform_handler_field_node_link_results.inc\";i:10;s:48:\"views/webform_handler_field_submission_count.inc\";i:11;s:47:\"views/webform_handler_field_submission_data.inc\";i:12;s:47:\"views/webform_handler_field_submission_link.inc\";i:13;s:46:\"views/webform_handler_field_webform_status.inc\";i:14;s:41:\"views/webform_handler_filter_is_draft.inc\";i:15;s:48:\"views/webform_handler_filter_submission_data.inc\";i:16;s:47:\"views/webform_handler_filter_webform_status.inc\";i:17;s:38:\"views/webform_handler_numeric_data.inc\";i:18;s:54:\"views/webform_handler_relationship_submission_data.inc\";i:19;s:44:\"views/webform_plugin_row_submission_view.inc\";i:20;s:23:\"views/webform.views.inc\";i:21;s:21:\"tests/components.test\";i:22;s:23:\"tests/conditionals.test\";i:23;s:22:\"tests/permissions.test\";i:24;s:21:\"tests/submission.test\";i:25;s:18:\"tests/webform.test\";}s:7:\"version\";s:14:\"7.x-4.8+12-dev\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1432214310\";s:5:\"mtime\";i:1499929802;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/weight/weight.module','weight','module','',1,0,7211,0,'a:12:{s:4:\"name\";s:6:\"Weight\";s:11:\"description\";s:28:\"Add a weight field to nodes.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:37:\"views/weight_handler_field_weight.inc\";i:1;s:46:\"views/weight_handler_filter_weight_enabled.inc\";i:2;s:18:\"weight.migrate.inc\";}s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:6:\"weight\";s:9:\"datestamp\";s:10:\"1417653781\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/we_content_migration/we_content_migration.module','we_content_migration','module','',1,0,0,0,'a:12:{s:4:\"name\";s:17:\"Content Migration\";s:11:\"description\";s:29:\"Migrate Content for Drupal 7.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:5:\"mtime\";i:1499652544;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/wysiwyg/tests/wysiwyg_test.module','wysiwyg_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Wysiwyg testing\";s:11:\"description\";s:50:\"Tests Wysiwyg module functionality. Do not enable.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:7:\"wysiwyg\";}s:5:\"files\";a:1:{i:0;s:19:\"wysiwyg_test.module\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:7:\"wysiwyg\";s:9:\"datestamp\";s:10:\"1349213776\";s:5:\"mtime\";i:1499929802;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/wysiwyg/wysiwyg.module','wysiwyg','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:7:\"Wysiwyg\";s:11:\"description\";s:48:\"Allows to edit content with client-side editors.\";s:7:\"package\";s:14:\"User interface\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:28:\"admin/config/content/wysiwyg\";s:5:\"files\";a:2:{i:0;s:14:\"wysiwyg.module\";i:1;s:18:\"tests/wysiwyg.test\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:7:\"wysiwyg\";s:9:\"datestamp\";s:10:\"1349213776\";s:5:\"mtime\";i:1499929802;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/themes/pinteros/pinteros.info','pinteros','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:17:{s:4:\"name\";s:8:\"Pinteros\";s:11:\"description\";s:23:\"Theme for the Companies\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:53:\"sites/all/themes/pinteros/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:59:\"sites/all/themes/pinteros/bootstrap/css/bootstrap-theme.css\";s:12:\"css/base.css\";s:38:\"sites/all/themes/pinteros/css/base.css\";s:12:\"css/html.css\";s:38:\"sites/all/themes/pinteros/css/html.css\";s:12:\"css/menu.css\";s:38:\"sites/all/themes/pinteros/css/menu.css\";s:13:\"css/block.css\";s:39:\"sites/all/themes/pinteros/css/block.css\";s:12:\"css/view.css\";s:38:\"sites/all/themes/pinteros/css/view.css\";s:23:\"css/menu-off-canvas.css\";s:49:\"sites/all/themes/pinteros/css/menu-off-canvas.css\";s:12:\"css/page.css\";s:38:\"sites/all/themes/pinteros/css/page.css\";s:32:\"css/screens/theme-responsive.css\";s:58:\"sites/all/themes/pinteros/css/screens/theme-responsive.css\";}s:33:\"only screen and (max-width:991px)\";a:1:{s:19:\"css/mobile-menu.css\";s:45:\"sites/all/themes/pinteros/css/mobile-menu.css\";}}s:7:\"scripts\";a:7:{s:25:\"bootstrap/js/bootstrap.js\";s:51:\"sites/all/themes/pinteros/bootstrap/js/bootstrap.js\";s:20:\"js/jquery.masonry.js\";s:46:\"sites/all/themes/pinteros/js/jquery.masonry.js\";s:19:\"js/jquery.cookie.js\";s:45:\"sites/all/themes/pinteros/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:52:\"sites/all/themes/pinteros/js/jquery.smooth-scroll.js\";s:17:\"js/mobile_menu.js\";s:43:\"sites/all/themes/pinteros/js/mobile_menu.js\";s:13:\"js/weebpal.js\";s:39:\"sites/all/themes/pinteros/js/weebpal.js\";s:14:\"js/pinteros.js\";s:40:\"sites/all/themes/pinteros/js/pinteros.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:18:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:9:\"main_menu\";s:9:\"Main Menu\";s:14:\"secondary_menu\";s:14:\"Secondary Menu\";s:9:\"left_menu\";s:9:\"Left Menu\";s:4:\"help\";s:4:\"Help\";s:3:\"map\";s:3:\"Map\";s:8:\"featured\";s:8:\"Featured\";s:11:\"highlighted\";s:11:\"Highlighted\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:3:{s:19:\"sidebar_first_width\";s:1:\"5\";s:20:\"sidebar_second_width\";s:1:\"0\";s:16:\"pinteros_display\";s:25:\"bootstrap-default-display\";}s:5:\"skins\";a:3:{s:9:\"dark-blue\";s:9:\"Dark blue\";s:4:\"blue\";s:4:\"Blue\";s:6:\"orange\";s:6:\"Orange\";}s:10:\"screenshot\";s:40:\"sites/all/themes/pinteros/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499929802;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('sites/all/themes/we_backend/we_backend.info','we_backend','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/bartik/bartik.info','bartik','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/garland/garland.info','garland','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/seven/seven.info','seven','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/stark/stark.info','stark','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}');
/*!40000 ALTER TABLE `system` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_index`
--

DROP TABLE IF EXISTS `taxonomy_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_index` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record tracks.',
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The term ID.',
  `sticky` tinyint(4) DEFAULT '0' COMMENT 'Boolean indicating whether the node is sticky.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was created.',
  KEY `term_node` (`tid`,`sticky`,`created`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains denormalized information about node/term...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_index`
--

LOCK TABLES `taxonomy_index` WRITE;
/*!40000 ALTER TABLE `taxonomy_index` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_index` VALUES (70,37,0,1404448950),(71,41,0,1404449469),(72,42,0,1404449602),(73,44,0,1404449630),(74,39,0,1404449662),(75,43,0,1404449736),(76,40,0,1404449762),(89,4,0,1404624506),(89,57,0,1404624506),(88,1,0,1404624431),(88,5,0,1404624431),(88,57,0,1404624431),(80,51,0,1404459945),(80,1,0,1404459945),(80,47,0,1404459945),(37,31,0,1404199570),(37,32,0,1404199570),(37,1,0,1404199570),(37,7,0,1404199570),(77,50,0,1404459732),(77,51,0,1404459732),(77,1,0,1404459732),(77,47,0,1404459732),(33,20,0,1404198757),(33,30,0,1404198757),(33,1,0,1404198757),(33,11,0,1404198757),(12,20,0,1404189077),(12,1,0,1404189077),(12,11,0,1404189077),(81,52,0,1404461596),(81,1,0,1404461596),(81,49,0,1404461596),(78,51,0,1404459808),(78,1,0,1404459808),(78,47,0,1404459808),(84,55,0,1404464585),(84,1,0,1404464585),(84,48,0,1404464585),(83,54,0,1404461834),(83,49,0,1404461834),(85,56,0,1404464670),(85,55,0,1404464670),(85,1,0,1404464670),(85,48,0,1404464670),(86,55,0,1404464746),(86,56,0,1404464746),(86,48,0,1404464746),(87,55,0,1404464823),(87,56,0,1404464823),(87,1,0,1404464823),(87,48,0,1404464823),(90,1,0,1404722079),(90,45,0,1404722079),(25,19,0,1404194737),(25,1,0,1404194737),(25,13,0,1404194737),(23,19,0,1404191470),(23,13,0,1404191470),(8,18,0,1404187985),(8,7,0,1404187985),(82,53,0,1404461740),(82,54,0,1404461740),(82,49,0,1404461740),(13,21,0,1404189270),(13,11,0,1404189270),(79,47,0,1404459865),(46,35,0,1404202816),(46,15,0,1404202816),(46,9,0,1404202816),(47,15,0,1404203069),(47,9,0,1404203069),(48,15,0,1404203205),(48,9,0,1404203205),(49,15,0,1404203265),(49,29,0,1404203265),(49,3,0,1404203265),(49,9,0,1404203265),(1,14,0,1404099494),(1,12,0,1404099494),(43,33,0,1404201688),(43,34,0,1404201688),(43,12,0,1404201688),(26,26,0,1404194906),(26,27,0,1404194906),(26,13,0,1404194906),(36,11,0,1404199330),(38,7,0,1404200014),(44,36,0,1404201837),(44,12,0,1404201837),(19,23,0,1404190549),(19,10,0,1404190549),(16,22,0,1404189859),(16,2,0,1404189859),(16,7,0,1404189859),(4,15,0,1404126111),(4,9,0,1404126111),(31,29,0,1404197737),(31,16,0,1404197737),(31,1,0,1404197737),(31,8,0,1404197737),(35,20,0,1404199184),(35,1,0,1404199184),(35,11,0,1404199184),(40,14,0,1404201192),(40,1,0,1404201192),(40,12,0,1404201192),(17,23,0,1404190261),(17,1,0,1404190261),(17,10,0,1404190261),(45,15,0,1404202671),(45,1,0,1404202671),(45,9,0,1404202671),(42,1,0,1404201551),(42,12,0,1404201551),(41,2,0,1404201481),(41,12,0,1404201481),(39,31,0,1404200407),(39,1,0,1404200407),(39,7,0,1404200407),(34,1,0,1404198955),(34,11,0,1404198955),(24,25,0,1404194590),(24,1,0,1404194590),(24,13,0,1404194590),(20,24,0,1404190913),(20,1,0,1404190913),(20,10,0,1404190913),(11,19,0,1404188877),(11,1,0,1404188877),(11,13,0,1404188877),(2,1,0,1404124462),(2,11,0,1404124462),(3,15,0,1404124878),(3,1,0,1404124878),(3,9,0,1404124878),(5,16,0,1404182885),(5,1,0,1404182885),(5,8,0,1404182885),(6,17,0,1404184331),(6,2,0,1404184331),(6,12,0,1404184331),(9,1,0,1404188341),(9,10,0,1404188341),(14,2,0,1404189456),(14,10,0,1404189456),(32,1,0,1404198285),(32,8,0,1404198285),(30,2,0,1404197448),(30,8,0,1404197448),(30,28,0,1404197448),(30,16,0,1404197448),(29,1,0,1404197038),(29,8,0,1404197038),(28,2,0,1404196736),(28,8,0,1404196736),(27,3,0,1404196409),(27,8,0,1404196409),(22,1,0,1404191356),(22,13,0,1404191356),(18,1,0,1404190405),(18,10,0,1404190405),(15,1,0,1404189697),(15,7,0,1404189697),(10,2,0,1404188651),(10,13,0,1404188651),(7,1,0,1404185446),(7,7,0,1404185446),(63,2,0,1404372988),(57,2,0,1404371224),(62,1,0,1404372867),(60,1,0,1404371547),(59,2,0,1404371432),(58,2,0,1404371279),(56,1,0,1404371150),(55,1,0,1404371029),(54,2,0,1404370961),(53,1,0,1404370838),(52,1,0,1404370781),(51,1,0,1404370497),(50,2,0,1404369612),(21,2,0,1404190977),(21,10,0,1404190977),(91,16,0,1404722566),(91,58,0,1404722566),(91,2,0,1404722566),(91,8,0,1404722566),(101,4,0,1425541782),(101,57,0,1425541782);
/*!40000 ALTER TABLE `taxonomy_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_menu`
--

DROP TABLE IF EXISTS `taxonomy_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_menu` (
  `mlid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The taxonomy terms menu_link.mlid.',
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Tid that is linked to the mlid.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Vid for the tid.',
  PRIMARY KEY (`mlid`,`tid`),
  KEY `vid` (`vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Links a taxonomy term to a menu item.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_menu`
--

LOCK TABLES `taxonomy_menu` WRITE;
/*!40000 ALTER TABLE `taxonomy_menu` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_menu` VALUES (382,7,4),(383,8,4),(384,9,4),(385,10,4),(386,11,4),(387,12,4),(388,13,4),(452,45,4),(454,47,4),(455,48,4),(456,49,4),(491,57,4);
/*!40000 ALTER TABLE `taxonomy_menu` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_data`
--

DROP TABLE IF EXISTS `taxonomy_term_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_data` (
  `tid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique term ID.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The taxonomy_vocabulary.vid of the vocabulary to which the term is assigned.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The term name.',
  `description` longtext COMMENT 'A description of the term.',
  `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the description.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this term in relation to other terms.',
  PRIMARY KEY (`tid`),
  KEY `taxonomy_tree` (`vid`,`weight`,`name`),
  KEY `vid_name` (`vid`,`name`),
  KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=59 DEFAULT CHARSET=utf8 COMMENT='Stores term information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_data`
--

LOCK TABLES `taxonomy_term_data` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_data` VALUES (1,2,'pinteros-small','Small Size',NULL,0),(2,2,'pinteros-medium','Medium Size',NULL,1),(3,2,'pinteros-large','Large Size',NULL,2),(4,3,'pinteros-skin-black','Black',NULL,0),(5,3,'pinteros-skin-blue','Blue',NULL,0),(6,3,'pinteros-skin-green','Green',NULL,0),(7,4,'Sports','Sports','filtered_html',8),(8,4,'Travel','Travel','filtered_html',9),(9,4,'Wedding','','filtered_html',0),(10,4,'Education','','filtered_html',4),(11,4,'Hospital','','filtered_html',6),(12,4,'Health & Beauty','','filtered_html',2),(13,4,'Fashion','','filtered_html',0),(14,1,'Health & Beauty',NULL,NULL,0),(15,1,'Wedding',NULL,NULL,0),(16,1,'Travel',NULL,NULL,0),(17,1,'Spa',NULL,NULL,0),(18,1,'Running',NULL,NULL,0),(19,1,'Fashion',NULL,NULL,0),(20,1,'Hospital',NULL,NULL,0),(21,1,'Doctor',NULL,NULL,0),(22,1,'Swimming',NULL,NULL,0),(23,1,'School',NULL,NULL,0),(24,1,'Education',NULL,NULL,0),(25,1,'Dress',NULL,NULL,0),(26,1,'Jeans',NULL,NULL,0),(27,1,'T-Shirt',NULL,NULL,0),(28,1,'Beaches',NULL,NULL,0),(29,1,'Photos',NULL,NULL,0),(30,1,'Doctors',NULL,NULL,0),(31,1,'Football',NULL,NULL,0),(32,1,'Tennis',NULL,NULL,0),(33,1,'Stress',NULL,NULL,0),(34,1,'Beauty',NULL,NULL,0),(35,1,'Party',NULL,NULL,0),(36,1,'Nail',NULL,NULL,0),(37,6,'General discussion','',NULL,0),(38,6,'Helps and Supports','',NULL,0),(39,6,'Before you start','',NULL,0),(40,6,'Upgrading Drupal','',NULL,0),(41,6,'Module development','',NULL,0),(42,6,'Post installation','',NULL,0),(43,6,'Installing Drupal','',NULL,0),(44,6,'Theme development','',NULL,0),(45,4,'More','','filtered_html',11),(47,4,'Business','','filtered_html',1),(48,4,'Others','','filtered_html',3),(49,4,'Nature','','filtered_html',2),(50,1,'Business',NULL,NULL,0),(51,1,'Company',NULL,NULL,0),(52,1,'Nature',NULL,NULL,0),(53,1,'Mountain',NULL,NULL,0),(54,1,'Forest',NULL,NULL,0),(55,1,'Art',NULL,NULL,0),(56,1,'Photograph',NULL,NULL,0),(57,4,'Videos','','filtered_html',10),(58,1,'City',NULL,NULL,0);
/*!40000 ALTER TABLE `taxonomy_term_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_hierarchy`
--

DROP TABLE IF EXISTS `taxonomy_term_hierarchy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_hierarchy` (
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The taxonomy_term_data.tid of the term.',
  `parent` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The taxonomy_term_data.tid of the term’s parent. 0 indicates no parent.',
  PRIMARY KEY (`tid`,`parent`),
  KEY `parent` (`parent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the hierarchical relationship between terms.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_hierarchy`
--

LOCK TABLES `taxonomy_term_hierarchy` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_hierarchy` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_hierarchy` VALUES (1,0),(2,0),(3,0),(4,0),(5,0),(6,0),(7,0),(8,0),(10,0),(11,0),(12,0),(13,0),(14,0),(15,0),(16,0),(17,0),(18,0),(19,0),(20,0),(21,0),(22,0),(23,0),(24,0),(25,0),(26,0),(27,0),(28,0),(29,0),(30,0),(31,0),(32,0),(33,0),(34,0),(35,0),(36,0),(37,0),(38,0),(45,0),(50,0),(51,0),(52,0),(53,0),(54,0),(55,0),(56,0),(57,0),(58,0),(41,37),(42,37),(44,37),(39,38),(40,38),(43,38),(9,45),(47,45),(48,45),(49,45);
/*!40000 ALTER TABLE `taxonomy_term_hierarchy` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_vocabulary`
--

DROP TABLE IF EXISTS `taxonomy_vocabulary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_vocabulary` (
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique vocabulary ID.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the vocabulary.',
  `machine_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The vocabulary machine name.',
  `description` longtext COMMENT 'Description of the vocabulary.',
  `hierarchy` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The type of hierarchy allowed within the vocabulary. (0 = disabled, 1 = single, 2 = multiple)',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module which created the vocabulary.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this vocabulary in relation to other vocabularies.',
  PRIMARY KEY (`vid`),
  UNIQUE KEY `machine_name` (`machine_name`),
  KEY `list` (`weight`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COMMENT='Stores vocabulary information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_vocabulary`
--

LOCK TABLES `taxonomy_vocabulary` WRITE;
/*!40000 ALTER TABLE `taxonomy_vocabulary` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_vocabulary` VALUES (1,'Tags','tags','Use tags to group articles on similar topics into categories.',0,'taxonomy',0),(2,'Pinteros Size','pinteros_size','Pinteros Size',0,'pinteros_tools',50),(3,'Pinteros Skin','pinteros_skin','Pinteros Skin',1,'pinteros_tools',50),(4,'Category','sports','',1,'taxonomy',0),(5,'Newsletter categories','newsletter_categories','Vocabulary used to store the categories of newsletter lists',0,'newsletter',0),(6,'Forums','forums','Forum navigation vocabulary',1,'forum',-10);
/*!40000 ALTER TABLE `taxonomy_vocabulary` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `tb_megamenus`
--

DROP TABLE IF EXISTS `tb_megamenus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_megamenus` (
  `menu_name` varchar(255) NOT NULL,
  `block_config` text,
  `menu_config` text,
  PRIMARY KEY (`menu_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_megamenus`
--

LOCK TABLES `tb_megamenus` WRITE;
/*!40000 ALTER TABLE `tb_megamenus` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `tb_megamenus` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `url_alias`
--

DROP TABLE IF EXISTS `url_alias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `url_alias` (
  `pid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'A unique path alias identifier.',
  `source` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path this alias is for; e.g. node/12.',
  `alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'The alias for this path; e.g. title-of-the-story.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The language this alias is for; if ’und’, the alias will be used for unknown languages. Each Drupal path can have an alias for each supported language.',
  PRIMARY KEY (`pid`),
  KEY `alias_language_pid` (`alias`,`language`,`pid`),
  KEY `source_language_pid` (`source`,`language`,`pid`)
) ENGINE=InnoDB AUTO_INCREMENT=160 DEFAULT CHARSET=utf8 COMMENT='A list of URL aliases for Drupal paths; a user may visit...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `url_alias`
--

LOCK TABLES `url_alias` WRITE;
/*!40000 ALTER TABLE `url_alias` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `url_alias` VALUES (1,'node/1','article/ellie-gouldings-stay-happy-secrets','und'),(2,'node/2','article/florida-hospital-celebrates-2014-nba-draft-little-magic','und'),(3,'node/3','article/how-choose-your-wedding-rings','und'),(4,'node/4','article/choosing-your-wedding-location','und'),(5,'node/5','article/where-travel-july','und'),(6,'node/6','article/how-spa','und'),(7,'node/7','blog-post/what-would-sport-touring-bike-be','und'),(8,'node/8','article/more-1000-runners-signed-syracuse-half-marathon','und'),(9,'node/9','blog-post/prince-absolutely-right-–-bring-back-grammar-schools','und'),(10,'node/10','blog-post/new-girl-block','und'),(11,'node/11','article/vogues-special-sale','und'),(12,'node/12','article/heart-attack-study-could-lead-longer-lives','und'),(13,'node/13','article/diabetes-epidemic','und'),(14,'node/14','blog-post/math-under-common-core-has-even-parents-stumbling','und'),(15,'node/15','blog-post/world-cup-us-has-chance-pull-upset-vs-belgium','und'),(16,'node/16','article/barrington-swimmer-helps-others-achieve-dreams','und'),(17,'node/17','article/find-best-schools-your-area','und'),(18,'node/18','blog-post/new-york-schools-chief-advocates-more-‘balanced-literacy’','und'),(19,'node/19','article/10-city-schools-focus-reading-skills-content','und'),(20,'node/20','article/kyoto-uses-its-many-charms-attract-foreign-students','und'),(21,'node/21','blog-post/many-teachers-feel-undervalued-survey-finds','und'),(22,'node/22','blog-post/stylish-brides-through-history','und'),(23,'node/23','article/looks-day','und'),(24,'node/24','article/0-1-0-fashion-watch-chloë-sevigny-really-well-dressed-friend-ghost','und'),(25,'node/25','article/149-79-0-fashion-fashion-zodiac-101-find-out-which-designers-share-your-sign','und'),(26,'node/26','article/fashion-shopping-what-wear-pride-week-16-rainbow-hued-outfit-options-celebrate-weekend-style','und'),(27,'node/27','blog-post/beaches-boats','und'),(28,'node/28','blog-post/montreal-google-guide','und'),(29,'node/29','blog-post/bay-plenty-–-adventure-plentiful-bay','und'),(30,'node/30','blog-post/so-much-do-beaches-san-diego','und'),(31,'node/31','article/getting-here-around','und'),(32,'node/32','blog-post/guided-tours-every-taste','und'),(33,'node/33','article/uw-hospital-emergency-department-nurses-receive-lantern-award','und'),(34,'node/34','article/w-health-arboretum-clinic-centers-pregnancy-patient-care','und'),(35,'node/35','article/world-health-day-attacks-patients-and-health-personnel-continue','und'),(36,'node/36','article/spring-clean-your-life','und'),(37,'node/37','article/world-cup-2014-cameroon-investigates-match-fixing-claims','und'),(38,'node/38','article/sisterhood-snow-alaska','und'),(39,'node/39','article/world-cup-sportsday','und'),(40,'node/40','article/how-banish-stress-25-minutes','und'),(41,'node/41','article/best-workout-toned-tight-butt','und'),(42,'node/42','article/6-surprising-signs-youre-stressed-out','und'),(43,'node/43','article/sip-slim-down-right-way-drink-green-tea-weight-loss','und'),(44,'node/44','article/5-mascara-tricks-make-your-eyes-look-even-more-amazing','und'),(45,'node/45','article/6-people-who-will-stress-you-out-your-wedding-day','und'),(46,'node/46','article/these-wedding-vow-confessions-will-make-you-laugh-cry-all-wrong-reasons','und'),(47,'node/47','article/8-stolen-wedding-kisses-thatll-make-you-weak-knees','und'),(48,'node/48','article/what-wear-these-6-unconventional-weddings','und'),(49,'node/49','article/etsy-weddings-handmade-object-week','und'),(50,'node/50','showcase/magazine','und'),(51,'node/51','showcase/real-estate','und'),(52,'node/52','showcase/hotel','und'),(53,'node/53','showcase/education','und'),(54,'node/54','showcase/news','und'),(55,'node/55','showcase/garnet','und'),(56,'node/56','showcase/business','und'),(57,'node/57','showcase/onepage','und'),(58,'node/58','showcase/shopping','und'),(59,'node/59','showcase/zircon-ii','und'),(60,'node/60','showcase/personal-blog-drupal-8','und'),(61,'node/62','showcase/zircon-drupal-8','und'),(62,'node/63','showcase/autox','und'),(63,'node/64','pages','und'),(64,'node/65','poll/wanted-content-writereditor','und'),(65,'node/66','poll/testing-intended-bluecheese-public-repo','und'),(66,'node/67','poll/join-first-association-board-meeting-2014','und'),(67,'node/68','poll/why-olympus-gives-back-drupal','und'),(68,'node/69','poll/debuting-drupal-camp-uniting-community','und'),(69,'node/70','content/duis-pala-torqueo-ullamcorper','und'),(70,'node/71','content/nutus-singularis-vindico','und'),(71,'node/72','content/abdo-amet-quidem-vicis','und'),(72,'node/73','content/accumsan-jumentum','und'),(73,'node/74','content/inhibeo-sudo','und'),(74,'node/75','content/uxor-valetudo','und'),(75,'node/76','content/ad-sudo-tego-valetudo','und'),(76,'node/77','article/new-companies-office-status-check-features','und'),(77,'node/78','article/companies-amendment-bill-passes-law','und'),(78,'node/79','article/branding-and-company-extract-changes','und'),(79,'node/80','article/don’t-get-taken-ride-when-buying-car','und'),(80,'node/81','article/how-become-science-adviser-films-and-tv-shows','und'),(81,'node/82','article/love-nature-genetics','und'),(82,'node/83','article/biosecurity-laws-under-scanner','und'),(83,'node/84','article/art-worth-45m-found-hidden-brazilian-shipping-container','und'),(84,'node/85','article/british-library-returns-painted-renaissance-book-panel','und'),(85,'node/86','article/russia’s-other-art-biennial','und'),(86,'node/87','article/spain-returns-‘small-museum’-artefacts-colombia','und'),(87,'node/88','media/beautiful-light-music-easy-smooth-inspirational-long-playlist-relaxdaily-ocean-breeze','und'),(88,'node/89','media/margaret-thank-you-very-much','und'),(89,'node/90','article/move-over-kuta-real-bali','und'),(90,'node/91','article/15-places-we’d-rather-be-right-now','und'),(91,'node/92','left-menu','und'),(92,'node/93','weebpal-preset/layout-bootstrap-default-display','und'),(93,'node/94','weebpal-preset/layout-pinteros-fullwidth-display','und'),(94,'node/95','weebpal-preset/skin-blue','und'),(95,'node/96','weebpal-preset/skin-dark-blue','und'),(96,'node/97','weebpal-preset/skin-orange','und'),(97,'taxonomy/term/1','pinteros-size/pinteros-small','und'),(98,'taxonomy/term/2','pinteros-size/pinteros-medium','und'),(99,'taxonomy/term/3','pinteros-size/pinteros-large','und'),(100,'taxonomy/term/4','pinteros-skin/pinteros-skin-black','und'),(101,'taxonomy/term/5','pinteros-skin/pinteros-skin-blue','und'),(102,'taxonomy/term/6','pinteros-skin/pinteros-skin-green','und'),(103,'taxonomy/term/7','category/sports','und'),(104,'taxonomy/term/8','category/travel','und'),(105,'taxonomy/term/9','category/wedding','und'),(106,'taxonomy/term/10','category/education','und'),(107,'taxonomy/term/11','category/hospital','und'),(108,'taxonomy/term/12','category/health-beauty','und'),(109,'taxonomy/term/13','category/fashion','und'),(110,'taxonomy/term/14','tags/health-beauty','und'),(111,'taxonomy/term/15','tags/wedding','und'),(112,'taxonomy/term/16','tags/travel','und'),(113,'taxonomy/term/17','tags/spa','und'),(114,'taxonomy/term/18','tags/running','und'),(115,'taxonomy/term/19','tags/fashion','und'),(116,'taxonomy/term/20','tags/hospital','und'),(117,'taxonomy/term/21','tags/doctor','und'),(118,'taxonomy/term/22','tags/swimming','und'),(119,'taxonomy/term/23','tags/school','und'),(120,'taxonomy/term/24','tags/education','und'),(121,'taxonomy/term/25','tags/dress','und'),(122,'taxonomy/term/26','tags/jeans','und'),(123,'taxonomy/term/27','tags/t-shirt','und'),(124,'taxonomy/term/28','tags/beaches','und'),(125,'taxonomy/term/29','tags/photos','und'),(126,'taxonomy/term/30','tags/doctors','und'),(127,'taxonomy/term/31','tags/football','und'),(128,'taxonomy/term/32','tags/tennis','und'),(129,'taxonomy/term/33','tags/stress','und'),(130,'taxonomy/term/34','tags/beauty','und'),(131,'taxonomy/term/35','tags/party','und'),(132,'taxonomy/term/36','tags/nail','und'),(133,'taxonomy/term/45','category/more','und'),(134,'taxonomy/term/47','category/business','und'),(135,'taxonomy/term/48','category/others','und'),(136,'taxonomy/term/49','category/nature','und'),(137,'taxonomy/term/50','tags/business','und'),(138,'taxonomy/term/51','tags/company','und'),(139,'taxonomy/term/52','tags/nature','und'),(140,'taxonomy/term/53','tags/mountain','und'),(141,'taxonomy/term/54','tags/forest','und'),(142,'taxonomy/term/55','tags/art','und'),(143,'taxonomy/term/56','tags/photograph','und'),(144,'taxonomy/term/57','category/videos','und'),(145,'user/1','users/admin','und'),(146,'forum/37','forums/general-discussion','und'),(147,'forum/38','forums/helps-and-supports','und'),(148,'forum/39','forums/you-start','und'),(149,'forum/40','forums/upgrading-drupal','und'),(150,'forum/41','forums/module-development','und'),(151,'forum/42','forums/post-installation','und'),(152,'forum/43','forums/installing-drupal','und'),(153,'forum/44','forums/theme-development','und'),(154,'blog/1','blogs/admin','und'),(155,'node/98','weebpal-preset/skin-default','und'),(156,'node/99','presets','und'),(157,'taxonomy/term/58','tags/city','und'),(158,'node/100','mega-menus','und'),(159,'node/101','media/margaret','en');
/*!40000 ALTER TABLE `url_alias` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: Unique user ID.',
  `name` varchar(60) NOT NULL DEFAULT '' COMMENT 'Unique user name.',
  `pass` varchar(128) NOT NULL DEFAULT '' COMMENT 'User’s password (hashed).',
  `mail` varchar(254) DEFAULT '' COMMENT 'User’s e-mail address.',
  `theme` varchar(255) NOT NULL DEFAULT '' COMMENT 'User’s default theme.',
  `signature` varchar(255) NOT NULL DEFAULT '' COMMENT 'User’s signature.',
  `signature_format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the signature.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for when user was created.',
  `access` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for previous time user accessed the site.',
  `login` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for user’s last login.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether the user is active(1) or blocked(0).',
  `timezone` varchar(32) DEFAULT NULL COMMENT 'User’s time zone.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'User’s default language.',
  `picture` int(11) NOT NULL DEFAULT '0' COMMENT 'Foreign key: file_managed.fid of user’s picture.',
  `init` varchar(254) DEFAULT '' COMMENT 'E-mail address used for initial account creation.',
  `data` longblob COMMENT 'A serialized array of name value pairs that are related to the user. Any form values posted during user edit are stored and are loaded into the $user object during user_load(). Use of this field is discouraged and it will likely disappear in a future...',
  PRIMARY KEY (`uid`),
  UNIQUE KEY `name` (`name`),
  KEY `access` (`access`),
  KEY `created` (`created`),
  KEY `mail` (`mail`),
  KEY `picture` (`picture`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores user data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `users` VALUES (0,'','','','','',NULL,0,0,0,0,NULL,'',0,'',NULL),(1,'admin','$S$D7iEryYP7lTX8go.pzI7aGg8r0liJbt/aT5tlFLhx8vdcDdzixC6','support@weebpal.com','','','filtered_html',1404099124,1500347921,1500288754,1,'Asia/Ho_Chi_Minh','',0,'support@weebpal.com','a:1:{s:7:\"overlay\";i:1;}');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `users_roles`
--

DROP TABLE IF EXISTS `users_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users_roles` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: users.uid for user.',
  `rid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: role.rid for role.',
  PRIMARY KEY (`uid`,`rid`),
  KEY `rid` (`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps users to roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users_roles`
--

LOCK TABLES `users_roles` WRITE;
/*!40000 ALTER TABLE `users_roles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `users_roles` VALUES (1,3);
/*!40000 ALTER TABLE `users_roles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `variable`
--

DROP TABLE IF EXISTS `variable`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `variable` (
  `name` varchar(128) NOT NULL DEFAULT '' COMMENT 'The name of the variable.',
  `value` longblob NOT NULL COMMENT 'The value of the variable.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Named variable/value pairs created by Drupal core or any...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `variable`
--

LOCK TABLES `variable` WRITE;
/*!40000 ALTER TABLE `variable` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `variable` VALUES ('additional_settings__active_tab_local_video','s:15:\"edit-submission\";'),('additional_settings__active_tab_online_video','s:15:\"edit-submission\";'),('additional_settings__active_tab_showcase','s:9:\"edit-menu\";'),('additional_settings__active_tab_weebpal_presets','s:13:\"edit-workflow\";'),('admin_theme','s:10:\"we_backend\";'),('anonymous','s:9:\"Anonymous\";'),('cache_class_cache_ctools_css','s:14:\"CToolsCssCache\";'),('clean_url','s:1:\"1\";'),('clear_all_local_video','i:0;'),('clear_all_online_video','i:0;'),('clear_all_showcase','i:0;'),('clear_all_weebpal_presets','i:0;'),('clock_date_type','s:4:\"full\";'),('clock_time_zone','s:1:\"2\";'),('clock_update','i:1;'),('comment_anonymous_local_video','i:0;'),('comment_anonymous_online_video','i:0;'),('comment_anonymous_showcase','i:0;'),('comment_anonymous_weebpal_presets','i:0;'),('comment_block_count','i:10;'),('comment_default_mode_local_video','i:1;'),('comment_default_mode_online_video','i:1;'),('comment_default_mode_showcase','i:1;'),('comment_default_mode_weebpal_presets','i:1;'),('comment_default_per_page_local_video','s:2:\"50\";'),('comment_default_per_page_online_video','s:2:\"50\";'),('comment_default_per_page_showcase','s:2:\"50\";'),('comment_default_per_page_weebpal_presets','s:2:\"50\";'),('comment_form_location_local_video','i:1;'),('comment_form_location_online_video','i:1;'),('comment_form_location_showcase','i:1;'),('comment_form_location_weebpal_presets','i:1;'),('comment_local_video','s:1:\"2\";'),('comment_online_video','s:1:\"2\";'),('comment_page','i:0;'),('comment_preview_local_video','s:1:\"1\";'),('comment_preview_online_video','s:1:\"1\";'),('comment_preview_showcase','s:1:\"1\";'),('comment_preview_weebpal_presets','s:1:\"1\";'),('comment_showcase','s:1:\"2\";'),('comment_subject_field_local_video','i:1;'),('comment_subject_field_online_video','i:1;'),('comment_subject_field_showcase','i:1;'),('comment_subject_field_weebpal_presets','i:1;'),('comment_weebpal_presets','s:1:\"2\";'),('contact_default_status','i:1;'),('context_block_rebuild_needed','b:1;'),('cron_key','s:43:\"tKI-Gp30VQjmaQk9-NsHpUiCYh10JLUyD5zVApDlwHU\";'),('cron_last','i:1500339294;'),('css_js_query_string','s:6:\"ot9nz7\";'),('ctools_last_cron','i:1500288748;'),('date_api_version','s:3:\"7.2\";'),('date_default_timezone','s:16:\"Asia/Ho_Chi_Minh\";'),('date_format_full','s:18:\"l, M dS, Y - H:i:s\";'),('default_nodes_main','s:2:\"10\";'),('drupal_http_request_fails','b:0;'),('drupal_private_key','s:43:\"zyA5cdXJzio9NWZA4WdVl2BaQt-4Kwsw2w9nKfXc2AU\";'),('email__active_tab','s:24:\"edit-email-admin-created\";'),('entityreference:base-tables','a:11:{s:4:\"bean\";a:2:{i:0;s:4:\"bean\";i:1;s:3:\"bid\";}s:7:\"comment\";a:2:{i:0;s:7:\"comment\";i:1;s:3:\"cid\";}s:21:\"newsletter_subscriber\";a:2:{i:0;s:21:\"newsletter_subscriber\";i:1;s:4:\"nsid\";}s:15:\"newsletter_list\";a:2:{i:0;s:15:\"newsletter_list\";i:1;s:4:\"nlid\";}s:19:\"newsletter_template\";a:2:{i:0;s:19:\"newsletter_template\";i:1;s:4:\"ntid\";}s:21:\"newsletter_newsletter\";a:2:{i:0;s:21:\"newsletter_newsletter\";i:1;s:4:\"nnid\";}s:4:\"node\";a:2:{i:0;s:4:\"node\";i:1;s:3:\"nid\";}s:4:\"file\";a:2:{i:0;s:12:\"file_managed\";i:1;s:3:\"fid\";}s:13:\"taxonomy_term\";a:2:{i:0;s:18:\"taxonomy_term_data\";i:1;s:3:\"tid\";}s:19:\"taxonomy_vocabulary\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:3:\"vid\";}s:4:\"user\";a:2:{i:0;s:5:\"users\";i:1;s:3:\"uid\";}}'),('entity_cache_tables_created','N;'),('field_bundle_settings_comment__comment_node_weebpal_presets','a:0:{}'),('field_bundle_settings_node__article','a:2:{s:10:\"view_modes\";a:5:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:1:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__blog','a:2:{s:10:\"view_modes\";a:5:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:1:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__forum','a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:0:{}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__local_video','a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:1:{s:5:\"title\";a:1:{s:6:\"weight\";s:2:\"-5\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__online_video','a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:1:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__showcase','a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:1:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__weebpal_presets','a:0:{}'),('field_bundle_settings_taxonomy_term__sports','a:2:{s:10:\"view_modes\";a:2:{s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:4:\"name\";a:1:{s:6:\"weight\";s:1:\"0\";}s:11:\"description\";a:1:{s:6:\"weight\";s:1:\"2\";}}s:7:\"display\";a:1:{s:11:\"description\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"0\";s:7:\"visible\";b:1;}}}}}'),('file_default_scheme','s:6:\"public\";'),('file_private_path','s:0:\"\";'),('file_public_path','s:19:\"sites/default/files\";'),('file_temporary_path','s:4:\"/tmp\";'),('filter_fallback_format','s:10:\"plain_text\";'),('forum_containers','a:0:{}'),('forum_nav_vocabulary','s:1:\"6\";'),('image_jpeg_quality','s:3:\"100\";'),('image_toolkit','s:2:\"gd\";'),('install_profile','s:8:\"standard\";'),('install_task','s:4:\"done\";'),('install_time','i:1404099222;'),('jquery_update_compression_type','s:3:\"min\";'),('jquery_update_jquery_admin_version','s:0:\"\";'),('jquery_update_jquery_cdn','s:4:\"none\";'),('jquery_update_jquery_version','s:3:\"1.7\";'),('language_count','i:2;'),('language_default','O:8:\"stdClass\":11:{s:8:\"language\";s:2:\"en\";s:4:\"name\";s:7:\"English\";s:6:\"native\";s:7:\"English\";s:9:\"direction\";s:1:\"0\";s:7:\"enabled\";i:1;s:7:\"plurals\";s:1:\"0\";s:7:\"formula\";s:0:\"\";s:6:\"domain\";s:0:\"\";s:6:\"prefix\";s:2:\"en\";s:6:\"weight\";s:1:\"0\";s:10:\"javascript\";s:0:\"\";}'),('language_negotiation_language','a:2:{s:10:\"locale-url\";a:2:{s:9:\"callbacks\";a:3:{s:8:\"language\";s:24:\"locale_language_from_url\";s:8:\"switcher\";s:28:\"locale_language_switcher_url\";s:11:\"url_rewrite\";s:31:\"locale_language_url_rewrite_url\";}s:4:\"file\";s:19:\"includes/locale.inc\";}s:16:\"language-default\";a:1:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:21:\"language_from_default\";}}}'),('language_negotiation_language_content','a:1:{s:16:\"locale-interface\";a:2:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:30:\"locale_language_from_interface\";}s:4:\"file\";s:19:\"includes/locale.inc\";}}'),('language_negotiation_language_url','a:2:{s:10:\"locale-url\";a:2:{s:9:\"callbacks\";a:3:{s:8:\"language\";s:24:\"locale_language_from_url\";s:8:\"switcher\";s:28:\"locale_language_switcher_url\";s:11:\"url_rewrite\";s:31:\"locale_language_url_rewrite_url\";}s:4:\"file\";s:19:\"includes/locale.inc\";}s:19:\"locale-url-fallback\";a:2:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:28:\"locale_language_url_fallback\";}s:4:\"file\";s:19:\"includes/locale.inc\";}}'),('language_types','a:3:{s:8:\"language\";b:1;s:16:\"language_content\";b:0;s:12:\"language_url\";b:0;}'),('locale_language_providers_weight_language','a:5:{s:10:\"locale-url\";s:2:\"-8\";s:14:\"locale-session\";s:2:\"-6\";s:11:\"locale-user\";s:2:\"-4\";s:14:\"locale-browser\";s:2:\"-2\";s:16:\"language-default\";s:2:\"10\";}'),('mail_system','a:2:{s:14:\"default-system\";s:17:\"DefaultMailSystem\";s:10:\"newsletter\";s:20:\"NewsletterMailSystem\";}'),('maintenance_mode','b:0;'),('menu_breadcrumb_append_node_title','i:1;'),('menu_breadcrumb_append_node_url','i:0;'),('menu_breadcrumb_determine_menu','i:1;'),('menu_breadcrumb_hide_on_single_item','i:0;'),('menu_breadcrumb_menus','a:7:{s:9:\"main-menu\";a:5:{s:7:\"enabled\";i:1;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:9:\"Main menu\";s:4:\"name\";s:9:\"main-menu\";}s:10:\"management\";a:5:{s:7:\"enabled\";i:1;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:10:\"Management\";s:4:\"name\";s:10:\"management\";}s:13:\"menu-category\";a:5:{s:7:\"enabled\";i:1;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:8:\"Category\";s:4:\"name\";s:13:\"menu-category\";}s:28:\"menu_breadcrumb_default_menu\";a:5:{s:7:\"enabled\";i:1;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:28:\"menu_breadcrumb_default_menu\";s:5:\"title\";s:28:\"menu_breadcrumb_default_menu\";s:4:\"name\";s:28:\"menu_breadcrumb_default_menu\";}s:10:\"navigation\";a:5:{s:7:\"enabled\";i:1;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:10:\"Navigation\";s:4:\"name\";s:10:\"navigation\";}s:14:\"shortcut-set-1\";a:5:{s:7:\"enabled\";i:1;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:14:\"shortcut-set-1\";s:4:\"name\";s:14:\"shortcut-set-1\";}s:9:\"user-menu\";a:5:{s:7:\"enabled\";i:1;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:9:\"User menu\";s:4:\"name\";s:9:\"user-menu\";}}'),('menu_breadcrumb_menu_patterns','s:22:\"/^book-toc-\\d+$/Books/\";'),('menu_breadcrumb_pattern_matches_rebuild','b:0;'),('menu_default_active_menus','a:5:{i:0;s:13:\"menu-category\";i:1;s:9:\"main-menu\";i:2;s:10:\"management\";i:3;s:10:\"navigation\";i:5;s:9:\"user-menu\";}'),('menu_expanded','a:2:{i:0;s:9:\"main-menu\";i:1;s:13:\"menu-category\";}'),('menu_masks','a:43:{i:0;i:501;i:1;i:493;i:2;i:254;i:3;i:253;i:4;i:250;i:5;i:247;i:6;i:246;i:7;i:245;i:8;i:127;i:9;i:126;i:10;i:125;i:11;i:124;i:12;i:123;i:13;i:122;i:14;i:121;i:15;i:117;i:16;i:96;i:17;i:63;i:18;i:62;i:19;i:61;i:20;i:60;i:21;i:59;i:22;i:58;i:23;i:56;i:24;i:44;i:25;i:31;i:26;i:30;i:27;i:29;i:28;i:28;i:29;i:25;i:30;i:24;i:31;i:21;i:32;i:15;i:33;i:14;i:34;i:13;i:35;i:11;i:36;i:10;i:37;i:7;i:38;i:6;i:39;i:5;i:40;i:3;i:41;i:2;i:42;i:1;}'),('menu_options_local_video','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_online_video','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_showcase','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_weebpal_presets','a:1:{i:0;s:9:\"main-menu\";}'),('menu_parent_local_video','s:11:\"main-menu:0\";'),('menu_parent_online_video','s:11:\"main-menu:0\";'),('menu_parent_showcase','s:11:\"main-menu:0\";'),('menu_parent_weebpal_presets','s:13:\"main-menu:512\";'),('module_filter_recent_modules','a:5:{s:20:\"we_content_migration\";i:1499930013;s:11:\"zencoderapi\";i:1500345490;s:22:\"ffmpeg_video_thumbnail\";i:1500343434;s:10:\"php_ffmpeg\";i:1500343465;s:16:\"composer_manager\";i:1500343476;}'),('newsletter_block_prefix','s:0:\"\";'),('newsletter_block_suffix','s:0:\"\";'),('newsletter_personal_info_form','a:4:{s:9:\"firstname\";s:4:\"show\";s:8:\"lastname\";s:4:\"show\";s:6:\"gender\";s:4:\"show\";s:14:\"receive_format\";s:4:\"show\";}'),('newsletter_send_confirm','b:1;'),('newsletter_send_unsubscribe','b:1;'),('newsletter_send_welcome','b:1;'),('node_admin_theme','i:1;'),('node_cron_last','s:10:\"1425541782\";'),('node_options_forum','a:1:{i:0;s:6:\"status\";}'),('node_options_local_video','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_options_online_video','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_options_page','a:1:{i:0;s:6:\"status\";}'),('node_options_showcase','a:1:{i:0;s:6:\"status\";}'),('node_options_weebpal_presets','a:1:{i:0;s:6:\"status\";}'),('node_preview_local_video','s:1:\"1\";'),('node_preview_online_video','s:1:\"1\";'),('node_preview_showcase','s:1:\"1\";'),('node_preview_weebpal_presets','s:1:\"1\";'),('node_submitted_local_video','i:1;'),('node_submitted_online_video','i:1;'),('node_submitted_page','b:0;'),('node_submitted_showcase','i:1;'),('node_submitted_weebpal_presets','i:1;'),('pathauto_blog_pattern','s:17:\"blogs/[user:name]\";'),('pathauto_forum_pattern','s:29:\"[term:vocabulary]/[term:name]\";'),('pathauto_node_article_pattern','s:20:\"article/[node:title]\";'),('pathauto_node_blog_pattern','s:22:\"blog-post/[node:title]\";'),('pathauto_node_forum_pattern','s:0:\"\";'),('pathauto_node_local_video_pattern','s:18:\"video/[node:title]\";'),('pathauto_node_online_video_pattern','s:18:\"media/[node:title]\";'),('pathauto_node_page_pattern','s:12:\"[node:title]\";'),('pathauto_node_pattern','s:20:\"content/[node:title]\";'),('pathauto_node_poll_pattern','s:17:\"poll/[node:title]\";'),('pathauto_node_showcase_pattern','s:21:\"showcase/[node:title]\";'),('pathauto_node_weebpal_presets_pattern','s:27:\"weebpal-preset/[node:title]\";'),('pathauto_punctuation_hyphen','i:1;'),('pathauto_taxonomy_term_newsletter_categories_pattern','s:0:\"\";'),('pathauto_taxonomy_term_pattern','s:29:\"[term:vocabulary]/[term:name]\";'),('pathauto_taxonomy_term_pinteros_size_pattern','s:0:\"\";'),('pathauto_taxonomy_term_pinteros_skin_pattern','s:0:\"\";'),('pathauto_taxonomy_term_sports_pattern','s:0:\"\";'),('pathauto_taxonomy_term_tags_pattern','s:0:\"\";'),('pathauto_user_pattern','s:17:\"users/[user:name]\";'),('path_alias_whitelist','a:5:{s:4:\"blog\";b:1;s:5:\"forum\";b:1;s:4:\"node\";b:1;s:8:\"taxonomy\";b:1;s:4:\"user\";b:1;}'),('save_continue_local_video','s:19:\"Save and add fields\";'),('save_continue_online_video','s:19:\"Save and add fields\";'),('save_continue_presets','s:19:\"Save and add fields\";'),('save_continue_showcase','s:19:\"Save and add fields\";'),('site_403','s:0:\"\";'),('site_404','s:0:\"\";'),('site_default_country','s:0:\"\";'),('site_frontpage','s:9:\"frontpage\";'),('site_mail','s:13:\"admin@lvh.com\";'),('site_name','s:8:\"Pinteros\";'),('site_slogan','s:0:\"\";'),('sync_translations_local_video','s:1:\"0\";'),('sync_translations_online_video','s:1:\"0\";'),('sync_translations_showcase','s:1:\"0\";'),('sync_translations_weebpal_presets','s:1:\"0\";'),('tagclouds_block_tags_1','s:2:\"12\";'),('taxonomy_menu_display_descendants_sports','i:0;'),('taxonomy_menu_display_num_sports','i:0;'),('taxonomy_menu_end_all_sports','b:0;'),('taxonomy_menu_expanded_sports','i:1;'),('taxonomy_menu_flat_sports','i:0;'),('taxonomy_menu_hide_empty_terms_sports','i:0;'),('taxonomy_menu_path_sports','s:26:\"taxonomy_menu_path_default\";'),('taxonomy_menu_rebuild_sports','i:0;'),('taxonomy_menu_sync_sports','i:1;'),('taxonomy_menu_term_item_description_sports','i:0;'),('taxonomy_menu_vocab_menu_sports','s:13:\"menu-category\";'),('taxonomy_menu_vocab_parent_sports','s:1:\"0\";'),('taxonomy_menu_voc_item_description_sports','i:0;'),('taxonomy_menu_voc_item_sports','b:0;'),('taxonomy_menu_voc_name_sports','b:0;'),('theme_default','s:8:\"pinteros\";'),('theme_pinteros_settings','a:20:{s:16:\"pinteros_version\";s:0:\"\";s:16:\"pinteros_display\";s:25:\"bootstrap-default-display\";s:4:\"skin\";s:0:\"\";s:19:\"sidebar_first_width\";s:1:\"5\";s:20:\"sidebar_second_width\";s:1:\"0\";s:11:\"toggle_logo\";i:1;s:11:\"toggle_name\";i:0;s:13:\"toggle_slogan\";i:0;s:24:\"toggle_node_user_picture\";i:1;s:27:\"toggle_comment_user_picture\";i:1;s:32:\"toggle_comment_user_verification\";i:1;s:14:\"toggle_favicon\";i:1;s:15:\"show_skins_menu\";i:1;s:12:\"default_logo\";i:1;s:9:\"logo_path\";s:0:\"\";s:11:\"logo_upload\";s:0:\"\";s:15:\"default_favicon\";i:1;s:12:\"favicon_path\";s:0:\"\";s:14:\"favicon_upload\";s:0:\"\";s:29:\"pinteros_use_default_settings\";s:1:\"0\";}'),('update_last_check','i:1500347936;'),('update_last_email_notification','i:1500288742;'),('update_notify_emails','a:1:{i:0;s:19:\"support@weebpal.com\";}'),('user_admin_role','s:1:\"3\";'),('user_block_max_list_count','s:2:\"10\";'),('user_block_seconds_online','s:3:\"900\";'),('user_block_whois_new_count','s:1:\"5\";'),('user_cancel_method','s:17:\"user_cancel_block\";'),('user_email_verification','i:1;'),('user_mail_cancel_confirm_body','s:381:\"[user:name],\r\n\r\nA request to cancel your account has been made at [site:name].\r\n\r\nYou may now cancel your account on [site:url-brief] by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:cancel-url]\r\n\r\nNOTE: The cancellation of your account is not reversible.\r\n\r\nThis link expires in one day and nothing will happen if it is not used.\r\n\r\n--  [site:name] team\";'),('user_mail_cancel_confirm_subject','s:59:\"Account cancellation request for [user:name] at [site:name]\";'),('user_mail_password_reset_body','s:407:\"[user:name],\r\n\r\nA request to reset the password for your account has been made at [site:name].\r\n\r\nYou may now log in by clicking this link or copying and pasting it to your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password. It expires after one day and nothing will happen if it\'s not used.\r\n\r\n--  [site:name] team\";'),('user_mail_password_reset_subject','s:60:\"Replacement login information for [user:name] at [site:name]\";'),('user_mail_register_admin_created_body','s:476:\"[user:name],\r\n\r\nA site administrator at [site:name] has created an account for you. You may now log in by clicking this link or copying and pasting it to your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:name]\r\npassword: Your password\r\n\r\n--  [site:name] team\";'),('user_mail_register_admin_created_subject','s:58:\"An administrator created an account for you at [site:name]\";'),('user_mail_register_no_approval_required_body','s:450:\"[user:name],\r\n\r\nThank you for registering at [site:name]. You may now log in by clicking this link or copying and pasting it to your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:name]\r\npassword: Your password\r\n\r\n--  [site:name] team\";'),('user_mail_register_no_approval_required_subject','s:46:\"Account details for [user:name] at [site:name]\";'),('user_mail_register_pending_approval_body','s:287:\"[user:name],\r\n\r\nThank you for registering at [site:name]. Your application for an account is currently pending approval. Once it has been approved, you will receive another e-mail containing information about how to log in, set your password, and other details.\r\n\r\n\r\n--  [site:name] team\";'),('user_mail_register_pending_approval_subject','s:71:\"Account details for [user:name] at [site:name] (pending admin approval)\";'),('user_mail_status_activated_body','s:461:\"[user:name],\r\n\r\nYour account at [site:name] has been activated.\r\n\r\nYou may now log in by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:name]\r\npassword: Your password\r\n\r\n--  [site:name] team\";'),('user_mail_status_activated_notify','i:1;'),('user_mail_status_activated_subject','s:57:\"Account details for [user:name] at [site:name] (approved)\";'),('user_mail_status_blocked_body','s:85:\"[user:name],\r\n\r\nYour account on [site:name] has been blocked.\r\n\r\n--  [site:name] team\";'),('user_mail_status_blocked_notify','i:0;'),('user_mail_status_blocked_subject','s:56:\"Account details for [user:name] at [site:name] (blocked)\";'),('user_mail_status_canceled_body','s:86:\"[user:name],\r\n\r\nYour account on [site:name] has been canceled.\r\n\r\n--  [site:name] team\";'),('user_mail_status_canceled_notify','i:0;'),('user_mail_status_canceled_subject','s:57:\"Account details for [user:name] at [site:name] (canceled)\";'),('user_pictures','i:1;'),('user_picture_default','s:40:\"sites/default/files/pictures/default.jpg\";'),('user_picture_dimensions','s:9:\"1024x1024\";'),('user_picture_file_size','s:3:\"800\";'),('user_picture_guidelines','s:0:\"\";'),('user_picture_path','s:8:\"pictures\";'),('user_picture_style','s:9:\"thumbnail\";'),('user_register','s:1:\"2\";'),('user_signatures','i:0;'),('video_convertor','s:36:\"TranscoderAbstractionFactoryZencoder\";'),('video_ffmpeg_flvtool2_path','s:0:\"\";'),('video_ffmpeg_path','s:15:\"/usr/bin/ffmpeg\";'),('video_ffmpeg_qtfaststart_path','s:0:\"\";'),('video_preset','a:0:{}'),('video_thumbnail_count','s:1:\"5\";'),('video_thumbnail_path','s:17:\"videos/thumbnails\";'),('video_use_preset_wxh','b:0;'),('video_zencoder_api_key','s:32:\"cab4059d286e9519787a7078a9cccbe4\";'),('views_defaults','a:2:{s:9:\"frontpage\";b:0;s:13:\"taxonomy_term\";b:0;}'),('weight_default_local_video','s:1:\"0\";'),('weight_default_online_video','s:1:\"0\";'),('weight_default_showcase','s:1:\"0\";'),('weight_default_weebpal_presets','s:1:\"0\";'),('weight_enabled_local_video','s:1:\"0\";'),('weight_enabled_online_video','s:1:\"0\";'),('weight_enabled_showcase','s:1:\"0\";'),('weight_enabled_weebpal_presets','s:1:\"0\";'),('weight_frontpage','i:1;'),('weight_menu_local_video','s:1:\"0\";'),('weight_menu_online_video','s:1:\"0\";'),('weight_menu_showcase','s:1:\"0\";'),('weight_menu_weebpal_presets','s:1:\"0\";'),('weight_range_local_video','s:2:\"20\";'),('weight_range_online_video','s:2:\"20\";'),('weight_range_showcase','s:2:\"20\";'),('weight_range_weebpal_presets','s:2:\"20\";');
/*!40000 ALTER TABLE `variable` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `vef_video_styles`
--

DROP TABLE IF EXISTS `vef_video_styles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vef_video_styles` (
  `name` varchar(255) NOT NULL COMMENT 'The machine-readable option set name.',
  `title` varchar(255) NOT NULL COMMENT 'The human-readable title for this option set.',
  `data` longblob NOT NULL COMMENT 'The configuration data for the style.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores video embed styles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vef_video_styles`
--

LOCK TABLES `vef_video_styles` WRITE;
/*!40000 ALTER TABLE `vef_video_styles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `vef_video_styles` VALUES ('normal','Normal','a:2:{s:7:\"youtube\";a:12:{s:5:\"width\";i:640;s:6:\"height\";i:360;s:8:\"autoplay\";i:0;s:2:\"vq\";s:5:\"large\";s:3:\"rel\";i:0;s:8:\"controls\";i:1;s:8:\"autohide\";i:2;s:8:\"showinfo\";i:1;s:14:\"modestbranding\";i:0;s:5:\"theme\";s:4:\"dark\";s:14:\"iv_load_policy\";i:1;s:5:\"class\";s:0:\"\";}s:5:\"vimeo\";a:10:{s:5:\"width\";i:640;s:6:\"height\";i:360;s:5:\"color\";s:6:\"00adef\";s:8:\"portrait\";i:1;s:5:\"title\";i:1;s:6:\"byline\";i:1;s:8:\"autoplay\";i:0;s:4:\"loop\";i:0;s:10:\"froogaloop\";i:0;s:5:\"class\";s:0:\"\";}}'),('teaser','Teaser','a:2:{s:7:\"youtube\";a:12:{s:5:\"width\";i:480;s:6:\"height\";i:270;s:8:\"autoplay\";i:0;s:2:\"vq\";s:5:\"large\";s:3:\"rel\";i:0;s:8:\"controls\";i:1;s:8:\"autohide\";i:2;s:8:\"showinfo\";i:1;s:14:\"modestbranding\";i:0;s:5:\"theme\";s:4:\"dark\";s:14:\"iv_load_policy\";i:1;s:5:\"class\";s:0:\"\";}s:5:\"vimeo\";a:10:{s:5:\"width\";i:480;s:6:\"height\";i:270;s:5:\"color\";s:6:\"00adef\";s:8:\"portrait\";i:1;s:5:\"title\";i:1;s:6:\"byline\";i:1;s:8:\"autoplay\";i:0;s:4:\"loop\";i:0;s:10:\"froogaloop\";i:0;s:5:\"class\";s:0:\"\";}}');
/*!40000 ALTER TABLE `vef_video_styles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `video_output`
--

DROP TABLE IF EXISTS `video_output`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `video_output` (
  `vid` int(10) unsigned NOT NULL COMMENT 'Video identifier.',
  `original_fid` int(10) unsigned NOT NULL COMMENT 'Original file identifier.',
  `output_fid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Converted file fid.',
  `job_id` int(11) DEFAULT NULL COMMENT 'Referenced job id if any.',
  PRIMARY KEY (`vid`,`original_fid`,`output_fid`),
  KEY `original_fid` (`original_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Track file id for converted files.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `video_output`
--

LOCK TABLES `video_output` WRITE;
/*!40000 ALTER TABLE `video_output` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `video_output` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `video_preset`
--

DROP TABLE IF EXISTS `video_preset`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `video_preset` (
  `pid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a video preset.',
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'The name of this preset.',
  `description` mediumtext COMMENT 'A brief description of this preset.',
  `settings` longblob COMMENT 'Serialized preset settings.',
  PRIMARY KEY (`pid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The preset table.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `video_preset`
--

LOCK TABLES `video_preset` WRITE;
/*!40000 ALTER TABLE `video_preset` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `video_preset` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `video_queue`
--

DROP TABLE IF EXISTS `video_queue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `video_queue` (
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Video id, the primary identifier',
  `fid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The file_managed.fid being referenced in this field.',
  `entity_type` varchar(128) DEFAULT 'node' COMMENT 'The entity_type of the video.',
  `entity_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The entity_id being referenced in this field.',
  `status` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Status of the transcoding, possible values are 1, 5, 10, 20',
  `dimensions` varchar(255) DEFAULT '' COMMENT 'The dimensions of the output video.',
  `duration` varchar(32) DEFAULT NULL COMMENT 'Stores the video duration in Sec.',
  `started` int(11) NOT NULL DEFAULT '0' COMMENT 'Start timestamp of transcodings',
  `completed` int(11) NOT NULL DEFAULT '0' COMMENT 'Transcoding completed timestamp',
  `statusupdated` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Timestamp of last status update, used to track stuck videos',
  `data` longblob COMMENT 'A serialized array of converted files.',
  PRIMARY KEY (`vid`),
  KEY `status` (`status`),
  KEY `file` (`fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Store video transcoding queue.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `video_queue`
--

LOCK TABLES `video_queue` WRITE;
/*!40000 ALTER TABLE `video_queue` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `video_queue` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `video_thumbnails`
--

DROP TABLE IF EXISTS `video_thumbnails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `video_thumbnails` (
  `videofid` int(10) unsigned NOT NULL COMMENT 'fid of original video.',
  `thumbnailfid` int(10) unsigned NOT NULL COMMENT 'fid of thumbnail.',
  PRIMARY KEY (`videofid`,`thumbnailfid`),
  UNIQUE KEY `thumbnail` (`thumbnailfid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table to store thumbnails associated with each video.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `video_thumbnails`
--

LOCK TABLES `video_thumbnails` WRITE;
/*!40000 ALTER TABLE `video_thumbnails` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `video_thumbnails` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `views_display`
--

DROP TABLE IF EXISTS `views_display`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `views_display` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The view this display is attached to.',
  `id` varchar(64) NOT NULL DEFAULT '' COMMENT 'An identifier for this display; usually generated from the display_plugin, so should be something like page or page_1 or block_2, etc.',
  `display_title` varchar(64) NOT NULL DEFAULT '' COMMENT 'The title of the display, viewable by the administrator.',
  `display_plugin` varchar(64) NOT NULL DEFAULT '' COMMENT 'The type of the display. Usually page, block or embed, but is pluggable so may be other things.',
  `position` int(11) DEFAULT '0' COMMENT 'The order in which this display is loaded.',
  `display_options` longtext COMMENT 'A serialized array of options for this display; it contains options that are generally only pertinent to that display plugin type.',
  PRIMARY KEY (`vid`,`id`),
  KEY `vid` (`vid`,`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about each display attached to a view.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `views_display`
--

LOCK TABLES `views_display` WRITE;
/*!40000 ALTER TABLE `views_display` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `views_display` VALUES (1,'default','Master','default',1,'a:11:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:1:{s:13:\"query_comment\";b:0;}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"none\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:15:\"infinite_scroll\";s:7:\"options\";a:7:{s:14:\"items_per_page\";s:2:\"10\";s:6:\"offset\";s:1:\"0\";s:2:\"id\";s:1:\"0\";s:11:\"total_pages\";s:0:\"\";s:8:\"quantity\";s:1:\"9\";s:4:\"tags\";a:4:{s:5:\"first\";s:8:\"« first\";s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";i:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:17:\"5, 10, 20, 40, 60\";s:26:\"items_per_page_options_all\";i:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";i:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:4:\"node\";s:11:\"row_options\";a:1:{s:5:\"links\";i:1;}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:4:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"sticky\";s:5:\"order\";s:4:\"DESC\";}s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:7:\"filters\";a:3:{s:7:\"promote\";a:6:{s:2:\"id\";s:7:\"promote\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"promote\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:0;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:6:\"status\";a:6:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:0;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:6:\"not in\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"style_options\";a:9:{s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:11:\"uses_fields\";i:0;s:7:\"columns\";s:1:\"4\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}}'),(1,'feed','Feed','feed',3,'a:9:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:8:\"defaults\";a:1:{s:5:\"title\";b:0;}s:5:\"title\";s:15:\"Front page feed\";s:5:\"pager\";a:1:{s:4:\"type\";s:4:\"some\";}s:12:\"style_plugin\";s:3:\"rss\";s:10:\"row_plugin\";s:8:\"node_rss\";s:4:\"path\";s:7:\"rss.xml\";s:8:\"displays\";a:2:{s:7:\"default\";s:7:\"default\";s:4:\"page\";s:4:\"page\";}s:14:\"sitename_title\";s:1:\"1\";}'),(1,'page','Page','page',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:9:\"frontpage\";}'),(2,'default','Master','default',1,'a:11:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:1:{s:13:\"query_comment\";b:0;}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"none\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:1:{s:4:\"type\";s:4:\"full\";}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:4:\"node\";s:5:\"sorts\";a:2:{s:6:\"sticky\";a:4:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"sticky\";s:5:\"order\";s:4:\"DESC\";}s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:9:\"arguments\";a:2:{s:19:\"term_node_tid_depth\";a:13:{s:2:\"id\";s:19:\"term_node_tid_depth\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:19:\"term_node_tid_depth\";s:14:\"default_action\";s:9:\"not found\";s:9:\"exception\";a:1:{s:12:\"title_enable\";i:1;}s:12:\"title_enable\";i:1;s:5:\"title\";s:2:\"%1\";s:21:\"default_argument_type\";s:5:\"fixed\";s:7:\"summary\";a:1:{s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";i:1;s:8:\"validate\";a:1:{s:4:\"type\";s:13:\"taxonomy_term\";}s:5:\"depth\";s:1:\"0\";s:12:\"break_phrase\";i:1;}s:28:\"term_node_tid_depth_modifier\";a:7:{s:2:\"id\";s:28:\"term_node_tid_depth_modifier\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:28:\"term_node_tid_depth_modifier\";s:9:\"exception\";a:1:{s:12:\"title_enable\";i:1;}s:21:\"default_argument_type\";s:5:\"fixed\";s:7:\"summary\";a:1:{s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";i:1;}}s:7:\"filters\";a:1:{s:12:\"status_extra\";a:5:{s:2:\"id\";s:12:\"status_extra\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:12:\"status_extra\";s:5:\"group\";i:0;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}}s:13:\"style_options\";a:9:{s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:11:\"uses_fields\";i:0;s:7:\"columns\";s:1:\"4\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}}'),(2,'feed','Feed','feed',3,'a:6:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:1:{s:14:\"items_per_page\";i:15;}}s:12:\"style_plugin\";s:3:\"rss\";s:10:\"row_plugin\";s:8:\"node_rss\";s:4:\"path\";s:22:\"taxonomy/term/%/%/feed\";s:8:\"displays\";a:2:{s:4:\"page\";s:4:\"page\";s:7:\"default\";i:0;}}'),(2,'page','Page','page',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:15:\"taxonomy/term/%\";}'),(3,'default','Master','default',1,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:2:\"10\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:4:\"node\";s:6:\"fields\";a:9:{s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"100\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_user\";i:1;s:19:\"overwrite_anonymous\";i:0;s:14:\"anonymous_text\";s:0:\"\";s:15:\"format_username\";i:1;}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:6:\"medium\";s:18:\"custom_date_format\";s:0:\"\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:5:\"large\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"field_tags\";a:34:{s:2:\"id\";s:10:\"field_tags\";s:5:\"table\";s:21:\"field_data_field_tags\";s:5:\"field\";s:10:\"field_tags\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"200\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:13:\"comment_count\";i:1;s:9:\"view_node\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:16:\"views-field-wrap\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:13:\"comment_count\";a:30:{s:2:\"id\";s:13:\"comment_count\";s:5:\"table\";s:23:\"node_comment_statistics\";s:5:\"field\";s:13:\"comment_count\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\".\";s:13:\"format_plural\";i:1;s:22:\"format_plural_singular\";s:9:\"1 comment\";s:20:\"format_plural_plural\";s:15:\"@count comments\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"Read more\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:4:\"Blog\";s:11:\"row_options\";a:4:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:6:\"teaser\";s:5:\"links\";i:1;s:8:\"comments\";i:0;}s:9:\"css_class\";s:9:\"blog-list\";s:13:\"relationships\";a:1:{s:3:\"uid\";a:8:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:6:\"author\";s:8:\"required\";i:0;}}}'),(3,'page','Page','page',2,'a:3:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:5:\"blogs\";s:4:\"menu\";a:3:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:4:\"Blog\";s:4:\"name\";s:9:\"main-menu\";}}'),(4,'block','Block','block',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}}'),(4,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"3\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:2:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:5:\"large\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:2:\"70\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:2:{s:7:\"article\";s:7:\"article\";s:4:\"blog\";s:4:\"blog\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:14:\"Featured Posts\";s:9:\"css_class\";s:14:\"featured-posts\";}'),(5,'block','Block','block',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}}'),(5,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"4\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:2:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:9:\"thumbnail\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:2:\"50\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:14:\"Trending Posts\";s:9:\"css_class\";s:14:\"trending-posts\";}'),(6,'default','Master','default',1,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:15:\"infinite_scroll\";s:7:\"options\";a:7:{s:14:\"items_per_page\";s:2:\"10\";s:6:\"offset\";s:1:\"0\";s:2:\"id\";s:1:\"0\";s:11:\"total_pages\";s:0:\"\";s:8:\"quantity\";s:1:\"9\";s:4:\"tags\";a:4:{s:5:\"first\";s:8:\"« first\";s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";i:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:17:\"5, 10, 20, 40, 60\";s:26:\"items_per_page_options_all\";i:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";i:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:4:\"node\";s:6:\"fields\";a:1:{s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:8:\"showcase\";s:8:\"showcase\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:8:\"Showcase\";s:11:\"row_options\";a:3:{s:10:\"build_mode\";s:6:\"teaser\";s:5:\"links\";b:1;s:8:\"comments\";b:0;}s:9:\"css_class\";s:13:\"showcase-list\";s:13:\"style_options\";a:9:{s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:11:\"uses_fields\";i:0;s:7:\"columns\";s:1:\"4\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}}'),(6,'page','Page','page',2,'a:3:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:8:\"showcase\";s:4:\"menu\";a:3:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:8:\"Showcase\";s:4:\"name\";s:9:\"main-menu\";}}'),(7,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:15:\"infinite_scroll\";s:7:\"options\";a:7:{s:14:\"items_per_page\";s:2:\"10\";s:6:\"offset\";s:1:\"0\";s:2:\"id\";s:1:\"0\";s:11:\"total_pages\";s:0:\"\";s:8:\"quantity\";s:1:\"9\";s:4:\"tags\";a:4:{s:5:\"first\";s:8:\"« first\";s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";i:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:17:\"5, 10, 20, 40, 60\";s:26:\"items_per_page_options_all\";i:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";i:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:2:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"pinteros-small\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"name\";a:8:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"taxonomy_term_data\";s:5:\"field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"link_to_taxonomy\";i:1;}}s:7:\"filters\";a:1:{s:3:\"vid\";a:13:{s:2:\"id\";s:3:\"vid\";s:5:\"table\";s:18:\"taxonomy_term_data\";s:5:\"field\";s:3:\"vid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{i:4;s:1:\"4\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:10:\"Categories\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:9:\"css_class\";s:15:\"categories-list\";}'),(7,'page','Page','page',2,'a:3:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:10:\"categories\";s:4:\"menu\";a:3:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:10:\"Categories\";s:4:\"name\";s:9:\"main-menu\";}}');
/*!40000 ALTER TABLE `views_display` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `views_view`
--

DROP TABLE IF EXISTS `views_view`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `views_view` (
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The view ID of the field, defined by the database.',
  `name` varchar(128) NOT NULL DEFAULT '' COMMENT 'The unique name of the view. This is the primary field views are loaded from, and is used so that views may be internal and not necessarily in the database. May only be alphanumeric characters plus underscores.',
  `description` varchar(255) DEFAULT '' COMMENT 'A description of the view for the admin interface.',
  `tag` varchar(255) DEFAULT '' COMMENT 'A tag used to group/sort views in the admin interface',
  `base_table` varchar(64) NOT NULL DEFAULT '' COMMENT 'What table this view is based on, such as node, user, comment, or term.',
  `human_name` varchar(255) DEFAULT '' COMMENT 'A human readable name used to be displayed in the admin interface',
  `core` int(11) DEFAULT '0' COMMENT 'Stores the drupal core version of the view.',
  PRIMARY KEY (`vid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COMMENT='Stores the general data for a view.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `views_view`
--

LOCK TABLES `views_view` WRITE;
/*!40000 ALTER TABLE `views_view` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `views_view` VALUES (1,'frontpage','Emulates the default Drupal front page; you may set the default home page path to this view to make it your front page.','default','node','Front page',0),(2,'taxonomy_term','A view to emulate Drupal core\'s handling of taxonomy/term.','default','node','Taxonomy term',7),(3,'blog','','default','node','Blog',7),(4,'featured_posts','','default','node','Featured Posts',7),(5,'trending_posts','','default','node','Trending Posts',7),(6,'showcase','','default','node','Showcase',7),(7,'categories','','default','taxonomy_term_data','Categories',7);
/*!40000 ALTER TABLE `views_view` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `watchdog`
--

DROP TABLE IF EXISTS `watchdog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `watchdog` (
  `wid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique watchdog event ID.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user who triggered the event.',
  `type` varchar(64) NOT NULL DEFAULT '' COMMENT 'Type of log message, for example "user" or "page not found."',
  `message` longtext NOT NULL COMMENT 'Text of log message to be passed into the t() function.',
  `variables` longblob NOT NULL COMMENT 'Serialized array of variables that match the message string and that is passed into the t() function.',
  `severity` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The severity level of the event; ranges from 0 (Emergency) to 7 (Debug)',
  `link` varchar(255) DEFAULT '' COMMENT 'Link to view the result of the event.',
  `location` text NOT NULL COMMENT 'URL of the origin of the event.',
  `referer` text COMMENT 'URL of referring page.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'Hostname of the user who triggered the event.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'Unix timestamp of when event occurred.',
  PRIMARY KEY (`wid`),
  KEY `type` (`type`),
  KEY `uid` (`uid`),
  KEY `severity` (`severity`)
) ENGINE=InnoDB AUTO_INCREMENT=42 DEFAULT CHARSET=utf8 COMMENT='Table that contains logs of all system events.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `watchdog`
--

LOCK TABLES `watchdog` WRITE;
/*!40000 ALTER TABLE `watchdog` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `watchdog` VALUES (1,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/pinteros/','http://local2.weebpal.com/drupal7/pinteros/install.php?profile=standard&locale=en','192.168.1.49',1499929990),(2,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://local2.weebpal.com/drupal7/pinteros/user','http://local2.weebpal.com/drupal7/pinteros/user','192.168.1.49',1499930002),(3,1,'system','%module module installed.','a:1:{s:7:\"%module\";s:20:\"we_content_migration\";}',6,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules?render=overlay','192.168.1.49',1499930013),(4,1,'system','%module module enabled.','a:1:{s:7:\"%module\";s:20:\"we_content_migration\";}',6,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules?render=overlay','192.168.1.49',1499930013),(5,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/pinteros/en/user/login','http://local2.weebpal.com/drupal7/pinteros/','192.168.1.49',1500288752),(6,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://local2.weebpal.com/drupal7/pinteros/en/user/login','http://local2.weebpal.com/drupal7/pinteros/en/user/login','192.168.1.49',1500288754),(7,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/pinteros/en/users/admin','http://local2.weebpal.com/drupal7/pinteros/en/user/login','192.168.1.49',1500288754),(8,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/pinteros/en','http://local2.weebpal.com/drupal7/pinteros/en/users/admin','192.168.1.49',1500288757),(9,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/pinteros/en/js/admin_menu/cache/110fa8ced8d4cf9dd7604a8be6da896e','http://local2.weebpal.com/drupal7/pinteros/en','192.168.1.49',1500288757),(10,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/pinteros/en/frontpage?page=1','http://local2.weebpal.com/drupal7/pinteros/en','192.168.1.49',1500288759),(11,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/pinteros/en','http://local2.weebpal.com/drupal7/pinteros/en','192.168.1.49',1500288764),(12,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/pinteros/en','192.168.1.49',1500288765),(13,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/pinteros/','','192.168.1.49',1500288766),(14,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/pinteros/','','192.168.1.49',1500339301),(15,1,'system','%module module installed.','a:1:{s:7:\"%module\";s:11:\"zencoderapi\";}',6,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/?render=overlay','192.168.1.49',1500343161),(16,1,'system','%module module enabled.','a:1:{s:7:\"%module\";s:11:\"zencoderapi\";}',6,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/?render=overlay','192.168.1.49',1500343161),(17,1,'system','%module module disabled.','a:1:{s:7:\"%module\";s:11:\"zencoderapi\";}',6,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules?filter=ze&enabled=1&disabled=1&required=1&unavailable=1&render=overlay','192.168.1.49',1500343206),(18,1,'system','%module module installed.','a:1:{s:7:\"%module\";s:16:\"composer_manager\";}',6,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay&render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay','192.168.1.49',1500343373),(19,1,'system','%module module enabled.','a:1:{s:7:\"%module\";s:16:\"composer_manager\";}',6,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay&render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay','192.168.1.49',1500343373),(20,1,'system','%module module installed.','a:1:{s:7:\"%module\";s:10:\"php_ffmpeg\";}',6,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay&render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay','192.168.1.49',1500343373),(21,1,'system','%module module enabled.','a:1:{s:7:\"%module\";s:10:\"php_ffmpeg\";}',6,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay&render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay','192.168.1.49',1500343373),(22,1,'system','%module module installed.','a:1:{s:7:\"%module\";s:22:\"ffmpeg_video_thumbnail\";}',6,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay&render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay','192.168.1.49',1500343373),(23,1,'system','%module module enabled.','a:1:{s:7:\"%module\";s:22:\"ffmpeg_video_thumbnail\";}',6,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay&render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay','192.168.1.49',1500343373),(24,1,'composer_manager','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:16:\"RuntimeException\";s:8:\"!message\";s:78:\"Autoloader not found: /data/dev/drupal7/pinteros/sites/all/vendor/autoload.php\";s:9:\"%function\";s:38:\"composer_manager_register_autoloader()\";s:5:\"%file\";s:85:\"/data/dev/drupal7/pinteros/sites/all/modules/composer_manager/composer_manager.module\";s:5:\"%line\";i:173;s:14:\"severity_level\";i:3;}',3,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules?render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay','192.168.1.49',1500343375),(25,1,'composer_manager','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:16:\"RuntimeException\";s:8:\"!message\";s:78:\"Autoloader not found: /data/dev/drupal7/pinteros/sites/all/vendor/autoload.php\";s:9:\"%function\";s:38:\"composer_manager_register_autoloader()\";s:5:\"%file\";s:85:\"/data/dev/drupal7/pinteros/sites/all/modules/composer_manager/composer_manager.module\";s:5:\"%line\";i:173;s:14:\"severity_level\";i:3;}',3,'','http://local2.weebpal.com/drupal7/pinteros/overlay-ajax/page_bottom','http://local2.weebpal.com/drupal7/pinteros/','192.168.1.49',1500343377),(26,1,'composer_manager','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:16:\"RuntimeException\";s:8:\"!message\";s:78:\"Autoloader not found: /data/dev/drupal7/pinteros/sites/all/vendor/autoload.php\";s:9:\"%function\";s:38:\"composer_manager_register_autoloader()\";s:5:\"%file\";s:85:\"/data/dev/drupal7/pinteros/sites/all/modules/composer_manager/composer_manager.module\";s:5:\"%line\";i:173;s:14:\"severity_level\";i:3;}',3,'','http://local2.weebpal.com/drupal7/pinteros/','http://local2.weebpal.com/drupal7/pinteros/','192.168.1.49',1500343414),(27,1,'composer_manager','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:16:\"RuntimeException\";s:8:\"!message\";s:78:\"Autoloader not found: /data/dev/drupal7/pinteros/sites/all/vendor/autoload.php\";s:9:\"%function\";s:38:\"composer_manager_register_autoloader()\";s:5:\"%file\";s:85:\"/data/dev/drupal7/pinteros/sites/all/modules/composer_manager/composer_manager.module\";s:5:\"%line\";i:173;s:14:\"severity_level\";i:3;}',3,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/pinteros/','192.168.1.49',1500343417),(28,1,'composer_manager','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:16:\"RuntimeException\";s:8:\"!message\";s:78:\"Autoloader not found: /data/dev/drupal7/pinteros/sites/all/vendor/autoload.php\";s:9:\"%function\";s:38:\"composer_manager_register_autoloader()\";s:5:\"%file\";s:85:\"/data/dev/drupal7/pinteros/sites/all/modules/composer_manager/composer_manager.module\";s:5:\"%line\";i:173;s:14:\"severity_level\";i:3;}',3,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules?render=overlay','192.168.1.49',1500343434),(29,1,'system','%module module disabled.','a:1:{s:7:\"%module\";s:22:\"ffmpeg_video_thumbnail\";}',6,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules?render=overlay','192.168.1.49',1500343435),(30,1,'composer_manager','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:16:\"RuntimeException\";s:8:\"!message\";s:78:\"Autoloader not found: /data/dev/drupal7/pinteros/sites/all/vendor/autoload.php\";s:9:\"%function\";s:38:\"composer_manager_register_autoloader()\";s:5:\"%file\";s:85:\"/data/dev/drupal7/pinteros/sites/all/modules/composer_manager/composer_manager.module\";s:5:\"%line\";i:173;s:14:\"severity_level\";i:3;}',3,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules?filter=video&enabled=1&disabled=1&required=1&unavailable=1&render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules?render=overlay','192.168.1.49',1500343437),(31,1,'composer_manager','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:16:\"RuntimeException\";s:8:\"!message\";s:78:\"Autoloader not found: /data/dev/drupal7/pinteros/sites/all/vendor/autoload.php\";s:9:\"%function\";s:38:\"composer_manager_register_autoloader()\";s:5:\"%file\";s:85:\"/data/dev/drupal7/pinteros/sites/all/modules/composer_manager/composer_manager.module\";s:5:\"%line\";i:173;s:14:\"severity_level\";i:3;}',3,'','http://local2.weebpal.com/drupal7/pinteros/overlay-ajax/page_bottom','http://local2.weebpal.com/drupal7/pinteros/','192.168.1.49',1500343439),(32,1,'composer_manager','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:16:\"RuntimeException\";s:8:\"!message\";s:78:\"Autoloader not found: /data/dev/drupal7/pinteros/sites/all/vendor/autoload.php\";s:9:\"%function\";s:38:\"composer_manager_register_autoloader()\";s:5:\"%file\";s:85:\"/data/dev/drupal7/pinteros/sites/all/modules/composer_manager/composer_manager.module\";s:5:\"%line\";i:173;s:14:\"severity_level\";i:3;}',3,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules?filter=video&enabled=1&disabled=1&required=1&unavailable=1&render=overlay','192.168.1.49',1500343465),(33,1,'system','%module module disabled.','a:1:{s:7:\"%module\";s:10:\"php_ffmpeg\";}',6,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules?filter=video&enabled=1&disabled=1&required=1&unavailable=1&render=overlay','192.168.1.49',1500343465),(34,1,'composer_manager','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:16:\"RuntimeException\";s:8:\"!message\";s:78:\"Autoloader not found: /data/dev/drupal7/pinteros/sites/all/vendor/autoload.php\";s:9:\"%function\";s:38:\"composer_manager_register_autoloader()\";s:5:\"%file\";s:85:\"/data/dev/drupal7/pinteros/sites/all/modules/composer_manager/composer_manager.module\";s:5:\"%line\";i:173;s:14:\"severity_level\";i:3;}',3,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules?filter=php&enabled=1&disabled=1&required=1&unavailable=1&render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules?filter=video&enabled=1&disabled=1&required=1&unavailable=1&render=overlay','192.168.1.49',1500343467),(35,1,'composer_manager','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:16:\"RuntimeException\";s:8:\"!message\";s:78:\"Autoloader not found: /data/dev/drupal7/pinteros/sites/all/vendor/autoload.php\";s:9:\"%function\";s:38:\"composer_manager_register_autoloader()\";s:5:\"%file\";s:85:\"/data/dev/drupal7/pinteros/sites/all/modules/composer_manager/composer_manager.module\";s:5:\"%line\";i:173;s:14:\"severity_level\";i:3;}',3,'','http://local2.weebpal.com/drupal7/pinteros/overlay-ajax/page_bottom','http://local2.weebpal.com/drupal7/pinteros/','192.168.1.49',1500343469),(36,1,'composer_manager','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:16:\"RuntimeException\";s:8:\"!message\";s:78:\"Autoloader not found: /data/dev/drupal7/pinteros/sites/all/vendor/autoload.php\";s:9:\"%function\";s:38:\"composer_manager_register_autoloader()\";s:5:\"%file\";s:85:\"/data/dev/drupal7/pinteros/sites/all/modules/composer_manager/composer_manager.module\";s:5:\"%line\";i:173;s:14:\"severity_level\";i:3;}',3,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules?filter=php&enabled=1&disabled=1&required=1&unavailable=1&render=overlay','192.168.1.49',1500343476),(37,1,'system','%module module disabled.','a:1:{s:7:\"%module\";s:16:\"composer_manager\";}',6,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules?filter=php&enabled=1&disabled=1&required=1&unavailable=1&render=overlay','192.168.1.49',1500343476),(38,1,'system','%module module uninstalled.','a:1:{s:7:\"%module\";s:22:\"ffmpeg_video_thumbnail\";}',6,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/uninstall/confirm?render=overlay&render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/uninstall/confirm?render=overlay','192.168.1.49',1500343519),(39,1,'system','%module module uninstalled.','a:1:{s:7:\"%module\";s:10:\"php_ffmpeg\";}',6,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/uninstall/confirm?render=overlay&render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/uninstall/confirm?render=overlay','192.168.1.49',1500343527),(40,1,'system','%module module uninstalled.','a:1:{s:7:\"%module\";s:16:\"composer_manager\";}',6,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/uninstall/confirm?render=overlay&render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/uninstall/confirm?render=overlay','192.168.1.49',1500343531),(41,1,'system','%module module enabled.','a:1:{s:7:\"%module\";s:11:\"zencoderapi\";}',6,'','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/pinteros/en/admin/modules?render=overlay','192.168.1.49',1500345490);
/*!40000 ALTER TABLE `watchdog` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `we_content_migration_mapping`
--

DROP TABLE IF EXISTS `we_content_migration_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `we_content_migration_mapping` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier',
  `old_entity_type` varchar(128) DEFAULT NULL COMMENT 'The machine name of the old entity',
  `old_bundle` varchar(128) DEFAULT NULL COMMENT 'The old bundle’s name',
  `old_entity_id` int(11) DEFAULT NULL COMMENT 'The old entity id',
  `new_entity_type` varchar(128) NOT NULL COMMENT 'The machine name of the new entity',
  `new_bundle` varchar(128) NOT NULL COMMENT 'The new bundle’s name',
  `new_entity_id` int(11) NOT NULL COMMENT 'The new entity id',
  PRIMARY KEY (`id`),
  KEY `mapping` (`old_entity_type`,`old_bundle`,`old_entity_id`,`new_entity_type`,`new_bundle`,`new_entity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The table to save the mapping.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `we_content_migration_mapping`
--

LOCK TABLES `we_content_migration_mapping` WRITE;
/*!40000 ALTER TABLE `we_content_migration_mapping` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `we_content_migration_mapping` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `we_content_migration_mapping_reference`
--

DROP TABLE IF EXISTS `we_content_migration_mapping_reference`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `we_content_migration_mapping_reference` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier',
  `entity_type` varchar(128) NOT NULL COMMENT 'The machine name of the entity',
  `bundle` varchar(128) NOT NULL COMMENT 'The bundle’s name',
  `eid` int(11) NOT NULL COMMENT 'The entity id',
  `field_name` varchar(32) NOT NULL COMMENT 'The field name',
  `field_value` text NOT NULL COMMENT 'The field value string',
  `language` varchar(12) NOT NULL DEFAULT '',
  `status` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `mapping_reference` (`entity_type`,`bundle`,`eid`,`field_name`,`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The table to save all reference field data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `we_content_migration_mapping_reference`
--

LOCK TABLES `we_content_migration_mapping_reference` WRITE;
/*!40000 ALTER TABLE `we_content_migration_mapping_reference` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `we_content_migration_mapping_reference` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `weight_settings`
--

DROP TABLE IF EXISTS `weight_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `weight_settings` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a content type configuration',
  `type` varchar(32) NOT NULL DEFAULT '',
  `weight_enabled` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `weight_range` tinyint(3) unsigned NOT NULL DEFAULT '20',
  `menu_weight` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `weight_default` tinyint(4) NOT NULL DEFAULT '0',
  `sync_translations` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COMMENT='Table for storing Weight configuration';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `weight_settings`
--

LOCK TABLES `weight_settings` WRITE;
/*!40000 ALTER TABLE `weight_settings` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `weight_settings` VALUES (1,'showcase',0,20,0,0,0),(2,'online_video',0,20,0,0,0),(3,'local_video',0,20,0,0,0),(4,'presets',0,20,0,0,0),(5,'weebpal_presets',0,20,0,0,0),(6,'article',0,20,0,0,0),(7,'page',0,20,0,0,0),(8,'blog',0,20,0,0,0),(9,'forum',0,20,0,0,0),(10,'poll',0,20,0,0,0);
/*!40000 ALTER TABLE `weight_settings` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `weight_weights`
--

DROP TABLE IF EXISTS `weight_weights`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `weight_weights` (
  `entity_id` int(10) unsigned NOT NULL,
  `entity_type` varchar(32) NOT NULL,
  `weight` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`entity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `weight_weights`
--

LOCK TABLES `weight_weights` WRITE;
/*!40000 ALTER TABLE `weight_weights` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `weight_weights` VALUES (93,'node',0),(94,'node',0),(95,'node',0),(96,'node',0),(97,'node',0);
/*!40000 ALTER TABLE `weight_weights` ENABLE KEYS */;
UNLOCK TABLES;
commit;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2017-07-18 10:21:18
